//
// Copyright (c) 2018 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
//
// Redistributions in binary form must reproduce the above copyright notice,
// this list of conditions and the following disclaimer in the documentation
// and/or other materials provided with the distribution.
//
// Neither the name of the NVIDIA Corporation nor the names of its contributors
// may be used to endorse or promote products derived from this software
// without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//

//
// DO NOT EDIT - generated by simspec!
//

#ifndef ___ARMC_H_INC_
#define ___ARMC_H_INC_
#define NV_MOBILE_ARMC_H_UNIT_OF_OFFSET 1B


// Register MC_MCF_ORSPX_RDRSP_0
#define MC_MCF_ORSPX_RDRSP_0                    _MK_ADDR_CONST(0x8004)
#define MC_MCF_ORSPX_RDRSP_0_SECURE                     0x0
#define MC_MCF_ORSPX_RDRSP_0_DUAL                       0x0
#define MC_MCF_ORSPX_RDRSP_0_SCR                        0
#define MC_MCF_ORSPX_RDRSP_0_WORD_COUNT                         0x1
#define MC_MCF_ORSPX_RDRSP_0_RESET_VAL                  _MK_MASK_CONST(0x30303030)
#define MC_MCF_ORSPX_RDRSP_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_MCF_ORSPX_RDRSP_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_RDRSP_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_RDRSP_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_MCF_ORSPX_RDRSP_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_MCF_ORSPX_RDRSP_0_IRSPX_DATA_LIMIT_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_ORSPX_RDRSP_0_IRSPX_DATA_LIMIT_FIELD                     _MK_FIELD_CONST(0xff, MC_MCF_ORSPX_RDRSP_0_IRSPX_DATA_LIMIT_SHIFT)
#define MC_MCF_ORSPX_RDRSP_0_IRSPX_DATA_LIMIT_RANGE                     7:0
#define MC_MCF_ORSPX_RDRSP_0_IRSPX_DATA_LIMIT_WOFFSET                   0x0
#define MC_MCF_ORSPX_RDRSP_0_IRSPX_DATA_LIMIT_DEFAULT                   _MK_MASK_CONST(0x30)
#define MC_MCF_ORSPX_RDRSP_0_IRSPX_DATA_LIMIT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_ORSPX_RDRSP_0_IRSPX_DATA_LIMIT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_RDRSP_0_IRSPX_DATA_LIMIT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_RDRSP_0_IRSPX_DATA_LIMIT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_RDRSP_0_IRSPX_DATA_LIMIT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_ORSPX_RDRSP_0_SLICE_DATA_LIMIT_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_MCF_ORSPX_RDRSP_0_SLICE_DATA_LIMIT_FIELD                     _MK_FIELD_CONST(0xff, MC_MCF_ORSPX_RDRSP_0_SLICE_DATA_LIMIT_SHIFT)
#define MC_MCF_ORSPX_RDRSP_0_SLICE_DATA_LIMIT_RANGE                     15:8
#define MC_MCF_ORSPX_RDRSP_0_SLICE_DATA_LIMIT_WOFFSET                   0x0
#define MC_MCF_ORSPX_RDRSP_0_SLICE_DATA_LIMIT_DEFAULT                   _MK_MASK_CONST(0x30)
#define MC_MCF_ORSPX_RDRSP_0_SLICE_DATA_LIMIT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_ORSPX_RDRSP_0_SLICE_DATA_LIMIT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_RDRSP_0_SLICE_DATA_LIMIT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_RDRSP_0_SLICE_DATA_LIMIT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_RDRSP_0_SLICE_DATA_LIMIT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_ORSPX_RDRSP_0_IRSPX_CTRL_LIMIT_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_MCF_ORSPX_RDRSP_0_IRSPX_CTRL_LIMIT_FIELD                     _MK_FIELD_CONST(0xff, MC_MCF_ORSPX_RDRSP_0_IRSPX_CTRL_LIMIT_SHIFT)
#define MC_MCF_ORSPX_RDRSP_0_IRSPX_CTRL_LIMIT_RANGE                     23:16
#define MC_MCF_ORSPX_RDRSP_0_IRSPX_CTRL_LIMIT_WOFFSET                   0x0
#define MC_MCF_ORSPX_RDRSP_0_IRSPX_CTRL_LIMIT_DEFAULT                   _MK_MASK_CONST(0x30)
#define MC_MCF_ORSPX_RDRSP_0_IRSPX_CTRL_LIMIT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_ORSPX_RDRSP_0_IRSPX_CTRL_LIMIT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_RDRSP_0_IRSPX_CTRL_LIMIT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_RDRSP_0_IRSPX_CTRL_LIMIT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_RDRSP_0_IRSPX_CTRL_LIMIT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_ORSPX_RDRSP_0_SLICE_CTRL_LIMIT_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_MCF_ORSPX_RDRSP_0_SLICE_CTRL_LIMIT_FIELD                     _MK_FIELD_CONST(0xff, MC_MCF_ORSPX_RDRSP_0_SLICE_CTRL_LIMIT_SHIFT)
#define MC_MCF_ORSPX_RDRSP_0_SLICE_CTRL_LIMIT_RANGE                     31:24
#define MC_MCF_ORSPX_RDRSP_0_SLICE_CTRL_LIMIT_WOFFSET                   0x0
#define MC_MCF_ORSPX_RDRSP_0_SLICE_CTRL_LIMIT_DEFAULT                   _MK_MASK_CONST(0x30)
#define MC_MCF_ORSPX_RDRSP_0_SLICE_CTRL_LIMIT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_ORSPX_RDRSP_0_SLICE_CTRL_LIMIT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_RDRSP_0_SLICE_CTRL_LIMIT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_RDRSP_0_SLICE_CTRL_LIMIT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_RDRSP_0_SLICE_CTRL_LIMIT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_ORSPX_WRRSP_0
#define MC_MCF_ORSPX_WRRSP_0                    _MK_ADDR_CONST(0x8008)
#define MC_MCF_ORSPX_WRRSP_0_SECURE                     0x0
#define MC_MCF_ORSPX_WRRSP_0_DUAL                       0x0
#define MC_MCF_ORSPX_WRRSP_0_SCR                        0
#define MC_MCF_ORSPX_WRRSP_0_WORD_COUNT                         0x1
#define MC_MCF_ORSPX_WRRSP_0_RESET_VAL                  _MK_MASK_CONST(0x3030)
#define MC_MCF_ORSPX_WRRSP_0_RESET_MASK                         _MK_MASK_CONST(0xffff)
#define MC_MCF_ORSPX_WRRSP_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_WRRSP_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_WRRSP_0_READ_MASK                  _MK_MASK_CONST(0xffff)
#define MC_MCF_ORSPX_WRRSP_0_WRITE_MASK                         _MK_MASK_CONST(0xffff)
#define MC_MCF_ORSPX_WRRSP_0_IRSPX_LIMIT_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MCF_ORSPX_WRRSP_0_IRSPX_LIMIT_FIELD                  _MK_FIELD_CONST(0xff, MC_MCF_ORSPX_WRRSP_0_IRSPX_LIMIT_SHIFT)
#define MC_MCF_ORSPX_WRRSP_0_IRSPX_LIMIT_RANGE                  7:0
#define MC_MCF_ORSPX_WRRSP_0_IRSPX_LIMIT_WOFFSET                        0x0
#define MC_MCF_ORSPX_WRRSP_0_IRSPX_LIMIT_DEFAULT                        _MK_MASK_CONST(0x30)
#define MC_MCF_ORSPX_WRRSP_0_IRSPX_LIMIT_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_ORSPX_WRRSP_0_IRSPX_LIMIT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_WRRSP_0_IRSPX_LIMIT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_WRRSP_0_IRSPX_LIMIT_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_WRRSP_0_IRSPX_LIMIT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MCF_ORSPX_WRRSP_0_SLICE_LIMIT_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_MCF_ORSPX_WRRSP_0_SLICE_LIMIT_FIELD                  _MK_FIELD_CONST(0xff, MC_MCF_ORSPX_WRRSP_0_SLICE_LIMIT_SHIFT)
#define MC_MCF_ORSPX_WRRSP_0_SLICE_LIMIT_RANGE                  15:8
#define MC_MCF_ORSPX_WRRSP_0_SLICE_LIMIT_WOFFSET                        0x0
#define MC_MCF_ORSPX_WRRSP_0_SLICE_LIMIT_DEFAULT                        _MK_MASK_CONST(0x30)
#define MC_MCF_ORSPX_WRRSP_0_SLICE_LIMIT_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_ORSPX_WRRSP_0_SLICE_LIMIT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_WRRSP_0_SLICE_LIMIT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_WRRSP_0_SLICE_LIMIT_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_WRRSP_0_SLICE_LIMIT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_MCF_IRSPX_RDRSP_OPT_0
#define MC_MCF_IRSPX_RDRSP_OPT_0                        _MK_ADDR_CONST(0x800c)
#define MC_MCF_IRSPX_RDRSP_OPT_0_SECURE                         0x0
#define MC_MCF_IRSPX_RDRSP_OPT_0_DUAL                   0x0
#define MC_MCF_IRSPX_RDRSP_OPT_0_SCR                    0
#define MC_MCF_IRSPX_RDRSP_OPT_0_WORD_COUNT                     0x1
#define MC_MCF_IRSPX_RDRSP_OPT_0_RESET_VAL                      _MK_MASK_CONST(0x204)
#define MC_MCF_IRSPX_RDRSP_OPT_0_RESET_MASK                     _MK_MASK_CONST(0xfff)
#define MC_MCF_IRSPX_RDRSP_OPT_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_RDRSP_OPT_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_RDRSP_OPT_0_READ_MASK                      _MK_MASK_CONST(0xfff)
#define MC_MCF_IRSPX_RDRSP_OPT_0_WRITE_MASK                     _MK_MASK_CONST(0xfff)
#define MC_MCF_IRSPX_RDRSP_OPT_0_cpu_lat_opt_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_MCF_IRSPX_RDRSP_OPT_0_cpu_lat_opt_FIELD                      _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_RDRSP_OPT_0_cpu_lat_opt_SHIFT)
#define MC_MCF_IRSPX_RDRSP_OPT_0_cpu_lat_opt_RANGE                      0:0
#define MC_MCF_IRSPX_RDRSP_OPT_0_cpu_lat_opt_WOFFSET                    0x0
#define MC_MCF_IRSPX_RDRSP_OPT_0_cpu_lat_opt_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_RDRSP_OPT_0_cpu_lat_opt_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_RDRSP_OPT_0_cpu_lat_opt_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_RDRSP_OPT_0_cpu_lat_opt_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_RDRSP_OPT_0_cpu_lat_opt_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_RDRSP_OPT_0_cpu_lat_opt_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_SHIFT)
#define MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_RANGE                       1:1
#define MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_WOFFSET                     0x0
#define MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_cnt_en_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_cnt_en_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_cnt_en_SHIFT)
#define MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_cnt_en_RANGE                   2:2
#define MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_cnt_en_WOFFSET                 0x0
#define MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_cnt_en_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_cnt_en_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_cnt_en_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_cnt_en_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_cnt_en_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_cnt_en_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_max_cnt_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_max_cnt_FIELD                  _MK_FIELD_CONST(0xff, MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_max_cnt_SHIFT)
#define MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_max_cnt_RANGE                  10:3
#define MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_max_cnt_WOFFSET                        0x0
#define MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_max_cnt_DEFAULT                        _MK_MASK_CONST(0x40)
#define MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_max_cnt_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_max_cnt_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_max_cnt_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_max_cnt_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_RDRSP_OPT_0_scf_cpu_dram_ch_max_cnt_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_misc_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_misc_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_misc_SHIFT)
#define MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_misc_RANGE                  11:11
#define MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_misc_WOFFSET                        0x0
#define MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_misc_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_misc_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_misc_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_misc_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_misc_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_RDRSP_OPT_0_adv_notice_enabled_misc_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_MCF_ORSPX_CLKEN_OVERRIDE_0
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0                   _MK_ADDR_CONST(0x8010)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_SECURE                    0x0
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_DUAL                      0x0
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_SCR                       0
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_WORD_COUNT                        0x1
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_RESET_MASK                        _MK_MASK_CONST(0x1f)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1f)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_READ_MASK                         _MK_MASK_CONST(0x1f)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_WRITE_MASK                        _MK_MASK_CONST(0x1f)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_RDRSP_CLKEN_OVR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_RDRSP_CLKEN_OVR_FIELD                     _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_CLKEN_OVERRIDE_0_RDRSP_CLKEN_OVR_SHIFT)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_RDRSP_CLKEN_OVR_RANGE                     0:0
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_RDRSP_CLKEN_OVR_WOFFSET                   0x0
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_RDRSP_CLKEN_OVR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_RDRSP_CLKEN_OVR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_RDRSP_CLKEN_OVR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_RDRSP_CLKEN_OVR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_RDRSP_CLKEN_OVR_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_RDRSP_CLKEN_OVR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_RDRSP_CLKEN_OVR_INIT_ENUM                 CLK_GATED
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_RDRSP_CLKEN_OVR_CLK_GATED                 _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_RDRSP_CLKEN_OVR_CLK_ALWAYS_ON                     _MK_ENUM_CONST(1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_RDRSP_CLKEN_OVR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_RDRSP_CLKEN_OVR_ENABLE                    _MK_ENUM_CONST(1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_RDRSP_CLKEN_OVR_DISABLED                  _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_RDRSP_CLKEN_OVR_ENABLED                   _MK_ENUM_CONST(1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_RDRSP_CLKEN_OVR__PROD                     _MK_MASK_CONST(0x0)

#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_WRRSP_CLKEN_OVR_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_WRRSP_CLKEN_OVR_FIELD                     _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_CLKEN_OVERRIDE_0_WRRSP_CLKEN_OVR_SHIFT)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_WRRSP_CLKEN_OVR_RANGE                     1:1
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_WRRSP_CLKEN_OVR_WOFFSET                   0x0
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_WRRSP_CLKEN_OVR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_WRRSP_CLKEN_OVR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_WRRSP_CLKEN_OVR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_WRRSP_CLKEN_OVR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_WRRSP_CLKEN_OVR_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_WRRSP_CLKEN_OVR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_WRRSP_CLKEN_OVR_INIT_ENUM                 CLK_GATED
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_WRRSP_CLKEN_OVR_CLK_GATED                 _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_WRRSP_CLKEN_OVR_CLK_ALWAYS_ON                     _MK_ENUM_CONST(1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_WRRSP_CLKEN_OVR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_WRRSP_CLKEN_OVR_ENABLE                    _MK_ENUM_CONST(1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_WRRSP_CLKEN_OVR_DISABLED                  _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_WRRSP_CLKEN_OVR_ENABLED                   _MK_ENUM_CONST(1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_WRRSP_CLKEN_OVR__PROD                     _MK_MASK_CONST(0x0)

#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_REGIF_CLKEN_OVR_SHIFT                       _MK_SHIFT_CONST(2)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_REGIF_CLKEN_OVR_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_REGIF_CLKEN_OVR_SHIFT)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_REGIF_CLKEN_OVR_RANGE                       2:2
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_REGIF_CLKEN_OVR_WOFFSET                     0x0
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_REGIF_CLKEN_OVR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_REGIF_CLKEN_OVR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_REGIF_CLKEN_OVR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_REGIF_CLKEN_OVR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_REGIF_CLKEN_OVR_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_REGIF_CLKEN_OVR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_REGIF_CLKEN_OVR_INIT_ENUM                   CLK_GATED
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_REGIF_CLKEN_OVR_CLK_GATED                   _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_REGIF_CLKEN_OVR_CLK_ALWAYS_ON                       _MK_ENUM_CONST(1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_REGIF_CLKEN_OVR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_REGIF_CLKEN_OVR_ENABLE                      _MK_ENUM_CONST(1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_REGIF_CLKEN_OVR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_REGIF_CLKEN_OVR_ENABLED                     _MK_ENUM_CONST(1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_REGIF_CLKEN_OVR__PROD                       _MK_MASK_CONST(0x0)

#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_CLKEN_A1_CLKEN_OVR_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_CLKEN_A1_CLKEN_OVR_FIELD                    _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_CLKEN_A1_CLKEN_OVR_SHIFT)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_CLKEN_A1_CLKEN_OVR_RANGE                    3:3
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_CLKEN_A1_CLKEN_OVR_WOFFSET                  0x0
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_CLKEN_A1_CLKEN_OVR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_CLKEN_A1_CLKEN_OVR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_CLKEN_A1_CLKEN_OVR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_CLKEN_A1_CLKEN_OVR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_CLKEN_A1_CLKEN_OVR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_CLKEN_A1_CLKEN_OVR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_CLKEN_A1_CLKEN_OVR_INIT_ENUM                        CLK_GATED
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_CLKEN_A1_CLKEN_OVR_CLK_GATED                        _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_CLKEN_A1_CLKEN_OVR_CLK_ALWAYS_ON                    _MK_ENUM_CONST(1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_CLKEN_A1_CLKEN_OVR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_CLKEN_A1_CLKEN_OVR_ENABLE                   _MK_ENUM_CONST(1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_CLKEN_A1_CLKEN_OVR_DISABLED                 _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_CLKEN_A1_CLKEN_OVR_ENABLED                  _MK_ENUM_CONST(1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_CLKEN_A1_CLKEN_OVR__PROD                    _MK_MASK_CONST(0x0)

#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_DBG_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_DBG_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_DBG_CLKEN_OVR_SHIFT)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_DBG_CLKEN_OVR_RANGE                 4:4
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_DBG_CLKEN_OVR_WOFFSET                       0x0
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_DBG_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_DBG_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_DBG_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_DBG_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_DBG_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_DBG_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_DBG_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_DBG_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_DBG_CLKEN_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_DBG_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_DBG_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_DBG_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_DBG_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_ORSPX_DBG_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)


// Register MC_MCF_IRSPX_CLKEN_OVERRIDE_0
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0                   _MK_ADDR_CONST(0x8014)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SECURE                    0x0
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_DUAL                      0x0
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SCR                       0
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WORD_COUNT                        0x1
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RESET_MASK                        _MK_MASK_CONST(0x7fff)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x7fff)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_READ_MASK                         _MK_MASK_CONST(0x7fff)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRITE_MASK                        _MK_MASK_CONST(0x7fff)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_MC_CH_CLKEN_OVR_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_MC_CH_CLKEN_OVR_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_MC_CH_CLKEN_OVR_SHIFT)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_MC_CH_CLKEN_OVR_RANGE                  0:0
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_MC_CH_CLKEN_OVR_WOFFSET                        0x0
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_MC_CH_CLKEN_OVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_MC_CH_CLKEN_OVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_MC_CH_CLKEN_OVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_MC_CH_CLKEN_OVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_MC_CH_CLKEN_OVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_MC_CH_CLKEN_OVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_MC_CH_CLKEN_OVR_INIT_ENUM                      CLK_GATED
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_MC_CH_CLKEN_OVR_CLK_GATED                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_MC_CH_CLKEN_OVR_CLK_ALWAYS_ON                  _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_MC_CH_CLKEN_OVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_MC_CH_CLKEN_OVR_ENABLE                 _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_MC_CH_CLKEN_OVR_DISABLED                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_MC_CH_CLKEN_OVR_ENABLED                        _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_MC_CH_CLKEN_OVR__PROD                  _MK_MASK_CONST(0x0)

#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_NVL_CLKEN_OVR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_NVL_CLKEN_OVR_FIELD                    _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_NVL_CLKEN_OVR_SHIFT)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_NVL_CLKEN_OVR_RANGE                    1:1
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_NVL_CLKEN_OVR_WOFFSET                  0x0
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_NVL_CLKEN_OVR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_NVL_CLKEN_OVR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_NVL_CLKEN_OVR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_NVL_CLKEN_OVR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_NVL_CLKEN_OVR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_NVL_CLKEN_OVR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_NVL_CLKEN_OVR_INIT_ENUM                        CLK_GATED
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_NVL_CLKEN_OVR_CLK_GATED                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_NVL_CLKEN_OVR_CLK_ALWAYS_ON                    _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_NVL_CLKEN_OVR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_NVL_CLKEN_OVR_ENABLE                   _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_NVL_CLKEN_OVR_DISABLED                 _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_NVL_CLKEN_OVR_ENABLED                  _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_NVL_CLKEN_OVR__PROD                    _MK_MASK_CONST(0x0)

#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SYS_CLKEN_OVR_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SYS_CLKEN_OVR_FIELD                    _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SYS_CLKEN_OVR_SHIFT)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SYS_CLKEN_OVR_RANGE                    2:2
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SYS_CLKEN_OVR_WOFFSET                  0x0
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SYS_CLKEN_OVR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SYS_CLKEN_OVR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SYS_CLKEN_OVR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SYS_CLKEN_OVR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SYS_CLKEN_OVR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SYS_CLKEN_OVR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SYS_CLKEN_OVR_INIT_ENUM                        CLK_GATED
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SYS_CLKEN_OVR_CLK_GATED                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SYS_CLKEN_OVR_CLK_ALWAYS_ON                    _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SYS_CLKEN_OVR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SYS_CLKEN_OVR_ENABLE                   _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SYS_CLKEN_OVR_DISABLED                 _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SYS_CLKEN_OVR_ENABLED                  _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SYS_CLKEN_OVR__PROD                    _MK_MASK_CONST(0x0)

#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SBS_CLKEN_OVR_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SBS_CLKEN_OVR_FIELD                    _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SBS_CLKEN_OVR_SHIFT)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SBS_CLKEN_OVR_RANGE                    3:3
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SBS_CLKEN_OVR_WOFFSET                  0x0
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SBS_CLKEN_OVR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SBS_CLKEN_OVR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SBS_CLKEN_OVR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SBS_CLKEN_OVR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SBS_CLKEN_OVR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SBS_CLKEN_OVR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SBS_CLKEN_OVR_INIT_ENUM                        CLK_GATED
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SBS_CLKEN_OVR_CLK_GATED                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SBS_CLKEN_OVR_CLK_ALWAYS_ON                    _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SBS_CLKEN_OVR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SBS_CLKEN_OVR_ENABLE                   _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SBS_CLKEN_OVR_DISABLED                 _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SBS_CLKEN_OVR_ENABLED                  _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_FIFO_SBS_CLKEN_OVR__PROD                    _MK_MASK_CONST(0x0)

#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_ARB_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_ARB_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_ARB_CLKEN_OVR_SHIFT)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_ARB_CLKEN_OVR_RANGE                 4:4
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_ARB_CLKEN_OVR_WOFFSET                       0x0
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_ARB_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_ARB_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_ARB_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_ARB_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_ARB_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_ARB_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_ARB_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_ARB_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_ARB_CLKEN_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_ARB_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_ARB_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_ARB_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_ARB_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_ARB_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)

#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_MISC_CLKEN_OVR_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_MISC_CLKEN_OVR_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_MISC_CLKEN_OVR_SHIFT)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_MISC_CLKEN_OVR_RANGE                        5:5
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_MISC_CLKEN_OVR_WOFFSET                      0x0
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_MISC_CLKEN_OVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_MISC_CLKEN_OVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_MISC_CLKEN_OVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_MISC_CLKEN_OVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_MISC_CLKEN_OVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_MISC_CLKEN_OVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_MISC_CLKEN_OVR_INIT_ENUM                    CLK_GATED
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_MISC_CLKEN_OVR_CLK_GATED                    _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_MISC_CLKEN_OVR_CLK_ALWAYS_ON                        _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_MISC_CLKEN_OVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_MISC_CLKEN_OVR_ENABLE                       _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_MISC_CLKEN_OVR_DISABLED                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_MISC_CLKEN_OVR_ENABLED                      _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_RDRSP_MISC_CLKEN_OVR__PROD                        _MK_MASK_CONST(0x0)

#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_REGIF_CLKEN_OVR_SHIFT                       _MK_SHIFT_CONST(6)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_REGIF_CLKEN_OVR_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_REGIF_CLKEN_OVR_SHIFT)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_REGIF_CLKEN_OVR_RANGE                       6:6
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_REGIF_CLKEN_OVR_WOFFSET                     0x0
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_REGIF_CLKEN_OVR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_REGIF_CLKEN_OVR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_REGIF_CLKEN_OVR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_REGIF_CLKEN_OVR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_REGIF_CLKEN_OVR_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_REGIF_CLKEN_OVR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_REGIF_CLKEN_OVR_INIT_ENUM                   CLK_GATED
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_REGIF_CLKEN_OVR_CLK_GATED                   _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_REGIF_CLKEN_OVR_CLK_ALWAYS_ON                       _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_REGIF_CLKEN_OVR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_REGIF_CLKEN_OVR_ENABLE                      _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_REGIF_CLKEN_OVR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_REGIF_CLKEN_OVR_ENABLED                     _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_REGIF_CLKEN_OVR__PROD                       _MK_MASK_CONST(0x0)

#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_MC_CH_CLKEN_OVR_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_MC_CH_CLKEN_OVR_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_MC_CH_CLKEN_OVR_SHIFT)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_MC_CH_CLKEN_OVR_RANGE                  7:7
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_MC_CH_CLKEN_OVR_WOFFSET                        0x0
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_MC_CH_CLKEN_OVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_MC_CH_CLKEN_OVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_MC_CH_CLKEN_OVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_MC_CH_CLKEN_OVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_MC_CH_CLKEN_OVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_MC_CH_CLKEN_OVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_MC_CH_CLKEN_OVR_INIT_ENUM                      CLK_GATED
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_MC_CH_CLKEN_OVR_CLK_GATED                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_MC_CH_CLKEN_OVR_CLK_ALWAYS_ON                  _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_MC_CH_CLKEN_OVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_MC_CH_CLKEN_OVR_ENABLE                 _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_MC_CH_CLKEN_OVR_DISABLED                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_MC_CH_CLKEN_OVR_ENABLED                        _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_MC_CH_CLKEN_OVR__PROD                  _MK_MASK_CONST(0x0)

#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_NVL_CLKEN_OVR_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_NVL_CLKEN_OVR_FIELD                    _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_NVL_CLKEN_OVR_SHIFT)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_NVL_CLKEN_OVR_RANGE                    8:8
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_NVL_CLKEN_OVR_WOFFSET                  0x0
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_NVL_CLKEN_OVR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_NVL_CLKEN_OVR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_NVL_CLKEN_OVR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_NVL_CLKEN_OVR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_NVL_CLKEN_OVR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_NVL_CLKEN_OVR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_NVL_CLKEN_OVR_INIT_ENUM                        CLK_GATED
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_NVL_CLKEN_OVR_CLK_GATED                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_NVL_CLKEN_OVR_CLK_ALWAYS_ON                    _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_NVL_CLKEN_OVR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_NVL_CLKEN_OVR_ENABLE                   _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_NVL_CLKEN_OVR_DISABLED                 _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_NVL_CLKEN_OVR_ENABLED                  _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_NVL_CLKEN_OVR__PROD                    _MK_MASK_CONST(0x0)

#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SYS_CLKEN_OVR_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SYS_CLKEN_OVR_FIELD                    _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SYS_CLKEN_OVR_SHIFT)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SYS_CLKEN_OVR_RANGE                    9:9
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SYS_CLKEN_OVR_WOFFSET                  0x0
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SYS_CLKEN_OVR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SYS_CLKEN_OVR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SYS_CLKEN_OVR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SYS_CLKEN_OVR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SYS_CLKEN_OVR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SYS_CLKEN_OVR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SYS_CLKEN_OVR_INIT_ENUM                        CLK_GATED
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SYS_CLKEN_OVR_CLK_GATED                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SYS_CLKEN_OVR_CLK_ALWAYS_ON                    _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SYS_CLKEN_OVR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SYS_CLKEN_OVR_ENABLE                   _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SYS_CLKEN_OVR_DISABLED                 _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SYS_CLKEN_OVR_ENABLED                  _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SYS_CLKEN_OVR__PROD                    _MK_MASK_CONST(0x0)

#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SBS_CLKEN_OVR_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SBS_CLKEN_OVR_FIELD                    _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SBS_CLKEN_OVR_SHIFT)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SBS_CLKEN_OVR_RANGE                    10:10
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SBS_CLKEN_OVR_WOFFSET                  0x0
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SBS_CLKEN_OVR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SBS_CLKEN_OVR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SBS_CLKEN_OVR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SBS_CLKEN_OVR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SBS_CLKEN_OVR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SBS_CLKEN_OVR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SBS_CLKEN_OVR_INIT_ENUM                        CLK_GATED
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SBS_CLKEN_OVR_CLK_GATED                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SBS_CLKEN_OVR_CLK_ALWAYS_ON                    _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SBS_CLKEN_OVR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SBS_CLKEN_OVR_ENABLE                   _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SBS_CLKEN_OVR_DISABLED                 _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SBS_CLKEN_OVR_ENABLED                  _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_FIFO_SBS_CLKEN_OVR__PROD                    _MK_MASK_CONST(0x0)

#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_all_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_all_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_all_CLKEN_OVR_SHIFT)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_all_CLKEN_OVR_RANGE                 11:11
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_all_CLKEN_OVR_WOFFSET                       0x0
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_all_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_all_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_all_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_all_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_all_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_all_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_all_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_all_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_all_CLKEN_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_all_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_all_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_all_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_all_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_WRRSP_all_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)

#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_MCF_CLKEN_A1_OVR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_MCF_CLKEN_A1_OVR_FIELD                    _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_CLKEN_OVERRIDE_0_MCF_CLKEN_A1_OVR_SHIFT)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_MCF_CLKEN_A1_OVR_RANGE                    12:12
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_MCF_CLKEN_A1_OVR_WOFFSET                  0x0
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_MCF_CLKEN_A1_OVR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_MCF_CLKEN_A1_OVR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_MCF_CLKEN_A1_OVR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_MCF_CLKEN_A1_OVR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_MCF_CLKEN_A1_OVR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_MCF_CLKEN_A1_OVR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_MCF_CLKEN_A1_OVR_INIT_ENUM                        CLK_GATED
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_MCF_CLKEN_A1_OVR_CLK_GATED                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_MCF_CLKEN_A1_OVR_CLK_ALWAYS_ON                    _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_MCF_CLKEN_A1_OVR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_MCF_CLKEN_A1_OVR_ENABLE                   _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_MCF_CLKEN_A1_OVR_DISABLED                 _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_MCF_CLKEN_A1_OVR_ENABLED                  _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_MCF_CLKEN_A1_OVR__PROD                    _MK_MASK_CONST(0x0)

#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SCF_CLKEN_A1_OVR_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SCF_CLKEN_A1_OVR_FIELD                    _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SCF_CLKEN_A1_OVR_SHIFT)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SCF_CLKEN_A1_OVR_RANGE                    13:13
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SCF_CLKEN_A1_OVR_WOFFSET                  0x0
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SCF_CLKEN_A1_OVR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SCF_CLKEN_A1_OVR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SCF_CLKEN_A1_OVR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SCF_CLKEN_A1_OVR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SCF_CLKEN_A1_OVR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SCF_CLKEN_A1_OVR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SCF_CLKEN_A1_OVR_INIT_ENUM                        CLK_GATED
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SCF_CLKEN_A1_OVR_CLK_GATED                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SCF_CLKEN_A1_OVR_CLK_ALWAYS_ON                    _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SCF_CLKEN_A1_OVR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SCF_CLKEN_A1_OVR_ENABLE                   _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SCF_CLKEN_A1_OVR_DISABLED                 _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SCF_CLKEN_A1_OVR_ENABLED                  _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_SCF_CLKEN_A1_OVR__PROD                    _MK_MASK_CONST(0x0)

#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_DBG_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_DBG_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_DBG_CLKEN_OVR_SHIFT)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_DBG_CLKEN_OVR_RANGE                 14:14
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_DBG_CLKEN_OVR_WOFFSET                       0x0
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_DBG_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_DBG_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_DBG_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_DBG_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_DBG_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_DBG_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_DBG_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_DBG_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_DBG_CLKEN_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_DBG_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_DBG_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_DBG_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_DBG_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_IRSPX_DBG_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)


// Register MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0                        _MK_ADDR_CONST(0x8018)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_SECURE                         0x0
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_DUAL                   0x0
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_SCR                    0
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_WORD_COUNT                     0x1
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_RESET_MASK                     _MK_MASK_CONST(0x3f)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_READ_MASK                      _MK_MASK_CONST(0x3f)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_WRITE_MASK                     _MK_MASK_CONST(0x3f)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_FIELD                      _MK_FIELD_CONST(0xf, MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_SHIFT)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_RANGE                      3:0
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_WOFFSET                    0x0
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_EN_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_EN_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_EN_SHIFT)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_EN_RANGE                   4:4
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_EN_WOFFSET                 0x0
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_EN_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_EN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_DST_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_SIZE_64_EN_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_SIZE_64_EN_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_SIZE_64_EN_SHIFT)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_SIZE_64_EN_RANGE                       5:5
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_SIZE_64_EN_WOFFSET                     0x0
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_SIZE_64_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_SIZE_64_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_SIZE_64_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_SIZE_64_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_SIZE_64_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0_ORSPX_PM_FIFO_SRC_MATCH_SIZE_64_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_MCF_ORSPX_PM_FIFO_CONFIG_0
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0                   _MK_ADDR_CONST(0x801c)
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_SECURE                    0x0
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_DUAL                      0x0
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_SCR                       0
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_WORD_COUNT                        0x1
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_RESET_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_READ_MASK                         _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_PM_FIFO_CONFIG_CAPTURE_CMD_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_PM_FIFO_CONFIG_CAPTURE_CMD_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_PM_FIFO_CONFIG_0_PM_FIFO_CONFIG_CAPTURE_CMD_SHIFT)
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_PM_FIFO_CONFIG_CAPTURE_CMD_RANGE                  0:0
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_PM_FIFO_CONFIG_CAPTURE_CMD_WOFFSET                        0x0
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_PM_FIFO_CONFIG_CAPTURE_CMD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_PM_FIFO_CONFIG_CAPTURE_CMD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_PM_FIFO_CONFIG_CAPTURE_CMD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_PM_FIFO_CONFIG_CAPTURE_CMD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_PM_FIFO_CONFIG_CAPTURE_CMD_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_PM_FIFO_CONFIG_CAPTURE_CMD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_PM_FIFO_CONFIG_CAPTURE_CMD_RDRSP                  _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_PM_FIFO_CONFIG_0_PM_FIFO_CONFIG_CAPTURE_CMD_WRRSP                  _MK_ENUM_CONST(1)


// Register MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0                        _MK_ADDR_CONST(0x8020)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_SECURE                         0x0
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_DUAL                   0x0
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_SCR                    0
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_WORD_COUNT                     0x1
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_RESET_MASK                     _MK_MASK_CONST(0x1fbfb)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_READ_MASK                      _MK_MASK_CONST(0x1fbfb)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_WRITE_MASK                     _MK_MASK_CONST(0x1fbfb)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_SHIFT)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_RANGE                    1:0
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_WOFFSET                  0x0
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_EN_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_EN_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_EN_SHIFT)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_EN_RANGE                 3:3
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_EN_WOFFSET                       0x0
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_VC_ID_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_FIELD                     _MK_FIELD_CONST(0x7, MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_SHIFT)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_RANGE                     6:4
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_WOFFSET                   0x0
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_EN_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_EN_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_EN_SHIFT)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_EN_RANGE                  7:7
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_EN_WOFFSET                        0x0
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SIZE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_SHIFT)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_RANGE                   9:8
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_WOFFSET                 0x0
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_EN_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_EN_SHIFT)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_EN_RANGE                        11:11
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_EN_WOFFSET                      0x0
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SLC_ID_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_FIELD                        _MK_FIELD_CONST(0xf, MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_SHIFT)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_RANGE                        15:12
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_WOFFSET                      0x0
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_DEFAULT_MASK                 _MK_MASK_CONST(0xf)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_EN_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_EN_FIELD                     _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_EN_SHIFT)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_EN_RANGE                     16:16
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_EN_WOFFSET                   0x0
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_EN_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_EN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_EN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_EN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_EN_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0_IRSPX_PM_FIFO_SRC_MATCH_SOURCE_ID_EN_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_ORSPX_ARB_CONFIG_0
#define MC_MCF_ORSPX_ARB_CONFIG_0                       _MK_ADDR_CONST(0x8024)
#define MC_MCF_ORSPX_ARB_CONFIG_0_SECURE                        0x0
#define MC_MCF_ORSPX_ARB_CONFIG_0_DUAL                  0x0
#define MC_MCF_ORSPX_ARB_CONFIG_0_SCR                   0
#define MC_MCF_ORSPX_ARB_CONFIG_0_WORD_COUNT                    0x1
#define MC_MCF_ORSPX_ARB_CONFIG_0_RESET_VAL                     _MK_MASK_CONST(0x37)
#define MC_MCF_ORSPX_ARB_CONFIG_0_RESET_MASK                    _MK_MASK_CONST(0x1ff)
#define MC_MCF_ORSPX_ARB_CONFIG_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_ARB_CONFIG_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_ARB_CONFIG_0_READ_MASK                     _MK_MASK_CONST(0x1ff)
#define MC_MCF_ORSPX_ARB_CONFIG_0_WRITE_MASK                    _MK_MASK_CONST(0x1ff)
#define MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_SZ64_STALL_EN_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_SZ64_STALL_EN_FIELD                     _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_SZ64_STALL_EN_SHIFT)
#define MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_SZ64_STALL_EN_RANGE                     0:0
#define MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_SZ64_STALL_EN_WOFFSET                   0x0
#define MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_SZ64_STALL_EN_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_SZ64_STALL_EN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_SZ64_STALL_EN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_SZ64_STALL_EN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_SZ64_STALL_EN_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_SZ64_STALL_EN_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_ALL_STALL_EN_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_ALL_STALL_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_ALL_STALL_EN_SHIFT)
#define MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_ALL_STALL_EN_RANGE                      1:1
#define MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_ALL_STALL_EN_WOFFSET                    0x0
#define MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_ALL_STALL_EN_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_ALL_STALL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_ALL_STALL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_ALL_STALL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_ALL_STALL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_ARB_CONFIG_0_RDRSP_ALL_STALL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_MCF_ORSPX_ARB_CONFIG_0_OPT_STALL_MODE_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_MCF_ORSPX_ARB_CONFIG_0_OPT_STALL_MODE_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_ARB_CONFIG_0_OPT_STALL_MODE_SHIFT)
#define MC_MCF_ORSPX_ARB_CONFIG_0_OPT_STALL_MODE_RANGE                  2:2
#define MC_MCF_ORSPX_ARB_CONFIG_0_OPT_STALL_MODE_WOFFSET                        0x0
#define MC_MCF_ORSPX_ARB_CONFIG_0_OPT_STALL_MODE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_ARB_CONFIG_0_OPT_STALL_MODE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_ARB_CONFIG_0_OPT_STALL_MODE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_ARB_CONFIG_0_OPT_STALL_MODE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_ARB_CONFIG_0_OPT_STALL_MODE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_ARB_CONFIG_0_OPT_STALL_MODE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MCF_ORSPX_ARB_CONFIG_0_MAX_STARV_COND_CNT_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_MCF_ORSPX_ARB_CONFIG_0_MAX_STARV_COND_CNT_FIELD                      _MK_FIELD_CONST(0x3f, MC_MCF_ORSPX_ARB_CONFIG_0_MAX_STARV_COND_CNT_SHIFT)
#define MC_MCF_ORSPX_ARB_CONFIG_0_MAX_STARV_COND_CNT_RANGE                      8:3
#define MC_MCF_ORSPX_ARB_CONFIG_0_MAX_STARV_COND_CNT_WOFFSET                    0x0
#define MC_MCF_ORSPX_ARB_CONFIG_0_MAX_STARV_COND_CNT_DEFAULT                    _MK_MASK_CONST(0x6)
#define MC_MCF_ORSPX_ARB_CONFIG_0_MAX_STARV_COND_CNT_DEFAULT_MASK                       _MK_MASK_CONST(0x3f)
#define MC_MCF_ORSPX_ARB_CONFIG_0_MAX_STARV_COND_CNT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_ARB_CONFIG_0_MAX_STARV_COND_CNT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_ARB_CONFIG_0_MAX_STARV_COND_CNT_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_ARB_CONFIG_0_MAX_STARV_COND_CNT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_VCARB_CONFIG_0
#define MC_MCF_IREQX_VCARB_CONFIG_0                     _MK_ADDR_CONST(0x8100)
#define MC_MCF_IREQX_VCARB_CONFIG_0_SECURE                      0x0
#define MC_MCF_IREQX_VCARB_CONFIG_0_DUAL                        0x0
#define MC_MCF_IREQX_VCARB_CONFIG_0_SCR                         0
#define MC_MCF_IREQX_VCARB_CONFIG_0_WORD_COUNT                  0x1
#define MC_MCF_IREQX_VCARB_CONFIG_0_RESET_VAL                   _MK_MASK_CONST(0x8f8)
#define MC_MCF_IREQX_VCARB_CONFIG_0_RESET_MASK                  _MK_MASK_CONST(0xff3fff)
#define MC_MCF_IREQX_VCARB_CONFIG_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_READ_MASK                   _MK_MASK_CONST(0xff3fff)
#define MC_MCF_IREQX_VCARB_CONFIG_0_WRITE_MASK                  _MK_MASK_CONST(0xff3fff)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_FP_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_FP_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_FP_SHIFT)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_FP_RANGE                        0:0
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_FP_WOFFSET                      0x0
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_FP_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_FP_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_FP_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_FP_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_FP_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_FP_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_FP_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_FP_FIELD                     _MK_FIELD_CONST(0x1, MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_FP_SHIFT)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_FP_RANGE                     1:1
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_FP_WOFFSET                   0x0
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_FP_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_FP_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_FP_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_FP_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_FP_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_FP_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_RD_PACK_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_RD_PACK_FIELD                   _MK_FIELD_CONST(0x3, MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_RD_PACK_SHIFT)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_RD_PACK_RANGE                   3:2
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_RD_PACK_WOFFSET                 0x0
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_RD_PACK_DEFAULT                 _MK_MASK_CONST(0x2)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_RD_PACK_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_RD_PACK_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_RD_PACK_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_RD_PACK_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_RD_PACK_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_EL_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_EL_FIELD                     _MK_FIELD_CONST(0x1, MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_EL_SHIFT)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_EL_RANGE                     4:4
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_EL_WOFFSET                   0x0
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_EL_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_EL_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_EL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_EL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_EL_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_CC_EL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SZ64_STALL_EN_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SZ64_STALL_EN_FIELD                     _MK_FIELD_CONST(0x1, MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SZ64_STALL_EN_SHIFT)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SZ64_STALL_EN_RANGE                     5:5
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SZ64_STALL_EN_WOFFSET                   0x0
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SZ64_STALL_EN_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SZ64_STALL_EN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SZ64_STALL_EN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SZ64_STALL_EN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SZ64_STALL_EN_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SZ64_STALL_EN_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ALL_STALL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ALL_STALL_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ALL_STALL_EN_SHIFT)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ALL_STALL_EN_RANGE                      6:6
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ALL_STALL_EN_WOFFSET                    0x0
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ALL_STALL_EN_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ALL_STALL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ALL_STALL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ALL_STALL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ALL_STALL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ALL_STALL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_OPT_STALL_MODE_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_OPT_STALL_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_OPT_STALL_MODE_SHIFT)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_OPT_STALL_MODE_RANGE                    7:7
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_OPT_STALL_MODE_WOFFSET                  0x0
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_OPT_STALL_MODE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_OPT_STALL_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_OPT_STALL_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_OPT_STALL_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_OPT_STALL_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_OPT_STALL_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_MAX_STARV_COND_CNT_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_MAX_STARV_COND_CNT_FIELD                        _MK_FIELD_CONST(0x3f, MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_MAX_STARV_COND_CNT_SHIFT)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_MAX_STARV_COND_CNT_RANGE                        13:8
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_MAX_STARV_COND_CNT_WOFFSET                      0x0
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_MAX_STARV_COND_CNT_DEFAULT                      _MK_MASK_CONST(0x8)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_MAX_STARV_COND_CNT_DEFAULT_MASK                 _MK_MASK_CONST(0x3f)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_MAX_STARV_COND_CNT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_MAX_STARV_COND_CNT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_MAX_STARV_COND_CNT_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_MAX_STARV_COND_CNT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_SH_DIS_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_SH_DIS_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_SH_DIS_SHIFT)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_SH_DIS_RANGE                       16:16
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_SH_DIS_WOFFSET                     0x0
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_SH_DIS_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_SH_DIS_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_SH_DIS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_SH_DIS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_SH_DIS_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_SH_DIS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SISO_SH_DIS_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SISO_SH_DIS_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SISO_SH_DIS_SHIFT)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SISO_SH_DIS_RANGE                       17:17
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SISO_SH_DIS_WOFFSET                     0x0
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SISO_SH_DIS_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SISO_SH_DIS_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SISO_SH_DIS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SISO_SH_DIS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SISO_SH_DIS_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_SISO_SH_DIS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ISO_SH_DIS_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ISO_SH_DIS_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ISO_SH_DIS_SHIFT)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ISO_SH_DIS_RANGE                        18:18
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ISO_SH_DIS_WOFFSET                      0x0
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ISO_SH_DIS_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ISO_SH_DIS_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ISO_SH_DIS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ISO_SH_DIS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ISO_SH_DIS_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ISO_SH_DIS_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_TRANS_DONE_SH_DIS_SHIFT                 _MK_SHIFT_CONST(19)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_TRANS_DONE_SH_DIS_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_TRANS_DONE_SH_DIS_SHIFT)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_TRANS_DONE_SH_DIS_RANGE                 19:19
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_TRANS_DONE_SH_DIS_WOFFSET                       0x0
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_TRANS_DONE_SH_DIS_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_TRANS_DONE_SH_DIS_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_TRANS_DONE_SH_DIS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_TRANS_DONE_SH_DIS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_TRANS_DONE_SH_DIS_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_TRANS_DONE_SH_DIS_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_REMOTE_SH_DIS_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_REMOTE_SH_DIS_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_REMOTE_SH_DIS_SHIFT)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_REMOTE_SH_DIS_RANGE                        20:20
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_REMOTE_SH_DIS_WOFFSET                      0x0
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_REMOTE_SH_DIS_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_REMOTE_SH_DIS_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_REMOTE_SH_DIS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_REMOTE_SH_DIS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_REMOTE_SH_DIS_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_NISO_REMOTE_SH_DIS_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_1_SH_DIS_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_1_SH_DIS_FIELD                      _MK_FIELD_CONST(0x1, MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_1_SH_DIS_SHIFT)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_1_SH_DIS_RANGE                      21:21
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_1_SH_DIS_WOFFSET                    0x0
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_1_SH_DIS_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_1_SH_DIS_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_1_SH_DIS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_1_SH_DIS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_1_SH_DIS_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_1_SH_DIS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_2_SH_DIS_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_2_SH_DIS_FIELD                      _MK_FIELD_CONST(0x1, MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_2_SH_DIS_SHIFT)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_2_SH_DIS_RANGE                      22:22
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_2_SH_DIS_WOFFSET                    0x0
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_2_SH_DIS_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_2_SH_DIS_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_2_SH_DIS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_2_SH_DIS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_2_SH_DIS_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_2_SH_DIS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_3_SH_DIS_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_3_SH_DIS_FIELD                      _MK_FIELD_CONST(0x1, MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_3_SH_DIS_SHIFT)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_3_SH_DIS_RANGE                      23:23
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_3_SH_DIS_WOFFSET                    0x0
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_3_SH_DIS_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_3_SH_DIS_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_3_SH_DIS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_3_SH_DIS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_3_SH_DIS_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_VCARB_CONFIG_0_IREQX_VCARB_ORD_3_SH_DIS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_VCARB_CONFIG_0
#define MC_MCF_OREQX_VCARB_CONFIG_0                     _MK_ADDR_CONST(0x8104)
#define MC_MCF_OREQX_VCARB_CONFIG_0_SECURE                      0x0
#define MC_MCF_OREQX_VCARB_CONFIG_0_DUAL                        0x0
#define MC_MCF_OREQX_VCARB_CONFIG_0_SCR                         0
#define MC_MCF_OREQX_VCARB_CONFIG_0_WORD_COUNT                  0x1
#define MC_MCF_OREQX_VCARB_CONFIG_0_RESET_VAL                   _MK_MASK_CONST(0x8f8)
#define MC_MCF_OREQX_VCARB_CONFIG_0_RESET_MASK                  _MK_MASK_CONST(0x3fff)
#define MC_MCF_OREQX_VCARB_CONFIG_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_VCARB_CONFIG_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_VCARB_CONFIG_0_READ_MASK                   _MK_MASK_CONST(0x3fff)
#define MC_MCF_OREQX_VCARB_CONFIG_0_WRITE_MASK                  _MK_MASK_CONST(0x3fff)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_FP_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_FP_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_FP_SHIFT)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_FP_RANGE                        0:0
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_FP_WOFFSET                      0x0
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_FP_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_FP_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_FP_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_FP_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_FP_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_FP_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_FP_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_FP_FIELD                     _MK_FIELD_CONST(0x1, MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_FP_SHIFT)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_FP_RANGE                     1:1
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_FP_WOFFSET                   0x0
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_FP_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_FP_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_FP_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_FP_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_FP_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_FP_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_RD_PACK_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_RD_PACK_FIELD                   _MK_FIELD_CONST(0x3, MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_RD_PACK_SHIFT)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_RD_PACK_RANGE                   3:2
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_RD_PACK_WOFFSET                 0x0
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_RD_PACK_DEFAULT                 _MK_MASK_CONST(0x2)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_RD_PACK_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_RD_PACK_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_RD_PACK_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_RD_PACK_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_RD_PACK_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_EL_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_EL_FIELD                     _MK_FIELD_CONST(0x1, MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_EL_SHIFT)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_EL_RANGE                     4:4
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_EL_WOFFSET                   0x0
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_EL_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_EL_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_EL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_EL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_EL_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_CC_EL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_SZ64_STALL_EN_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_SZ64_STALL_EN_FIELD                     _MK_FIELD_CONST(0x1, MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_SZ64_STALL_EN_SHIFT)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_SZ64_STALL_EN_RANGE                     5:5
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_SZ64_STALL_EN_WOFFSET                   0x0
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_SZ64_STALL_EN_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_SZ64_STALL_EN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_SZ64_STALL_EN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_SZ64_STALL_EN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_SZ64_STALL_EN_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_SZ64_STALL_EN_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_ALL_STALL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_ALL_STALL_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_ALL_STALL_EN_SHIFT)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_ALL_STALL_EN_RANGE                      6:6
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_ALL_STALL_EN_WOFFSET                    0x0
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_ALL_STALL_EN_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_ALL_STALL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_ALL_STALL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_ALL_STALL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_ALL_STALL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_ALL_STALL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_OPT_STALL_MODE_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_OPT_STALL_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_OPT_STALL_MODE_SHIFT)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_OPT_STALL_MODE_RANGE                    7:7
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_OPT_STALL_MODE_WOFFSET                  0x0
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_OPT_STALL_MODE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_OPT_STALL_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_OPT_STALL_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_OPT_STALL_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_OPT_STALL_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_OPT_STALL_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_MAX_STARV_COND_CNT_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_MAX_STARV_COND_CNT_FIELD                        _MK_FIELD_CONST(0x3f, MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_MAX_STARV_COND_CNT_SHIFT)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_MAX_STARV_COND_CNT_RANGE                        13:8
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_MAX_STARV_COND_CNT_WOFFSET                      0x0
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_MAX_STARV_COND_CNT_DEFAULT                      _MK_MASK_CONST(0x8)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_MAX_STARV_COND_CNT_DEFAULT_MASK                 _MK_MASK_CONST(0x3f)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_MAX_STARV_COND_CNT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_MAX_STARV_COND_CNT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_MAX_STARV_COND_CNT_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_VCARB_CONFIG_0_OREQX_VCARB_MAX_STARV_COND_CNT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_LLARB_CONFIG_0
#define MC_MCF_OREQX_LLARB_CONFIG_0                     _MK_ADDR_CONST(0x8108)
#define MC_MCF_OREQX_LLARB_CONFIG_0_SECURE                      0x0
#define MC_MCF_OREQX_LLARB_CONFIG_0_DUAL                        0x0
#define MC_MCF_OREQX_LLARB_CONFIG_0_SCR                         0
#define MC_MCF_OREQX_LLARB_CONFIG_0_WORD_COUNT                  0x1
#define MC_MCF_OREQX_LLARB_CONFIG_0_RESET_VAL                   _MK_MASK_CONST(0x8000003f)
#define MC_MCF_OREQX_LLARB_CONFIG_0_RESET_MASK                  _MK_MASK_CONST(0x800000ff)
#define MC_MCF_OREQX_LLARB_CONFIG_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_LLARB_CONFIG_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_LLARB_CONFIG_0_READ_MASK                   _MK_MASK_CONST(0x800000ff)
#define MC_MCF_OREQX_LLARB_CONFIG_0_WRITE_MASK                  _MK_MASK_CONST(0x800000ff)
#define MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_MAX_M1_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_MAX_M1_FIELD                        _MK_FIELD_CONST(0xff, MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_MAX_M1_SHIFT)
#define MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_MAX_M1_RANGE                        7:0
#define MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_MAX_M1_WOFFSET                      0x0
#define MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_MAX_M1_DEFAULT                      _MK_MASK_CONST(0x3f)
#define MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_MAX_M1_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_MAX_M1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_MAX_M1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_MAX_M1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_MAX_M1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_EN_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_EN_FIELD                    _MK_FIELD_CONST(0x1, MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_EN_SHIFT)
#define MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_EN_RANGE                    31:31
#define MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_EN_WOFFSET                  0x0
#define MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_EN_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_EN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_EN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_EN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_EN_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_EN_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_SRC_WEIGHT_0_0
#define MC_MCF_IREQX_SRC_WEIGHT_0_0                     _MK_ADDR_CONST(0x810c)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_SECURE                      0x0
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_DUAL                        0x0
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_SCR                         0
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_WORD_COUNT                  0x1
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_RESET_VAL                   _MK_MASK_CONST(0x11111111)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC0_WEIGHT_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC0_WEIGHT_FIELD                     _MK_FIELD_CONST(0xf, MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC0_WEIGHT_SHIFT)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC0_WEIGHT_RANGE                     3:0
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC0_WEIGHT_WOFFSET                   0x0
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC0_WEIGHT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC0_WEIGHT_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC0_WEIGHT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC0_WEIGHT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC0_WEIGHT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC0_WEIGHT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC1_WEIGHT_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC1_WEIGHT_FIELD                     _MK_FIELD_CONST(0xf, MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC1_WEIGHT_SHIFT)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC1_WEIGHT_RANGE                     7:4
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC1_WEIGHT_WOFFSET                   0x0
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC1_WEIGHT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC1_WEIGHT_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC1_WEIGHT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC1_WEIGHT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC1_WEIGHT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC1_WEIGHT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC2_WEIGHT_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC2_WEIGHT_FIELD                     _MK_FIELD_CONST(0xf, MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC2_WEIGHT_SHIFT)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC2_WEIGHT_RANGE                     11:8
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC2_WEIGHT_WOFFSET                   0x0
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC2_WEIGHT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC2_WEIGHT_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC2_WEIGHT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC2_WEIGHT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC2_WEIGHT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC2_WEIGHT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC3_WEIGHT_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC3_WEIGHT_FIELD                     _MK_FIELD_CONST(0xf, MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC3_WEIGHT_SHIFT)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC3_WEIGHT_RANGE                     15:12
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC3_WEIGHT_WOFFSET                   0x0
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC3_WEIGHT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC3_WEIGHT_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC3_WEIGHT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC3_WEIGHT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC3_WEIGHT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC3_WEIGHT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC4_WEIGHT_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC4_WEIGHT_FIELD                     _MK_FIELD_CONST(0xf, MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC4_WEIGHT_SHIFT)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC4_WEIGHT_RANGE                     19:16
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC4_WEIGHT_WOFFSET                   0x0
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC4_WEIGHT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC4_WEIGHT_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC4_WEIGHT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC4_WEIGHT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC4_WEIGHT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC4_WEIGHT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC5_WEIGHT_SHIFT                     _MK_SHIFT_CONST(20)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC5_WEIGHT_FIELD                     _MK_FIELD_CONST(0xf, MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC5_WEIGHT_SHIFT)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC5_WEIGHT_RANGE                     23:20
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC5_WEIGHT_WOFFSET                   0x0
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC5_WEIGHT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC5_WEIGHT_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC5_WEIGHT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC5_WEIGHT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC5_WEIGHT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC5_WEIGHT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC6_WEIGHT_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC6_WEIGHT_FIELD                     _MK_FIELD_CONST(0xf, MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC6_WEIGHT_SHIFT)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC6_WEIGHT_RANGE                     27:24
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC6_WEIGHT_WOFFSET                   0x0
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC6_WEIGHT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC6_WEIGHT_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC6_WEIGHT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC6_WEIGHT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC6_WEIGHT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC6_WEIGHT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC7_WEIGHT_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC7_WEIGHT_FIELD                     _MK_FIELD_CONST(0xf, MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC7_WEIGHT_SHIFT)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC7_WEIGHT_RANGE                     31:28
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC7_WEIGHT_WOFFSET                   0x0
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC7_WEIGHT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC7_WEIGHT_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC7_WEIGHT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC7_WEIGHT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC7_WEIGHT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_SRC_WEIGHT_0_0_IREQX_SRC7_WEIGHT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_SRC_WEIGHT_1_0
#define MC_MCF_IREQX_SRC_WEIGHT_1_0                     _MK_ADDR_CONST(0x8110)
#define MC_MCF_IREQX_SRC_WEIGHT_1_0_SECURE                      0x0
#define MC_MCF_IREQX_SRC_WEIGHT_1_0_DUAL                        0x0
#define MC_MCF_IREQX_SRC_WEIGHT_1_0_SCR                         0
#define MC_MCF_IREQX_SRC_WEIGHT_1_0_WORD_COUNT                  0x1
#define MC_MCF_IREQX_SRC_WEIGHT_1_0_RESET_VAL                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_SRC_WEIGHT_1_0_RESET_MASK                  _MK_MASK_CONST(0xf)
#define MC_MCF_IREQX_SRC_WEIGHT_1_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_1_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_1_0_READ_MASK                   _MK_MASK_CONST(0xf)
#define MC_MCF_IREQX_SRC_WEIGHT_1_0_WRITE_MASK                  _MK_MASK_CONST(0xf)
#define MC_MCF_IREQX_SRC_WEIGHT_1_0_IREQX_SRC8_WEIGHT_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_SRC_WEIGHT_1_0_IREQX_SRC8_WEIGHT_FIELD                     _MK_FIELD_CONST(0xf, MC_MCF_IREQX_SRC_WEIGHT_1_0_IREQX_SRC8_WEIGHT_SHIFT)
#define MC_MCF_IREQX_SRC_WEIGHT_1_0_IREQX_SRC8_WEIGHT_RANGE                     3:0
#define MC_MCF_IREQX_SRC_WEIGHT_1_0_IREQX_SRC8_WEIGHT_WOFFSET                   0x0
#define MC_MCF_IREQX_SRC_WEIGHT_1_0_IREQX_SRC8_WEIGHT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_SRC_WEIGHT_1_0_IREQX_SRC8_WEIGHT_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_MCF_IREQX_SRC_WEIGHT_1_0_IREQX_SRC8_WEIGHT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_1_0_IREQX_SRC8_WEIGHT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_SRC_WEIGHT_1_0_IREQX_SRC8_WEIGHT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_SRC_WEIGHT_1_0_IREQX_SRC8_WEIGHT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_CLKEN_OVERRIDE_0
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0                   _MK_ADDR_CONST(0x8114)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_SECURE                    0x0
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_DUAL                      0x0
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_SCR                       0
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_WORD_COUNT                        0x1
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_RESET_MASK                        _MK_MASK_CONST(0x3f)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_READ_MASK                         _MK_MASK_CONST(0x3f)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_WRITE_MASK                        _MK_MASK_CONST(0x3f)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFI_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFI_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFI_CLKEN_OVR_SHIFT)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFI_CLKEN_OVR_RANGE                 0:0
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFI_CLKEN_OVR_WOFFSET                       0x0
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFI_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFI_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFI_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFI_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFI_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFI_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFI_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFI_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFI_CLKEN_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFI_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFI_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFI_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFI_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFI_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)

#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFO_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFO_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFO_CLKEN_OVR_SHIFT)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFO_CLKEN_OVR_RANGE                 1:1
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFO_CLKEN_OVR_WOFFSET                       0x0
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFO_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFO_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFO_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFO_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFO_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFO_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFO_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFO_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFO_CLKEN_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFO_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFO_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFO_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFO_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_IFO_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)

#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_ARB_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_ARB_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_ARB_CLKEN_OVR_SHIFT)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_ARB_CLKEN_OVR_RANGE                 2:2
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_ARB_CLKEN_OVR_WOFFSET                       0x0
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_ARB_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_ARB_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_ARB_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_ARB_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_ARB_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_ARB_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_ARB_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_ARB_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_ARB_CLKEN_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_ARB_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_ARB_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_ARB_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_ARB_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_ARB_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)

#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_FIFO_CLKEN_OVR_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_FIFO_CLKEN_OVR_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_FIFO_CLKEN_OVR_SHIFT)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_FIFO_CLKEN_OVR_RANGE                        3:3
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_FIFO_CLKEN_OVR_WOFFSET                      0x0
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_FIFO_CLKEN_OVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_FIFO_CLKEN_OVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_FIFO_CLKEN_OVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_FIFO_CLKEN_OVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_FIFO_CLKEN_OVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_FIFO_CLKEN_OVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_FIFO_CLKEN_OVR_INIT_ENUM                    CLK_GATED
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_FIFO_CLKEN_OVR_CLK_GATED                    _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_FIFO_CLKEN_OVR_CLK_ALWAYS_ON                        _MK_ENUM_CONST(1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_FIFO_CLKEN_OVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_FIFO_CLKEN_OVR_ENABLE                       _MK_ENUM_CONST(1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_FIFO_CLKEN_OVR_DISABLED                     _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_FIFO_CLKEN_OVR_ENABLED                      _MK_ENUM_CONST(1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_FIFO_CLKEN_OVR__PROD                        _MK_MASK_CONST(0x0)

#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_REGIF_CLKEN_OVR_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_REGIF_CLKEN_OVR_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_REGIF_CLKEN_OVR_SHIFT)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_REGIF_CLKEN_OVR_RANGE                       4:4
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_REGIF_CLKEN_OVR_WOFFSET                     0x0
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_REGIF_CLKEN_OVR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_REGIF_CLKEN_OVR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_REGIF_CLKEN_OVR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_REGIF_CLKEN_OVR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_REGIF_CLKEN_OVR_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_REGIF_CLKEN_OVR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_REGIF_CLKEN_OVR_INIT_ENUM                   CLK_GATED
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_REGIF_CLKEN_OVR_CLK_GATED                   _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_REGIF_CLKEN_OVR_CLK_ALWAYS_ON                       _MK_ENUM_CONST(1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_REGIF_CLKEN_OVR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_REGIF_CLKEN_OVR_ENABLE                      _MK_ENUM_CONST(1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_REGIF_CLKEN_OVR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_REGIF_CLKEN_OVR_ENABLED                     _MK_ENUM_CONST(1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_REGIF_CLKEN_OVR__PROD                       _MK_MASK_CONST(0x0)

#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_DBG_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_DBG_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_DBG_CLKEN_OVR_SHIFT)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_DBG_CLKEN_OVR_RANGE                 5:5
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_DBG_CLKEN_OVR_WOFFSET                       0x0
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_DBG_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_DBG_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_DBG_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_DBG_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_DBG_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_DBG_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_DBG_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_DBG_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_DBG_CLKEN_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_DBG_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_DBG_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_DBG_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_DBG_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_IREQX_DBG_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)


// Register MC_MCF_OREQX_CLKEN_OVERRIDE_0
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0                   _MK_ADDR_CONST(0x8118)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_SECURE                    0x0
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_DUAL                      0x0
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_SCR                       0
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_WORD_COUNT                        0x1
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_RESET_MASK                        _MK_MASK_CONST(0x3f)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_READ_MASK                         _MK_MASK_CONST(0x3f)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_WRITE_MASK                        _MK_MASK_CONST(0x3f)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFI_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFI_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFI_CLKEN_OVR_SHIFT)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFI_CLKEN_OVR_RANGE                 0:0
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFI_CLKEN_OVR_WOFFSET                       0x0
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFI_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFI_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFI_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFI_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFI_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFI_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFI_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFI_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFI_CLKEN_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFI_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFI_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFI_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFI_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFI_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)

#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFO_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFO_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFO_CLKEN_OVR_SHIFT)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFO_CLKEN_OVR_RANGE                 1:1
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFO_CLKEN_OVR_WOFFSET                       0x0
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFO_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFO_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFO_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFO_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFO_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFO_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFO_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFO_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFO_CLKEN_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFO_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFO_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFO_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFO_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_IFO_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)

#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_ARB_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_ARB_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_ARB_CLKEN_OVR_SHIFT)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_ARB_CLKEN_OVR_RANGE                 2:2
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_ARB_CLKEN_OVR_WOFFSET                       0x0
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_ARB_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_ARB_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_ARB_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_ARB_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_ARB_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_ARB_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_ARB_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_ARB_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_ARB_CLKEN_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_ARB_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_ARB_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_ARB_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_ARB_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_ARB_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)

#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_FIFO_CLKEN_OVR_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_FIFO_CLKEN_OVR_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_FIFO_CLKEN_OVR_SHIFT)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_FIFO_CLKEN_OVR_RANGE                        3:3
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_FIFO_CLKEN_OVR_WOFFSET                      0x0
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_FIFO_CLKEN_OVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_FIFO_CLKEN_OVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_FIFO_CLKEN_OVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_FIFO_CLKEN_OVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_FIFO_CLKEN_OVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_FIFO_CLKEN_OVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_FIFO_CLKEN_OVR_INIT_ENUM                    CLK_GATED
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_FIFO_CLKEN_OVR_CLK_GATED                    _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_FIFO_CLKEN_OVR_CLK_ALWAYS_ON                        _MK_ENUM_CONST(1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_FIFO_CLKEN_OVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_FIFO_CLKEN_OVR_ENABLE                       _MK_ENUM_CONST(1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_FIFO_CLKEN_OVR_DISABLED                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_FIFO_CLKEN_OVR_ENABLED                      _MK_ENUM_CONST(1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_FIFO_CLKEN_OVR__PROD                        _MK_MASK_CONST(0x0)

#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_REGIF_CLKEN_OVR_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_REGIF_CLKEN_OVR_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_REGIF_CLKEN_OVR_SHIFT)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_REGIF_CLKEN_OVR_RANGE                       4:4
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_REGIF_CLKEN_OVR_WOFFSET                     0x0
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_REGIF_CLKEN_OVR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_REGIF_CLKEN_OVR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_REGIF_CLKEN_OVR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_REGIF_CLKEN_OVR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_REGIF_CLKEN_OVR_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_REGIF_CLKEN_OVR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_REGIF_CLKEN_OVR_INIT_ENUM                   CLK_GATED
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_REGIF_CLKEN_OVR_CLK_GATED                   _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_REGIF_CLKEN_OVR_CLK_ALWAYS_ON                       _MK_ENUM_CONST(1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_REGIF_CLKEN_OVR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_REGIF_CLKEN_OVR_ENABLE                      _MK_ENUM_CONST(1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_REGIF_CLKEN_OVR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_REGIF_CLKEN_OVR_ENABLED                     _MK_ENUM_CONST(1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_REGIF_CLKEN_OVR__PROD                       _MK_MASK_CONST(0x0)

#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_DBG_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_DBG_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_DBG_CLKEN_OVR_SHIFT)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_DBG_CLKEN_OVR_RANGE                 5:5
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_DBG_CLKEN_OVR_WOFFSET                       0x0
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_DBG_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_DBG_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_DBG_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_DBG_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_DBG_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_DBG_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_DBG_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_DBG_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_DBG_CLKEN_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_DBG_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_DBG_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_DBG_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_DBG_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_OREQX_DBG_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)


// Register MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0                       _MK_ADDR_CONST(0x8130)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_SECURE                        0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_DUAL                  0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_SCR                   0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_WORD_COUNT                    0x1
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_RESET_MASK                    _MK_MASK_CONST(0xfff)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_READ_MASK                     _MK_MASK_CONST(0xfff)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_WRITE_MASK                    _MK_MASK_CONST(0xfff)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_FIELD                     _MK_FIELD_CONST(0x7, MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_RANGE                     2:0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_WOFFSET                   0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_EN_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_EN_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_EN_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_EN_RANGE                  3:3
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_EN_WOFFSET                        0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_VC_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_FIELD                    _MK_FIELD_CONST(0x3, MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_RANGE                    5:4
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_WOFFSET                  0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_EN_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_EN_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_EN_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_EN_RANGE                 6:6
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_EN_WOFFSET                       0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_DST_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_SHIFT                     _MK_SHIFT_CONST(7)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_FIELD                     _MK_FIELD_CONST(0x1, MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_RANGE                     7:7
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_WOFFSET                   0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_EN_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_EN_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_EN_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_EN_RANGE                  8:8
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_EN_WOFFSET                        0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_RW_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_RANGE                   9:9
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_WOFFSET                 0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_EN_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_EN_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_EN_RANGE                        10:10
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_EN_WOFFSET                      0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_WR64_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_IO_SHIFT                     _MK_SHIFT_CONST(11)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_IO_FIELD                     _MK_FIELD_CONST(0x1, MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_IO_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_IO_RANGE                     11:11
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_IO_WOFFSET                   0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_IO_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_IO_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_IO_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_IO_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_IO_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0_IREQX_PM_FIFO_SRC_MATCH0_IO_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0                       _MK_ADDR_CONST(0x8134)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_SECURE                        0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_DUAL                  0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_SCR                   0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_WORD_COUNT                    0x1
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_RESET_VAL                     _MK_MASK_CONST(0x780)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_RESET_MASK                    _MK_MASK_CONST(0xfff)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_READ_MASK                     _MK_MASK_CONST(0xfff)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_WRITE_MASK                    _MK_MASK_CONST(0xfff)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_FIELD                     _MK_FIELD_CONST(0x7, MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_RANGE                     2:0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_WOFFSET                   0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_EN_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_EN_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_EN_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_EN_RANGE                  3:3
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_EN_WOFFSET                        0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_VC_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_FIELD                    _MK_FIELD_CONST(0x3, MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_RANGE                    5:4
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_WOFFSET                  0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_EN_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_EN_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_EN_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_EN_RANGE                 6:6
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_EN_WOFFSET                       0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_DST_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_SHIFT                     _MK_SHIFT_CONST(7)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_FIELD                     _MK_FIELD_CONST(0x1, MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_RANGE                     7:7
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_WOFFSET                   0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_EN_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_EN_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_EN_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_EN_RANGE                  8:8
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_EN_WOFFSET                        0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_EN_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_RW_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_RANGE                   9:9
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_WOFFSET                 0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_EN_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_EN_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_EN_RANGE                        10:10
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_EN_WOFFSET                      0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_EN_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_WR64_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_IO_SHIFT                     _MK_SHIFT_CONST(11)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_IO_FIELD                     _MK_FIELD_CONST(0x1, MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_IO_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_IO_RANGE                     11:11
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_IO_WOFFSET                   0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_IO_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_IO_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_IO_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_IO_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_IO_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0_IREQX_PM_FIFO_SRC_MATCH1_IO_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_PM_FIFO_SUM_MSK_0
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0                  _MK_ADDR_CONST(0x8138)
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_SECURE                   0x0
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_DUAL                     0x0
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_SCR                      0
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_WORD_COUNT                       0x1
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_RESET_VAL                        _MK_MASK_CONST(0xff81ff)
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_RESET_MASK                       _MK_MASK_CONST(0xff81ff)
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_READ_MASK                        _MK_MASK_CONST(0xff81ff)
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_WRITE_MASK                       _MK_MASK_CONST(0xff81ff)
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK0_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK0_FIELD                    _MK_FIELD_CONST(0x1ff, MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK0_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK0_RANGE                    8:0
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK0_WOFFSET                  0x0
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK0_DEFAULT                  _MK_MASK_CONST(0x1ff)
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK0_DEFAULT_MASK                     _MK_MASK_CONST(0x1ff)
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK0_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK0_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK0_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK1_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK1_FIELD                    _MK_FIELD_CONST(0x1ff, MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK1_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK1_RANGE                    23:15
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK1_WOFFSET                  0x0
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK1_DEFAULT                  _MK_MASK_CONST(0x1ff)
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK1_DEFAULT_MASK                     _MK_MASK_CONST(0x1ff)
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK1_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SUM_MSK_0_IREQX_PM_FIFO_SRC_SUM_MSK_MASK1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_PM_FIFO_SRC_MISC_0
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0                 _MK_ADDR_CONST(0x813c)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_SECURE                  0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_DUAL                    0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_SCR                     0
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_WORD_COUNT                      0x1
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_RESET_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_READ_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_WRITE_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_SRC_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_SRC_FIELD                        _MK_FIELD_CONST(0xf, MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_SRC_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_SRC_RANGE                        3:0
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_SRC_WOFFSET                      0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_SRC_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_SRC_DEFAULT_MASK                 _MK_MASK_CONST(0xf)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_SRC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_SRC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_SRC_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_SRC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_FIELD                 _MK_FIELD_CONST(0x7, MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_RANGE                 6:4
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_WOFFSET                       0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_DEFAULT_MASK                  _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_EN_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_EN_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_EN_RANGE                      7:7
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_EN_WOFFSET                    0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_VC_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_RANGE                 8:8
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_WOFFSET                       0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_EN_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_EN_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_EN_RANGE                      9:9
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_EN_WOFFSET                    0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_RW_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_IO_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_IO_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_IO_SHIFT)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_IO_RANGE                 10:10
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_IO_WOFFSET                       0x0
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_IO_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_IO_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_IO_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_IO_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_IO_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_PM_FIFO_SRC_MISC_0_IREQX_PM_FIFO_SRC_MISC_IO_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0                       _MK_ADDR_CONST(0x8140)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_SECURE                        0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_DUAL                  0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_SCR                   0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_WORD_COUNT                    0x1
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_RESET_MASK                    _MK_MASK_CONST(0x1fff)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_READ_MASK                     _MK_MASK_CONST(0x1fff)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_WRITE_MASK                    _MK_MASK_CONST(0x1fff)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_FIELD                     _MK_FIELD_CONST(0x7, MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_RANGE                     2:0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_WOFFSET                   0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_EN_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_EN_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_EN_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_EN_RANGE                  3:3
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_EN_WOFFSET                        0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_VC_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_FIELD                    _MK_FIELD_CONST(0x7, MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_RANGE                    6:4
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_WOFFSET                  0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_EN_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_EN_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_EN_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_EN_RANGE                 7:7
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_EN_WOFFSET                       0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_DST_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_FIELD                     _MK_FIELD_CONST(0x1, MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_RANGE                     8:8
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_WOFFSET                   0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_EN_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_EN_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_EN_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_EN_RANGE                  9:9
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_EN_WOFFSET                        0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_RW_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_RANGE                   10:10
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_WOFFSET                 0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_EN_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_EN_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_EN_RANGE                        11:11
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_EN_WOFFSET                      0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_WR64_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_IO_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_IO_FIELD                     _MK_FIELD_CONST(0x1, MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_IO_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_IO_RANGE                     12:12
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_IO_WOFFSET                   0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_IO_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_IO_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_IO_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_IO_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_IO_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0_OREQX_PM_FIFO_SRC_MATCH0_IO_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0                       _MK_ADDR_CONST(0x8144)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_SECURE                        0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_DUAL                  0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_SCR                   0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_WORD_COUNT                    0x1
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_RESET_VAL                     _MK_MASK_CONST(0xf00)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_RESET_MASK                    _MK_MASK_CONST(0x1fff)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_READ_MASK                     _MK_MASK_CONST(0x1fff)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_WRITE_MASK                    _MK_MASK_CONST(0x1fff)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_FIELD                     _MK_FIELD_CONST(0x7, MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_RANGE                     2:0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_WOFFSET                   0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_EN_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_EN_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_EN_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_EN_RANGE                  3:3
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_EN_WOFFSET                        0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_VC_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_FIELD                    _MK_FIELD_CONST(0x7, MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_RANGE                    6:4
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_WOFFSET                  0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_EN_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_EN_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_EN_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_EN_RANGE                 7:7
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_EN_WOFFSET                       0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_DST_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_FIELD                     _MK_FIELD_CONST(0x1, MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_RANGE                     8:8
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_WOFFSET                   0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_EN_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_EN_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_EN_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_EN_RANGE                  9:9
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_EN_WOFFSET                        0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_EN_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_RW_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_RANGE                   10:10
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_WOFFSET                 0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_EN_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_EN_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_EN_RANGE                        11:11
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_EN_WOFFSET                      0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_EN_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_WR64_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_IO_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_IO_FIELD                     _MK_FIELD_CONST(0x1, MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_IO_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_IO_RANGE                     12:12
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_IO_WOFFSET                   0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_IO_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_IO_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_IO_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_IO_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_IO_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0_OREQX_PM_FIFO_SRC_MATCH1_IO_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_PM_FIFO_SUM_MSK_0
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0                  _MK_ADDR_CONST(0x8148)
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_SECURE                   0x0
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_DUAL                     0x0
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_SCR                      0
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_WORD_COUNT                       0x1
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_RESET_VAL                        _MK_MASK_CONST(0x1f803f)
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_RESET_MASK                       _MK_MASK_CONST(0x1f803f)
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_READ_MASK                        _MK_MASK_CONST(0x1f803f)
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_WRITE_MASK                       _MK_MASK_CONST(0x1f803f)
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK0_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK0_FIELD                    _MK_FIELD_CONST(0x3f, MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK0_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK0_RANGE                    5:0
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK0_WOFFSET                  0x0
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK0_DEFAULT                  _MK_MASK_CONST(0x3f)
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK0_DEFAULT_MASK                     _MK_MASK_CONST(0x3f)
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK0_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK0_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK0_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK1_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK1_FIELD                    _MK_FIELD_CONST(0x3f, MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK1_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK1_RANGE                    20:15
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK1_WOFFSET                  0x0
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK1_DEFAULT                  _MK_MASK_CONST(0x3f)
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK1_DEFAULT_MASK                     _MK_MASK_CONST(0x3f)
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK1_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SUM_MSK_0_OREQX_PM_FIFO_SRC_SUM_MSK_MASK1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_PM_FIFO_SRC_MISC_0
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0                 _MK_ADDR_CONST(0x814c)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_SECURE                  0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_DUAL                    0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_SCR                     0
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_WORD_COUNT                      0x1
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_RESET_MASK                      _MK_MASK_CONST(0x3ff)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_READ_MASK                       _MK_MASK_CONST(0x3ff)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_WRITE_MASK                      _MK_MASK_CONST(0x3ff)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_SRC_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_SRC_FIELD                        _MK_FIELD_CONST(0x7, MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_SRC_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_SRC_RANGE                        2:0
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_SRC_WOFFSET                      0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_SRC_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_SRC_DEFAULT_MASK                 _MK_MASK_CONST(0x7)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_SRC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_SRC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_SRC_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_SRC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_FIELD                 _MK_FIELD_CONST(0x7, MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_RANGE                 5:3
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_WOFFSET                       0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_DEFAULT_MASK                  _MK_MASK_CONST(0x7)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_EN_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_EN_RANGE                      6:6
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_EN_WOFFSET                    0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_VC_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_RANGE                 7:7
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_WOFFSET                       0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_EN_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_EN_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_EN_RANGE                      8:8
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_EN_WOFFSET                    0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_RW_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_IO_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_IO_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_IO_SHIFT)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_IO_RANGE                 9:9
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_IO_WOFFSET                       0x0
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_IO_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_IO_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_IO_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_IO_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_IO_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_PM_FIFO_SRC_MISC_0_OREQX_PM_FIFO_SRC_MISC_IO_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_STAT_CONTROL_0
#define MC_MCF_OREQX_STAT_CONTROL_0                     _MK_ADDR_CONST(0x8150)
#define MC_MCF_OREQX_STAT_CONTROL_0_SECURE                      0x0
#define MC_MCF_OREQX_STAT_CONTROL_0_DUAL                        0x0
#define MC_MCF_OREQX_STAT_CONTROL_0_SCR                         0
#define MC_MCF_OREQX_STAT_CONTROL_0_WORD_COUNT                  0x1
#define MC_MCF_OREQX_STAT_CONTROL_0_RESET_VAL                   _MK_MASK_CONST(0x2)
#define MC_MCF_OREQX_STAT_CONTROL_0_RESET_MASK                  _MK_MASK_CONST(0x23)
#define MC_MCF_OREQX_STAT_CONTROL_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_CONTROL_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_CONTROL_0_READ_MASK                   _MK_MASK_CONST(0x23)
#define MC_MCF_OREQX_STAT_CONTROL_0_WRITE_MASK                  _MK_MASK_CONST(0x23)
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_FIELD                     _MK_FIELD_CONST(0x3, MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_SHIFT)
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_RANGE                     1:0
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_WOFFSET                   0x0
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_INIT_ENUM                 DISABLE
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_RST                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_DISABLE                   _MK_ENUM_CONST(2)
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_ENABLE                    _MK_ENUM_CONST(3)

#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x1, MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_OVERRIDE_SHIFT)
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_OVERRIDE_RANGE                    5:5
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_OVERRIDE_WOFFSET                  0x0
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_OVERRIDE_INIT_ENUM                        DISABLE
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_OVERRIDE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_OVERRIDE_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0                     _MK_ADDR_CONST(0x8154)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0_SECURE                      0x0
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0_DUAL                        0x0
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0_SCR                         0
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0_WORD_COUNT                  0x1
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0_OREQX_STAT_MATCH0_COUNT_LO_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0_OREQX_STAT_MATCH0_COUNT_LO_FIELD                    _MK_FIELD_CONST(0xffffffff, MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0_OREQX_STAT_MATCH0_COUNT_LO_SHIFT)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0_OREQX_STAT_MATCH0_COUNT_LO_RANGE                    31:0
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0_OREQX_STAT_MATCH0_COUNT_LO_WOFFSET                  0x0
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0_OREQX_STAT_MATCH0_COUNT_LO_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0_OREQX_STAT_MATCH0_COUNT_LO_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0_OREQX_STAT_MATCH0_COUNT_LO_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0_OREQX_STAT_MATCH0_COUNT_LO_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0_OREQX_STAT_MATCH0_COUNT_LO_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0_OREQX_STAT_MATCH0_COUNT_LO_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0                     _MK_ADDR_CONST(0x8158)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0_SECURE                      0x0
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0_DUAL                        0x0
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0_SCR                         0
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0_WORD_COUNT                  0x1
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0_OREQX_STAT_MATCH0_COUNT_HI_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0_OREQX_STAT_MATCH0_COUNT_HI_FIELD                    _MK_FIELD_CONST(0xffffffff, MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0_OREQX_STAT_MATCH0_COUNT_HI_SHIFT)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0_OREQX_STAT_MATCH0_COUNT_HI_RANGE                    31:0
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0_OREQX_STAT_MATCH0_COUNT_HI_WOFFSET                  0x0
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0_OREQX_STAT_MATCH0_COUNT_HI_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0_OREQX_STAT_MATCH0_COUNT_HI_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0_OREQX_STAT_MATCH0_COUNT_HI_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0_OREQX_STAT_MATCH0_COUNT_HI_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0_OREQX_STAT_MATCH0_COUNT_HI_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0_OREQX_STAT_MATCH0_COUNT_HI_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0                     _MK_ADDR_CONST(0x815c)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0_SECURE                      0x0
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0_DUAL                        0x0
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0_SCR                         0
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0_WORD_COUNT                  0x1
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0_OREQX_STAT_MATCH1_COUNT_LO_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0_OREQX_STAT_MATCH1_COUNT_LO_FIELD                    _MK_FIELD_CONST(0xffffffff, MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0_OREQX_STAT_MATCH1_COUNT_LO_SHIFT)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0_OREQX_STAT_MATCH1_COUNT_LO_RANGE                    31:0
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0_OREQX_STAT_MATCH1_COUNT_LO_WOFFSET                  0x0
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0_OREQX_STAT_MATCH1_COUNT_LO_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0_OREQX_STAT_MATCH1_COUNT_LO_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0_OREQX_STAT_MATCH1_COUNT_LO_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0_OREQX_STAT_MATCH1_COUNT_LO_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0_OREQX_STAT_MATCH1_COUNT_LO_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0_OREQX_STAT_MATCH1_COUNT_LO_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0                     _MK_ADDR_CONST(0x8160)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0_SECURE                      0x0
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0_DUAL                        0x0
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0_SCR                         0
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0_WORD_COUNT                  0x1
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0_OREQX_STAT_MATCH1_COUNT_HI_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0_OREQX_STAT_MATCH1_COUNT_HI_FIELD                    _MK_FIELD_CONST(0xffffffff, MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0_OREQX_STAT_MATCH1_COUNT_HI_SHIFT)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0_OREQX_STAT_MATCH1_COUNT_HI_RANGE                    31:0
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0_OREQX_STAT_MATCH1_COUNT_HI_WOFFSET                  0x0
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0_OREQX_STAT_MATCH1_COUNT_HI_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0_OREQX_STAT_MATCH1_COUNT_HI_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0_OREQX_STAT_MATCH1_COUNT_HI_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0_OREQX_STAT_MATCH1_COUNT_HI_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0_OREQX_STAT_MATCH1_COUNT_HI_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0_OREQX_STAT_MATCH1_COUNT_HI_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_HUB_FIFO_NISO_0
#define MC_MCF_IREQX_HUB_FIFO_NISO_0                    _MK_ADDR_CONST(0x8200)
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_SECURE                     0x0
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_DUAL                       0x0
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_SCR                        0
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_WORD_COUNT                         0x1
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_RESET_VAL                  _MK_MASK_CONST(0x20001)
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_RESET_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_READ_MASK                  _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_WRITE_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_RFIFO_NISO_LIMIT_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_RFIFO_NISO_LIMIT_FIELD                   _MK_FIELD_CONST(0xff, MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_RFIFO_NISO_LIMIT_SHIFT)
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_RFIFO_NISO_LIMIT_RANGE                   7:0
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_RFIFO_NISO_LIMIT_WOFFSET                 0x0
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_RFIFO_NISO_LIMIT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_RFIFO_NISO_LIMIT_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_RFIFO_NISO_LIMIT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_RFIFO_NISO_LIMIT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_RFIFO_NISO_LIMIT_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_RFIFO_NISO_LIMIT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_DFIFO_NISO_LIMIT_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_DFIFO_NISO_LIMIT_FIELD                   _MK_FIELD_CONST(0xff, MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_DFIFO_NISO_LIMIT_SHIFT)
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_DFIFO_NISO_LIMIT_RANGE                   23:16
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_DFIFO_NISO_LIMIT_WOFFSET                 0x0
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_DFIFO_NISO_LIMIT_DEFAULT                 _MK_MASK_CONST(0x2)
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_DFIFO_NISO_LIMIT_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_DFIFO_NISO_LIMIT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_DFIFO_NISO_LIMIT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_DFIFO_NISO_LIMIT_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_HUB_FIFO_NISO_0_IREQX_HUB_DFIFO_NISO_LIMIT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_HUB_FIFO_SISO_0
#define MC_MCF_IREQX_HUB_FIFO_SISO_0                    _MK_ADDR_CONST(0x8204)
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_SECURE                     0x0
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_DUAL                       0x0
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_SCR                        0
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_WORD_COUNT                         0x1
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_RESET_VAL                  _MK_MASK_CONST(0x100010)
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_RESET_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_READ_MASK                  _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_WRITE_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_RFIFO_SISO_LIMIT_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_RFIFO_SISO_LIMIT_FIELD                   _MK_FIELD_CONST(0xff, MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_RFIFO_SISO_LIMIT_SHIFT)
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_RFIFO_SISO_LIMIT_RANGE                   7:0
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_RFIFO_SISO_LIMIT_WOFFSET                 0x0
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_RFIFO_SISO_LIMIT_DEFAULT                 _MK_MASK_CONST(0x10)
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_RFIFO_SISO_LIMIT_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_RFIFO_SISO_LIMIT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_RFIFO_SISO_LIMIT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_RFIFO_SISO_LIMIT_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_RFIFO_SISO_LIMIT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_DFIFO_SISO_LIMIT_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_DFIFO_SISO_LIMIT_FIELD                   _MK_FIELD_CONST(0xff, MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_DFIFO_SISO_LIMIT_SHIFT)
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_DFIFO_SISO_LIMIT_RANGE                   23:16
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_DFIFO_SISO_LIMIT_WOFFSET                 0x0
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_DFIFO_SISO_LIMIT_DEFAULT                 _MK_MASK_CONST(0x10)
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_DFIFO_SISO_LIMIT_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_DFIFO_SISO_LIMIT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_DFIFO_SISO_LIMIT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_DFIFO_SISO_LIMIT_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_HUB_FIFO_SISO_0_IREQX_HUB_DFIFO_SISO_LIMIT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_HUB_FIFO_ISO_0
#define MC_MCF_IREQX_HUB_FIFO_ISO_0                     _MK_ADDR_CONST(0x8208)
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_SECURE                      0x0
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_DUAL                        0x0
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_SCR                         0
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_WORD_COUNT                  0x1
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_RESET_VAL                   _MK_MASK_CONST(0x100010)
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_RESET_MASK                  _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_READ_MASK                   _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_WRITE_MASK                  _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_RFIFO_ISO_LIMIT_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_RFIFO_ISO_LIMIT_FIELD                     _MK_FIELD_CONST(0xff, MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_RFIFO_ISO_LIMIT_SHIFT)
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_RFIFO_ISO_LIMIT_RANGE                     7:0
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_RFIFO_ISO_LIMIT_WOFFSET                   0x0
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_RFIFO_ISO_LIMIT_DEFAULT                   _MK_MASK_CONST(0x10)
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_RFIFO_ISO_LIMIT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_RFIFO_ISO_LIMIT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_RFIFO_ISO_LIMIT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_RFIFO_ISO_LIMIT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_RFIFO_ISO_LIMIT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_DFIFO_ISO_LIMIT_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_DFIFO_ISO_LIMIT_FIELD                     _MK_FIELD_CONST(0xff, MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_DFIFO_ISO_LIMIT_SHIFT)
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_DFIFO_ISO_LIMIT_RANGE                     23:16
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_DFIFO_ISO_LIMIT_WOFFSET                   0x0
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_DFIFO_ISO_LIMIT_DEFAULT                   _MK_MASK_CONST(0x10)
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_DFIFO_ISO_LIMIT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_DFIFO_ISO_LIMIT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_DFIFO_ISO_LIMIT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_DFIFO_ISO_LIMIT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_HUB_FIFO_ISO_0_IREQX_HUB_DFIFO_ISO_LIMIT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0                      _MK_ADDR_CONST(0x820c)
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_SECURE                       0x0
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_DUAL                         0x0
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_SCR                  0
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_WORD_COUNT                   0x1
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_RESET_MASK                   _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_READ_MASK                    _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_WRITE_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_RFIFO_TRANS_DONE_LIMIT_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_RFIFO_TRANS_DONE_LIMIT_FIELD                       _MK_FIELD_CONST(0xff, MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_RFIFO_TRANS_DONE_LIMIT_SHIFT)
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_RFIFO_TRANS_DONE_LIMIT_RANGE                       7:0
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_RFIFO_TRANS_DONE_LIMIT_WOFFSET                     0x0
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_RFIFO_TRANS_DONE_LIMIT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_RFIFO_TRANS_DONE_LIMIT_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_RFIFO_TRANS_DONE_LIMIT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_RFIFO_TRANS_DONE_LIMIT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_RFIFO_TRANS_DONE_LIMIT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_RFIFO_TRANS_DONE_LIMIT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_DFIFO_TRANS_DONE_LIMIT_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_DFIFO_TRANS_DONE_LIMIT_FIELD                       _MK_FIELD_CONST(0xff, MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_DFIFO_TRANS_DONE_LIMIT_SHIFT)
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_DFIFO_TRANS_DONE_LIMIT_RANGE                       23:16
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_DFIFO_TRANS_DONE_LIMIT_WOFFSET                     0x0
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_DFIFO_TRANS_DONE_LIMIT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_DFIFO_TRANS_DONE_LIMIT_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_DFIFO_TRANS_DONE_LIMIT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_DFIFO_TRANS_DONE_LIMIT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_DFIFO_TRANS_DONE_LIMIT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0_IREQX_HUB_DFIFO_TRANS_DONE_LIMIT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_HUB_FIFO_ORD_1_0
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0                   _MK_ADDR_CONST(0x8214)
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_SECURE                    0x0
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_DUAL                      0x0
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_SCR                       0
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_WORD_COUNT                        0x1
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_RESET_VAL                         _MK_MASK_CONST(0x20001)
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_RESET_MASK                        _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_READ_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_WRITE_MASK                        _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_RFIFO_ORD_1_LIMIT_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_RFIFO_ORD_1_LIMIT_FIELD                 _MK_FIELD_CONST(0xff, MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_RFIFO_ORD_1_LIMIT_SHIFT)
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_RFIFO_ORD_1_LIMIT_RANGE                 7:0
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_RFIFO_ORD_1_LIMIT_WOFFSET                       0x0
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_RFIFO_ORD_1_LIMIT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_RFIFO_ORD_1_LIMIT_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_RFIFO_ORD_1_LIMIT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_RFIFO_ORD_1_LIMIT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_RFIFO_ORD_1_LIMIT_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_RFIFO_ORD_1_LIMIT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_DFIFO_ORD_1_LIMIT_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_DFIFO_ORD_1_LIMIT_FIELD                 _MK_FIELD_CONST(0xff, MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_DFIFO_ORD_1_LIMIT_SHIFT)
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_DFIFO_ORD_1_LIMIT_RANGE                 23:16
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_DFIFO_ORD_1_LIMIT_WOFFSET                       0x0
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_DFIFO_ORD_1_LIMIT_DEFAULT                       _MK_MASK_CONST(0x2)
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_DFIFO_ORD_1_LIMIT_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_DFIFO_ORD_1_LIMIT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_DFIFO_ORD_1_LIMIT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_DFIFO_ORD_1_LIMIT_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_HUB_FIFO_ORD_1_0_IREQX_HUB_DFIFO_ORD_1_LIMIT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_HUB_FIFO_ORD_2_0
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0                   _MK_ADDR_CONST(0x8218)
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_SECURE                    0x0
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_DUAL                      0x0
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_SCR                       0
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_WORD_COUNT                        0x1
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_RESET_VAL                         _MK_MASK_CONST(0x20001)
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_RESET_MASK                        _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_READ_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_WRITE_MASK                        _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_RFIFO_ORD_2_LIMIT_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_RFIFO_ORD_2_LIMIT_FIELD                 _MK_FIELD_CONST(0xff, MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_RFIFO_ORD_2_LIMIT_SHIFT)
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_RFIFO_ORD_2_LIMIT_RANGE                 7:0
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_RFIFO_ORD_2_LIMIT_WOFFSET                       0x0
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_RFIFO_ORD_2_LIMIT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_RFIFO_ORD_2_LIMIT_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_RFIFO_ORD_2_LIMIT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_RFIFO_ORD_2_LIMIT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_RFIFO_ORD_2_LIMIT_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_RFIFO_ORD_2_LIMIT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_DFIFO_ORD_2_LIMIT_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_DFIFO_ORD_2_LIMIT_FIELD                 _MK_FIELD_CONST(0xff, MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_DFIFO_ORD_2_LIMIT_SHIFT)
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_DFIFO_ORD_2_LIMIT_RANGE                 23:16
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_DFIFO_ORD_2_LIMIT_WOFFSET                       0x0
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_DFIFO_ORD_2_LIMIT_DEFAULT                       _MK_MASK_CONST(0x2)
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_DFIFO_ORD_2_LIMIT_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_DFIFO_ORD_2_LIMIT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_DFIFO_ORD_2_LIMIT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_DFIFO_ORD_2_LIMIT_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_HUB_FIFO_ORD_2_0_IREQX_HUB_DFIFO_ORD_2_LIMIT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_HUB_FIFO_ORD_3_0
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0                   _MK_ADDR_CONST(0x821c)
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_SECURE                    0x0
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_DUAL                      0x0
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_SCR                       0
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_WORD_COUNT                        0x1
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_RESET_VAL                         _MK_MASK_CONST(0x20001)
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_RESET_MASK                        _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_READ_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_WRITE_MASK                        _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_RFIFO_ORD_3_LIMIT_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_RFIFO_ORD_3_LIMIT_FIELD                 _MK_FIELD_CONST(0xff, MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_RFIFO_ORD_3_LIMIT_SHIFT)
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_RFIFO_ORD_3_LIMIT_RANGE                 7:0
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_RFIFO_ORD_3_LIMIT_WOFFSET                       0x0
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_RFIFO_ORD_3_LIMIT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_RFIFO_ORD_3_LIMIT_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_RFIFO_ORD_3_LIMIT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_RFIFO_ORD_3_LIMIT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_RFIFO_ORD_3_LIMIT_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_RFIFO_ORD_3_LIMIT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_DFIFO_ORD_3_LIMIT_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_DFIFO_ORD_3_LIMIT_FIELD                 _MK_FIELD_CONST(0xff, MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_DFIFO_ORD_3_LIMIT_SHIFT)
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_DFIFO_ORD_3_LIMIT_RANGE                 23:16
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_DFIFO_ORD_3_LIMIT_WOFFSET                       0x0
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_DFIFO_ORD_3_LIMIT_DEFAULT                       _MK_MASK_CONST(0x2)
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_DFIFO_ORD_3_LIMIT_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_DFIFO_ORD_3_LIMIT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_DFIFO_ORD_3_LIMIT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_DFIFO_ORD_3_LIMIT_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_HUB_FIFO_ORD_3_0_IREQX_HUB_DFIFO_ORD_3_LIMIT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_HUB_FIFO_SHARED_0
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0                  _MK_ADDR_CONST(0x8220)
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_SECURE                   0x0
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_DUAL                     0x0
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_SCR                      0
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_WORD_COUNT                       0x1
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_RESET_VAL                        _MK_MASK_CONST(0x18001c)
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_RESET_MASK                       _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_READ_MASK                        _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_WRITE_MASK                       _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_RFIFO_SHARED_LIMIT_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_RFIFO_SHARED_LIMIT_FIELD                       _MK_FIELD_CONST(0xff, MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_RFIFO_SHARED_LIMIT_SHIFT)
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_RFIFO_SHARED_LIMIT_RANGE                       7:0
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_RFIFO_SHARED_LIMIT_WOFFSET                     0x0
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_RFIFO_SHARED_LIMIT_DEFAULT                     _MK_MASK_CONST(0x1c)
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_RFIFO_SHARED_LIMIT_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_RFIFO_SHARED_LIMIT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_RFIFO_SHARED_LIMIT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_RFIFO_SHARED_LIMIT_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_RFIFO_SHARED_LIMIT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_DFIFO_SHARED_LIMIT_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_DFIFO_SHARED_LIMIT_FIELD                       _MK_FIELD_CONST(0xff, MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_DFIFO_SHARED_LIMIT_SHIFT)
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_DFIFO_SHARED_LIMIT_RANGE                       23:16
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_DFIFO_SHARED_LIMIT_WOFFSET                     0x0
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_DFIFO_SHARED_LIMIT_DEFAULT                     _MK_MASK_CONST(0x18)
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_DFIFO_SHARED_LIMIT_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_DFIFO_SHARED_LIMIT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_DFIFO_SHARED_LIMIT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_DFIFO_SHARED_LIMIT_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_HUB_FIFO_SHARED_0_IREQX_HUB_DFIFO_SHARED_LIMIT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_NVL_FIFO_NISO_0
#define MC_MCF_IREQX_NVL_FIFO_NISO_0                    _MK_ADDR_CONST(0x8224)
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_SECURE                     0x0
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_DUAL                       0x0
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_SCR                        0
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_WORD_COUNT                         0x1
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_RESET_VAL                  _MK_MASK_CONST(0x20001)
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_RESET_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_READ_MASK                  _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_WRITE_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_RFIFO_NISO_LIMIT_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_RFIFO_NISO_LIMIT_FIELD                   _MK_FIELD_CONST(0xff, MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_RFIFO_NISO_LIMIT_SHIFT)
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_RFIFO_NISO_LIMIT_RANGE                   7:0
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_RFIFO_NISO_LIMIT_WOFFSET                 0x0
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_RFIFO_NISO_LIMIT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_RFIFO_NISO_LIMIT_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_RFIFO_NISO_LIMIT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_RFIFO_NISO_LIMIT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_RFIFO_NISO_LIMIT_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_RFIFO_NISO_LIMIT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_DFIFO_NISO_LIMIT_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_DFIFO_NISO_LIMIT_FIELD                   _MK_FIELD_CONST(0xff, MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_DFIFO_NISO_LIMIT_SHIFT)
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_DFIFO_NISO_LIMIT_RANGE                   23:16
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_DFIFO_NISO_LIMIT_WOFFSET                 0x0
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_DFIFO_NISO_LIMIT_DEFAULT                 _MK_MASK_CONST(0x2)
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_DFIFO_NISO_LIMIT_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_DFIFO_NISO_LIMIT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_DFIFO_NISO_LIMIT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_DFIFO_NISO_LIMIT_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_NVL_FIFO_NISO_0_IREQX_NVL_DFIFO_NISO_LIMIT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_NVL_FIFO_SISO_0
#define MC_MCF_IREQX_NVL_FIFO_SISO_0                    _MK_ADDR_CONST(0x8228)
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_SECURE                     0x0
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_DUAL                       0x0
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_SCR                        0
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_WORD_COUNT                         0x1
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_RESET_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_READ_MASK                  _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_WRITE_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_RFIFO_SISO_LIMIT_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_RFIFO_SISO_LIMIT_FIELD                   _MK_FIELD_CONST(0xff, MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_RFIFO_SISO_LIMIT_SHIFT)
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_RFIFO_SISO_LIMIT_RANGE                   7:0
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_RFIFO_SISO_LIMIT_WOFFSET                 0x0
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_RFIFO_SISO_LIMIT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_RFIFO_SISO_LIMIT_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_RFIFO_SISO_LIMIT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_RFIFO_SISO_LIMIT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_RFIFO_SISO_LIMIT_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_RFIFO_SISO_LIMIT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_DFIFO_SISO_LIMIT_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_DFIFO_SISO_LIMIT_FIELD                   _MK_FIELD_CONST(0xff, MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_DFIFO_SISO_LIMIT_SHIFT)
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_DFIFO_SISO_LIMIT_RANGE                   23:16
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_DFIFO_SISO_LIMIT_WOFFSET                 0x0
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_DFIFO_SISO_LIMIT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_DFIFO_SISO_LIMIT_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_DFIFO_SISO_LIMIT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_DFIFO_SISO_LIMIT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_DFIFO_SISO_LIMIT_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_NVL_FIFO_SISO_0_IREQX_NVL_DFIFO_SISO_LIMIT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_NVL_FIFO_ISO_0
#define MC_MCF_IREQX_NVL_FIFO_ISO_0                     _MK_ADDR_CONST(0x822c)
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_SECURE                      0x0
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_DUAL                        0x0
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_SCR                         0
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_WORD_COUNT                  0x1
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_RESET_MASK                  _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_READ_MASK                   _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_WRITE_MASK                  _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_RFIFO_ISO_LIMIT_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_RFIFO_ISO_LIMIT_FIELD                     _MK_FIELD_CONST(0xff, MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_RFIFO_ISO_LIMIT_SHIFT)
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_RFIFO_ISO_LIMIT_RANGE                     7:0
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_RFIFO_ISO_LIMIT_WOFFSET                   0x0
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_RFIFO_ISO_LIMIT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_RFIFO_ISO_LIMIT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_RFIFO_ISO_LIMIT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_RFIFO_ISO_LIMIT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_RFIFO_ISO_LIMIT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_RFIFO_ISO_LIMIT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_DFIFO_ISO_LIMIT_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_DFIFO_ISO_LIMIT_FIELD                     _MK_FIELD_CONST(0xff, MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_DFIFO_ISO_LIMIT_SHIFT)
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_DFIFO_ISO_LIMIT_RANGE                     23:16
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_DFIFO_ISO_LIMIT_WOFFSET                   0x0
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_DFIFO_ISO_LIMIT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_DFIFO_ISO_LIMIT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_DFIFO_ISO_LIMIT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_DFIFO_ISO_LIMIT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_DFIFO_ISO_LIMIT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_NVL_FIFO_ISO_0_IREQX_NVL_DFIFO_ISO_LIMIT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0                      _MK_ADDR_CONST(0x8230)
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_SECURE                       0x0
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_DUAL                         0x0
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_SCR                  0
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_WORD_COUNT                   0x1
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_RESET_VAL                    _MK_MASK_CONST(0x20001)
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_RESET_MASK                   _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_READ_MASK                    _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_WRITE_MASK                   _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_RFIFO_TRANS_DONE_LIMIT_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_RFIFO_TRANS_DONE_LIMIT_FIELD                       _MK_FIELD_CONST(0xff, MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_RFIFO_TRANS_DONE_LIMIT_SHIFT)
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_RFIFO_TRANS_DONE_LIMIT_RANGE                       7:0
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_RFIFO_TRANS_DONE_LIMIT_WOFFSET                     0x0
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_RFIFO_TRANS_DONE_LIMIT_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_RFIFO_TRANS_DONE_LIMIT_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_RFIFO_TRANS_DONE_LIMIT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_RFIFO_TRANS_DONE_LIMIT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_RFIFO_TRANS_DONE_LIMIT_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_RFIFO_TRANS_DONE_LIMIT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_DFIFO_TRANS_DONE_LIMIT_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_DFIFO_TRANS_DONE_LIMIT_FIELD                       _MK_FIELD_CONST(0xff, MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_DFIFO_TRANS_DONE_LIMIT_SHIFT)
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_DFIFO_TRANS_DONE_LIMIT_RANGE                       23:16
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_DFIFO_TRANS_DONE_LIMIT_WOFFSET                     0x0
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_DFIFO_TRANS_DONE_LIMIT_DEFAULT                     _MK_MASK_CONST(0x2)
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_DFIFO_TRANS_DONE_LIMIT_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_DFIFO_TRANS_DONE_LIMIT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_DFIFO_TRANS_DONE_LIMIT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_DFIFO_TRANS_DONE_LIMIT_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0_IREQX_NVL_DFIFO_TRANS_DONE_LIMIT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_NVL_FIFO_ORD_1_0
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0                   _MK_ADDR_CONST(0x8238)
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_SECURE                    0x0
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_DUAL                      0x0
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_SCR                       0
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_WORD_COUNT                        0x1
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_RESET_MASK                        _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_READ_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_RFIFO_ORD_1_LIMIT_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_RFIFO_ORD_1_LIMIT_FIELD                 _MK_FIELD_CONST(0xff, MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_RFIFO_ORD_1_LIMIT_SHIFT)
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_RFIFO_ORD_1_LIMIT_RANGE                 7:0
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_RFIFO_ORD_1_LIMIT_WOFFSET                       0x0
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_RFIFO_ORD_1_LIMIT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_RFIFO_ORD_1_LIMIT_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_RFIFO_ORD_1_LIMIT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_RFIFO_ORD_1_LIMIT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_RFIFO_ORD_1_LIMIT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_RFIFO_ORD_1_LIMIT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_DFIFO_ORD_1_LIMIT_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_DFIFO_ORD_1_LIMIT_FIELD                 _MK_FIELD_CONST(0xff, MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_DFIFO_ORD_1_LIMIT_SHIFT)
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_DFIFO_ORD_1_LIMIT_RANGE                 23:16
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_DFIFO_ORD_1_LIMIT_WOFFSET                       0x0
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_DFIFO_ORD_1_LIMIT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_DFIFO_ORD_1_LIMIT_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_DFIFO_ORD_1_LIMIT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_DFIFO_ORD_1_LIMIT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_DFIFO_ORD_1_LIMIT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_1_0_IREQX_NVL_DFIFO_ORD_1_LIMIT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_NVL_FIFO_ORD_2_0
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0                   _MK_ADDR_CONST(0x823c)
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_SECURE                    0x0
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_DUAL                      0x0
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_SCR                       0
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_WORD_COUNT                        0x1
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_RESET_MASK                        _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_READ_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_RFIFO_ORD_2_LIMIT_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_RFIFO_ORD_2_LIMIT_FIELD                 _MK_FIELD_CONST(0xff, MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_RFIFO_ORD_2_LIMIT_SHIFT)
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_RFIFO_ORD_2_LIMIT_RANGE                 7:0
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_RFIFO_ORD_2_LIMIT_WOFFSET                       0x0
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_RFIFO_ORD_2_LIMIT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_RFIFO_ORD_2_LIMIT_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_RFIFO_ORD_2_LIMIT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_RFIFO_ORD_2_LIMIT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_RFIFO_ORD_2_LIMIT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_RFIFO_ORD_2_LIMIT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_DFIFO_ORD_2_LIMIT_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_DFIFO_ORD_2_LIMIT_FIELD                 _MK_FIELD_CONST(0xff, MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_DFIFO_ORD_2_LIMIT_SHIFT)
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_DFIFO_ORD_2_LIMIT_RANGE                 23:16
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_DFIFO_ORD_2_LIMIT_WOFFSET                       0x0
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_DFIFO_ORD_2_LIMIT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_DFIFO_ORD_2_LIMIT_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_DFIFO_ORD_2_LIMIT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_DFIFO_ORD_2_LIMIT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_DFIFO_ORD_2_LIMIT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_2_0_IREQX_NVL_DFIFO_ORD_2_LIMIT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_NVL_FIFO_ORD_3_0
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0                   _MK_ADDR_CONST(0x8240)
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_SECURE                    0x0
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_DUAL                      0x0
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_SCR                       0
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_WORD_COUNT                        0x1
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_RESET_MASK                        _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_READ_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_RFIFO_ORD_3_LIMIT_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_RFIFO_ORD_3_LIMIT_FIELD                 _MK_FIELD_CONST(0xff, MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_RFIFO_ORD_3_LIMIT_SHIFT)
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_RFIFO_ORD_3_LIMIT_RANGE                 7:0
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_RFIFO_ORD_3_LIMIT_WOFFSET                       0x0
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_RFIFO_ORD_3_LIMIT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_RFIFO_ORD_3_LIMIT_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_RFIFO_ORD_3_LIMIT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_RFIFO_ORD_3_LIMIT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_RFIFO_ORD_3_LIMIT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_RFIFO_ORD_3_LIMIT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_DFIFO_ORD_3_LIMIT_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_DFIFO_ORD_3_LIMIT_FIELD                 _MK_FIELD_CONST(0xff, MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_DFIFO_ORD_3_LIMIT_SHIFT)
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_DFIFO_ORD_3_LIMIT_RANGE                 23:16
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_DFIFO_ORD_3_LIMIT_WOFFSET                       0x0
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_DFIFO_ORD_3_LIMIT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_DFIFO_ORD_3_LIMIT_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_DFIFO_ORD_3_LIMIT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_DFIFO_ORD_3_LIMIT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_DFIFO_ORD_3_LIMIT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_ORD_3_0_IREQX_NVL_DFIFO_ORD_3_LIMIT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_NVL_FIFO_SHARED_0
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0                  _MK_ADDR_CONST(0x8244)
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_SECURE                   0x0
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_DUAL                     0x0
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_SCR                      0
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_WORD_COUNT                       0x1
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_RESET_VAL                        _MK_MASK_CONST(0x34002e)
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_RESET_MASK                       _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_READ_MASK                        _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_WRITE_MASK                       _MK_MASK_CONST(0xff00ff)
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_RFIFO_SHARED_LIMIT_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_RFIFO_SHARED_LIMIT_FIELD                       _MK_FIELD_CONST(0xff, MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_RFIFO_SHARED_LIMIT_SHIFT)
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_RFIFO_SHARED_LIMIT_RANGE                       7:0
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_RFIFO_SHARED_LIMIT_WOFFSET                     0x0
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_RFIFO_SHARED_LIMIT_DEFAULT                     _MK_MASK_CONST(0x2e)
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_RFIFO_SHARED_LIMIT_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_RFIFO_SHARED_LIMIT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_RFIFO_SHARED_LIMIT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_RFIFO_SHARED_LIMIT_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_RFIFO_SHARED_LIMIT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_DFIFO_SHARED_LIMIT_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_DFIFO_SHARED_LIMIT_FIELD                       _MK_FIELD_CONST(0xff, MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_DFIFO_SHARED_LIMIT_SHIFT)
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_DFIFO_SHARED_LIMIT_RANGE                       23:16
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_DFIFO_SHARED_LIMIT_WOFFSET                     0x0
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_DFIFO_SHARED_LIMIT_DEFAULT                     _MK_MASK_CONST(0x34)
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_DFIFO_SHARED_LIMIT_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_DFIFO_SHARED_LIMIT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_DFIFO_SHARED_LIMIT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_DFIFO_SHARED_LIMIT_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_NVL_FIFO_SHARED_0_IREQX_NVL_DFIFO_SHARED_LIMIT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_MCF_FIFO_NISO_0
#define MC_MCF_OREQX_MCF_FIFO_NISO_0                    _MK_ADDR_CONST(0x8248)
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_SECURE                     0x0
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_DUAL                       0x0
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_SCR                        0
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_WORD_COUNT                         0x1
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_RESET_VAL                  _MK_MASK_CONST(0x20001)
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_RESET_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_READ_MASK                  _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_WRITE_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_RFIFO_NISO_LIMIT_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_RFIFO_NISO_LIMIT_FIELD                   _MK_FIELD_CONST(0xff, MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_RFIFO_NISO_LIMIT_SHIFT)
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_RFIFO_NISO_LIMIT_RANGE                   7:0
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_RFIFO_NISO_LIMIT_WOFFSET                 0x0
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_RFIFO_NISO_LIMIT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_RFIFO_NISO_LIMIT_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_RFIFO_NISO_LIMIT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_RFIFO_NISO_LIMIT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_RFIFO_NISO_LIMIT_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_RFIFO_NISO_LIMIT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_DFIFO_NISO_LIMIT_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_DFIFO_NISO_LIMIT_FIELD                   _MK_FIELD_CONST(0xff, MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_DFIFO_NISO_LIMIT_SHIFT)
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_DFIFO_NISO_LIMIT_RANGE                   23:16
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_DFIFO_NISO_LIMIT_WOFFSET                 0x0
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_DFIFO_NISO_LIMIT_DEFAULT                 _MK_MASK_CONST(0x2)
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_DFIFO_NISO_LIMIT_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_DFIFO_NISO_LIMIT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_DFIFO_NISO_LIMIT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_DFIFO_NISO_LIMIT_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_MCF_FIFO_NISO_0_OREQX_MCF_DFIFO_NISO_LIMIT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_MCF_FIFO_SISO_0
#define MC_MCF_OREQX_MCF_FIFO_SISO_0                    _MK_ADDR_CONST(0x824c)
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_SECURE                     0x0
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_DUAL                       0x0
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_SCR                        0
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_WORD_COUNT                         0x1
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_RESET_VAL                  _MK_MASK_CONST(0x100010)
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_RESET_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_READ_MASK                  _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_WRITE_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_RFIFO_SISO_LIMIT_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_RFIFO_SISO_LIMIT_FIELD                   _MK_FIELD_CONST(0xff, MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_RFIFO_SISO_LIMIT_SHIFT)
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_RFIFO_SISO_LIMIT_RANGE                   7:0
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_RFIFO_SISO_LIMIT_WOFFSET                 0x0
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_RFIFO_SISO_LIMIT_DEFAULT                 _MK_MASK_CONST(0x10)
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_RFIFO_SISO_LIMIT_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_RFIFO_SISO_LIMIT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_RFIFO_SISO_LIMIT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_RFIFO_SISO_LIMIT_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_RFIFO_SISO_LIMIT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_DFIFO_SISO_LIMIT_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_DFIFO_SISO_LIMIT_FIELD                   _MK_FIELD_CONST(0xff, MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_DFIFO_SISO_LIMIT_SHIFT)
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_DFIFO_SISO_LIMIT_RANGE                   23:16
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_DFIFO_SISO_LIMIT_WOFFSET                 0x0
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_DFIFO_SISO_LIMIT_DEFAULT                 _MK_MASK_CONST(0x10)
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_DFIFO_SISO_LIMIT_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_DFIFO_SISO_LIMIT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_DFIFO_SISO_LIMIT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_DFIFO_SISO_LIMIT_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_MCF_FIFO_SISO_0_OREQX_MCF_DFIFO_SISO_LIMIT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_MCF_FIFO_ISO_0
#define MC_MCF_OREQX_MCF_FIFO_ISO_0                     _MK_ADDR_CONST(0x8250)
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_SECURE                      0x0
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_DUAL                        0x0
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_SCR                         0
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_WORD_COUNT                  0x1
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_RESET_VAL                   _MK_MASK_CONST(0x100010)
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_RESET_MASK                  _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_READ_MASK                   _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_WRITE_MASK                  _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_RFIFO_ISO_LIMIT_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_RFIFO_ISO_LIMIT_FIELD                     _MK_FIELD_CONST(0xff, MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_RFIFO_ISO_LIMIT_SHIFT)
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_RFIFO_ISO_LIMIT_RANGE                     7:0
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_RFIFO_ISO_LIMIT_WOFFSET                   0x0
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_RFIFO_ISO_LIMIT_DEFAULT                   _MK_MASK_CONST(0x10)
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_RFIFO_ISO_LIMIT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_RFIFO_ISO_LIMIT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_RFIFO_ISO_LIMIT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_RFIFO_ISO_LIMIT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_RFIFO_ISO_LIMIT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_DFIFO_ISO_LIMIT_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_DFIFO_ISO_LIMIT_FIELD                     _MK_FIELD_CONST(0xff, MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_DFIFO_ISO_LIMIT_SHIFT)
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_DFIFO_ISO_LIMIT_RANGE                     23:16
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_DFIFO_ISO_LIMIT_WOFFSET                   0x0
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_DFIFO_ISO_LIMIT_DEFAULT                   _MK_MASK_CONST(0x10)
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_DFIFO_ISO_LIMIT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_DFIFO_ISO_LIMIT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_DFIFO_ISO_LIMIT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_DFIFO_ISO_LIMIT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_MCF_FIFO_ISO_0_OREQX_MCF_DFIFO_ISO_LIMIT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_MCF_FIFO_CPU_LL_0
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0                  _MK_ADDR_CONST(0x8254)
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_SECURE                   0x0
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_DUAL                     0x0
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_SCR                      0
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_WORD_COUNT                       0x1
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_RESET_MASK                       _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_READ_MASK                        _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_RFIFO_CPU_LL_LIMIT_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_RFIFO_CPU_LL_LIMIT_FIELD                       _MK_FIELD_CONST(0xff, MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_RFIFO_CPU_LL_LIMIT_SHIFT)
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_RFIFO_CPU_LL_LIMIT_RANGE                       7:0
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_RFIFO_CPU_LL_LIMIT_WOFFSET                     0x0
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_RFIFO_CPU_LL_LIMIT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_RFIFO_CPU_LL_LIMIT_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_RFIFO_CPU_LL_LIMIT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_RFIFO_CPU_LL_LIMIT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_RFIFO_CPU_LL_LIMIT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_RFIFO_CPU_LL_LIMIT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_DFIFO_CPU_LL_LIMIT_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_DFIFO_CPU_LL_LIMIT_FIELD                       _MK_FIELD_CONST(0xff, MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_DFIFO_CPU_LL_LIMIT_SHIFT)
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_DFIFO_CPU_LL_LIMIT_RANGE                       23:16
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_DFIFO_CPU_LL_LIMIT_WOFFSET                     0x0
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_DFIFO_CPU_LL_LIMIT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_DFIFO_CPU_LL_LIMIT_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_DFIFO_CPU_LL_LIMIT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_DFIFO_CPU_LL_LIMIT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_DFIFO_CPU_LL_LIMIT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_CPU_LL_0_OREQX_MCF_DFIFO_CPU_LL_LIMIT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0                     _MK_ADDR_CONST(0x8258)
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_SECURE                      0x0
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_DUAL                        0x0
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_SCR                         0
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_WORD_COUNT                  0x1
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_RESET_VAL                   _MK_MASK_CONST(0x20001)
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_RESET_MASK                  _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_READ_MASK                   _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_WRITE_MASK                  _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_RFIFO_NISO_REMOTE_LIMIT_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_RFIFO_NISO_REMOTE_LIMIT_FIELD                     _MK_FIELD_CONST(0xff, MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_RFIFO_NISO_REMOTE_LIMIT_SHIFT)
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_RFIFO_NISO_REMOTE_LIMIT_RANGE                     7:0
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_RFIFO_NISO_REMOTE_LIMIT_WOFFSET                   0x0
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_RFIFO_NISO_REMOTE_LIMIT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_RFIFO_NISO_REMOTE_LIMIT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_RFIFO_NISO_REMOTE_LIMIT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_RFIFO_NISO_REMOTE_LIMIT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_RFIFO_NISO_REMOTE_LIMIT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_RFIFO_NISO_REMOTE_LIMIT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_DFIFO_NISO_REMOTE_LIMIT_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_DFIFO_NISO_REMOTE_LIMIT_FIELD                     _MK_FIELD_CONST(0xff, MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_DFIFO_NISO_REMOTE_LIMIT_SHIFT)
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_DFIFO_NISO_REMOTE_LIMIT_RANGE                     23:16
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_DFIFO_NISO_REMOTE_LIMIT_WOFFSET                   0x0
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_DFIFO_NISO_REMOTE_LIMIT_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_DFIFO_NISO_REMOTE_LIMIT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_DFIFO_NISO_REMOTE_LIMIT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_DFIFO_NISO_REMOTE_LIMIT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_DFIFO_NISO_REMOTE_LIMIT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0_OREQX_MCF_DFIFO_NISO_REMOTE_LIMIT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_MCF_FIFO_SHARED_0
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0                  _MK_ADDR_CONST(0x825c)
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_SECURE                   0x0
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_DUAL                     0x0
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_SCR                      0
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_WORD_COUNT                       0x1
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_RESET_VAL                        _MK_MASK_CONST(0x1c001e)
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_RESET_MASK                       _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_READ_MASK                        _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_WRITE_MASK                       _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_RFIFO_SHARED_LIMIT_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_RFIFO_SHARED_LIMIT_FIELD                       _MK_FIELD_CONST(0xff, MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_RFIFO_SHARED_LIMIT_SHIFT)
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_RFIFO_SHARED_LIMIT_RANGE                       7:0
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_RFIFO_SHARED_LIMIT_WOFFSET                     0x0
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_RFIFO_SHARED_LIMIT_DEFAULT                     _MK_MASK_CONST(0x1e)
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_RFIFO_SHARED_LIMIT_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_RFIFO_SHARED_LIMIT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_RFIFO_SHARED_LIMIT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_RFIFO_SHARED_LIMIT_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_RFIFO_SHARED_LIMIT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_DFIFO_SHARED_LIMIT_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_DFIFO_SHARED_LIMIT_FIELD                       _MK_FIELD_CONST(0xff, MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_DFIFO_SHARED_LIMIT_SHIFT)
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_DFIFO_SHARED_LIMIT_RANGE                       23:16
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_DFIFO_SHARED_LIMIT_WOFFSET                     0x0
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_DFIFO_SHARED_LIMIT_DEFAULT                     _MK_MASK_CONST(0x1c)
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_DFIFO_SHARED_LIMIT_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_DFIFO_SHARED_LIMIT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_DFIFO_SHARED_LIMIT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_DFIFO_SHARED_LIMIT_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_MCF_FIFO_SHARED_0_OREQX_MCF_DFIFO_SHARED_LIMIT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_SCF_FIFO_NISO_0
#define MC_MCF_OREQX_SCF_FIFO_NISO_0                    _MK_ADDR_CONST(0x8260)
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_SECURE                     0x0
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_DUAL                       0x0
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_SCR                        0
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_WORD_COUNT                         0x1
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_RESET_VAL                  _MK_MASK_CONST(0x20001)
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_RESET_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_READ_MASK                  _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_WRITE_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_RFIFO_NISO_LIMIT_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_RFIFO_NISO_LIMIT_FIELD                   _MK_FIELD_CONST(0xff, MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_RFIFO_NISO_LIMIT_SHIFT)
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_RFIFO_NISO_LIMIT_RANGE                   7:0
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_RFIFO_NISO_LIMIT_WOFFSET                 0x0
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_RFIFO_NISO_LIMIT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_RFIFO_NISO_LIMIT_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_RFIFO_NISO_LIMIT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_RFIFO_NISO_LIMIT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_RFIFO_NISO_LIMIT_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_RFIFO_NISO_LIMIT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_DFIFO_NISO_LIMIT_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_DFIFO_NISO_LIMIT_FIELD                   _MK_FIELD_CONST(0xff, MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_DFIFO_NISO_LIMIT_SHIFT)
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_DFIFO_NISO_LIMIT_RANGE                   23:16
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_DFIFO_NISO_LIMIT_WOFFSET                 0x0
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_DFIFO_NISO_LIMIT_DEFAULT                 _MK_MASK_CONST(0x2)
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_DFIFO_NISO_LIMIT_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_DFIFO_NISO_LIMIT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_DFIFO_NISO_LIMIT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_DFIFO_NISO_LIMIT_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_SCF_FIFO_NISO_0_OREQX_SCF_DFIFO_NISO_LIMIT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_SCF_FIFO_SISO_0
#define MC_MCF_OREQX_SCF_FIFO_SISO_0                    _MK_ADDR_CONST(0x8264)
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_SECURE                     0x0
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_DUAL                       0x0
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_SCR                        0
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_WORD_COUNT                         0x1
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_RESET_VAL                  _MK_MASK_CONST(0x100010)
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_RESET_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_READ_MASK                  _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_WRITE_MASK                         _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_RFIFO_SISO_LIMIT_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_RFIFO_SISO_LIMIT_FIELD                   _MK_FIELD_CONST(0xff, MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_RFIFO_SISO_LIMIT_SHIFT)
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_RFIFO_SISO_LIMIT_RANGE                   7:0
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_RFIFO_SISO_LIMIT_WOFFSET                 0x0
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_RFIFO_SISO_LIMIT_DEFAULT                 _MK_MASK_CONST(0x10)
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_RFIFO_SISO_LIMIT_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_RFIFO_SISO_LIMIT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_RFIFO_SISO_LIMIT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_RFIFO_SISO_LIMIT_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_RFIFO_SISO_LIMIT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_DFIFO_SISO_LIMIT_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_DFIFO_SISO_LIMIT_FIELD                   _MK_FIELD_CONST(0xff, MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_DFIFO_SISO_LIMIT_SHIFT)
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_DFIFO_SISO_LIMIT_RANGE                   23:16
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_DFIFO_SISO_LIMIT_WOFFSET                 0x0
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_DFIFO_SISO_LIMIT_DEFAULT                 _MK_MASK_CONST(0x10)
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_DFIFO_SISO_LIMIT_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_DFIFO_SISO_LIMIT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_DFIFO_SISO_LIMIT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_DFIFO_SISO_LIMIT_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_SCF_FIFO_SISO_0_OREQX_SCF_DFIFO_SISO_LIMIT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_SCF_FIFO_ISO_0
#define MC_MCF_OREQX_SCF_FIFO_ISO_0                     _MK_ADDR_CONST(0x8268)
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_SECURE                      0x0
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_DUAL                        0x0
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_SCR                         0
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_WORD_COUNT                  0x1
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_RESET_VAL                   _MK_MASK_CONST(0x20001)
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_RESET_MASK                  _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_READ_MASK                   _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_WRITE_MASK                  _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_RFIFO_ISO_LIMIT_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_RFIFO_ISO_LIMIT_FIELD                     _MK_FIELD_CONST(0xff, MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_RFIFO_ISO_LIMIT_SHIFT)
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_RFIFO_ISO_LIMIT_RANGE                     7:0
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_RFIFO_ISO_LIMIT_WOFFSET                   0x0
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_RFIFO_ISO_LIMIT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_RFIFO_ISO_LIMIT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_RFIFO_ISO_LIMIT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_RFIFO_ISO_LIMIT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_RFIFO_ISO_LIMIT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_RFIFO_ISO_LIMIT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_DFIFO_ISO_LIMIT_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_DFIFO_ISO_LIMIT_FIELD                     _MK_FIELD_CONST(0xff, MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_DFIFO_ISO_LIMIT_SHIFT)
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_DFIFO_ISO_LIMIT_RANGE                     23:16
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_DFIFO_ISO_LIMIT_WOFFSET                   0x0
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_DFIFO_ISO_LIMIT_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_DFIFO_ISO_LIMIT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_DFIFO_ISO_LIMIT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_DFIFO_ISO_LIMIT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_DFIFO_ISO_LIMIT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_SCF_FIFO_ISO_0_OREQX_SCF_DFIFO_ISO_LIMIT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_SCF_FIFO_CPU_LL_0
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0                  _MK_ADDR_CONST(0x826c)
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_SECURE                   0x0
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_DUAL                     0x0
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_SCR                      0
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_WORD_COUNT                       0x1
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_RESET_MASK                       _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_READ_MASK                        _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_RFIFO_CPU_LL_LIMIT_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_RFIFO_CPU_LL_LIMIT_FIELD                       _MK_FIELD_CONST(0xff, MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_RFIFO_CPU_LL_LIMIT_SHIFT)
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_RFIFO_CPU_LL_LIMIT_RANGE                       7:0
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_RFIFO_CPU_LL_LIMIT_WOFFSET                     0x0
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_RFIFO_CPU_LL_LIMIT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_RFIFO_CPU_LL_LIMIT_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_RFIFO_CPU_LL_LIMIT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_RFIFO_CPU_LL_LIMIT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_RFIFO_CPU_LL_LIMIT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_RFIFO_CPU_LL_LIMIT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_DFIFO_CPU_LL_LIMIT_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_DFIFO_CPU_LL_LIMIT_FIELD                       _MK_FIELD_CONST(0xff, MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_DFIFO_CPU_LL_LIMIT_SHIFT)
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_DFIFO_CPU_LL_LIMIT_RANGE                       23:16
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_DFIFO_CPU_LL_LIMIT_WOFFSET                     0x0
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_DFIFO_CPU_LL_LIMIT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_DFIFO_CPU_LL_LIMIT_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_DFIFO_CPU_LL_LIMIT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_DFIFO_CPU_LL_LIMIT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_DFIFO_CPU_LL_LIMIT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_CPU_LL_0_OREQX_SCF_DFIFO_CPU_LL_LIMIT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0                     _MK_ADDR_CONST(0x8270)
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_SECURE                      0x0
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_DUAL                        0x0
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_SCR                         0
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_WORD_COUNT                  0x1
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_RESET_VAL                   _MK_MASK_CONST(0x20001)
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_RESET_MASK                  _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_READ_MASK                   _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_WRITE_MASK                  _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_RFIFO_NISO_REMOTE_LIMIT_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_RFIFO_NISO_REMOTE_LIMIT_FIELD                     _MK_FIELD_CONST(0xff, MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_RFIFO_NISO_REMOTE_LIMIT_SHIFT)
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_RFIFO_NISO_REMOTE_LIMIT_RANGE                     7:0
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_RFIFO_NISO_REMOTE_LIMIT_WOFFSET                   0x0
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_RFIFO_NISO_REMOTE_LIMIT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_RFIFO_NISO_REMOTE_LIMIT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_RFIFO_NISO_REMOTE_LIMIT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_RFIFO_NISO_REMOTE_LIMIT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_RFIFO_NISO_REMOTE_LIMIT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_RFIFO_NISO_REMOTE_LIMIT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_DFIFO_NISO_REMOTE_LIMIT_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_DFIFO_NISO_REMOTE_LIMIT_FIELD                     _MK_FIELD_CONST(0xff, MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_DFIFO_NISO_REMOTE_LIMIT_SHIFT)
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_DFIFO_NISO_REMOTE_LIMIT_RANGE                     23:16
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_DFIFO_NISO_REMOTE_LIMIT_WOFFSET                   0x0
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_DFIFO_NISO_REMOTE_LIMIT_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_DFIFO_NISO_REMOTE_LIMIT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_DFIFO_NISO_REMOTE_LIMIT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_DFIFO_NISO_REMOTE_LIMIT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_DFIFO_NISO_REMOTE_LIMIT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0_OREQX_SCF_DFIFO_NISO_REMOTE_LIMIT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_SCF_FIFO_SHARED_0
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0                  _MK_ADDR_CONST(0x8274)
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_SECURE                   0x0
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_DUAL                     0x0
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_SCR                      0
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_WORD_COUNT                       0x1
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_RESET_VAL                        _MK_MASK_CONST(0x2a002d)
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_RESET_MASK                       _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_READ_MASK                        _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_WRITE_MASK                       _MK_MASK_CONST(0xff00ff)
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_RFIFO_SHARED_LIMIT_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_RFIFO_SHARED_LIMIT_FIELD                       _MK_FIELD_CONST(0xff, MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_RFIFO_SHARED_LIMIT_SHIFT)
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_RFIFO_SHARED_LIMIT_RANGE                       7:0
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_RFIFO_SHARED_LIMIT_WOFFSET                     0x0
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_RFIFO_SHARED_LIMIT_DEFAULT                     _MK_MASK_CONST(0x2d)
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_RFIFO_SHARED_LIMIT_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_RFIFO_SHARED_LIMIT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_RFIFO_SHARED_LIMIT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_RFIFO_SHARED_LIMIT_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_RFIFO_SHARED_LIMIT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_DFIFO_SHARED_LIMIT_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_DFIFO_SHARED_LIMIT_FIELD                       _MK_FIELD_CONST(0xff, MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_DFIFO_SHARED_LIMIT_SHIFT)
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_DFIFO_SHARED_LIMIT_RANGE                       23:16
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_DFIFO_SHARED_LIMIT_WOFFSET                     0x0
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_DFIFO_SHARED_LIMIT_DEFAULT                     _MK_MASK_CONST(0x2a)
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_DFIFO_SHARED_LIMIT_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_DFIFO_SHARED_LIMIT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_DFIFO_SHARED_LIMIT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_DFIFO_SHARED_LIMIT_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_SCF_FIFO_SHARED_0_OREQX_SCF_DFIFO_SHARED_LIMIT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0
#define MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0                        _MK_ADDR_CONST(0x8278)
#define MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0_SECURE                         0x0
#define MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0_DUAL                   0x0
#define MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0_SCR                    0
#define MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0_WORD_COUNT                     0x1
#define MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0_RESET_VAL                      _MK_MASK_CONST(0x20)
#define MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0_RESET_MASK                     _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0_READ_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0_WRITE_MASK                     _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0_OREQX_SCF_LLFIFO_CPU_LL_LIMIT_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0_OREQX_SCF_LLFIFO_CPU_LL_LIMIT_FIELD                    _MK_FIELD_CONST(0xff, MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0_OREQX_SCF_LLFIFO_CPU_LL_LIMIT_SHIFT)
#define MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0_OREQX_SCF_LLFIFO_CPU_LL_LIMIT_RANGE                    7:0
#define MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0_OREQX_SCF_LLFIFO_CPU_LL_LIMIT_WOFFSET                  0x0
#define MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0_OREQX_SCF_LLFIFO_CPU_LL_LIMIT_DEFAULT                  _MK_MASK_CONST(0x20)
#define MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0_OREQX_SCF_LLFIFO_CPU_LL_LIMIT_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0_OREQX_SCF_LLFIFO_CPU_LL_LIMIT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0_OREQX_SCF_LLFIFO_CPU_LL_LIMIT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0_OREQX_SCF_LLFIFO_CPU_LL_LIMIT_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0_OREQX_SCF_LLFIFO_CPU_LL_LIMIT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MCF_SLICE_CFG_0
#define MC_MCF_SLICE_CFG_0                      _MK_ADDR_CONST(0x8300)
#define MC_MCF_SLICE_CFG_0_SECURE                       0x0
#define MC_MCF_SLICE_CFG_0_DUAL                         0x0
#define MC_MCF_SLICE_CFG_0_SCR                  0
#define MC_MCF_SLICE_CFG_0_WORD_COUNT                   0x1
#define MC_MCF_SLICE_CFG_0_RESET_VAL                    _MK_MASK_CONST(0x20000)
#define MC_MCF_SLICE_CFG_0_RESET_MASK                   _MK_MASK_CONST(0x70003)
#define MC_MCF_SLICE_CFG_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x20000)
#define MC_MCF_SLICE_CFG_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x70003)
#define MC_MCF_SLICE_CFG_0_READ_MASK                    _MK_MASK_CONST(0x70003)
#define MC_MCF_SLICE_CFG_0_WRITE_MASK                   _MK_MASK_CONST(0x70003)
#define MC_MCF_SLICE_CFG_0_ALLOW_ISO_REQ_ON_COHERENT_PATH_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_CFG_0_ALLOW_ISO_REQ_ON_COHERENT_PATH_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_CFG_0_ALLOW_ISO_REQ_ON_COHERENT_PATH_SHIFT)
#define MC_MCF_SLICE_CFG_0_ALLOW_ISO_REQ_ON_COHERENT_PATH_RANGE                 0:0
#define MC_MCF_SLICE_CFG_0_ALLOW_ISO_REQ_ON_COHERENT_PATH_WOFFSET                       0x0
#define MC_MCF_SLICE_CFG_0_ALLOW_ISO_REQ_ON_COHERENT_PATH_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CFG_0_ALLOW_ISO_REQ_ON_COHERENT_PATH_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_ALLOW_ISO_REQ_ON_COHERENT_PATH_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CFG_0_ALLOW_ISO_REQ_ON_COHERENT_PATH_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_ALLOW_ISO_REQ_ON_COHERENT_PATH_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_ALLOW_ISO_REQ_ON_COHERENT_PATH_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_ALLOW_ISO_REQ_ON_COHERENT_PATH_INIT_ENUM                     NO
#define MC_MCF_SLICE_CFG_0_ALLOW_ISO_REQ_ON_COHERENT_PATH_NO                    _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CFG_0_ALLOW_ISO_REQ_ON_COHERENT_PATH_YES                   _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CFG_0_ALLOW_ISO_REQ_ON_COHERENT_PATH__PROD                 _MK_MASK_CONST(0x0)

#define MC_MCF_SLICE_CFG_0_ALLOW_REMOTE_REQ_ON_COHERENT_PATH_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_MCF_SLICE_CFG_0_ALLOW_REMOTE_REQ_ON_COHERENT_PATH_FIELD                      _MK_FIELD_CONST(0x1, MC_MCF_SLICE_CFG_0_ALLOW_REMOTE_REQ_ON_COHERENT_PATH_SHIFT)
#define MC_MCF_SLICE_CFG_0_ALLOW_REMOTE_REQ_ON_COHERENT_PATH_RANGE                      1:1
#define MC_MCF_SLICE_CFG_0_ALLOW_REMOTE_REQ_ON_COHERENT_PATH_WOFFSET                    0x0
#define MC_MCF_SLICE_CFG_0_ALLOW_REMOTE_REQ_ON_COHERENT_PATH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CFG_0_ALLOW_REMOTE_REQ_ON_COHERENT_PATH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_ALLOW_REMOTE_REQ_ON_COHERENT_PATH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CFG_0_ALLOW_REMOTE_REQ_ON_COHERENT_PATH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_ALLOW_REMOTE_REQ_ON_COHERENT_PATH_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_ALLOW_REMOTE_REQ_ON_COHERENT_PATH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_ALLOW_REMOTE_REQ_ON_COHERENT_PATH_INIT_ENUM                  NO
#define MC_MCF_SLICE_CFG_0_ALLOW_REMOTE_REQ_ON_COHERENT_PATH_NO                 _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CFG_0_ALLOW_REMOTE_REQ_ON_COHERENT_PATH_YES                        _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CFG_0_ALLOW_REMOTE_REQ_ON_COHERENT_PATH__PROD                      _MK_MASK_CONST(0x0)

#define MC_MCF_SLICE_CFG_0_SLICE_VCARB_TYPE_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_MCF_SLICE_CFG_0_SLICE_VCARB_TYPE_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_CFG_0_SLICE_VCARB_TYPE_SHIFT)
#define MC_MCF_SLICE_CFG_0_SLICE_VCARB_TYPE_RANGE                       16:16
#define MC_MCF_SLICE_CFG_0_SLICE_VCARB_TYPE_WOFFSET                     0x0
#define MC_MCF_SLICE_CFG_0_SLICE_VCARB_TYPE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CFG_0_SLICE_VCARB_TYPE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_SLICE_VCARB_TYPE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CFG_0_SLICE_VCARB_TYPE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_SLICE_VCARB_TYPE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_SLICE_VCARB_TYPE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_SLICE_VCARB_TYPE_INIT_ENUM                   LRU
#define MC_MCF_SLICE_CFG_0_SLICE_VCARB_TYPE_LRU                 _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CFG_0_SLICE_VCARB_TYPE_FP                  _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CFG_0_SLICE_VCARB_TYPE__PROD                       _MK_MASK_CONST(0x0)

#define MC_MCF_SLICE_CFG_0_SLICE_ARB_RD_PACK_EN_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_RD_PACK_EN_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_SLICE_CFG_0_SLICE_ARB_RD_PACK_EN_SHIFT)
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_RD_PACK_EN_RANGE                   17:17
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_RD_PACK_EN_WOFFSET                 0x0
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_RD_PACK_EN_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_RD_PACK_EN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_RD_PACK_EN_SW_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_RD_PACK_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_RD_PACK_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_RD_PACK_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_RD_PACK_EN__PROD                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_CFG_0_SLICE_ARB_CC_ELIGIBILITY_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_CC_ELIGIBILITY_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_CFG_0_SLICE_ARB_CC_ELIGIBILITY_SHIFT)
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_CC_ELIGIBILITY_RANGE                       18:18
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_CC_ELIGIBILITY_WOFFSET                     0x0
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_CC_ELIGIBILITY_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_CC_ELIGIBILITY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_CC_ELIGIBILITY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_CC_ELIGIBILITY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_CC_ELIGIBILITY_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_CC_ELIGIBILITY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_CC_ELIGIBILITY_INIT_ENUM                   REQ_SPECIFIC
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_CC_ELIGIBILITY_REQ_SPECIFIC                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_CC_ELIGIBILITY_ALL                 _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CFG_0_SLICE_ARB_CC_ELIGIBILITY__PROD                       _MK_MASK_CONST(0x0)


// Register MC_MCF_SLICE_FL_NISO_LIMIT_0
#define MC_MCF_SLICE_FL_NISO_LIMIT_0                    _MK_ADDR_CONST(0x8304)
#define MC_MCF_SLICE_FL_NISO_LIMIT_0_SECURE                     0x0
#define MC_MCF_SLICE_FL_NISO_LIMIT_0_DUAL                       0x0
#define MC_MCF_SLICE_FL_NISO_LIMIT_0_SCR                        0
#define MC_MCF_SLICE_FL_NISO_LIMIT_0_WORD_COUNT                         0x1
#define MC_MCF_SLICE_FL_NISO_LIMIT_0_RESET_VAL                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_NISO_LIMIT_0_RESET_MASK                         _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_NISO_LIMIT_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_NISO_LIMIT_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_NISO_LIMIT_0_READ_MASK                  _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_NISO_LIMIT_0_WRITE_MASK                         _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_NISO_LIMIT_0_FL_NISO_LIMIT_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_FL_NISO_LIMIT_0_FL_NISO_LIMIT_FIELD                        _MK_FIELD_CONST(0xff, MC_MCF_SLICE_FL_NISO_LIMIT_0_FL_NISO_LIMIT_SHIFT)
#define MC_MCF_SLICE_FL_NISO_LIMIT_0_FL_NISO_LIMIT_RANGE                        7:0
#define MC_MCF_SLICE_FL_NISO_LIMIT_0_FL_NISO_LIMIT_WOFFSET                      0x0
#define MC_MCF_SLICE_FL_NISO_LIMIT_0_FL_NISO_LIMIT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_NISO_LIMIT_0_FL_NISO_LIMIT_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_NISO_LIMIT_0_FL_NISO_LIMIT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_NISO_LIMIT_0_FL_NISO_LIMIT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_NISO_LIMIT_0_FL_NISO_LIMIT_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_NISO_LIMIT_0_FL_NISO_LIMIT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_MCF_SLICE_FL_SISO_LIMIT_0
#define MC_MCF_SLICE_FL_SISO_LIMIT_0                    _MK_ADDR_CONST(0x8308)
#define MC_MCF_SLICE_FL_SISO_LIMIT_0_SECURE                     0x0
#define MC_MCF_SLICE_FL_SISO_LIMIT_0_DUAL                       0x0
#define MC_MCF_SLICE_FL_SISO_LIMIT_0_SCR                        0
#define MC_MCF_SLICE_FL_SISO_LIMIT_0_WORD_COUNT                         0x1
#define MC_MCF_SLICE_FL_SISO_LIMIT_0_RESET_VAL                  _MK_MASK_CONST(0xa5)
#define MC_MCF_SLICE_FL_SISO_LIMIT_0_RESET_MASK                         _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_SISO_LIMIT_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_SISO_LIMIT_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_SISO_LIMIT_0_READ_MASK                  _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_SISO_LIMIT_0_WRITE_MASK                         _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_SISO_LIMIT_0_FL_SISO_LIMIT_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_FL_SISO_LIMIT_0_FL_SISO_LIMIT_FIELD                        _MK_FIELD_CONST(0xff, MC_MCF_SLICE_FL_SISO_LIMIT_0_FL_SISO_LIMIT_SHIFT)
#define MC_MCF_SLICE_FL_SISO_LIMIT_0_FL_SISO_LIMIT_RANGE                        7:0
#define MC_MCF_SLICE_FL_SISO_LIMIT_0_FL_SISO_LIMIT_WOFFSET                      0x0
#define MC_MCF_SLICE_FL_SISO_LIMIT_0_FL_SISO_LIMIT_DEFAULT                      _MK_MASK_CONST(0xa5)
#define MC_MCF_SLICE_FL_SISO_LIMIT_0_FL_SISO_LIMIT_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_SISO_LIMIT_0_FL_SISO_LIMIT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_SISO_LIMIT_0_FL_SISO_LIMIT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_SISO_LIMIT_0_FL_SISO_LIMIT_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_SISO_LIMIT_0_FL_SISO_LIMIT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_MCF_SLICE_FL_ISO_LIMIT_0
#define MC_MCF_SLICE_FL_ISO_LIMIT_0                     _MK_ADDR_CONST(0x830c)
#define MC_MCF_SLICE_FL_ISO_LIMIT_0_SECURE                      0x0
#define MC_MCF_SLICE_FL_ISO_LIMIT_0_DUAL                        0x0
#define MC_MCF_SLICE_FL_ISO_LIMIT_0_SCR                         0
#define MC_MCF_SLICE_FL_ISO_LIMIT_0_WORD_COUNT                  0x1
#define MC_MCF_SLICE_FL_ISO_LIMIT_0_RESET_VAL                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_ISO_LIMIT_0_RESET_MASK                  _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_ISO_LIMIT_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_ISO_LIMIT_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_ISO_LIMIT_0_READ_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_ISO_LIMIT_0_WRITE_MASK                  _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_ISO_LIMIT_0_FL_ISO_LIMIT_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_FL_ISO_LIMIT_0_FL_ISO_LIMIT_FIELD                  _MK_FIELD_CONST(0xff, MC_MCF_SLICE_FL_ISO_LIMIT_0_FL_ISO_LIMIT_SHIFT)
#define MC_MCF_SLICE_FL_ISO_LIMIT_0_FL_ISO_LIMIT_RANGE                  7:0
#define MC_MCF_SLICE_FL_ISO_LIMIT_0_FL_ISO_LIMIT_WOFFSET                        0x0
#define MC_MCF_SLICE_FL_ISO_LIMIT_0_FL_ISO_LIMIT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_ISO_LIMIT_0_FL_ISO_LIMIT_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_ISO_LIMIT_0_FL_ISO_LIMIT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_ISO_LIMIT_0_FL_ISO_LIMIT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_ISO_LIMIT_0_FL_ISO_LIMIT_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_ISO_LIMIT_0_FL_ISO_LIMIT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0
#define MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0                       _MK_ADDR_CONST(0x8310)
#define MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_SECURE                        0x0
#define MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_DUAL                  0x0
#define MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_SCR                   0
#define MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_WORD_COUNT                    0x1
#define MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_RESET_VAL                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_RESET_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_READ_MASK                     _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_WRITE_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_FL_TRANSDONE_LIMIT_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_FL_TRANSDONE_LIMIT_FIELD                      _MK_FIELD_CONST(0xff, MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_FL_TRANSDONE_LIMIT_SHIFT)
#define MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_FL_TRANSDONE_LIMIT_RANGE                      7:0
#define MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_FL_TRANSDONE_LIMIT_WOFFSET                    0x0
#define MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_FL_TRANSDONE_LIMIT_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_FL_TRANSDONE_LIMIT_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_FL_TRANSDONE_LIMIT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_FL_TRANSDONE_LIMIT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_FL_TRANSDONE_LIMIT_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_FL_TRANSDONE_LIMIT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0
#define MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0                     _MK_ADDR_CONST(0x8314)
#define MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_SECURE                      0x0
#define MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_DUAL                        0x0
#define MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_SCR                         0
#define MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_WORD_COUNT                  0x1
#define MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_RESET_VAL                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_RESET_MASK                  _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_READ_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_WRITE_MASK                  _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_FL_NISO_REMOTE_LIMIT_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_FL_NISO_REMOTE_LIMIT_FIELD                  _MK_FIELD_CONST(0xff, MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_FL_NISO_REMOTE_LIMIT_SHIFT)
#define MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_FL_NISO_REMOTE_LIMIT_RANGE                  7:0
#define MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_FL_NISO_REMOTE_LIMIT_WOFFSET                        0x0
#define MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_FL_NISO_REMOTE_LIMIT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_FL_NISO_REMOTE_LIMIT_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_FL_NISO_REMOTE_LIMIT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_FL_NISO_REMOTE_LIMIT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_FL_NISO_REMOTE_LIMIT_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_FL_NISO_REMOTE_LIMIT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_MCF_SLICE_FL_ORD1_LIMIT_0
#define MC_MCF_SLICE_FL_ORD1_LIMIT_0                    _MK_ADDR_CONST(0x8318)
#define MC_MCF_SLICE_FL_ORD1_LIMIT_0_SECURE                     0x0
#define MC_MCF_SLICE_FL_ORD1_LIMIT_0_DUAL                       0x0
#define MC_MCF_SLICE_FL_ORD1_LIMIT_0_SCR                        0
#define MC_MCF_SLICE_FL_ORD1_LIMIT_0_WORD_COUNT                         0x1
#define MC_MCF_SLICE_FL_ORD1_LIMIT_0_RESET_VAL                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_ORD1_LIMIT_0_RESET_MASK                         _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_ORD1_LIMIT_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_ORD1_LIMIT_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_ORD1_LIMIT_0_READ_MASK                  _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_ORD1_LIMIT_0_WRITE_MASK                         _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_ORD1_LIMIT_0_FL_ORD1_LIMIT_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_FL_ORD1_LIMIT_0_FL_ORD1_LIMIT_FIELD                        _MK_FIELD_CONST(0xff, MC_MCF_SLICE_FL_ORD1_LIMIT_0_FL_ORD1_LIMIT_SHIFT)
#define MC_MCF_SLICE_FL_ORD1_LIMIT_0_FL_ORD1_LIMIT_RANGE                        7:0
#define MC_MCF_SLICE_FL_ORD1_LIMIT_0_FL_ORD1_LIMIT_WOFFSET                      0x0
#define MC_MCF_SLICE_FL_ORD1_LIMIT_0_FL_ORD1_LIMIT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_ORD1_LIMIT_0_FL_ORD1_LIMIT_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_ORD1_LIMIT_0_FL_ORD1_LIMIT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_ORD1_LIMIT_0_FL_ORD1_LIMIT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_ORD1_LIMIT_0_FL_ORD1_LIMIT_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_ORD1_LIMIT_0_FL_ORD1_LIMIT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_MCF_SLICE_FL_ORD2_LIMIT_0
#define MC_MCF_SLICE_FL_ORD2_LIMIT_0                    _MK_ADDR_CONST(0x831c)
#define MC_MCF_SLICE_FL_ORD2_LIMIT_0_SECURE                     0x0
#define MC_MCF_SLICE_FL_ORD2_LIMIT_0_DUAL                       0x0
#define MC_MCF_SLICE_FL_ORD2_LIMIT_0_SCR                        0
#define MC_MCF_SLICE_FL_ORD2_LIMIT_0_WORD_COUNT                         0x1
#define MC_MCF_SLICE_FL_ORD2_LIMIT_0_RESET_VAL                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_ORD2_LIMIT_0_RESET_MASK                         _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_ORD2_LIMIT_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_ORD2_LIMIT_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_ORD2_LIMIT_0_READ_MASK                  _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_ORD2_LIMIT_0_WRITE_MASK                         _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_ORD2_LIMIT_0_FL_ORD2_LIMIT_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_FL_ORD2_LIMIT_0_FL_ORD2_LIMIT_FIELD                        _MK_FIELD_CONST(0xff, MC_MCF_SLICE_FL_ORD2_LIMIT_0_FL_ORD2_LIMIT_SHIFT)
#define MC_MCF_SLICE_FL_ORD2_LIMIT_0_FL_ORD2_LIMIT_RANGE                        7:0
#define MC_MCF_SLICE_FL_ORD2_LIMIT_0_FL_ORD2_LIMIT_WOFFSET                      0x0
#define MC_MCF_SLICE_FL_ORD2_LIMIT_0_FL_ORD2_LIMIT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_ORD2_LIMIT_0_FL_ORD2_LIMIT_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_ORD2_LIMIT_0_FL_ORD2_LIMIT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_ORD2_LIMIT_0_FL_ORD2_LIMIT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_ORD2_LIMIT_0_FL_ORD2_LIMIT_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_ORD2_LIMIT_0_FL_ORD2_LIMIT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_MCF_SLICE_FL_ORD3_LIMIT_0
#define MC_MCF_SLICE_FL_ORD3_LIMIT_0                    _MK_ADDR_CONST(0x8320)
#define MC_MCF_SLICE_FL_ORD3_LIMIT_0_SECURE                     0x0
#define MC_MCF_SLICE_FL_ORD3_LIMIT_0_DUAL                       0x0
#define MC_MCF_SLICE_FL_ORD3_LIMIT_0_SCR                        0
#define MC_MCF_SLICE_FL_ORD3_LIMIT_0_WORD_COUNT                         0x1
#define MC_MCF_SLICE_FL_ORD3_LIMIT_0_RESET_VAL                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_ORD3_LIMIT_0_RESET_MASK                         _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_ORD3_LIMIT_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_ORD3_LIMIT_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_ORD3_LIMIT_0_READ_MASK                  _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_ORD3_LIMIT_0_WRITE_MASK                         _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_ORD3_LIMIT_0_FL_ORD3_LIMIT_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_FL_ORD3_LIMIT_0_FL_ORD3_LIMIT_FIELD                        _MK_FIELD_CONST(0xff, MC_MCF_SLICE_FL_ORD3_LIMIT_0_FL_ORD3_LIMIT_SHIFT)
#define MC_MCF_SLICE_FL_ORD3_LIMIT_0_FL_ORD3_LIMIT_RANGE                        7:0
#define MC_MCF_SLICE_FL_ORD3_LIMIT_0_FL_ORD3_LIMIT_WOFFSET                      0x0
#define MC_MCF_SLICE_FL_ORD3_LIMIT_0_FL_ORD3_LIMIT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_ORD3_LIMIT_0_FL_ORD3_LIMIT_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_FL_ORD3_LIMIT_0_FL_ORD3_LIMIT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_ORD3_LIMIT_0_FL_ORD3_LIMIT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_FL_ORD3_LIMIT_0_FL_ORD3_LIMIT_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_FL_ORD3_LIMIT_0_FL_ORD3_LIMIT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_MCF_SLICE_CLKEN_OVERRIDE_0
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0                   _MK_ADDR_CONST(0x8324)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SECURE                    0x0
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_DUAL                      0x0
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SCR                       0
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_WORD_COUNT                        0x1
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_RESET_MASK                        _MK_MASK_CONST(0x3f)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_READ_MASK                         _MK_MASK_CONST(0x3f)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_WRITE_MASK                        _MK_MASK_CONST(0x3f)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_REGIF_CLKEN_OVR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_REGIF_CLKEN_OVR_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_REGIF_CLKEN_OVR_SHIFT)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_REGIF_CLKEN_OVR_RANGE                       0:0
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_REGIF_CLKEN_OVR_WOFFSET                     0x0
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_REGIF_CLKEN_OVR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_REGIF_CLKEN_OVR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_REGIF_CLKEN_OVR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_REGIF_CLKEN_OVR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_REGIF_CLKEN_OVR_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_REGIF_CLKEN_OVR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_REGIF_CLKEN_OVR_INIT_ENUM                   CLK_GATED
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_REGIF_CLKEN_OVR_CLK_GATED                   _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_REGIF_CLKEN_OVR_CLK_ALWAYS_ON                       _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_REGIF_CLKEN_OVR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_REGIF_CLKEN_OVR_ENABLE                      _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_REGIF_CLKEN_OVR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_REGIF_CLKEN_OVR_ENABLED                     _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_REGIF_CLKEN_OVR__PROD                       _MK_MASK_CONST(0x0)

#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SECURITY_CLKEN_OVR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SECURITY_CLKEN_OVR_FIELD                    _MK_FIELD_CONST(0x1, MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SECURITY_CLKEN_OVR_SHIFT)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SECURITY_CLKEN_OVR_RANGE                    1:1
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SECURITY_CLKEN_OVR_WOFFSET                  0x0
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SECURITY_CLKEN_OVR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SECURITY_CLKEN_OVR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SECURITY_CLKEN_OVR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SECURITY_CLKEN_OVR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SECURITY_CLKEN_OVR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SECURITY_CLKEN_OVR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SECURITY_CLKEN_OVR_INIT_ENUM                        CLK_GATED
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SECURITY_CLKEN_OVR_CLK_GATED                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SECURITY_CLKEN_OVR_CLK_ALWAYS_ON                    _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SECURITY_CLKEN_OVR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SECURITY_CLKEN_OVR_ENABLE                   _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SECURITY_CLKEN_OVR_DISABLED                 _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SECURITY_CLKEN_OVR_ENABLED                  _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SECURITY_CLKEN_OVR__PROD                    _MK_MASK_CONST(0x0)

#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SPLITTER_CLKEN_OVR_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SPLITTER_CLKEN_OVR_FIELD                    _MK_FIELD_CONST(0x1, MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SPLITTER_CLKEN_OVR_SHIFT)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SPLITTER_CLKEN_OVR_RANGE                    2:2
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SPLITTER_CLKEN_OVR_WOFFSET                  0x0
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SPLITTER_CLKEN_OVR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SPLITTER_CLKEN_OVR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SPLITTER_CLKEN_OVR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SPLITTER_CLKEN_OVR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SPLITTER_CLKEN_OVR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SPLITTER_CLKEN_OVR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SPLITTER_CLKEN_OVR_INIT_ENUM                        CLK_GATED
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SPLITTER_CLKEN_OVR_CLK_GATED                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SPLITTER_CLKEN_OVR_CLK_ALWAYS_ON                    _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SPLITTER_CLKEN_OVR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SPLITTER_CLKEN_OVR_ENABLE                   _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SPLITTER_CLKEN_OVR_DISABLED                 _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SPLITTER_CLKEN_OVR_ENABLED                  _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SPLITTER_CLKEN_OVR__PROD                    _MK_MASK_CONST(0x0)

#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_BYPASS_EARLY_CLKEN_OVR_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_BYPASS_EARLY_CLKEN_OVR_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_BYPASS_EARLY_CLKEN_OVR_SHIFT)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_BYPASS_EARLY_CLKEN_OVR_RANGE                        3:3
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_BYPASS_EARLY_CLKEN_OVR_WOFFSET                      0x0
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_BYPASS_EARLY_CLKEN_OVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_BYPASS_EARLY_CLKEN_OVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_BYPASS_EARLY_CLKEN_OVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_BYPASS_EARLY_CLKEN_OVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_BYPASS_EARLY_CLKEN_OVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_BYPASS_EARLY_CLKEN_OVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_BYPASS_EARLY_CLKEN_OVR_INIT_ENUM                    CLK_GATED
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_BYPASS_EARLY_CLKEN_OVR_CLK_GATED                    _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_BYPASS_EARLY_CLKEN_OVR_CLK_ALWAYS_ON                        _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_BYPASS_EARLY_CLKEN_OVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_BYPASS_EARLY_CLKEN_OVR_ENABLE                       _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_BYPASS_EARLY_CLKEN_OVR_DISABLED                     _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_BYPASS_EARLY_CLKEN_OVR_ENABLED                      _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_BYPASS_EARLY_CLKEN_OVR__PROD                        _MK_MASK_CONST(0x0)

#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SCF_EARLY_CLKEN_OVR_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SCF_EARLY_CLKEN_OVR_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SCF_EARLY_CLKEN_OVR_SHIFT)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SCF_EARLY_CLKEN_OVR_RANGE                   4:4
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SCF_EARLY_CLKEN_OVR_WOFFSET                 0x0
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SCF_EARLY_CLKEN_OVR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SCF_EARLY_CLKEN_OVR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SCF_EARLY_CLKEN_OVR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SCF_EARLY_CLKEN_OVR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SCF_EARLY_CLKEN_OVR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SCF_EARLY_CLKEN_OVR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SCF_EARLY_CLKEN_OVR_INIT_ENUM                       CLK_GATED
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SCF_EARLY_CLKEN_OVR_CLK_GATED                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SCF_EARLY_CLKEN_OVR_CLK_ALWAYS_ON                   _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SCF_EARLY_CLKEN_OVR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SCF_EARLY_CLKEN_OVR_ENABLE                  _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SCF_EARLY_CLKEN_OVR_DISABLED                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SCF_EARLY_CLKEN_OVR_ENABLED                 _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_SCF_EARLY_CLKEN_OVR__PROD                   _MK_MASK_CONST(0x0)

#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_DEBUG_CLKEN_OVR_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_DEBUG_CLKEN_OVR_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_DEBUG_CLKEN_OVR_SHIFT)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_DEBUG_CLKEN_OVR_RANGE                       5:5
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_DEBUG_CLKEN_OVR_WOFFSET                     0x0
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_DEBUG_CLKEN_OVR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_DEBUG_CLKEN_OVR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_DEBUG_CLKEN_OVR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_DEBUG_CLKEN_OVR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_DEBUG_CLKEN_OVR_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_DEBUG_CLKEN_OVR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_DEBUG_CLKEN_OVR_INIT_ENUM                   CLK_GATED
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_DEBUG_CLKEN_OVR_CLK_GATED                   _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_DEBUG_CLKEN_OVR_CLK_ALWAYS_ON                       _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_DEBUG_CLKEN_OVR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_DEBUG_CLKEN_OVR_ENABLE                      _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_DEBUG_CLKEN_OVR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_DEBUG_CLKEN_OVR_ENABLED                     _MK_ENUM_CONST(1)
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_SLICE_DEBUG_CLKEN_OVR__PROD                       _MK_MASK_CONST(0x0)


// Register MC_MSS_SYSRAM_INIT_0
#define MC_MSS_SYSRAM_INIT_0                    _MK_ADDR_CONST(0x8c00)
#define MC_MSS_SYSRAM_INIT_0_SECURE                     0x0
#define MC_MSS_SYSRAM_INIT_0_DUAL                       0x0
#define MC_MSS_SYSRAM_INIT_0_SCR                        0
#define MC_MSS_SYSRAM_INIT_0_WORD_COUNT                         0x1
#define MC_MSS_SYSRAM_INIT_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_INIT_0_RESET_MASK                         _MK_MASK_CONST(0x3)
#define MC_MSS_SYSRAM_INIT_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_INIT_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_INIT_0_READ_MASK                  _MK_MASK_CONST(0x3)
#define MC_MSS_SYSRAM_INIT_0_WRITE_MASK                         _MK_MASK_CONST(0x2)
#define MC_MSS_SYSRAM_INIT_0_INIT_DONE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MSS_SYSRAM_INIT_0_INIT_DONE_FIELD                    _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_INIT_0_INIT_DONE_SHIFT)
#define MC_MSS_SYSRAM_INIT_0_INIT_DONE_RANGE                    0:0
#define MC_MSS_SYSRAM_INIT_0_INIT_DONE_WOFFSET                  0x0
#define MC_MSS_SYSRAM_INIT_0_INIT_DONE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_INIT_0_INIT_DONE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_INIT_0_INIT_DONE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_INIT_0_INIT_DONE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_INIT_0_INIT_DONE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_INIT_0_INIT_DONE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_INIT_0_INIT_DONE_INIT_ENUM                        NO
#define MC_MSS_SYSRAM_INIT_0_INIT_DONE_NO                       _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_INIT_0_INIT_DONE_YES                      _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_INIT_0_INIT_START_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_MSS_SYSRAM_INIT_0_INIT_START_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_INIT_0_INIT_START_SHIFT)
#define MC_MSS_SYSRAM_INIT_0_INIT_START_RANGE                   1:1
#define MC_MSS_SYSRAM_INIT_0_INIT_START_WOFFSET                 0x0
#define MC_MSS_SYSRAM_INIT_0_INIT_START_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_INIT_0_INIT_START_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_INIT_0_INIT_START_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_INIT_0_INIT_START_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_INIT_0_INIT_START_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_INIT_0_INIT_START_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_INIT_0_INIT_START_INIT_ENUM                       IDLE
#define MC_MSS_SYSRAM_INIT_0_INIT_START_IDLE                    _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_INIT_0_INIT_START_IN_PROGRESS                     _MK_ENUM_CONST(1)


// Register MC_MSS_SYSRAM_CLKEN_OVERRIDE_0
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0                  _MK_ADDR_CONST(0x8c04)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SECURE                   0x0
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_DUAL                     0x0
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SCR                      0
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_WORD_COUNT                       0x1
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_RESET_MASK                       _MK_MASK_CONST(0xf)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0xf)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_READ_MASK                        _MK_MASK_CONST(0xf)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_WRITE_MASK                       _MK_MASK_CONST(0xf)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_DP_CLKEN_OVR_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_DP_CLKEN_OVR_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_DP_CLKEN_OVR_SHIFT)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_DP_CLKEN_OVR_RANGE                        0:0
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_DP_CLKEN_OVR_WOFFSET                      0x0
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_DP_CLKEN_OVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_DP_CLKEN_OVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_DP_CLKEN_OVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_DP_CLKEN_OVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_DP_CLKEN_OVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_DP_CLKEN_OVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_DP_CLKEN_OVR_INIT_ENUM                    CLK_GATED
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_DP_CLKEN_OVR_CLK_GATED                    _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_DP_CLKEN_OVR_CLK_ALWAYS_ON                        _MK_ENUM_CONST(1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_DP_CLKEN_OVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_DP_CLKEN_OVR_ENABLE                       _MK_ENUM_CONST(1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_DP_CLKEN_OVR_DISABLED                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_DP_CLKEN_OVR_ENABLED                      _MK_ENUM_CONST(1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_DP_CLKEN_OVR__PROD                        _MK_MASK_CONST(0x0)

#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_REGIF_CLKEN_OVR_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_REGIF_CLKEN_OVR_FIELD                     _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_REGIF_CLKEN_OVR_SHIFT)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_REGIF_CLKEN_OVR_RANGE                     1:1
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_REGIF_CLKEN_OVR_WOFFSET                   0x0
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_REGIF_CLKEN_OVR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_REGIF_CLKEN_OVR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_REGIF_CLKEN_OVR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_REGIF_CLKEN_OVR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_REGIF_CLKEN_OVR_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_REGIF_CLKEN_OVR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_REGIF_CLKEN_OVR_INIT_ENUM                 CLK_GATED
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_REGIF_CLKEN_OVR_CLK_GATED                 _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_REGIF_CLKEN_OVR_CLK_ALWAYS_ON                     _MK_ENUM_CONST(1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_REGIF_CLKEN_OVR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_REGIF_CLKEN_OVR_ENABLE                    _MK_ENUM_CONST(1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_REGIF_CLKEN_OVR_DISABLED                  _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_REGIF_CLKEN_OVR_ENABLED                   _MK_ENUM_CONST(1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_REGIF_CLKEN_OVR__PROD                     _MK_MASK_CONST(0x0)

#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_RDRSP_EARLY_CLKEN_OVR_SHIFT                       _MK_SHIFT_CONST(2)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_RDRSP_EARLY_CLKEN_OVR_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_RDRSP_EARLY_CLKEN_OVR_SHIFT)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_RDRSP_EARLY_CLKEN_OVR_RANGE                       2:2
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_RDRSP_EARLY_CLKEN_OVR_WOFFSET                     0x0
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_RDRSP_EARLY_CLKEN_OVR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_RDRSP_EARLY_CLKEN_OVR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_RDRSP_EARLY_CLKEN_OVR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_RDRSP_EARLY_CLKEN_OVR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_RDRSP_EARLY_CLKEN_OVR_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_RDRSP_EARLY_CLKEN_OVR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_RDRSP_EARLY_CLKEN_OVR_INIT_ENUM                   CLK_GATED
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_RDRSP_EARLY_CLKEN_OVR_CLK_GATED                   _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_RDRSP_EARLY_CLKEN_OVR_CLK_ALWAYS_ON                       _MK_ENUM_CONST(1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_RDRSP_EARLY_CLKEN_OVR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_RDRSP_EARLY_CLKEN_OVR_ENABLE                      _MK_ENUM_CONST(1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_RDRSP_EARLY_CLKEN_OVR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_RDRSP_EARLY_CLKEN_OVR_ENABLED                     _MK_ENUM_CONST(1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_RDRSP_EARLY_CLKEN_OVR__PROD                       _MK_MASK_CONST(0x0)

#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_WRRSP_EARLY_CLKEN_OVR_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_WRRSP_EARLY_CLKEN_OVR_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_WRRSP_EARLY_CLKEN_OVR_SHIFT)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_WRRSP_EARLY_CLKEN_OVR_RANGE                       3:3
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_WRRSP_EARLY_CLKEN_OVR_WOFFSET                     0x0
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_WRRSP_EARLY_CLKEN_OVR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_WRRSP_EARLY_CLKEN_OVR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_WRRSP_EARLY_CLKEN_OVR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_WRRSP_EARLY_CLKEN_OVR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_WRRSP_EARLY_CLKEN_OVR_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_WRRSP_EARLY_CLKEN_OVR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_WRRSP_EARLY_CLKEN_OVR_INIT_ENUM                   CLK_GATED
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_WRRSP_EARLY_CLKEN_OVR_CLK_GATED                   _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_WRRSP_EARLY_CLKEN_OVR_CLK_ALWAYS_ON                       _MK_ENUM_CONST(1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_WRRSP_EARLY_CLKEN_OVR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_WRRSP_EARLY_CLKEN_OVR_ENABLE                      _MK_ENUM_CONST(1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_WRRSP_EARLY_CLKEN_OVR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_WRRSP_EARLY_CLKEN_OVR_ENABLED                     _MK_ENUM_CONST(1)
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_SYSRAM_WRRSP_EARLY_CLKEN_OVR__PROD                       _MK_MASK_CONST(0x0)


// Register MC_MSS_SBS_ASYNC_0
#define MC_MSS_SBS_ASYNC_0                      _MK_ADDR_CONST(0x8f00)
#define MC_MSS_SBS_ASYNC_0_SECURE                       0x0
#define MC_MSS_SBS_ASYNC_0_DUAL                         0x0
#define MC_MSS_SBS_ASYNC_0_SCR                  0
#define MC_MSS_SBS_ASYNC_0_WORD_COUNT                   0x1
#define MC_MSS_SBS_ASYNC_0_RESET_VAL                    _MK_MASK_CONST(0x404)
#define MC_MSS_SBS_ASYNC_0_RESET_MASK                   _MK_MASK_CONST(0x7f7f)
#define MC_MSS_SBS_ASYNC_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_ASYNC_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_ASYNC_0_READ_MASK                    _MK_MASK_CONST(0x7f7f)
#define MC_MSS_SBS_ASYNC_0_WRITE_MASK                   _MK_MASK_CONST(0x7f7f)
#define MC_MSS_SBS_ASYNC_0_REQ_PD_WAIT_COUNT_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_ASYNC_0_REQ_PD_WAIT_COUNT_FIELD                      _MK_FIELD_CONST(0x7f, MC_MSS_SBS_ASYNC_0_REQ_PD_WAIT_COUNT_SHIFT)
#define MC_MSS_SBS_ASYNC_0_REQ_PD_WAIT_COUNT_RANGE                      6:0
#define MC_MSS_SBS_ASYNC_0_REQ_PD_WAIT_COUNT_WOFFSET                    0x0
#define MC_MSS_SBS_ASYNC_0_REQ_PD_WAIT_COUNT_DEFAULT                    _MK_MASK_CONST(0x4)
#define MC_MSS_SBS_ASYNC_0_REQ_PD_WAIT_COUNT_DEFAULT_MASK                       _MK_MASK_CONST(0x7f)
#define MC_MSS_SBS_ASYNC_0_REQ_PD_WAIT_COUNT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_ASYNC_0_REQ_PD_WAIT_COUNT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_ASYNC_0_REQ_PD_WAIT_COUNT_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_ASYNC_0_REQ_PD_WAIT_COUNT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_ASYNC_0_ACK_PD_WAIT_COUNT_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_MSS_SBS_ASYNC_0_ACK_PD_WAIT_COUNT_FIELD                      _MK_FIELD_CONST(0x7f, MC_MSS_SBS_ASYNC_0_ACK_PD_WAIT_COUNT_SHIFT)
#define MC_MSS_SBS_ASYNC_0_ACK_PD_WAIT_COUNT_RANGE                      14:8
#define MC_MSS_SBS_ASYNC_0_ACK_PD_WAIT_COUNT_WOFFSET                    0x0
#define MC_MSS_SBS_ASYNC_0_ACK_PD_WAIT_COUNT_DEFAULT                    _MK_MASK_CONST(0x4)
#define MC_MSS_SBS_ASYNC_0_ACK_PD_WAIT_COUNT_DEFAULT_MASK                       _MK_MASK_CONST(0x7f)
#define MC_MSS_SBS_ASYNC_0_ACK_PD_WAIT_COUNT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_ASYNC_0_ACK_PD_WAIT_COUNT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_ASYNC_0_ACK_PD_WAIT_COUNT_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_ASYNC_0_ACK_PD_WAIT_COUNT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_MSS_SBS_ARB_0
#define MC_MSS_SBS_ARB_0                        _MK_ADDR_CONST(0x8f04)
#define MC_MSS_SBS_ARB_0_SECURE                         0x0
#define MC_MSS_SBS_ARB_0_DUAL                   0x0
#define MC_MSS_SBS_ARB_0_SCR                    0
#define MC_MSS_SBS_ARB_0_WORD_COUNT                     0x1
#define MC_MSS_SBS_ARB_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_ARB_0_RESET_MASK                     _MK_MASK_CONST(0x3)
#define MC_MSS_SBS_ARB_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_ARB_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_ARB_0_READ_MASK                      _MK_MASK_CONST(0x3)
#define MC_MSS_SBS_ARB_0_WRITE_MASK                     _MK_MASK_CONST(0x3)
#define MC_MSS_SBS_ARB_0_FILL_FIFO_VC_ARB_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_ARB_0_FILL_FIFO_VC_ARB_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SBS_ARB_0_FILL_FIFO_VC_ARB_SHIFT)
#define MC_MSS_SBS_ARB_0_FILL_FIFO_VC_ARB_RANGE                 0:0
#define MC_MSS_SBS_ARB_0_FILL_FIFO_VC_ARB_WOFFSET                       0x0
#define MC_MSS_SBS_ARB_0_FILL_FIFO_VC_ARB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_ARB_0_FILL_FIFO_VC_ARB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_ARB_0_FILL_FIFO_VC_ARB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_ARB_0_FILL_FIFO_VC_ARB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_ARB_0_FILL_FIFO_VC_ARB_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_ARB_0_FILL_FIFO_VC_ARB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_ARB_0_FILL_FIFO_VC_ARB_INIT_ENUM                     SP
#define MC_MSS_SBS_ARB_0_FILL_FIFO_VC_ARB_SP                    _MK_ENUM_CONST(0)
#define MC_MSS_SBS_ARB_0_FILL_FIFO_VC_ARB_LRU                   _MK_ENUM_CONST(1)

#define MC_MSS_SBS_ARB_0_HOST1x_VC_ARB_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_MSS_SBS_ARB_0_HOST1x_VC_ARB_FIELD                    _MK_FIELD_CONST(0x1, MC_MSS_SBS_ARB_0_HOST1x_VC_ARB_SHIFT)
#define MC_MSS_SBS_ARB_0_HOST1x_VC_ARB_RANGE                    1:1
#define MC_MSS_SBS_ARB_0_HOST1x_VC_ARB_WOFFSET                  0x0
#define MC_MSS_SBS_ARB_0_HOST1x_VC_ARB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_ARB_0_HOST1x_VC_ARB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_ARB_0_HOST1x_VC_ARB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_ARB_0_HOST1x_VC_ARB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_ARB_0_HOST1x_VC_ARB_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_ARB_0_HOST1x_VC_ARB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_ARB_0_HOST1x_VC_ARB_INIT_ENUM                        SP
#define MC_MSS_SBS_ARB_0_HOST1x_VC_ARB_SP                       _MK_ENUM_CONST(0)
#define MC_MSS_SBS_ARB_0_HOST1x_VC_ARB_LRU                      _MK_ENUM_CONST(1)


// Register MC_MSS_SBS_INTSTATUS_0
#define MC_MSS_SBS_INTSTATUS_0                  _MK_ADDR_CONST(0x8f08)
#define MC_MSS_SBS_INTSTATUS_0_SECURE                   0x0
#define MC_MSS_SBS_INTSTATUS_0_DUAL                     0x0
#define MC_MSS_SBS_INTSTATUS_0_SCR                      0
#define MC_MSS_SBS_INTSTATUS_0_WORD_COUNT                       0x1
#define MC_MSS_SBS_INTSTATUS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_INTSTATUS_0_RESET_MASK                       _MK_MASK_CONST(0x7)
#define MC_MSS_SBS_INTSTATUS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_INTSTATUS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x7)
#define MC_MSS_SBS_INTSTATUS_0_READ_MASK                        _MK_MASK_CONST(0x7)
#define MC_MSS_SBS_INTSTATUS_0_WRITE_MASK                       _MK_MASK_CONST(0x7)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_ISO_OVERFLOW_INT_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_ISO_OVERFLOW_INT_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_ISO_OVERFLOW_INT_SHIFT)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_ISO_OVERFLOW_INT_RANGE                 0:0
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_ISO_OVERFLOW_INT_WOFFSET                       0x0
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_ISO_OVERFLOW_INT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_ISO_OVERFLOW_INT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_ISO_OVERFLOW_INT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_ISO_OVERFLOW_INT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_ISO_OVERFLOW_INT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_ISO_OVERFLOW_INT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_ISO_OVERFLOW_INT_INIT_ENUM                     CLEAR
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_ISO_OVERFLOW_INT_CLEAR                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_ISO_OVERFLOW_INT_SET                   _MK_ENUM_CONST(1)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_ISO_OVERFLOW_INT__PROD                 _MK_MASK_CONST(0x0)

#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_SISO_OVERFLOW_INT_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_SISO_OVERFLOW_INT_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_SISO_OVERFLOW_INT_SHIFT)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_SISO_OVERFLOW_INT_RANGE                        1:1
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_SISO_OVERFLOW_INT_WOFFSET                      0x0
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_SISO_OVERFLOW_INT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_SISO_OVERFLOW_INT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_SISO_OVERFLOW_INT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_SISO_OVERFLOW_INT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_SISO_OVERFLOW_INT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_SISO_OVERFLOW_INT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_SISO_OVERFLOW_INT_INIT_ENUM                    CLEAR
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_SISO_OVERFLOW_INT_CLEAR                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_SISO_OVERFLOW_INT_SET                  _MK_ENUM_CONST(1)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_SISO_OVERFLOW_INT__PROD                        _MK_MASK_CONST(0x0)

#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_NISO_OVERFLOW_INT_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_NISO_OVERFLOW_INT_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_NISO_OVERFLOW_INT_SHIFT)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_NISO_OVERFLOW_INT_RANGE                        2:2
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_NISO_OVERFLOW_INT_WOFFSET                      0x0
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_NISO_OVERFLOW_INT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_NISO_OVERFLOW_INT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_NISO_OVERFLOW_INT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_NISO_OVERFLOW_INT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_NISO_OVERFLOW_INT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_NISO_OVERFLOW_INT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_NISO_OVERFLOW_INT_INIT_ENUM                    CLEAR
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_NISO_OVERFLOW_INT_CLEAR                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_NISO_OVERFLOW_INT_SET                  _MK_ENUM_CONST(1)
#define MC_MSS_SBS_INTSTATUS_0_FILL_FIFO_NISO_OVERFLOW_INT__PROD                        _MK_MASK_CONST(0x0)


// Register MC_MSS_SBS_INTMASK_0
#define MC_MSS_SBS_INTMASK_0                    _MK_ADDR_CONST(0x8f0c)
#define MC_MSS_SBS_INTMASK_0_SECURE                     0x0
#define MC_MSS_SBS_INTMASK_0_DUAL                       0x0
#define MC_MSS_SBS_INTMASK_0_SCR                        0
#define MC_MSS_SBS_INTMASK_0_WORD_COUNT                         0x1
#define MC_MSS_SBS_INTMASK_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_INTMASK_0_RESET_MASK                         _MK_MASK_CONST(0x7)
#define MC_MSS_SBS_INTMASK_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_INTMASK_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x7)
#define MC_MSS_SBS_INTMASK_0_READ_MASK                  _MK_MASK_CONST(0x7)
#define MC_MSS_SBS_INTMASK_0_WRITE_MASK                         _MK_MASK_CONST(0x7)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_ISO_OVERFLOW_INTMASK_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_ISO_OVERFLOW_INTMASK_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SBS_INTMASK_0_FILL_FIFO_ISO_OVERFLOW_INTMASK_SHIFT)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_ISO_OVERFLOW_INTMASK_RANGE                       0:0
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_ISO_OVERFLOW_INTMASK_WOFFSET                     0x0
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_ISO_OVERFLOW_INTMASK_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_ISO_OVERFLOW_INTMASK_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_ISO_OVERFLOW_INTMASK_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_ISO_OVERFLOW_INTMASK_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_ISO_OVERFLOW_INTMASK_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_ISO_OVERFLOW_INTMASK_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_ISO_OVERFLOW_INTMASK_INIT_ENUM                   MASKED
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_ISO_OVERFLOW_INTMASK_MASKED                      _MK_ENUM_CONST(0)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_ISO_OVERFLOW_INTMASK_UNMASKED                    _MK_ENUM_CONST(1)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_ISO_OVERFLOW_INTMASK__PROD                       _MK_MASK_CONST(0x0)

#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_SISO_OVERFLOW_INTMASK_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_SISO_OVERFLOW_INTMASK_FIELD                      _MK_FIELD_CONST(0x1, MC_MSS_SBS_INTMASK_0_FILL_FIFO_SISO_OVERFLOW_INTMASK_SHIFT)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_SISO_OVERFLOW_INTMASK_RANGE                      1:1
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_SISO_OVERFLOW_INTMASK_WOFFSET                    0x0
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_SISO_OVERFLOW_INTMASK_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_SISO_OVERFLOW_INTMASK_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_SISO_OVERFLOW_INTMASK_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_SISO_OVERFLOW_INTMASK_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_SISO_OVERFLOW_INTMASK_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_SISO_OVERFLOW_INTMASK_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_SISO_OVERFLOW_INTMASK_INIT_ENUM                  MASKED
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_SISO_OVERFLOW_INTMASK_MASKED                     _MK_ENUM_CONST(0)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_SISO_OVERFLOW_INTMASK_UNMASKED                   _MK_ENUM_CONST(1)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_SISO_OVERFLOW_INTMASK__PROD                      _MK_MASK_CONST(0x0)

#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_NISO_OVERFLOW_INTMASK_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_NISO_OVERFLOW_INTMASK_FIELD                      _MK_FIELD_CONST(0x1, MC_MSS_SBS_INTMASK_0_FILL_FIFO_NISO_OVERFLOW_INTMASK_SHIFT)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_NISO_OVERFLOW_INTMASK_RANGE                      2:2
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_NISO_OVERFLOW_INTMASK_WOFFSET                    0x0
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_NISO_OVERFLOW_INTMASK_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_NISO_OVERFLOW_INTMASK_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_NISO_OVERFLOW_INTMASK_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_NISO_OVERFLOW_INTMASK_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_NISO_OVERFLOW_INTMASK_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_NISO_OVERFLOW_INTMASK_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_NISO_OVERFLOW_INTMASK_INIT_ENUM                  MASKED
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_NISO_OVERFLOW_INTMASK_MASKED                     _MK_ENUM_CONST(0)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_NISO_OVERFLOW_INTMASK_UNMASKED                   _MK_ENUM_CONST(1)
#define MC_MSS_SBS_INTMASK_0_FILL_FIFO_NISO_OVERFLOW_INTMASK__PROD                      _MK_MASK_CONST(0x0)


// Register MC_MSS_SBS_CLKEN_OVERRIDE_0
#define MC_MSS_SBS_CLKEN_OVERRIDE_0                     _MK_ADDR_CONST(0x8f10)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SECURE                      0x0
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_DUAL                        0x0
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SCR                         0
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_WORD_COUNT                  0x1
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_RESET_MASK                  _MK_MASK_CONST(0x7)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_READ_MASK                   _MK_MASK_CONST(0x7)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_WRITE_MASK                  _MK_MASK_CONST(0x7)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_LOCAL_CLKEN_OVR_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_LOCAL_CLKEN_OVR_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_LOCAL_CLKEN_OVR_SHIFT)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_LOCAL_CLKEN_OVR_RANGE                   0:0
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_LOCAL_CLKEN_OVR_WOFFSET                 0x0
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_LOCAL_CLKEN_OVR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_LOCAL_CLKEN_OVR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_LOCAL_CLKEN_OVR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_LOCAL_CLKEN_OVR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_LOCAL_CLKEN_OVR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_LOCAL_CLKEN_OVR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_LOCAL_CLKEN_OVR_INIT_ENUM                       CLK_GATED
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_LOCAL_CLKEN_OVR_CLK_GATED                       _MK_ENUM_CONST(0)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_LOCAL_CLKEN_OVR_CLK_ALWAYS_ON                   _MK_ENUM_CONST(1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_LOCAL_CLKEN_OVR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_LOCAL_CLKEN_OVR_ENABLE                  _MK_ENUM_CONST(1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_LOCAL_CLKEN_OVR_DISABLED                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_LOCAL_CLKEN_OVR_ENABLED                 _MK_ENUM_CONST(1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_LOCAL_CLKEN_OVR__PROD                   _MK_MASK_CONST(0x0)

#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_REGIF_CLKEN_OVR_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_REGIF_CLKEN_OVR_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_REGIF_CLKEN_OVR_SHIFT)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_REGIF_CLKEN_OVR_RANGE                   1:1
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_REGIF_CLKEN_OVR_WOFFSET                 0x0
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_REGIF_CLKEN_OVR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_REGIF_CLKEN_OVR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_REGIF_CLKEN_OVR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_REGIF_CLKEN_OVR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_REGIF_CLKEN_OVR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_REGIF_CLKEN_OVR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_REGIF_CLKEN_OVR_INIT_ENUM                       CLK_GATED
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_REGIF_CLKEN_OVR_CLK_GATED                       _MK_ENUM_CONST(0)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_REGIF_CLKEN_OVR_CLK_ALWAYS_ON                   _MK_ENUM_CONST(1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_REGIF_CLKEN_OVR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_REGIF_CLKEN_OVR_ENABLE                  _MK_ENUM_CONST(1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_REGIF_CLKEN_OVR_DISABLED                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_REGIF_CLKEN_OVR_ENABLED                 _MK_ENUM_CONST(1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_REGIF_CLKEN_OVR__PROD                   _MK_MASK_CONST(0x0)

#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_CLKEN_A1_OVR_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_CLKEN_A1_OVR_FIELD                      _MK_FIELD_CONST(0x1, MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_CLKEN_A1_OVR_SHIFT)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_CLKEN_A1_OVR_RANGE                      2:2
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_CLKEN_A1_OVR_WOFFSET                    0x0
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_CLKEN_A1_OVR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_CLKEN_A1_OVR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_CLKEN_A1_OVR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_CLKEN_A1_OVR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_CLKEN_A1_OVR_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_CLKEN_A1_OVR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_CLKEN_A1_OVR_INIT_ENUM                  CLK_GATED
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_CLKEN_A1_OVR_CLK_GATED                  _MK_ENUM_CONST(0)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_CLKEN_A1_OVR_CLK_ALWAYS_ON                      _MK_ENUM_CONST(1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_CLKEN_A1_OVR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_CLKEN_A1_OVR_ENABLE                     _MK_ENUM_CONST(1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_CLKEN_A1_OVR_DISABLED                   _MK_ENUM_CONST(0)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_CLKEN_A1_OVR_ENABLED                    _MK_ENUM_CONST(1)
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_SBS_CLKEN_A1_OVR__PROD                      _MK_MASK_CONST(0x0)


// Register MC_MSS_SBS_VC_LIMIT_0
#define MC_MSS_SBS_VC_LIMIT_0                   _MK_ADDR_CONST(0x8f14)
#define MC_MSS_SBS_VC_LIMIT_0_SECURE                    0x0
#define MC_MSS_SBS_VC_LIMIT_0_DUAL                      0x0
#define MC_MSS_SBS_VC_LIMIT_0_SCR                       0
#define MC_MSS_SBS_VC_LIMIT_0_WORD_COUNT                        0x1
#define MC_MSS_SBS_VC_LIMIT_0_RESET_VAL                         _MK_MASK_CONST(0x18106024)
#define MC_MSS_SBS_VC_LIMIT_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_MSS_SBS_VC_LIMIT_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_VC_LIMIT_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_VC_LIMIT_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_MSS_SBS_VC_LIMIT_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_ISO_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_ISO_FIELD                       _MK_FIELD_CONST(0xff, MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_ISO_SHIFT)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_ISO_RANGE                       7:0
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_ISO_WOFFSET                     0x0
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_ISO_DEFAULT                     _MK_MASK_CONST(0x24)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_ISO_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_ISO_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_ISO_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_ISO_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_ISO_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SISO_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SISO_FIELD                      _MK_FIELD_CONST(0xff, MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SISO_SHIFT)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SISO_RANGE                      15:8
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SISO_WOFFSET                    0x0
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SISO_DEFAULT                    _MK_MASK_CONST(0x60)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SISO_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SISO_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SISO_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SISO_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SISO_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_NISO_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_NISO_FIELD                      _MK_FIELD_CONST(0xff, MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_NISO_SHIFT)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_NISO_RANGE                      23:16
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_NISO_WOFFSET                    0x0
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_NISO_DEFAULT                    _MK_MASK_CONST(0x10)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_NISO_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_NISO_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_NISO_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_NISO_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_NISO_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SHARED_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SHARED_FIELD                    _MK_FIELD_CONST(0xff, MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SHARED_SHIFT)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SHARED_RANGE                    31:24
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SHARED_WOFFSET                  0x0
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SHARED_DEFAULT                  _MK_MASK_CONST(0x18)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SHARED_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SHARED_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SHARED_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SHARED_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_VC_LIMIT_0_FILL_FIFO_SHARED_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_REGIF_CONFIG_0
#define MC_REGIF_CONFIG_0                       _MK_ADDR_CONST(0xf80)
#define MC_REGIF_CONFIG_0_SECURE                        0x0
#define MC_REGIF_CONFIG_0_DUAL                  0x0
#define MC_REGIF_CONFIG_0_SCR                   0
#define MC_REGIF_CONFIG_0_WORD_COUNT                    0x1
#define MC_REGIF_CONFIG_0_RESET_VAL                     _MK_MASK_CONST(0x10101)
#define MC_REGIF_CONFIG_0_RESET_MASK                    _MK_MASK_CONST(0xfffff)
#define MC_REGIF_CONFIG_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_0_READ_MASK                     _MK_MASK_CONST(0xfffff)
#define MC_REGIF_CONFIG_0_WRITE_MASK                    _MK_MASK_CONST(0xfffff)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_EMC_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_EMC_FIELD                        _MK_FIELD_CONST(0xff, MC_REGIF_CONFIG_0_ENABLE_REGIF_EMC_SHIFT)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_EMC_RANGE                        7:0
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_EMC_WOFFSET                      0x0
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_EMC_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_EMC_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_EMC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_EMC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_EMC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_EMC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_REGIF_CONFIG_0_ENABLE_REGIF_MC_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_MC_FIELD                 _MK_FIELD_CONST(0xff, MC_REGIF_CONFIG_0_ENABLE_REGIF_MC_SHIFT)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_MC_RANGE                 15:8
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_MC_WOFFSET                       0x0
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_MC_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_MC_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_MC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_MC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_MC_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_MC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_REGIF_CONFIG_0_ENABLE_REGIF_HUB_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_HUB_FIELD                        _MK_FIELD_CONST(0xf, MC_REGIF_CONFIG_0_ENABLE_REGIF_HUB_SHIFT)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_HUB_RANGE                        19:16
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_HUB_WOFFSET                      0x0
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_HUB_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_HUB_DEFAULT_MASK                 _MK_MASK_CONST(0xf)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_HUB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_HUB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_HUB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_0_ENABLE_REGIF_HUB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_REGIF_CONFIG_1_0
#define MC_REGIF_CONFIG_1_0                     _MK_ADDR_CONST(0xf8c)
#define MC_REGIF_CONFIG_1_0_SECURE                      0x0
#define MC_REGIF_CONFIG_1_0_DUAL                        0x0
#define MC_REGIF_CONFIG_1_0_SCR                         0
#define MC_REGIF_CONFIG_1_0_WORD_COUNT                  0x1
#define MC_REGIF_CONFIG_1_0_RESET_VAL                   _MK_MASK_CONST(0x13330f)
#define MC_REGIF_CONFIG_1_0_RESET_MASK                  _MK_MASK_CONST(0x13330f)
#define MC_REGIF_CONFIG_1_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_1_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_1_0_READ_MASK                   _MK_MASK_CONST(0x13330f)
#define MC_REGIF_CONFIG_1_0_WRITE_MASK                  _MK_MASK_CONST(0x13330f)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SLC_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SLC_FIELD                  _MK_FIELD_CONST(0xf, MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SLC_SHIFT)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SLC_RANGE                  3:0
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SLC_WOFFSET                        0x0
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SLC_DEFAULT                        _MK_MASK_CONST(0xf)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SLC_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SLC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SLC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SLC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SLC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SYSRAM_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SYSRAM_FIELD                       _MK_FIELD_CONST(0x3, MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SYSRAM_SHIFT)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SYSRAM_RANGE                       9:8
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SYSRAM_WOFFSET                     0x0
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SYSRAM_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SYSRAM_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SYSRAM_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SYSRAM_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SYSRAM_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SYSRAM_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_IRSPX_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_IRSPX_FIELD                        _MK_FIELD_CONST(0x3, MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_IRSPX_SHIFT)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_IRSPX_RANGE                        13:12
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_IRSPX_WOFFSET                      0x0
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_IRSPX_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_IRSPX_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_IRSPX_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_IRSPX_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_IRSPX_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_IRSPX_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_OREQX_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_OREQX_FIELD                        _MK_FIELD_CONST(0x3, MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_OREQX_SHIFT)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_OREQX_RANGE                        17:16
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_OREQX_WOFFSET                      0x0
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_OREQX_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_OREQX_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_OREQX_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_OREQX_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_OREQX_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_OREQX_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_FIELD                      _MK_FIELD_CONST(0x1, MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SHIFT)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_RANGE                      20:20
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_WOFFSET                    0x0
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_1_0_ENABLE_REGIF_MCF_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_REGIF_CONFIG_2_0
#define MC_REGIF_CONFIG_2_0                     _MK_ADDR_CONST(0x3700)
#define MC_REGIF_CONFIG_2_0_SECURE                      0x0
#define MC_REGIF_CONFIG_2_0_DUAL                        0x0
#define MC_REGIF_CONFIG_2_0_SCR                         0
#define MC_REGIF_CONFIG_2_0_WORD_COUNT                  0x1
#define MC_REGIF_CONFIG_2_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_2_0_RESET_MASK                  _MK_MASK_CONST(0xffff)
#define MC_REGIF_CONFIG_2_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_2_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_2_0_READ_MASK                   _MK_MASK_CONST(0xffff)
#define MC_REGIF_CONFIG_2_0_WRITE_MASK                  _MK_MASK_CONST(0xffff)
#define MC_REGIF_CONFIG_2_0_ENABLE_REGIF_EMC2_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_REGIF_CONFIG_2_0_ENABLE_REGIF_EMC2_FIELD                     _MK_FIELD_CONST(0xff, MC_REGIF_CONFIG_2_0_ENABLE_REGIF_EMC2_SHIFT)
#define MC_REGIF_CONFIG_2_0_ENABLE_REGIF_EMC2_RANGE                     7:0
#define MC_REGIF_CONFIG_2_0_ENABLE_REGIF_EMC2_WOFFSET                   0x0
#define MC_REGIF_CONFIG_2_0_ENABLE_REGIF_EMC2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_2_0_ENABLE_REGIF_EMC2_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_REGIF_CONFIG_2_0_ENABLE_REGIF_EMC2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_2_0_ENABLE_REGIF_EMC2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_2_0_ENABLE_REGIF_EMC2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_2_0_ENABLE_REGIF_EMC2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_CONFIG_2_0_ENABLE_REGIF_MC2_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_REGIF_CONFIG_2_0_ENABLE_REGIF_MC2_FIELD                      _MK_FIELD_CONST(0xff, MC_REGIF_CONFIG_2_0_ENABLE_REGIF_MC2_SHIFT)
#define MC_REGIF_CONFIG_2_0_ENABLE_REGIF_MC2_RANGE                      15:8
#define MC_REGIF_CONFIG_2_0_ENABLE_REGIF_MC2_WOFFSET                    0x0
#define MC_REGIF_CONFIG_2_0_ENABLE_REGIF_MC2_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_2_0_ENABLE_REGIF_MC2_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_REGIF_CONFIG_2_0_ENABLE_REGIF_MC2_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_2_0_ENABLE_REGIF_MC2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_2_0_ENABLE_REGIF_MC2_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_REGIF_CONFIG_2_0_ENABLE_REGIF_MC2_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_REGIF_BROADCAST_0
#define MC_REGIF_BROADCAST_0                    _MK_ADDR_CONST(0xf84)
#define MC_REGIF_BROADCAST_0_SECURE                     0x0
#define MC_REGIF_BROADCAST_0_DUAL                       0x0
#define MC_REGIF_BROADCAST_0_SCR                        0
#define MC_REGIF_BROADCAST_0_WORD_COUNT                         0x1
#define MC_REGIF_BROADCAST_0_RESET_VAL                  _MK_MASK_CONST(0xf0fffff)
#define MC_REGIF_BROADCAST_0_RESET_MASK                         _MK_MASK_CONST(0x8f0fffff)
#define MC_REGIF_BROADCAST_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_0_READ_MASK                  _MK_MASK_CONST(0x8f0fffff)
#define MC_REGIF_BROADCAST_0_WRITE_MASK                         _MK_MASK_CONST(0x8f0fffff)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_EMC_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_EMC_FIELD                   _MK_FIELD_CONST(0xff, MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_EMC_SHIFT)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_EMC_RANGE                   7:0
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_EMC_WOFFSET                 0x0
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_EMC_DEFAULT                 _MK_MASK_CONST(0xff)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_EMC_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_EMC_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_EMC_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_EMC_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_EMC_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_MC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_MC_FIELD                    _MK_FIELD_CONST(0xff, MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_MC_SHIFT)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_MC_RANGE                    15:8
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_MC_WOFFSET                  0x0
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_MC_DEFAULT                  _MK_MASK_CONST(0xff)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_MC_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_MC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_MC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_MC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_MC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_FIELD                   _MK_FIELD_CONST(0xf, MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_SHIFT)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_RANGE                   19:16
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_WOFFSET                 0x0
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_DEFAULT                 _MK_MASK_CONST(0xf)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_SID_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_SID_FIELD                       _MK_FIELD_CONST(0xf, MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_SID_SHIFT)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_SID_RANGE                       27:24
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_SID_WOFFSET                     0x0
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_SID_DEFAULT                     _MK_MASK_CONST(0xf)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_SID_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_SID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_SID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_SID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_0_ENABLE_REGIF_BROADCAST_HUB_SID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_REGIF_BROADCAST_0_LOCK_REGIF_CONFIG_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_REGIF_BROADCAST_0_LOCK_REGIF_CONFIG_FIELD                    _MK_FIELD_CONST(0x1, MC_REGIF_BROADCAST_0_LOCK_REGIF_CONFIG_SHIFT)
#define MC_REGIF_BROADCAST_0_LOCK_REGIF_CONFIG_RANGE                    31:31
#define MC_REGIF_BROADCAST_0_LOCK_REGIF_CONFIG_WOFFSET                  0x0
#define MC_REGIF_BROADCAST_0_LOCK_REGIF_CONFIG_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_0_LOCK_REGIF_CONFIG_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_REGIF_BROADCAST_0_LOCK_REGIF_CONFIG_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_0_LOCK_REGIF_CONFIG_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_0_LOCK_REGIF_CONFIG_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_0_LOCK_REGIF_CONFIG_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_REGIF_BROADCAST_0_LOCK_REGIF_CONFIG_INIT_ENUM                        DISABLED
#define MC_REGIF_BROADCAST_0_LOCK_REGIF_CONFIG_ENABLED                  _MK_ENUM_CONST(1)
#define MC_REGIF_BROADCAST_0_LOCK_REGIF_CONFIG_DISABLED                 _MK_ENUM_CONST(0)


// Register MC_REGIF_BROADCAST_1_0
#define MC_REGIF_BROADCAST_1_0                  _MK_ADDR_CONST(0xf88)
#define MC_REGIF_BROADCAST_1_0_SECURE                   0x0
#define MC_REGIF_BROADCAST_1_0_DUAL                     0x0
#define MC_REGIF_BROADCAST_1_0_SCR                      0
#define MC_REGIF_BROADCAST_1_0_WORD_COUNT                       0x1
#define MC_REGIF_BROADCAST_1_0_RESET_VAL                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_BROADCAST_1_0_RESET_MASK                       _MK_MASK_CONST(0x13330f)
#define MC_REGIF_BROADCAST_1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_1_0_READ_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_BROADCAST_1_0_WRITE_MASK                       _MK_MASK_CONST(0x13330f)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SLC_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SLC_FIELD                     _MK_FIELD_CONST(0xf, MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SLC_SHIFT)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SLC_RANGE                     3:0
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SLC_WOFFSET                   0x0
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SLC_DEFAULT                   _MK_MASK_CONST(0xf)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SLC_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SLC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SLC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SLC_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SLC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SYSRAM_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SYSRAM_FIELD                  _MK_FIELD_CONST(0x3, MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SYSRAM_SHIFT)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SYSRAM_RANGE                  9:8
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SYSRAM_WOFFSET                        0x0
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SYSRAM_DEFAULT                        _MK_MASK_CONST(0x3)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SYSRAM_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SYSRAM_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SYSRAM_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SYSRAM_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SYSRAM_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_IRSPX_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_IRSPX_FIELD                   _MK_FIELD_CONST(0x3, MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_IRSPX_SHIFT)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_IRSPX_RANGE                   13:12
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_IRSPX_WOFFSET                 0x0
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_IRSPX_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_IRSPX_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_IRSPX_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_IRSPX_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_IRSPX_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_IRSPX_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_OREQX_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_OREQX_FIELD                   _MK_FIELD_CONST(0x3, MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_OREQX_SHIFT)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_OREQX_RANGE                   17:16
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_OREQX_WOFFSET                 0x0
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_OREQX_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_OREQX_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_OREQX_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_OREQX_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_OREQX_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_OREQX_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_FIELD                 _MK_FIELD_CONST(0x1, MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SHIFT)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_RANGE                 20:20
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_WOFFSET                       0x0
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_1_0_ENABLE_REGIF_BROADCAST_MCF_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_REGIF_BROADCAST_2_0
#define MC_REGIF_BROADCAST_2_0                  _MK_ADDR_CONST(0x3704)
#define MC_REGIF_BROADCAST_2_0_SECURE                   0x0
#define MC_REGIF_BROADCAST_2_0_DUAL                     0x0
#define MC_REGIF_BROADCAST_2_0_SCR                      0
#define MC_REGIF_BROADCAST_2_0_WORD_COUNT                       0x1
#define MC_REGIF_BROADCAST_2_0_RESET_VAL                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_BROADCAST_2_0_RESET_MASK                       _MK_MASK_CONST(0xffff)
#define MC_REGIF_BROADCAST_2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_2_0_READ_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_BROADCAST_2_0_WRITE_MASK                       _MK_MASK_CONST(0xffff)
#define MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_EMC2_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_EMC2_FIELD                        _MK_FIELD_CONST(0xff, MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_EMC2_SHIFT)
#define MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_EMC2_RANGE                        7:0
#define MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_EMC2_WOFFSET                      0x0
#define MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_EMC2_DEFAULT                      _MK_MASK_CONST(0xff)
#define MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_EMC2_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_EMC2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_EMC2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_EMC2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_EMC2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_MC2_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_MC2_FIELD                 _MK_FIELD_CONST(0xff, MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_MC2_SHIFT)
#define MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_MC2_RANGE                 15:8
#define MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_MC2_WOFFSET                       0x0
#define MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_MC2_DEFAULT                       _MK_MASK_CONST(0xff)
#define MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_MC2_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_MC2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_MC2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_MC2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_REGIF_BROADCAST_2_0_ENABLE_REGIF_BROADCAST_MC2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST0_0
#define MC_REGIF_UNICAST0_0                     _MK_ADDR_CONST(0xf90)
#define MC_REGIF_UNICAST0_0_SECURE                      0x0
#define MC_REGIF_UNICAST0_0_DUAL                        0x0
#define MC_REGIF_UNICAST0_0_SCR                         0
#define MC_REGIF_UNICAST0_0_WORD_COUNT                  0x1
#define MC_REGIF_UNICAST0_0_RESET_VAL                   _MK_MASK_CONST(0x10101)
#define MC_REGIF_UNICAST0_0_RESET_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST0_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_0_READ_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST0_0_WRITE_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_EMC_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_EMC_FIELD                     _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_EMC_SHIFT)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_EMC_RANGE                     7:0
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_EMC_WOFFSET                   0x0
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_EMC_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_EMC_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_EMC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_EMC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_EMC_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_EMC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_MC_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_MC_FIELD                      _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_MC_SHIFT)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_MC_RANGE                      15:8
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_MC_WOFFSET                    0x0
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_MC_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_MC_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_MC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_MC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_MC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_MC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_HUB_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_HUB_FIELD                     _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_HUB_SHIFT)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_HUB_RANGE                     19:16
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_HUB_WOFFSET                   0x0
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_HUB_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_HUB_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_HUB_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_HUB_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_HUB_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_0_ENABLE_REGIF_UNICAST0_HUB_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST0_1_0
#define MC_REGIF_UNICAST0_1_0                   _MK_ADDR_CONST(0x1134)
#define MC_REGIF_UNICAST0_1_0_SECURE                    0x0
#define MC_REGIF_UNICAST0_1_0_DUAL                      0x0
#define MC_REGIF_UNICAST0_1_0_SCR                       0
#define MC_REGIF_UNICAST0_1_0_WORD_COUNT                        0x1
#define MC_REGIF_UNICAST0_1_0_RESET_VAL                         _MK_MASK_CONST(0x111101)
#define MC_REGIF_UNICAST0_1_0_RESET_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST0_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_1_0_READ_MASK                         _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST0_1_0_WRITE_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SLC_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SLC_FIELD                       _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SLC_SHIFT)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SLC_RANGE                       3:0
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SLC_WOFFSET                     0x0
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SLC_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SLC_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SLC_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SLC_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SLC_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SLC_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SYSRAM_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SYSRAM_FIELD                    _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SYSRAM_SHIFT)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SYSRAM_RANGE                    9:8
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SYSRAM_WOFFSET                  0x0
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SYSRAM_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SYSRAM_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SYSRAM_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SYSRAM_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SYSRAM_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SYSRAM_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_IRSPX_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_IRSPX_FIELD                     _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_IRSPX_SHIFT)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_IRSPX_RANGE                     13:12
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_IRSPX_WOFFSET                   0x0
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_IRSPX_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_IRSPX_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_IRSPX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_IRSPX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_IRSPX_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_IRSPX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_OREQX_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_OREQX_FIELD                     _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_OREQX_SHIFT)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_OREQX_RANGE                     17:16
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_OREQX_WOFFSET                   0x0
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_OREQX_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_OREQX_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_OREQX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_OREQX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_OREQX_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_OREQX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_FIELD                   _MK_FIELD_CONST(0x1, MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SHIFT)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_RANGE                   20:20
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_WOFFSET                 0x0
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_1_0_ENABLE_REGIF_UNICAST0_MCF_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST0_2_0
#define MC_REGIF_UNICAST0_2_0                   _MK_ADDR_CONST(0x370c)
#define MC_REGIF_UNICAST0_2_0_SECURE                    0x0
#define MC_REGIF_UNICAST0_2_0_DUAL                      0x0
#define MC_REGIF_UNICAST0_2_0_SCR                       0
#define MC_REGIF_UNICAST0_2_0_WORD_COUNT                        0x1
#define MC_REGIF_UNICAST0_2_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_2_0_RESET_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST0_2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_2_0_READ_MASK                         _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST0_2_0_WRITE_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_EMC2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_EMC2_FIELD                  _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_EMC2_SHIFT)
#define MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_EMC2_RANGE                  7:0
#define MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_EMC2_WOFFSET                        0x0
#define MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_EMC2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_EMC2_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_EMC2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_EMC2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_EMC2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_EMC2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_MC2_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_MC2_FIELD                   _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_MC2_SHIFT)
#define MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_MC2_RANGE                   15:8
#define MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_MC2_WOFFSET                 0x0
#define MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_MC2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_MC2_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_MC2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_MC2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_MC2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST0_2_0_ENABLE_REGIF_UNICAST0_MC2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST1_0
#define MC_REGIF_UNICAST1_0                     _MK_ADDR_CONST(0xf94)
#define MC_REGIF_UNICAST1_0_SECURE                      0x0
#define MC_REGIF_UNICAST1_0_DUAL                        0x0
#define MC_REGIF_UNICAST1_0_SCR                         0
#define MC_REGIF_UNICAST1_0_WORD_COUNT                  0x1
#define MC_REGIF_UNICAST1_0_RESET_VAL                   _MK_MASK_CONST(0x20202)
#define MC_REGIF_UNICAST1_0_RESET_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST1_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_0_READ_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST1_0_WRITE_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_EMC_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_EMC_FIELD                     _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_EMC_SHIFT)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_EMC_RANGE                     7:0
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_EMC_WOFFSET                   0x0
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_EMC_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_EMC_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_EMC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_EMC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_EMC_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_EMC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_MC_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_MC_FIELD                      _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_MC_SHIFT)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_MC_RANGE                      15:8
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_MC_WOFFSET                    0x0
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_MC_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_MC_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_MC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_MC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_MC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_MC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_HUB_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_HUB_FIELD                     _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_HUB_SHIFT)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_HUB_RANGE                     19:16
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_HUB_WOFFSET                   0x0
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_HUB_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_HUB_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_HUB_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_HUB_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_HUB_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_0_ENABLE_REGIF_UNICAST1_HUB_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST1_1_0
#define MC_REGIF_UNICAST1_1_0                   _MK_ADDR_CONST(0x1140)
#define MC_REGIF_UNICAST1_1_0_SECURE                    0x0
#define MC_REGIF_UNICAST1_1_0_DUAL                      0x0
#define MC_REGIF_UNICAST1_1_0_SCR                       0
#define MC_REGIF_UNICAST1_1_0_WORD_COUNT                        0x1
#define MC_REGIF_UNICAST1_1_0_RESET_VAL                         _MK_MASK_CONST(0x122202)
#define MC_REGIF_UNICAST1_1_0_RESET_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST1_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_1_0_READ_MASK                         _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST1_1_0_WRITE_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SLC_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SLC_FIELD                       _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SLC_SHIFT)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SLC_RANGE                       3:0
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SLC_WOFFSET                     0x0
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SLC_DEFAULT                     _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SLC_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SLC_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SLC_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SLC_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SLC_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SYSRAM_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SYSRAM_FIELD                    _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SYSRAM_SHIFT)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SYSRAM_RANGE                    9:8
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SYSRAM_WOFFSET                  0x0
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SYSRAM_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SYSRAM_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SYSRAM_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SYSRAM_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SYSRAM_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SYSRAM_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_IRSPX_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_IRSPX_FIELD                     _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_IRSPX_SHIFT)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_IRSPX_RANGE                     13:12
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_IRSPX_WOFFSET                   0x0
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_IRSPX_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_IRSPX_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_IRSPX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_IRSPX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_IRSPX_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_IRSPX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_OREQX_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_OREQX_FIELD                     _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_OREQX_SHIFT)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_OREQX_RANGE                     17:16
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_OREQX_WOFFSET                   0x0
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_OREQX_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_OREQX_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_OREQX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_OREQX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_OREQX_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_OREQX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_FIELD                   _MK_FIELD_CONST(0x1, MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SHIFT)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_RANGE                   20:20
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_WOFFSET                 0x0
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_1_0_ENABLE_REGIF_UNICAST1_MCF_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST1_2_0
#define MC_REGIF_UNICAST1_2_0                   _MK_ADDR_CONST(0x3710)
#define MC_REGIF_UNICAST1_2_0_SECURE                    0x0
#define MC_REGIF_UNICAST1_2_0_DUAL                      0x0
#define MC_REGIF_UNICAST1_2_0_SCR                       0
#define MC_REGIF_UNICAST1_2_0_WORD_COUNT                        0x1
#define MC_REGIF_UNICAST1_2_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_2_0_RESET_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST1_2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_2_0_READ_MASK                         _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST1_2_0_WRITE_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_EMC2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_EMC2_FIELD                  _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_EMC2_SHIFT)
#define MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_EMC2_RANGE                  7:0
#define MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_EMC2_WOFFSET                        0x0
#define MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_EMC2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_EMC2_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_EMC2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_EMC2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_EMC2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_EMC2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_MC2_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_MC2_FIELD                   _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_MC2_SHIFT)
#define MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_MC2_RANGE                   15:8
#define MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_MC2_WOFFSET                 0x0
#define MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_MC2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_MC2_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_MC2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_MC2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_MC2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST1_2_0_ENABLE_REGIF_UNICAST1_MC2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST2_0
#define MC_REGIF_UNICAST2_0                     _MK_ADDR_CONST(0xf98)
#define MC_REGIF_UNICAST2_0_SECURE                      0x0
#define MC_REGIF_UNICAST2_0_DUAL                        0x0
#define MC_REGIF_UNICAST2_0_SCR                         0
#define MC_REGIF_UNICAST2_0_WORD_COUNT                  0x1
#define MC_REGIF_UNICAST2_0_RESET_VAL                   _MK_MASK_CONST(0x40404)
#define MC_REGIF_UNICAST2_0_RESET_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST2_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_0_READ_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST2_0_WRITE_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_EMC_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_EMC_FIELD                     _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_EMC_SHIFT)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_EMC_RANGE                     7:0
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_EMC_WOFFSET                   0x0
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_EMC_DEFAULT                   _MK_MASK_CONST(0x4)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_EMC_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_EMC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_EMC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_EMC_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_EMC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_MC_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_MC_FIELD                      _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_MC_SHIFT)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_MC_RANGE                      15:8
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_MC_WOFFSET                    0x0
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_MC_DEFAULT                    _MK_MASK_CONST(0x4)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_MC_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_MC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_MC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_MC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_MC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_HUB_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_HUB_FIELD                     _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_HUB_SHIFT)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_HUB_RANGE                     19:16
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_HUB_WOFFSET                   0x0
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_HUB_DEFAULT                   _MK_MASK_CONST(0x4)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_HUB_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_HUB_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_HUB_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_HUB_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_0_ENABLE_REGIF_UNICAST2_HUB_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST2_1_0
#define MC_REGIF_UNICAST2_1_0                   _MK_ADDR_CONST(0x1144)
#define MC_REGIF_UNICAST2_1_0_SECURE                    0x0
#define MC_REGIF_UNICAST2_1_0_DUAL                      0x0
#define MC_REGIF_UNICAST2_1_0_SCR                       0
#define MC_REGIF_UNICAST2_1_0_WORD_COUNT                        0x1
#define MC_REGIF_UNICAST2_1_0_RESET_VAL                         _MK_MASK_CONST(0x111104)
#define MC_REGIF_UNICAST2_1_0_RESET_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST2_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_1_0_READ_MASK                         _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST2_1_0_WRITE_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SLC_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SLC_FIELD                       _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SLC_SHIFT)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SLC_RANGE                       3:0
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SLC_WOFFSET                     0x0
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SLC_DEFAULT                     _MK_MASK_CONST(0x4)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SLC_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SLC_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SLC_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SLC_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SLC_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SYSRAM_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SYSRAM_FIELD                    _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SYSRAM_SHIFT)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SYSRAM_RANGE                    9:8
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SYSRAM_WOFFSET                  0x0
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SYSRAM_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SYSRAM_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SYSRAM_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SYSRAM_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SYSRAM_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SYSRAM_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_IRSPX_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_IRSPX_FIELD                     _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_IRSPX_SHIFT)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_IRSPX_RANGE                     13:12
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_IRSPX_WOFFSET                   0x0
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_IRSPX_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_IRSPX_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_IRSPX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_IRSPX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_IRSPX_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_IRSPX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_OREQX_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_OREQX_FIELD                     _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_OREQX_SHIFT)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_OREQX_RANGE                     17:16
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_OREQX_WOFFSET                   0x0
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_OREQX_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_OREQX_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_OREQX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_OREQX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_OREQX_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_OREQX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_FIELD                   _MK_FIELD_CONST(0x1, MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SHIFT)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_RANGE                   20:20
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_WOFFSET                 0x0
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_1_0_ENABLE_REGIF_UNICAST2_MCF_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST2_2_0
#define MC_REGIF_UNICAST2_2_0                   _MK_ADDR_CONST(0x3714)
#define MC_REGIF_UNICAST2_2_0_SECURE                    0x0
#define MC_REGIF_UNICAST2_2_0_DUAL                      0x0
#define MC_REGIF_UNICAST2_2_0_SCR                       0
#define MC_REGIF_UNICAST2_2_0_WORD_COUNT                        0x1
#define MC_REGIF_UNICAST2_2_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_2_0_RESET_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST2_2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_2_0_READ_MASK                         _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST2_2_0_WRITE_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_EMC2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_EMC2_FIELD                  _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_EMC2_SHIFT)
#define MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_EMC2_RANGE                  7:0
#define MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_EMC2_WOFFSET                        0x0
#define MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_EMC2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_EMC2_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_EMC2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_EMC2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_EMC2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_EMC2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_MC2_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_MC2_FIELD                   _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_MC2_SHIFT)
#define MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_MC2_RANGE                   15:8
#define MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_MC2_WOFFSET                 0x0
#define MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_MC2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_MC2_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_MC2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_MC2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_MC2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST2_2_0_ENABLE_REGIF_UNICAST2_MC2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST3_0
#define MC_REGIF_UNICAST3_0                     _MK_ADDR_CONST(0xf9c)
#define MC_REGIF_UNICAST3_0_SECURE                      0x0
#define MC_REGIF_UNICAST3_0_DUAL                        0x0
#define MC_REGIF_UNICAST3_0_SCR                         0
#define MC_REGIF_UNICAST3_0_WORD_COUNT                  0x1
#define MC_REGIF_UNICAST3_0_RESET_VAL                   _MK_MASK_CONST(0x80808)
#define MC_REGIF_UNICAST3_0_RESET_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST3_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_0_READ_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST3_0_WRITE_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_EMC_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_EMC_FIELD                     _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_EMC_SHIFT)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_EMC_RANGE                     7:0
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_EMC_WOFFSET                   0x0
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_EMC_DEFAULT                   _MK_MASK_CONST(0x8)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_EMC_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_EMC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_EMC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_EMC_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_EMC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_MC_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_MC_FIELD                      _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_MC_SHIFT)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_MC_RANGE                      15:8
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_MC_WOFFSET                    0x0
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_MC_DEFAULT                    _MK_MASK_CONST(0x8)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_MC_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_MC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_MC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_MC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_MC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_HUB_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_HUB_FIELD                     _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_HUB_SHIFT)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_HUB_RANGE                     19:16
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_HUB_WOFFSET                   0x0
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_HUB_DEFAULT                   _MK_MASK_CONST(0x8)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_HUB_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_HUB_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_HUB_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_HUB_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_0_ENABLE_REGIF_UNICAST3_HUB_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST3_1_0
#define MC_REGIF_UNICAST3_1_0                   _MK_ADDR_CONST(0x1148)
#define MC_REGIF_UNICAST3_1_0_SECURE                    0x0
#define MC_REGIF_UNICAST3_1_0_DUAL                      0x0
#define MC_REGIF_UNICAST3_1_0_SCR                       0
#define MC_REGIF_UNICAST3_1_0_WORD_COUNT                        0x1
#define MC_REGIF_UNICAST3_1_0_RESET_VAL                         _MK_MASK_CONST(0x122208)
#define MC_REGIF_UNICAST3_1_0_RESET_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST3_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_1_0_READ_MASK                         _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST3_1_0_WRITE_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SLC_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SLC_FIELD                       _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SLC_SHIFT)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SLC_RANGE                       3:0
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SLC_WOFFSET                     0x0
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SLC_DEFAULT                     _MK_MASK_CONST(0x8)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SLC_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SLC_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SLC_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SLC_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SLC_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SYSRAM_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SYSRAM_FIELD                    _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SYSRAM_SHIFT)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SYSRAM_RANGE                    9:8
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SYSRAM_WOFFSET                  0x0
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SYSRAM_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SYSRAM_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SYSRAM_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SYSRAM_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SYSRAM_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SYSRAM_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_IRSPX_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_IRSPX_FIELD                     _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_IRSPX_SHIFT)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_IRSPX_RANGE                     13:12
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_IRSPX_WOFFSET                   0x0
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_IRSPX_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_IRSPX_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_IRSPX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_IRSPX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_IRSPX_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_IRSPX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_OREQX_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_OREQX_FIELD                     _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_OREQX_SHIFT)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_OREQX_RANGE                     17:16
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_OREQX_WOFFSET                   0x0
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_OREQX_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_OREQX_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_OREQX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_OREQX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_OREQX_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_OREQX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_FIELD                   _MK_FIELD_CONST(0x1, MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SHIFT)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_RANGE                   20:20
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_WOFFSET                 0x0
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_1_0_ENABLE_REGIF_UNICAST3_MCF_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST3_2_0
#define MC_REGIF_UNICAST3_2_0                   _MK_ADDR_CONST(0x3718)
#define MC_REGIF_UNICAST3_2_0_SECURE                    0x0
#define MC_REGIF_UNICAST3_2_0_DUAL                      0x0
#define MC_REGIF_UNICAST3_2_0_SCR                       0
#define MC_REGIF_UNICAST3_2_0_WORD_COUNT                        0x1
#define MC_REGIF_UNICAST3_2_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_2_0_RESET_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST3_2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_2_0_READ_MASK                         _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST3_2_0_WRITE_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_EMC2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_EMC2_FIELD                  _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_EMC2_SHIFT)
#define MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_EMC2_RANGE                  7:0
#define MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_EMC2_WOFFSET                        0x0
#define MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_EMC2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_EMC2_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_EMC2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_EMC2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_EMC2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_EMC2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_MC2_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_MC2_FIELD                   _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_MC2_SHIFT)
#define MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_MC2_RANGE                   15:8
#define MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_MC2_WOFFSET                 0x0
#define MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_MC2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_MC2_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_MC2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_MC2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_MC2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST3_2_0_ENABLE_REGIF_UNICAST3_MC2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST4_0
#define MC_REGIF_UNICAST4_0                     _MK_ADDR_CONST(0x1164)
#define MC_REGIF_UNICAST4_0_SECURE                      0x0
#define MC_REGIF_UNICAST4_0_DUAL                        0x0
#define MC_REGIF_UNICAST4_0_SCR                         0
#define MC_REGIF_UNICAST4_0_WORD_COUNT                  0x1
#define MC_REGIF_UNICAST4_0_RESET_VAL                   _MK_MASK_CONST(0x11010)
#define MC_REGIF_UNICAST4_0_RESET_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST4_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_0_READ_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST4_0_WRITE_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_EMC_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_EMC_FIELD                     _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_EMC_SHIFT)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_EMC_RANGE                     7:0
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_EMC_WOFFSET                   0x0
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_EMC_DEFAULT                   _MK_MASK_CONST(0x10)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_EMC_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_EMC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_EMC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_EMC_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_EMC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_MC_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_MC_FIELD                      _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_MC_SHIFT)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_MC_RANGE                      15:8
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_MC_WOFFSET                    0x0
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_MC_DEFAULT                    _MK_MASK_CONST(0x10)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_MC_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_MC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_MC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_MC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_MC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_HUB_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_HUB_FIELD                     _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_HUB_SHIFT)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_HUB_RANGE                     19:16
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_HUB_WOFFSET                   0x0
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_HUB_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_HUB_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_HUB_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_HUB_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_HUB_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_0_ENABLE_REGIF_UNICAST4_HUB_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST4_1_0
#define MC_REGIF_UNICAST4_1_0                   _MK_ADDR_CONST(0x114c)
#define MC_REGIF_UNICAST4_1_0_SECURE                    0x0
#define MC_REGIF_UNICAST4_1_0_DUAL                      0x0
#define MC_REGIF_UNICAST4_1_0_SCR                       0
#define MC_REGIF_UNICAST4_1_0_WORD_COUNT                        0x1
#define MC_REGIF_UNICAST4_1_0_RESET_VAL                         _MK_MASK_CONST(0x111101)
#define MC_REGIF_UNICAST4_1_0_RESET_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST4_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_1_0_READ_MASK                         _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST4_1_0_WRITE_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SLC_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SLC_FIELD                       _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SLC_SHIFT)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SLC_RANGE                       3:0
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SLC_WOFFSET                     0x0
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SLC_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SLC_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SLC_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SLC_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SLC_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SLC_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SYSRAM_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SYSRAM_FIELD                    _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SYSRAM_SHIFT)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SYSRAM_RANGE                    9:8
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SYSRAM_WOFFSET                  0x0
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SYSRAM_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SYSRAM_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SYSRAM_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SYSRAM_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SYSRAM_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SYSRAM_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_IRSPX_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_IRSPX_FIELD                     _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_IRSPX_SHIFT)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_IRSPX_RANGE                     13:12
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_IRSPX_WOFFSET                   0x0
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_IRSPX_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_IRSPX_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_IRSPX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_IRSPX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_IRSPX_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_IRSPX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_OREQX_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_OREQX_FIELD                     _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_OREQX_SHIFT)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_OREQX_RANGE                     17:16
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_OREQX_WOFFSET                   0x0
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_OREQX_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_OREQX_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_OREQX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_OREQX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_OREQX_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_OREQX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_FIELD                   _MK_FIELD_CONST(0x1, MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SHIFT)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_RANGE                   20:20
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_WOFFSET                 0x0
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_1_0_ENABLE_REGIF_UNICAST4_MCF_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST4_2_0
#define MC_REGIF_UNICAST4_2_0                   _MK_ADDR_CONST(0x371c)
#define MC_REGIF_UNICAST4_2_0_SECURE                    0x0
#define MC_REGIF_UNICAST4_2_0_DUAL                      0x0
#define MC_REGIF_UNICAST4_2_0_SCR                       0
#define MC_REGIF_UNICAST4_2_0_WORD_COUNT                        0x1
#define MC_REGIF_UNICAST4_2_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_2_0_RESET_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST4_2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_2_0_READ_MASK                         _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST4_2_0_WRITE_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_EMC2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_EMC2_FIELD                  _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_EMC2_SHIFT)
#define MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_EMC2_RANGE                  7:0
#define MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_EMC2_WOFFSET                        0x0
#define MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_EMC2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_EMC2_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_EMC2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_EMC2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_EMC2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_EMC2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_MC2_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_MC2_FIELD                   _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_MC2_SHIFT)
#define MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_MC2_RANGE                   15:8
#define MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_MC2_WOFFSET                 0x0
#define MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_MC2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_MC2_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_MC2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_MC2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_MC2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST4_2_0_ENABLE_REGIF_UNICAST4_MC2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST5_0
#define MC_REGIF_UNICAST5_0                     _MK_ADDR_CONST(0x1168)
#define MC_REGIF_UNICAST5_0_SECURE                      0x0
#define MC_REGIF_UNICAST5_0_DUAL                        0x0
#define MC_REGIF_UNICAST5_0_SCR                         0
#define MC_REGIF_UNICAST5_0_WORD_COUNT                  0x1
#define MC_REGIF_UNICAST5_0_RESET_VAL                   _MK_MASK_CONST(0x22020)
#define MC_REGIF_UNICAST5_0_RESET_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST5_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_0_READ_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST5_0_WRITE_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_EMC_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_EMC_FIELD                     _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_EMC_SHIFT)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_EMC_RANGE                     7:0
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_EMC_WOFFSET                   0x0
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_EMC_DEFAULT                   _MK_MASK_CONST(0x20)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_EMC_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_EMC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_EMC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_EMC_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_EMC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_MC_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_MC_FIELD                      _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_MC_SHIFT)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_MC_RANGE                      15:8
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_MC_WOFFSET                    0x0
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_MC_DEFAULT                    _MK_MASK_CONST(0x20)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_MC_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_MC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_MC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_MC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_MC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_HUB_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_HUB_FIELD                     _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_HUB_SHIFT)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_HUB_RANGE                     19:16
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_HUB_WOFFSET                   0x0
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_HUB_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_HUB_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_HUB_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_HUB_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_HUB_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_0_ENABLE_REGIF_UNICAST5_HUB_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST5_1_0
#define MC_REGIF_UNICAST5_1_0                   _MK_ADDR_CONST(0x1150)
#define MC_REGIF_UNICAST5_1_0_SECURE                    0x0
#define MC_REGIF_UNICAST5_1_0_DUAL                      0x0
#define MC_REGIF_UNICAST5_1_0_SCR                       0
#define MC_REGIF_UNICAST5_1_0_WORD_COUNT                        0x1
#define MC_REGIF_UNICAST5_1_0_RESET_VAL                         _MK_MASK_CONST(0x122202)
#define MC_REGIF_UNICAST5_1_0_RESET_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST5_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_1_0_READ_MASK                         _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST5_1_0_WRITE_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SLC_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SLC_FIELD                       _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SLC_SHIFT)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SLC_RANGE                       3:0
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SLC_WOFFSET                     0x0
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SLC_DEFAULT                     _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SLC_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SLC_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SLC_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SLC_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SLC_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SYSRAM_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SYSRAM_FIELD                    _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SYSRAM_SHIFT)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SYSRAM_RANGE                    9:8
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SYSRAM_WOFFSET                  0x0
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SYSRAM_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SYSRAM_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SYSRAM_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SYSRAM_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SYSRAM_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SYSRAM_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_IRSPX_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_IRSPX_FIELD                     _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_IRSPX_SHIFT)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_IRSPX_RANGE                     13:12
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_IRSPX_WOFFSET                   0x0
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_IRSPX_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_IRSPX_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_IRSPX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_IRSPX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_IRSPX_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_IRSPX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_OREQX_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_OREQX_FIELD                     _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_OREQX_SHIFT)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_OREQX_RANGE                     17:16
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_OREQX_WOFFSET                   0x0
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_OREQX_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_OREQX_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_OREQX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_OREQX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_OREQX_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_OREQX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_FIELD                   _MK_FIELD_CONST(0x1, MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SHIFT)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_RANGE                   20:20
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_WOFFSET                 0x0
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_1_0_ENABLE_REGIF_UNICAST5_MCF_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST5_2_0
#define MC_REGIF_UNICAST5_2_0                   _MK_ADDR_CONST(0x3720)
#define MC_REGIF_UNICAST5_2_0_SECURE                    0x0
#define MC_REGIF_UNICAST5_2_0_DUAL                      0x0
#define MC_REGIF_UNICAST5_2_0_SCR                       0
#define MC_REGIF_UNICAST5_2_0_WORD_COUNT                        0x1
#define MC_REGIF_UNICAST5_2_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_2_0_RESET_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST5_2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_2_0_READ_MASK                         _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST5_2_0_WRITE_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_EMC2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_EMC2_FIELD                  _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_EMC2_SHIFT)
#define MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_EMC2_RANGE                  7:0
#define MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_EMC2_WOFFSET                        0x0
#define MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_EMC2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_EMC2_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_EMC2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_EMC2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_EMC2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_EMC2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_MC2_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_MC2_FIELD                   _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_MC2_SHIFT)
#define MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_MC2_RANGE                   15:8
#define MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_MC2_WOFFSET                 0x0
#define MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_MC2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_MC2_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_MC2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_MC2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_MC2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST5_2_0_ENABLE_REGIF_UNICAST5_MC2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST6_0
#define MC_REGIF_UNICAST6_0                     _MK_ADDR_CONST(0x116c)
#define MC_REGIF_UNICAST6_0_SECURE                      0x0
#define MC_REGIF_UNICAST6_0_DUAL                        0x0
#define MC_REGIF_UNICAST6_0_SCR                         0
#define MC_REGIF_UNICAST6_0_WORD_COUNT                  0x1
#define MC_REGIF_UNICAST6_0_RESET_VAL                   _MK_MASK_CONST(0x44040)
#define MC_REGIF_UNICAST6_0_RESET_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST6_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_0_READ_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST6_0_WRITE_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_EMC_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_EMC_FIELD                     _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_EMC_SHIFT)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_EMC_RANGE                     7:0
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_EMC_WOFFSET                   0x0
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_EMC_DEFAULT                   _MK_MASK_CONST(0x40)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_EMC_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_EMC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_EMC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_EMC_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_EMC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_MC_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_MC_FIELD                      _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_MC_SHIFT)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_MC_RANGE                      15:8
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_MC_WOFFSET                    0x0
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_MC_DEFAULT                    _MK_MASK_CONST(0x40)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_MC_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_MC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_MC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_MC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_MC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_HUB_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_HUB_FIELD                     _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_HUB_SHIFT)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_HUB_RANGE                     19:16
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_HUB_WOFFSET                   0x0
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_HUB_DEFAULT                   _MK_MASK_CONST(0x4)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_HUB_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_HUB_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_HUB_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_HUB_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_0_ENABLE_REGIF_UNICAST6_HUB_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST6_1_0
#define MC_REGIF_UNICAST6_1_0                   _MK_ADDR_CONST(0x1154)
#define MC_REGIF_UNICAST6_1_0_SECURE                    0x0
#define MC_REGIF_UNICAST6_1_0_DUAL                      0x0
#define MC_REGIF_UNICAST6_1_0_SCR                       0
#define MC_REGIF_UNICAST6_1_0_WORD_COUNT                        0x1
#define MC_REGIF_UNICAST6_1_0_RESET_VAL                         _MK_MASK_CONST(0x111104)
#define MC_REGIF_UNICAST6_1_0_RESET_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST6_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_1_0_READ_MASK                         _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST6_1_0_WRITE_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SLC_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SLC_FIELD                       _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SLC_SHIFT)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SLC_RANGE                       3:0
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SLC_WOFFSET                     0x0
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SLC_DEFAULT                     _MK_MASK_CONST(0x4)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SLC_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SLC_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SLC_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SLC_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SLC_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SYSRAM_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SYSRAM_FIELD                    _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SYSRAM_SHIFT)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SYSRAM_RANGE                    9:8
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SYSRAM_WOFFSET                  0x0
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SYSRAM_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SYSRAM_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SYSRAM_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SYSRAM_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SYSRAM_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SYSRAM_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_IRSPX_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_IRSPX_FIELD                     _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_IRSPX_SHIFT)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_IRSPX_RANGE                     13:12
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_IRSPX_WOFFSET                   0x0
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_IRSPX_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_IRSPX_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_IRSPX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_IRSPX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_IRSPX_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_IRSPX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_OREQX_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_OREQX_FIELD                     _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_OREQX_SHIFT)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_OREQX_RANGE                     17:16
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_OREQX_WOFFSET                   0x0
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_OREQX_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_OREQX_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_OREQX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_OREQX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_OREQX_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_OREQX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_FIELD                   _MK_FIELD_CONST(0x1, MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SHIFT)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_RANGE                   20:20
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_WOFFSET                 0x0
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_1_0_ENABLE_REGIF_UNICAST6_MCF_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST6_2_0
#define MC_REGIF_UNICAST6_2_0                   _MK_ADDR_CONST(0x3724)
#define MC_REGIF_UNICAST6_2_0_SECURE                    0x0
#define MC_REGIF_UNICAST6_2_0_DUAL                      0x0
#define MC_REGIF_UNICAST6_2_0_SCR                       0
#define MC_REGIF_UNICAST6_2_0_WORD_COUNT                        0x1
#define MC_REGIF_UNICAST6_2_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_2_0_RESET_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST6_2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_2_0_READ_MASK                         _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST6_2_0_WRITE_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_EMC2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_EMC2_FIELD                  _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_EMC2_SHIFT)
#define MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_EMC2_RANGE                  7:0
#define MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_EMC2_WOFFSET                        0x0
#define MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_EMC2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_EMC2_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_EMC2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_EMC2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_EMC2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_EMC2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_MC2_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_MC2_FIELD                   _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_MC2_SHIFT)
#define MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_MC2_RANGE                   15:8
#define MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_MC2_WOFFSET                 0x0
#define MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_MC2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_MC2_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_MC2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_MC2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_MC2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST6_2_0_ENABLE_REGIF_UNICAST6_MC2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST7_0
#define MC_REGIF_UNICAST7_0                     _MK_ADDR_CONST(0x1170)
#define MC_REGIF_UNICAST7_0_SECURE                      0x0
#define MC_REGIF_UNICAST7_0_DUAL                        0x0
#define MC_REGIF_UNICAST7_0_SCR                         0
#define MC_REGIF_UNICAST7_0_WORD_COUNT                  0x1
#define MC_REGIF_UNICAST7_0_RESET_VAL                   _MK_MASK_CONST(0x88080)
#define MC_REGIF_UNICAST7_0_RESET_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST7_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_0_READ_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST7_0_WRITE_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_EMC_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_EMC_FIELD                     _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_EMC_SHIFT)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_EMC_RANGE                     7:0
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_EMC_WOFFSET                   0x0
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_EMC_DEFAULT                   _MK_MASK_CONST(0x80)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_EMC_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_EMC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_EMC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_EMC_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_EMC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_MC_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_MC_FIELD                      _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_MC_SHIFT)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_MC_RANGE                      15:8
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_MC_WOFFSET                    0x0
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_MC_DEFAULT                    _MK_MASK_CONST(0x80)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_MC_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_MC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_MC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_MC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_MC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_HUB_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_HUB_FIELD                     _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_HUB_SHIFT)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_HUB_RANGE                     19:16
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_HUB_WOFFSET                   0x0
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_HUB_DEFAULT                   _MK_MASK_CONST(0x8)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_HUB_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_HUB_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_HUB_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_HUB_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_0_ENABLE_REGIF_UNICAST7_HUB_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST7_1_0
#define MC_REGIF_UNICAST7_1_0                   _MK_ADDR_CONST(0x1160)
#define MC_REGIF_UNICAST7_1_0_SECURE                    0x0
#define MC_REGIF_UNICAST7_1_0_DUAL                      0x0
#define MC_REGIF_UNICAST7_1_0_SCR                       0
#define MC_REGIF_UNICAST7_1_0_WORD_COUNT                        0x1
#define MC_REGIF_UNICAST7_1_0_RESET_VAL                         _MK_MASK_CONST(0x122208)
#define MC_REGIF_UNICAST7_1_0_RESET_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST7_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_1_0_READ_MASK                         _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST7_1_0_WRITE_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SLC_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SLC_FIELD                       _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SLC_SHIFT)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SLC_RANGE                       3:0
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SLC_WOFFSET                     0x0
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SLC_DEFAULT                     _MK_MASK_CONST(0x8)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SLC_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SLC_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SLC_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SLC_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SLC_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SYSRAM_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SYSRAM_FIELD                    _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SYSRAM_SHIFT)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SYSRAM_RANGE                    9:8
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SYSRAM_WOFFSET                  0x0
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SYSRAM_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SYSRAM_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SYSRAM_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SYSRAM_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SYSRAM_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SYSRAM_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_IRSPX_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_IRSPX_FIELD                     _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_IRSPX_SHIFT)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_IRSPX_RANGE                     13:12
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_IRSPX_WOFFSET                   0x0
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_IRSPX_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_IRSPX_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_IRSPX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_IRSPX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_IRSPX_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_IRSPX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_OREQX_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_OREQX_FIELD                     _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_OREQX_SHIFT)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_OREQX_RANGE                     17:16
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_OREQX_WOFFSET                   0x0
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_OREQX_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_OREQX_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_OREQX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_OREQX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_OREQX_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_OREQX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_FIELD                   _MK_FIELD_CONST(0x1, MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SHIFT)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_RANGE                   20:20
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_WOFFSET                 0x0
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_1_0_ENABLE_REGIF_UNICAST7_MCF_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST7_2_0
#define MC_REGIF_UNICAST7_2_0                   _MK_ADDR_CONST(0x3728)
#define MC_REGIF_UNICAST7_2_0_SECURE                    0x0
#define MC_REGIF_UNICAST7_2_0_DUAL                      0x0
#define MC_REGIF_UNICAST7_2_0_SCR                       0
#define MC_REGIF_UNICAST7_2_0_WORD_COUNT                        0x1
#define MC_REGIF_UNICAST7_2_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_2_0_RESET_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST7_2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_2_0_READ_MASK                         _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST7_2_0_WRITE_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_EMC2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_EMC2_FIELD                  _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_EMC2_SHIFT)
#define MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_EMC2_RANGE                  7:0
#define MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_EMC2_WOFFSET                        0x0
#define MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_EMC2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_EMC2_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_EMC2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_EMC2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_EMC2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_EMC2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_MC2_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_MC2_FIELD                   _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_MC2_SHIFT)
#define MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_MC2_RANGE                   15:8
#define MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_MC2_WOFFSET                 0x0
#define MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_MC2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_MC2_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_MC2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_MC2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_MC2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST7_2_0_ENABLE_REGIF_UNICAST7_MC2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST8_0
#define MC_REGIF_UNICAST8_0                     _MK_ADDR_CONST(0x372c)
#define MC_REGIF_UNICAST8_0_SECURE                      0x0
#define MC_REGIF_UNICAST8_0_DUAL                        0x0
#define MC_REGIF_UNICAST8_0_SCR                         0
#define MC_REGIF_UNICAST8_0_WORD_COUNT                  0x1
#define MC_REGIF_UNICAST8_0_RESET_VAL                   _MK_MASK_CONST(0x10000)
#define MC_REGIF_UNICAST8_0_RESET_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST8_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_0_READ_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST8_0_WRITE_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_EMC_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_EMC_FIELD                     _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_EMC_SHIFT)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_EMC_RANGE                     7:0
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_EMC_WOFFSET                   0x0
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_EMC_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_EMC_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_EMC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_EMC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_EMC_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_EMC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_MC_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_MC_FIELD                      _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_MC_SHIFT)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_MC_RANGE                      15:8
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_MC_WOFFSET                    0x0
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_MC_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_MC_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_MC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_MC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_MC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_MC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_HUB_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_HUB_FIELD                     _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_HUB_SHIFT)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_HUB_RANGE                     19:16
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_HUB_WOFFSET                   0x0
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_HUB_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_HUB_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_HUB_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_HUB_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_HUB_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_0_ENABLE_REGIF_UNICAST8_HUB_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST8_1_0
#define MC_REGIF_UNICAST8_1_0                   _MK_ADDR_CONST(0x374c)
#define MC_REGIF_UNICAST8_1_0_SECURE                    0x0
#define MC_REGIF_UNICAST8_1_0_DUAL                      0x0
#define MC_REGIF_UNICAST8_1_0_SCR                       0
#define MC_REGIF_UNICAST8_1_0_WORD_COUNT                        0x1
#define MC_REGIF_UNICAST8_1_0_RESET_VAL                         _MK_MASK_CONST(0x111101)
#define MC_REGIF_UNICAST8_1_0_RESET_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST8_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_1_0_READ_MASK                         _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST8_1_0_WRITE_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SLC_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SLC_FIELD                       _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SLC_SHIFT)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SLC_RANGE                       3:0
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SLC_WOFFSET                     0x0
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SLC_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SLC_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SLC_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SLC_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SLC_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SLC_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SYSRAM_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SYSRAM_FIELD                    _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SYSRAM_SHIFT)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SYSRAM_RANGE                    9:8
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SYSRAM_WOFFSET                  0x0
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SYSRAM_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SYSRAM_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SYSRAM_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SYSRAM_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SYSRAM_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SYSRAM_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_IRSPX_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_IRSPX_FIELD                     _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_IRSPX_SHIFT)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_IRSPX_RANGE                     13:12
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_IRSPX_WOFFSET                   0x0
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_IRSPX_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_IRSPX_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_IRSPX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_IRSPX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_IRSPX_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_IRSPX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_OREQX_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_OREQX_FIELD                     _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_OREQX_SHIFT)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_OREQX_RANGE                     17:16
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_OREQX_WOFFSET                   0x0
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_OREQX_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_OREQX_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_OREQX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_OREQX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_OREQX_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_OREQX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_FIELD                   _MK_FIELD_CONST(0x1, MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SHIFT)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_RANGE                   20:20
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_WOFFSET                 0x0
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_1_0_ENABLE_REGIF_UNICAST8_MCF_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST8_2_0
#define MC_REGIF_UNICAST8_2_0                   _MK_ADDR_CONST(0x376c)
#define MC_REGIF_UNICAST8_2_0_SECURE                    0x0
#define MC_REGIF_UNICAST8_2_0_DUAL                      0x0
#define MC_REGIF_UNICAST8_2_0_SCR                       0
#define MC_REGIF_UNICAST8_2_0_WORD_COUNT                        0x1
#define MC_REGIF_UNICAST8_2_0_RESET_VAL                         _MK_MASK_CONST(0x101)
#define MC_REGIF_UNICAST8_2_0_RESET_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST8_2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_2_0_READ_MASK                         _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST8_2_0_WRITE_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_EMC2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_EMC2_FIELD                  _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_EMC2_SHIFT)
#define MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_EMC2_RANGE                  7:0
#define MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_EMC2_WOFFSET                        0x0
#define MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_EMC2_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_EMC2_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_EMC2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_EMC2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_EMC2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_EMC2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_MC2_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_MC2_FIELD                   _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_MC2_SHIFT)
#define MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_MC2_RANGE                   15:8
#define MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_MC2_WOFFSET                 0x0
#define MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_MC2_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_MC2_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_MC2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_MC2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_MC2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST8_2_0_ENABLE_REGIF_UNICAST8_MC2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST9_0
#define MC_REGIF_UNICAST9_0                     _MK_ADDR_CONST(0x3730)
#define MC_REGIF_UNICAST9_0_SECURE                      0x0
#define MC_REGIF_UNICAST9_0_DUAL                        0x0
#define MC_REGIF_UNICAST9_0_SCR                         0
#define MC_REGIF_UNICAST9_0_WORD_COUNT                  0x1
#define MC_REGIF_UNICAST9_0_RESET_VAL                   _MK_MASK_CONST(0x20000)
#define MC_REGIF_UNICAST9_0_RESET_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST9_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_0_READ_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST9_0_WRITE_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_EMC_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_EMC_FIELD                     _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_EMC_SHIFT)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_EMC_RANGE                     7:0
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_EMC_WOFFSET                   0x0
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_EMC_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_EMC_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_EMC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_EMC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_EMC_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_EMC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_MC_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_MC_FIELD                      _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_MC_SHIFT)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_MC_RANGE                      15:8
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_MC_WOFFSET                    0x0
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_MC_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_MC_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_MC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_MC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_MC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_MC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_HUB_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_HUB_FIELD                     _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_HUB_SHIFT)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_HUB_RANGE                     19:16
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_HUB_WOFFSET                   0x0
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_HUB_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_HUB_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_HUB_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_HUB_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_HUB_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_0_ENABLE_REGIF_UNICAST9_HUB_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST9_1_0
#define MC_REGIF_UNICAST9_1_0                   _MK_ADDR_CONST(0x3750)
#define MC_REGIF_UNICAST9_1_0_SECURE                    0x0
#define MC_REGIF_UNICAST9_1_0_DUAL                      0x0
#define MC_REGIF_UNICAST9_1_0_SCR                       0
#define MC_REGIF_UNICAST9_1_0_WORD_COUNT                        0x1
#define MC_REGIF_UNICAST9_1_0_RESET_VAL                         _MK_MASK_CONST(0x122202)
#define MC_REGIF_UNICAST9_1_0_RESET_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST9_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_1_0_READ_MASK                         _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST9_1_0_WRITE_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SLC_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SLC_FIELD                       _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SLC_SHIFT)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SLC_RANGE                       3:0
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SLC_WOFFSET                     0x0
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SLC_DEFAULT                     _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SLC_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SLC_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SLC_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SLC_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SLC_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SYSRAM_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SYSRAM_FIELD                    _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SYSRAM_SHIFT)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SYSRAM_RANGE                    9:8
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SYSRAM_WOFFSET                  0x0
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SYSRAM_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SYSRAM_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SYSRAM_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SYSRAM_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SYSRAM_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SYSRAM_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_IRSPX_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_IRSPX_FIELD                     _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_IRSPX_SHIFT)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_IRSPX_RANGE                     13:12
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_IRSPX_WOFFSET                   0x0
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_IRSPX_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_IRSPX_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_IRSPX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_IRSPX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_IRSPX_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_IRSPX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_OREQX_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_OREQX_FIELD                     _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_OREQX_SHIFT)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_OREQX_RANGE                     17:16
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_OREQX_WOFFSET                   0x0
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_OREQX_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_OREQX_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_OREQX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_OREQX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_OREQX_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_OREQX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_FIELD                   _MK_FIELD_CONST(0x1, MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SHIFT)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_RANGE                   20:20
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_WOFFSET                 0x0
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_1_0_ENABLE_REGIF_UNICAST9_MCF_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST9_2_0
#define MC_REGIF_UNICAST9_2_0                   _MK_ADDR_CONST(0x3770)
#define MC_REGIF_UNICAST9_2_0_SECURE                    0x0
#define MC_REGIF_UNICAST9_2_0_DUAL                      0x0
#define MC_REGIF_UNICAST9_2_0_SCR                       0
#define MC_REGIF_UNICAST9_2_0_WORD_COUNT                        0x1
#define MC_REGIF_UNICAST9_2_0_RESET_VAL                         _MK_MASK_CONST(0x202)
#define MC_REGIF_UNICAST9_2_0_RESET_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST9_2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_2_0_READ_MASK                         _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST9_2_0_WRITE_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_EMC2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_EMC2_FIELD                  _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_EMC2_SHIFT)
#define MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_EMC2_RANGE                  7:0
#define MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_EMC2_WOFFSET                        0x0
#define MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_EMC2_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_EMC2_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_EMC2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_EMC2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_EMC2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_EMC2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_MC2_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_MC2_FIELD                   _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_MC2_SHIFT)
#define MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_MC2_RANGE                   15:8
#define MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_MC2_WOFFSET                 0x0
#define MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_MC2_DEFAULT                 _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_MC2_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_MC2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_MC2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_MC2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST9_2_0_ENABLE_REGIF_UNICAST9_MC2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST10_0
#define MC_REGIF_UNICAST10_0                    _MK_ADDR_CONST(0x3734)
#define MC_REGIF_UNICAST10_0_SECURE                     0x0
#define MC_REGIF_UNICAST10_0_DUAL                       0x0
#define MC_REGIF_UNICAST10_0_SCR                        0
#define MC_REGIF_UNICAST10_0_WORD_COUNT                         0x1
#define MC_REGIF_UNICAST10_0_RESET_VAL                  _MK_MASK_CONST(0x40000)
#define MC_REGIF_UNICAST10_0_RESET_MASK                         _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST10_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_0_READ_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST10_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_EMC_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_EMC_FIELD                   _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_EMC_SHIFT)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_EMC_RANGE                   7:0
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_EMC_WOFFSET                 0x0
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_EMC_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_EMC_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_EMC_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_EMC_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_EMC_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_EMC_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_MC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_MC_FIELD                    _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_MC_SHIFT)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_MC_RANGE                    15:8
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_MC_WOFFSET                  0x0
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_MC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_MC_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_MC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_MC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_MC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_MC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_HUB_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_HUB_FIELD                   _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_HUB_SHIFT)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_HUB_RANGE                   19:16
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_HUB_WOFFSET                 0x0
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_HUB_DEFAULT                 _MK_MASK_CONST(0x4)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_HUB_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_HUB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_HUB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_HUB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_0_ENABLE_REGIF_UNICAST10_HUB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST10_1_0
#define MC_REGIF_UNICAST10_1_0                  _MK_ADDR_CONST(0x3754)
#define MC_REGIF_UNICAST10_1_0_SECURE                   0x0
#define MC_REGIF_UNICAST10_1_0_DUAL                     0x0
#define MC_REGIF_UNICAST10_1_0_SCR                      0
#define MC_REGIF_UNICAST10_1_0_WORD_COUNT                       0x1
#define MC_REGIF_UNICAST10_1_0_RESET_VAL                        _MK_MASK_CONST(0x111104)
#define MC_REGIF_UNICAST10_1_0_RESET_MASK                       _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST10_1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_1_0_READ_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST10_1_0_WRITE_MASK                       _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SLC_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SLC_FIELD                     _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SLC_SHIFT)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SLC_RANGE                     3:0
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SLC_WOFFSET                   0x0
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SLC_DEFAULT                   _MK_MASK_CONST(0x4)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SLC_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SLC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SLC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SLC_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SLC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SYSRAM_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SYSRAM_FIELD                  _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SYSRAM_SHIFT)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SYSRAM_RANGE                  9:8
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SYSRAM_WOFFSET                        0x0
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SYSRAM_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SYSRAM_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SYSRAM_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SYSRAM_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SYSRAM_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SYSRAM_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_IRSPX_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_IRSPX_FIELD                   _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_IRSPX_SHIFT)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_IRSPX_RANGE                   13:12
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_IRSPX_WOFFSET                 0x0
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_IRSPX_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_IRSPX_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_IRSPX_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_IRSPX_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_IRSPX_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_IRSPX_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_OREQX_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_OREQX_FIELD                   _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_OREQX_SHIFT)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_OREQX_RANGE                   17:16
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_OREQX_WOFFSET                 0x0
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_OREQX_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_OREQX_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_OREQX_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_OREQX_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_OREQX_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_OREQX_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_FIELD                 _MK_FIELD_CONST(0x1, MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SHIFT)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_RANGE                 20:20
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_WOFFSET                       0x0
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_1_0_ENABLE_REGIF_UNICAST10_MCF_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST10_2_0
#define MC_REGIF_UNICAST10_2_0                  _MK_ADDR_CONST(0x3774)
#define MC_REGIF_UNICAST10_2_0_SECURE                   0x0
#define MC_REGIF_UNICAST10_2_0_DUAL                     0x0
#define MC_REGIF_UNICAST10_2_0_SCR                      0
#define MC_REGIF_UNICAST10_2_0_WORD_COUNT                       0x1
#define MC_REGIF_UNICAST10_2_0_RESET_VAL                        _MK_MASK_CONST(0x404)
#define MC_REGIF_UNICAST10_2_0_RESET_MASK                       _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST10_2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_2_0_READ_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST10_2_0_WRITE_MASK                       _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_EMC2_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_EMC2_FIELD                        _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_EMC2_SHIFT)
#define MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_EMC2_RANGE                        7:0
#define MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_EMC2_WOFFSET                      0x0
#define MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_EMC2_DEFAULT                      _MK_MASK_CONST(0x4)
#define MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_EMC2_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_EMC2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_EMC2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_EMC2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_EMC2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_MC2_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_MC2_FIELD                 _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_MC2_SHIFT)
#define MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_MC2_RANGE                 15:8
#define MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_MC2_WOFFSET                       0x0
#define MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_MC2_DEFAULT                       _MK_MASK_CONST(0x4)
#define MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_MC2_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_MC2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_MC2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_MC2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST10_2_0_ENABLE_REGIF_UNICAST10_MC2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST11_0
#define MC_REGIF_UNICAST11_0                    _MK_ADDR_CONST(0x3738)
#define MC_REGIF_UNICAST11_0_SECURE                     0x0
#define MC_REGIF_UNICAST11_0_DUAL                       0x0
#define MC_REGIF_UNICAST11_0_SCR                        0
#define MC_REGIF_UNICAST11_0_WORD_COUNT                         0x1
#define MC_REGIF_UNICAST11_0_RESET_VAL                  _MK_MASK_CONST(0x80000)
#define MC_REGIF_UNICAST11_0_RESET_MASK                         _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST11_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_0_READ_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST11_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_EMC_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_EMC_FIELD                   _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_EMC_SHIFT)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_EMC_RANGE                   7:0
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_EMC_WOFFSET                 0x0
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_EMC_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_EMC_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_EMC_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_EMC_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_EMC_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_EMC_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_MC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_MC_FIELD                    _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_MC_SHIFT)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_MC_RANGE                    15:8
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_MC_WOFFSET                  0x0
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_MC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_MC_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_MC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_MC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_MC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_MC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_HUB_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_HUB_FIELD                   _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_HUB_SHIFT)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_HUB_RANGE                   19:16
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_HUB_WOFFSET                 0x0
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_HUB_DEFAULT                 _MK_MASK_CONST(0x8)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_HUB_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_HUB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_HUB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_HUB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_0_ENABLE_REGIF_UNICAST11_HUB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST11_1_0
#define MC_REGIF_UNICAST11_1_0                  _MK_ADDR_CONST(0x3758)
#define MC_REGIF_UNICAST11_1_0_SECURE                   0x0
#define MC_REGIF_UNICAST11_1_0_DUAL                     0x0
#define MC_REGIF_UNICAST11_1_0_SCR                      0
#define MC_REGIF_UNICAST11_1_0_WORD_COUNT                       0x1
#define MC_REGIF_UNICAST11_1_0_RESET_VAL                        _MK_MASK_CONST(0x122208)
#define MC_REGIF_UNICAST11_1_0_RESET_MASK                       _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST11_1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_1_0_READ_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST11_1_0_WRITE_MASK                       _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SLC_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SLC_FIELD                     _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SLC_SHIFT)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SLC_RANGE                     3:0
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SLC_WOFFSET                   0x0
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SLC_DEFAULT                   _MK_MASK_CONST(0x8)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SLC_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SLC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SLC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SLC_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SLC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SYSRAM_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SYSRAM_FIELD                  _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SYSRAM_SHIFT)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SYSRAM_RANGE                  9:8
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SYSRAM_WOFFSET                        0x0
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SYSRAM_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SYSRAM_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SYSRAM_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SYSRAM_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SYSRAM_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SYSRAM_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_IRSPX_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_IRSPX_FIELD                   _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_IRSPX_SHIFT)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_IRSPX_RANGE                   13:12
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_IRSPX_WOFFSET                 0x0
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_IRSPX_DEFAULT                 _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_IRSPX_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_IRSPX_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_IRSPX_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_IRSPX_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_IRSPX_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_OREQX_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_OREQX_FIELD                   _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_OREQX_SHIFT)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_OREQX_RANGE                   17:16
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_OREQX_WOFFSET                 0x0
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_OREQX_DEFAULT                 _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_OREQX_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_OREQX_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_OREQX_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_OREQX_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_OREQX_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_FIELD                 _MK_FIELD_CONST(0x1, MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SHIFT)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_RANGE                 20:20
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_WOFFSET                       0x0
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_1_0_ENABLE_REGIF_UNICAST11_MCF_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST11_2_0
#define MC_REGIF_UNICAST11_2_0                  _MK_ADDR_CONST(0x3778)
#define MC_REGIF_UNICAST11_2_0_SECURE                   0x0
#define MC_REGIF_UNICAST11_2_0_DUAL                     0x0
#define MC_REGIF_UNICAST11_2_0_SCR                      0
#define MC_REGIF_UNICAST11_2_0_WORD_COUNT                       0x1
#define MC_REGIF_UNICAST11_2_0_RESET_VAL                        _MK_MASK_CONST(0x808)
#define MC_REGIF_UNICAST11_2_0_RESET_MASK                       _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST11_2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_2_0_READ_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST11_2_0_WRITE_MASK                       _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_EMC2_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_EMC2_FIELD                        _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_EMC2_SHIFT)
#define MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_EMC2_RANGE                        7:0
#define MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_EMC2_WOFFSET                      0x0
#define MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_EMC2_DEFAULT                      _MK_MASK_CONST(0x8)
#define MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_EMC2_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_EMC2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_EMC2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_EMC2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_EMC2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_MC2_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_MC2_FIELD                 _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_MC2_SHIFT)
#define MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_MC2_RANGE                 15:8
#define MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_MC2_WOFFSET                       0x0
#define MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_MC2_DEFAULT                       _MK_MASK_CONST(0x8)
#define MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_MC2_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_MC2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_MC2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_MC2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST11_2_0_ENABLE_REGIF_UNICAST11_MC2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST12_0
#define MC_REGIF_UNICAST12_0                    _MK_ADDR_CONST(0x373c)
#define MC_REGIF_UNICAST12_0_SECURE                     0x0
#define MC_REGIF_UNICAST12_0_DUAL                       0x0
#define MC_REGIF_UNICAST12_0_SCR                        0
#define MC_REGIF_UNICAST12_0_WORD_COUNT                         0x1
#define MC_REGIF_UNICAST12_0_RESET_VAL                  _MK_MASK_CONST(0x10000)
#define MC_REGIF_UNICAST12_0_RESET_MASK                         _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST12_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_0_READ_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST12_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_EMC_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_EMC_FIELD                   _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_EMC_SHIFT)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_EMC_RANGE                   7:0
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_EMC_WOFFSET                 0x0
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_EMC_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_EMC_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_EMC_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_EMC_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_EMC_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_EMC_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_MC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_MC_FIELD                    _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_MC_SHIFT)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_MC_RANGE                    15:8
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_MC_WOFFSET                  0x0
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_MC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_MC_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_MC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_MC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_MC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_MC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_HUB_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_HUB_FIELD                   _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_HUB_SHIFT)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_HUB_RANGE                   19:16
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_HUB_WOFFSET                 0x0
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_HUB_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_HUB_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_HUB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_HUB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_HUB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_0_ENABLE_REGIF_UNICAST12_HUB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST12_1_0
#define MC_REGIF_UNICAST12_1_0                  _MK_ADDR_CONST(0x375c)
#define MC_REGIF_UNICAST12_1_0_SECURE                   0x0
#define MC_REGIF_UNICAST12_1_0_DUAL                     0x0
#define MC_REGIF_UNICAST12_1_0_SCR                      0
#define MC_REGIF_UNICAST12_1_0_WORD_COUNT                       0x1
#define MC_REGIF_UNICAST12_1_0_RESET_VAL                        _MK_MASK_CONST(0x111101)
#define MC_REGIF_UNICAST12_1_0_RESET_MASK                       _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST12_1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_1_0_READ_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST12_1_0_WRITE_MASK                       _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SLC_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SLC_FIELD                     _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SLC_SHIFT)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SLC_RANGE                     3:0
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SLC_WOFFSET                   0x0
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SLC_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SLC_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SLC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SLC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SLC_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SLC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SYSRAM_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SYSRAM_FIELD                  _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SYSRAM_SHIFT)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SYSRAM_RANGE                  9:8
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SYSRAM_WOFFSET                        0x0
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SYSRAM_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SYSRAM_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SYSRAM_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SYSRAM_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SYSRAM_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SYSRAM_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_IRSPX_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_IRSPX_FIELD                   _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_IRSPX_SHIFT)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_IRSPX_RANGE                   13:12
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_IRSPX_WOFFSET                 0x0
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_IRSPX_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_IRSPX_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_IRSPX_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_IRSPX_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_IRSPX_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_IRSPX_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_OREQX_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_OREQX_FIELD                   _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_OREQX_SHIFT)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_OREQX_RANGE                   17:16
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_OREQX_WOFFSET                 0x0
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_OREQX_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_OREQX_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_OREQX_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_OREQX_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_OREQX_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_OREQX_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_FIELD                 _MK_FIELD_CONST(0x1, MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SHIFT)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_RANGE                 20:20
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_WOFFSET                       0x0
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_1_0_ENABLE_REGIF_UNICAST12_MCF_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST12_2_0
#define MC_REGIF_UNICAST12_2_0                  _MK_ADDR_CONST(0x377c)
#define MC_REGIF_UNICAST12_2_0_SECURE                   0x0
#define MC_REGIF_UNICAST12_2_0_DUAL                     0x0
#define MC_REGIF_UNICAST12_2_0_SCR                      0
#define MC_REGIF_UNICAST12_2_0_WORD_COUNT                       0x1
#define MC_REGIF_UNICAST12_2_0_RESET_VAL                        _MK_MASK_CONST(0x1010)
#define MC_REGIF_UNICAST12_2_0_RESET_MASK                       _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST12_2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_2_0_READ_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST12_2_0_WRITE_MASK                       _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_EMC2_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_EMC2_FIELD                        _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_EMC2_SHIFT)
#define MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_EMC2_RANGE                        7:0
#define MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_EMC2_WOFFSET                      0x0
#define MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_EMC2_DEFAULT                      _MK_MASK_CONST(0x10)
#define MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_EMC2_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_EMC2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_EMC2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_EMC2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_EMC2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_MC2_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_MC2_FIELD                 _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_MC2_SHIFT)
#define MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_MC2_RANGE                 15:8
#define MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_MC2_WOFFSET                       0x0
#define MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_MC2_DEFAULT                       _MK_MASK_CONST(0x10)
#define MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_MC2_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_MC2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_MC2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_MC2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST12_2_0_ENABLE_REGIF_UNICAST12_MC2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST13_0
#define MC_REGIF_UNICAST13_0                    _MK_ADDR_CONST(0x3740)
#define MC_REGIF_UNICAST13_0_SECURE                     0x0
#define MC_REGIF_UNICAST13_0_DUAL                       0x0
#define MC_REGIF_UNICAST13_0_SCR                        0
#define MC_REGIF_UNICAST13_0_WORD_COUNT                         0x1
#define MC_REGIF_UNICAST13_0_RESET_VAL                  _MK_MASK_CONST(0x20000)
#define MC_REGIF_UNICAST13_0_RESET_MASK                         _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST13_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_0_READ_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST13_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_EMC_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_EMC_FIELD                   _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_EMC_SHIFT)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_EMC_RANGE                   7:0
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_EMC_WOFFSET                 0x0
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_EMC_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_EMC_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_EMC_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_EMC_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_EMC_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_EMC_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_MC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_MC_FIELD                    _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_MC_SHIFT)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_MC_RANGE                    15:8
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_MC_WOFFSET                  0x0
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_MC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_MC_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_MC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_MC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_MC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_MC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_HUB_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_HUB_FIELD                   _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_HUB_SHIFT)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_HUB_RANGE                   19:16
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_HUB_WOFFSET                 0x0
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_HUB_DEFAULT                 _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_HUB_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_HUB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_HUB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_HUB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_0_ENABLE_REGIF_UNICAST13_HUB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST13_1_0
#define MC_REGIF_UNICAST13_1_0                  _MK_ADDR_CONST(0x3760)
#define MC_REGIF_UNICAST13_1_0_SECURE                   0x0
#define MC_REGIF_UNICAST13_1_0_DUAL                     0x0
#define MC_REGIF_UNICAST13_1_0_SCR                      0
#define MC_REGIF_UNICAST13_1_0_WORD_COUNT                       0x1
#define MC_REGIF_UNICAST13_1_0_RESET_VAL                        _MK_MASK_CONST(0x122202)
#define MC_REGIF_UNICAST13_1_0_RESET_MASK                       _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST13_1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_1_0_READ_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST13_1_0_WRITE_MASK                       _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SLC_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SLC_FIELD                     _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SLC_SHIFT)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SLC_RANGE                     3:0
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SLC_WOFFSET                   0x0
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SLC_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SLC_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SLC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SLC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SLC_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SLC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SYSRAM_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SYSRAM_FIELD                  _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SYSRAM_SHIFT)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SYSRAM_RANGE                  9:8
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SYSRAM_WOFFSET                        0x0
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SYSRAM_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SYSRAM_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SYSRAM_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SYSRAM_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SYSRAM_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SYSRAM_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_IRSPX_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_IRSPX_FIELD                   _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_IRSPX_SHIFT)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_IRSPX_RANGE                   13:12
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_IRSPX_WOFFSET                 0x0
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_IRSPX_DEFAULT                 _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_IRSPX_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_IRSPX_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_IRSPX_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_IRSPX_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_IRSPX_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_OREQX_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_OREQX_FIELD                   _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_OREQX_SHIFT)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_OREQX_RANGE                   17:16
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_OREQX_WOFFSET                 0x0
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_OREQX_DEFAULT                 _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_OREQX_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_OREQX_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_OREQX_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_OREQX_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_OREQX_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_FIELD                 _MK_FIELD_CONST(0x1, MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SHIFT)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_RANGE                 20:20
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_WOFFSET                       0x0
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_1_0_ENABLE_REGIF_UNICAST13_MCF_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST13_2_0
#define MC_REGIF_UNICAST13_2_0                  _MK_ADDR_CONST(0x3780)
#define MC_REGIF_UNICAST13_2_0_SECURE                   0x0
#define MC_REGIF_UNICAST13_2_0_DUAL                     0x0
#define MC_REGIF_UNICAST13_2_0_SCR                      0
#define MC_REGIF_UNICAST13_2_0_WORD_COUNT                       0x1
#define MC_REGIF_UNICAST13_2_0_RESET_VAL                        _MK_MASK_CONST(0x2020)
#define MC_REGIF_UNICAST13_2_0_RESET_MASK                       _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST13_2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_2_0_READ_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST13_2_0_WRITE_MASK                       _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_EMC2_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_EMC2_FIELD                        _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_EMC2_SHIFT)
#define MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_EMC2_RANGE                        7:0
#define MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_EMC2_WOFFSET                      0x0
#define MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_EMC2_DEFAULT                      _MK_MASK_CONST(0x20)
#define MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_EMC2_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_EMC2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_EMC2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_EMC2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_EMC2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_MC2_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_MC2_FIELD                 _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_MC2_SHIFT)
#define MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_MC2_RANGE                 15:8
#define MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_MC2_WOFFSET                       0x0
#define MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_MC2_DEFAULT                       _MK_MASK_CONST(0x20)
#define MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_MC2_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_MC2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_MC2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_MC2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST13_2_0_ENABLE_REGIF_UNICAST13_MC2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST14_0
#define MC_REGIF_UNICAST14_0                    _MK_ADDR_CONST(0x3744)
#define MC_REGIF_UNICAST14_0_SECURE                     0x0
#define MC_REGIF_UNICAST14_0_DUAL                       0x0
#define MC_REGIF_UNICAST14_0_SCR                        0
#define MC_REGIF_UNICAST14_0_WORD_COUNT                         0x1
#define MC_REGIF_UNICAST14_0_RESET_VAL                  _MK_MASK_CONST(0x40000)
#define MC_REGIF_UNICAST14_0_RESET_MASK                         _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST14_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_0_READ_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST14_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_EMC_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_EMC_FIELD                   _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_EMC_SHIFT)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_EMC_RANGE                   7:0
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_EMC_WOFFSET                 0x0
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_EMC_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_EMC_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_EMC_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_EMC_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_EMC_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_EMC_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_MC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_MC_FIELD                    _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_MC_SHIFT)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_MC_RANGE                    15:8
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_MC_WOFFSET                  0x0
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_MC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_MC_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_MC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_MC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_MC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_MC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_HUB_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_HUB_FIELD                   _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_HUB_SHIFT)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_HUB_RANGE                   19:16
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_HUB_WOFFSET                 0x0
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_HUB_DEFAULT                 _MK_MASK_CONST(0x4)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_HUB_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_HUB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_HUB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_HUB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_0_ENABLE_REGIF_UNICAST14_HUB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST14_1_0
#define MC_REGIF_UNICAST14_1_0                  _MK_ADDR_CONST(0x3764)
#define MC_REGIF_UNICAST14_1_0_SECURE                   0x0
#define MC_REGIF_UNICAST14_1_0_DUAL                     0x0
#define MC_REGIF_UNICAST14_1_0_SCR                      0
#define MC_REGIF_UNICAST14_1_0_WORD_COUNT                       0x1
#define MC_REGIF_UNICAST14_1_0_RESET_VAL                        _MK_MASK_CONST(0x111104)
#define MC_REGIF_UNICAST14_1_0_RESET_MASK                       _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST14_1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_1_0_READ_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST14_1_0_WRITE_MASK                       _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SLC_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SLC_FIELD                     _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SLC_SHIFT)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SLC_RANGE                     3:0
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SLC_WOFFSET                   0x0
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SLC_DEFAULT                   _MK_MASK_CONST(0x4)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SLC_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SLC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SLC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SLC_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SLC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SYSRAM_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SYSRAM_FIELD                  _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SYSRAM_SHIFT)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SYSRAM_RANGE                  9:8
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SYSRAM_WOFFSET                        0x0
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SYSRAM_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SYSRAM_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SYSRAM_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SYSRAM_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SYSRAM_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SYSRAM_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_IRSPX_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_IRSPX_FIELD                   _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_IRSPX_SHIFT)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_IRSPX_RANGE                   13:12
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_IRSPX_WOFFSET                 0x0
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_IRSPX_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_IRSPX_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_IRSPX_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_IRSPX_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_IRSPX_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_IRSPX_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_OREQX_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_OREQX_FIELD                   _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_OREQX_SHIFT)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_OREQX_RANGE                   17:16
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_OREQX_WOFFSET                 0x0
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_OREQX_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_OREQX_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_OREQX_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_OREQX_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_OREQX_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_OREQX_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_FIELD                 _MK_FIELD_CONST(0x1, MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SHIFT)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_RANGE                 20:20
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_WOFFSET                       0x0
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_1_0_ENABLE_REGIF_UNICAST14_MCF_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST14_2_0
#define MC_REGIF_UNICAST14_2_0                  _MK_ADDR_CONST(0x3784)
#define MC_REGIF_UNICAST14_2_0_SECURE                   0x0
#define MC_REGIF_UNICAST14_2_0_DUAL                     0x0
#define MC_REGIF_UNICAST14_2_0_SCR                      0
#define MC_REGIF_UNICAST14_2_0_WORD_COUNT                       0x1
#define MC_REGIF_UNICAST14_2_0_RESET_VAL                        _MK_MASK_CONST(0x4040)
#define MC_REGIF_UNICAST14_2_0_RESET_MASK                       _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST14_2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_2_0_READ_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST14_2_0_WRITE_MASK                       _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_EMC2_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_EMC2_FIELD                        _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_EMC2_SHIFT)
#define MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_EMC2_RANGE                        7:0
#define MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_EMC2_WOFFSET                      0x0
#define MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_EMC2_DEFAULT                      _MK_MASK_CONST(0x40)
#define MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_EMC2_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_EMC2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_EMC2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_EMC2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_EMC2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_MC2_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_MC2_FIELD                 _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_MC2_SHIFT)
#define MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_MC2_RANGE                 15:8
#define MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_MC2_WOFFSET                       0x0
#define MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_MC2_DEFAULT                       _MK_MASK_CONST(0x40)
#define MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_MC2_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_MC2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_MC2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_MC2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST14_2_0_ENABLE_REGIF_UNICAST14_MC2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST15_0
#define MC_REGIF_UNICAST15_0                    _MK_ADDR_CONST(0x3748)
#define MC_REGIF_UNICAST15_0_SECURE                     0x0
#define MC_REGIF_UNICAST15_0_DUAL                       0x0
#define MC_REGIF_UNICAST15_0_SCR                        0
#define MC_REGIF_UNICAST15_0_WORD_COUNT                         0x1
#define MC_REGIF_UNICAST15_0_RESET_VAL                  _MK_MASK_CONST(0x80000)
#define MC_REGIF_UNICAST15_0_RESET_MASK                         _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST15_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_0_READ_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST15_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_EMC_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_EMC_FIELD                   _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_EMC_SHIFT)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_EMC_RANGE                   7:0
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_EMC_WOFFSET                 0x0
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_EMC_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_EMC_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_EMC_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_EMC_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_EMC_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_EMC_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_MC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_MC_FIELD                    _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_MC_SHIFT)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_MC_RANGE                    15:8
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_MC_WOFFSET                  0x0
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_MC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_MC_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_MC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_MC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_MC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_MC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_HUB_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_HUB_FIELD                   _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_HUB_SHIFT)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_HUB_RANGE                   19:16
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_HUB_WOFFSET                 0x0
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_HUB_DEFAULT                 _MK_MASK_CONST(0x8)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_HUB_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_HUB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_HUB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_HUB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_0_ENABLE_REGIF_UNICAST15_HUB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST15_1_0
#define MC_REGIF_UNICAST15_1_0                  _MK_ADDR_CONST(0x3768)
#define MC_REGIF_UNICAST15_1_0_SECURE                   0x0
#define MC_REGIF_UNICAST15_1_0_DUAL                     0x0
#define MC_REGIF_UNICAST15_1_0_SCR                      0
#define MC_REGIF_UNICAST15_1_0_WORD_COUNT                       0x1
#define MC_REGIF_UNICAST15_1_0_RESET_VAL                        _MK_MASK_CONST(0x122208)
#define MC_REGIF_UNICAST15_1_0_RESET_MASK                       _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST15_1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_1_0_READ_MASK                        _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST15_1_0_WRITE_MASK                       _MK_MASK_CONST(0x13330f)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SLC_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SLC_FIELD                     _MK_FIELD_CONST(0xf, MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SLC_SHIFT)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SLC_RANGE                     3:0
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SLC_WOFFSET                   0x0
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SLC_DEFAULT                   _MK_MASK_CONST(0x8)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SLC_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SLC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SLC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SLC_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SLC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SYSRAM_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SYSRAM_FIELD                  _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SYSRAM_SHIFT)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SYSRAM_RANGE                  9:8
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SYSRAM_WOFFSET                        0x0
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SYSRAM_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SYSRAM_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SYSRAM_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SYSRAM_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SYSRAM_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SYSRAM_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_IRSPX_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_IRSPX_FIELD                   _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_IRSPX_SHIFT)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_IRSPX_RANGE                   13:12
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_IRSPX_WOFFSET                 0x0
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_IRSPX_DEFAULT                 _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_IRSPX_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_IRSPX_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_IRSPX_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_IRSPX_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_IRSPX_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_OREQX_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_OREQX_FIELD                   _MK_FIELD_CONST(0x3, MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_OREQX_SHIFT)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_OREQX_RANGE                   17:16
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_OREQX_WOFFSET                 0x0
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_OREQX_DEFAULT                 _MK_MASK_CONST(0x2)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_OREQX_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_OREQX_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_OREQX_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_OREQX_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_OREQX_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_FIELD                 _MK_FIELD_CONST(0x1, MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SHIFT)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_RANGE                 20:20
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_WOFFSET                       0x0
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_1_0_ENABLE_REGIF_UNICAST15_MCF_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_REGIF_UNICAST15_2_0
#define MC_REGIF_UNICAST15_2_0                  _MK_ADDR_CONST(0x3788)
#define MC_REGIF_UNICAST15_2_0_SECURE                   0x0
#define MC_REGIF_UNICAST15_2_0_DUAL                     0x0
#define MC_REGIF_UNICAST15_2_0_SCR                      0
#define MC_REGIF_UNICAST15_2_0_WORD_COUNT                       0x1
#define MC_REGIF_UNICAST15_2_0_RESET_VAL                        _MK_MASK_CONST(0x8080)
#define MC_REGIF_UNICAST15_2_0_RESET_MASK                       _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST15_2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_2_0_READ_MASK                        _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST15_2_0_WRITE_MASK                       _MK_MASK_CONST(0xffff)
#define MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_EMC2_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_EMC2_FIELD                        _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_EMC2_SHIFT)
#define MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_EMC2_RANGE                        7:0
#define MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_EMC2_WOFFSET                      0x0
#define MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_EMC2_DEFAULT                      _MK_MASK_CONST(0x80)
#define MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_EMC2_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_EMC2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_EMC2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_EMC2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_EMC2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_MC2_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_MC2_FIELD                 _MK_FIELD_CONST(0xff, MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_MC2_SHIFT)
#define MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_MC2_RANGE                 15:8
#define MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_MC2_WOFFSET                       0x0
#define MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_MC2_DEFAULT                       _MK_MASK_CONST(0x80)
#define MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_MC2_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_MC2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_MC2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_MC2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_REGIF_UNICAST15_2_0_ENABLE_REGIF_UNICAST15_MC2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_INTSTATUS_0
#define MC_INTSTATUS_0                  _MK_ADDR_CONST(0x0)
#define MC_INTSTATUS_0_SECURE                   0x0
#define MC_INTSTATUS_0_DUAL                     0x0
#define MC_INTSTATUS_0_SCR                      0
#define MC_INTSTATUS_0_WORD_COUNT                       0x1
#define MC_INTSTATUS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_RESET_MASK                       _MK_MASK_CONST(0x133f40)
#define MC_INTSTATUS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_READ_MASK                        _MK_MASK_CONST(0x133f40)
#define MC_INTSTATUS_0_WRITE_MASK                       _MK_MASK_CONST(0x133f40)
#define MC_INTSTATUS_0_DECERR_EMEM_INT_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_INTSTATUS_0_DECERR_EMEM_INT_FIELD                    _MK_FIELD_CONST(0x1, MC_INTSTATUS_0_DECERR_EMEM_INT_SHIFT)
#define MC_INTSTATUS_0_DECERR_EMEM_INT_RANGE                    6:6
#define MC_INTSTATUS_0_DECERR_EMEM_INT_WOFFSET                  0x0
#define MC_INTSTATUS_0_DECERR_EMEM_INT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_DECERR_EMEM_INT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_INTSTATUS_0_DECERR_EMEM_INT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_DECERR_EMEM_INT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_DECERR_EMEM_INT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_DECERR_EMEM_INT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_INTSTATUS_0_DECERR_EMEM_INT_INIT_ENUM                        CLEAR
#define MC_INTSTATUS_0_DECERR_EMEM_INT_CLEAR                    _MK_ENUM_CONST(0)
#define MC_INTSTATUS_0_DECERR_EMEM_INT_SET                      _MK_ENUM_CONST(1)

#define MC_INTSTATUS_0_SECURITY_VIOLATION_INT_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_INTSTATUS_0_SECURITY_VIOLATION_INT_FIELD                     _MK_FIELD_CONST(0x1, MC_INTSTATUS_0_SECURITY_VIOLATION_INT_SHIFT)
#define MC_INTSTATUS_0_SECURITY_VIOLATION_INT_RANGE                     8:8
#define MC_INTSTATUS_0_SECURITY_VIOLATION_INT_WOFFSET                   0x0
#define MC_INTSTATUS_0_SECURITY_VIOLATION_INT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_SECURITY_VIOLATION_INT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_INTSTATUS_0_SECURITY_VIOLATION_INT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_SECURITY_VIOLATION_INT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_SECURITY_VIOLATION_INT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_SECURITY_VIOLATION_INT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_INTSTATUS_0_SECURITY_VIOLATION_INT_INIT_ENUM                 CLEAR
#define MC_INTSTATUS_0_SECURITY_VIOLATION_INT_CLEAR                     _MK_ENUM_CONST(0)
#define MC_INTSTATUS_0_SECURITY_VIOLATION_INT_SET                       _MK_ENUM_CONST(1)

#define MC_INTSTATUS_0_ARBITRATION_EMEM_INT_SHIFT                       _MK_SHIFT_CONST(9)
#define MC_INTSTATUS_0_ARBITRATION_EMEM_INT_FIELD                       _MK_FIELD_CONST(0x1, MC_INTSTATUS_0_ARBITRATION_EMEM_INT_SHIFT)
#define MC_INTSTATUS_0_ARBITRATION_EMEM_INT_RANGE                       9:9
#define MC_INTSTATUS_0_ARBITRATION_EMEM_INT_WOFFSET                     0x0
#define MC_INTSTATUS_0_ARBITRATION_EMEM_INT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_ARBITRATION_EMEM_INT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_INTSTATUS_0_ARBITRATION_EMEM_INT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_ARBITRATION_EMEM_INT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_ARBITRATION_EMEM_INT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_ARBITRATION_EMEM_INT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_INTSTATUS_0_ARBITRATION_EMEM_INT_INIT_ENUM                   CLEAR
#define MC_INTSTATUS_0_ARBITRATION_EMEM_INT_CLEAR                       _MK_ENUM_CONST(0)
#define MC_INTSTATUS_0_ARBITRATION_EMEM_INT_SET                 _MK_ENUM_CONST(1)

#define MC_INTSTATUS_0_INVALID_SMMU_PAGE_INT_SHIFT                      _MK_SHIFT_CONST(10)
#define MC_INTSTATUS_0_INVALID_SMMU_PAGE_INT_FIELD                      _MK_FIELD_CONST(0x1, MC_INTSTATUS_0_INVALID_SMMU_PAGE_INT_SHIFT)
#define MC_INTSTATUS_0_INVALID_SMMU_PAGE_INT_RANGE                      10:10
#define MC_INTSTATUS_0_INVALID_SMMU_PAGE_INT_WOFFSET                    0x0
#define MC_INTSTATUS_0_INVALID_SMMU_PAGE_INT_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_INVALID_SMMU_PAGE_INT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_INTSTATUS_0_INVALID_SMMU_PAGE_INT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_INVALID_SMMU_PAGE_INT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_INVALID_SMMU_PAGE_INT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_INVALID_SMMU_PAGE_INT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_INTSTATUS_0_INVALID_SMMU_PAGE_INT_INIT_ENUM                  CLEAR
#define MC_INTSTATUS_0_INVALID_SMMU_PAGE_INT_CLEAR                      _MK_ENUM_CONST(0)
#define MC_INTSTATUS_0_INVALID_SMMU_PAGE_INT_SET                        _MK_ENUM_CONST(1)

#define MC_INTSTATUS_0_INVALID_APB_ASID_UPDATE_INT_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_INTSTATUS_0_INVALID_APB_ASID_UPDATE_INT_FIELD                        _MK_FIELD_CONST(0x1, MC_INTSTATUS_0_INVALID_APB_ASID_UPDATE_INT_SHIFT)
#define MC_INTSTATUS_0_INVALID_APB_ASID_UPDATE_INT_RANGE                        11:11
#define MC_INTSTATUS_0_INVALID_APB_ASID_UPDATE_INT_WOFFSET                      0x0
#define MC_INTSTATUS_0_INVALID_APB_ASID_UPDATE_INT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_INVALID_APB_ASID_UPDATE_INT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_INTSTATUS_0_INVALID_APB_ASID_UPDATE_INT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_INVALID_APB_ASID_UPDATE_INT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_INVALID_APB_ASID_UPDATE_INT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_INVALID_APB_ASID_UPDATE_INT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_INTSTATUS_0_INVALID_APB_ASID_UPDATE_INT_INIT_ENUM                    CLEAR
#define MC_INTSTATUS_0_INVALID_APB_ASID_UPDATE_INT_CLEAR                        _MK_ENUM_CONST(0)
#define MC_INTSTATUS_0_INVALID_APB_ASID_UPDATE_INT_SET                  _MK_ENUM_CONST(1)

#define MC_INTSTATUS_0_DECERR_VPR_INT_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_INTSTATUS_0_DECERR_VPR_INT_FIELD                     _MK_FIELD_CONST(0x1, MC_INTSTATUS_0_DECERR_VPR_INT_SHIFT)
#define MC_INTSTATUS_0_DECERR_VPR_INT_RANGE                     12:12
#define MC_INTSTATUS_0_DECERR_VPR_INT_WOFFSET                   0x0
#define MC_INTSTATUS_0_DECERR_VPR_INT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_DECERR_VPR_INT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_INTSTATUS_0_DECERR_VPR_INT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_DECERR_VPR_INT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_DECERR_VPR_INT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_DECERR_VPR_INT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_INTSTATUS_0_DECERR_VPR_INT_INIT_ENUM                 CLEAR
#define MC_INTSTATUS_0_DECERR_VPR_INT_CLEAR                     _MK_ENUM_CONST(0)
#define MC_INTSTATUS_0_DECERR_VPR_INT_SET                       _MK_ENUM_CONST(1)

#define MC_INTSTATUS_0_SECERR_SEC_INT_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_INTSTATUS_0_SECERR_SEC_INT_FIELD                     _MK_FIELD_CONST(0x1, MC_INTSTATUS_0_SECERR_SEC_INT_SHIFT)
#define MC_INTSTATUS_0_SECERR_SEC_INT_RANGE                     13:13
#define MC_INTSTATUS_0_SECERR_SEC_INT_WOFFSET                   0x0
#define MC_INTSTATUS_0_SECERR_SEC_INT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_SECERR_SEC_INT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_INTSTATUS_0_SECERR_SEC_INT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_SECERR_SEC_INT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_SECERR_SEC_INT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_SECERR_SEC_INT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_INTSTATUS_0_SECERR_SEC_INT_INIT_ENUM                 CLEAR
#define MC_INTSTATUS_0_SECERR_SEC_INT_CLEAR                     _MK_ENUM_CONST(0)
#define MC_INTSTATUS_0_SECERR_SEC_INT_SET                       _MK_ENUM_CONST(1)

#define MC_INTSTATUS_0_DECERR_MTS_INT_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_INTSTATUS_0_DECERR_MTS_INT_FIELD                     _MK_FIELD_CONST(0x1, MC_INTSTATUS_0_DECERR_MTS_INT_SHIFT)
#define MC_INTSTATUS_0_DECERR_MTS_INT_RANGE                     16:16
#define MC_INTSTATUS_0_DECERR_MTS_INT_WOFFSET                   0x0
#define MC_INTSTATUS_0_DECERR_MTS_INT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_DECERR_MTS_INT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_INTSTATUS_0_DECERR_MTS_INT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_DECERR_MTS_INT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_DECERR_MTS_INT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_DECERR_MTS_INT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_INTSTATUS_0_DECERR_MTS_INT_INIT_ENUM                 CLEAR
#define MC_INTSTATUS_0_DECERR_MTS_INT_CLEAR                     _MK_ENUM_CONST(0)
#define MC_INTSTATUS_0_DECERR_MTS_INT_SET                       _MK_ENUM_CONST(1)

#define MC_INTSTATUS_0_DECERR_GENERALIZED_CARVEOUT_INT_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_INTSTATUS_0_DECERR_GENERALIZED_CARVEOUT_INT_FIELD                    _MK_FIELD_CONST(0x1, MC_INTSTATUS_0_DECERR_GENERALIZED_CARVEOUT_INT_SHIFT)
#define MC_INTSTATUS_0_DECERR_GENERALIZED_CARVEOUT_INT_RANGE                    17:17
#define MC_INTSTATUS_0_DECERR_GENERALIZED_CARVEOUT_INT_WOFFSET                  0x0
#define MC_INTSTATUS_0_DECERR_GENERALIZED_CARVEOUT_INT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_DECERR_GENERALIZED_CARVEOUT_INT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_INTSTATUS_0_DECERR_GENERALIZED_CARVEOUT_INT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_DECERR_GENERALIZED_CARVEOUT_INT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_DECERR_GENERALIZED_CARVEOUT_INT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_DECERR_GENERALIZED_CARVEOUT_INT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_INTSTATUS_0_DECERR_GENERALIZED_CARVEOUT_INT_INIT_ENUM                        CLEAR
#define MC_INTSTATUS_0_DECERR_GENERALIZED_CARVEOUT_INT_CLEAR                    _MK_ENUM_CONST(0)
#define MC_INTSTATUS_0_DECERR_GENERALIZED_CARVEOUT_INT_SET                      _MK_ENUM_CONST(1)

#define MC_INTSTATUS_0_DECERR_ROUTE_SANITY_INT_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_INTSTATUS_0_DECERR_ROUTE_SANITY_INT_FIELD                    _MK_FIELD_CONST(0x1, MC_INTSTATUS_0_DECERR_ROUTE_SANITY_INT_SHIFT)
#define MC_INTSTATUS_0_DECERR_ROUTE_SANITY_INT_RANGE                    20:20
#define MC_INTSTATUS_0_DECERR_ROUTE_SANITY_INT_WOFFSET                  0x0
#define MC_INTSTATUS_0_DECERR_ROUTE_SANITY_INT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_DECERR_ROUTE_SANITY_INT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_INTSTATUS_0_DECERR_ROUTE_SANITY_INT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_DECERR_ROUTE_SANITY_INT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_DECERR_ROUTE_SANITY_INT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_INTSTATUS_0_DECERR_ROUTE_SANITY_INT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_INTSTATUS_0_DECERR_ROUTE_SANITY_INT_INIT_ENUM                        CLEAR
#define MC_INTSTATUS_0_DECERR_ROUTE_SANITY_INT_CLEAR                    _MK_ENUM_CONST(0)
#define MC_INTSTATUS_0_DECERR_ROUTE_SANITY_INT_SET                      _MK_ENUM_CONST(1)


// Register MC_INTMASK_0
#define MC_INTMASK_0                    _MK_ADDR_CONST(0x4)
#define MC_INTMASK_0_SECURE                     0x0
#define MC_INTMASK_0_DUAL                       0x0
#define MC_INTMASK_0_SCR                        0
#define MC_INTMASK_0_WORD_COUNT                         0x1
#define MC_INTMASK_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_RESET_MASK                         _MK_MASK_CONST(0x1f3f40)
#define MC_INTMASK_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_READ_MASK                  _MK_MASK_CONST(0x1f3f40)
#define MC_INTMASK_0_WRITE_MASK                         _MK_MASK_CONST(0x1f3f40)
#define MC_INTMASK_0_DECERR_EMEM_INTMASK_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_INTMASK_0_DECERR_EMEM_INTMASK_FIELD                  _MK_FIELD_CONST(0x1, MC_INTMASK_0_DECERR_EMEM_INTMASK_SHIFT)
#define MC_INTMASK_0_DECERR_EMEM_INTMASK_RANGE                  6:6
#define MC_INTMASK_0_DECERR_EMEM_INTMASK_WOFFSET                        0x0
#define MC_INTMASK_0_DECERR_EMEM_INTMASK_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_DECERR_EMEM_INTMASK_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_DECERR_EMEM_INTMASK_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_DECERR_EMEM_INTMASK_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_DECERR_EMEM_INTMASK_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_DECERR_EMEM_INTMASK_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_DECERR_EMEM_INTMASK_INIT_ENUM                      MASKED
#define MC_INTMASK_0_DECERR_EMEM_INTMASK_MASKED                 _MK_ENUM_CONST(0)
#define MC_INTMASK_0_DECERR_EMEM_INTMASK_UNMASKED                       _MK_ENUM_CONST(1)

#define MC_INTMASK_0_SECURITY_VIOLATION_INTMASK_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_INTMASK_0_SECURITY_VIOLATION_INTMASK_FIELD                   _MK_FIELD_CONST(0x1, MC_INTMASK_0_SECURITY_VIOLATION_INTMASK_SHIFT)
#define MC_INTMASK_0_SECURITY_VIOLATION_INTMASK_RANGE                   8:8
#define MC_INTMASK_0_SECURITY_VIOLATION_INTMASK_WOFFSET                 0x0
#define MC_INTMASK_0_SECURITY_VIOLATION_INTMASK_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_SECURITY_VIOLATION_INTMASK_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_SECURITY_VIOLATION_INTMASK_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_SECURITY_VIOLATION_INTMASK_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_SECURITY_VIOLATION_INTMASK_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_SECURITY_VIOLATION_INTMASK_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_SECURITY_VIOLATION_INTMASK_INIT_ENUM                       MASKED
#define MC_INTMASK_0_SECURITY_VIOLATION_INTMASK_MASKED                  _MK_ENUM_CONST(0)
#define MC_INTMASK_0_SECURITY_VIOLATION_INTMASK_UNMASKED                        _MK_ENUM_CONST(1)

#define MC_INTMASK_0_ARBITRATION_EMEM_INTMASK_SHIFT                     _MK_SHIFT_CONST(9)
#define MC_INTMASK_0_ARBITRATION_EMEM_INTMASK_FIELD                     _MK_FIELD_CONST(0x1, MC_INTMASK_0_ARBITRATION_EMEM_INTMASK_SHIFT)
#define MC_INTMASK_0_ARBITRATION_EMEM_INTMASK_RANGE                     9:9
#define MC_INTMASK_0_ARBITRATION_EMEM_INTMASK_WOFFSET                   0x0
#define MC_INTMASK_0_ARBITRATION_EMEM_INTMASK_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_ARBITRATION_EMEM_INTMASK_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_ARBITRATION_EMEM_INTMASK_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_ARBITRATION_EMEM_INTMASK_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_ARBITRATION_EMEM_INTMASK_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_ARBITRATION_EMEM_INTMASK_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_ARBITRATION_EMEM_INTMASK_INIT_ENUM                 MASKED
#define MC_INTMASK_0_ARBITRATION_EMEM_INTMASK_MASKED                    _MK_ENUM_CONST(0)
#define MC_INTMASK_0_ARBITRATION_EMEM_INTMASK_UNMASKED                  _MK_ENUM_CONST(1)

#define MC_INTMASK_0_INVALID_SMMU_PAGE_INTMASK_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_INTMASK_0_INVALID_SMMU_PAGE_INTMASK_FIELD                    _MK_FIELD_CONST(0x1, MC_INTMASK_0_INVALID_SMMU_PAGE_INTMASK_SHIFT)
#define MC_INTMASK_0_INVALID_SMMU_PAGE_INTMASK_RANGE                    10:10
#define MC_INTMASK_0_INVALID_SMMU_PAGE_INTMASK_WOFFSET                  0x0
#define MC_INTMASK_0_INVALID_SMMU_PAGE_INTMASK_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_INVALID_SMMU_PAGE_INTMASK_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_INVALID_SMMU_PAGE_INTMASK_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_INVALID_SMMU_PAGE_INTMASK_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_INVALID_SMMU_PAGE_INTMASK_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_INVALID_SMMU_PAGE_INTMASK_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_INVALID_SMMU_PAGE_INTMASK_INIT_ENUM                        MASKED
#define MC_INTMASK_0_INVALID_SMMU_PAGE_INTMASK_MASKED                   _MK_ENUM_CONST(0)
#define MC_INTMASK_0_INVALID_SMMU_PAGE_INTMASK_UNMASKED                 _MK_ENUM_CONST(1)

#define MC_INTMASK_0_INVALID_APB_ASID_UPDATE_INTMASK_SHIFT                      _MK_SHIFT_CONST(11)
#define MC_INTMASK_0_INVALID_APB_ASID_UPDATE_INTMASK_FIELD                      _MK_FIELD_CONST(0x1, MC_INTMASK_0_INVALID_APB_ASID_UPDATE_INTMASK_SHIFT)
#define MC_INTMASK_0_INVALID_APB_ASID_UPDATE_INTMASK_RANGE                      11:11
#define MC_INTMASK_0_INVALID_APB_ASID_UPDATE_INTMASK_WOFFSET                    0x0
#define MC_INTMASK_0_INVALID_APB_ASID_UPDATE_INTMASK_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_INVALID_APB_ASID_UPDATE_INTMASK_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_INVALID_APB_ASID_UPDATE_INTMASK_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_INVALID_APB_ASID_UPDATE_INTMASK_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_INVALID_APB_ASID_UPDATE_INTMASK_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_INVALID_APB_ASID_UPDATE_INTMASK_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_INVALID_APB_ASID_UPDATE_INTMASK_INIT_ENUM                  MASKED
#define MC_INTMASK_0_INVALID_APB_ASID_UPDATE_INTMASK_MASKED                     _MK_ENUM_CONST(0)
#define MC_INTMASK_0_INVALID_APB_ASID_UPDATE_INTMASK_UNMASKED                   _MK_ENUM_CONST(1)

#define MC_INTMASK_0_DECERR_VPR_INTMASK_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_INTMASK_0_DECERR_VPR_INTMASK_FIELD                   _MK_FIELD_CONST(0x1, MC_INTMASK_0_DECERR_VPR_INTMASK_SHIFT)
#define MC_INTMASK_0_DECERR_VPR_INTMASK_RANGE                   12:12
#define MC_INTMASK_0_DECERR_VPR_INTMASK_WOFFSET                 0x0
#define MC_INTMASK_0_DECERR_VPR_INTMASK_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_DECERR_VPR_INTMASK_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_DECERR_VPR_INTMASK_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_DECERR_VPR_INTMASK_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_DECERR_VPR_INTMASK_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_DECERR_VPR_INTMASK_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_DECERR_VPR_INTMASK_INIT_ENUM                       MASKED
#define MC_INTMASK_0_DECERR_VPR_INTMASK_MASKED                  _MK_ENUM_CONST(0)
#define MC_INTMASK_0_DECERR_VPR_INTMASK_UNMASKED                        _MK_ENUM_CONST(1)

#define MC_INTMASK_0_SECERR_SEC_INTMASK_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_INTMASK_0_SECERR_SEC_INTMASK_FIELD                   _MK_FIELD_CONST(0x1, MC_INTMASK_0_SECERR_SEC_INTMASK_SHIFT)
#define MC_INTMASK_0_SECERR_SEC_INTMASK_RANGE                   13:13
#define MC_INTMASK_0_SECERR_SEC_INTMASK_WOFFSET                 0x0
#define MC_INTMASK_0_SECERR_SEC_INTMASK_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_SECERR_SEC_INTMASK_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_SECERR_SEC_INTMASK_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_SECERR_SEC_INTMASK_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_SECERR_SEC_INTMASK_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_SECERR_SEC_INTMASK_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_SECERR_SEC_INTMASK_INIT_ENUM                       MASKED
#define MC_INTMASK_0_SECERR_SEC_INTMASK_MASKED                  _MK_ENUM_CONST(0)
#define MC_INTMASK_0_SECERR_SEC_INTMASK_UNMASKED                        _MK_ENUM_CONST(1)

#define MC_INTMASK_0_DECERR_MTS_INTMASK_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_INTMASK_0_DECERR_MTS_INTMASK_FIELD                   _MK_FIELD_CONST(0x1, MC_INTMASK_0_DECERR_MTS_INTMASK_SHIFT)
#define MC_INTMASK_0_DECERR_MTS_INTMASK_RANGE                   16:16
#define MC_INTMASK_0_DECERR_MTS_INTMASK_WOFFSET                 0x0
#define MC_INTMASK_0_DECERR_MTS_INTMASK_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_DECERR_MTS_INTMASK_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_DECERR_MTS_INTMASK_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_DECERR_MTS_INTMASK_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_DECERR_MTS_INTMASK_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_DECERR_MTS_INTMASK_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_DECERR_MTS_INTMASK_INIT_ENUM                       MASKED
#define MC_INTMASK_0_DECERR_MTS_INTMASK_MASKED                  _MK_ENUM_CONST(0)
#define MC_INTMASK_0_DECERR_MTS_INTMASK_UNMASKED                        _MK_ENUM_CONST(1)

#define MC_INTMASK_0_DECERR_GENERALIZED_CARVEOUT_INTMASK_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_INTMASK_0_DECERR_GENERALIZED_CARVEOUT_INTMASK_FIELD                  _MK_FIELD_CONST(0x1, MC_INTMASK_0_DECERR_GENERALIZED_CARVEOUT_INTMASK_SHIFT)
#define MC_INTMASK_0_DECERR_GENERALIZED_CARVEOUT_INTMASK_RANGE                  17:17
#define MC_INTMASK_0_DECERR_GENERALIZED_CARVEOUT_INTMASK_WOFFSET                        0x0
#define MC_INTMASK_0_DECERR_GENERALIZED_CARVEOUT_INTMASK_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_DECERR_GENERALIZED_CARVEOUT_INTMASK_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_DECERR_GENERALIZED_CARVEOUT_INTMASK_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_DECERR_GENERALIZED_CARVEOUT_INTMASK_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_DECERR_GENERALIZED_CARVEOUT_INTMASK_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_DECERR_GENERALIZED_CARVEOUT_INTMASK_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_DECERR_GENERALIZED_CARVEOUT_INTMASK_INIT_ENUM                      MASKED
#define MC_INTMASK_0_DECERR_GENERALIZED_CARVEOUT_INTMASK_MASKED                 _MK_ENUM_CONST(0)
#define MC_INTMASK_0_DECERR_GENERALIZED_CARVEOUT_INTMASK_UNMASKED                       _MK_ENUM_CONST(1)

#define MC_INTMASK_0_SCRUB_ECC_WR_ACK_INTMASK_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_INTMASK_0_SCRUB_ECC_WR_ACK_INTMASK_FIELD                     _MK_FIELD_CONST(0x1, MC_INTMASK_0_SCRUB_ECC_WR_ACK_INTMASK_SHIFT)
#define MC_INTMASK_0_SCRUB_ECC_WR_ACK_INTMASK_RANGE                     18:18
#define MC_INTMASK_0_SCRUB_ECC_WR_ACK_INTMASK_WOFFSET                   0x0
#define MC_INTMASK_0_SCRUB_ECC_WR_ACK_INTMASK_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_SCRUB_ECC_WR_ACK_INTMASK_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_SCRUB_ECC_WR_ACK_INTMASK_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_SCRUB_ECC_WR_ACK_INTMASK_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_SCRUB_ECC_WR_ACK_INTMASK_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_SCRUB_ECC_WR_ACK_INTMASK_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_SCRUB_ECC_WR_ACK_INTMASK_INIT_ENUM                 MASKED
#define MC_INTMASK_0_SCRUB_ECC_WR_ACK_INTMASK_MASKED                    _MK_ENUM_CONST(0)
#define MC_INTMASK_0_SCRUB_ECC_WR_ACK_INTMASK_UNMASKED                  _MK_ENUM_CONST(1)

#define MC_INTMASK_0_WCAM_ERR_INTMASK_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_INTMASK_0_WCAM_ERR_INTMASK_FIELD                     _MK_FIELD_CONST(0x1, MC_INTMASK_0_WCAM_ERR_INTMASK_SHIFT)
#define MC_INTMASK_0_WCAM_ERR_INTMASK_RANGE                     19:19
#define MC_INTMASK_0_WCAM_ERR_INTMASK_WOFFSET                   0x0
#define MC_INTMASK_0_WCAM_ERR_INTMASK_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_WCAM_ERR_INTMASK_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_WCAM_ERR_INTMASK_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_WCAM_ERR_INTMASK_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_WCAM_ERR_INTMASK_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_WCAM_ERR_INTMASK_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_WCAM_ERR_INTMASK_INIT_ENUM                 MASKED
#define MC_INTMASK_0_WCAM_ERR_INTMASK_MASKED                    _MK_ENUM_CONST(0)
#define MC_INTMASK_0_WCAM_ERR_INTMASK_UNMASKED                  _MK_ENUM_CONST(1)

#define MC_INTMASK_0_DECERR_ROUTE_SANITY_INTMASK_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_INTMASK_0_DECERR_ROUTE_SANITY_INTMASK_FIELD                  _MK_FIELD_CONST(0x1, MC_INTMASK_0_DECERR_ROUTE_SANITY_INTMASK_SHIFT)
#define MC_INTMASK_0_DECERR_ROUTE_SANITY_INTMASK_RANGE                  20:20
#define MC_INTMASK_0_DECERR_ROUTE_SANITY_INTMASK_WOFFSET                        0x0
#define MC_INTMASK_0_DECERR_ROUTE_SANITY_INTMASK_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_DECERR_ROUTE_SANITY_INTMASK_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_DECERR_ROUTE_SANITY_INTMASK_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_DECERR_ROUTE_SANITY_INTMASK_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_INTMASK_0_DECERR_ROUTE_SANITY_INTMASK_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_DECERR_ROUTE_SANITY_INTMASK_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_INTMASK_0_DECERR_ROUTE_SANITY_INTMASK_INIT_ENUM                      MASKED
#define MC_INTMASK_0_DECERR_ROUTE_SANITY_INTMASK_MASKED                 _MK_ENUM_CONST(0)
#define MC_INTMASK_0_DECERR_ROUTE_SANITY_INTMASK_UNMASKED                       _MK_ENUM_CONST(1)


// Register MC_INTPRIORITY_0
#define MC_INTPRIORITY_0                        _MK_ADDR_CONST(0xec4)
#define MC_INTPRIORITY_0_SECURE                         0x0
#define MC_INTPRIORITY_0_DUAL                   0x0
#define MC_INTPRIORITY_0_SCR                    0
#define MC_INTPRIORITY_0_WORD_COUNT                     0x1
#define MC_INTPRIORITY_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_RESET_MASK                     _MK_MASK_CONST(0x1f3f40)
#define MC_INTPRIORITY_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_READ_MASK                      _MK_MASK_CONST(0x1f3f40)
#define MC_INTPRIORITY_0_WRITE_MASK                     _MK_MASK_CONST(0x1f3f40)
#define MC_INTPRIORITY_0_DECERR_EMEM_INTPRIORITY_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_INTPRIORITY_0_DECERR_EMEM_INTPRIORITY_FIELD                  _MK_FIELD_CONST(0x1, MC_INTPRIORITY_0_DECERR_EMEM_INTPRIORITY_SHIFT)
#define MC_INTPRIORITY_0_DECERR_EMEM_INTPRIORITY_RANGE                  6:6
#define MC_INTPRIORITY_0_DECERR_EMEM_INTPRIORITY_WOFFSET                        0x0
#define MC_INTPRIORITY_0_DECERR_EMEM_INTPRIORITY_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_DECERR_EMEM_INTPRIORITY_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_DECERR_EMEM_INTPRIORITY_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_DECERR_EMEM_INTPRIORITY_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_DECERR_EMEM_INTPRIORITY_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_DECERR_EMEM_INTPRIORITY_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_DECERR_EMEM_INTPRIORITY_INIT_ENUM                      MASKED
#define MC_INTPRIORITY_0_DECERR_EMEM_INTPRIORITY_MASKED                 _MK_ENUM_CONST(0)
#define MC_INTPRIORITY_0_DECERR_EMEM_INTPRIORITY_UNMASKED                       _MK_ENUM_CONST(1)

#define MC_INTPRIORITY_0_SECURITY_VIOLATION_INTPRIORITY_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_INTPRIORITY_0_SECURITY_VIOLATION_INTPRIORITY_FIELD                   _MK_FIELD_CONST(0x1, MC_INTPRIORITY_0_SECURITY_VIOLATION_INTPRIORITY_SHIFT)
#define MC_INTPRIORITY_0_SECURITY_VIOLATION_INTPRIORITY_RANGE                   8:8
#define MC_INTPRIORITY_0_SECURITY_VIOLATION_INTPRIORITY_WOFFSET                 0x0
#define MC_INTPRIORITY_0_SECURITY_VIOLATION_INTPRIORITY_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_SECURITY_VIOLATION_INTPRIORITY_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_SECURITY_VIOLATION_INTPRIORITY_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_SECURITY_VIOLATION_INTPRIORITY_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_SECURITY_VIOLATION_INTPRIORITY_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_SECURITY_VIOLATION_INTPRIORITY_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_SECURITY_VIOLATION_INTPRIORITY_INIT_ENUM                       MASKED
#define MC_INTPRIORITY_0_SECURITY_VIOLATION_INTPRIORITY_MASKED                  _MK_ENUM_CONST(0)
#define MC_INTPRIORITY_0_SECURITY_VIOLATION_INTPRIORITY_UNMASKED                        _MK_ENUM_CONST(1)

#define MC_INTPRIORITY_0_ARBITRATION_EMEM_INTPRIORITY_SHIFT                     _MK_SHIFT_CONST(9)
#define MC_INTPRIORITY_0_ARBITRATION_EMEM_INTPRIORITY_FIELD                     _MK_FIELD_CONST(0x1, MC_INTPRIORITY_0_ARBITRATION_EMEM_INTPRIORITY_SHIFT)
#define MC_INTPRIORITY_0_ARBITRATION_EMEM_INTPRIORITY_RANGE                     9:9
#define MC_INTPRIORITY_0_ARBITRATION_EMEM_INTPRIORITY_WOFFSET                   0x0
#define MC_INTPRIORITY_0_ARBITRATION_EMEM_INTPRIORITY_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_ARBITRATION_EMEM_INTPRIORITY_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_ARBITRATION_EMEM_INTPRIORITY_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_ARBITRATION_EMEM_INTPRIORITY_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_ARBITRATION_EMEM_INTPRIORITY_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_ARBITRATION_EMEM_INTPRIORITY_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_ARBITRATION_EMEM_INTPRIORITY_INIT_ENUM                 MASKED
#define MC_INTPRIORITY_0_ARBITRATION_EMEM_INTPRIORITY_MASKED                    _MK_ENUM_CONST(0)
#define MC_INTPRIORITY_0_ARBITRATION_EMEM_INTPRIORITY_UNMASKED                  _MK_ENUM_CONST(1)

#define MC_INTPRIORITY_0_INVALID_SMMU_PAGE_INTPRIORITY_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_INTPRIORITY_0_INVALID_SMMU_PAGE_INTPRIORITY_FIELD                    _MK_FIELD_CONST(0x1, MC_INTPRIORITY_0_INVALID_SMMU_PAGE_INTPRIORITY_SHIFT)
#define MC_INTPRIORITY_0_INVALID_SMMU_PAGE_INTPRIORITY_RANGE                    10:10
#define MC_INTPRIORITY_0_INVALID_SMMU_PAGE_INTPRIORITY_WOFFSET                  0x0
#define MC_INTPRIORITY_0_INVALID_SMMU_PAGE_INTPRIORITY_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_INVALID_SMMU_PAGE_INTPRIORITY_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_INVALID_SMMU_PAGE_INTPRIORITY_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_INVALID_SMMU_PAGE_INTPRIORITY_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_INVALID_SMMU_PAGE_INTPRIORITY_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_INVALID_SMMU_PAGE_INTPRIORITY_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_INVALID_SMMU_PAGE_INTPRIORITY_INIT_ENUM                        MASKED
#define MC_INTPRIORITY_0_INVALID_SMMU_PAGE_INTPRIORITY_MASKED                   _MK_ENUM_CONST(0)
#define MC_INTPRIORITY_0_INVALID_SMMU_PAGE_INTPRIORITY_UNMASKED                 _MK_ENUM_CONST(1)

#define MC_INTPRIORITY_0_INVALID_APB_ASID_UPDATE_INTPRIORITY_SHIFT                      _MK_SHIFT_CONST(11)
#define MC_INTPRIORITY_0_INVALID_APB_ASID_UPDATE_INTPRIORITY_FIELD                      _MK_FIELD_CONST(0x1, MC_INTPRIORITY_0_INVALID_APB_ASID_UPDATE_INTPRIORITY_SHIFT)
#define MC_INTPRIORITY_0_INVALID_APB_ASID_UPDATE_INTPRIORITY_RANGE                      11:11
#define MC_INTPRIORITY_0_INVALID_APB_ASID_UPDATE_INTPRIORITY_WOFFSET                    0x0
#define MC_INTPRIORITY_0_INVALID_APB_ASID_UPDATE_INTPRIORITY_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_INVALID_APB_ASID_UPDATE_INTPRIORITY_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_INVALID_APB_ASID_UPDATE_INTPRIORITY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_INVALID_APB_ASID_UPDATE_INTPRIORITY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_INVALID_APB_ASID_UPDATE_INTPRIORITY_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_INVALID_APB_ASID_UPDATE_INTPRIORITY_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_INVALID_APB_ASID_UPDATE_INTPRIORITY_INIT_ENUM                  MASKED
#define MC_INTPRIORITY_0_INVALID_APB_ASID_UPDATE_INTPRIORITY_MASKED                     _MK_ENUM_CONST(0)
#define MC_INTPRIORITY_0_INVALID_APB_ASID_UPDATE_INTPRIORITY_UNMASKED                   _MK_ENUM_CONST(1)

#define MC_INTPRIORITY_0_DECERR_VPR_INTPRIORITY_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_INTPRIORITY_0_DECERR_VPR_INTPRIORITY_FIELD                   _MK_FIELD_CONST(0x1, MC_INTPRIORITY_0_DECERR_VPR_INTPRIORITY_SHIFT)
#define MC_INTPRIORITY_0_DECERR_VPR_INTPRIORITY_RANGE                   12:12
#define MC_INTPRIORITY_0_DECERR_VPR_INTPRIORITY_WOFFSET                 0x0
#define MC_INTPRIORITY_0_DECERR_VPR_INTPRIORITY_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_DECERR_VPR_INTPRIORITY_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_DECERR_VPR_INTPRIORITY_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_DECERR_VPR_INTPRIORITY_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_DECERR_VPR_INTPRIORITY_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_DECERR_VPR_INTPRIORITY_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_DECERR_VPR_INTPRIORITY_INIT_ENUM                       MASKED
#define MC_INTPRIORITY_0_DECERR_VPR_INTPRIORITY_MASKED                  _MK_ENUM_CONST(0)
#define MC_INTPRIORITY_0_DECERR_VPR_INTPRIORITY_UNMASKED                        _MK_ENUM_CONST(1)

#define MC_INTPRIORITY_0_SECERR_SEC_INTPRIORITY_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_INTPRIORITY_0_SECERR_SEC_INTPRIORITY_FIELD                   _MK_FIELD_CONST(0x1, MC_INTPRIORITY_0_SECERR_SEC_INTPRIORITY_SHIFT)
#define MC_INTPRIORITY_0_SECERR_SEC_INTPRIORITY_RANGE                   13:13
#define MC_INTPRIORITY_0_SECERR_SEC_INTPRIORITY_WOFFSET                 0x0
#define MC_INTPRIORITY_0_SECERR_SEC_INTPRIORITY_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_SECERR_SEC_INTPRIORITY_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_SECERR_SEC_INTPRIORITY_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_SECERR_SEC_INTPRIORITY_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_SECERR_SEC_INTPRIORITY_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_SECERR_SEC_INTPRIORITY_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_SECERR_SEC_INTPRIORITY_INIT_ENUM                       MASKED
#define MC_INTPRIORITY_0_SECERR_SEC_INTPRIORITY_MASKED                  _MK_ENUM_CONST(0)
#define MC_INTPRIORITY_0_SECERR_SEC_INTPRIORITY_UNMASKED                        _MK_ENUM_CONST(1)

#define MC_INTPRIORITY_0_DECERR_MTS_INTPRIORITY_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_INTPRIORITY_0_DECERR_MTS_INTPRIORITY_FIELD                   _MK_FIELD_CONST(0x1, MC_INTPRIORITY_0_DECERR_MTS_INTPRIORITY_SHIFT)
#define MC_INTPRIORITY_0_DECERR_MTS_INTPRIORITY_RANGE                   16:16
#define MC_INTPRIORITY_0_DECERR_MTS_INTPRIORITY_WOFFSET                 0x0
#define MC_INTPRIORITY_0_DECERR_MTS_INTPRIORITY_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_DECERR_MTS_INTPRIORITY_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_DECERR_MTS_INTPRIORITY_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_DECERR_MTS_INTPRIORITY_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_DECERR_MTS_INTPRIORITY_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_DECERR_MTS_INTPRIORITY_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_DECERR_MTS_INTPRIORITY_INIT_ENUM                       MASKED
#define MC_INTPRIORITY_0_DECERR_MTS_INTPRIORITY_MASKED                  _MK_ENUM_CONST(0)
#define MC_INTPRIORITY_0_DECERR_MTS_INTPRIORITY_UNMASKED                        _MK_ENUM_CONST(1)

#define MC_INTPRIORITY_0_DECERR_GENERALIZED_CARVEOUT_INTPRIORITY_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_INTPRIORITY_0_DECERR_GENERALIZED_CARVEOUT_INTPRIORITY_FIELD                  _MK_FIELD_CONST(0x1, MC_INTPRIORITY_0_DECERR_GENERALIZED_CARVEOUT_INTPRIORITY_SHIFT)
#define MC_INTPRIORITY_0_DECERR_GENERALIZED_CARVEOUT_INTPRIORITY_RANGE                  17:17
#define MC_INTPRIORITY_0_DECERR_GENERALIZED_CARVEOUT_INTPRIORITY_WOFFSET                        0x0
#define MC_INTPRIORITY_0_DECERR_GENERALIZED_CARVEOUT_INTPRIORITY_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_DECERR_GENERALIZED_CARVEOUT_INTPRIORITY_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_DECERR_GENERALIZED_CARVEOUT_INTPRIORITY_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_DECERR_GENERALIZED_CARVEOUT_INTPRIORITY_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_DECERR_GENERALIZED_CARVEOUT_INTPRIORITY_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_DECERR_GENERALIZED_CARVEOUT_INTPRIORITY_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_DECERR_GENERALIZED_CARVEOUT_INTPRIORITY_INIT_ENUM                      MASKED
#define MC_INTPRIORITY_0_DECERR_GENERALIZED_CARVEOUT_INTPRIORITY_MASKED                 _MK_ENUM_CONST(0)
#define MC_INTPRIORITY_0_DECERR_GENERALIZED_CARVEOUT_INTPRIORITY_UNMASKED                       _MK_ENUM_CONST(1)

#define MC_INTPRIORITY_0_SCRUB_ECC_WR_ACK_INTPRIORITY_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_INTPRIORITY_0_SCRUB_ECC_WR_ACK_INTPRIORITY_FIELD                     _MK_FIELD_CONST(0x1, MC_INTPRIORITY_0_SCRUB_ECC_WR_ACK_INTPRIORITY_SHIFT)
#define MC_INTPRIORITY_0_SCRUB_ECC_WR_ACK_INTPRIORITY_RANGE                     18:18
#define MC_INTPRIORITY_0_SCRUB_ECC_WR_ACK_INTPRIORITY_WOFFSET                   0x0
#define MC_INTPRIORITY_0_SCRUB_ECC_WR_ACK_INTPRIORITY_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_SCRUB_ECC_WR_ACK_INTPRIORITY_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_SCRUB_ECC_WR_ACK_INTPRIORITY_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_SCRUB_ECC_WR_ACK_INTPRIORITY_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_SCRUB_ECC_WR_ACK_INTPRIORITY_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_SCRUB_ECC_WR_ACK_INTPRIORITY_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_SCRUB_ECC_WR_ACK_INTPRIORITY_INIT_ENUM                 MASKED
#define MC_INTPRIORITY_0_SCRUB_ECC_WR_ACK_INTPRIORITY_MASKED                    _MK_ENUM_CONST(0)
#define MC_INTPRIORITY_0_SCRUB_ECC_WR_ACK_INTPRIORITY_UNMASKED                  _MK_ENUM_CONST(1)

#define MC_INTPRIORITY_0_WCAM_ERR_INTPRIORITY_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_INTPRIORITY_0_WCAM_ERR_INTPRIORITY_FIELD                     _MK_FIELD_CONST(0x1, MC_INTPRIORITY_0_WCAM_ERR_INTPRIORITY_SHIFT)
#define MC_INTPRIORITY_0_WCAM_ERR_INTPRIORITY_RANGE                     19:19
#define MC_INTPRIORITY_0_WCAM_ERR_INTPRIORITY_WOFFSET                   0x0
#define MC_INTPRIORITY_0_WCAM_ERR_INTPRIORITY_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_WCAM_ERR_INTPRIORITY_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_WCAM_ERR_INTPRIORITY_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_WCAM_ERR_INTPRIORITY_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_WCAM_ERR_INTPRIORITY_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_WCAM_ERR_INTPRIORITY_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_WCAM_ERR_INTPRIORITY_INIT_ENUM                 MASKED
#define MC_INTPRIORITY_0_WCAM_ERR_INTPRIORITY_MASKED                    _MK_ENUM_CONST(0)
#define MC_INTPRIORITY_0_WCAM_ERR_INTPRIORITY_UNMASKED                  _MK_ENUM_CONST(1)

#define MC_INTPRIORITY_0_DECERR_ROUTE_SANITY_INTPRIORITY_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_INTPRIORITY_0_DECERR_ROUTE_SANITY_INTPRIORITY_FIELD                  _MK_FIELD_CONST(0x1, MC_INTPRIORITY_0_DECERR_ROUTE_SANITY_INTPRIORITY_SHIFT)
#define MC_INTPRIORITY_0_DECERR_ROUTE_SANITY_INTPRIORITY_RANGE                  20:20
#define MC_INTPRIORITY_0_DECERR_ROUTE_SANITY_INTPRIORITY_WOFFSET                        0x0
#define MC_INTPRIORITY_0_DECERR_ROUTE_SANITY_INTPRIORITY_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_DECERR_ROUTE_SANITY_INTPRIORITY_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_DECERR_ROUTE_SANITY_INTPRIORITY_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_DECERR_ROUTE_SANITY_INTPRIORITY_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_INTPRIORITY_0_DECERR_ROUTE_SANITY_INTPRIORITY_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_DECERR_ROUTE_SANITY_INTPRIORITY_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_INTPRIORITY_0_DECERR_ROUTE_SANITY_INTPRIORITY_INIT_ENUM                      MASKED
#define MC_INTPRIORITY_0_DECERR_ROUTE_SANITY_INTPRIORITY_MASKED                 _MK_ENUM_CONST(0)
#define MC_INTPRIORITY_0_DECERR_ROUTE_SANITY_INTPRIORITY_UNMASKED                       _MK_ENUM_CONST(1)


// Register MC_HUBC_INTSTATUS_0
#define MC_HUBC_INTSTATUS_0                     _MK_ADDR_CONST(0xf2c)
#define MC_HUBC_INTSTATUS_0_SECURE                      0x0
#define MC_HUBC_INTSTATUS_0_DUAL                        0x0
#define MC_HUBC_INTSTATUS_0_SCR                         0
#define MC_HUBC_INTSTATUS_0_WORD_COUNT                  0x1
#define MC_HUBC_INTSTATUS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_HUBC_INTSTATUS_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define MC_HUBC_INTSTATUS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_HUBC_INTSTATUS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUBC_INTSTATUS_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define MC_HUBC_INTSTATUS_0_WRITE_MASK                  _MK_MASK_CONST(0x1)
#define MC_HUBC_INTSTATUS_0_SCRUB_ECC_WR_ACK_INT_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_HUBC_INTSTATUS_0_SCRUB_ECC_WR_ACK_INT_FIELD                  _MK_FIELD_CONST(0x1, MC_HUBC_INTSTATUS_0_SCRUB_ECC_WR_ACK_INT_SHIFT)
#define MC_HUBC_INTSTATUS_0_SCRUB_ECC_WR_ACK_INT_RANGE                  0:0
#define MC_HUBC_INTSTATUS_0_SCRUB_ECC_WR_ACK_INT_WOFFSET                        0x0
#define MC_HUBC_INTSTATUS_0_SCRUB_ECC_WR_ACK_INT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUBC_INTSTATUS_0_SCRUB_ECC_WR_ACK_INT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_HUBC_INTSTATUS_0_SCRUB_ECC_WR_ACK_INT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUBC_INTSTATUS_0_SCRUB_ECC_WR_ACK_INT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUBC_INTSTATUS_0_SCRUB_ECC_WR_ACK_INT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HUBC_INTSTATUS_0_SCRUB_ECC_WR_ACK_INT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_HUBC_INTSTATUS_0_SCRUB_ECC_WR_ACK_INT_INIT_ENUM                      CLEAR
#define MC_HUBC_INTSTATUS_0_SCRUB_ECC_WR_ACK_INT_CLEAR                  _MK_ENUM_CONST(0)
#define MC_HUBC_INTSTATUS_0_SCRUB_ECC_WR_ACK_INT_SET                    _MK_ENUM_CONST(1)


// Register MC_HUB_INTMASK_0
#define MC_HUB_INTMASK_0                        _MK_ADDR_CONST(0xf50)
#define MC_HUB_INTMASK_0_SECURE                         0x0
#define MC_HUB_INTMASK_0_DUAL                   0x0
#define MC_HUB_INTMASK_0_SCR                    0
#define MC_HUB_INTMASK_0_WORD_COUNT                     0x1
#define MC_HUB_INTMASK_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_HUB_INTMASK_0_RESET_MASK                     _MK_MASK_CONST(0x3)
#define MC_HUB_INTMASK_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_INTMASK_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_INTMASK_0_READ_MASK                      _MK_MASK_CONST(0x3)
#define MC_HUB_INTMASK_0_WRITE_MASK                     _MK_MASK_CONST(0x3)
#define MC_HUB_INTMASK_0_ILLEGAL_HUB_REQUESTS_INTMASK_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_HUB_INTMASK_0_ILLEGAL_HUB_REQUESTS_INTMASK_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_INTMASK_0_ILLEGAL_HUB_REQUESTS_INTMASK_SHIFT)
#define MC_HUB_INTMASK_0_ILLEGAL_HUB_REQUESTS_INTMASK_RANGE                     0:0
#define MC_HUB_INTMASK_0_ILLEGAL_HUB_REQUESTS_INTMASK_WOFFSET                   0x0
#define MC_HUB_INTMASK_0_ILLEGAL_HUB_REQUESTS_INTMASK_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_INTMASK_0_ILLEGAL_HUB_REQUESTS_INTMASK_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_INTMASK_0_ILLEGAL_HUB_REQUESTS_INTMASK_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_INTMASK_0_ILLEGAL_HUB_REQUESTS_INTMASK_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_INTMASK_0_ILLEGAL_HUB_REQUESTS_INTMASK_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUB_INTMASK_0_ILLEGAL_HUB_REQUESTS_INTMASK_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_INTMASK_0_ILLEGAL_HUB_REQUESTS_INTMASK_INIT_ENUM                 MASKED
#define MC_HUB_INTMASK_0_ILLEGAL_HUB_REQUESTS_INTMASK_MASKED                    _MK_ENUM_CONST(0)
#define MC_HUB_INTMASK_0_ILLEGAL_HUB_REQUESTS_INTMASK_UNMASKED                  _MK_ENUM_CONST(1)

#define MC_HUB_INTMASK_0_HUB_COALESCER_ERR_INTMASK_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_HUB_INTMASK_0_HUB_COALESCER_ERR_INTMASK_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_INTMASK_0_HUB_COALESCER_ERR_INTMASK_SHIFT)
#define MC_HUB_INTMASK_0_HUB_COALESCER_ERR_INTMASK_RANGE                        1:1
#define MC_HUB_INTMASK_0_HUB_COALESCER_ERR_INTMASK_WOFFSET                      0x0
#define MC_HUB_INTMASK_0_HUB_COALESCER_ERR_INTMASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_INTMASK_0_HUB_COALESCER_ERR_INTMASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_INTMASK_0_HUB_COALESCER_ERR_INTMASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_INTMASK_0_HUB_COALESCER_ERR_INTMASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_INTMASK_0_HUB_COALESCER_ERR_INTMASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_INTMASK_0_HUB_COALESCER_ERR_INTMASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_INTMASK_0_HUB_COALESCER_ERR_INTMASK_INIT_ENUM                    MASKED
#define MC_HUB_INTMASK_0_HUB_COALESCER_ERR_INTMASK_MASKED                       _MK_ENUM_CONST(0)
#define MC_HUB_INTMASK_0_HUB_COALESCER_ERR_INTMASK_UNMASKED                     _MK_ENUM_CONST(1)


// Register MC_HUB_INTPRIORITY_0
#define MC_HUB_INTPRIORITY_0                    _MK_ADDR_CONST(0xf54)
#define MC_HUB_INTPRIORITY_0_SECURE                     0x0
#define MC_HUB_INTPRIORITY_0_DUAL                       0x0
#define MC_HUB_INTPRIORITY_0_SCR                        0
#define MC_HUB_INTPRIORITY_0_WORD_COUNT                         0x1
#define MC_HUB_INTPRIORITY_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_HUB_INTPRIORITY_0_RESET_MASK                         _MK_MASK_CONST(0x3)
#define MC_HUB_INTPRIORITY_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_HUB_INTPRIORITY_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_INTPRIORITY_0_READ_MASK                  _MK_MASK_CONST(0x3)
#define MC_HUB_INTPRIORITY_0_WRITE_MASK                         _MK_MASK_CONST(0x3)
#define MC_HUB_INTPRIORITY_0_ILLEGAL_HUB_REQUESTS_INTPRIORITY_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_HUB_INTPRIORITY_0_ILLEGAL_HUB_REQUESTS_INTPRIORITY_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_INTPRIORITY_0_ILLEGAL_HUB_REQUESTS_INTPRIORITY_SHIFT)
#define MC_HUB_INTPRIORITY_0_ILLEGAL_HUB_REQUESTS_INTPRIORITY_RANGE                     0:0
#define MC_HUB_INTPRIORITY_0_ILLEGAL_HUB_REQUESTS_INTPRIORITY_WOFFSET                   0x0
#define MC_HUB_INTPRIORITY_0_ILLEGAL_HUB_REQUESTS_INTPRIORITY_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_INTPRIORITY_0_ILLEGAL_HUB_REQUESTS_INTPRIORITY_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_INTPRIORITY_0_ILLEGAL_HUB_REQUESTS_INTPRIORITY_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_INTPRIORITY_0_ILLEGAL_HUB_REQUESTS_INTPRIORITY_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_INTPRIORITY_0_ILLEGAL_HUB_REQUESTS_INTPRIORITY_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUB_INTPRIORITY_0_ILLEGAL_HUB_REQUESTS_INTPRIORITY_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_INTPRIORITY_0_ILLEGAL_HUB_REQUESTS_INTPRIORITY_INIT_ENUM                 MASKED
#define MC_HUB_INTPRIORITY_0_ILLEGAL_HUB_REQUESTS_INTPRIORITY_MASKED                    _MK_ENUM_CONST(0)
#define MC_HUB_INTPRIORITY_0_ILLEGAL_HUB_REQUESTS_INTPRIORITY_UNMASKED                  _MK_ENUM_CONST(1)

#define MC_HUB_INTPRIORITY_0_HUB_COALESCER_ERR_INTPRIORITY_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_HUB_INTPRIORITY_0_HUB_COALESCER_ERR_INTPRIORITY_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_INTPRIORITY_0_HUB_COALESCER_ERR_INTPRIORITY_SHIFT)
#define MC_HUB_INTPRIORITY_0_HUB_COALESCER_ERR_INTPRIORITY_RANGE                        1:1
#define MC_HUB_INTPRIORITY_0_HUB_COALESCER_ERR_INTPRIORITY_WOFFSET                      0x0
#define MC_HUB_INTPRIORITY_0_HUB_COALESCER_ERR_INTPRIORITY_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_INTPRIORITY_0_HUB_COALESCER_ERR_INTPRIORITY_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_INTPRIORITY_0_HUB_COALESCER_ERR_INTPRIORITY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_INTPRIORITY_0_HUB_COALESCER_ERR_INTPRIORITY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_INTPRIORITY_0_HUB_COALESCER_ERR_INTPRIORITY_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_INTPRIORITY_0_HUB_COALESCER_ERR_INTPRIORITY_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_INTPRIORITY_0_HUB_COALESCER_ERR_INTPRIORITY_INIT_ENUM                    MASKED
#define MC_HUB_INTPRIORITY_0_HUB_COALESCER_ERR_INTPRIORITY_MASKED                       _MK_ENUM_CONST(0)
#define MC_HUB_INTPRIORITY_0_HUB_COALESCER_ERR_INTPRIORITY_UNMASKED                     _MK_ENUM_CONST(1)


// Register MC_HUB_INTSTATUS_0
#define MC_HUB_INTSTATUS_0                      _MK_ADDR_CONST(0xf58)
#define MC_HUB_INTSTATUS_0_SECURE                       0x0
#define MC_HUB_INTSTATUS_0_DUAL                         0x0
#define MC_HUB_INTSTATUS_0_SCR                  0
#define MC_HUB_INTSTATUS_0_WORD_COUNT                   0x1
#define MC_HUB_INTSTATUS_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_INTSTATUS_0_RESET_MASK                   _MK_MASK_CONST(0x3)
#define MC_HUB_INTSTATUS_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_HUB_INTSTATUS_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_INTSTATUS_0_READ_MASK                    _MK_MASK_CONST(0x3)
#define MC_HUB_INTSTATUS_0_WRITE_MASK                   _MK_MASK_CONST(0x3)
#define MC_HUB_INTSTATUS_0_ILLEGAL_HUB_REQUESTS_INT_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_HUB_INTSTATUS_0_ILLEGAL_HUB_REQUESTS_INT_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_INTSTATUS_0_ILLEGAL_HUB_REQUESTS_INT_SHIFT)
#define MC_HUB_INTSTATUS_0_ILLEGAL_HUB_REQUESTS_INT_RANGE                       0:0
#define MC_HUB_INTSTATUS_0_ILLEGAL_HUB_REQUESTS_INT_WOFFSET                     0x0
#define MC_HUB_INTSTATUS_0_ILLEGAL_HUB_REQUESTS_INT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_INTSTATUS_0_ILLEGAL_HUB_REQUESTS_INT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_INTSTATUS_0_ILLEGAL_HUB_REQUESTS_INT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_INTSTATUS_0_ILLEGAL_HUB_REQUESTS_INT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_INTSTATUS_0_ILLEGAL_HUB_REQUESTS_INT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_INTSTATUS_0_ILLEGAL_HUB_REQUESTS_INT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_INTSTATUS_0_ILLEGAL_HUB_REQUESTS_INT_INIT_ENUM                   CLEAR
#define MC_HUB_INTSTATUS_0_ILLEGAL_HUB_REQUESTS_INT_CLEAR                       _MK_ENUM_CONST(0)
#define MC_HUB_INTSTATUS_0_ILLEGAL_HUB_REQUESTS_INT_SET                 _MK_ENUM_CONST(1)

#define MC_HUB_INTSTATUS_0_HUB_COALESCER_ERR_INT_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_HUB_INTSTATUS_0_HUB_COALESCER_ERR_INT_FIELD                  _MK_FIELD_CONST(0x1, MC_HUB_INTSTATUS_0_HUB_COALESCER_ERR_INT_SHIFT)
#define MC_HUB_INTSTATUS_0_HUB_COALESCER_ERR_INT_RANGE                  1:1
#define MC_HUB_INTSTATUS_0_HUB_COALESCER_ERR_INT_WOFFSET                        0x0
#define MC_HUB_INTSTATUS_0_HUB_COALESCER_ERR_INT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_INTSTATUS_0_HUB_COALESCER_ERR_INT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_HUB_INTSTATUS_0_HUB_COALESCER_ERR_INT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_INTSTATUS_0_HUB_COALESCER_ERR_INT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_INTSTATUS_0_HUB_COALESCER_ERR_INT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HUB_INTSTATUS_0_HUB_COALESCER_ERR_INT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_HUB_INTSTATUS_0_HUB_COALESCER_ERR_INT_INIT_ENUM                      CLEAR
#define MC_HUB_INTSTATUS_0_HUB_COALESCER_ERR_INT_CLEAR                  _MK_ENUM_CONST(0)
#define MC_HUB_INTSTATUS_0_HUB_COALESCER_ERR_INT_SET                    _MK_ENUM_CONST(1)


// Register MC_GLOBAL_INTSTATUS_0
#define MC_GLOBAL_INTSTATUS_0                   _MK_ADDR_CONST(0xf24)
#define MC_GLOBAL_INTSTATUS_0_SECURE                    0x0
#define MC_GLOBAL_INTSTATUS_0_DUAL                      0x0
#define MC_GLOBAL_INTSTATUS_0_SCR                       0
#define MC_GLOBAL_INTSTATUS_0_WORD_COUNT                        0x1
#define MC_GLOBAL_INTSTATUS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_RESET_MASK                        _MK_MASK_CONST(0x7ff0fff)
#define MC_GLOBAL_INTSTATUS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff0fff)
#define MC_GLOBAL_INTSTATUS_0_READ_MASK                         _MK_MASK_CONST(0x7ff0fff)
#define MC_GLOBAL_INTSTATUS_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff0fff)
#define MC_GLOBAL_INTSTATUS_0_MC0_INTR_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_MC0_INTR_FIELD                    _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_MC0_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_MC0_INTR_RANGE                    0:0
#define MC_GLOBAL_INTSTATUS_0_MC0_INTR_WOFFSET                  0x0
#define MC_GLOBAL_INTSTATUS_0_MC0_INTR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC0_INTR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC0_INTR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC0_INTR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC0_INTR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC0_INTR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC0_INTR_INIT_ENUM                        CLEAR
#define MC_GLOBAL_INTSTATUS_0_MC0_INTR_CLEAR                    _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_MC0_INTR_SET                      _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_MC0_INTR__PROD                    _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_MC1_INTR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_MC1_INTR_FIELD                    _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_MC1_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_MC1_INTR_RANGE                    1:1
#define MC_GLOBAL_INTSTATUS_0_MC1_INTR_WOFFSET                  0x0
#define MC_GLOBAL_INTSTATUS_0_MC1_INTR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC1_INTR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC1_INTR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC1_INTR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC1_INTR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC1_INTR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC1_INTR_INIT_ENUM                        CLEAR
#define MC_GLOBAL_INTSTATUS_0_MC1_INTR_CLEAR                    _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_MC1_INTR_SET                      _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_MC1_INTR__PROD                    _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_MC2_INTR_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_GLOBAL_INTSTATUS_0_MC2_INTR_FIELD                    _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_MC2_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_MC2_INTR_RANGE                    2:2
#define MC_GLOBAL_INTSTATUS_0_MC2_INTR_WOFFSET                  0x0
#define MC_GLOBAL_INTSTATUS_0_MC2_INTR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC2_INTR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC2_INTR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC2_INTR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC2_INTR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC2_INTR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC2_INTR_INIT_ENUM                        CLEAR
#define MC_GLOBAL_INTSTATUS_0_MC2_INTR_CLEAR                    _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_MC2_INTR_SET                      _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_MC2_INTR__PROD                    _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_MC3_INTR_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_GLOBAL_INTSTATUS_0_MC3_INTR_FIELD                    _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_MC3_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_MC3_INTR_RANGE                    3:3
#define MC_GLOBAL_INTSTATUS_0_MC3_INTR_WOFFSET                  0x0
#define MC_GLOBAL_INTSTATUS_0_MC3_INTR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC3_INTR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC3_INTR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC3_INTR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC3_INTR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC3_INTR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC3_INTR_INIT_ENUM                        CLEAR
#define MC_GLOBAL_INTSTATUS_0_MC3_INTR_CLEAR                    _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_MC3_INTR_SET                      _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_MC3_INTR__PROD                    _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_MC4_INTR_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_GLOBAL_INTSTATUS_0_MC4_INTR_FIELD                    _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_MC4_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_MC4_INTR_RANGE                    4:4
#define MC_GLOBAL_INTSTATUS_0_MC4_INTR_WOFFSET                  0x0
#define MC_GLOBAL_INTSTATUS_0_MC4_INTR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC4_INTR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC4_INTR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC4_INTR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC4_INTR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC4_INTR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC4_INTR_INIT_ENUM                        CLEAR
#define MC_GLOBAL_INTSTATUS_0_MC4_INTR_CLEAR                    _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_MC4_INTR_SET                      _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_MC4_INTR__PROD                    _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_MC5_INTR_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_GLOBAL_INTSTATUS_0_MC5_INTR_FIELD                    _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_MC5_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_MC5_INTR_RANGE                    5:5
#define MC_GLOBAL_INTSTATUS_0_MC5_INTR_WOFFSET                  0x0
#define MC_GLOBAL_INTSTATUS_0_MC5_INTR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC5_INTR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC5_INTR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC5_INTR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC5_INTR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC5_INTR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC5_INTR_INIT_ENUM                        CLEAR
#define MC_GLOBAL_INTSTATUS_0_MC5_INTR_CLEAR                    _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_MC5_INTR_SET                      _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_MC5_INTR__PROD                    _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_MC6_INTR_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_GLOBAL_INTSTATUS_0_MC6_INTR_FIELD                    _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_MC6_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_MC6_INTR_RANGE                    6:6
#define MC_GLOBAL_INTSTATUS_0_MC6_INTR_WOFFSET                  0x0
#define MC_GLOBAL_INTSTATUS_0_MC6_INTR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC6_INTR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC6_INTR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC6_INTR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC6_INTR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC6_INTR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC6_INTR_INIT_ENUM                        CLEAR
#define MC_GLOBAL_INTSTATUS_0_MC6_INTR_CLEAR                    _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_MC6_INTR_SET                      _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_MC6_INTR__PROD                    _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_MC7_INTR_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_GLOBAL_INTSTATUS_0_MC7_INTR_FIELD                    _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_MC7_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_MC7_INTR_RANGE                    7:7
#define MC_GLOBAL_INTSTATUS_0_MC7_INTR_WOFFSET                  0x0
#define MC_GLOBAL_INTSTATUS_0_MC7_INTR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC7_INTR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC7_INTR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC7_INTR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC7_INTR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MC7_INTR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MC7_INTR_INIT_ENUM                        CLEAR
#define MC_GLOBAL_INTSTATUS_0_MC7_INTR_CLEAR                    _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_MC7_INTR_SET                      _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_MC7_INTR__PROD                    _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_SLICE0_INTR_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_GLOBAL_INTSTATUS_0_SLICE0_INTR_FIELD                 _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_SLICE0_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_SLICE0_INTR_RANGE                 8:8
#define MC_GLOBAL_INTSTATUS_0_SLICE0_INTR_WOFFSET                       0x0
#define MC_GLOBAL_INTSTATUS_0_SLICE0_INTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_SLICE0_INTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_SLICE0_INTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_SLICE0_INTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_SLICE0_INTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_SLICE0_INTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_SLICE0_INTR_INIT_ENUM                     CLEAR
#define MC_GLOBAL_INTSTATUS_0_SLICE0_INTR_CLEAR                 _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_SLICE0_INTR_SET                   _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_SLICE0_INTR__PROD                 _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_SLICE1_INTR_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_GLOBAL_INTSTATUS_0_SLICE1_INTR_FIELD                 _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_SLICE1_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_SLICE1_INTR_RANGE                 9:9
#define MC_GLOBAL_INTSTATUS_0_SLICE1_INTR_WOFFSET                       0x0
#define MC_GLOBAL_INTSTATUS_0_SLICE1_INTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_SLICE1_INTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_SLICE1_INTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_SLICE1_INTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_SLICE1_INTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_SLICE1_INTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_SLICE1_INTR_INIT_ENUM                     CLEAR
#define MC_GLOBAL_INTSTATUS_0_SLICE1_INTR_CLEAR                 _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_SLICE1_INTR_SET                   _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_SLICE1_INTR__PROD                 _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_SLICE2_INTR_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_GLOBAL_INTSTATUS_0_SLICE2_INTR_FIELD                 _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_SLICE2_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_SLICE2_INTR_RANGE                 10:10
#define MC_GLOBAL_INTSTATUS_0_SLICE2_INTR_WOFFSET                       0x0
#define MC_GLOBAL_INTSTATUS_0_SLICE2_INTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_SLICE2_INTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_SLICE2_INTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_SLICE2_INTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_SLICE2_INTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_SLICE2_INTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_SLICE2_INTR_INIT_ENUM                     CLEAR
#define MC_GLOBAL_INTSTATUS_0_SLICE2_INTR_CLEAR                 _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_SLICE2_INTR_SET                   _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_SLICE2_INTR__PROD                 _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_SLICE3_INTR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_GLOBAL_INTSTATUS_0_SLICE3_INTR_FIELD                 _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_SLICE3_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_SLICE3_INTR_RANGE                 11:11
#define MC_GLOBAL_INTSTATUS_0_SLICE3_INTR_WOFFSET                       0x0
#define MC_GLOBAL_INTSTATUS_0_SLICE3_INTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_SLICE3_INTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_SLICE3_INTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_SLICE3_INTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_SLICE3_INTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_SLICE3_INTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_SLICE3_INTR_INIT_ENUM                     CLEAR
#define MC_GLOBAL_INTSTATUS_0_SLICE3_INTR_CLEAR                 _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_SLICE3_INTR_SET                   _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_SLICE3_INTR__PROD                 _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_HUB0_INTR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_GLOBAL_INTSTATUS_0_HUB0_INTR_FIELD                   _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_HUB0_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_HUB0_INTR_RANGE                   16:16
#define MC_GLOBAL_INTSTATUS_0_HUB0_INTR_WOFFSET                 0x0
#define MC_GLOBAL_INTSTATUS_0_HUB0_INTR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_HUB0_INTR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_HUB0_INTR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_HUB0_INTR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_HUB0_INTR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_HUB0_INTR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_HUB0_INTR_INIT_ENUM                       CLEAR
#define MC_GLOBAL_INTSTATUS_0_HUB0_INTR_CLEAR                   _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_HUB0_INTR_SET                     _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_HUB0_INTR__PROD                   _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_HUB1_INTR_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_GLOBAL_INTSTATUS_0_HUB1_INTR_FIELD                   _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_HUB1_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_HUB1_INTR_RANGE                   17:17
#define MC_GLOBAL_INTSTATUS_0_HUB1_INTR_WOFFSET                 0x0
#define MC_GLOBAL_INTSTATUS_0_HUB1_INTR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_HUB1_INTR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_HUB1_INTR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_HUB1_INTR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_HUB1_INTR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_HUB1_INTR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_HUB1_INTR_INIT_ENUM                       CLEAR
#define MC_GLOBAL_INTSTATUS_0_HUB1_INTR_CLEAR                   _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_HUB1_INTR_SET                     _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_HUB1_INTR__PROD                   _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_HUB2_INTR_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_GLOBAL_INTSTATUS_0_HUB2_INTR_FIELD                   _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_HUB2_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_HUB2_INTR_RANGE                   18:18
#define MC_GLOBAL_INTSTATUS_0_HUB2_INTR_WOFFSET                 0x0
#define MC_GLOBAL_INTSTATUS_0_HUB2_INTR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_HUB2_INTR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_HUB2_INTR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_HUB2_INTR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_HUB2_INTR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_HUB2_INTR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_HUB2_INTR_INIT_ENUM                       CLEAR
#define MC_GLOBAL_INTSTATUS_0_HUB2_INTR_CLEAR                   _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_HUB2_INTR_SET                     _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_HUB2_INTR__PROD                   _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_HUB3_INTR_SHIFT                   _MK_SHIFT_CONST(19)
#define MC_GLOBAL_INTSTATUS_0_HUB3_INTR_FIELD                   _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_HUB3_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_HUB3_INTR_RANGE                   19:19
#define MC_GLOBAL_INTSTATUS_0_HUB3_INTR_WOFFSET                 0x0
#define MC_GLOBAL_INTSTATUS_0_HUB3_INTR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_HUB3_INTR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_HUB3_INTR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_HUB3_INTR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_HUB3_INTR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_HUB3_INTR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_HUB3_INTR_INIT_ENUM                       CLEAR
#define MC_GLOBAL_INTSTATUS_0_HUB3_INTR_CLEAR                   _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_HUB3_INTR_SET                     _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_HUB3_INTR__PROD                   _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK0_INTR_SHIFT                     _MK_SHIFT_CONST(20)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK0_INTR_FIELD                     _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_MSSNVLINK0_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK0_INTR_RANGE                     20:20
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK0_INTR_WOFFSET                   0x0
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK0_INTR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK0_INTR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK0_INTR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK0_INTR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK0_INTR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK0_INTR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK0_INTR_INIT_ENUM                 CLEAR
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK0_INTR_CLEAR                     _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK0_INTR_SET                       _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK0_INTR__PROD                     _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK1_INTR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK1_INTR_FIELD                     _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_MSSNVLINK1_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK1_INTR_RANGE                     21:21
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK1_INTR_WOFFSET                   0x0
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK1_INTR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK1_INTR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK1_INTR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK1_INTR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK1_INTR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK1_INTR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK1_INTR_INIT_ENUM                 CLEAR
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK1_INTR_CLEAR                     _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK1_INTR_SET                       _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK1_INTR__PROD                     _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK2_INTR_SHIFT                     _MK_SHIFT_CONST(22)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK2_INTR_FIELD                     _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_MSSNVLINK2_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK2_INTR_RANGE                     22:22
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK2_INTR_WOFFSET                   0x0
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK2_INTR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK2_INTR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK2_INTR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK2_INTR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK2_INTR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK2_INTR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK2_INTR_INIT_ENUM                 CLEAR
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK2_INTR_CLEAR                     _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK2_INTR_SET                       _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK2_INTR__PROD                     _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK3_INTR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK3_INTR_FIELD                     _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_MSSNVLINK3_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK3_INTR_RANGE                     23:23
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK3_INTR_WOFFSET                   0x0
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK3_INTR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK3_INTR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK3_INTR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK3_INTR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK3_INTR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK3_INTR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK3_INTR_INIT_ENUM                 CLEAR
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK3_INTR_CLEAR                     _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK3_INTR_SET                       _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK3_INTR__PROD                     _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK4_INTR_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK4_INTR_FIELD                     _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_MSSNVLINK4_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK4_INTR_RANGE                     24:24
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK4_INTR_WOFFSET                   0x0
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK4_INTR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK4_INTR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK4_INTR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK4_INTR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK4_INTR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK4_INTR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK4_INTR_INIT_ENUM                 CLEAR
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK4_INTR_CLEAR                     _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK4_INTR_SET                       _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_MSSNVLINK4_INTR__PROD                     _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_COMMON_INTR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_GLOBAL_INTSTATUS_0_COMMON_INTR_FIELD                 _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_COMMON_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_COMMON_INTR_RANGE                 25:25
#define MC_GLOBAL_INTSTATUS_0_COMMON_INTR_WOFFSET                       0x0
#define MC_GLOBAL_INTSTATUS_0_COMMON_INTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_COMMON_INTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_COMMON_INTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_COMMON_INTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_COMMON_INTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_COMMON_INTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_COMMON_INTR_INIT_ENUM                     CLEAR
#define MC_GLOBAL_INTSTATUS_0_COMMON_INTR_CLEAR                 _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_COMMON_INTR_SET                   _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_COMMON_INTR__PROD                 _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_0_SBS_INTR_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_GLOBAL_INTSTATUS_0_SBS_INTR_FIELD                    _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_0_SBS_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_0_SBS_INTR_RANGE                    26:26
#define MC_GLOBAL_INTSTATUS_0_SBS_INTR_WOFFSET                  0x0
#define MC_GLOBAL_INTSTATUS_0_SBS_INTR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_SBS_INTR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_SBS_INTR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_SBS_INTR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_SBS_INTR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_0_SBS_INTR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_0_SBS_INTR_INIT_ENUM                        CLEAR
#define MC_GLOBAL_INTSTATUS_0_SBS_INTR_CLEAR                    _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_0_SBS_INTR_SET                      _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_0_SBS_INTR__PROD                    _MK_MASK_CONST(0x0)


// Register MC_GLOBAL_CRITICAL_INTSTATUS_0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0                  _MK_ADDR_CONST(0xf28)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SECURE                   0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_DUAL                     0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SCR                      0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_WORD_COUNT                       0x1
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_RESET_MASK                       _MK_MASK_CONST(0x3ff0fff)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3ff0fff)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_READ_MASK                        _MK_MASK_CONST(0x3ff0fff)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_WRITE_MASK                       _MK_MASK_CONST(0x3ff0fff)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC0_CRITICAL_INTR_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC0_CRITICAL_INTR_FIELD                  _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_MC0_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC0_CRITICAL_INTR_RANGE                  0:0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC0_CRITICAL_INTR_WOFFSET                        0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC0_CRITICAL_INTR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC0_CRITICAL_INTR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC0_CRITICAL_INTR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC0_CRITICAL_INTR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC0_CRITICAL_INTR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC0_CRITICAL_INTR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC0_CRITICAL_INTR_INIT_ENUM                      CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC0_CRITICAL_INTR_CLEAR                  _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC0_CRITICAL_INTR_SET                    _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC0_CRITICAL_INTR__PROD                  _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC1_CRITICAL_INTR_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC1_CRITICAL_INTR_FIELD                  _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_MC1_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC1_CRITICAL_INTR_RANGE                  1:1
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC1_CRITICAL_INTR_WOFFSET                        0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC1_CRITICAL_INTR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC1_CRITICAL_INTR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC1_CRITICAL_INTR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC1_CRITICAL_INTR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC1_CRITICAL_INTR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC1_CRITICAL_INTR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC1_CRITICAL_INTR_INIT_ENUM                      CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC1_CRITICAL_INTR_CLEAR                  _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC1_CRITICAL_INTR_SET                    _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC1_CRITICAL_INTR__PROD                  _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC2_CRITICAL_INTR_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC2_CRITICAL_INTR_FIELD                  _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_MC2_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC2_CRITICAL_INTR_RANGE                  2:2
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC2_CRITICAL_INTR_WOFFSET                        0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC2_CRITICAL_INTR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC2_CRITICAL_INTR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC2_CRITICAL_INTR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC2_CRITICAL_INTR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC2_CRITICAL_INTR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC2_CRITICAL_INTR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC2_CRITICAL_INTR_INIT_ENUM                      CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC2_CRITICAL_INTR_CLEAR                  _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC2_CRITICAL_INTR_SET                    _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC2_CRITICAL_INTR__PROD                  _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC3_CRITICAL_INTR_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC3_CRITICAL_INTR_FIELD                  _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_MC3_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC3_CRITICAL_INTR_RANGE                  3:3
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC3_CRITICAL_INTR_WOFFSET                        0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC3_CRITICAL_INTR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC3_CRITICAL_INTR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC3_CRITICAL_INTR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC3_CRITICAL_INTR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC3_CRITICAL_INTR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC3_CRITICAL_INTR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC3_CRITICAL_INTR_INIT_ENUM                      CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC3_CRITICAL_INTR_CLEAR                  _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC3_CRITICAL_INTR_SET                    _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC3_CRITICAL_INTR__PROD                  _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC4_CRITICAL_INTR_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC4_CRITICAL_INTR_FIELD                  _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_MC4_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC4_CRITICAL_INTR_RANGE                  4:4
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC4_CRITICAL_INTR_WOFFSET                        0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC4_CRITICAL_INTR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC4_CRITICAL_INTR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC4_CRITICAL_INTR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC4_CRITICAL_INTR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC4_CRITICAL_INTR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC4_CRITICAL_INTR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC4_CRITICAL_INTR_INIT_ENUM                      CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC4_CRITICAL_INTR_CLEAR                  _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC4_CRITICAL_INTR_SET                    _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC4_CRITICAL_INTR__PROD                  _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC5_CRITICAL_INTR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC5_CRITICAL_INTR_FIELD                  _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_MC5_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC5_CRITICAL_INTR_RANGE                  5:5
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC5_CRITICAL_INTR_WOFFSET                        0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC5_CRITICAL_INTR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC5_CRITICAL_INTR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC5_CRITICAL_INTR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC5_CRITICAL_INTR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC5_CRITICAL_INTR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC5_CRITICAL_INTR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC5_CRITICAL_INTR_INIT_ENUM                      CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC5_CRITICAL_INTR_CLEAR                  _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC5_CRITICAL_INTR_SET                    _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC5_CRITICAL_INTR__PROD                  _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC6_CRITICAL_INTR_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC6_CRITICAL_INTR_FIELD                  _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_MC6_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC6_CRITICAL_INTR_RANGE                  6:6
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC6_CRITICAL_INTR_WOFFSET                        0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC6_CRITICAL_INTR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC6_CRITICAL_INTR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC6_CRITICAL_INTR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC6_CRITICAL_INTR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC6_CRITICAL_INTR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC6_CRITICAL_INTR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC6_CRITICAL_INTR_INIT_ENUM                      CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC6_CRITICAL_INTR_CLEAR                  _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC6_CRITICAL_INTR_SET                    _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC6_CRITICAL_INTR__PROD                  _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC7_CRITICAL_INTR_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC7_CRITICAL_INTR_FIELD                  _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_MC7_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC7_CRITICAL_INTR_RANGE                  7:7
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC7_CRITICAL_INTR_WOFFSET                        0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC7_CRITICAL_INTR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC7_CRITICAL_INTR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC7_CRITICAL_INTR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC7_CRITICAL_INTR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC7_CRITICAL_INTR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC7_CRITICAL_INTR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC7_CRITICAL_INTR_INIT_ENUM                      CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC7_CRITICAL_INTR_CLEAR                  _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC7_CRITICAL_INTR_SET                    _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MC7_CRITICAL_INTR__PROD                  _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE0_CRITICAL_INTR_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE0_CRITICAL_INTR_FIELD                       _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE0_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE0_CRITICAL_INTR_RANGE                       8:8
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE0_CRITICAL_INTR_WOFFSET                     0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE0_CRITICAL_INTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE0_CRITICAL_INTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE0_CRITICAL_INTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE0_CRITICAL_INTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE0_CRITICAL_INTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE0_CRITICAL_INTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE0_CRITICAL_INTR_INIT_ENUM                   CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE0_CRITICAL_INTR_CLEAR                       _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE0_CRITICAL_INTR_SET                 _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE0_CRITICAL_INTR__PROD                       _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE1_CRITICAL_INTR_SHIFT                       _MK_SHIFT_CONST(9)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE1_CRITICAL_INTR_FIELD                       _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE1_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE1_CRITICAL_INTR_RANGE                       9:9
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE1_CRITICAL_INTR_WOFFSET                     0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE1_CRITICAL_INTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE1_CRITICAL_INTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE1_CRITICAL_INTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE1_CRITICAL_INTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE1_CRITICAL_INTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE1_CRITICAL_INTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE1_CRITICAL_INTR_INIT_ENUM                   CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE1_CRITICAL_INTR_CLEAR                       _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE1_CRITICAL_INTR_SET                 _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE1_CRITICAL_INTR__PROD                       _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE2_CRITICAL_INTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE2_CRITICAL_INTR_FIELD                       _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE2_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE2_CRITICAL_INTR_RANGE                       10:10
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE2_CRITICAL_INTR_WOFFSET                     0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE2_CRITICAL_INTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE2_CRITICAL_INTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE2_CRITICAL_INTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE2_CRITICAL_INTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE2_CRITICAL_INTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE2_CRITICAL_INTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE2_CRITICAL_INTR_INIT_ENUM                   CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE2_CRITICAL_INTR_CLEAR                       _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE2_CRITICAL_INTR_SET                 _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE2_CRITICAL_INTR__PROD                       _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE3_CRITICAL_INTR_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE3_CRITICAL_INTR_FIELD                       _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE3_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE3_CRITICAL_INTR_RANGE                       11:11
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE3_CRITICAL_INTR_WOFFSET                     0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE3_CRITICAL_INTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE3_CRITICAL_INTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE3_CRITICAL_INTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE3_CRITICAL_INTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE3_CRITICAL_INTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE3_CRITICAL_INTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE3_CRITICAL_INTR_INIT_ENUM                   CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE3_CRITICAL_INTR_CLEAR                       _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE3_CRITICAL_INTR_SET                 _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_SLICE3_CRITICAL_INTR__PROD                       _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB0_CRITICAL_INTR_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB0_CRITICAL_INTR_FIELD                 _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB0_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB0_CRITICAL_INTR_RANGE                 16:16
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB0_CRITICAL_INTR_WOFFSET                       0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB0_CRITICAL_INTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB0_CRITICAL_INTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB0_CRITICAL_INTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB0_CRITICAL_INTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB0_CRITICAL_INTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB0_CRITICAL_INTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB0_CRITICAL_INTR_INIT_ENUM                     CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB0_CRITICAL_INTR_CLEAR                 _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB0_CRITICAL_INTR_SET                   _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB0_CRITICAL_INTR__PROD                 _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB1_CRITICAL_INTR_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB1_CRITICAL_INTR_FIELD                 _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB1_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB1_CRITICAL_INTR_RANGE                 17:17
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB1_CRITICAL_INTR_WOFFSET                       0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB1_CRITICAL_INTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB1_CRITICAL_INTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB1_CRITICAL_INTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB1_CRITICAL_INTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB1_CRITICAL_INTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB1_CRITICAL_INTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB1_CRITICAL_INTR_INIT_ENUM                     CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB1_CRITICAL_INTR_CLEAR                 _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB1_CRITICAL_INTR_SET                   _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB1_CRITICAL_INTR__PROD                 _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB2_CRITICAL_INTR_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB2_CRITICAL_INTR_FIELD                 _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB2_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB2_CRITICAL_INTR_RANGE                 18:18
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB2_CRITICAL_INTR_WOFFSET                       0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB2_CRITICAL_INTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB2_CRITICAL_INTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB2_CRITICAL_INTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB2_CRITICAL_INTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB2_CRITICAL_INTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB2_CRITICAL_INTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB2_CRITICAL_INTR_INIT_ENUM                     CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB2_CRITICAL_INTR_CLEAR                 _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB2_CRITICAL_INTR_SET                   _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB2_CRITICAL_INTR__PROD                 _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB3_CRITICAL_INTR_SHIFT                 _MK_SHIFT_CONST(19)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB3_CRITICAL_INTR_FIELD                 _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB3_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB3_CRITICAL_INTR_RANGE                 19:19
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB3_CRITICAL_INTR_WOFFSET                       0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB3_CRITICAL_INTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB3_CRITICAL_INTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB3_CRITICAL_INTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB3_CRITICAL_INTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB3_CRITICAL_INTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB3_CRITICAL_INTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB3_CRITICAL_INTR_INIT_ENUM                     CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB3_CRITICAL_INTR_CLEAR                 _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB3_CRITICAL_INTR_SET                   _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_HUB3_CRITICAL_INTR__PROD                 _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK0_CRITICAL_INTR_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK0_CRITICAL_INTR_FIELD                   _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK0_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK0_CRITICAL_INTR_RANGE                   20:20
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK0_CRITICAL_INTR_WOFFSET                 0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK0_CRITICAL_INTR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK0_CRITICAL_INTR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK0_CRITICAL_INTR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK0_CRITICAL_INTR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK0_CRITICAL_INTR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK0_CRITICAL_INTR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK0_CRITICAL_INTR_INIT_ENUM                       CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK0_CRITICAL_INTR_CLEAR                   _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK0_CRITICAL_INTR_SET                     _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK0_CRITICAL_INTR__PROD                   _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK1_CRITICAL_INTR_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK1_CRITICAL_INTR_FIELD                   _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK1_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK1_CRITICAL_INTR_RANGE                   21:21
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK1_CRITICAL_INTR_WOFFSET                 0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK1_CRITICAL_INTR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK1_CRITICAL_INTR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK1_CRITICAL_INTR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK1_CRITICAL_INTR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK1_CRITICAL_INTR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK1_CRITICAL_INTR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK1_CRITICAL_INTR_INIT_ENUM                       CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK1_CRITICAL_INTR_CLEAR                   _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK1_CRITICAL_INTR_SET                     _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK1_CRITICAL_INTR__PROD                   _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK2_CRITICAL_INTR_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK2_CRITICAL_INTR_FIELD                   _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK2_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK2_CRITICAL_INTR_RANGE                   22:22
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK2_CRITICAL_INTR_WOFFSET                 0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK2_CRITICAL_INTR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK2_CRITICAL_INTR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK2_CRITICAL_INTR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK2_CRITICAL_INTR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK2_CRITICAL_INTR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK2_CRITICAL_INTR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK2_CRITICAL_INTR_INIT_ENUM                       CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK2_CRITICAL_INTR_CLEAR                   _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK2_CRITICAL_INTR_SET                     _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK2_CRITICAL_INTR__PROD                   _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK3_CRITICAL_INTR_SHIFT                   _MK_SHIFT_CONST(23)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK3_CRITICAL_INTR_FIELD                   _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK3_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK3_CRITICAL_INTR_RANGE                   23:23
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK3_CRITICAL_INTR_WOFFSET                 0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK3_CRITICAL_INTR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK3_CRITICAL_INTR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK3_CRITICAL_INTR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK3_CRITICAL_INTR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK3_CRITICAL_INTR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK3_CRITICAL_INTR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK3_CRITICAL_INTR_INIT_ENUM                       CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK3_CRITICAL_INTR_CLEAR                   _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK3_CRITICAL_INTR_SET                     _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK3_CRITICAL_INTR__PROD                   _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK4_CRITICAL_INTR_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK4_CRITICAL_INTR_FIELD                   _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK4_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK4_CRITICAL_INTR_RANGE                   24:24
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK4_CRITICAL_INTR_WOFFSET                 0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK4_CRITICAL_INTR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK4_CRITICAL_INTR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK4_CRITICAL_INTR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK4_CRITICAL_INTR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK4_CRITICAL_INTR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK4_CRITICAL_INTR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK4_CRITICAL_INTR_INIT_ENUM                       CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK4_CRITICAL_INTR_CLEAR                   _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK4_CRITICAL_INTR_SET                     _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_MSSNVLINK4_CRITICAL_INTR__PROD                   _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_0_COMMON_CRITICAL_INTR_SHIFT                       _MK_SHIFT_CONST(25)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_COMMON_CRITICAL_INTR_FIELD                       _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_0_COMMON_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_COMMON_CRITICAL_INTR_RANGE                       25:25
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_COMMON_CRITICAL_INTR_WOFFSET                     0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_COMMON_CRITICAL_INTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_COMMON_CRITICAL_INTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_COMMON_CRITICAL_INTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_COMMON_CRITICAL_INTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_COMMON_CRITICAL_INTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_COMMON_CRITICAL_INTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_COMMON_CRITICAL_INTR_INIT_ENUM                   CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_COMMON_CRITICAL_INTR_CLEAR                       _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_COMMON_CRITICAL_INTR_SET                 _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_0_COMMON_CRITICAL_INTR__PROD                       _MK_MASK_CONST(0x0)


// Register MC_GLOBAL_INTSTATUS_1_0
#define MC_GLOBAL_INTSTATUS_1_0                 _MK_ADDR_CONST(0x37e0)
#define MC_GLOBAL_INTSTATUS_1_0_SECURE                  0x0
#define MC_GLOBAL_INTSTATUS_1_0_DUAL                    0x0
#define MC_GLOBAL_INTSTATUS_1_0_SCR                     0
#define MC_GLOBAL_INTSTATUS_1_0_WORD_COUNT                      0x1
#define MC_GLOBAL_INTSTATUS_1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_GLOBAL_INTSTATUS_1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0xff)
#define MC_GLOBAL_INTSTATUS_1_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_GLOBAL_INTSTATUS_1_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_GLOBAL_INTSTATUS_1_0_MC8_INTR_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_GLOBAL_INTSTATUS_1_0_MC8_INTR_FIELD                  _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_1_0_MC8_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_1_0_MC8_INTR_RANGE                  0:0
#define MC_GLOBAL_INTSTATUS_1_0_MC8_INTR_WOFFSET                        0x0
#define MC_GLOBAL_INTSTATUS_1_0_MC8_INTR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC8_INTR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC8_INTR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC8_INTR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC8_INTR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC8_INTR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC8_INTR_INIT_ENUM                      CLEAR
#define MC_GLOBAL_INTSTATUS_1_0_MC8_INTR_CLEAR                  _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_1_0_MC8_INTR_SET                    _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_1_0_MC8_INTR__PROD                  _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_1_0_MC9_INTR_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_GLOBAL_INTSTATUS_1_0_MC9_INTR_FIELD                  _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_1_0_MC9_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_1_0_MC9_INTR_RANGE                  1:1
#define MC_GLOBAL_INTSTATUS_1_0_MC9_INTR_WOFFSET                        0x0
#define MC_GLOBAL_INTSTATUS_1_0_MC9_INTR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC9_INTR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC9_INTR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC9_INTR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC9_INTR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC9_INTR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC9_INTR_INIT_ENUM                      CLEAR
#define MC_GLOBAL_INTSTATUS_1_0_MC9_INTR_CLEAR                  _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_1_0_MC9_INTR_SET                    _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_1_0_MC9_INTR__PROD                  _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_1_0_MC10_INTR_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_GLOBAL_INTSTATUS_1_0_MC10_INTR_FIELD                 _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_1_0_MC10_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_1_0_MC10_INTR_RANGE                 2:2
#define MC_GLOBAL_INTSTATUS_1_0_MC10_INTR_WOFFSET                       0x0
#define MC_GLOBAL_INTSTATUS_1_0_MC10_INTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC10_INTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC10_INTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC10_INTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC10_INTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC10_INTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC10_INTR_INIT_ENUM                     CLEAR
#define MC_GLOBAL_INTSTATUS_1_0_MC10_INTR_CLEAR                 _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_1_0_MC10_INTR_SET                   _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_1_0_MC10_INTR__PROD                 _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_1_0_MC11_INTR_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_GLOBAL_INTSTATUS_1_0_MC11_INTR_FIELD                 _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_1_0_MC11_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_1_0_MC11_INTR_RANGE                 3:3
#define MC_GLOBAL_INTSTATUS_1_0_MC11_INTR_WOFFSET                       0x0
#define MC_GLOBAL_INTSTATUS_1_0_MC11_INTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC11_INTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC11_INTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC11_INTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC11_INTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC11_INTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC11_INTR_INIT_ENUM                     CLEAR
#define MC_GLOBAL_INTSTATUS_1_0_MC11_INTR_CLEAR                 _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_1_0_MC11_INTR_SET                   _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_1_0_MC11_INTR__PROD                 _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_1_0_MC12_INTR_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_GLOBAL_INTSTATUS_1_0_MC12_INTR_FIELD                 _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_1_0_MC12_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_1_0_MC12_INTR_RANGE                 4:4
#define MC_GLOBAL_INTSTATUS_1_0_MC12_INTR_WOFFSET                       0x0
#define MC_GLOBAL_INTSTATUS_1_0_MC12_INTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC12_INTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC12_INTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC12_INTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC12_INTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC12_INTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC12_INTR_INIT_ENUM                     CLEAR
#define MC_GLOBAL_INTSTATUS_1_0_MC12_INTR_CLEAR                 _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_1_0_MC12_INTR_SET                   _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_1_0_MC12_INTR__PROD                 _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_1_0_MC13_INTR_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_GLOBAL_INTSTATUS_1_0_MC13_INTR_FIELD                 _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_1_0_MC13_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_1_0_MC13_INTR_RANGE                 5:5
#define MC_GLOBAL_INTSTATUS_1_0_MC13_INTR_WOFFSET                       0x0
#define MC_GLOBAL_INTSTATUS_1_0_MC13_INTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC13_INTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC13_INTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC13_INTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC13_INTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC13_INTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC13_INTR_INIT_ENUM                     CLEAR
#define MC_GLOBAL_INTSTATUS_1_0_MC13_INTR_CLEAR                 _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_1_0_MC13_INTR_SET                   _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_1_0_MC13_INTR__PROD                 _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_1_0_MC14_INTR_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_GLOBAL_INTSTATUS_1_0_MC14_INTR_FIELD                 _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_1_0_MC14_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_1_0_MC14_INTR_RANGE                 6:6
#define MC_GLOBAL_INTSTATUS_1_0_MC14_INTR_WOFFSET                       0x0
#define MC_GLOBAL_INTSTATUS_1_0_MC14_INTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC14_INTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC14_INTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC14_INTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC14_INTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC14_INTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC14_INTR_INIT_ENUM                     CLEAR
#define MC_GLOBAL_INTSTATUS_1_0_MC14_INTR_CLEAR                 _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_1_0_MC14_INTR_SET                   _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_1_0_MC14_INTR__PROD                 _MK_MASK_CONST(0x0)

#define MC_GLOBAL_INTSTATUS_1_0_MC15_INTR_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_GLOBAL_INTSTATUS_1_0_MC15_INTR_FIELD                 _MK_FIELD_CONST(0x1, MC_GLOBAL_INTSTATUS_1_0_MC15_INTR_SHIFT)
#define MC_GLOBAL_INTSTATUS_1_0_MC15_INTR_RANGE                 7:7
#define MC_GLOBAL_INTSTATUS_1_0_MC15_INTR_WOFFSET                       0x0
#define MC_GLOBAL_INTSTATUS_1_0_MC15_INTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC15_INTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC15_INTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC15_INTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC15_INTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_INTSTATUS_1_0_MC15_INTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_GLOBAL_INTSTATUS_1_0_MC15_INTR_INIT_ENUM                     CLEAR
#define MC_GLOBAL_INTSTATUS_1_0_MC15_INTR_CLEAR                 _MK_ENUM_CONST(0)
#define MC_GLOBAL_INTSTATUS_1_0_MC15_INTR_SET                   _MK_ENUM_CONST(1)
#define MC_GLOBAL_INTSTATUS_1_0_MC15_INTR__PROD                 _MK_MASK_CONST(0x0)


// Register MC_GLOBAL_CRITICAL_INTSTATUS_1_0
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0                        _MK_ADDR_CONST(0x37e4)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_SECURE                         0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_DUAL                   0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_SCR                    0
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_WORD_COUNT                     0x1
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_RESET_MASK                     _MK_MASK_CONST(0xff)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_READ_MASK                      _MK_MASK_CONST(0xff)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_WRITE_MASK                     _MK_MASK_CONST(0xff)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC8_CRITICAL_INTR_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC8_CRITICAL_INTR_FIELD                        _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC8_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC8_CRITICAL_INTR_RANGE                        0:0
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC8_CRITICAL_INTR_WOFFSET                      0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC8_CRITICAL_INTR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC8_CRITICAL_INTR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC8_CRITICAL_INTR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC8_CRITICAL_INTR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC8_CRITICAL_INTR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC8_CRITICAL_INTR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC8_CRITICAL_INTR_INIT_ENUM                    CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC8_CRITICAL_INTR_CLEAR                        _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC8_CRITICAL_INTR_SET                  _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC8_CRITICAL_INTR__PROD                        _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC9_CRITICAL_INTR_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC9_CRITICAL_INTR_FIELD                        _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC9_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC9_CRITICAL_INTR_RANGE                        1:1
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC9_CRITICAL_INTR_WOFFSET                      0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC9_CRITICAL_INTR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC9_CRITICAL_INTR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC9_CRITICAL_INTR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC9_CRITICAL_INTR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC9_CRITICAL_INTR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC9_CRITICAL_INTR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC9_CRITICAL_INTR_INIT_ENUM                    CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC9_CRITICAL_INTR_CLEAR                        _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC9_CRITICAL_INTR_SET                  _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC9_CRITICAL_INTR__PROD                        _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC10_CRITICAL_INTR_SHIFT                       _MK_SHIFT_CONST(2)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC10_CRITICAL_INTR_FIELD                       _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC10_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC10_CRITICAL_INTR_RANGE                       2:2
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC10_CRITICAL_INTR_WOFFSET                     0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC10_CRITICAL_INTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC10_CRITICAL_INTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC10_CRITICAL_INTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC10_CRITICAL_INTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC10_CRITICAL_INTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC10_CRITICAL_INTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC10_CRITICAL_INTR_INIT_ENUM                   CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC10_CRITICAL_INTR_CLEAR                       _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC10_CRITICAL_INTR_SET                 _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC10_CRITICAL_INTR__PROD                       _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC11_CRITICAL_INTR_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC11_CRITICAL_INTR_FIELD                       _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC11_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC11_CRITICAL_INTR_RANGE                       3:3
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC11_CRITICAL_INTR_WOFFSET                     0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC11_CRITICAL_INTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC11_CRITICAL_INTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC11_CRITICAL_INTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC11_CRITICAL_INTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC11_CRITICAL_INTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC11_CRITICAL_INTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC11_CRITICAL_INTR_INIT_ENUM                   CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC11_CRITICAL_INTR_CLEAR                       _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC11_CRITICAL_INTR_SET                 _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC11_CRITICAL_INTR__PROD                       _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC12_CRITICAL_INTR_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC12_CRITICAL_INTR_FIELD                       _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC12_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC12_CRITICAL_INTR_RANGE                       4:4
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC12_CRITICAL_INTR_WOFFSET                     0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC12_CRITICAL_INTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC12_CRITICAL_INTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC12_CRITICAL_INTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC12_CRITICAL_INTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC12_CRITICAL_INTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC12_CRITICAL_INTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC12_CRITICAL_INTR_INIT_ENUM                   CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC12_CRITICAL_INTR_CLEAR                       _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC12_CRITICAL_INTR_SET                 _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC12_CRITICAL_INTR__PROD                       _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC13_CRITICAL_INTR_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC13_CRITICAL_INTR_FIELD                       _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC13_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC13_CRITICAL_INTR_RANGE                       5:5
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC13_CRITICAL_INTR_WOFFSET                     0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC13_CRITICAL_INTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC13_CRITICAL_INTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC13_CRITICAL_INTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC13_CRITICAL_INTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC13_CRITICAL_INTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC13_CRITICAL_INTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC13_CRITICAL_INTR_INIT_ENUM                   CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC13_CRITICAL_INTR_CLEAR                       _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC13_CRITICAL_INTR_SET                 _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC13_CRITICAL_INTR__PROD                       _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC14_CRITICAL_INTR_SHIFT                       _MK_SHIFT_CONST(6)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC14_CRITICAL_INTR_FIELD                       _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC14_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC14_CRITICAL_INTR_RANGE                       6:6
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC14_CRITICAL_INTR_WOFFSET                     0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC14_CRITICAL_INTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC14_CRITICAL_INTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC14_CRITICAL_INTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC14_CRITICAL_INTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC14_CRITICAL_INTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC14_CRITICAL_INTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC14_CRITICAL_INTR_INIT_ENUM                   CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC14_CRITICAL_INTR_CLEAR                       _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC14_CRITICAL_INTR_SET                 _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC14_CRITICAL_INTR__PROD                       _MK_MASK_CONST(0x0)

#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC15_CRITICAL_INTR_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC15_CRITICAL_INTR_FIELD                       _MK_FIELD_CONST(0x1, MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC15_CRITICAL_INTR_SHIFT)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC15_CRITICAL_INTR_RANGE                       7:7
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC15_CRITICAL_INTR_WOFFSET                     0x0
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC15_CRITICAL_INTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC15_CRITICAL_INTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC15_CRITICAL_INTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC15_CRITICAL_INTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC15_CRITICAL_INTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC15_CRITICAL_INTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC15_CRITICAL_INTR_INIT_ENUM                   CLEAR
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC15_CRITICAL_INTR_CLEAR                       _MK_ENUM_CONST(0)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC15_CRITICAL_INTR_SET                 _MK_ENUM_CONST(1)
#define MC_GLOBAL_CRITICAL_INTSTATUS_1_0_MC15_CRITICAL_INTR__PROD                       _MK_MASK_CONST(0x0)


// Register MC_ERR_STATUS_0
#define MC_ERR_STATUS_0                 _MK_ADDR_CONST(0x8)
#define MC_ERR_STATUS_0_SECURE                  0x0
#define MC_ERR_STATUS_0_DUAL                    0x0
#define MC_ERR_STATUS_0_SCR                     0
#define MC_ERR_STATUS_0_WORD_COUNT                      0x1
#define MC_ERR_STATUS_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_READ_MASK                       _MK_MASK_CONST(0x7e0770ff)
#define MC_ERR_STATUS_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_ID_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_ERR_STATUS_0_ERR_ID_FIELD                    _MK_FIELD_CONST(0xff, MC_ERR_STATUS_0_ERR_ID_SHIFT)
#define MC_ERR_STATUS_0_ERR_ID_RANGE                    7:0
#define MC_ERR_STATUS_0_ERR_ID_WOFFSET                  0x0
#define MC_ERR_STATUS_0_ERR_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_ERR_STATUS_0_ERR_ADR1_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_ERR_STATUS_0_ERR_ADR1_FIELD                  _MK_FIELD_CONST(0x7, MC_ERR_STATUS_0_ERR_ADR1_SHIFT)
#define MC_ERR_STATUS_0_ERR_ADR1_RANGE                  14:12
#define MC_ERR_STATUS_0_ERR_ADR1_WOFFSET                        0x0
#define MC_ERR_STATUS_0_ERR_ADR1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_ADR1_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_ADR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_ADR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_ADR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_ADR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_ERR_STATUS_0_ERR_RW_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_ERR_STATUS_0_ERR_RW_FIELD                    _MK_FIELD_CONST(0x1, MC_ERR_STATUS_0_ERR_RW_SHIFT)
#define MC_ERR_STATUS_0_ERR_RW_RANGE                    16:16
#define MC_ERR_STATUS_0_ERR_RW_WOFFSET                  0x0
#define MC_ERR_STATUS_0_ERR_RW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_RW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_RW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_RW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_RW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_RW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_ERR_STATUS_0_ERR_RW_READ                     _MK_ENUM_CONST(0)
#define MC_ERR_STATUS_0_ERR_RW_WRITE                    _MK_ENUM_CONST(1)

#define MC_ERR_STATUS_0_ERR_SECURITY_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_ERR_STATUS_0_ERR_SECURITY_FIELD                      _MK_FIELD_CONST(0x1, MC_ERR_STATUS_0_ERR_SECURITY_SHIFT)
#define MC_ERR_STATUS_0_ERR_SECURITY_RANGE                      17:17
#define MC_ERR_STATUS_0_ERR_SECURITY_WOFFSET                    0x0
#define MC_ERR_STATUS_0_ERR_SECURITY_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_SECURITY_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_SECURITY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_SECURITY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_SECURITY_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_SECURITY_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_ERR_STATUS_0_ERR_SECURITY_NONSECURE                  _MK_ENUM_CONST(0)
#define MC_ERR_STATUS_0_ERR_SECURITY_SECURE                     _MK_ENUM_CONST(1)

#define MC_ERR_STATUS_0_ERR_SWAP_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_ERR_STATUS_0_ERR_SWAP_FIELD                  _MK_FIELD_CONST(0x1, MC_ERR_STATUS_0_ERR_SWAP_SHIFT)
#define MC_ERR_STATUS_0_ERR_SWAP_RANGE                  18:18
#define MC_ERR_STATUS_0_ERR_SWAP_WOFFSET                        0x0
#define MC_ERR_STATUS_0_ERR_SWAP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_SWAP_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_SWAP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_SWAP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_SWAP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_SWAP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_NONSECURE_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_NONSECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_NONSECURE_SHIFT)
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_NONSECURE_RANGE                   25:25
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_NONSECURE_WOFFSET                 0x0
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_NONSECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_NONSECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_NONSECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_NONSECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_NONSECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_NONSECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_WRITABLE_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_WRITABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_WRITABLE_SHIFT)
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_WRITABLE_RANGE                    26:26
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_WRITABLE_WOFFSET                  0x0
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_WRITABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_WRITABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_WRITABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_WRITABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_WRITABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_WRITABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_READABLE_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_READABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_READABLE_SHIFT)
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_READABLE_RANGE                    27:27
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_READABLE_WOFFSET                  0x0
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_READABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_READABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_READABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_READABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_READABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_INVALID_SMMU_PAGE_READABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_ERR_STATUS_0_ERR_TYPE_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_ERR_STATUS_0_ERR_TYPE_FIELD                  _MK_FIELD_CONST(0x7, MC_ERR_STATUS_0_ERR_TYPE_SHIFT)
#define MC_ERR_STATUS_0_ERR_TYPE_RANGE                  30:28
#define MC_ERR_STATUS_0_ERR_TYPE_WOFFSET                        0x0
#define MC_ERR_STATUS_0_ERR_TYPE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_TYPE_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_TYPE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_TYPE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_TYPE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_ERR_STATUS_0_ERR_TYPE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_ERR_STATUS_0_ERR_TYPE_RSVD                   _MK_ENUM_CONST(0)
#define MC_ERR_STATUS_0_ERR_TYPE_DECERR_EMEM                    _MK_ENUM_CONST(2)
#define MC_ERR_STATUS_0_ERR_TYPE_SECURITY_TRUSTZONE                     _MK_ENUM_CONST(3)
#define MC_ERR_STATUS_0_ERR_TYPE_SECURITY_CARVEOUT                      _MK_ENUM_CONST(4)
#define MC_ERR_STATUS_0_ERR_TYPE_INVALID_SMMU_PAGE                      _MK_ENUM_CONST(6)


// Register MC_ERR_ADR_0
#define MC_ERR_ADR_0                    _MK_ADDR_CONST(0xc)
#define MC_ERR_ADR_0_SECURE                     0x0
#define MC_ERR_ADR_0_DUAL                       0x0
#define MC_ERR_ADR_0_SCR                        0
#define MC_ERR_ADR_0_WORD_COUNT                         0x1
#define MC_ERR_ADR_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_ERR_ADR_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define MC_ERR_ADR_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_ERR_ADR_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ERR_ADR_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_ERR_ADR_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define MC_ERR_ADR_0_ERR_ADR_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_ERR_ADR_0_ERR_ADR_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_ERR_ADR_0_ERR_ADR_SHIFT)
#define MC_ERR_ADR_0_ERR_ADR_RANGE                      31:0
#define MC_ERR_ADR_0_ERR_ADR_WOFFSET                    0x0
#define MC_ERR_ADR_0_ERR_ADR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ERR_ADR_0_ERR_ADR_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ERR_ADR_0_ERR_ADR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ERR_ADR_0_ERR_ADR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ERR_ADR_0_ERR_ADR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ERR_ADR_0_ERR_ADR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_ERR_ADR_HI_0
#define MC_ERR_ADR_HI_0                 _MK_ADDR_CONST(0x11fc)
#define MC_ERR_ADR_HI_0_SECURE                  0x0
#define MC_ERR_ADR_HI_0_DUAL                    0x0
#define MC_ERR_ADR_HI_0_SCR                     0
#define MC_ERR_ADR_HI_0_WORD_COUNT                      0x1
#define MC_ERR_ADR_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_ERR_ADR_HI_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define MC_ERR_ADR_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_ERR_ADR_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_ERR_ADR_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_ERR_ADR_HI_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define MC_ERR_ADR_HI_0_ERR_ADR_HI_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_ERR_ADR_HI_0_ERR_ADR_HI_FIELD                        _MK_FIELD_CONST(0xff, MC_ERR_ADR_HI_0_ERR_ADR_HI_SHIFT)
#define MC_ERR_ADR_HI_0_ERR_ADR_HI_RANGE                        7:0
#define MC_ERR_ADR_HI_0_ERR_ADR_HI_WOFFSET                      0x0
#define MC_ERR_ADR_HI_0_ERR_ADR_HI_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_ERR_ADR_HI_0_ERR_ADR_HI_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_ERR_ADR_HI_0_ERR_ADR_HI_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ERR_ADR_HI_0_ERR_ADR_HI_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ERR_ADR_HI_0_ERR_ADR_HI_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_ERR_ADR_HI_0_ERR_ADR_HI_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_SMMU_CONFIG_0
#define MC_SMMU_CONFIG_0                        _MK_ADDR_CONST(0x10)
#define MC_SMMU_CONFIG_0_SECURE                         0x1
#define MC_SMMU_CONFIG_0_DUAL                   0x0
#define MC_SMMU_CONFIG_0_SCR                    0
#define MC_SMMU_CONFIG_0_WORD_COUNT                     0x1
#define MC_SMMU_CONFIG_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CONFIG_0_RESET_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CONFIG_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_CONFIG_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CONFIG_0_READ_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CONFIG_0_WRITE_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CONFIG_0_SMMU_ENABLE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SMMU_CONFIG_0_SMMU_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CONFIG_0_SMMU_ENABLE_SHIFT)
#define MC_SMMU_CONFIG_0_SMMU_ENABLE_RANGE                      0:0
#define MC_SMMU_CONFIG_0_SMMU_ENABLE_WOFFSET                    0x0
#define MC_SMMU_CONFIG_0_SMMU_ENABLE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CONFIG_0_SMMU_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CONFIG_0_SMMU_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CONFIG_0_SMMU_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CONFIG_0_SMMU_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CONFIG_0_SMMU_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CONFIG_0_SMMU_ENABLE_INIT_ENUM                  DISABLE
#define MC_SMMU_CONFIG_0_SMMU_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SMMU_CONFIG_0_SMMU_ENABLE_ENABLE                     _MK_ENUM_CONST(1)
#define MC_SMMU_CONFIG_0_SMMU_ENABLE__PROD                      _MK_MASK_CONST(0x0)


// Register MC_SMMU_TLB_CONFIG_0
#define MC_SMMU_TLB_CONFIG_0                    _MK_ADDR_CONST(0x14)
#define MC_SMMU_TLB_CONFIG_0_SECURE                     0x0
#define MC_SMMU_TLB_CONFIG_0_DUAL                       0x0
#define MC_SMMU_TLB_CONFIG_0_SCR                        0
#define MC_SMMU_TLB_CONFIG_0_WORD_COUNT                         0x1
#define MC_SMMU_TLB_CONFIG_0_RESET_VAL                  _MK_MASK_CONST(0x30000030)
#define MC_SMMU_TLB_CONFIG_0_RESET_MASK                         _MK_MASK_CONST(0xf000003f)
#define MC_SMMU_TLB_CONFIG_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x30000030)
#define MC_SMMU_TLB_CONFIG_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xf000003f)
#define MC_SMMU_TLB_CONFIG_0_READ_MASK                  _MK_MASK_CONST(0xf000003f)
#define MC_SMMU_TLB_CONFIG_0_WRITE_MASK                         _MK_MASK_CONST(0xf000003f)
#define MC_SMMU_TLB_CONFIG_0_TLB_ACTIVE_LINES_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SMMU_TLB_CONFIG_0_TLB_ACTIVE_LINES_FIELD                     _MK_FIELD_CONST(0x3f, MC_SMMU_TLB_CONFIG_0_TLB_ACTIVE_LINES_SHIFT)
#define MC_SMMU_TLB_CONFIG_0_TLB_ACTIVE_LINES_RANGE                     5:0
#define MC_SMMU_TLB_CONFIG_0_TLB_ACTIVE_LINES_WOFFSET                   0x0
#define MC_SMMU_TLB_CONFIG_0_TLB_ACTIVE_LINES_DEFAULT                   _MK_MASK_CONST(0x30)
#define MC_SMMU_TLB_CONFIG_0_TLB_ACTIVE_LINES_DEFAULT_MASK                      _MK_MASK_CONST(0x3f)
#define MC_SMMU_TLB_CONFIG_0_TLB_ACTIVE_LINES_SW_DEFAULT                        _MK_MASK_CONST(0x30)
#define MC_SMMU_TLB_CONFIG_0_TLB_ACTIVE_LINES_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define MC_SMMU_TLB_CONFIG_0_TLB_ACTIVE_LINES_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_CONFIG_0_TLB_ACTIVE_LINES_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_CONFIG_0_TLB_ACTIVE_LINES__PROD                     _MK_MASK_CONST(0x30)

#define MC_SMMU_TLB_CONFIG_0_TLB_ROUND_ROBIN_ARBITRATION_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SMMU_TLB_CONFIG_0_TLB_ROUND_ROBIN_ARBITRATION_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TLB_CONFIG_0_TLB_ROUND_ROBIN_ARBITRATION_SHIFT)
#define MC_SMMU_TLB_CONFIG_0_TLB_ROUND_ROBIN_ARBITRATION_RANGE                  28:28
#define MC_SMMU_TLB_CONFIG_0_TLB_ROUND_ROBIN_ARBITRATION_WOFFSET                        0x0
#define MC_SMMU_TLB_CONFIG_0_TLB_ROUND_ROBIN_ARBITRATION_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_CONFIG_0_TLB_ROUND_ROBIN_ARBITRATION_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_CONFIG_0_TLB_ROUND_ROBIN_ARBITRATION_SW_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_CONFIG_0_TLB_ROUND_ROBIN_ARBITRATION_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_CONFIG_0_TLB_ROUND_ROBIN_ARBITRATION_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_CONFIG_0_TLB_ROUND_ROBIN_ARBITRATION_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_CONFIG_0_TLB_ROUND_ROBIN_ARBITRATION_INIT_ENUM                      ENABLE
#define MC_SMMU_TLB_CONFIG_0_TLB_ROUND_ROBIN_ARBITRATION_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TLB_CONFIG_0_TLB_ROUND_ROBIN_ARBITRATION_ENABLE                 _MK_ENUM_CONST(1)
#define MC_SMMU_TLB_CONFIG_0_TLB_ROUND_ROBIN_ARBITRATION__PROD                  _MK_MASK_CONST(0x1)

#define MC_SMMU_TLB_CONFIG_0_TLB_HIT_UNDER_MISS_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SMMU_TLB_CONFIG_0_TLB_HIT_UNDER_MISS_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_TLB_CONFIG_0_TLB_HIT_UNDER_MISS_SHIFT)
#define MC_SMMU_TLB_CONFIG_0_TLB_HIT_UNDER_MISS_RANGE                   29:29
#define MC_SMMU_TLB_CONFIG_0_TLB_HIT_UNDER_MISS_WOFFSET                 0x0
#define MC_SMMU_TLB_CONFIG_0_TLB_HIT_UNDER_MISS_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_CONFIG_0_TLB_HIT_UNDER_MISS_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_CONFIG_0_TLB_HIT_UNDER_MISS_SW_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_CONFIG_0_TLB_HIT_UNDER_MISS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_CONFIG_0_TLB_HIT_UNDER_MISS_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_CONFIG_0_TLB_HIT_UNDER_MISS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_CONFIG_0_TLB_HIT_UNDER_MISS_INIT_ENUM                       ENABLE
#define MC_SMMU_TLB_CONFIG_0_TLB_HIT_UNDER_MISS_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SMMU_TLB_CONFIG_0_TLB_HIT_UNDER_MISS_ENABLE                  _MK_ENUM_CONST(1)
#define MC_SMMU_TLB_CONFIG_0_TLB_HIT_UNDER_MISS__PROD                   _MK_MASK_CONST(0x1)

#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_TEST_SHIFT                       _MK_SHIFT_CONST(30)
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_TEST_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_TLB_CONFIG_0_TLB_STATS_TEST_SHIFT)
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_TEST_RANGE                       30:30
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_TEST_WOFFSET                     0x0
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_TEST_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_TEST_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_TEST_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_TEST_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_TEST_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_TEST_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_TEST_INIT_ENUM                   DISABLE
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_TEST_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_TEST_ENABLE                      _MK_ENUM_CONST(1)
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_TEST__PROD                       _MK_MASK_CONST(0x0)

#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_ENABLE_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_ENABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_TLB_CONFIG_0_TLB_STATS_ENABLE_SHIFT)
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_ENABLE_RANGE                     31:31
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_ENABLE_WOFFSET                   0x0
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_ENABLE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_ENABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_ENABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_ENABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_ENABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_ENABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_ENABLE_INIT_ENUM                 DISABLE
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_ENABLE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_ENABLE_ENABLE                    _MK_ENUM_CONST(1)
#define MC_SMMU_TLB_CONFIG_0_TLB_STATS_ENABLE__PROD                     _MK_MASK_CONST(0x0)


// Register MC_SMMU_PTC_CONFIG_0
#define MC_SMMU_PTC_CONFIG_0                    _MK_ADDR_CONST(0x18)
#define MC_SMMU_PTC_CONFIG_0_SECURE                     0x0
#define MC_SMMU_PTC_CONFIG_0_DUAL                       0x0
#define MC_SMMU_PTC_CONFIG_0_SCR                        0
#define MC_SMMU_PTC_CONFIG_0_WORD_COUNT                         0x1
#define MC_SMMU_PTC_CONFIG_0_RESET_VAL                  _MK_MASK_CONST(0x20220f3f)
#define MC_SMMU_PTC_CONFIG_0_RESET_MASK                         _MK_MASK_CONST(0xe03f0fff)
#define MC_SMMU_PTC_CONFIG_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x20220f3f)
#define MC_SMMU_PTC_CONFIG_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xe03f0fff)
#define MC_SMMU_PTC_CONFIG_0_READ_MASK                  _MK_MASK_CONST(0xe03f0fff)
#define MC_SMMU_PTC_CONFIG_0_WRITE_MASK                         _MK_MASK_CONST(0xe03f0fff)
#define MC_SMMU_PTC_CONFIG_0_PTC_INDEX_MAP_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_SMMU_PTC_CONFIG_0_PTC_INDEX_MAP_FIELD                        _MK_FIELD_CONST(0xff, MC_SMMU_PTC_CONFIG_0_PTC_INDEX_MAP_SHIFT)
#define MC_SMMU_PTC_CONFIG_0_PTC_INDEX_MAP_RANGE                        7:0
#define MC_SMMU_PTC_CONFIG_0_PTC_INDEX_MAP_WOFFSET                      0x0
#define MC_SMMU_PTC_CONFIG_0_PTC_INDEX_MAP_DEFAULT                      _MK_MASK_CONST(0x3f)
#define MC_SMMU_PTC_CONFIG_0_PTC_INDEX_MAP_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define MC_SMMU_PTC_CONFIG_0_PTC_INDEX_MAP_SW_DEFAULT                   _MK_MASK_CONST(0x3f)
#define MC_SMMU_PTC_CONFIG_0_PTC_INDEX_MAP_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_SMMU_PTC_CONFIG_0_PTC_INDEX_MAP_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_CONFIG_0_PTC_INDEX_MAP_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_CONFIG_0_PTC_INDEX_MAP__PROD                        _MK_MASK_CONST(0x3f)

#define MC_SMMU_PTC_CONFIG_0_PTC_LINE_MASK_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_SMMU_PTC_CONFIG_0_PTC_LINE_MASK_FIELD                        _MK_FIELD_CONST(0xf, MC_SMMU_PTC_CONFIG_0_PTC_LINE_MASK_SHIFT)
#define MC_SMMU_PTC_CONFIG_0_PTC_LINE_MASK_RANGE                        11:8
#define MC_SMMU_PTC_CONFIG_0_PTC_LINE_MASK_WOFFSET                      0x0
#define MC_SMMU_PTC_CONFIG_0_PTC_LINE_MASK_DEFAULT                      _MK_MASK_CONST(0xf)
#define MC_SMMU_PTC_CONFIG_0_PTC_LINE_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0xf)
#define MC_SMMU_PTC_CONFIG_0_PTC_LINE_MASK_SW_DEFAULT                   _MK_MASK_CONST(0xf)
#define MC_SMMU_PTC_CONFIG_0_PTC_LINE_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SMMU_PTC_CONFIG_0_PTC_LINE_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_CONFIG_0_PTC_LINE_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_CONFIG_0_PTC_LINE_MASK__PROD                        _MK_MASK_CONST(0xf)

#define MC_SMMU_PTC_CONFIG_0_PTC_REQ_LIMIT_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SMMU_PTC_CONFIG_0_PTC_REQ_LIMIT_FIELD                        _MK_FIELD_CONST(0x3f, MC_SMMU_PTC_CONFIG_0_PTC_REQ_LIMIT_SHIFT)
#define MC_SMMU_PTC_CONFIG_0_PTC_REQ_LIMIT_RANGE                        21:16
#define MC_SMMU_PTC_CONFIG_0_PTC_REQ_LIMIT_WOFFSET                      0x0
#define MC_SMMU_PTC_CONFIG_0_PTC_REQ_LIMIT_DEFAULT                      _MK_MASK_CONST(0x22)
#define MC_SMMU_PTC_CONFIG_0_PTC_REQ_LIMIT_DEFAULT_MASK                 _MK_MASK_CONST(0x3f)
#define MC_SMMU_PTC_CONFIG_0_PTC_REQ_LIMIT_SW_DEFAULT                   _MK_MASK_CONST(0x22)
#define MC_SMMU_PTC_CONFIG_0_PTC_REQ_LIMIT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3f)
#define MC_SMMU_PTC_CONFIG_0_PTC_REQ_LIMIT_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_CONFIG_0_PTC_REQ_LIMIT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_CONFIG_0_PTC_REQ_LIMIT__PROD                        _MK_MASK_CONST(0x22)

#define MC_SMMU_PTC_CONFIG_0_PTC_CACHE_ENABLE_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_SMMU_PTC_CONFIG_0_PTC_CACHE_ENABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_PTC_CONFIG_0_PTC_CACHE_ENABLE_SHIFT)
#define MC_SMMU_PTC_CONFIG_0_PTC_CACHE_ENABLE_RANGE                     29:29
#define MC_SMMU_PTC_CONFIG_0_PTC_CACHE_ENABLE_WOFFSET                   0x0
#define MC_SMMU_PTC_CONFIG_0_PTC_CACHE_ENABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_CONFIG_0_PTC_CACHE_ENABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_CONFIG_0_PTC_CACHE_ENABLE_SW_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_CONFIG_0_PTC_CACHE_ENABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_CONFIG_0_PTC_CACHE_ENABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_CONFIG_0_PTC_CACHE_ENABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_CONFIG_0_PTC_CACHE_ENABLE_INIT_ENUM                 ENABLE
#define MC_SMMU_PTC_CONFIG_0_PTC_CACHE_ENABLE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SMMU_PTC_CONFIG_0_PTC_CACHE_ENABLE_ENABLE                    _MK_ENUM_CONST(1)
#define MC_SMMU_PTC_CONFIG_0_PTC_CACHE_ENABLE__PROD                     _MK_MASK_CONST(0x1)

#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_TEST_SHIFT                       _MK_SHIFT_CONST(30)
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_TEST_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_PTC_CONFIG_0_PTC_STATS_TEST_SHIFT)
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_TEST_RANGE                       30:30
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_TEST_WOFFSET                     0x0
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_TEST_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_TEST_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_TEST_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_TEST_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_TEST_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_TEST_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_TEST_INIT_ENUM                   DISABLE
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_TEST_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_TEST_ENABLE                      _MK_ENUM_CONST(1)
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_TEST__PROD                       _MK_MASK_CONST(0x0)

#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_ENABLE_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_ENABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_PTC_CONFIG_0_PTC_STATS_ENABLE_SHIFT)
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_ENABLE_RANGE                     31:31
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_ENABLE_WOFFSET                   0x0
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_ENABLE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_ENABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_ENABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_ENABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_ENABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_ENABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_ENABLE_INIT_ENUM                 DISABLE
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_ENABLE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_ENABLE_ENABLE                    _MK_ENUM_CONST(1)
#define MC_SMMU_PTC_CONFIG_0_PTC_STATS_ENABLE__PROD                     _MK_MASK_CONST(0x0)


// Register MC_SMMU_TCU_WRAP_CONFIG_0
#define MC_SMMU_TCU_WRAP_CONFIG_0                       _MK_ADDR_CONST(0xf4c)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SECURE                        0x0
#define MC_SMMU_TCU_WRAP_CONFIG_0_DUAL                  0x0
#define MC_SMMU_TCU_WRAP_CONFIG_0_SCR                   0
#define MC_SMMU_TCU_WRAP_CONFIG_0_WORD_COUNT                    0x1
#define MC_SMMU_TCU_WRAP_CONFIG_0_RESET_VAL                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TCU_WRAP_CONFIG_0_RESET_MASK                    _MK_MASK_CONST(0x7)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x7)
#define MC_SMMU_TCU_WRAP_CONFIG_0_READ_MASK                     _MK_MASK_CONST(0x7)
#define MC_SMMU_TCU_WRAP_CONFIG_0_WRITE_MASK                    _MK_MASK_CONST(0x7)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_TCU_PM_SEL_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_TCU_PM_SEL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_TCU_PM_SEL_SHIFT)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_TCU_PM_SEL_RANGE                 0:0
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_TCU_PM_SEL_WOFFSET                       0x0
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_TCU_PM_SEL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_TCU_PM_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_TCU_PM_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_TCU_PM_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_TCU_PM_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_TCU_PM_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_TCU_PM_SEL_INIT_ENUM                     ENABLE
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_TCU_PM_SEL_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_TCU_PM_SEL_ENABLE                        _MK_ENUM_CONST(1)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_TCU_PM_SEL__PROD                 _MK_MASK_CONST(0x1)

#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_CTTW_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_CTTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_CTTW_SHIFT)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_CTTW_RANGE                       1:1
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_CTTW_WOFFSET                     0x0
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_CTTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_CTTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_CTTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_CTTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_CTTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_CTTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_CTTW_INIT_ENUM                   DISABLE
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_CTTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_CTTW_ENABLE                      _MK_ENUM_CONST(1)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_CTTW__PROD                       _MK_MASK_CONST(0x0)

#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_NORMALIZE_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_NORMALIZE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_NORMALIZE_SHIFT)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_NORMALIZE_RANGE                  2:2
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_NORMALIZE_WOFFSET                        0x0
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_NORMALIZE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_NORMALIZE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_NORMALIZE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_NORMALIZE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_NORMALIZE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_NORMALIZE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_NORMALIZE_INIT_ENUM                      DISABLE
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_NORMALIZE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_NORMALIZE_ENABLE                 _MK_ENUM_CONST(1)
#define MC_SMMU_TCU_WRAP_CONFIG_0_SMMU_NORMALIZE__PROD                  _MK_MASK_CONST(0x0)


// Register MC_SMMU_PTB_ASID_0
#define MC_SMMU_PTB_ASID_0                      _MK_ADDR_CONST(0x1c)
#define MC_SMMU_PTB_ASID_0_SECURE                       0x0
#define MC_SMMU_PTB_ASID_0_DUAL                         0x0
#define MC_SMMU_PTB_ASID_0_SCR                  0
#define MC_SMMU_PTB_ASID_0_WORD_COUNT                   0x1
#define MC_SMMU_PTB_ASID_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_ASID_0_RESET_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_ASID_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_ASID_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_ASID_0_READ_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_PTB_ASID_0_WRITE_MASK                   _MK_MASK_CONST(0x7f)
#define MC_SMMU_PTB_ASID_0_CURRENT_ASID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_PTB_ASID_0_CURRENT_ASID_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_PTB_ASID_0_CURRENT_ASID_SHIFT)
#define MC_SMMU_PTB_ASID_0_CURRENT_ASID_RANGE                   6:0
#define MC_SMMU_PTB_ASID_0_CURRENT_ASID_WOFFSET                 0x0
#define MC_SMMU_PTB_ASID_0_CURRENT_ASID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_ASID_0_CURRENT_ASID_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_ASID_0_CURRENT_ASID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_ASID_0_CURRENT_ASID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_ASID_0_CURRENT_ASID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_ASID_0_CURRENT_ASID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_SMMU_PTB_DATA_0
#define MC_SMMU_PTB_DATA_0                      _MK_ADDR_CONST(0x20)
#define MC_SMMU_PTB_DATA_0_SECURE                       0x0
#define MC_SMMU_PTB_DATA_0_DUAL                         0x0
#define MC_SMMU_PTB_DATA_0_SCR                  0
#define MC_SMMU_PTB_DATA_0_WORD_COUNT                   0x1
#define MC_SMMU_PTB_DATA_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_RESET_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_READ_MASK                    _MK_MASK_CONST(0xefffffff)
#define MC_SMMU_PTB_DATA_0_WRITE_MASK                   _MK_MASK_CONST(0xefffffff)
#define MC_SMMU_PTB_DATA_0_ASID_PDE_BASE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SMMU_PTB_DATA_0_ASID_PDE_BASE_FIELD                  _MK_FIELD_CONST(0xfffffff, MC_SMMU_PTB_DATA_0_ASID_PDE_BASE_SHIFT)
#define MC_SMMU_PTB_DATA_0_ASID_PDE_BASE_RANGE                  27:0
#define MC_SMMU_PTB_DATA_0_ASID_PDE_BASE_WOFFSET                        0x0
#define MC_SMMU_PTB_DATA_0_ASID_PDE_BASE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_ASID_PDE_BASE_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_ASID_PDE_BASE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_ASID_PDE_BASE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_ASID_PDE_BASE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_ASID_PDE_BASE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SMMU_PTB_DATA_0_ASID_NONSECURE_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_SMMU_PTB_DATA_0_ASID_NONSECURE_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_PTB_DATA_0_ASID_NONSECURE_SHIFT)
#define MC_SMMU_PTB_DATA_0_ASID_NONSECURE_RANGE                 29:29
#define MC_SMMU_PTB_DATA_0_ASID_NONSECURE_WOFFSET                       0x0
#define MC_SMMU_PTB_DATA_0_ASID_NONSECURE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_ASID_NONSECURE_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_ASID_NONSECURE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_ASID_NONSECURE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_ASID_NONSECURE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_ASID_NONSECURE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PTB_DATA_0_ASID_WRITABLE_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SMMU_PTB_DATA_0_ASID_WRITABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_PTB_DATA_0_ASID_WRITABLE_SHIFT)
#define MC_SMMU_PTB_DATA_0_ASID_WRITABLE_RANGE                  30:30
#define MC_SMMU_PTB_DATA_0_ASID_WRITABLE_WOFFSET                        0x0
#define MC_SMMU_PTB_DATA_0_ASID_WRITABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_ASID_WRITABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_ASID_WRITABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_ASID_WRITABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_ASID_WRITABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_ASID_WRITABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SMMU_PTB_DATA_0_ASID_READABLE_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SMMU_PTB_DATA_0_ASID_READABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_PTB_DATA_0_ASID_READABLE_SHIFT)
#define MC_SMMU_PTB_DATA_0_ASID_READABLE_RANGE                  31:31
#define MC_SMMU_PTB_DATA_0_ASID_READABLE_WOFFSET                        0x0
#define MC_SMMU_PTB_DATA_0_ASID_READABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_ASID_READABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_ASID_READABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_ASID_READABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_ASID_READABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PTB_DATA_0_ASID_READABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Reserved address 0x24

// Reserved address 0x28

// Reserved address 0x2c

// Register MC_SMMU_TLB_FLUSH_0
#define MC_SMMU_TLB_FLUSH_0                     _MK_ADDR_CONST(0x30)
#define MC_SMMU_TLB_FLUSH_0_SECURE                      0x0
#define MC_SMMU_TLB_FLUSH_0_DUAL                        0x0
#define MC_SMMU_TLB_FLUSH_0_SCR                         0
#define MC_SMMU_TLB_FLUSH_0_WORD_COUNT                  0x1
#define MC_SMMU_TLB_FLUSH_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_RESET_MASK                  _MK_MASK_CONST(0x100000)
#define MC_SMMU_TLB_FLUSH_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x100000)
#define MC_SMMU_TLB_FLUSH_0_READ_MASK                   _MK_MASK_CONST(0xff1fffff)
#define MC_SMMU_TLB_FLUSH_0_WRITE_MASK                  _MK_MASK_CONST(0xff1fffff)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_MATCH_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_MATCH_FIELD                    _MK_FIELD_CONST(0x3, MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_MATCH_SHIFT)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_MATCH_RANGE                    1:0
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_MATCH_WOFFSET                  0x0
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_MATCH_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_MATCH_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_MATCH_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_MATCH_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_MATCH_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_MATCH_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_MATCH_ALL                      _MK_ENUM_CONST(0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_MATCH_SECTION                  _MK_ENUM_CONST(2)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_MATCH_GROUP                    _MK_ENUM_CONST(3)

#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_GROUP_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_GROUP_FIELD                    _MK_FIELD_CONST(0x3ffff, MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_GROUP_SHIFT)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_GROUP_RANGE                    19:2
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_GROUP_WOFFSET                  0x0
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_GROUP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_GROUP_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_GROUP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_GROUP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_GROUP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_VA_GROUP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SMMU_TLB_FLUSH_0_TLB_NO_WAIT_IDLE_FLUSH_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_SMMU_TLB_FLUSH_0_TLB_NO_WAIT_IDLE_FLUSH_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TLB_FLUSH_0_TLB_NO_WAIT_IDLE_FLUSH_SHIFT)
#define MC_SMMU_TLB_FLUSH_0_TLB_NO_WAIT_IDLE_FLUSH_RANGE                        20:20
#define MC_SMMU_TLB_FLUSH_0_TLB_NO_WAIT_IDLE_FLUSH_WOFFSET                      0x0
#define MC_SMMU_TLB_FLUSH_0_TLB_NO_WAIT_IDLE_FLUSH_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_NO_WAIT_IDLE_FLUSH_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_FLUSH_0_TLB_NO_WAIT_IDLE_FLUSH_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_NO_WAIT_IDLE_FLUSH_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_FLUSH_0_TLB_NO_WAIT_IDLE_FLUSH_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_NO_WAIT_IDLE_FLUSH_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_FLUSH_0_TLB_NO_WAIT_IDLE_FLUSH__PROD                        _MK_MASK_CONST(0x0)

#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_FIELD                        _MK_FIELD_CONST(0x7f, MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_SHIFT)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_RANGE                        30:24
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_WOFFSET                      0x0
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_MATCH_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_MATCH_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_MATCH_SHIFT)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_MATCH_RANGE                  31:31
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_MATCH_WOFFSET                        0x0
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_MATCH_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_MATCH_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_MATCH_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_MATCH_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_MATCH_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_MATCH_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_MATCH_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TLB_FLUSH_0_TLB_FLUSH_ASID_MATCH_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SMMU_PTC_FLUSH_0
#define MC_SMMU_PTC_FLUSH_0                     _MK_ADDR_CONST(0x34)
#define MC_SMMU_PTC_FLUSH_0_SECURE                      0x0
#define MC_SMMU_PTC_FLUSH_0_DUAL                        0x0
#define MC_SMMU_PTC_FLUSH_0_SCR                         0
#define MC_SMMU_PTC_FLUSH_0_WORD_COUNT                  0x1
#define MC_SMMU_PTC_FLUSH_0_RESET_VAL                   _MK_MASK_CONST(0x8)
#define MC_SMMU_PTC_FLUSH_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_SMMU_PTC_FLUSH_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x8)
#define MC_SMMU_PTC_FLUSH_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x8)
#define MC_SMMU_PTC_FLUSH_0_READ_MASK                   _MK_MASK_CONST(0xfffffff9)
#define MC_SMMU_PTC_FLUSH_0_WRITE_MASK                  _MK_MASK_CONST(0xfffffff9)
#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_TYPE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_TYPE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_TYPE_SHIFT)
#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_TYPE_RANGE                        0:0
#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_TYPE_WOFFSET                      0x0
#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_TYPE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_TYPE_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_TYPE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_TYPE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_TYPE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_TYPE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_TYPE_ALL                  _MK_ENUM_CONST(0)
#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_TYPE_ADR                  _MK_ENUM_CONST(1)

#define MC_SMMU_PTC_FLUSH_0_PTC_NO_WAIT_IDLE_FLUSH_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SMMU_PTC_FLUSH_0_PTC_NO_WAIT_IDLE_FLUSH_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_PTC_FLUSH_0_PTC_NO_WAIT_IDLE_FLUSH_SHIFT)
#define MC_SMMU_PTC_FLUSH_0_PTC_NO_WAIT_IDLE_FLUSH_RANGE                        3:3
#define MC_SMMU_PTC_FLUSH_0_PTC_NO_WAIT_IDLE_FLUSH_WOFFSET                      0x0
#define MC_SMMU_PTC_FLUSH_0_PTC_NO_WAIT_IDLE_FLUSH_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_FLUSH_0_PTC_NO_WAIT_IDLE_FLUSH_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_FLUSH_0_PTC_NO_WAIT_IDLE_FLUSH_SW_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_FLUSH_0_PTC_NO_WAIT_IDLE_FLUSH_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_FLUSH_0_PTC_NO_WAIT_IDLE_FLUSH_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_FLUSH_0_PTC_NO_WAIT_IDLE_FLUSH_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_FLUSH_0_PTC_NO_WAIT_IDLE_FLUSH__PROD                        _MK_MASK_CONST(0x1)

#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_ADR_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_ADR_FIELD                 _MK_FIELD_CONST(0xfffffff, MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_ADR_SHIFT)
#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_ADR_RANGE                 31:4
#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_ADR_WOFFSET                       0x0
#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_ADR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_ADR_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_ADR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_ADR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_ADR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_FLUSH_0_PTC_FLUSH_ADR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SMMU_PTC_FLUSH_1_0
#define MC_SMMU_PTC_FLUSH_1_0                   _MK_ADDR_CONST(0x9b8)
#define MC_SMMU_PTC_FLUSH_1_0_SECURE                    0x0
#define MC_SMMU_PTC_FLUSH_1_0_DUAL                      0x0
#define MC_SMMU_PTC_FLUSH_1_0_SCR                       0
#define MC_SMMU_PTC_FLUSH_1_0_WORD_COUNT                        0x1
#define MC_SMMU_PTC_FLUSH_1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_FLUSH_1_0_RESET_MASK                        _MK_MASK_CONST(0xff)
#define MC_SMMU_PTC_FLUSH_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_FLUSH_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_FLUSH_1_0_READ_MASK                         _MK_MASK_CONST(0xff)
#define MC_SMMU_PTC_FLUSH_1_0_WRITE_MASK                        _MK_MASK_CONST(0xff)
#define MC_SMMU_PTC_FLUSH_1_0_PTC_FLUSH_ADR_HI_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SMMU_PTC_FLUSH_1_0_PTC_FLUSH_ADR_HI_FIELD                    _MK_FIELD_CONST(0xff, MC_SMMU_PTC_FLUSH_1_0_PTC_FLUSH_ADR_HI_SHIFT)
#define MC_SMMU_PTC_FLUSH_1_0_PTC_FLUSH_ADR_HI_RANGE                    7:0
#define MC_SMMU_PTC_FLUSH_1_0_PTC_FLUSH_ADR_HI_WOFFSET                  0x0
#define MC_SMMU_PTC_FLUSH_1_0_PTC_FLUSH_ADR_HI_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_FLUSH_1_0_PTC_FLUSH_ADR_HI_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define MC_SMMU_PTC_FLUSH_1_0_PTC_FLUSH_ADR_HI_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_FLUSH_1_0_PTC_FLUSH_ADR_HI_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PTC_FLUSH_1_0_PTC_FLUSH_ADR_HI_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_SMMU_PTC_FLUSH_1_0_PTC_FLUSH_ADR_HI_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_SMMU_ASID_SECURITY_0
#define MC_SMMU_ASID_SECURITY_0                 _MK_ADDR_CONST(0x38)
#define MC_SMMU_ASID_SECURITY_0_SECURE                  0x1
#define MC_SMMU_ASID_SECURITY_0_DUAL                    0x0
#define MC_SMMU_ASID_SECURITY_0_SCR                     0
#define MC_SMMU_ASID_SECURITY_0_WORD_COUNT                      0x1
#define MC_SMMU_ASID_SECURITY_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_0_SECURE_ASIDS_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SMMU_ASID_SECURITY_0_SECURE_ASIDS_FIELD                      _MK_FIELD_CONST(0xffff, MC_SMMU_ASID_SECURITY_0_SECURE_ASIDS_SHIFT)
#define MC_SMMU_ASID_SECURITY_0_SECURE_ASIDS_RANGE                      15:0
#define MC_SMMU_ASID_SECURITY_0_SECURE_ASIDS_WOFFSET                    0x0
#define MC_SMMU_ASID_SECURITY_0_SECURE_ASIDS_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_0_SECURE_ASIDS_DEFAULT_MASK                       _MK_MASK_CONST(0xffff)
#define MC_SMMU_ASID_SECURITY_0_SECURE_ASIDS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_0_SECURE_ASIDS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xffff)
#define MC_SMMU_ASID_SECURITY_0_SECURE_ASIDS_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_SMMU_ASID_SECURITY_0_SECURE_ASIDS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_ASID_SECURITY_0_SECURE_ASIDS__PROD                      _MK_MASK_CONST(0x0)

#define MC_SMMU_ASID_SECURITY_0_PROMOTING_ASIDS_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SMMU_ASID_SECURITY_0_PROMOTING_ASIDS_FIELD                   _MK_FIELD_CONST(0xffff, MC_SMMU_ASID_SECURITY_0_PROMOTING_ASIDS_SHIFT)
#define MC_SMMU_ASID_SECURITY_0_PROMOTING_ASIDS_RANGE                   31:16
#define MC_SMMU_ASID_SECURITY_0_PROMOTING_ASIDS_WOFFSET                 0x0
#define MC_SMMU_ASID_SECURITY_0_PROMOTING_ASIDS_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_0_PROMOTING_ASIDS_DEFAULT_MASK                    _MK_MASK_CONST(0xffff)
#define MC_SMMU_ASID_SECURITY_0_PROMOTING_ASIDS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_0_PROMOTING_ASIDS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0xffff)
#define MC_SMMU_ASID_SECURITY_0_PROMOTING_ASIDS_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_SMMU_ASID_SECURITY_0_PROMOTING_ASIDS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_ASID_SECURITY_0_PROMOTING_ASIDS__PROD                   _MK_MASK_CONST(0x0)


// Register MC_SMMU_ASID_SECURITY_1_0
#define MC_SMMU_ASID_SECURITY_1_0                       _MK_ADDR_CONST(0x3c)
#define MC_SMMU_ASID_SECURITY_1_0_SECURE                        0x1
#define MC_SMMU_ASID_SECURITY_1_0_DUAL                  0x0
#define MC_SMMU_ASID_SECURITY_1_0_SCR                   0
#define MC_SMMU_ASID_SECURITY_1_0_WORD_COUNT                    0x1
#define MC_SMMU_ASID_SECURITY_1_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_1_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_1_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_1_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_1_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_1_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_1_0_SECURE_ASIDS_1_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SMMU_ASID_SECURITY_1_0_SECURE_ASIDS_1_FIELD                  _MK_FIELD_CONST(0xffff, MC_SMMU_ASID_SECURITY_1_0_SECURE_ASIDS_1_SHIFT)
#define MC_SMMU_ASID_SECURITY_1_0_SECURE_ASIDS_1_RANGE                  15:0
#define MC_SMMU_ASID_SECURITY_1_0_SECURE_ASIDS_1_WOFFSET                        0x0
#define MC_SMMU_ASID_SECURITY_1_0_SECURE_ASIDS_1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_1_0_SECURE_ASIDS_1_DEFAULT_MASK                   _MK_MASK_CONST(0xffff)
#define MC_SMMU_ASID_SECURITY_1_0_SECURE_ASIDS_1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_1_0_SECURE_ASIDS_1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_1_0_SECURE_ASIDS_1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_ASID_SECURITY_1_0_SECURE_ASIDS_1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SMMU_ASID_SECURITY_1_0_PROMOTING_ASIDS_1_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_SMMU_ASID_SECURITY_1_0_PROMOTING_ASIDS_1_FIELD                       _MK_FIELD_CONST(0xffff, MC_SMMU_ASID_SECURITY_1_0_PROMOTING_ASIDS_1_SHIFT)
#define MC_SMMU_ASID_SECURITY_1_0_PROMOTING_ASIDS_1_RANGE                       31:16
#define MC_SMMU_ASID_SECURITY_1_0_PROMOTING_ASIDS_1_WOFFSET                     0x0
#define MC_SMMU_ASID_SECURITY_1_0_PROMOTING_ASIDS_1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_1_0_PROMOTING_ASIDS_1_DEFAULT_MASK                        _MK_MASK_CONST(0xffff)
#define MC_SMMU_ASID_SECURITY_1_0_PROMOTING_ASIDS_1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_1_0_PROMOTING_ASIDS_1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_1_0_PROMOTING_ASIDS_1_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_ASID_SECURITY_1_0_PROMOTING_ASIDS_1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SMMU_ASID_SECURITY_2_0
#define MC_SMMU_ASID_SECURITY_2_0                       _MK_ADDR_CONST(0x9e0)
#define MC_SMMU_ASID_SECURITY_2_0_SECURE                        0x1
#define MC_SMMU_ASID_SECURITY_2_0_DUAL                  0x0
#define MC_SMMU_ASID_SECURITY_2_0_SCR                   0
#define MC_SMMU_ASID_SECURITY_2_0_WORD_COUNT                    0x1
#define MC_SMMU_ASID_SECURITY_2_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_2_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_2_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_2_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_2_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_2_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_2_0_SECURE_ASIDS_2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SMMU_ASID_SECURITY_2_0_SECURE_ASIDS_2_FIELD                  _MK_FIELD_CONST(0xffff, MC_SMMU_ASID_SECURITY_2_0_SECURE_ASIDS_2_SHIFT)
#define MC_SMMU_ASID_SECURITY_2_0_SECURE_ASIDS_2_RANGE                  15:0
#define MC_SMMU_ASID_SECURITY_2_0_SECURE_ASIDS_2_WOFFSET                        0x0
#define MC_SMMU_ASID_SECURITY_2_0_SECURE_ASIDS_2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_2_0_SECURE_ASIDS_2_DEFAULT_MASK                   _MK_MASK_CONST(0xffff)
#define MC_SMMU_ASID_SECURITY_2_0_SECURE_ASIDS_2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_2_0_SECURE_ASIDS_2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_2_0_SECURE_ASIDS_2_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_ASID_SECURITY_2_0_SECURE_ASIDS_2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SMMU_ASID_SECURITY_2_0_PROMOTING_ASIDS_2_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_SMMU_ASID_SECURITY_2_0_PROMOTING_ASIDS_2_FIELD                       _MK_FIELD_CONST(0xffff, MC_SMMU_ASID_SECURITY_2_0_PROMOTING_ASIDS_2_SHIFT)
#define MC_SMMU_ASID_SECURITY_2_0_PROMOTING_ASIDS_2_RANGE                       31:16
#define MC_SMMU_ASID_SECURITY_2_0_PROMOTING_ASIDS_2_WOFFSET                     0x0
#define MC_SMMU_ASID_SECURITY_2_0_PROMOTING_ASIDS_2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_2_0_PROMOTING_ASIDS_2_DEFAULT_MASK                        _MK_MASK_CONST(0xffff)
#define MC_SMMU_ASID_SECURITY_2_0_PROMOTING_ASIDS_2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_2_0_PROMOTING_ASIDS_2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_2_0_PROMOTING_ASIDS_2_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_ASID_SECURITY_2_0_PROMOTING_ASIDS_2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SMMU_ASID_SECURITY_3_0
#define MC_SMMU_ASID_SECURITY_3_0                       _MK_ADDR_CONST(0x9e4)
#define MC_SMMU_ASID_SECURITY_3_0_SECURE                        0x1
#define MC_SMMU_ASID_SECURITY_3_0_DUAL                  0x0
#define MC_SMMU_ASID_SECURITY_3_0_SCR                   0
#define MC_SMMU_ASID_SECURITY_3_0_WORD_COUNT                    0x1
#define MC_SMMU_ASID_SECURITY_3_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_3_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_3_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_3_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_3_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_3_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_3_0_SECURE_ASIDS_3_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SMMU_ASID_SECURITY_3_0_SECURE_ASIDS_3_FIELD                  _MK_FIELD_CONST(0xffff, MC_SMMU_ASID_SECURITY_3_0_SECURE_ASIDS_3_SHIFT)
#define MC_SMMU_ASID_SECURITY_3_0_SECURE_ASIDS_3_RANGE                  15:0
#define MC_SMMU_ASID_SECURITY_3_0_SECURE_ASIDS_3_WOFFSET                        0x0
#define MC_SMMU_ASID_SECURITY_3_0_SECURE_ASIDS_3_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_3_0_SECURE_ASIDS_3_DEFAULT_MASK                   _MK_MASK_CONST(0xffff)
#define MC_SMMU_ASID_SECURITY_3_0_SECURE_ASIDS_3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_3_0_SECURE_ASIDS_3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_3_0_SECURE_ASIDS_3_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_ASID_SECURITY_3_0_SECURE_ASIDS_3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SMMU_ASID_SECURITY_3_0_PROMOTING_ASIDS_3_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_SMMU_ASID_SECURITY_3_0_PROMOTING_ASIDS_3_FIELD                       _MK_FIELD_CONST(0xffff, MC_SMMU_ASID_SECURITY_3_0_PROMOTING_ASIDS_3_SHIFT)
#define MC_SMMU_ASID_SECURITY_3_0_PROMOTING_ASIDS_3_RANGE                       31:16
#define MC_SMMU_ASID_SECURITY_3_0_PROMOTING_ASIDS_3_WOFFSET                     0x0
#define MC_SMMU_ASID_SECURITY_3_0_PROMOTING_ASIDS_3_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_3_0_PROMOTING_ASIDS_3_DEFAULT_MASK                        _MK_MASK_CONST(0xffff)
#define MC_SMMU_ASID_SECURITY_3_0_PROMOTING_ASIDS_3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_3_0_PROMOTING_ASIDS_3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_3_0_PROMOTING_ASIDS_3_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_ASID_SECURITY_3_0_PROMOTING_ASIDS_3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SMMU_ASID_SECURITY_4_0
#define MC_SMMU_ASID_SECURITY_4_0                       _MK_ADDR_CONST(0x9e8)
#define MC_SMMU_ASID_SECURITY_4_0_SECURE                        0x1
#define MC_SMMU_ASID_SECURITY_4_0_DUAL                  0x0
#define MC_SMMU_ASID_SECURITY_4_0_SCR                   0
#define MC_SMMU_ASID_SECURITY_4_0_WORD_COUNT                    0x1
#define MC_SMMU_ASID_SECURITY_4_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_4_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_4_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_4_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_4_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_4_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_4_0_SECURE_ASIDS_4_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SMMU_ASID_SECURITY_4_0_SECURE_ASIDS_4_FIELD                  _MK_FIELD_CONST(0xffff, MC_SMMU_ASID_SECURITY_4_0_SECURE_ASIDS_4_SHIFT)
#define MC_SMMU_ASID_SECURITY_4_0_SECURE_ASIDS_4_RANGE                  15:0
#define MC_SMMU_ASID_SECURITY_4_0_SECURE_ASIDS_4_WOFFSET                        0x0
#define MC_SMMU_ASID_SECURITY_4_0_SECURE_ASIDS_4_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_4_0_SECURE_ASIDS_4_DEFAULT_MASK                   _MK_MASK_CONST(0xffff)
#define MC_SMMU_ASID_SECURITY_4_0_SECURE_ASIDS_4_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_4_0_SECURE_ASIDS_4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_4_0_SECURE_ASIDS_4_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_ASID_SECURITY_4_0_SECURE_ASIDS_4_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SMMU_ASID_SECURITY_4_0_PROMOTING_ASIDS_4_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_SMMU_ASID_SECURITY_4_0_PROMOTING_ASIDS_4_FIELD                       _MK_FIELD_CONST(0xffff, MC_SMMU_ASID_SECURITY_4_0_PROMOTING_ASIDS_4_SHIFT)
#define MC_SMMU_ASID_SECURITY_4_0_PROMOTING_ASIDS_4_RANGE                       31:16
#define MC_SMMU_ASID_SECURITY_4_0_PROMOTING_ASIDS_4_WOFFSET                     0x0
#define MC_SMMU_ASID_SECURITY_4_0_PROMOTING_ASIDS_4_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_4_0_PROMOTING_ASIDS_4_DEFAULT_MASK                        _MK_MASK_CONST(0xffff)
#define MC_SMMU_ASID_SECURITY_4_0_PROMOTING_ASIDS_4_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_4_0_PROMOTING_ASIDS_4_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_4_0_PROMOTING_ASIDS_4_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_ASID_SECURITY_4_0_PROMOTING_ASIDS_4_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SMMU_ASID_SECURITY_5_0
#define MC_SMMU_ASID_SECURITY_5_0                       _MK_ADDR_CONST(0x9ec)
#define MC_SMMU_ASID_SECURITY_5_0_SECURE                        0x1
#define MC_SMMU_ASID_SECURITY_5_0_DUAL                  0x0
#define MC_SMMU_ASID_SECURITY_5_0_SCR                   0
#define MC_SMMU_ASID_SECURITY_5_0_WORD_COUNT                    0x1
#define MC_SMMU_ASID_SECURITY_5_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_5_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_5_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_5_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_5_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_5_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_5_0_SECURE_ASIDS_5_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SMMU_ASID_SECURITY_5_0_SECURE_ASIDS_5_FIELD                  _MK_FIELD_CONST(0xffff, MC_SMMU_ASID_SECURITY_5_0_SECURE_ASIDS_5_SHIFT)
#define MC_SMMU_ASID_SECURITY_5_0_SECURE_ASIDS_5_RANGE                  15:0
#define MC_SMMU_ASID_SECURITY_5_0_SECURE_ASIDS_5_WOFFSET                        0x0
#define MC_SMMU_ASID_SECURITY_5_0_SECURE_ASIDS_5_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_5_0_SECURE_ASIDS_5_DEFAULT_MASK                   _MK_MASK_CONST(0xffff)
#define MC_SMMU_ASID_SECURITY_5_0_SECURE_ASIDS_5_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_5_0_SECURE_ASIDS_5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_5_0_SECURE_ASIDS_5_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_ASID_SECURITY_5_0_SECURE_ASIDS_5_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SMMU_ASID_SECURITY_5_0_PROMOTING_ASIDS_5_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_SMMU_ASID_SECURITY_5_0_PROMOTING_ASIDS_5_FIELD                       _MK_FIELD_CONST(0xffff, MC_SMMU_ASID_SECURITY_5_0_PROMOTING_ASIDS_5_SHIFT)
#define MC_SMMU_ASID_SECURITY_5_0_PROMOTING_ASIDS_5_RANGE                       31:16
#define MC_SMMU_ASID_SECURITY_5_0_PROMOTING_ASIDS_5_WOFFSET                     0x0
#define MC_SMMU_ASID_SECURITY_5_0_PROMOTING_ASIDS_5_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_5_0_PROMOTING_ASIDS_5_DEFAULT_MASK                        _MK_MASK_CONST(0xffff)
#define MC_SMMU_ASID_SECURITY_5_0_PROMOTING_ASIDS_5_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_5_0_PROMOTING_ASIDS_5_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_5_0_PROMOTING_ASIDS_5_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_ASID_SECURITY_5_0_PROMOTING_ASIDS_5_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SMMU_ASID_SECURITY_6_0
#define MC_SMMU_ASID_SECURITY_6_0                       _MK_ADDR_CONST(0x9f0)
#define MC_SMMU_ASID_SECURITY_6_0_SECURE                        0x1
#define MC_SMMU_ASID_SECURITY_6_0_DUAL                  0x0
#define MC_SMMU_ASID_SECURITY_6_0_SCR                   0
#define MC_SMMU_ASID_SECURITY_6_0_WORD_COUNT                    0x1
#define MC_SMMU_ASID_SECURITY_6_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_6_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_6_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_6_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_6_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_6_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_6_0_SECURE_ASIDS_6_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SMMU_ASID_SECURITY_6_0_SECURE_ASIDS_6_FIELD                  _MK_FIELD_CONST(0xffff, MC_SMMU_ASID_SECURITY_6_0_SECURE_ASIDS_6_SHIFT)
#define MC_SMMU_ASID_SECURITY_6_0_SECURE_ASIDS_6_RANGE                  15:0
#define MC_SMMU_ASID_SECURITY_6_0_SECURE_ASIDS_6_WOFFSET                        0x0
#define MC_SMMU_ASID_SECURITY_6_0_SECURE_ASIDS_6_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_6_0_SECURE_ASIDS_6_DEFAULT_MASK                   _MK_MASK_CONST(0xffff)
#define MC_SMMU_ASID_SECURITY_6_0_SECURE_ASIDS_6_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_6_0_SECURE_ASIDS_6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_6_0_SECURE_ASIDS_6_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_ASID_SECURITY_6_0_SECURE_ASIDS_6_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SMMU_ASID_SECURITY_6_0_PROMOTING_ASIDS_6_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_SMMU_ASID_SECURITY_6_0_PROMOTING_ASIDS_6_FIELD                       _MK_FIELD_CONST(0xffff, MC_SMMU_ASID_SECURITY_6_0_PROMOTING_ASIDS_6_SHIFT)
#define MC_SMMU_ASID_SECURITY_6_0_PROMOTING_ASIDS_6_RANGE                       31:16
#define MC_SMMU_ASID_SECURITY_6_0_PROMOTING_ASIDS_6_WOFFSET                     0x0
#define MC_SMMU_ASID_SECURITY_6_0_PROMOTING_ASIDS_6_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_6_0_PROMOTING_ASIDS_6_DEFAULT_MASK                        _MK_MASK_CONST(0xffff)
#define MC_SMMU_ASID_SECURITY_6_0_PROMOTING_ASIDS_6_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_6_0_PROMOTING_ASIDS_6_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_6_0_PROMOTING_ASIDS_6_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_ASID_SECURITY_6_0_PROMOTING_ASIDS_6_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SMMU_ASID_SECURITY_7_0
#define MC_SMMU_ASID_SECURITY_7_0                       _MK_ADDR_CONST(0x9f4)
#define MC_SMMU_ASID_SECURITY_7_0_SECURE                        0x1
#define MC_SMMU_ASID_SECURITY_7_0_DUAL                  0x0
#define MC_SMMU_ASID_SECURITY_7_0_SCR                   0
#define MC_SMMU_ASID_SECURITY_7_0_WORD_COUNT                    0x1
#define MC_SMMU_ASID_SECURITY_7_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_7_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_7_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_7_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_7_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_7_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_ASID_SECURITY_7_0_SECURE_ASIDS_7_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SMMU_ASID_SECURITY_7_0_SECURE_ASIDS_7_FIELD                  _MK_FIELD_CONST(0xffff, MC_SMMU_ASID_SECURITY_7_0_SECURE_ASIDS_7_SHIFT)
#define MC_SMMU_ASID_SECURITY_7_0_SECURE_ASIDS_7_RANGE                  15:0
#define MC_SMMU_ASID_SECURITY_7_0_SECURE_ASIDS_7_WOFFSET                        0x0
#define MC_SMMU_ASID_SECURITY_7_0_SECURE_ASIDS_7_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_7_0_SECURE_ASIDS_7_DEFAULT_MASK                   _MK_MASK_CONST(0xffff)
#define MC_SMMU_ASID_SECURITY_7_0_SECURE_ASIDS_7_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_7_0_SECURE_ASIDS_7_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_7_0_SECURE_ASIDS_7_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_ASID_SECURITY_7_0_SECURE_ASIDS_7_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SMMU_ASID_SECURITY_7_0_PROMOTING_ASIDS_7_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_SMMU_ASID_SECURITY_7_0_PROMOTING_ASIDS_7_FIELD                       _MK_FIELD_CONST(0xffff, MC_SMMU_ASID_SECURITY_7_0_PROMOTING_ASIDS_7_SHIFT)
#define MC_SMMU_ASID_SECURITY_7_0_PROMOTING_ASIDS_7_RANGE                       31:16
#define MC_SMMU_ASID_SECURITY_7_0_PROMOTING_ASIDS_7_WOFFSET                     0x0
#define MC_SMMU_ASID_SECURITY_7_0_PROMOTING_ASIDS_7_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_7_0_PROMOTING_ASIDS_7_DEFAULT_MASK                        _MK_MASK_CONST(0xffff)
#define MC_SMMU_ASID_SECURITY_7_0_PROMOTING_ASIDS_7_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_7_0_PROMOTING_ASIDS_7_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ASID_SECURITY_7_0_PROMOTING_ASIDS_7_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_ASID_SECURITY_7_0_PROMOTING_ASIDS_7_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SMMU_CLIENT_CONFIG0_0
#define MC_SMMU_CLIENT_CONFIG0_0                        _MK_ADDR_CONST(0x40)
#define MC_SMMU_CLIENT_CONFIG0_0_SECURE                         0x0
#define MC_SMMU_CLIENT_CONFIG0_0_DUAL                   0x0
#define MC_SMMU_CLIENT_CONFIG0_0_SCR                    0
#define MC_SMMU_CLIENT_CONFIG0_0_WORD_COUNT                     0x1
#define MC_SMMU_CLIENT_CONFIG0_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_RESET_MASK                     _MK_MASK_CONST(0x90600007)
#define MC_SMMU_CLIENT_CONFIG0_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_READ_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SMMU_CLIENT_CONFIG0_0_WRITE_MASK                     _MK_MASK_CONST(0x90600007)
#define MC_SMMU_CLIENT_CONFIG0_0_PTCR_ORDERED_CLIENT_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SMMU_CLIENT_CONFIG0_0_PTCR_ORDERED_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG0_0_PTCR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG0_0_PTCR_ORDERED_CLIENT_RANGE                      0:0
#define MC_SMMU_CLIENT_CONFIG0_0_PTCR_ORDERED_CLIENT_WOFFSET                    0x0
#define MC_SMMU_CLIENT_CONFIG0_0_PTCR_ORDERED_CLIENT_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_PTCR_ORDERED_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG0_0_PTCR_ORDERED_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_PTCR_ORDERED_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_PTCR_ORDERED_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_PTCR_ORDERED_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG0_0_PTCR_ORDERED_CLIENT_INIT_ENUM                  UNORDERED
#define MC_SMMU_CLIENT_CONFIG0_0_PTCR_ORDERED_CLIENT_UNORDERED                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG0_0_PTCR_ORDERED_CLIENT_ORDERED                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG0_0_MIU7R_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7R_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG0_0_MIU7R_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7R_ORDERED_CLIENT_RANGE                     1:1
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7R_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7R_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7R_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7R_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7R_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7R_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7R_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7R_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7R_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7R_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG0_0_MIU7W_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7W_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG0_0_MIU7W_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7W_ORDERED_CLIENT_RANGE                     2:2
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7W_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7W_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7W_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7W_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7W_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7W_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7W_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7W_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7W_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG0_0_MIU7W_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG0_0_HDAR_ORDERED_CLIENT_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_SMMU_CLIENT_CONFIG0_0_HDAR_ORDERED_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG0_0_HDAR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG0_0_HDAR_ORDERED_CLIENT_RANGE                      21:21
#define MC_SMMU_CLIENT_CONFIG0_0_HDAR_ORDERED_CLIENT_WOFFSET                    0x0
#define MC_SMMU_CLIENT_CONFIG0_0_HDAR_ORDERED_CLIENT_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_HDAR_ORDERED_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG0_0_HDAR_ORDERED_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_HDAR_ORDERED_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_HDAR_ORDERED_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_HDAR_ORDERED_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG0_0_HDAR_ORDERED_CLIENT_INIT_ENUM                  UNORDERED
#define MC_SMMU_CLIENT_CONFIG0_0_HDAR_ORDERED_CLIENT_UNORDERED                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG0_0_HDAR_ORDERED_CLIENT_ORDERED                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG0_0_HOST1XDMAR_ORDERED_CLIENT_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SMMU_CLIENT_CONFIG0_0_HOST1XDMAR_ORDERED_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG0_0_HOST1XDMAR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG0_0_HOST1XDMAR_ORDERED_CLIENT_RANGE                        22:22
#define MC_SMMU_CLIENT_CONFIG0_0_HOST1XDMAR_ORDERED_CLIENT_WOFFSET                      0x0
#define MC_SMMU_CLIENT_CONFIG0_0_HOST1XDMAR_ORDERED_CLIENT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_HOST1XDMAR_ORDERED_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG0_0_HOST1XDMAR_ORDERED_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_HOST1XDMAR_ORDERED_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_HOST1XDMAR_ORDERED_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_HOST1XDMAR_ORDERED_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG0_0_HOST1XDMAR_ORDERED_CLIENT_INIT_ENUM                    UNORDERED
#define MC_SMMU_CLIENT_CONFIG0_0_HOST1XDMAR_ORDERED_CLIENT_UNORDERED                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG0_0_HOST1XDMAR_ORDERED_CLIENT_ORDERED                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG0_0_NVENCSRD_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SMMU_CLIENT_CONFIG0_0_NVENCSRD_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG0_0_NVENCSRD_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG0_0_NVENCSRD_ORDERED_CLIENT_RANGE                  28:28
#define MC_SMMU_CLIENT_CONFIG0_0_NVENCSRD_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_SMMU_CLIENT_CONFIG0_0_NVENCSRD_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_NVENCSRD_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG0_0_NVENCSRD_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_NVENCSRD_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_NVENCSRD_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_NVENCSRD_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG0_0_NVENCSRD_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_SMMU_CLIENT_CONFIG0_0_NVENCSRD_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG0_0_NVENCSRD_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG0_0_SATAR_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SMMU_CLIENT_CONFIG0_0_SATAR_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG0_0_SATAR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG0_0_SATAR_ORDERED_CLIENT_RANGE                     31:31
#define MC_SMMU_CLIENT_CONFIG0_0_SATAR_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG0_0_SATAR_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_SATAR_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG0_0_SATAR_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_SATAR_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_SATAR_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG0_0_SATAR_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG0_0_SATAR_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG0_0_SATAR_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG0_0_SATAR_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)


// Register MC_SMMU_CLIENT_CONFIG1_0
#define MC_SMMU_CLIENT_CONFIG1_0                        _MK_ADDR_CONST(0x44)
#define MC_SMMU_CLIENT_CONFIG1_0_SECURE                         0x0
#define MC_SMMU_CLIENT_CONFIG1_0_DUAL                   0x0
#define MC_SMMU_CLIENT_CONFIG1_0_SCR                    0
#define MC_SMMU_CLIENT_CONFIG1_0_WORD_COUNT                     0x1
#define MC_SMMU_CLIENT_CONFIG1_0_RESET_VAL                      _MK_MASK_CONST(0x20200000)
#define MC_SMMU_CLIENT_CONFIG1_0_RESET_MASK                     _MK_MASK_CONST(0x22200880)
#define MC_SMMU_CLIENT_CONFIG1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG1_0_READ_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SMMU_CLIENT_CONFIG1_0_WRITE_MASK                     _MK_MASK_CONST(0x22200880)
#define MC_SMMU_CLIENT_CONFIG1_0_MPCORER_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SMMU_CLIENT_CONFIG1_0_MPCORER_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG1_0_MPCORER_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG1_0_MPCORER_ORDERED_CLIENT_RANGE                   7:7
#define MC_SMMU_CLIENT_CONFIG1_0_MPCORER_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG1_0_MPCORER_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG1_0_MPCORER_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG1_0_MPCORER_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG1_0_MPCORER_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG1_0_MPCORER_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG1_0_MPCORER_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG1_0_MPCORER_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG1_0_MPCORER_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG1_0_MPCORER_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG1_0_NVENCSWR_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SMMU_CLIENT_CONFIG1_0_NVENCSWR_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG1_0_NVENCSWR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG1_0_NVENCSWR_ORDERED_CLIENT_RANGE                  11:11
#define MC_SMMU_CLIENT_CONFIG1_0_NVENCSWR_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_SMMU_CLIENT_CONFIG1_0_NVENCSWR_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG1_0_NVENCSWR_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG1_0_NVENCSWR_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG1_0_NVENCSWR_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG1_0_NVENCSWR_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG1_0_NVENCSWR_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG1_0_NVENCSWR_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_SMMU_CLIENT_CONFIG1_0_NVENCSWR_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG1_0_NVENCSWR_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG1_0_HDAW_ORDERED_CLIENT_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_SMMU_CLIENT_CONFIG1_0_HDAW_ORDERED_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG1_0_HDAW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG1_0_HDAW_ORDERED_CLIENT_RANGE                      21:21
#define MC_SMMU_CLIENT_CONFIG1_0_HDAW_ORDERED_CLIENT_WOFFSET                    0x0
#define MC_SMMU_CLIENT_CONFIG1_0_HDAW_ORDERED_CLIENT_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG1_0_HDAW_ORDERED_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG1_0_HDAW_ORDERED_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG1_0_HDAW_ORDERED_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG1_0_HDAW_ORDERED_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG1_0_HDAW_ORDERED_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG1_0_HDAW_ORDERED_CLIENT_INIT_ENUM                  ORDERED
#define MC_SMMU_CLIENT_CONFIG1_0_HDAW_ORDERED_CLIENT_UNORDERED                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG1_0_HDAW_ORDERED_CLIENT_ORDERED                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG1_0_MPCOREW_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SMMU_CLIENT_CONFIG1_0_MPCOREW_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG1_0_MPCOREW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG1_0_MPCOREW_ORDERED_CLIENT_RANGE                   25:25
#define MC_SMMU_CLIENT_CONFIG1_0_MPCOREW_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG1_0_MPCOREW_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG1_0_MPCOREW_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG1_0_MPCOREW_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG1_0_MPCOREW_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG1_0_MPCOREW_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG1_0_MPCOREW_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG1_0_MPCOREW_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG1_0_MPCOREW_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG1_0_MPCOREW_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG1_0_SATAW_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_SMMU_CLIENT_CONFIG1_0_SATAW_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG1_0_SATAW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG1_0_SATAW_ORDERED_CLIENT_RANGE                     29:29
#define MC_SMMU_CLIENT_CONFIG1_0_SATAW_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG1_0_SATAW_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG1_0_SATAW_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG1_0_SATAW_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG1_0_SATAW_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG1_0_SATAW_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG1_0_SATAW_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG1_0_SATAW_ORDERED_CLIENT_INIT_ENUM                 ORDERED
#define MC_SMMU_CLIENT_CONFIG1_0_SATAW_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG1_0_SATAW_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)


// Register MC_SMMU_CLIENT_CONFIG2_0
#define MC_SMMU_CLIENT_CONFIG2_0                        _MK_ADDR_CONST(0x48)
#define MC_SMMU_CLIENT_CONFIG2_0_SECURE                         0x0
#define MC_SMMU_CLIENT_CONFIG2_0_DUAL                   0x0
#define MC_SMMU_CLIENT_CONFIG2_0_SCR                    0
#define MC_SMMU_CLIENT_CONFIG2_0_WORD_COUNT                     0x1
#define MC_SMMU_CLIENT_CONFIG2_0_RESET_VAL                      _MK_MASK_CONST(0x202800)
#define MC_SMMU_CLIENT_CONFIG2_0_RESET_MASK                     _MK_MASK_CONST(0x303cf0)
#define MC_SMMU_CLIENT_CONFIG2_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_READ_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SMMU_CLIENT_CONFIG2_0_WRITE_MASK                     _MK_MASK_CONST(0x303cf0)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPRA_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPRA_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG2_0_ISPRA_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPRA_ORDERED_CLIENT_RANGE                     4:4
#define MC_SMMU_CLIENT_CONFIG2_0_ISPRA_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG2_0_ISPRA_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPRA_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPRA_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPRA_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPRA_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPRA_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPRA_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG2_0_ISPRA_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPRA_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG2_0_ISPFALR_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(5)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPFALR_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG2_0_ISPFALR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPFALR_ORDERED_CLIENT_RANGE                   5:5
#define MC_SMMU_CLIENT_CONFIG2_0_ISPFALR_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG2_0_ISPFALR_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPFALR_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPFALR_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPFALR_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPFALR_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPFALR_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPFALR_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG2_0_ISPFALR_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPFALR_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG2_0_ISPWA_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWA_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG2_0_ISPWA_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWA_ORDERED_CLIENT_RANGE                     6:6
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWA_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWA_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWA_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWA_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWA_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWA_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWA_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWA_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWA_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWA_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG2_0_ISPWB_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(7)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWB_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG2_0_ISPWB_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWB_ORDERED_CLIENT_RANGE                     7:7
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWB_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWB_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWB_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWB_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWB_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWB_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWB_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWB_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWB_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG2_0_ISPWB_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTR_ORDERED_CLIENT_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTR_ORDERED_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTR_ORDERED_CLIENT_RANGE                        10:10
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTR_ORDERED_CLIENT_WOFFSET                      0x0
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTR_ORDERED_CLIENT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTR_ORDERED_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTR_ORDERED_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTR_ORDERED_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTR_ORDERED_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTR_ORDERED_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTR_ORDERED_CLIENT_INIT_ENUM                    UNORDERED
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTR_ORDERED_CLIENT_UNORDERED                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTR_ORDERED_CLIENT_ORDERED                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTW_ORDERED_CLIENT_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTW_ORDERED_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTW_ORDERED_CLIENT_RANGE                        11:11
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTW_ORDERED_CLIENT_WOFFSET                      0x0
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTW_ORDERED_CLIENT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTW_ORDERED_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTW_ORDERED_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTW_ORDERED_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTW_ORDERED_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTW_ORDERED_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTW_ORDERED_CLIENT_INIT_ENUM                    ORDERED
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTW_ORDERED_CLIENT_UNORDERED                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_HOSTW_ORDERED_CLIENT_ORDERED                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVR_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVR_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVR_ORDERED_CLIENT_RANGE                 12:12
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVR_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVR_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVR_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVR_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVR_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVR_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVR_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVR_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVR_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVR_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVW_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVW_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVW_ORDERED_CLIENT_RANGE                 13:13
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVW_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVW_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVW_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVW_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVW_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVW_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVW_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVW_ORDERED_CLIENT_INIT_ENUM                     ORDERED
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVW_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG2_0_XUSB_DEVW_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG2_0_TSECSRD_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSRD_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG2_0_TSECSRD_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSRD_ORDERED_CLIENT_RANGE                   20:20
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSRD_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSRD_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSRD_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSRD_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSRD_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSRD_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSRD_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSRD_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSRD_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSRD_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG2_0_TSECSWR_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSWR_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG2_0_TSECSWR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSWR_ORDERED_CLIENT_RANGE                   21:21
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSWR_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSWR_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSWR_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSWR_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSWR_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSWR_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSWR_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSWR_ORDERED_CLIENT_INIT_ENUM                       ORDERED
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSWR_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG2_0_TSECSWR_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)


// Register MC_SMMU_CLIENT_CONFIG3_0
#define MC_SMMU_CLIENT_CONFIG3_0                        _MK_ADDR_CONST(0x4c)
#define MC_SMMU_CLIENT_CONFIG3_0_SECURE                         0x0
#define MC_SMMU_CLIENT_CONFIG3_0_DUAL                   0x0
#define MC_SMMU_CLIENT_CONFIG3_0_SCR                    0
#define MC_SMMU_CLIENT_CONFIG3_0_WORD_COUNT                     0x1
#define MC_SMMU_CLIENT_CONFIG3_0_RESET_VAL                      _MK_MASK_CONST(0x80020d0)
#define MC_SMMU_CLIENT_CONFIG3_0_RESET_MASK                     _MK_MASK_CONST(0xcf0430dd)
#define MC_SMMU_CLIENT_CONFIG3_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_READ_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SMMU_CLIENT_CONFIG3_0_WRITE_MASK                     _MK_MASK_CONST(0xcf0430dd)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRA_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRA_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG3_0_SDMMCRA_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRA_ORDERED_CLIENT_RANGE                   0:0
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRA_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRA_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRA_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRA_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRA_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRA_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRA_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRA_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRA_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRA_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCR_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCR_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG3_0_SDMMCR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCR_ORDERED_CLIENT_RANGE                    2:2
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCR_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCR_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCR_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCR_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCR_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCR_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCR_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCR_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCR_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCR_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRAB_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRAB_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG3_0_SDMMCRAB_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRAB_ORDERED_CLIENT_RANGE                  3:3
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRAB_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRAB_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRAB_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRAB_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRAB_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRAB_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRAB_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRAB_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRAB_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCRAB_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWA_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWA_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG3_0_SDMMCWA_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWA_ORDERED_CLIENT_RANGE                   4:4
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWA_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWA_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWA_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWA_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWA_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWA_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWA_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWA_ORDERED_CLIENT_INIT_ENUM                       ORDERED
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWA_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWA_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCW_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCW_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG3_0_SDMMCW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCW_ORDERED_CLIENT_RANGE                    6:6
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCW_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCW_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCW_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCW_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCW_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCW_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCW_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCW_ORDERED_CLIENT_INIT_ENUM                        ORDERED
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCW_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCW_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWAB_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWAB_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG3_0_SDMMCWAB_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWAB_ORDERED_CLIENT_RANGE                  7:7
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWAB_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWAB_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWAB_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWAB_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWAB_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWAB_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWAB_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWAB_ORDERED_CLIENT_INIT_ENUM                      ORDERED
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWAB_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG3_0_SDMMCWAB_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG3_0_VICSRD_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SMMU_CLIENT_CONFIG3_0_VICSRD_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG3_0_VICSRD_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG3_0_VICSRD_ORDERED_CLIENT_RANGE                    12:12
#define MC_SMMU_CLIENT_CONFIG3_0_VICSRD_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_SMMU_CLIENT_CONFIG3_0_VICSRD_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_VICSRD_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_VICSRD_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_VICSRD_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_VICSRD_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_VICSRD_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_VICSRD_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_SMMU_CLIENT_CONFIG3_0_VICSRD_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG3_0_VICSRD_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG3_0_VICSWR_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SMMU_CLIENT_CONFIG3_0_VICSWR_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG3_0_VICSWR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG3_0_VICSWR_ORDERED_CLIENT_RANGE                    13:13
#define MC_SMMU_CLIENT_CONFIG3_0_VICSWR_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_SMMU_CLIENT_CONFIG3_0_VICSWR_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_VICSWR_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_VICSWR_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_VICSWR_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_VICSWR_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_VICSWR_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_VICSWR_ORDERED_CLIENT_INIT_ENUM                        ORDERED
#define MC_SMMU_CLIENT_CONFIG3_0_VICSWR_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG3_0_VICSWR_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG3_0_VIW_ORDERED_CLIENT_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SMMU_CLIENT_CONFIG3_0_VIW_ORDERED_CLIENT_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG3_0_VIW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG3_0_VIW_ORDERED_CLIENT_RANGE                       18:18
#define MC_SMMU_CLIENT_CONFIG3_0_VIW_ORDERED_CLIENT_WOFFSET                     0x0
#define MC_SMMU_CLIENT_CONFIG3_0_VIW_ORDERED_CLIENT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_VIW_ORDERED_CLIENT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_VIW_ORDERED_CLIENT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_VIW_ORDERED_CLIENT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_VIW_ORDERED_CLIENT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_VIW_ORDERED_CLIENT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_VIW_ORDERED_CLIENT_INIT_ENUM                   UNORDERED
#define MC_SMMU_CLIENT_CONFIG3_0_VIW_ORDERED_CLIENT_UNORDERED                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG3_0_VIW_ORDERED_CLIENT_ORDERED                     _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSRD_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSRD_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG3_0_NVDECSRD_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSRD_ORDERED_CLIENT_RANGE                  24:24
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSRD_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSRD_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSRD_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSRD_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSRD_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSRD_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSRD_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSRD_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSRD_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSRD_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSWR_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSWR_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG3_0_NVDECSWR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSWR_ORDERED_CLIENT_RANGE                  25:25
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSWR_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSWR_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSWR_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSWR_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSWR_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSWR_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSWR_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSWR_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSWR_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG3_0_NVDECSWR_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG3_0_APER_ORDERED_CLIENT_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SMMU_CLIENT_CONFIG3_0_APER_ORDERED_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG3_0_APER_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG3_0_APER_ORDERED_CLIENT_RANGE                      26:26
#define MC_SMMU_CLIENT_CONFIG3_0_APER_ORDERED_CLIENT_WOFFSET                    0x0
#define MC_SMMU_CLIENT_CONFIG3_0_APER_ORDERED_CLIENT_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_APER_ORDERED_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_APER_ORDERED_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_APER_ORDERED_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_APER_ORDERED_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_APER_ORDERED_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_APER_ORDERED_CLIENT_INIT_ENUM                  UNORDERED
#define MC_SMMU_CLIENT_CONFIG3_0_APER_ORDERED_CLIENT_UNORDERED                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG3_0_APER_ORDERED_CLIENT_ORDERED                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG3_0_APEW_ORDERED_CLIENT_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_SMMU_CLIENT_CONFIG3_0_APEW_ORDERED_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG3_0_APEW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG3_0_APEW_ORDERED_CLIENT_RANGE                      27:27
#define MC_SMMU_CLIENT_CONFIG3_0_APEW_ORDERED_CLIENT_WOFFSET                    0x0
#define MC_SMMU_CLIENT_CONFIG3_0_APEW_ORDERED_CLIENT_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_APEW_ORDERED_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_APEW_ORDERED_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_APEW_ORDERED_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_APEW_ORDERED_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_APEW_ORDERED_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_APEW_ORDERED_CLIENT_INIT_ENUM                  ORDERED
#define MC_SMMU_CLIENT_CONFIG3_0_APEW_ORDERED_CLIENT_UNORDERED                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG3_0_APEW_ORDERED_CLIENT_ORDERED                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSRD_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSRD_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG3_0_NVJPGSRD_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSRD_ORDERED_CLIENT_RANGE                  30:30
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSRD_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSRD_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSRD_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSRD_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSRD_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSRD_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSRD_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSRD_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSRD_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSRD_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSWR_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSWR_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG3_0_NVJPGSWR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSWR_ORDERED_CLIENT_RANGE                  31:31
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSWR_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSWR_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSWR_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSWR_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSWR_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSWR_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSWR_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSWR_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSWR_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG3_0_NVJPGSWR_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)


// Register MC_SMMU_CLIENT_CONFIG4_0
#define MC_SMMU_CLIENT_CONFIG4_0                        _MK_ADDR_CONST(0xb9c)
#define MC_SMMU_CLIENT_CONFIG4_0_SECURE                         0x0
#define MC_SMMU_CLIENT_CONFIG4_0_DUAL                   0x0
#define MC_SMMU_CLIENT_CONFIG4_0_SCR                    0
#define MC_SMMU_CLIENT_CONFIG4_0_WORD_COUNT                     0x1
#define MC_SMMU_CLIENT_CONFIG4_0_RESET_VAL                      _MK_MASK_CONST(0x5552a0a2)
#define MC_SMMU_CLIENT_CONFIG4_0_RESET_MASK                     _MK_MASK_CONST(0xfffff0ff)
#define MC_SMMU_CLIENT_CONFIG4_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_READ_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SMMU_CLIENT_CONFIG4_0_WRITE_MASK                     _MK_MASK_CONST(0xfffff0ff)
#define MC_SMMU_CLIENT_CONFIG4_0_SESRD_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_SESRD_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_SESRD_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_SESRD_ORDERED_CLIENT_RANGE                     0:0
#define MC_SMMU_CLIENT_CONFIG4_0_SESRD_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG4_0_SESRD_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SESRD_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_SESRD_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SESRD_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SESRD_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SESRD_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_SESRD_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_SESRD_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_SESRD_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_SESWR_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SMMU_CLIENT_CONFIG4_0_SESWR_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_SESWR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_SESWR_ORDERED_CLIENT_RANGE                     1:1
#define MC_SMMU_CLIENT_CONFIG4_0_SESWR_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG4_0_SESWR_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_SESWR_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_SESWR_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SESWR_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SESWR_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SESWR_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_SESWR_ORDERED_CLIENT_INIT_ENUM                 ORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_SESWR_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_SESWR_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPR_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPR_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_AXIAPR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPR_ORDERED_CLIENT_RANGE                    2:2
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPR_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPR_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPR_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPR_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPR_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPR_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPR_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPR_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPR_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPR_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPW_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPW_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_AXIAPW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPW_ORDERED_CLIENT_RANGE                    3:3
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPW_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPW_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPW_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPW_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPW_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPW_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPW_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPW_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPW_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_AXIAPW_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_ETRR_ORDERED_CLIENT_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_SMMU_CLIENT_CONFIG4_0_ETRR_ORDERED_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_ETRR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_ETRR_ORDERED_CLIENT_RANGE                      4:4
#define MC_SMMU_CLIENT_CONFIG4_0_ETRR_ORDERED_CLIENT_WOFFSET                    0x0
#define MC_SMMU_CLIENT_CONFIG4_0_ETRR_ORDERED_CLIENT_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_ETRR_ORDERED_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_ETRR_ORDERED_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_ETRR_ORDERED_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_ETRR_ORDERED_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_ETRR_ORDERED_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_ETRR_ORDERED_CLIENT_INIT_ENUM                  UNORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_ETRR_ORDERED_CLIENT_UNORDERED                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_ETRR_ORDERED_CLIENT_ORDERED                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_ETRW_ORDERED_CLIENT_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_SMMU_CLIENT_CONFIG4_0_ETRW_ORDERED_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_ETRW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_ETRW_ORDERED_CLIENT_RANGE                      5:5
#define MC_SMMU_CLIENT_CONFIG4_0_ETRW_ORDERED_CLIENT_WOFFSET                    0x0
#define MC_SMMU_CLIENT_CONFIG4_0_ETRW_ORDERED_CLIENT_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_ETRW_ORDERED_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_ETRW_ORDERED_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_ETRW_ORDERED_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_ETRW_ORDERED_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_ETRW_ORDERED_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_ETRW_ORDERED_CLIENT_INIT_ENUM                  ORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_ETRW_ORDERED_CLIENT_UNORDERED                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_ETRW_ORDERED_CLIENT_ORDERED                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_TSECSRDB_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSRDB_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_TSECSRDB_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSRDB_ORDERED_CLIENT_RANGE                  6:6
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSRDB_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSRDB_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSRDB_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSRDB_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSRDB_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSRDB_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSRDB_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSRDB_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSRDB_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSRDB_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_TSECSWRB_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSWRB_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_TSECSWRB_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSWRB_ORDERED_CLIENT_RANGE                  7:7
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSWRB_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSWRB_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSWRB_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSWRB_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSWRB_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSWRB_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSWRB_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSWRB_ORDERED_CLIENT_INIT_ENUM                      ORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSWRB_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_TSECSWRB_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_AXISR_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SMMU_CLIENT_CONFIG4_0_AXISR_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_AXISR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_AXISR_ORDERED_CLIENT_RANGE                     12:12
#define MC_SMMU_CLIENT_CONFIG4_0_AXISR_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG4_0_AXISR_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AXISR_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_AXISR_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AXISR_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AXISR_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AXISR_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_AXISR_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_AXISR_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_AXISR_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_AXISW_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_SMMU_CLIENT_CONFIG4_0_AXISW_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_AXISW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_AXISW_ORDERED_CLIENT_RANGE                     13:13
#define MC_SMMU_CLIENT_CONFIG4_0_AXISW_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG4_0_AXISW_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_AXISW_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_AXISW_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AXISW_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AXISW_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AXISW_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_AXISW_ORDERED_CLIENT_INIT_ENUM                 ORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_AXISW_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_AXISW_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_EQOSR_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(14)
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSR_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_EQOSR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSR_ORDERED_CLIENT_RANGE                     14:14
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSR_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSR_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSR_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSR_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSR_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSR_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSR_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSR_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSR_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSR_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_EQOSW_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(15)
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSW_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_EQOSW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSW_ORDERED_CLIENT_RANGE                     15:15
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSW_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSW_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSW_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSW_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSW_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSW_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSW_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSW_ORDERED_CLIENT_INIT_ENUM                 ORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSW_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_EQOSW_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCR_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCR_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_UFSHCR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCR_ORDERED_CLIENT_RANGE                    16:16
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCR_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCR_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCR_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCR_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCR_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCR_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCR_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCR_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCR_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCR_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCW_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCW_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_UFSHCW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCW_ORDERED_CLIENT_RANGE                    17:17
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCW_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCW_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCW_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCW_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCW_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCW_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCW_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCW_ORDERED_CLIENT_INIT_ENUM                        ORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCW_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_UFSHCW_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_NVDISPLAYR_ORDERED_CLIENT_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_SMMU_CLIENT_CONFIG4_0_NVDISPLAYR_ORDERED_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_NVDISPLAYR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_NVDISPLAYR_ORDERED_CLIENT_RANGE                        18:18
#define MC_SMMU_CLIENT_CONFIG4_0_NVDISPLAYR_ORDERED_CLIENT_WOFFSET                      0x0
#define MC_SMMU_CLIENT_CONFIG4_0_NVDISPLAYR_ORDERED_CLIENT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_NVDISPLAYR_ORDERED_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_NVDISPLAYR_ORDERED_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_NVDISPLAYR_ORDERED_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_NVDISPLAYR_ORDERED_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_NVDISPLAYR_ORDERED_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_NVDISPLAYR_ORDERED_CLIENT_INIT_ENUM                    UNORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_NVDISPLAYR_ORDERED_CLIENT_UNORDERED                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_NVDISPLAYR_ORDERED_CLIENT_ORDERED                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_BPMPR_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPR_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_BPMPR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPR_ORDERED_CLIENT_RANGE                     19:19
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPR_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPR_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPR_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPR_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPR_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPR_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPR_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPR_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPR_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPR_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_BPMPW_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(20)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPW_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_BPMPW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPW_ORDERED_CLIENT_RANGE                     20:20
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPW_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPW_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPW_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPW_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPW_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPW_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPW_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPW_ORDERED_CLIENT_INIT_ENUM                 ORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPW_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPW_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAR_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAR_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAR_ORDERED_CLIENT_RANGE                  21:21
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAR_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAR_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAR_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAR_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAR_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAR_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAR_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAR_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAR_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAR_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAW_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAW_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAW_ORDERED_CLIENT_RANGE                  22:22
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAW_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAW_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAW_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAW_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAW_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAW_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAW_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAW_ORDERED_CLIENT_INIT_ENUM                      ORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAW_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_BPMPDMAW_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_AONR_ORDERED_CLIENT_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SMMU_CLIENT_CONFIG4_0_AONR_ORDERED_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_AONR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_AONR_ORDERED_CLIENT_RANGE                      23:23
#define MC_SMMU_CLIENT_CONFIG4_0_AONR_ORDERED_CLIENT_WOFFSET                    0x0
#define MC_SMMU_CLIENT_CONFIG4_0_AONR_ORDERED_CLIENT_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AONR_ORDERED_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_AONR_ORDERED_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AONR_ORDERED_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AONR_ORDERED_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AONR_ORDERED_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_AONR_ORDERED_CLIENT_INIT_ENUM                  UNORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_AONR_ORDERED_CLIENT_UNORDERED                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_AONR_ORDERED_CLIENT_ORDERED                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_AONW_ORDERED_CLIENT_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SMMU_CLIENT_CONFIG4_0_AONW_ORDERED_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_AONW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_AONW_ORDERED_CLIENT_RANGE                      24:24
#define MC_SMMU_CLIENT_CONFIG4_0_AONW_ORDERED_CLIENT_WOFFSET                    0x0
#define MC_SMMU_CLIENT_CONFIG4_0_AONW_ORDERED_CLIENT_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_AONW_ORDERED_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_AONW_ORDERED_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AONW_ORDERED_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AONW_ORDERED_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AONW_ORDERED_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_AONW_ORDERED_CLIENT_INIT_ENUM                  ORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_AONW_ORDERED_CLIENT_UNORDERED                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_AONW_ORDERED_CLIENT_ORDERED                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAR_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAR_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_AONDMAR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAR_ORDERED_CLIENT_RANGE                   25:25
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAR_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAR_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAR_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAR_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAR_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAR_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAR_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAR_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAR_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAR_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAW_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAW_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_AONDMAW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAW_ORDERED_CLIENT_RANGE                   26:26
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAW_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAW_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAW_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAW_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAW_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAW_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAW_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAW_ORDERED_CLIENT_INIT_ENUM                       ORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAW_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_AONDMAW_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_SCER_ORDERED_CLIENT_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_SMMU_CLIENT_CONFIG4_0_SCER_ORDERED_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_SCER_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_SCER_ORDERED_CLIENT_RANGE                      27:27
#define MC_SMMU_CLIENT_CONFIG4_0_SCER_ORDERED_CLIENT_WOFFSET                    0x0
#define MC_SMMU_CLIENT_CONFIG4_0_SCER_ORDERED_CLIENT_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SCER_ORDERED_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_SCER_ORDERED_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SCER_ORDERED_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SCER_ORDERED_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SCER_ORDERED_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_SCER_ORDERED_CLIENT_INIT_ENUM                  UNORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_SCER_ORDERED_CLIENT_UNORDERED                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_SCER_ORDERED_CLIENT_ORDERED                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_SCEW_ORDERED_CLIENT_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEW_ORDERED_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_SCEW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEW_ORDERED_CLIENT_RANGE                      28:28
#define MC_SMMU_CLIENT_CONFIG4_0_SCEW_ORDERED_CLIENT_WOFFSET                    0x0
#define MC_SMMU_CLIENT_CONFIG4_0_SCEW_ORDERED_CLIENT_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEW_ORDERED_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEW_ORDERED_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEW_ORDERED_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEW_ORDERED_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEW_ORDERED_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEW_ORDERED_CLIENT_INIT_ENUM                  ORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_SCEW_ORDERED_CLIENT_UNORDERED                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEW_ORDERED_CLIENT_ORDERED                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAR_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAR_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_SCEDMAR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAR_ORDERED_CLIENT_RANGE                   29:29
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAR_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAR_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAR_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAR_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAR_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAR_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAR_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAR_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAR_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAR_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAW_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAW_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_SCEDMAW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAW_ORDERED_CLIENT_RANGE                   30:30
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAW_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAW_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAW_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAW_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAW_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAW_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAW_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAW_ORDERED_CLIENT_INIT_ENUM                       ORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAW_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_SCEDMAW_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG4_0_APEDMAR_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SMMU_CLIENT_CONFIG4_0_APEDMAR_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG4_0_APEDMAR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG4_0_APEDMAR_ORDERED_CLIENT_RANGE                   31:31
#define MC_SMMU_CLIENT_CONFIG4_0_APEDMAR_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG4_0_APEDMAR_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_APEDMAR_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_APEDMAR_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_APEDMAR_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_APEDMAR_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG4_0_APEDMAR_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG4_0_APEDMAR_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG4_0_APEDMAR_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG4_0_APEDMAR_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)


// Register MC_SMMU_CLIENT_CONFIG5_0
#define MC_SMMU_CLIENT_CONFIG5_0                        _MK_ADDR_CONST(0xbac)
#define MC_SMMU_CLIENT_CONFIG5_0_SECURE                         0x0
#define MC_SMMU_CLIENT_CONFIG5_0_DUAL                   0x0
#define MC_SMMU_CLIENT_CONFIG5_0_SCR                    0
#define MC_SMMU_CLIENT_CONFIG5_0_WORD_COUNT                     0x1
#define MC_SMMU_CLIENT_CONFIG5_0_RESET_VAL                      _MK_MASK_CONST(0x20000001)
#define MC_SMMU_CLIENT_CONFIG5_0_RESET_MASK                     _MK_MASK_CONST(0xf00fc3cf)
#define MC_SMMU_CLIENT_CONFIG5_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_READ_MASK                      _MK_MASK_CONST(0xf00fc3cf)
#define MC_SMMU_CLIENT_CONFIG5_0_WRITE_MASK                     _MK_MASK_CONST(0xf00fc3cf)
#define MC_SMMU_CLIENT_CONFIG5_0_APEDMAW_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_CLIENT_CONFIG5_0_APEDMAW_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG5_0_APEDMAW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG5_0_APEDMAW_ORDERED_CLIENT_RANGE                   0:0
#define MC_SMMU_CLIENT_CONFIG5_0_APEDMAW_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG5_0_APEDMAW_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_APEDMAW_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_APEDMAW_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_APEDMAW_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_APEDMAW_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_APEDMAW_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_APEDMAW_ORDERED_CLIENT_INIT_ENUM                       ORDERED
#define MC_SMMU_CLIENT_CONFIG5_0_APEDMAW_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG5_0_APEDMAW_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG5_0_NVDISPLAYR1_ORDERED_CLIENT_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SMMU_CLIENT_CONFIG5_0_NVDISPLAYR1_ORDERED_CLIENT_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG5_0_NVDISPLAYR1_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG5_0_NVDISPLAYR1_ORDERED_CLIENT_RANGE                       1:1
#define MC_SMMU_CLIENT_CONFIG5_0_NVDISPLAYR1_ORDERED_CLIENT_WOFFSET                     0x0
#define MC_SMMU_CLIENT_CONFIG5_0_NVDISPLAYR1_ORDERED_CLIENT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_NVDISPLAYR1_ORDERED_CLIENT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_NVDISPLAYR1_ORDERED_CLIENT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_NVDISPLAYR1_ORDERED_CLIENT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_NVDISPLAYR1_ORDERED_CLIENT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_NVDISPLAYR1_ORDERED_CLIENT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_NVDISPLAYR1_ORDERED_CLIENT_INIT_ENUM                   UNORDERED
#define MC_SMMU_CLIENT_CONFIG5_0_NVDISPLAYR1_ORDERED_CLIENT_UNORDERED                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG5_0_NVDISPLAYR1_ORDERED_CLIENT_ORDERED                     _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG5_0_VICSRD1_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SMMU_CLIENT_CONFIG5_0_VICSRD1_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG5_0_VICSRD1_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG5_0_VICSRD1_ORDERED_CLIENT_RANGE                   2:2
#define MC_SMMU_CLIENT_CONFIG5_0_VICSRD1_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG5_0_VICSRD1_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_VICSRD1_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_VICSRD1_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_VICSRD1_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_VICSRD1_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_VICSRD1_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_VICSRD1_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG5_0_VICSRD1_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG5_0_VICSRD1_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG5_0_NVDECSRD1_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SMMU_CLIENT_CONFIG5_0_NVDECSRD1_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG5_0_NVDECSRD1_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG5_0_NVDECSRD1_ORDERED_CLIENT_RANGE                 3:3
#define MC_SMMU_CLIENT_CONFIG5_0_NVDECSRD1_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_SMMU_CLIENT_CONFIG5_0_NVDECSRD1_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_NVDECSRD1_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_NVDECSRD1_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_NVDECSRD1_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_NVDECSRD1_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_NVDECSRD1_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_NVDECSRD1_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_SMMU_CLIENT_CONFIG5_0_NVDECSRD1_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG5_0_NVDECSRD1_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG5_0_MIU0R_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0R_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG5_0_MIU0R_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0R_ORDERED_CLIENT_RANGE                     6:6
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0R_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0R_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0R_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0R_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0R_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0R_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0R_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0R_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0R_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0R_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG5_0_MIU0W_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(7)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0W_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG5_0_MIU0W_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0W_ORDERED_CLIENT_RANGE                     7:7
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0W_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0W_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0W_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0W_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0W_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0W_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0W_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0W_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0W_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU0W_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG5_0_MIU1R_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1R_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG5_0_MIU1R_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1R_ORDERED_CLIENT_RANGE                     8:8
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1R_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1R_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1R_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1R_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1R_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1R_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1R_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1R_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1R_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1R_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG5_0_MIU1W_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(9)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1W_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG5_0_MIU1W_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1W_ORDERED_CLIENT_RANGE                     9:9
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1W_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1W_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1W_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1W_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1W_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1W_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1W_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1W_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1W_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU1W_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG5_0_MIU2R_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(14)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2R_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG5_0_MIU2R_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2R_ORDERED_CLIENT_RANGE                     14:14
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2R_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2R_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2R_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2R_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2R_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2R_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2R_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2R_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2R_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2R_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG5_0_MIU2W_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(15)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2W_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG5_0_MIU2W_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2W_ORDERED_CLIENT_RANGE                     15:15
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2W_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2W_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2W_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2W_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2W_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2W_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2W_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2W_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2W_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU2W_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG5_0_MIU3R_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3R_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG5_0_MIU3R_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3R_ORDERED_CLIENT_RANGE                     16:16
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3R_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3R_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3R_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3R_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3R_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3R_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3R_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3R_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3R_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3R_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG5_0_MIU3W_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3W_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG5_0_MIU3W_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3W_ORDERED_CLIENT_RANGE                     17:17
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3W_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3W_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3W_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3W_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3W_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3W_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3W_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3W_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3W_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU3W_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG5_0_MIU4R_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4R_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG5_0_MIU4R_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4R_ORDERED_CLIENT_RANGE                     18:18
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4R_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4R_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4R_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4R_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4R_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4R_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4R_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4R_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4R_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4R_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG5_0_MIU4W_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4W_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG5_0_MIU4W_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4W_ORDERED_CLIENT_RANGE                     19:19
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4W_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4W_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4W_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4W_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4W_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4W_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4W_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4W_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4W_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG5_0_MIU4W_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG5_0_VIFALR_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALR_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG5_0_VIFALR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALR_ORDERED_CLIENT_RANGE                    28:28
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALR_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALR_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALR_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALR_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALR_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALR_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALR_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALR_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALR_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALR_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG5_0_VIFALW_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALW_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG5_0_VIFALW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALW_ORDERED_CLIENT_RANGE                    29:29
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALW_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALW_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALW_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALW_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALW_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALW_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALW_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALW_ORDERED_CLIENT_INIT_ENUM                        ORDERED
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALW_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG5_0_VIFALW_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG5_0_DLA0RDA_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0RDA_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG5_0_DLA0RDA_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0RDA_ORDERED_CLIENT_RANGE                   30:30
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0RDA_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0RDA_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0RDA_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0RDA_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0RDA_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0RDA_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0RDA_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0RDA_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0RDA_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0RDA_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG5_0_DLA0FALRDB_ORDERED_CLIENT_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0FALRDB_ORDERED_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG5_0_DLA0FALRDB_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0FALRDB_ORDERED_CLIENT_RANGE                        31:31
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0FALRDB_ORDERED_CLIENT_WOFFSET                      0x0
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0FALRDB_ORDERED_CLIENT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0FALRDB_ORDERED_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0FALRDB_ORDERED_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0FALRDB_ORDERED_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0FALRDB_ORDERED_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0FALRDB_ORDERED_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0FALRDB_ORDERED_CLIENT_INIT_ENUM                    UNORDERED
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0FALRDB_ORDERED_CLIENT_UNORDERED                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG5_0_DLA0FALRDB_ORDERED_CLIENT_ORDERED                      _MK_ENUM_CONST(1)


// Register MC_SMMU_CLIENT_CONFIG6_0
#define MC_SMMU_CLIENT_CONFIG6_0                        _MK_ADDR_CONST(0xffc)
#define MC_SMMU_CLIENT_CONFIG6_0_SECURE                         0x0
#define MC_SMMU_CLIENT_CONFIG6_0_DUAL                   0x0
#define MC_SMMU_CLIENT_CONFIG6_0_SCR                    0
#define MC_SMMU_CLIENT_CONFIG6_0_WORD_COUNT                     0x1
#define MC_SMMU_CLIENT_CONFIG6_0_RESET_VAL                      _MK_MASK_CONST(0xaa280000)
#define MC_SMMU_CLIENT_CONFIG6_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_CLIENT_CONFIG6_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_CLIENT_CONFIG6_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0WRA_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0WRA_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_DLA0WRA_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0WRA_ORDERED_CLIENT_RANGE                   0:0
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0WRA_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0WRA_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0WRA_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0WRA_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0WRA_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0WRA_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0WRA_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0WRA_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0WRA_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0WRA_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_DLA0FALWRB_ORDERED_CLIENT_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0FALWRB_ORDERED_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_DLA0FALWRB_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0FALWRB_ORDERED_CLIENT_RANGE                        1:1
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0FALWRB_ORDERED_CLIENT_WOFFSET                      0x0
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0FALWRB_ORDERED_CLIENT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0FALWRB_ORDERED_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0FALWRB_ORDERED_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0FALWRB_ORDERED_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0FALWRB_ORDERED_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0FALWRB_ORDERED_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0FALWRB_ORDERED_CLIENT_INIT_ENUM                    UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0FALWRB_ORDERED_CLIENT_UNORDERED                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA0FALWRB_ORDERED_CLIENT_ORDERED                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_DLA1RDA_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1RDA_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_DLA1RDA_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1RDA_ORDERED_CLIENT_RANGE                   2:2
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1RDA_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1RDA_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1RDA_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1RDA_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1RDA_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1RDA_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1RDA_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1RDA_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1RDA_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1RDA_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALRDB_ORDERED_CLIENT_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALRDB_ORDERED_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_DLA1FALRDB_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALRDB_ORDERED_CLIENT_RANGE                        3:3
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALRDB_ORDERED_CLIENT_WOFFSET                      0x0
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALRDB_ORDERED_CLIENT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALRDB_ORDERED_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALRDB_ORDERED_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALRDB_ORDERED_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALRDB_ORDERED_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALRDB_ORDERED_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALRDB_ORDERED_CLIENT_INIT_ENUM                    UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALRDB_ORDERED_CLIENT_UNORDERED                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALRDB_ORDERED_CLIENT_ORDERED                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_DLA1WRA_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1WRA_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_DLA1WRA_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1WRA_ORDERED_CLIENT_RANGE                   4:4
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1WRA_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1WRA_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1WRA_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1WRA_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1WRA_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1WRA_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1WRA_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1WRA_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1WRA_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1WRA_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALWRB_ORDERED_CLIENT_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALWRB_ORDERED_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_DLA1FALWRB_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALWRB_ORDERED_CLIENT_RANGE                        5:5
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALWRB_ORDERED_CLIENT_WOFFSET                      0x0
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALWRB_ORDERED_CLIENT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALWRB_ORDERED_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALWRB_ORDERED_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALWRB_ORDERED_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALWRB_ORDERED_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALWRB_ORDERED_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALWRB_ORDERED_CLIENT_INIT_ENUM                    UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALWRB_ORDERED_CLIENT_UNORDERED                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_DLA1FALWRB_ORDERED_CLIENT_ORDERED                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDA_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDA_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_PVA0RDA_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDA_ORDERED_CLIENT_RANGE                   6:6
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDA_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDA_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDA_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDA_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDA_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDA_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDA_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDA_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDA_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDA_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDB_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDB_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_PVA0RDB_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDB_ORDERED_CLIENT_RANGE                   7:7
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDB_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDB_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDB_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDB_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDB_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDB_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDB_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDB_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDB_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDB_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDC_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDC_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_PVA0RDC_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDC_ORDERED_CLIENT_RANGE                   8:8
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDC_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDC_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDC_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDC_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDC_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDC_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDC_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDC_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDC_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0RDC_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRA_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRA_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_PVA0WRA_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRA_ORDERED_CLIENT_RANGE                   9:9
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRA_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRA_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRA_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRA_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRA_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRA_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRA_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRA_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRA_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRA_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRB_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRB_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_PVA0WRB_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRB_ORDERED_CLIENT_RANGE                   10:10
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRB_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRB_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRB_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRB_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRB_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRB_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRB_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRB_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRB_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRB_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRC_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRC_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_PVA0WRC_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRC_ORDERED_CLIENT_RANGE                   11:11
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRC_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRC_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRC_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRC_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRC_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRC_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRC_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRC_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRC_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA0WRC_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDA_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDA_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_PVA1RDA_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDA_ORDERED_CLIENT_RANGE                   12:12
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDA_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDA_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDA_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDA_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDA_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDA_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDA_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDA_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDA_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDA_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDB_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDB_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_PVA1RDB_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDB_ORDERED_CLIENT_RANGE                   13:13
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDB_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDB_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDB_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDB_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDB_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDB_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDB_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDB_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDB_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDB_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDC_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDC_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_PVA1RDC_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDC_ORDERED_CLIENT_RANGE                   14:14
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDC_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDC_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDC_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDC_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDC_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDC_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDC_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDC_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDC_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1RDC_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRA_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(15)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRA_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_PVA1WRA_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRA_ORDERED_CLIENT_RANGE                   15:15
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRA_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRA_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRA_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRA_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRA_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRA_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRA_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRA_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRA_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRA_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRB_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRB_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_PVA1WRB_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRB_ORDERED_CLIENT_RANGE                   16:16
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRB_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRB_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRB_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRB_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRB_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRB_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRB_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRB_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRB_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRB_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRC_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRC_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_PVA1WRC_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRC_ORDERED_CLIENT_RANGE                   17:17
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRC_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRC_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRC_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRC_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRC_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRC_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRC_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRC_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRC_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_PVA1WRC_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_RCER_ORDERED_CLIENT_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SMMU_CLIENT_CONFIG6_0_RCER_ORDERED_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_RCER_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_RCER_ORDERED_CLIENT_RANGE                      18:18
#define MC_SMMU_CLIENT_CONFIG6_0_RCER_ORDERED_CLIENT_WOFFSET                    0x0
#define MC_SMMU_CLIENT_CONFIG6_0_RCER_ORDERED_CLIENT_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_RCER_ORDERED_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_RCER_ORDERED_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_RCER_ORDERED_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_RCER_ORDERED_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_RCER_ORDERED_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_RCER_ORDERED_CLIENT_INIT_ENUM                  UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_RCER_ORDERED_CLIENT_UNORDERED                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_RCER_ORDERED_CLIENT_ORDERED                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_RCEW_ORDERED_CLIENT_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEW_ORDERED_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_RCEW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEW_ORDERED_CLIENT_RANGE                      19:19
#define MC_SMMU_CLIENT_CONFIG6_0_RCEW_ORDERED_CLIENT_WOFFSET                    0x0
#define MC_SMMU_CLIENT_CONFIG6_0_RCEW_ORDERED_CLIENT_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEW_ORDERED_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEW_ORDERED_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEW_ORDERED_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEW_ORDERED_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEW_ORDERED_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEW_ORDERED_CLIENT_INIT_ENUM                  ORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_RCEW_ORDERED_CLIENT_UNORDERED                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEW_ORDERED_CLIENT_ORDERED                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAR_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAR_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_RCEDMAR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAR_ORDERED_CLIENT_RANGE                   20:20
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAR_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAR_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAR_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAR_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAR_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAR_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAR_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAR_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAR_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAR_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAW_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAW_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_RCEDMAW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAW_ORDERED_CLIENT_RANGE                   21:21
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAW_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAW_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAW_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAW_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAW_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAW_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAW_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAW_ORDERED_CLIENT_INIT_ENUM                       ORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAW_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_RCEDMAW_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SRD_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SRD_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_NVENC1SRD_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SRD_ORDERED_CLIENT_RANGE                 22:22
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SRD_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SRD_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SRD_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SRD_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SRD_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SRD_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SRD_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SRD_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SRD_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SRD_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SWR_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(23)
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SWR_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_NVENC1SWR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SWR_ORDERED_CLIENT_RANGE                 23:23
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SWR_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SWR_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SWR_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SWR_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SWR_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SWR_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SWR_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SWR_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SWR_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_NVENC1SWR_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0R_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0R_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_PCIE0R_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0R_ORDERED_CLIENT_RANGE                    24:24
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0R_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0R_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0R_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0R_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0R_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0R_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0R_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0R_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0R_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0R_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0W_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0W_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_PCIE0W_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0W_ORDERED_CLIENT_RANGE                    25:25
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0W_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0W_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0W_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0W_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0W_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0W_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0W_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0W_ORDERED_CLIENT_INIT_ENUM                        ORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0W_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE0W_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1R_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1R_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_PCIE1R_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1R_ORDERED_CLIENT_RANGE                    26:26
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1R_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1R_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1R_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1R_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1R_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1R_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1R_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1R_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1R_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1R_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1W_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1W_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_PCIE1W_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1W_ORDERED_CLIENT_RANGE                    27:27
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1W_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1W_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1W_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1W_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1W_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1W_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1W_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1W_ORDERED_CLIENT_INIT_ENUM                        ORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1W_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE1W_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AR_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AR_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_PCIE2AR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AR_ORDERED_CLIENT_RANGE                   28:28
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AR_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AR_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AR_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AR_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AR_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AR_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AR_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AR_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AR_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AR_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AW_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AW_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_PCIE2AW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AW_ORDERED_CLIENT_RANGE                   29:29
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AW_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AW_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AW_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AW_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AW_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AW_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AW_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AW_ORDERED_CLIENT_INIT_ENUM                       ORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AW_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE2AW_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3R_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3R_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_PCIE3R_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3R_ORDERED_CLIENT_RANGE                    30:30
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3R_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3R_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3R_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3R_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3R_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3R_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3R_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3R_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3R_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3R_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3W_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3W_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG6_0_PCIE3W_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3W_ORDERED_CLIENT_RANGE                    31:31
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3W_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3W_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3W_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3W_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3W_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3W_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3W_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3W_ORDERED_CLIENT_INIT_ENUM                        ORDERED
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3W_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG6_0_PCIE3W_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)


// Register MC_SMMU_CLIENT_CONFIG7_0
#define MC_SMMU_CLIENT_CONFIG7_0                        _MK_ADDR_CONST(0x1f00)
#define MC_SMMU_CLIENT_CONFIG7_0_SECURE                         0x0
#define MC_SMMU_CLIENT_CONFIG7_0_DUAL                   0x0
#define MC_SMMU_CLIENT_CONFIG7_0_SCR                    0
#define MC_SMMU_CLIENT_CONFIG7_0_WORD_COUNT                     0x1
#define MC_SMMU_CLIENT_CONFIG7_0_RESET_VAL                      _MK_MASK_CONST(0xa)
#define MC_SMMU_CLIENT_CONFIG7_0_RESET_MASK                     _MK_MASK_CONST(0xfe0ffe1f)
#define MC_SMMU_CLIENT_CONFIG7_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_READ_MASK                      _MK_MASK_CONST(0xfe0ffe1f)
#define MC_SMMU_CLIENT_CONFIG7_0_WRITE_MASK                     _MK_MASK_CONST(0xfe0ffe1f)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4R_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4R_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_PCIE4R_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4R_ORDERED_CLIENT_RANGE                    0:0
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4R_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4R_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4R_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4R_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4R_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4R_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4R_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4R_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4R_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4R_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4W_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4W_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_PCIE4W_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4W_ORDERED_CLIENT_RANGE                    1:1
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4W_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4W_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4W_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4W_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4W_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4W_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4W_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4W_ORDERED_CLIENT_INIT_ENUM                        ORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4W_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE4W_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_PCIE5R_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R_ORDERED_CLIENT_RANGE                    2:2
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5W_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5W_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_PCIE5W_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5W_ORDERED_CLIENT_RANGE                    3:3
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5W_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5W_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5W_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5W_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5W_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5W_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5W_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5W_ORDERED_CLIENT_INIT_ENUM                        ORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5W_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5W_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_ISPFALW_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_SMMU_CLIENT_CONFIG7_0_ISPFALW_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_ISPFALW_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_ISPFALW_ORDERED_CLIENT_RANGE                   4:4
#define MC_SMMU_CLIENT_CONFIG7_0_ISPFALW_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG7_0_ISPFALW_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_ISPFALW_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_ISPFALW_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_ISPFALW_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_ISPFALW_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_ISPFALW_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_ISPFALW_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_ISPFALW_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_ISPFALW_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_DLA0RDA1_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SMMU_CLIENT_CONFIG7_0_DLA0RDA1_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_DLA0RDA1_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_DLA0RDA1_ORDERED_CLIENT_RANGE                  9:9
#define MC_SMMU_CLIENT_CONFIG7_0_DLA0RDA1_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_SMMU_CLIENT_CONFIG7_0_DLA0RDA1_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_DLA0RDA1_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_DLA0RDA1_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_DLA0RDA1_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_DLA0RDA1_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_DLA0RDA1_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_DLA0RDA1_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_DLA0RDA1_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_DLA0RDA1_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_DLA1RDA1_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SMMU_CLIENT_CONFIG7_0_DLA1RDA1_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_DLA1RDA1_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_DLA1RDA1_ORDERED_CLIENT_RANGE                  10:10
#define MC_SMMU_CLIENT_CONFIG7_0_DLA1RDA1_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_SMMU_CLIENT_CONFIG7_0_DLA1RDA1_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_DLA1RDA1_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_DLA1RDA1_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_DLA1RDA1_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_DLA1RDA1_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_DLA1RDA1_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_DLA1RDA1_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_DLA1RDA1_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_DLA1RDA1_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDA1_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDA1_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_PVA0RDA1_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDA1_ORDERED_CLIENT_RANGE                  11:11
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDA1_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDA1_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDA1_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDA1_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDA1_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDA1_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDA1_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDA1_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDA1_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDA1_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDB1_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDB1_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_PVA0RDB1_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDB1_ORDERED_CLIENT_RANGE                  12:12
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDB1_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDB1_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDB1_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDB1_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDB1_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDB1_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDB1_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDB1_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDB1_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA0RDB1_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDA1_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDA1_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_PVA1RDA1_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDA1_ORDERED_CLIENT_RANGE                  13:13
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDA1_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDA1_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDA1_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDA1_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDA1_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDA1_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDA1_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDA1_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDA1_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDA1_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDB1_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDB1_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_PVA1RDB1_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDB1_ORDERED_CLIENT_RANGE                  14:14
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDB1_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDB1_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDB1_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDB1_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDB1_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDB1_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDB1_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDB1_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDB1_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_PVA1RDB1_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R1_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(15)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R1_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_PCIE5R1_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R1_ORDERED_CLIENT_RANGE                   15:15
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R1_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R1_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R1_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R1_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R1_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R1_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R1_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R1_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R1_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE5R1_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_NVENCSRD1_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_SMMU_CLIENT_CONFIG7_0_NVENCSRD1_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_NVENCSRD1_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_NVENCSRD1_ORDERED_CLIENT_RANGE                 16:16
#define MC_SMMU_CLIENT_CONFIG7_0_NVENCSRD1_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_SMMU_CLIENT_CONFIG7_0_NVENCSRD1_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVENCSRD1_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_NVENCSRD1_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVENCSRD1_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVENCSRD1_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVENCSRD1_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_NVENCSRD1_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_NVENCSRD1_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVENCSRD1_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_NVENC1SRD1_ORDERED_CLIENT_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_SMMU_CLIENT_CONFIG7_0_NVENC1SRD1_ORDERED_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_NVENC1SRD1_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_NVENC1SRD1_ORDERED_CLIENT_RANGE                        17:17
#define MC_SMMU_CLIENT_CONFIG7_0_NVENC1SRD1_ORDERED_CLIENT_WOFFSET                      0x0
#define MC_SMMU_CLIENT_CONFIG7_0_NVENC1SRD1_ORDERED_CLIENT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVENC1SRD1_ORDERED_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_NVENC1SRD1_ORDERED_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVENC1SRD1_ORDERED_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVENC1SRD1_ORDERED_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVENC1SRD1_ORDERED_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_NVENC1SRD1_ORDERED_CLIENT_INIT_ENUM                    UNORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_NVENC1SRD1_ORDERED_CLIENT_UNORDERED                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVENC1SRD1_ORDERED_CLIENT_ORDERED                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_ISPRA1_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SMMU_CLIENT_CONFIG7_0_ISPRA1_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_ISPRA1_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_ISPRA1_ORDERED_CLIENT_RANGE                    18:18
#define MC_SMMU_CLIENT_CONFIG7_0_ISPRA1_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_SMMU_CLIENT_CONFIG7_0_ISPRA1_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_ISPRA1_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_ISPRA1_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_ISPRA1_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_ISPRA1_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_ISPRA1_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_ISPRA1_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_ISPRA1_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_ISPRA1_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_PCIE0R1_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(19)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE0R1_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_PCIE0R1_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE0R1_ORDERED_CLIENT_RANGE                   19:19
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE0R1_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE0R1_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE0R1_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE0R1_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE0R1_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE0R1_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE0R1_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE0R1_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE0R1_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_PCIE0R1_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD_ORDERED_CLIENT_RANGE                 25:25
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD1_ORDERED_CLIENT_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD1_ORDERED_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD1_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD1_ORDERED_CLIENT_RANGE                        26:26
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD1_ORDERED_CLIENT_WOFFSET                      0x0
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD1_ORDERED_CLIENT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD1_ORDERED_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD1_ORDERED_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD1_ORDERED_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD1_ORDERED_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD1_ORDERED_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD1_ORDERED_CLIENT_INIT_ENUM                    UNORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD1_ORDERED_CLIENT_UNORDERED                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SRD1_ORDERED_CLIENT_ORDERED                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SWR_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SWR_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SWR_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SWR_ORDERED_CLIENT_RANGE                 27:27
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SWR_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SWR_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SWR_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SWR_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SWR_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SWR_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SWR_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SWR_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SWR_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_NVDEC1SWR_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_MIU5R_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5R_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_MIU5R_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5R_ORDERED_CLIENT_RANGE                     28:28
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5R_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5R_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5R_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5R_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5R_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5R_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5R_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5R_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5R_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5R_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_MIU5W_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5W_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_MIU5W_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5W_ORDERED_CLIENT_RANGE                     29:29
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5W_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5W_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5W_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5W_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5W_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5W_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5W_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5W_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5W_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU5W_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_MIU6R_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6R_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_MIU6R_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6R_ORDERED_CLIENT_RANGE                     30:30
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6R_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6R_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6R_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6R_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6R_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6R_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6R_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6R_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6R_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6R_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_CONFIG7_0_MIU6W_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6W_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_CONFIG7_0_MIU6W_ORDERED_CLIENT_SHIFT)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6W_ORDERED_CLIENT_RANGE                     31:31
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6W_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6W_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6W_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6W_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6W_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6W_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6W_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6W_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6W_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_CONFIG7_0_MIU6W_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)


// Register MC_PCFIFO_CLIENT_CONFIG0_0
#define MC_PCFIFO_CLIENT_CONFIG0_0                      _MK_ADDR_CONST(0xdd0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_SECURE                       0x0
#define MC_PCFIFO_CLIENT_CONFIG0_0_DUAL                         0x0
#define MC_PCFIFO_CLIENT_CONFIG0_0_SCR                  0
#define MC_PCFIFO_CLIENT_CONFIG0_0_WORD_COUNT                   0x1
#define MC_PCFIFO_CLIENT_CONFIG0_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_RESET_MASK                   _MK_MASK_CONST(0x90600007)
#define MC_PCFIFO_CLIENT_CONFIG0_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_READ_MASK                    _MK_MASK_CONST(0x90600007)
#define MC_PCFIFO_CLIENT_CONFIG0_0_WRITE_MASK                   _MK_MASK_CONST(0x90600007)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_PTCR_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_PTCR_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_PTCR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_PTCR_ORDERED_CLIENT_RANGE                     0:0
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_PTCR_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_PTCR_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_PTCR_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_PTCR_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_PTCR_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_PTCR_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_PTCR_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_PTCR_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_PTCR_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_PTCR_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7R_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7R_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7R_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7R_ORDERED_CLIENT_RANGE                    1:1
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7R_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7R_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7R_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7R_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7R_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7R_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7R_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7R_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7R_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7R_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7W_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7W_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7W_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7W_ORDERED_CLIENT_RANGE                    2:2
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7W_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7W_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7W_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7W_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7W_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7W_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7W_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7W_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7W_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_MIU7W_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HDAR_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HDAR_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HDAR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HDAR_ORDERED_CLIENT_RANGE                     21:21
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HDAR_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HDAR_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HDAR_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HDAR_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HDAR_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HDAR_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HDAR_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HDAR_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HDAR_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HDAR_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HOST1XDMAR_ORDERED_CLIENT_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HOST1XDMAR_ORDERED_CLIENT_FIELD                       _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HOST1XDMAR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HOST1XDMAR_ORDERED_CLIENT_RANGE                       22:22
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HOST1XDMAR_ORDERED_CLIENT_WOFFSET                     0x0
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HOST1XDMAR_ORDERED_CLIENT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HOST1XDMAR_ORDERED_CLIENT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HOST1XDMAR_ORDERED_CLIENT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HOST1XDMAR_ORDERED_CLIENT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HOST1XDMAR_ORDERED_CLIENT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HOST1XDMAR_ORDERED_CLIENT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HOST1XDMAR_ORDERED_CLIENT_INIT_ENUM                   UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HOST1XDMAR_ORDERED_CLIENT_UNORDERED                   _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_HOST1XDMAR_ORDERED_CLIENT_ORDERED                     _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_NVENCSRD_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_NVENCSRD_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_NVENCSRD_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_NVENCSRD_ORDERED_CLIENT_RANGE                 28:28
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_NVENCSRD_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_NVENCSRD_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_NVENCSRD_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_NVENCSRD_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_NVENCSRD_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_NVENCSRD_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_NVENCSRD_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_NVENCSRD_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_NVENCSRD_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_NVENCSRD_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_SATAR_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_SATAR_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_SATAR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_SATAR_ORDERED_CLIENT_RANGE                    31:31
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_SATAR_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_SATAR_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_SATAR_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_SATAR_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_SATAR_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_SATAR_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_SATAR_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_SATAR_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_SATAR_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG0_0_PCFIFO_SATAR_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)


// Register MC_PCFIFO_CLIENT_CONFIG1_0
#define MC_PCFIFO_CLIENT_CONFIG1_0                      _MK_ADDR_CONST(0xdd4)
#define MC_PCFIFO_CLIENT_CONFIG1_0_SECURE                       0x0
#define MC_PCFIFO_CLIENT_CONFIG1_0_DUAL                         0x0
#define MC_PCFIFO_CLIENT_CONFIG1_0_SCR                  0
#define MC_PCFIFO_CLIENT_CONFIG1_0_WORD_COUNT                   0x1
#define MC_PCFIFO_CLIENT_CONFIG1_0_RESET_VAL                    _MK_MASK_CONST(0x20200000)
#define MC_PCFIFO_CLIENT_CONFIG1_0_RESET_MASK                   _MK_MASK_CONST(0x22200880)
#define MC_PCFIFO_CLIENT_CONFIG1_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_READ_MASK                    _MK_MASK_CONST(0x22200880)
#define MC_PCFIFO_CLIENT_CONFIG1_0_WRITE_MASK                   _MK_MASK_CONST(0x22200880)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCORER_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCORER_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCORER_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCORER_ORDERED_CLIENT_RANGE                  7:7
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCORER_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCORER_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCORER_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCORER_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCORER_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCORER_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCORER_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCORER_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCORER_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCORER_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_NVENCSWR_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_NVENCSWR_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_NVENCSWR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_NVENCSWR_ORDERED_CLIENT_RANGE                 11:11
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_NVENCSWR_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_NVENCSWR_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_NVENCSWR_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_NVENCSWR_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_NVENCSWR_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_NVENCSWR_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_NVENCSWR_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_NVENCSWR_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_NVENCSWR_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_NVENCSWR_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_HDAW_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_HDAW_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_HDAW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_HDAW_ORDERED_CLIENT_RANGE                     21:21
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_HDAW_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_HDAW_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_HDAW_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_HDAW_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_HDAW_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_HDAW_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_HDAW_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_HDAW_ORDERED_CLIENT_INIT_ENUM                 ORDERED
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_HDAW_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_HDAW_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCOREW_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCOREW_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCOREW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCOREW_ORDERED_CLIENT_RANGE                  25:25
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCOREW_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCOREW_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCOREW_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCOREW_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCOREW_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCOREW_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCOREW_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCOREW_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCOREW_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_MPCOREW_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_SATAW_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_SATAW_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_SATAW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_SATAW_ORDERED_CLIENT_RANGE                    29:29
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_SATAW_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_SATAW_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_SATAW_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_SATAW_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_SATAW_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_SATAW_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_SATAW_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_SATAW_ORDERED_CLIENT_INIT_ENUM                        ORDERED
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_SATAW_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG1_0_PCFIFO_SATAW_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)


// Register MC_PCFIFO_CLIENT_CONFIG2_0
#define MC_PCFIFO_CLIENT_CONFIG2_0                      _MK_ADDR_CONST(0xdd8)
#define MC_PCFIFO_CLIENT_CONFIG2_0_SECURE                       0x0
#define MC_PCFIFO_CLIENT_CONFIG2_0_DUAL                         0x0
#define MC_PCFIFO_CLIENT_CONFIG2_0_SCR                  0
#define MC_PCFIFO_CLIENT_CONFIG2_0_WORD_COUNT                   0x1
#define MC_PCFIFO_CLIENT_CONFIG2_0_RESET_VAL                    _MK_MASK_CONST(0x202800)
#define MC_PCFIFO_CLIENT_CONFIG2_0_RESET_MASK                   _MK_MASK_CONST(0x303cf0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x200800)
#define MC_PCFIFO_CLIENT_CONFIG2_0_READ_MASK                    _MK_MASK_CONST(0x303cf0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_WRITE_MASK                   _MK_MASK_CONST(0x303cf0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPRA_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPRA_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPRA_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPRA_ORDERED_CLIENT_RANGE                    4:4
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPRA_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPRA_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPRA_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPRA_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPRA_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPRA_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPRA_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPRA_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPRA_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPRA_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPFALR_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPFALR_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPFALR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPFALR_ORDERED_CLIENT_RANGE                  5:5
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPFALR_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPFALR_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPFALR_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPFALR_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPFALR_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPFALR_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPFALR_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPFALR_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPFALR_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPFALR_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWA_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWA_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWA_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWA_ORDERED_CLIENT_RANGE                    6:6
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWA_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWA_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWA_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWA_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWA_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWA_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWA_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWA_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWA_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWA_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWB_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWB_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWB_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWB_ORDERED_CLIENT_RANGE                    7:7
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWB_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWB_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWB_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWB_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWB_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWB_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWB_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWB_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWB_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_ISPWB_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTR_ORDERED_CLIENT_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTR_ORDERED_CLIENT_FIELD                       _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTR_ORDERED_CLIENT_RANGE                       10:10
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTR_ORDERED_CLIENT_WOFFSET                     0x0
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTR_ORDERED_CLIENT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTR_ORDERED_CLIENT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTR_ORDERED_CLIENT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTR_ORDERED_CLIENT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTR_ORDERED_CLIENT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTR_ORDERED_CLIENT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTR_ORDERED_CLIENT_INIT_ENUM                   UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTR_ORDERED_CLIENT_UNORDERED                   _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTR_ORDERED_CLIENT_ORDERED                     _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTW_ORDERED_CLIENT_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTW_ORDERED_CLIENT_FIELD                       _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTW_ORDERED_CLIENT_RANGE                       11:11
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTW_ORDERED_CLIENT_WOFFSET                     0x0
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTW_ORDERED_CLIENT_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTW_ORDERED_CLIENT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTW_ORDERED_CLIENT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTW_ORDERED_CLIENT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTW_ORDERED_CLIENT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTW_ORDERED_CLIENT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTW_ORDERED_CLIENT_INIT_ENUM                   ORDERED
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTW_ORDERED_CLIENT_UNORDERED                   _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTW_ORDERED_CLIENT_ORDERED                     _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_HOSTW_ORDERED_CLIENT__PROD                       _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVR_ORDERED_CLIENT_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVR_ORDERED_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVR_ORDERED_CLIENT_RANGE                        12:12
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVR_ORDERED_CLIENT_WOFFSET                      0x0
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVR_ORDERED_CLIENT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVR_ORDERED_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVR_ORDERED_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVR_ORDERED_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVR_ORDERED_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVR_ORDERED_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVR_ORDERED_CLIENT_INIT_ENUM                    UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVR_ORDERED_CLIENT_UNORDERED                    _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVR_ORDERED_CLIENT_ORDERED                      _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVW_ORDERED_CLIENT_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVW_ORDERED_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVW_ORDERED_CLIENT_RANGE                        13:13
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVW_ORDERED_CLIENT_WOFFSET                      0x0
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVW_ORDERED_CLIENT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVW_ORDERED_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVW_ORDERED_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVW_ORDERED_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVW_ORDERED_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVW_ORDERED_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVW_ORDERED_CLIENT_INIT_ENUM                    ORDERED
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVW_ORDERED_CLIENT_UNORDERED                    _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_XUSB_DEVW_ORDERED_CLIENT_ORDERED                      _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSRD_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSRD_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSRD_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSRD_ORDERED_CLIENT_RANGE                  20:20
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSRD_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSRD_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSRD_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSRD_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSRD_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSRD_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSRD_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSRD_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSRD_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSRD_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSWR_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSWR_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSWR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSWR_ORDERED_CLIENT_RANGE                  21:21
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSWR_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSWR_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSWR_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSWR_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSWR_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSWR_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSWR_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSWR_ORDERED_CLIENT_INIT_ENUM                      ORDERED
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSWR_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSWR_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG2_0_PCFIFO_TSECSWR_ORDERED_CLIENT__PROD                  _MK_MASK_CONST(0x0)


// Register MC_PCFIFO_CLIENT_CONFIG3_0
#define MC_PCFIFO_CLIENT_CONFIG3_0                      _MK_ADDR_CONST(0xddc)
#define MC_PCFIFO_CLIENT_CONFIG3_0_SECURE                       0x0
#define MC_PCFIFO_CLIENT_CONFIG3_0_DUAL                         0x0
#define MC_PCFIFO_CLIENT_CONFIG3_0_SCR                  0
#define MC_PCFIFO_CLIENT_CONFIG3_0_WORD_COUNT                   0x1
#define MC_PCFIFO_CLIENT_CONFIG3_0_RESET_VAL                    _MK_MASK_CONST(0x80020d0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_RESET_MASK                   _MK_MASK_CONST(0xcf0430dd)
#define MC_PCFIFO_CLIENT_CONFIG3_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x80020d0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_READ_MASK                    _MK_MASK_CONST(0xcf0430dd)
#define MC_PCFIFO_CLIENT_CONFIG3_0_WRITE_MASK                   _MK_MASK_CONST(0xcf0430dd)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRA_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRA_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRA_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRA_ORDERED_CLIENT_RANGE                  0:0
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRA_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRA_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRA_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRA_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRA_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRA_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRA_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRA_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRA_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRA_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCR_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCR_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCR_ORDERED_CLIENT_RANGE                   2:2
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCR_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCR_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCR_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCR_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCR_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCR_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCR_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCR_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCR_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCR_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRAB_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRAB_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRAB_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRAB_ORDERED_CLIENT_RANGE                 3:3
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRAB_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRAB_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRAB_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRAB_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRAB_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRAB_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRAB_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRAB_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRAB_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCRAB_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWA_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWA_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWA_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWA_ORDERED_CLIENT_RANGE                  4:4
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWA_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWA_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWA_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWA_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWA_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWA_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWA_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWA_ORDERED_CLIENT_INIT_ENUM                      ORDERED
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWA_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWA_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWA_ORDERED_CLIENT__PROD                  _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCW_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCW_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCW_ORDERED_CLIENT_RANGE                   6:6
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCW_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCW_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCW_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCW_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCW_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCW_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCW_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCW_ORDERED_CLIENT_INIT_ENUM                       ORDERED
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCW_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCW_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCW_ORDERED_CLIENT__PROD                   _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWAB_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWAB_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWAB_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWAB_ORDERED_CLIENT_RANGE                 7:7
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWAB_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWAB_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWAB_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWAB_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWAB_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWAB_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWAB_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWAB_ORDERED_CLIENT_INIT_ENUM                     ORDERED
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWAB_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWAB_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_SDMMCWAB_ORDERED_CLIENT__PROD                 _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSRD_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSRD_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSRD_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSRD_ORDERED_CLIENT_RANGE                   12:12
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSRD_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSRD_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSRD_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSRD_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSRD_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSRD_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSRD_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSRD_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSRD_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSRD_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSWR_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSWR_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSWR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSWR_ORDERED_CLIENT_RANGE                   13:13
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSWR_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSWR_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSWR_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSWR_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSWR_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSWR_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSWR_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSWR_ORDERED_CLIENT_INIT_ENUM                       ORDERED
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSWR_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSWR_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VICSWR_ORDERED_CLIENT__PROD                   _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VIW_ORDERED_CLIENT_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VIW_ORDERED_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VIW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VIW_ORDERED_CLIENT_RANGE                      18:18
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VIW_ORDERED_CLIENT_WOFFSET                    0x0
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VIW_ORDERED_CLIENT_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VIW_ORDERED_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VIW_ORDERED_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VIW_ORDERED_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VIW_ORDERED_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VIW_ORDERED_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VIW_ORDERED_CLIENT_INIT_ENUM                  UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VIW_ORDERED_CLIENT_UNORDERED                  _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_VIW_ORDERED_CLIENT_ORDERED                    _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSRD_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSRD_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSRD_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSRD_ORDERED_CLIENT_RANGE                 24:24
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSRD_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSRD_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSRD_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSRD_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSRD_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSRD_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSRD_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSRD_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSRD_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSRD_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSWR_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSWR_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSWR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSWR_ORDERED_CLIENT_RANGE                 25:25
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSWR_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSWR_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSWR_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSWR_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSWR_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSWR_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSWR_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSWR_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSWR_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVDECSWR_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APER_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APER_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APER_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APER_ORDERED_CLIENT_RANGE                     26:26
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APER_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APER_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APER_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APER_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APER_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APER_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APER_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APER_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APER_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APER_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APEW_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APEW_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APEW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APEW_ORDERED_CLIENT_RANGE                     27:27
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APEW_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APEW_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APEW_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APEW_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APEW_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APEW_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APEW_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APEW_ORDERED_CLIENT_INIT_ENUM                 ORDERED
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APEW_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APEW_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_APEW_ORDERED_CLIENT__PROD                     _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSRD_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSRD_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSRD_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSRD_ORDERED_CLIENT_RANGE                 30:30
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSRD_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSRD_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSRD_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSRD_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSRD_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSRD_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSRD_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSRD_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSRD_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSRD_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSWR_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSWR_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSWR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSWR_ORDERED_CLIENT_RANGE                 31:31
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSWR_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSWR_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSWR_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSWR_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSWR_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSWR_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSWR_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSWR_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSWR_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG3_0_PCFIFO_NVJPGSWR_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)


// Register MC_PCFIFO_CLIENT_CONFIG4_0
#define MC_PCFIFO_CLIENT_CONFIG4_0                      _MK_ADDR_CONST(0xde0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_SECURE                       0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_DUAL                         0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_SCR                  0
#define MC_PCFIFO_CLIENT_CONFIG4_0_WORD_COUNT                   0x1
#define MC_PCFIFO_CLIENT_CONFIG4_0_RESET_VAL                    _MK_MASK_CONST(0x5552a0a2)
#define MC_PCFIFO_CLIENT_CONFIG4_0_RESET_MASK                   _MK_MASK_CONST(0xfffff0ff)
#define MC_PCFIFO_CLIENT_CONFIG4_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x5552a0a2)
#define MC_PCFIFO_CLIENT_CONFIG4_0_READ_MASK                    _MK_MASK_CONST(0xfffff0ff)
#define MC_PCFIFO_CLIENT_CONFIG4_0_WRITE_MASK                   _MK_MASK_CONST(0xfffff0ff)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESRD_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESRD_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESRD_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESRD_ORDERED_CLIENT_RANGE                    0:0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESRD_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESRD_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESRD_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESRD_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESRD_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESRD_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESRD_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESRD_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESRD_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESRD_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESWR_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESWR_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESWR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESWR_ORDERED_CLIENT_RANGE                    1:1
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESWR_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESWR_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESWR_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESWR_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESWR_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESWR_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESWR_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESWR_ORDERED_CLIENT_INIT_ENUM                        ORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESWR_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESWR_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SESWR_ORDERED_CLIENT__PROD                    _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPR_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPR_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPR_ORDERED_CLIENT_RANGE                   2:2
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPR_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPR_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPR_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPR_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPR_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPR_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPR_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPR_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPR_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPR_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPW_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPW_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPW_ORDERED_CLIENT_RANGE                   3:3
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPW_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPW_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPW_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPW_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPW_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPW_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPW_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPW_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPW_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXIAPW_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRR_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRR_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRR_ORDERED_CLIENT_RANGE                     4:4
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRR_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRR_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRR_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRR_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRR_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRR_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRR_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRR_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRR_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRR_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRW_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRW_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRW_ORDERED_CLIENT_RANGE                     5:5
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRW_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRW_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRW_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRW_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRW_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRW_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRW_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRW_ORDERED_CLIENT_INIT_ENUM                 ORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRW_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRW_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_ETRW_ORDERED_CLIENT__PROD                     _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSRDB_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSRDB_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSRDB_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSRDB_ORDERED_CLIENT_RANGE                 6:6
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSRDB_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSRDB_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSRDB_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSRDB_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSRDB_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSRDB_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSRDB_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSRDB_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSRDB_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSRDB_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSWRB_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSWRB_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSWRB_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSWRB_ORDERED_CLIENT_RANGE                 7:7
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSWRB_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSWRB_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSWRB_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSWRB_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSWRB_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSWRB_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSWRB_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSWRB_ORDERED_CLIENT_INIT_ENUM                     ORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSWRB_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSWRB_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_TSECSWRB_ORDERED_CLIENT__PROD                 _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISR_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISR_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISR_ORDERED_CLIENT_RANGE                    12:12
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISR_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISR_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISR_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISR_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISR_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISR_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISR_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISR_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISR_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISR_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISW_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISW_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISW_ORDERED_CLIENT_RANGE                    13:13
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISW_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISW_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISW_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISW_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISW_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISW_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISW_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISW_ORDERED_CLIENT_INIT_ENUM                        ORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISW_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISW_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AXISW_ORDERED_CLIENT__PROD                    _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSR_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSR_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSR_ORDERED_CLIENT_RANGE                    14:14
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSR_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSR_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSR_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSR_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSR_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSR_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSR_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSR_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSR_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSR_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSW_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSW_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSW_ORDERED_CLIENT_RANGE                    15:15
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSW_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSW_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSW_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSW_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSW_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSW_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSW_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSW_ORDERED_CLIENT_INIT_ENUM                        ORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSW_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSW_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_EQOSW_ORDERED_CLIENT__PROD                    _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCR_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCR_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCR_ORDERED_CLIENT_RANGE                   16:16
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCR_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCR_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCR_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCR_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCR_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCR_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCR_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCR_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCR_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCR_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCW_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCW_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCW_ORDERED_CLIENT_RANGE                   17:17
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCW_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCW_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCW_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCW_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCW_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCW_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCW_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCW_ORDERED_CLIENT_INIT_ENUM                       ORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCW_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCW_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_UFSHCW_ORDERED_CLIENT__PROD                   _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_NVDISPLAYR_ORDERED_CLIENT_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_NVDISPLAYR_ORDERED_CLIENT_FIELD                       _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_NVDISPLAYR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_NVDISPLAYR_ORDERED_CLIENT_RANGE                       18:18
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_NVDISPLAYR_ORDERED_CLIENT_WOFFSET                     0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_NVDISPLAYR_ORDERED_CLIENT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_NVDISPLAYR_ORDERED_CLIENT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_NVDISPLAYR_ORDERED_CLIENT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_NVDISPLAYR_ORDERED_CLIENT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_NVDISPLAYR_ORDERED_CLIENT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_NVDISPLAYR_ORDERED_CLIENT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_NVDISPLAYR_ORDERED_CLIENT_INIT_ENUM                   UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_NVDISPLAYR_ORDERED_CLIENT_UNORDERED                   _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_NVDISPLAYR_ORDERED_CLIENT_ORDERED                     _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPR_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPR_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPR_ORDERED_CLIENT_RANGE                    19:19
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPR_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPR_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPR_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPR_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPR_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPR_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPR_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPR_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPR_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPR_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPW_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPW_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPW_ORDERED_CLIENT_RANGE                    20:20
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPW_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPW_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPW_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPW_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPW_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPW_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPW_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPW_ORDERED_CLIENT_INIT_ENUM                        ORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPW_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPW_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPW_ORDERED_CLIENT__PROD                    _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAR_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAR_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAR_ORDERED_CLIENT_RANGE                 21:21
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAR_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAR_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAR_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAR_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAR_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAR_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAR_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAR_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAR_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAR_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAW_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAW_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAW_ORDERED_CLIENT_RANGE                 22:22
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAW_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAW_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAW_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAW_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAW_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAW_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAW_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAW_ORDERED_CLIENT_INIT_ENUM                     ORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAW_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAW_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_BPMPDMAW_ORDERED_CLIENT__PROD                 _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONR_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONR_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONR_ORDERED_CLIENT_RANGE                     23:23
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONR_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONR_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONR_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONR_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONR_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONR_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONR_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONR_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONR_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONR_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONW_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONW_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONW_ORDERED_CLIENT_RANGE                     24:24
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONW_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONW_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONW_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONW_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONW_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONW_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONW_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONW_ORDERED_CLIENT_INIT_ENUM                 ORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONW_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONW_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONW_ORDERED_CLIENT__PROD                     _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAR_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAR_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAR_ORDERED_CLIENT_RANGE                  25:25
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAR_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAR_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAR_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAR_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAR_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAR_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAR_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAR_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAR_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAR_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAW_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAW_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAW_ORDERED_CLIENT_RANGE                  26:26
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAW_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAW_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAW_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAW_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAW_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAW_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAW_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAW_ORDERED_CLIENT_INIT_ENUM                      ORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAW_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAW_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_AONDMAW_ORDERED_CLIENT__PROD                  _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCER_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCER_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCER_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCER_ORDERED_CLIENT_RANGE                     27:27
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCER_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCER_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCER_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCER_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCER_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCER_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCER_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCER_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCER_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCER_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEW_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEW_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEW_ORDERED_CLIENT_RANGE                     28:28
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEW_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEW_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEW_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEW_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEW_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEW_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEW_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEW_ORDERED_CLIENT_INIT_ENUM                 ORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEW_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEW_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEW_ORDERED_CLIENT__PROD                     _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAR_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAR_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAR_ORDERED_CLIENT_RANGE                  29:29
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAR_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAR_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAR_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAR_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAR_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAR_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAR_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAR_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAR_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAR_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAW_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAW_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAW_ORDERED_CLIENT_RANGE                  30:30
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAW_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAW_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAW_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAW_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAW_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAW_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAW_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAW_ORDERED_CLIENT_INIT_ENUM                      ORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAW_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAW_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_SCEDMAW_ORDERED_CLIENT__PROD                  _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_APEDMAR_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_APEDMAR_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_APEDMAR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_APEDMAR_ORDERED_CLIENT_RANGE                  31:31
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_APEDMAR_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_APEDMAR_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_APEDMAR_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_APEDMAR_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_APEDMAR_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_APEDMAR_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_APEDMAR_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_APEDMAR_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_APEDMAR_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG4_0_PCFIFO_APEDMAR_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)


// Register MC_PCFIFO_CLIENT_CONFIG5_0
#define MC_PCFIFO_CLIENT_CONFIG5_0                      _MK_ADDR_CONST(0xbf4)
#define MC_PCFIFO_CLIENT_CONFIG5_0_SECURE                       0x0
#define MC_PCFIFO_CLIENT_CONFIG5_0_DUAL                         0x0
#define MC_PCFIFO_CLIENT_CONFIG5_0_SCR                  0
#define MC_PCFIFO_CLIENT_CONFIG5_0_WORD_COUNT                   0x1
#define MC_PCFIFO_CLIENT_CONFIG5_0_RESET_VAL                    _MK_MASK_CONST(0x20000001)
#define MC_PCFIFO_CLIENT_CONFIG5_0_RESET_MASK                   _MK_MASK_CONST(0xf00fc3cf)
#define MC_PCFIFO_CLIENT_CONFIG5_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x20000001)
#define MC_PCFIFO_CLIENT_CONFIG5_0_READ_MASK                    _MK_MASK_CONST(0xf00fc3cf)
#define MC_PCFIFO_CLIENT_CONFIG5_0_WRITE_MASK                   _MK_MASK_CONST(0xf00fc3cf)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_APEDMAW_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_APEDMAW_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_APEDMAW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_APEDMAW_ORDERED_CLIENT_RANGE                  0:0
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_APEDMAW_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_APEDMAW_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_APEDMAW_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_APEDMAW_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_APEDMAW_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_APEDMAW_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_APEDMAW_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_APEDMAW_ORDERED_CLIENT_INIT_ENUM                      ORDERED
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_APEDMAW_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_APEDMAW_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_APEDMAW_ORDERED_CLIENT__PROD                  _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDISPLAYR1_ORDERED_CLIENT_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDISPLAYR1_ORDERED_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDISPLAYR1_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDISPLAYR1_ORDERED_CLIENT_RANGE                      1:1
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDISPLAYR1_ORDERED_CLIENT_WOFFSET                    0x0
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDISPLAYR1_ORDERED_CLIENT_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDISPLAYR1_ORDERED_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDISPLAYR1_ORDERED_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDISPLAYR1_ORDERED_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDISPLAYR1_ORDERED_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDISPLAYR1_ORDERED_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDISPLAYR1_ORDERED_CLIENT_INIT_ENUM                  UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDISPLAYR1_ORDERED_CLIENT_UNORDERED                  _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDISPLAYR1_ORDERED_CLIENT_ORDERED                    _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VICSRD1_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VICSRD1_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VICSRD1_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VICSRD1_ORDERED_CLIENT_RANGE                  2:2
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VICSRD1_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VICSRD1_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VICSRD1_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VICSRD1_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VICSRD1_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VICSRD1_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VICSRD1_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VICSRD1_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VICSRD1_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VICSRD1_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDECSRD1_ORDERED_CLIENT_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDECSRD1_ORDERED_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDECSRD1_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDECSRD1_ORDERED_CLIENT_RANGE                        3:3
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDECSRD1_ORDERED_CLIENT_WOFFSET                      0x0
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDECSRD1_ORDERED_CLIENT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDECSRD1_ORDERED_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDECSRD1_ORDERED_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDECSRD1_ORDERED_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDECSRD1_ORDERED_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDECSRD1_ORDERED_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDECSRD1_ORDERED_CLIENT_INIT_ENUM                    UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDECSRD1_ORDERED_CLIENT_UNORDERED                    _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_NVDECSRD1_ORDERED_CLIENT_ORDERED                      _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0R_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0R_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0R_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0R_ORDERED_CLIENT_RANGE                    6:6
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0R_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0R_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0R_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0R_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0R_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0R_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0R_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0R_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0R_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0R_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0W_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0W_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0W_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0W_ORDERED_CLIENT_RANGE                    7:7
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0W_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0W_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0W_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0W_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0W_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0W_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0W_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0W_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0W_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU0W_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1R_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1R_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1R_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1R_ORDERED_CLIENT_RANGE                    8:8
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1R_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1R_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1R_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1R_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1R_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1R_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1R_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1R_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1R_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1R_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1W_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1W_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1W_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1W_ORDERED_CLIENT_RANGE                    9:9
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1W_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1W_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1W_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1W_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1W_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1W_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1W_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1W_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1W_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU1W_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2R_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2R_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2R_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2R_ORDERED_CLIENT_RANGE                    14:14
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2R_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2R_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2R_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2R_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2R_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2R_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2R_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2R_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2R_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2R_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2W_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2W_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2W_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2W_ORDERED_CLIENT_RANGE                    15:15
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2W_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2W_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2W_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2W_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2W_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2W_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2W_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2W_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2W_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU2W_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3R_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3R_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3R_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3R_ORDERED_CLIENT_RANGE                    16:16
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3R_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3R_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3R_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3R_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3R_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3R_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3R_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3R_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3R_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3R_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3W_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3W_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3W_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3W_ORDERED_CLIENT_RANGE                    17:17
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3W_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3W_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3W_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3W_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3W_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3W_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3W_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3W_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3W_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU3W_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4R_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4R_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4R_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4R_ORDERED_CLIENT_RANGE                    18:18
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4R_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4R_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4R_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4R_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4R_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4R_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4R_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4R_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4R_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4R_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4W_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4W_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4W_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4W_ORDERED_CLIENT_RANGE                    19:19
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4W_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4W_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4W_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4W_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4W_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4W_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4W_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4W_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4W_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_MIU4W_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALR_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALR_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALR_ORDERED_CLIENT_RANGE                   28:28
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALR_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALR_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALR_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALR_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALR_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALR_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALR_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALR_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALR_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALR_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALW_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALW_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALW_ORDERED_CLIENT_RANGE                   29:29
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALW_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALW_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALW_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALW_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALW_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALW_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALW_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALW_ORDERED_CLIENT_INIT_ENUM                       ORDERED
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALW_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALW_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_VIFALW_ORDERED_CLIENT__PROD                   _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0RDA_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0RDA_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0RDA_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0RDA_ORDERED_CLIENT_RANGE                  30:30
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0RDA_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0RDA_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0RDA_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0RDA_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0RDA_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0RDA_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0RDA_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0RDA_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0RDA_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0RDA_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0FALRDB_ORDERED_CLIENT_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0FALRDB_ORDERED_CLIENT_FIELD                       _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0FALRDB_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0FALRDB_ORDERED_CLIENT_RANGE                       31:31
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0FALRDB_ORDERED_CLIENT_WOFFSET                     0x0
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0FALRDB_ORDERED_CLIENT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0FALRDB_ORDERED_CLIENT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0FALRDB_ORDERED_CLIENT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0FALRDB_ORDERED_CLIENT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0FALRDB_ORDERED_CLIENT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0FALRDB_ORDERED_CLIENT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0FALRDB_ORDERED_CLIENT_INIT_ENUM                   UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0FALRDB_ORDERED_CLIENT_UNORDERED                   _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG5_0_PCFIFO_DLA0FALRDB_ORDERED_CLIENT_ORDERED                     _MK_ENUM_CONST(1)


// Register MC_PCFIFO_CLIENT_CONFIG6_0
#define MC_PCFIFO_CLIENT_CONFIG6_0                      _MK_ADDR_CONST(0xb90)
#define MC_PCFIFO_CLIENT_CONFIG6_0_SECURE                       0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_DUAL                         0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_SCR                  0
#define MC_PCFIFO_CLIENT_CONFIG6_0_WORD_COUNT                   0x1
#define MC_PCFIFO_CLIENT_CONFIG6_0_RESET_VAL                    _MK_MASK_CONST(0xaa280000)
#define MC_PCFIFO_CLIENT_CONFIG6_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_PCFIFO_CLIENT_CONFIG6_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x2280000)
#define MC_PCFIFO_CLIENT_CONFIG6_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_PCFIFO_CLIENT_CONFIG6_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0WRA_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0WRA_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0WRA_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0WRA_ORDERED_CLIENT_RANGE                  0:0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0WRA_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0WRA_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0WRA_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0WRA_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0WRA_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0WRA_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0WRA_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0WRA_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0WRA_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0WRA_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0FALWRB_ORDERED_CLIENT_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0FALWRB_ORDERED_CLIENT_FIELD                       _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0FALWRB_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0FALWRB_ORDERED_CLIENT_RANGE                       1:1
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0FALWRB_ORDERED_CLIENT_WOFFSET                     0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0FALWRB_ORDERED_CLIENT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0FALWRB_ORDERED_CLIENT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0FALWRB_ORDERED_CLIENT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0FALWRB_ORDERED_CLIENT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0FALWRB_ORDERED_CLIENT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0FALWRB_ORDERED_CLIENT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0FALWRB_ORDERED_CLIENT_INIT_ENUM                   UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0FALWRB_ORDERED_CLIENT_UNORDERED                   _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA0FALWRB_ORDERED_CLIENT_ORDERED                     _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1RDA_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1RDA_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1RDA_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1RDA_ORDERED_CLIENT_RANGE                  2:2
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1RDA_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1RDA_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1RDA_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1RDA_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1RDA_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1RDA_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1RDA_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1RDA_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1RDA_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1RDA_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALRDB_ORDERED_CLIENT_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALRDB_ORDERED_CLIENT_FIELD                       _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALRDB_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALRDB_ORDERED_CLIENT_RANGE                       3:3
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALRDB_ORDERED_CLIENT_WOFFSET                     0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALRDB_ORDERED_CLIENT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALRDB_ORDERED_CLIENT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALRDB_ORDERED_CLIENT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALRDB_ORDERED_CLIENT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALRDB_ORDERED_CLIENT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALRDB_ORDERED_CLIENT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALRDB_ORDERED_CLIENT_INIT_ENUM                   UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALRDB_ORDERED_CLIENT_UNORDERED                   _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALRDB_ORDERED_CLIENT_ORDERED                     _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1WRA_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1WRA_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1WRA_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1WRA_ORDERED_CLIENT_RANGE                  4:4
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1WRA_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1WRA_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1WRA_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1WRA_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1WRA_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1WRA_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1WRA_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1WRA_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1WRA_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1WRA_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALWRB_ORDERED_CLIENT_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALWRB_ORDERED_CLIENT_FIELD                       _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALWRB_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALWRB_ORDERED_CLIENT_RANGE                       5:5
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALWRB_ORDERED_CLIENT_WOFFSET                     0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALWRB_ORDERED_CLIENT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALWRB_ORDERED_CLIENT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALWRB_ORDERED_CLIENT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALWRB_ORDERED_CLIENT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALWRB_ORDERED_CLIENT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALWRB_ORDERED_CLIENT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALWRB_ORDERED_CLIENT_INIT_ENUM                   UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALWRB_ORDERED_CLIENT_UNORDERED                   _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_DLA1FALWRB_ORDERED_CLIENT_ORDERED                     _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDA_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDA_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDA_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDA_ORDERED_CLIENT_RANGE                  6:6
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDA_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDA_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDA_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDA_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDA_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDA_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDA_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDA_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDA_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDA_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDB_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDB_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDB_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDB_ORDERED_CLIENT_RANGE                  7:7
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDB_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDB_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDB_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDB_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDB_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDB_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDB_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDB_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDB_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDB_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDC_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDC_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDC_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDC_ORDERED_CLIENT_RANGE                  8:8
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDC_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDC_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDC_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDC_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDC_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDC_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDC_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDC_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDC_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0RDC_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRA_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRA_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRA_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRA_ORDERED_CLIENT_RANGE                  9:9
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRA_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRA_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRA_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRA_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRA_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRA_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRA_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRA_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRA_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRA_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRB_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRB_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRB_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRB_ORDERED_CLIENT_RANGE                  10:10
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRB_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRB_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRB_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRB_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRB_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRB_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRB_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRB_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRB_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRB_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRC_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRC_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRC_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRC_ORDERED_CLIENT_RANGE                  11:11
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRC_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRC_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRC_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRC_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRC_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRC_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRC_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRC_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRC_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA0WRC_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDA_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDA_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDA_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDA_ORDERED_CLIENT_RANGE                  12:12
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDA_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDA_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDA_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDA_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDA_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDA_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDA_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDA_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDA_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDA_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDB_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDB_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDB_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDB_ORDERED_CLIENT_RANGE                  13:13
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDB_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDB_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDB_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDB_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDB_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDB_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDB_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDB_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDB_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDB_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDC_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDC_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDC_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDC_ORDERED_CLIENT_RANGE                  14:14
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDC_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDC_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDC_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDC_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDC_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDC_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDC_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDC_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDC_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1RDC_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRA_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRA_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRA_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRA_ORDERED_CLIENT_RANGE                  15:15
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRA_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRA_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRA_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRA_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRA_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRA_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRA_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRA_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRA_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRA_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRB_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRB_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRB_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRB_ORDERED_CLIENT_RANGE                  16:16
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRB_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRB_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRB_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRB_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRB_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRB_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRB_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRB_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRB_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRB_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRC_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRC_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRC_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRC_ORDERED_CLIENT_RANGE                  17:17
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRC_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRC_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRC_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRC_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRC_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRC_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRC_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRC_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRC_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PVA1WRC_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCER_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCER_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCER_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCER_ORDERED_CLIENT_RANGE                     18:18
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCER_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCER_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCER_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCER_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCER_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCER_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCER_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCER_ORDERED_CLIENT_INIT_ENUM                 UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCER_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCER_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEW_ORDERED_CLIENT_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEW_ORDERED_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEW_ORDERED_CLIENT_RANGE                     19:19
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEW_ORDERED_CLIENT_WOFFSET                   0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEW_ORDERED_CLIENT_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEW_ORDERED_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEW_ORDERED_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEW_ORDERED_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEW_ORDERED_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEW_ORDERED_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEW_ORDERED_CLIENT_INIT_ENUM                 ORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEW_ORDERED_CLIENT_UNORDERED                 _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEW_ORDERED_CLIENT_ORDERED                   _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEW_ORDERED_CLIENT__PROD                     _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAR_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAR_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAR_ORDERED_CLIENT_RANGE                  20:20
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAR_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAR_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAR_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAR_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAR_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAR_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAR_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAR_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAR_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAR_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAW_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAW_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAW_ORDERED_CLIENT_RANGE                  21:21
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAW_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAW_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAW_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAW_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAW_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAW_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAW_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAW_ORDERED_CLIENT_INIT_ENUM                      ORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAW_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAW_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_RCEDMAW_ORDERED_CLIENT__PROD                  _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SRD_ORDERED_CLIENT_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SRD_ORDERED_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SRD_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SRD_ORDERED_CLIENT_RANGE                        22:22
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SRD_ORDERED_CLIENT_WOFFSET                      0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SRD_ORDERED_CLIENT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SRD_ORDERED_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SRD_ORDERED_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SRD_ORDERED_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SRD_ORDERED_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SRD_ORDERED_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SRD_ORDERED_CLIENT_INIT_ENUM                    UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SRD_ORDERED_CLIENT_UNORDERED                    _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SRD_ORDERED_CLIENT_ORDERED                      _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SWR_ORDERED_CLIENT_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SWR_ORDERED_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SWR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SWR_ORDERED_CLIENT_RANGE                        23:23
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SWR_ORDERED_CLIENT_WOFFSET                      0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SWR_ORDERED_CLIENT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SWR_ORDERED_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SWR_ORDERED_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SWR_ORDERED_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SWR_ORDERED_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SWR_ORDERED_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SWR_ORDERED_CLIENT_INIT_ENUM                    UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SWR_ORDERED_CLIENT_UNORDERED                    _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_NVENC1SWR_ORDERED_CLIENT_ORDERED                      _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0R_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0R_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0R_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0R_ORDERED_CLIENT_RANGE                   24:24
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0R_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0R_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0R_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0R_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0R_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0R_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0R_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0R_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0R_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0R_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0W_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0W_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0W_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0W_ORDERED_CLIENT_RANGE                   25:25
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0W_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0W_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0W_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0W_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0W_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0W_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0W_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0W_ORDERED_CLIENT_INIT_ENUM                       ORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0W_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0W_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE0W_ORDERED_CLIENT__PROD                   _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1R_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1R_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1R_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1R_ORDERED_CLIENT_RANGE                   26:26
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1R_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1R_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1R_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1R_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1R_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1R_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1R_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1R_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1R_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1R_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1W_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1W_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1W_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1W_ORDERED_CLIENT_RANGE                   27:27
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1W_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1W_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1W_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1W_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1W_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1W_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1W_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1W_ORDERED_CLIENT_INIT_ENUM                       ORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1W_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE1W_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AR_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AR_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AR_ORDERED_CLIENT_RANGE                  28:28
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AR_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AR_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AR_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AR_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AR_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AR_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AR_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AR_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AR_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AR_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AW_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AW_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AW_ORDERED_CLIENT_RANGE                  29:29
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AW_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AW_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AW_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AW_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AW_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AW_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AW_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AW_ORDERED_CLIENT_INIT_ENUM                      ORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AW_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE2AW_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3R_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3R_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3R_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3R_ORDERED_CLIENT_RANGE                   30:30
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3R_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3R_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3R_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3R_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3R_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3R_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3R_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3R_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3R_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3R_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3W_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3W_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3W_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3W_ORDERED_CLIENT_RANGE                   31:31
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3W_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3W_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3W_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3W_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3W_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3W_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3W_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3W_ORDERED_CLIENT_INIT_ENUM                       ORDERED
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3W_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG6_0_PCFIFO_PCIE3W_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)


// Register MC_PCFIFO_CLIENT_CONFIG7_0
#define MC_PCFIFO_CLIENT_CONFIG7_0                      _MK_ADDR_CONST(0xacc)
#define MC_PCFIFO_CLIENT_CONFIG7_0_SECURE                       0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_DUAL                         0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_SCR                  0
#define MC_PCFIFO_CLIENT_CONFIG7_0_WORD_COUNT                   0x1
#define MC_PCFIFO_CLIENT_CONFIG7_0_RESET_VAL                    _MK_MASK_CONST(0xa)
#define MC_PCFIFO_CLIENT_CONFIG7_0_RESET_MASK                   _MK_MASK_CONST(0xfe0ffe1f)
#define MC_PCFIFO_CLIENT_CONFIG7_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xa)
#define MC_PCFIFO_CLIENT_CONFIG7_0_READ_MASK                    _MK_MASK_CONST(0xfe0ffe1f)
#define MC_PCFIFO_CLIENT_CONFIG7_0_WRITE_MASK                   _MK_MASK_CONST(0xfe0ffe1f)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4R_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4R_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4R_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4R_ORDERED_CLIENT_RANGE                   0:0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4R_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4R_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4R_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4R_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4R_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4R_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4R_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4R_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4R_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4R_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4W_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4W_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4W_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4W_ORDERED_CLIENT_RANGE                   1:1
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4W_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4W_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4W_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4W_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4W_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4W_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4W_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4W_ORDERED_CLIENT_INIT_ENUM                       ORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4W_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4W_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE4W_ORDERED_CLIENT__PROD                   _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R_ORDERED_CLIENT_RANGE                   2:2
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5W_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5W_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5W_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5W_ORDERED_CLIENT_RANGE                   3:3
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5W_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5W_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5W_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5W_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5W_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5W_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5W_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5W_ORDERED_CLIENT_INIT_ENUM                       ORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5W_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5W_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5W_ORDERED_CLIENT__PROD                   _MK_MASK_CONST(0x0)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPFALW_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPFALW_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPFALW_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPFALW_ORDERED_CLIENT_RANGE                  4:4
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPFALW_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPFALW_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPFALW_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPFALW_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPFALW_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPFALW_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPFALW_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPFALW_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPFALW_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPFALW_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA0RDA1_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA0RDA1_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA0RDA1_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA0RDA1_ORDERED_CLIENT_RANGE                 9:9
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA0RDA1_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA0RDA1_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA0RDA1_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA0RDA1_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA0RDA1_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA0RDA1_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA0RDA1_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA0RDA1_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA0RDA1_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA0RDA1_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA1RDA1_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA1RDA1_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA1RDA1_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA1RDA1_ORDERED_CLIENT_RANGE                 10:10
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA1RDA1_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA1RDA1_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA1RDA1_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA1RDA1_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA1RDA1_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA1RDA1_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA1RDA1_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA1RDA1_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA1RDA1_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_DLA1RDA1_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDA1_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDA1_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDA1_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDA1_ORDERED_CLIENT_RANGE                 11:11
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDA1_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDA1_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDA1_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDA1_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDA1_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDA1_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDA1_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDA1_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDA1_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDA1_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDB1_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDB1_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDB1_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDB1_ORDERED_CLIENT_RANGE                 12:12
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDB1_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDB1_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDB1_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDB1_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDB1_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDB1_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDB1_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDB1_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDB1_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA0RDB1_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDA1_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDA1_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDA1_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDA1_ORDERED_CLIENT_RANGE                 13:13
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDA1_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDA1_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDA1_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDA1_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDA1_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDA1_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDA1_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDA1_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDA1_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDA1_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDB1_ORDERED_CLIENT_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDB1_ORDERED_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDB1_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDB1_ORDERED_CLIENT_RANGE                 14:14
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDB1_ORDERED_CLIENT_WOFFSET                       0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDB1_ORDERED_CLIENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDB1_ORDERED_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDB1_ORDERED_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDB1_ORDERED_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDB1_ORDERED_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDB1_ORDERED_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDB1_ORDERED_CLIENT_INIT_ENUM                     UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDB1_ORDERED_CLIENT_UNORDERED                     _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PVA1RDB1_ORDERED_CLIENT_ORDERED                       _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R1_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R1_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R1_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R1_ORDERED_CLIENT_RANGE                  15:15
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R1_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R1_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R1_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R1_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R1_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R1_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R1_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R1_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R1_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE5R1_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENCSRD1_ORDERED_CLIENT_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENCSRD1_ORDERED_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENCSRD1_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENCSRD1_ORDERED_CLIENT_RANGE                        16:16
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENCSRD1_ORDERED_CLIENT_WOFFSET                      0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENCSRD1_ORDERED_CLIENT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENCSRD1_ORDERED_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENCSRD1_ORDERED_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENCSRD1_ORDERED_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENCSRD1_ORDERED_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENCSRD1_ORDERED_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENCSRD1_ORDERED_CLIENT_INIT_ENUM                    UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENCSRD1_ORDERED_CLIENT_UNORDERED                    _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENCSRD1_ORDERED_CLIENT_ORDERED                      _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENC1SRD1_ORDERED_CLIENT_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENC1SRD1_ORDERED_CLIENT_FIELD                       _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENC1SRD1_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENC1SRD1_ORDERED_CLIENT_RANGE                       17:17
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENC1SRD1_ORDERED_CLIENT_WOFFSET                     0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENC1SRD1_ORDERED_CLIENT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENC1SRD1_ORDERED_CLIENT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENC1SRD1_ORDERED_CLIENT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENC1SRD1_ORDERED_CLIENT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENC1SRD1_ORDERED_CLIENT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENC1SRD1_ORDERED_CLIENT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENC1SRD1_ORDERED_CLIENT_INIT_ENUM                   UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENC1SRD1_ORDERED_CLIENT_UNORDERED                   _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVENC1SRD1_ORDERED_CLIENT_ORDERED                     _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPRA1_ORDERED_CLIENT_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPRA1_ORDERED_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPRA1_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPRA1_ORDERED_CLIENT_RANGE                   18:18
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPRA1_ORDERED_CLIENT_WOFFSET                 0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPRA1_ORDERED_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPRA1_ORDERED_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPRA1_ORDERED_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPRA1_ORDERED_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPRA1_ORDERED_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPRA1_ORDERED_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPRA1_ORDERED_CLIENT_INIT_ENUM                       UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPRA1_ORDERED_CLIENT_UNORDERED                       _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_ISPRA1_ORDERED_CLIENT_ORDERED                 _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE0R1_ORDERED_CLIENT_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE0R1_ORDERED_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE0R1_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE0R1_ORDERED_CLIENT_RANGE                  19:19
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE0R1_ORDERED_CLIENT_WOFFSET                        0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE0R1_ORDERED_CLIENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE0R1_ORDERED_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE0R1_ORDERED_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE0R1_ORDERED_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE0R1_ORDERED_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE0R1_ORDERED_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE0R1_ORDERED_CLIENT_INIT_ENUM                      UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE0R1_ORDERED_CLIENT_UNORDERED                      _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_PCIE0R1_ORDERED_CLIENT_ORDERED                        _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD_ORDERED_CLIENT_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD_ORDERED_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD_ORDERED_CLIENT_RANGE                        25:25
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD_ORDERED_CLIENT_WOFFSET                      0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD_ORDERED_CLIENT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD_ORDERED_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD_ORDERED_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD_ORDERED_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD_ORDERED_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD_ORDERED_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD_ORDERED_CLIENT_INIT_ENUM                    UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD_ORDERED_CLIENT_UNORDERED                    _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD_ORDERED_CLIENT_ORDERED                      _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD1_ORDERED_CLIENT_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD1_ORDERED_CLIENT_FIELD                       _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD1_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD1_ORDERED_CLIENT_RANGE                       26:26
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD1_ORDERED_CLIENT_WOFFSET                     0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD1_ORDERED_CLIENT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD1_ORDERED_CLIENT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD1_ORDERED_CLIENT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD1_ORDERED_CLIENT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD1_ORDERED_CLIENT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD1_ORDERED_CLIENT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD1_ORDERED_CLIENT_INIT_ENUM                   UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD1_ORDERED_CLIENT_UNORDERED                   _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SRD1_ORDERED_CLIENT_ORDERED                     _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SWR_ORDERED_CLIENT_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SWR_ORDERED_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SWR_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SWR_ORDERED_CLIENT_RANGE                        27:27
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SWR_ORDERED_CLIENT_WOFFSET                      0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SWR_ORDERED_CLIENT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SWR_ORDERED_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SWR_ORDERED_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SWR_ORDERED_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SWR_ORDERED_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SWR_ORDERED_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SWR_ORDERED_CLIENT_INIT_ENUM                    UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SWR_ORDERED_CLIENT_UNORDERED                    _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_NVDEC1SWR_ORDERED_CLIENT_ORDERED                      _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5R_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5R_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5R_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5R_ORDERED_CLIENT_RANGE                    28:28
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5R_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5R_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5R_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5R_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5R_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5R_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5R_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5R_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5R_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5R_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5W_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5W_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5W_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5W_ORDERED_CLIENT_RANGE                    29:29
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5W_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5W_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5W_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5W_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5W_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5W_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5W_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5W_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5W_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU5W_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6R_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6R_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6R_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6R_ORDERED_CLIENT_RANGE                    30:30
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6R_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6R_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6R_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6R_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6R_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6R_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6R_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6R_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6R_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6R_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)

#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6W_ORDERED_CLIENT_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6W_ORDERED_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6W_ORDERED_CLIENT_SHIFT)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6W_ORDERED_CLIENT_RANGE                    31:31
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6W_ORDERED_CLIENT_WOFFSET                  0x0
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6W_ORDERED_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6W_ORDERED_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6W_ORDERED_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6W_ORDERED_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6W_ORDERED_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6W_ORDERED_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6W_ORDERED_CLIENT_INIT_ENUM                        UNORDERED
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6W_ORDERED_CLIENT_UNORDERED                        _MK_ENUM_CONST(0)
#define MC_PCFIFO_CLIENT_CONFIG7_0_PCFIFO_MIU6W_ORDERED_CLIENT_ORDERED                  _MK_ENUM_CONST(1)


// Register MC_EMEM_CFG_0
#define MC_EMEM_CFG_0                   _MK_ADDR_CONST(0x50)
#define MC_EMEM_CFG_0_SECURE                    0x0
#define MC_EMEM_CFG_0_DUAL                      0x0
#define MC_EMEM_CFG_0_SCR                       0
#define MC_EMEM_CFG_0_WORD_COUNT                        0x1
#define MC_EMEM_CFG_0_RESET_VAL                         _MK_MASK_CONST(0x10000)
#define MC_EMEM_CFG_0_RESET_MASK                        _MK_MASK_CONST(0x800fffff)
#define MC_EMEM_CFG_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_EMEM_CFG_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x80000000)
#define MC_EMEM_CFG_0_READ_MASK                         _MK_MASK_CONST(0x800fffff)
#define MC_EMEM_CFG_0_WRITE_MASK                        _MK_MASK_CONST(0x800fffff)
#define MC_EMEM_CFG_0_EMEM_SIZE_MB_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_EMEM_CFG_0_EMEM_SIZE_MB_FIELD                        _MK_FIELD_CONST(0xfffff, MC_EMEM_CFG_0_EMEM_SIZE_MB_SHIFT)
#define MC_EMEM_CFG_0_EMEM_SIZE_MB_RANGE                        19:0
#define MC_EMEM_CFG_0_EMEM_SIZE_MB_WOFFSET                      0x0
#define MC_EMEM_CFG_0_EMEM_SIZE_MB_DEFAULT                      _MK_MASK_CONST(0x10000)
#define MC_EMEM_CFG_0_EMEM_SIZE_MB_DEFAULT_MASK                 _MK_MASK_CONST(0xfffff)
#define MC_EMEM_CFG_0_EMEM_SIZE_MB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_CFG_0_EMEM_SIZE_MB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_CFG_0_EMEM_SIZE_MB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_EMEM_CFG_0_EMEM_SIZE_MB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_EMEM_CFG_0_EMEM_BOM_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_EMEM_CFG_0_EMEM_BOM_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_CFG_0_EMEM_BOM_SHIFT)
#define MC_EMEM_CFG_0_EMEM_BOM_RANGE                    31:31
#define MC_EMEM_CFG_0_EMEM_BOM_WOFFSET                  0x0
#define MC_EMEM_CFG_0_EMEM_BOM_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_CFG_0_EMEM_BOM_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_CFG_0_EMEM_BOM_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_CFG_0_EMEM_BOM_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_CFG_0_EMEM_BOM_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_EMEM_CFG_0_EMEM_BOM_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_CFG_0_EMEM_BOM_INIT_ENUM                        B2GB
#define MC_EMEM_CFG_0_EMEM_BOM_B1GB                     _MK_ENUM_CONST(1)
#define MC_EMEM_CFG_0_EMEM_BOM_B0GB                     _MK_ENUM_CONST(1)
#define MC_EMEM_CFG_0_EMEM_BOM_B2GB                     _MK_ENUM_CONST(0)
#define MC_EMEM_CFG_0_EMEM_BOM__PROD                    _MK_MASK_CONST(0x0)


// Register MC_EMEM_ADR_CFG_0
#define MC_EMEM_ADR_CFG_0                       _MK_ADDR_CONST(0x54)
#define MC_EMEM_ADR_CFG_0_SECURE                        0x0
#define MC_EMEM_ADR_CFG_0_DUAL                  0x0
#define MC_EMEM_ADR_CFG_0_SCR                   0
#define MC_EMEM_ADR_CFG_0_WORD_COUNT                    0x1
#define MC_EMEM_ADR_CFG_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_0_RESET_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ADR_CFG_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_0_READ_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ADR_CFG_0_WRITE_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ADR_CFG_0_EMEM_NUMDEV_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_EMEM_ADR_CFG_0_EMEM_NUMDEV_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ADR_CFG_0_EMEM_NUMDEV_SHIFT)
#define MC_EMEM_ADR_CFG_0_EMEM_NUMDEV_RANGE                     0:0
#define MC_EMEM_ADR_CFG_0_EMEM_NUMDEV_WOFFSET                   0x0
#define MC_EMEM_ADR_CFG_0_EMEM_NUMDEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_0_EMEM_NUMDEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ADR_CFG_0_EMEM_NUMDEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_0_EMEM_NUMDEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_0_EMEM_NUMDEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_0_EMEM_NUMDEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ADR_CFG_0_EMEM_NUMDEV_INIT_ENUM                 N1
#define MC_EMEM_ADR_CFG_0_EMEM_NUMDEV_N1                        _MK_ENUM_CONST(0)
#define MC_EMEM_ADR_CFG_0_EMEM_NUMDEV_N2                        _MK_ENUM_CONST(1)


// Register MC_EMEM_ADR_CFG_DEV0_0
#define MC_EMEM_ADR_CFG_DEV0_0                  _MK_ADDR_CONST(0x58)
#define MC_EMEM_ADR_CFG_DEV0_0_SECURE                   0x0
#define MC_EMEM_ADR_CFG_DEV0_0_DUAL                     0x0
#define MC_EMEM_ADR_CFG_DEV0_0_SCR                      0
#define MC_EMEM_ADR_CFG_DEV0_0_WORD_COUNT                       0x1
#define MC_EMEM_ADR_CFG_DEV0_0_RESET_VAL                        _MK_MASK_CONST(0x80202)
#define MC_EMEM_ADR_CFG_DEV0_0_RESET_MASK                       _MK_MASK_CONST(0x1f0307)
#define MC_EMEM_ADR_CFG_DEV0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV0_0_READ_MASK                        _MK_MASK_CONST(0x1f0307)
#define MC_EMEM_ADR_CFG_DEV0_0_WRITE_MASK                       _MK_MASK_CONST(0x1f0307)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_COLWIDTH_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_COLWIDTH_FIELD                 _MK_FIELD_CONST(0x7, MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_COLWIDTH_SHIFT)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_COLWIDTH_RANGE                 2:0
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_COLWIDTH_WOFFSET                       0x0
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_COLWIDTH_DEFAULT                       _MK_MASK_CONST(0x2)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_COLWIDTH_DEFAULT_MASK                  _MK_MASK_CONST(0x7)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_COLWIDTH_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_COLWIDTH_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_COLWIDTH_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_COLWIDTH_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_COLWIDTH_INIT_ENUM                     W9
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_COLWIDTH_W8                    _MK_ENUM_CONST(1)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_COLWIDTH_W9                    _MK_ENUM_CONST(2)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_COLWIDTH_W10                   _MK_ENUM_CONST(3)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_COLWIDTH_W11                   _MK_ENUM_CONST(4)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_COLWIDTH_W12                   _MK_ENUM_CONST(5)

#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_BANKWIDTH_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_BANKWIDTH_FIELD                        _MK_FIELD_CONST(0x3, MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_BANKWIDTH_SHIFT)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_BANKWIDTH_RANGE                        9:8
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_BANKWIDTH_WOFFSET                      0x0
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_BANKWIDTH_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_BANKWIDTH_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_BANKWIDTH_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_BANKWIDTH_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_BANKWIDTH_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_BANKWIDTH_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_BANKWIDTH_INIT_ENUM                    W2
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_BANKWIDTH_W2                   _MK_ENUM_CONST(2)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_BANKWIDTH_W3                   _MK_ENUM_CONST(3)

#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_FIELD                  _MK_FIELD_CONST(0x1f, MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_SHIFT)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_RANGE                  20:16
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_WOFFSET                        0x0
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_DEFAULT                        _MK_MASK_CONST(0x8)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_DEFAULT_MASK                   _MK_MASK_CONST(0x1f)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_INIT_ENUM                      D64MB
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_D16MB                  _MK_ENUM_CONST(4)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_D24MB                  _MK_ENUM_CONST(5)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_D32MB                  _MK_ENUM_CONST(6)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_D48MB                  _MK_ENUM_CONST(7)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_D64MB                  _MK_ENUM_CONST(8)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_D96MB                  _MK_ENUM_CONST(9)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_D128MB                 _MK_ENUM_CONST(10)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_D192MB                 _MK_ENUM_CONST(11)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_D256MB                 _MK_ENUM_CONST(12)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_D384MB                 _MK_ENUM_CONST(13)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_D512MB                 _MK_ENUM_CONST(14)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_D768MB                 _MK_ENUM_CONST(15)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_D1024MB                        _MK_ENUM_CONST(16)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_D1GB                   _MK_ENUM_CONST(16)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_D1536MB                        _MK_ENUM_CONST(17)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_D2048MB                        _MK_ENUM_CONST(18)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_D2GB                   _MK_ENUM_CONST(18)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_D3072MB                        _MK_ENUM_CONST(19)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_D4096MB                        _MK_ENUM_CONST(20)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_D6144MB                        _MK_ENUM_CONST(21)
#define MC_EMEM_ADR_CFG_DEV0_0_EMEM_DEV0_DEVSIZE_D8192MB                        _MK_ENUM_CONST(22)


// Register MC_EMEM_ADR_CFG_DEV1_0
#define MC_EMEM_ADR_CFG_DEV1_0                  _MK_ADDR_CONST(0x5c)
#define MC_EMEM_ADR_CFG_DEV1_0_SECURE                   0x0
#define MC_EMEM_ADR_CFG_DEV1_0_DUAL                     0x0
#define MC_EMEM_ADR_CFG_DEV1_0_SCR                      0
#define MC_EMEM_ADR_CFG_DEV1_0_WORD_COUNT                       0x1
#define MC_EMEM_ADR_CFG_DEV1_0_RESET_VAL                        _MK_MASK_CONST(0x80202)
#define MC_EMEM_ADR_CFG_DEV1_0_RESET_MASK                       _MK_MASK_CONST(0x1f0307)
#define MC_EMEM_ADR_CFG_DEV1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV1_0_READ_MASK                        _MK_MASK_CONST(0x1f0307)
#define MC_EMEM_ADR_CFG_DEV1_0_WRITE_MASK                       _MK_MASK_CONST(0x1f0307)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_COLWIDTH_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_COLWIDTH_FIELD                 _MK_FIELD_CONST(0x7, MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_COLWIDTH_SHIFT)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_COLWIDTH_RANGE                 2:0
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_COLWIDTH_WOFFSET                       0x0
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_COLWIDTH_DEFAULT                       _MK_MASK_CONST(0x2)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_COLWIDTH_DEFAULT_MASK                  _MK_MASK_CONST(0x7)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_COLWIDTH_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_COLWIDTH_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_COLWIDTH_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_COLWIDTH_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_COLWIDTH_INIT_ENUM                     W9
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_COLWIDTH_W8                    _MK_ENUM_CONST(1)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_COLWIDTH_W9                    _MK_ENUM_CONST(2)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_COLWIDTH_W10                   _MK_ENUM_CONST(3)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_COLWIDTH_W11                   _MK_ENUM_CONST(4)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_COLWIDTH_W12                   _MK_ENUM_CONST(5)

#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_BANKWIDTH_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_BANKWIDTH_FIELD                        _MK_FIELD_CONST(0x3, MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_BANKWIDTH_SHIFT)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_BANKWIDTH_RANGE                        9:8
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_BANKWIDTH_WOFFSET                      0x0
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_BANKWIDTH_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_BANKWIDTH_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_BANKWIDTH_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_BANKWIDTH_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_BANKWIDTH_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_BANKWIDTH_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_BANKWIDTH_INIT_ENUM                    W2
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_BANKWIDTH_W2                   _MK_ENUM_CONST(2)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_BANKWIDTH_W3                   _MK_ENUM_CONST(3)

#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_FIELD                  _MK_FIELD_CONST(0x1f, MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_SHIFT)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_RANGE                  20:16
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_WOFFSET                        0x0
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_DEFAULT                        _MK_MASK_CONST(0x8)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_DEFAULT_MASK                   _MK_MASK_CONST(0x1f)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_INIT_ENUM                      D64MB
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_D16MB                  _MK_ENUM_CONST(4)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_D24MB                  _MK_ENUM_CONST(5)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_D32MB                  _MK_ENUM_CONST(6)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_D48MB                  _MK_ENUM_CONST(7)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_D64MB                  _MK_ENUM_CONST(8)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_D96MB                  _MK_ENUM_CONST(9)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_D128MB                 _MK_ENUM_CONST(10)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_D192MB                 _MK_ENUM_CONST(11)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_D256MB                 _MK_ENUM_CONST(12)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_D384MB                 _MK_ENUM_CONST(13)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_D512MB                 _MK_ENUM_CONST(14)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_D768MB                 _MK_ENUM_CONST(15)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_D1024MB                        _MK_ENUM_CONST(16)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_D1GB                   _MK_ENUM_CONST(16)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_D1536MB                        _MK_ENUM_CONST(17)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_D2048MB                        _MK_ENUM_CONST(18)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_D2GB                   _MK_ENUM_CONST(18)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_D3072MB                        _MK_ENUM_CONST(19)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_D4096MB                        _MK_ENUM_CONST(20)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_D6144MB                        _MK_ENUM_CONST(21)
#define MC_EMEM_ADR_CFG_DEV1_0_EMEM_DEV1_DEVSIZE_D8192MB                        _MK_ENUM_CONST(22)


// Register MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0                        _MK_ADDR_CONST(0xdf8)
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0_SECURE                         0x0
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0_DUAL                   0x0
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0_SCR                    0
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0_WORD_COUNT                     0x1
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0_RESET_VAL                      _MK_MASK_CONST(0xf)
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0_RESET_MASK                     _MK_MASK_CONST(0xffff)
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0_READ_MASK                      _MK_MASK_CONST(0xffff)
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0_WRITE_MASK                     _MK_MASK_CONST(0xffff)
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0_EMEM_CHANNEL_ENABLE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0_EMEM_CHANNEL_ENABLE_FIELD                      _MK_FIELD_CONST(0xffff, MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0_EMEM_CHANNEL_ENABLE_SHIFT)
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0_EMEM_CHANNEL_ENABLE_RANGE                      15:0
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0_EMEM_CHANNEL_ENABLE_WOFFSET                    0x0
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0_EMEM_CHANNEL_ENABLE_DEFAULT                    _MK_MASK_CONST(0xf)
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0_EMEM_CHANNEL_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0xffff)
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0_EMEM_CHANNEL_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0_EMEM_CHANNEL_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0_EMEM_CHANNEL_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0_EMEM_CHANNEL_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_EMEM_ADR_CFG_CHANNEL_MASK_0
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_0                  _MK_ADDR_CONST(0x60)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_0_SECURE                   0x0
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_0_DUAL                     0x0
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_0_SCR                      0
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_0_WORD_COUNT                       0x1
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_0_RESET_VAL                        _MK_MASK_CONST(0x6db66200)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_0_RESET_MASK                       _MK_MASK_CONST(0xfffffe00)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_0_READ_MASK                        _MK_MASK_CONST(0xfffffe00)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_0_WRITE_MASK                       _MK_MASK_CONST(0xfffffe00)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_0_EMEM_CHANNEL_MASK_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_0_EMEM_CHANNEL_MASK_FIELD                  _MK_FIELD_CONST(0x7fffff, MC_EMEM_ADR_CFG_CHANNEL_MASK_0_EMEM_CHANNEL_MASK_SHIFT)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_0_EMEM_CHANNEL_MASK_RANGE                  31:9
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_0_EMEM_CHANNEL_MASK_WOFFSET                        0x0
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_0_EMEM_CHANNEL_MASK_DEFAULT                        _MK_MASK_CONST(0x36db31)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_0_EMEM_CHANNEL_MASK_DEFAULT_MASK                   _MK_MASK_CONST(0x7fffff)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_0_EMEM_CHANNEL_MASK_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_0_EMEM_CHANNEL_MASK_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_0_EMEM_CHANNEL_MASK_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_0_EMEM_CHANNEL_MASK_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0                        _MK_ADDR_CONST(0xdfc)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0_SECURE                         0x0
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0_DUAL                   0x0
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0_SCR                    0
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0_WORD_COUNT                     0x1
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0_RESET_VAL                      _MK_MASK_CONST(0x6db66400)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0_RESET_MASK                     _MK_MASK_CONST(0xfffffe00)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0_READ_MASK                      _MK_MASK_CONST(0xfffffe00)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0_WRITE_MASK                     _MK_MASK_CONST(0xfffffe00)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0_EMEM_CHANNEL_MASK_1_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0_EMEM_CHANNEL_MASK_1_FIELD                      _MK_FIELD_CONST(0x7fffff, MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0_EMEM_CHANNEL_MASK_1_SHIFT)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0_EMEM_CHANNEL_MASK_1_RANGE                      31:9
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0_EMEM_CHANNEL_MASK_1_WOFFSET                    0x0
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0_EMEM_CHANNEL_MASK_1_DEFAULT                    _MK_MASK_CONST(0x36db32)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0_EMEM_CHANNEL_MASK_1_DEFAULT_MASK                       _MK_MASK_CONST(0x7fffff)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0_EMEM_CHANNEL_MASK_1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0_EMEM_CHANNEL_MASK_1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0_EMEM_CHANNEL_MASK_1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0_EMEM_CHANNEL_MASK_1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0                        _MK_ADDR_CONST(0xdf4)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0_SECURE                         0x0
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0_DUAL                   0x0
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0_SCR                    0
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0_WORD_COUNT                     0x1
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0_RESET_VAL                      _MK_MASK_CONST(0x6db66800)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0_RESET_MASK                     _MK_MASK_CONST(0xfffffe00)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0_READ_MASK                      _MK_MASK_CONST(0xfffffe00)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0_WRITE_MASK                     _MK_MASK_CONST(0xfffffe00)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0_EMEM_CHANNEL_MASK_2_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0_EMEM_CHANNEL_MASK_2_FIELD                      _MK_FIELD_CONST(0x7fffff, MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0_EMEM_CHANNEL_MASK_2_SHIFT)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0_EMEM_CHANNEL_MASK_2_RANGE                      31:9
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0_EMEM_CHANNEL_MASK_2_WOFFSET                    0x0
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0_EMEM_CHANNEL_MASK_2_DEFAULT                    _MK_MASK_CONST(0x36db34)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0_EMEM_CHANNEL_MASK_2_DEFAULT_MASK                       _MK_MASK_CONST(0x7fffff)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0_EMEM_CHANNEL_MASK_2_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0_EMEM_CHANNEL_MASK_2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0_EMEM_CHANNEL_MASK_2_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0_EMEM_CHANNEL_MASK_2_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0                        _MK_ADDR_CONST(0xdf0)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0_SECURE                         0x0
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0_DUAL                   0x0
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0_SCR                    0
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0_WORD_COUNT                     0x1
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0_RESET_VAL                      _MK_MASK_CONST(0x6db67000)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0_RESET_MASK                     _MK_MASK_CONST(0xfffffe00)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0_READ_MASK                      _MK_MASK_CONST(0xfffffe00)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0_WRITE_MASK                     _MK_MASK_CONST(0xfffffe00)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0_EMEM_CHANNEL_MASK_3_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0_EMEM_CHANNEL_MASK_3_FIELD                      _MK_FIELD_CONST(0x7fffff, MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0_EMEM_CHANNEL_MASK_3_SHIFT)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0_EMEM_CHANNEL_MASK_3_RANGE                      31:9
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0_EMEM_CHANNEL_MASK_3_WOFFSET                    0x0
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0_EMEM_CHANNEL_MASK_3_DEFAULT                    _MK_MASK_CONST(0x36db38)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0_EMEM_CHANNEL_MASK_3_DEFAULT_MASK                       _MK_MASK_CONST(0x7fffff)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0_EMEM_CHANNEL_MASK_3_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0_EMEM_CHANNEL_MASK_3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0_EMEM_CHANNEL_MASK_3_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0_EMEM_CHANNEL_MASK_3_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_EMEM_ADR_CFG_BANK_MASK_0_0
#define MC_EMEM_ADR_CFG_BANK_MASK_0_0                   _MK_ADDR_CONST(0x64)
#define MC_EMEM_ADR_CFG_BANK_MASK_0_0_SECURE                    0x0
#define MC_EMEM_ADR_CFG_BANK_MASK_0_0_DUAL                      0x0
#define MC_EMEM_ADR_CFG_BANK_MASK_0_0_SCR                       0
#define MC_EMEM_ADR_CFG_BANK_MASK_0_0_WORD_COUNT                        0x1
#define MC_EMEM_ADR_CFG_BANK_MASK_0_0_RESET_VAL                         _MK_MASK_CONST(0xeb772400)
#define MC_EMEM_ADR_CFG_BANK_MASK_0_0_RESET_MASK                        _MK_MASK_CONST(0xfffffc00)
#define MC_EMEM_ADR_CFG_BANK_MASK_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_BANK_MASK_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_BANK_MASK_0_0_READ_MASK                         _MK_MASK_CONST(0xfffffc00)
#define MC_EMEM_ADR_CFG_BANK_MASK_0_0_WRITE_MASK                        _MK_MASK_CONST(0xfffffc00)
#define MC_EMEM_ADR_CFG_BANK_MASK_0_0_EMEM_BANK_MASK_0_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_EMEM_ADR_CFG_BANK_MASK_0_0_EMEM_BANK_MASK_0_FIELD                    _MK_FIELD_CONST(0x3fffff, MC_EMEM_ADR_CFG_BANK_MASK_0_0_EMEM_BANK_MASK_0_SHIFT)
#define MC_EMEM_ADR_CFG_BANK_MASK_0_0_EMEM_BANK_MASK_0_RANGE                    31:10
#define MC_EMEM_ADR_CFG_BANK_MASK_0_0_EMEM_BANK_MASK_0_WOFFSET                  0x0
#define MC_EMEM_ADR_CFG_BANK_MASK_0_0_EMEM_BANK_MASK_0_DEFAULT                  _MK_MASK_CONST(0x3addc9)
#define MC_EMEM_ADR_CFG_BANK_MASK_0_0_EMEM_BANK_MASK_0_DEFAULT_MASK                     _MK_MASK_CONST(0x3fffff)
#define MC_EMEM_ADR_CFG_BANK_MASK_0_0_EMEM_BANK_MASK_0_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_BANK_MASK_0_0_EMEM_BANK_MASK_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_BANK_MASK_0_0_EMEM_BANK_MASK_0_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_BANK_MASK_0_0_EMEM_BANK_MASK_0_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_EMEM_ADR_CFG_BANK_MASK_1_0
#define MC_EMEM_ADR_CFG_BANK_MASK_1_0                   _MK_ADDR_CONST(0x68)
#define MC_EMEM_ADR_CFG_BANK_MASK_1_0_SECURE                    0x0
#define MC_EMEM_ADR_CFG_BANK_MASK_1_0_DUAL                      0x0
#define MC_EMEM_ADR_CFG_BANK_MASK_1_0_SCR                       0
#define MC_EMEM_ADR_CFG_BANK_MASK_1_0_WORD_COUNT                        0x1
#define MC_EMEM_ADR_CFG_BANK_MASK_1_0_RESET_VAL                         _MK_MASK_CONST(0x249e4800)
#define MC_EMEM_ADR_CFG_BANK_MASK_1_0_RESET_MASK                        _MK_MASK_CONST(0xfffffc00)
#define MC_EMEM_ADR_CFG_BANK_MASK_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_BANK_MASK_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_BANK_MASK_1_0_READ_MASK                         _MK_MASK_CONST(0xfffffc00)
#define MC_EMEM_ADR_CFG_BANK_MASK_1_0_WRITE_MASK                        _MK_MASK_CONST(0xfffffc00)
#define MC_EMEM_ADR_CFG_BANK_MASK_1_0_EMEM_BANK_MASK_1_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_EMEM_ADR_CFG_BANK_MASK_1_0_EMEM_BANK_MASK_1_FIELD                    _MK_FIELD_CONST(0x3fffff, MC_EMEM_ADR_CFG_BANK_MASK_1_0_EMEM_BANK_MASK_1_SHIFT)
#define MC_EMEM_ADR_CFG_BANK_MASK_1_0_EMEM_BANK_MASK_1_RANGE                    31:10
#define MC_EMEM_ADR_CFG_BANK_MASK_1_0_EMEM_BANK_MASK_1_WOFFSET                  0x0
#define MC_EMEM_ADR_CFG_BANK_MASK_1_0_EMEM_BANK_MASK_1_DEFAULT                  _MK_MASK_CONST(0x92792)
#define MC_EMEM_ADR_CFG_BANK_MASK_1_0_EMEM_BANK_MASK_1_DEFAULT_MASK                     _MK_MASK_CONST(0x3fffff)
#define MC_EMEM_ADR_CFG_BANK_MASK_1_0_EMEM_BANK_MASK_1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_BANK_MASK_1_0_EMEM_BANK_MASK_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_BANK_MASK_1_0_EMEM_BANK_MASK_1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_BANK_MASK_1_0_EMEM_BANK_MASK_1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_EMEM_ADR_CFG_BANK_MASK_2_0
#define MC_EMEM_ADR_CFG_BANK_MASK_2_0                   _MK_ADDR_CONST(0x6c)
#define MC_EMEM_ADR_CFG_BANK_MASK_2_0_SECURE                    0x0
#define MC_EMEM_ADR_CFG_BANK_MASK_2_0_DUAL                      0x0
#define MC_EMEM_ADR_CFG_BANK_MASK_2_0_SCR                       0
#define MC_EMEM_ADR_CFG_BANK_MASK_2_0_WORD_COUNT                        0x1
#define MC_EMEM_ADR_CFG_BANK_MASK_2_0_RESET_VAL                         _MK_MASK_CONST(0x9dbbb000)
#define MC_EMEM_ADR_CFG_BANK_MASK_2_0_RESET_MASK                        _MK_MASK_CONST(0xfffffc00)
#define MC_EMEM_ADR_CFG_BANK_MASK_2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_BANK_MASK_2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_BANK_MASK_2_0_READ_MASK                         _MK_MASK_CONST(0xfffffc00)
#define MC_EMEM_ADR_CFG_BANK_MASK_2_0_WRITE_MASK                        _MK_MASK_CONST(0xfffffc00)
#define MC_EMEM_ADR_CFG_BANK_MASK_2_0_EMEM_BANK_MASK_2_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_EMEM_ADR_CFG_BANK_MASK_2_0_EMEM_BANK_MASK_2_FIELD                    _MK_FIELD_CONST(0x3fffff, MC_EMEM_ADR_CFG_BANK_MASK_2_0_EMEM_BANK_MASK_2_SHIFT)
#define MC_EMEM_ADR_CFG_BANK_MASK_2_0_EMEM_BANK_MASK_2_RANGE                    31:10
#define MC_EMEM_ADR_CFG_BANK_MASK_2_0_EMEM_BANK_MASK_2_WOFFSET                  0x0
#define MC_EMEM_ADR_CFG_BANK_MASK_2_0_EMEM_BANK_MASK_2_DEFAULT                  _MK_MASK_CONST(0x276eec)
#define MC_EMEM_ADR_CFG_BANK_MASK_2_0_EMEM_BANK_MASK_2_DEFAULT_MASK                     _MK_MASK_CONST(0x3fffff)
#define MC_EMEM_ADR_CFG_BANK_MASK_2_0_EMEM_BANK_MASK_2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_BANK_MASK_2_0_EMEM_BANK_MASK_2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_BANK_MASK_2_0_EMEM_BANK_MASK_2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ADR_CFG_BANK_MASK_2_0_EMEM_BANK_MASK_2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CFG0_0
#define MC_SECURITY_CFG0_0                      _MK_ADDR_CONST(0x70)
#define MC_SECURITY_CFG0_0_SECURE                       0x1
#define MC_SECURITY_CFG0_0_DUAL                         0x0
#define MC_SECURITY_CFG0_0_SCR                  0
#define MC_SECURITY_CFG0_0_WORD_COUNT                   0x1
#define MC_SECURITY_CFG0_0_RESET_VAL                    _MK_MASK_CONST(0x80000000)
#define MC_SECURITY_CFG0_0_RESET_MASK                   _MK_MASK_CONST(0xfff00000)
#define MC_SECURITY_CFG0_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x80000000)
#define MC_SECURITY_CFG0_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xfff00000)
#define MC_SECURITY_CFG0_0_READ_MASK                    _MK_MASK_CONST(0xfff00000)
#define MC_SECURITY_CFG0_0_WRITE_MASK                   _MK_MASK_CONST(0xfff00000)
#define MC_SECURITY_CFG0_0_SECURITY_BOM_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_SECURITY_CFG0_0_SECURITY_BOM_FIELD                   _MK_FIELD_CONST(0xfff, MC_SECURITY_CFG0_0_SECURITY_BOM_SHIFT)
#define MC_SECURITY_CFG0_0_SECURITY_BOM_RANGE                   31:20
#define MC_SECURITY_CFG0_0_SECURITY_BOM_WOFFSET                 0x0
#define MC_SECURITY_CFG0_0_SECURITY_BOM_DEFAULT                 _MK_MASK_CONST(0x800)
#define MC_SECURITY_CFG0_0_SECURITY_BOM_DEFAULT_MASK                    _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CFG0_0_SECURITY_BOM_SW_DEFAULT                      _MK_MASK_CONST(0x800)
#define MC_SECURITY_CFG0_0_SECURITY_BOM_SW_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CFG0_0_SECURITY_BOM_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CFG0_0_SECURITY_BOM_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CFG0_0_SECURITY_BOM__PROD                   _MK_MASK_CONST(0x800)


// Register MC_SECURITY_CFG1_0
#define MC_SECURITY_CFG1_0                      _MK_ADDR_CONST(0x74)
#define MC_SECURITY_CFG1_0_SECURE                       0x1
#define MC_SECURITY_CFG1_0_DUAL                         0x0
#define MC_SECURITY_CFG1_0_SCR                  0
#define MC_SECURITY_CFG1_0_WORD_COUNT                   0x1
#define MC_SECURITY_CFG1_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CFG1_0_RESET_MASK                   _MK_MASK_CONST(0x1fff)
#define MC_SECURITY_CFG1_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CFG1_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1fff)
#define MC_SECURITY_CFG1_0_READ_MASK                    _MK_MASK_CONST(0x1fff)
#define MC_SECURITY_CFG1_0_WRITE_MASK                   _MK_MASK_CONST(0x1fff)
#define MC_SECURITY_CFG1_0_SECURITY_SIZE_MB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CFG1_0_SECURITY_SIZE_MB_FIELD                       _MK_FIELD_CONST(0x1fff, MC_SECURITY_CFG1_0_SECURITY_SIZE_MB_SHIFT)
#define MC_SECURITY_CFG1_0_SECURITY_SIZE_MB_RANGE                       12:0
#define MC_SECURITY_CFG1_0_SECURITY_SIZE_MB_WOFFSET                     0x0
#define MC_SECURITY_CFG1_0_SECURITY_SIZE_MB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CFG1_0_SECURITY_SIZE_MB_DEFAULT_MASK                        _MK_MASK_CONST(0x1fff)
#define MC_SECURITY_CFG1_0_SECURITY_SIZE_MB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CFG1_0_SECURITY_SIZE_MB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1fff)
#define MC_SECURITY_CFG1_0_SECURITY_SIZE_MB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CFG1_0_SECURITY_SIZE_MB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CFG1_0_SECURITY_SIZE_MB__PROD                       _MK_MASK_CONST(0x0)


// Register MC_SECURITY_CFG_REG_CTRL_0
#define MC_SECURITY_CFG_REG_CTRL_0                      _MK_ADDR_CONST(0x154)
#define MC_SECURITY_CFG_REG_CTRL_0_SECURE                       0x1
#define MC_SECURITY_CFG_REG_CTRL_0_DUAL                         0x0
#define MC_SECURITY_CFG_REG_CTRL_0_SCR                  0
#define MC_SECURITY_CFG_REG_CTRL_0_WORD_COUNT                   0x1
#define MC_SECURITY_CFG_REG_CTRL_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CFG_REG_CTRL_0_RESET_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CFG_REG_CTRL_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CFG_REG_CTRL_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CFG_REG_CTRL_0_READ_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CFG_REG_CTRL_0_WRITE_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CFG_REG_CTRL_0_SECURITY_CFG_WRITE_ACCESS_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SECURITY_CFG_REG_CTRL_0_SECURITY_CFG_WRITE_ACCESS_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CFG_REG_CTRL_0_SECURITY_CFG_WRITE_ACCESS_SHIFT)
#define MC_SECURITY_CFG_REG_CTRL_0_SECURITY_CFG_WRITE_ACCESS_RANGE                      0:0
#define MC_SECURITY_CFG_REG_CTRL_0_SECURITY_CFG_WRITE_ACCESS_WOFFSET                    0x0
#define MC_SECURITY_CFG_REG_CTRL_0_SECURITY_CFG_WRITE_ACCESS_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CFG_REG_CTRL_0_SECURITY_CFG_WRITE_ACCESS_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CFG_REG_CTRL_0_SECURITY_CFG_WRITE_ACCESS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CFG_REG_CTRL_0_SECURITY_CFG_WRITE_ACCESS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CFG_REG_CTRL_0_SECURITY_CFG_WRITE_ACCESS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CFG_REG_CTRL_0_SECURITY_CFG_WRITE_ACCESS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CFG_REG_CTRL_0_SECURITY_CFG_WRITE_ACCESS_INIT_ENUM                  ENABLED
#define MC_SECURITY_CFG_REG_CTRL_0_SECURITY_CFG_WRITE_ACCESS_ENABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CFG_REG_CTRL_0_SECURITY_CFG_WRITE_ACCESS_DISABLED                   _MK_ENUM_CONST(1)
#define MC_SECURITY_CFG_REG_CTRL_0_SECURITY_CFG_WRITE_ACCESS__PROD                      _MK_MASK_CONST(0x0)


// Register MC_SECURITY_CFG3_0
#define MC_SECURITY_CFG3_0                      _MK_ADDR_CONST(0x9bc)
#define MC_SECURITY_CFG3_0_SECURE                       0x1
#define MC_SECURITY_CFG3_0_DUAL                         0x0
#define MC_SECURITY_CFG3_0_SCR                  0
#define MC_SECURITY_CFG3_0_WORD_COUNT                   0x1
#define MC_SECURITY_CFG3_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CFG3_0_RESET_MASK                   _MK_MASK_CONST(0xff)
#define MC_SECURITY_CFG3_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CFG3_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CFG3_0_READ_MASK                    _MK_MASK_CONST(0xff)
#define MC_SECURITY_CFG3_0_WRITE_MASK                   _MK_MASK_CONST(0xff)
#define MC_SECURITY_CFG3_0_SECURITY_BOM_HI_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_SECURITY_CFG3_0_SECURITY_BOM_HI_FIELD                        _MK_FIELD_CONST(0xff, MC_SECURITY_CFG3_0_SECURITY_BOM_HI_SHIFT)
#define MC_SECURITY_CFG3_0_SECURITY_BOM_HI_RANGE                        7:0
#define MC_SECURITY_CFG3_0_SECURITY_BOM_HI_WOFFSET                      0x0
#define MC_SECURITY_CFG3_0_SECURITY_BOM_HI_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CFG3_0_SECURITY_BOM_HI_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define MC_SECURITY_CFG3_0_SECURITY_BOM_HI_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CFG3_0_SECURITY_BOM_HI_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CFG3_0_SECURITY_BOM_HI_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CFG3_0_SECURITY_BOM_HI_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CFG3_0_SECURITY_BOM_HI__PROD                        _MK_MASK_CONST(0x0)


// Register MC_SECURITY_RSV_0
#define MC_SECURITY_RSV_0                       _MK_ADDR_CONST(0x7c)
#define MC_SECURITY_RSV_0_SECURE                        0x1
#define MC_SECURITY_RSV_0_DUAL                  0x0
#define MC_SECURITY_RSV_0_SCR                   0
#define MC_SECURITY_RSV_0_WORD_COUNT                    0x1
#define MC_SECURITY_RSV_0_RESET_VAL                     _MK_MASK_CONST(0xff00ff00)
#define MC_SECURITY_RSV_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_RSV_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0xff00ff00)
#define MC_SECURITY_RSV_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_RSV_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_RSV_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE0_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE0_FIELD                      _MK_FIELD_CONST(0xff, MC_SECURITY_RSV_0_SEC_RESERVED_BYTE0_SHIFT)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE0_RANGE                      7:0
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE0_WOFFSET                    0x0
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE0_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE0_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE0_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE0_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE0__PROD                      _MK_MASK_CONST(0x0)

#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE1_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE1_FIELD                      _MK_FIELD_CONST(0xff, MC_SECURITY_RSV_0_SEC_RESERVED_BYTE1_SHIFT)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE1_RANGE                      15:8
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE1_WOFFSET                    0x0
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE1_DEFAULT                    _MK_MASK_CONST(0xff)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE1_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE1_SW_DEFAULT                 _MK_MASK_CONST(0xff)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE1_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE1__PROD                      _MK_MASK_CONST(0xff)

#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE2_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE2_FIELD                      _MK_FIELD_CONST(0xff, MC_SECURITY_RSV_0_SEC_RESERVED_BYTE2_SHIFT)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE2_RANGE                      23:16
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE2_WOFFSET                    0x0
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE2_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE2_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE2_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE2_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE2_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE2__PROD                      _MK_MASK_CONST(0x0)

#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE3_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE3_FIELD                      _MK_FIELD_CONST(0xff, MC_SECURITY_RSV_0_SEC_RESERVED_BYTE3_SHIFT)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE3_RANGE                      31:24
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE3_WOFFSET                    0x0
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE3_DEFAULT                    _MK_MASK_CONST(0xff)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE3_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE3_SW_DEFAULT                 _MK_MASK_CONST(0xff)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE3_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE3_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_RSV_0_SEC_RESERVED_BYTE3__PROD                      _MK_MASK_CONST(0xff)


// Reserved address 0x80

// Reserved address 0x84

// Reserved address 0x88

// Reserved address 0x8c

// Register MC_EMEM_ARB_CFG_0
#define MC_EMEM_ARB_CFG_0                       _MK_ADDR_CONST(0x90)
#define MC_EMEM_ARB_CFG_0_SECURE                        0x0
#define MC_EMEM_ARB_CFG_0_DUAL                  0x0
#define MC_EMEM_ARB_CFG_0_SCR                   0
#define MC_EMEM_ARB_CFG_0_WORD_COUNT                    0x1
#define MC_EMEM_ARB_CFG_0_RESET_VAL                     _MK_MASK_CONST(0x8)
#define MC_EMEM_ARB_CFG_0_RESET_MASK                    _MK_MASK_CONST(0xff1f01ff)
#define MC_EMEM_ARB_CFG_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_CFG_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0xff000000)
#define MC_EMEM_ARB_CFG_0_READ_MASK                     _MK_MASK_CONST(0xff1f01ff)
#define MC_EMEM_ARB_CFG_0_WRITE_MASK                    _MK_MASK_CONST(0xff1f01ff)
#define MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_FIELD                       _MK_FIELD_CONST(0x1ff, MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_SHIFT)
#define MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_RANGE                       8:0
#define MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_WOFFSET                     0x0
#define MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_DEFAULT                     _MK_MASK_CONST(0x8)
#define MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1ff)
#define MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_FIELD                  _MK_FIELD_CONST(0x1f, MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_SHIFT)
#define MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_RANGE                  20:16
#define MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_WOFFSET                        0x0
#define MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_DEFAULT_MASK                   _MK_MASK_CONST(0x1f)
#define MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_FRACTION_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_FRACTION_FIELD                      _MK_FIELD_CONST(0xf, MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_FRACTION_SHIFT)
#define MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_FRACTION_RANGE                      27:24
#define MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_FRACTION_WOFFSET                    0x0
#define MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_FRACTION_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_FRACTION_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_FRACTION_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_FRACTION_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_FRACTION_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_FRACTION_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_FRACTION__PROD                      _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_FRACTION_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_FRACTION_FIELD                 _MK_FIELD_CONST(0xf, MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_FRACTION_SHIFT)
#define MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_FRACTION_RANGE                 31:28
#define MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_FRACTION_WOFFSET                       0x0
#define MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_FRACTION_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_FRACTION_DEFAULT_MASK                  _MK_MASK_CONST(0xf)
#define MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_FRACTION_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_FRACTION_SW_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_FRACTION_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_FRACTION_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_FRACTION__PROD                 _MK_MASK_CONST(0x0)


// Register MC_EMEM_ARB_OUTSTANDING_REQ_0
#define MC_EMEM_ARB_OUTSTANDING_REQ_0                   _MK_ADDR_CONST(0x94)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_SECURE                    0x0
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_DUAL                      0x0
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_SCR                       0
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_WORD_COUNT                        0x1
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_RESET_VAL                         _MK_MASK_CONST(0x40)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_RESET_MASK                        _MK_MASK_CONST(0xc00003ff)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_READ_MASK                         _MK_MASK_CONST(0xc3ff03ff)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_WRITE_MASK                        _MK_MASK_CONST(0xc00003ff)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_MAX_OUTSTANDING_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_MAX_OUTSTANDING_FIELD                 _MK_FIELD_CONST(0x3ff, MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_MAX_OUTSTANDING_SHIFT)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_MAX_OUTSTANDING_RANGE                 9:0
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_MAX_OUTSTANDING_WOFFSET                       0x0
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_MAX_OUTSTANDING_DEFAULT                       _MK_MASK_CONST(0x40)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_MAX_OUTSTANDING_DEFAULT_MASK                  _MK_MASK_CONST(0x3ff)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_MAX_OUTSTANDING_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_MAX_OUTSTANDING_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_MAX_OUTSTANDING_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_MAX_OUTSTANDING_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_OUTSTANDING_COUNT_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_OUTSTANDING_COUNT_FIELD                       _MK_FIELD_CONST(0x3ff, MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_OUTSTANDING_COUNT_SHIFT)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_OUTSTANDING_COUNT_RANGE                       25:16
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_OUTSTANDING_COUNT_WOFFSET                     0x0
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_OUTSTANDING_COUNT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_OUTSTANDING_COUNT_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_OUTSTANDING_COUNT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_OUTSTANDING_COUNT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_OUTSTANDING_COUNT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_OUTSTANDING_COUNT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_DURING_HOLDOFF_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_DURING_HOLDOFF_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_DURING_HOLDOFF_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_DURING_HOLDOFF_OVERRIDE_RANGE                       30:30
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_DURING_HOLDOFF_OVERRIDE_WOFFSET                     0x0
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_DURING_HOLDOFF_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_DURING_HOLDOFF_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_DURING_HOLDOFF_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_DURING_HOLDOFF_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_DURING_HOLDOFF_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_DURING_HOLDOFF_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_DURING_HOLDOFF_OVERRIDE_INIT_ENUM                   DISABLE
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_DURING_HOLDOFF_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_DURING_HOLDOFF_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_OUTSTANDING_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_OUTSTANDING_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_OUTSTANDING_SHIFT)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_OUTSTANDING_RANGE                   31:31
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_OUTSTANDING_WOFFSET                 0x0
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_OUTSTANDING_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_OUTSTANDING_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_OUTSTANDING_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_OUTSTANDING_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_OUTSTANDING_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_OUTSTANDING_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_OUTSTANDING_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_OUTSTANDING_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_LIMIT_OUTSTANDING_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_TIMING_RCD_0
#define MC_EMEM_ARB_TIMING_RCD_0                        _MK_ADDR_CONST(0x98)
#define MC_EMEM_ARB_TIMING_RCD_0_SECURE                         0x0
#define MC_EMEM_ARB_TIMING_RCD_0_DUAL                   0x0
#define MC_EMEM_ARB_TIMING_RCD_0_SCR                    0
#define MC_EMEM_ARB_TIMING_RCD_0_WORD_COUNT                     0x1
#define MC_EMEM_ARB_TIMING_RCD_0_RESET_VAL                      _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_RCD_0_RESET_MASK                     _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_RCD_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RCD_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RCD_0_READ_MASK                      _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_RCD_0_WRITE_MASK                     _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_RCD_0_RCD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_TIMING_RCD_0_RCD_FIELD                      _MK_FIELD_CONST(0x3f, MC_EMEM_ARB_TIMING_RCD_0_RCD_SHIFT)
#define MC_EMEM_ARB_TIMING_RCD_0_RCD_RANGE                      5:0
#define MC_EMEM_ARB_TIMING_RCD_0_RCD_WOFFSET                    0x0
#define MC_EMEM_ARB_TIMING_RCD_0_RCD_DEFAULT                    _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_RCD_0_RCD_DEFAULT_MASK                       _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_RCD_0_RCD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RCD_0_RCD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RCD_0_RCD_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_TIMING_RCD_0_RCD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_TIMING_RP_0
#define MC_EMEM_ARB_TIMING_RP_0                 _MK_ADDR_CONST(0x9c)
#define MC_EMEM_ARB_TIMING_RP_0_SECURE                  0x0
#define MC_EMEM_ARB_TIMING_RP_0_DUAL                    0x0
#define MC_EMEM_ARB_TIMING_RP_0_SCR                     0
#define MC_EMEM_ARB_TIMING_RP_0_WORD_COUNT                      0x1
#define MC_EMEM_ARB_TIMING_RP_0_RESET_VAL                       _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_RP_0_RESET_MASK                      _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_RP_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RP_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RP_0_READ_MASK                       _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_RP_0_WRITE_MASK                      _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_RP_0_RP_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_TIMING_RP_0_RP_FIELD                        _MK_FIELD_CONST(0x7f, MC_EMEM_ARB_TIMING_RP_0_RP_SHIFT)
#define MC_EMEM_ARB_TIMING_RP_0_RP_RANGE                        6:0
#define MC_EMEM_ARB_TIMING_RP_0_RP_WOFFSET                      0x0
#define MC_EMEM_ARB_TIMING_RP_0_RP_DEFAULT                      _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_RP_0_RP_DEFAULT_MASK                 _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_RP_0_RP_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RP_0_RP_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RP_0_RP_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_TIMING_RP_0_RP_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_TIMING_RC_0
#define MC_EMEM_ARB_TIMING_RC_0                 _MK_ADDR_CONST(0xa0)
#define MC_EMEM_ARB_TIMING_RC_0_SECURE                  0x0
#define MC_EMEM_ARB_TIMING_RC_0_DUAL                    0x0
#define MC_EMEM_ARB_TIMING_RC_0_SCR                     0
#define MC_EMEM_ARB_TIMING_RC_0_WORD_COUNT                      0x1
#define MC_EMEM_ARB_TIMING_RC_0_RESET_VAL                       _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_TIMING_RC_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_TIMING_RC_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RC_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RC_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_TIMING_RC_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_TIMING_RC_0_RC_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_TIMING_RC_0_RC_FIELD                        _MK_FIELD_CONST(0xff, MC_EMEM_ARB_TIMING_RC_0_RC_SHIFT)
#define MC_EMEM_ARB_TIMING_RC_0_RC_RANGE                        7:0
#define MC_EMEM_ARB_TIMING_RC_0_RC_WOFFSET                      0x0
#define MC_EMEM_ARB_TIMING_RC_0_RC_DEFAULT                      _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_TIMING_RC_0_RC_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_TIMING_RC_0_RC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RC_0_RC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RC_0_RC_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_TIMING_RC_0_RC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_TIMING_RAS_0
#define MC_EMEM_ARB_TIMING_RAS_0                        _MK_ADDR_CONST(0xa4)
#define MC_EMEM_ARB_TIMING_RAS_0_SECURE                         0x0
#define MC_EMEM_ARB_TIMING_RAS_0_DUAL                   0x0
#define MC_EMEM_ARB_TIMING_RAS_0_SCR                    0
#define MC_EMEM_ARB_TIMING_RAS_0_WORD_COUNT                     0x1
#define MC_EMEM_ARB_TIMING_RAS_0_RESET_VAL                      _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_RAS_0_RESET_MASK                     _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_RAS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RAS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RAS_0_READ_MASK                      _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_RAS_0_WRITE_MASK                     _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_RAS_0_RAS_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_TIMING_RAS_0_RAS_FIELD                      _MK_FIELD_CONST(0x7f, MC_EMEM_ARB_TIMING_RAS_0_RAS_SHIFT)
#define MC_EMEM_ARB_TIMING_RAS_0_RAS_RANGE                      6:0
#define MC_EMEM_ARB_TIMING_RAS_0_RAS_WOFFSET                    0x0
#define MC_EMEM_ARB_TIMING_RAS_0_RAS_DEFAULT                    _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_RAS_0_RAS_DEFAULT_MASK                       _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_RAS_0_RAS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RAS_0_RAS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RAS_0_RAS_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_TIMING_RAS_0_RAS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_TIMING_FAW_0
#define MC_EMEM_ARB_TIMING_FAW_0                        _MK_ADDR_CONST(0xa8)
#define MC_EMEM_ARB_TIMING_FAW_0_SECURE                         0x0
#define MC_EMEM_ARB_TIMING_FAW_0_DUAL                   0x0
#define MC_EMEM_ARB_TIMING_FAW_0_SCR                    0
#define MC_EMEM_ARB_TIMING_FAW_0_WORD_COUNT                     0x1
#define MC_EMEM_ARB_TIMING_FAW_0_RESET_VAL                      _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_FAW_0_RESET_MASK                     _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_FAW_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_FAW_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_FAW_0_READ_MASK                      _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_FAW_0_WRITE_MASK                     _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_FAW_0_FAW_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_TIMING_FAW_0_FAW_FIELD                      _MK_FIELD_CONST(0x7f, MC_EMEM_ARB_TIMING_FAW_0_FAW_SHIFT)
#define MC_EMEM_ARB_TIMING_FAW_0_FAW_RANGE                      6:0
#define MC_EMEM_ARB_TIMING_FAW_0_FAW_WOFFSET                    0x0
#define MC_EMEM_ARB_TIMING_FAW_0_FAW_DEFAULT                    _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_FAW_0_FAW_DEFAULT_MASK                       _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_FAW_0_FAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_FAW_0_FAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_FAW_0_FAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_TIMING_FAW_0_FAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_TIMING_RRD_0
#define MC_EMEM_ARB_TIMING_RRD_0                        _MK_ADDR_CONST(0xac)
#define MC_EMEM_ARB_TIMING_RRD_0_SECURE                         0x0
#define MC_EMEM_ARB_TIMING_RRD_0_DUAL                   0x0
#define MC_EMEM_ARB_TIMING_RRD_0_SCR                    0
#define MC_EMEM_ARB_TIMING_RRD_0_WORD_COUNT                     0x1
#define MC_EMEM_ARB_TIMING_RRD_0_RESET_VAL                      _MK_MASK_CONST(0x1f)
#define MC_EMEM_ARB_TIMING_RRD_0_RESET_MASK                     _MK_MASK_CONST(0x1f)
#define MC_EMEM_ARB_TIMING_RRD_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RRD_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RRD_0_READ_MASK                      _MK_MASK_CONST(0x1f)
#define MC_EMEM_ARB_TIMING_RRD_0_WRITE_MASK                     _MK_MASK_CONST(0x1f)
#define MC_EMEM_ARB_TIMING_RRD_0_RRD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_TIMING_RRD_0_RRD_FIELD                      _MK_FIELD_CONST(0x1f, MC_EMEM_ARB_TIMING_RRD_0_RRD_SHIFT)
#define MC_EMEM_ARB_TIMING_RRD_0_RRD_RANGE                      4:0
#define MC_EMEM_ARB_TIMING_RRD_0_RRD_WOFFSET                    0x0
#define MC_EMEM_ARB_TIMING_RRD_0_RRD_DEFAULT                    _MK_MASK_CONST(0x1f)
#define MC_EMEM_ARB_TIMING_RRD_0_RRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1f)
#define MC_EMEM_ARB_TIMING_RRD_0_RRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RRD_0_RRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RRD_0_RRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_TIMING_RRD_0_RRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_TIMING_RAP2PRE_0
#define MC_EMEM_ARB_TIMING_RAP2PRE_0                    _MK_ADDR_CONST(0xb0)
#define MC_EMEM_ARB_TIMING_RAP2PRE_0_SECURE                     0x0
#define MC_EMEM_ARB_TIMING_RAP2PRE_0_DUAL                       0x0
#define MC_EMEM_ARB_TIMING_RAP2PRE_0_SCR                        0
#define MC_EMEM_ARB_TIMING_RAP2PRE_0_WORD_COUNT                         0x1
#define MC_EMEM_ARB_TIMING_RAP2PRE_0_RESET_VAL                  _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_RAP2PRE_0_RESET_MASK                         _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_RAP2PRE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RAP2PRE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RAP2PRE_0_READ_MASK                  _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_RAP2PRE_0_WRITE_MASK                         _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_RAP2PRE_0_RAP2PRE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_TIMING_RAP2PRE_0_RAP2PRE_FIELD                      _MK_FIELD_CONST(0x7f, MC_EMEM_ARB_TIMING_RAP2PRE_0_RAP2PRE_SHIFT)
#define MC_EMEM_ARB_TIMING_RAP2PRE_0_RAP2PRE_RANGE                      6:0
#define MC_EMEM_ARB_TIMING_RAP2PRE_0_RAP2PRE_WOFFSET                    0x0
#define MC_EMEM_ARB_TIMING_RAP2PRE_0_RAP2PRE_DEFAULT                    _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_RAP2PRE_0_RAP2PRE_DEFAULT_MASK                       _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_RAP2PRE_0_RAP2PRE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RAP2PRE_0_RAP2PRE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RAP2PRE_0_RAP2PRE_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_TIMING_RAP2PRE_0_RAP2PRE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_TIMING_WAP2PRE_0
#define MC_EMEM_ARB_TIMING_WAP2PRE_0                    _MK_ADDR_CONST(0xb4)
#define MC_EMEM_ARB_TIMING_WAP2PRE_0_SECURE                     0x0
#define MC_EMEM_ARB_TIMING_WAP2PRE_0_DUAL                       0x0
#define MC_EMEM_ARB_TIMING_WAP2PRE_0_SCR                        0
#define MC_EMEM_ARB_TIMING_WAP2PRE_0_WORD_COUNT                         0x1
#define MC_EMEM_ARB_TIMING_WAP2PRE_0_RESET_VAL                  _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_TIMING_WAP2PRE_0_RESET_MASK                         _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_TIMING_WAP2PRE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_WAP2PRE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_WAP2PRE_0_READ_MASK                  _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_TIMING_WAP2PRE_0_WRITE_MASK                         _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_TIMING_WAP2PRE_0_WAP2PRE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_TIMING_WAP2PRE_0_WAP2PRE_FIELD                      _MK_FIELD_CONST(0xff, MC_EMEM_ARB_TIMING_WAP2PRE_0_WAP2PRE_SHIFT)
#define MC_EMEM_ARB_TIMING_WAP2PRE_0_WAP2PRE_RANGE                      7:0
#define MC_EMEM_ARB_TIMING_WAP2PRE_0_WAP2PRE_WOFFSET                    0x0
#define MC_EMEM_ARB_TIMING_WAP2PRE_0_WAP2PRE_DEFAULT                    _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_TIMING_WAP2PRE_0_WAP2PRE_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_TIMING_WAP2PRE_0_WAP2PRE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_WAP2PRE_0_WAP2PRE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_WAP2PRE_0_WAP2PRE_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_TIMING_WAP2PRE_0_WAP2PRE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_TIMING_R2R_0
#define MC_EMEM_ARB_TIMING_R2R_0                        _MK_ADDR_CONST(0xb8)
#define MC_EMEM_ARB_TIMING_R2R_0_SECURE                         0x0
#define MC_EMEM_ARB_TIMING_R2R_0_DUAL                   0x0
#define MC_EMEM_ARB_TIMING_R2R_0_SCR                    0
#define MC_EMEM_ARB_TIMING_R2R_0_WORD_COUNT                     0x1
#define MC_EMEM_ARB_TIMING_R2R_0_RESET_VAL                      _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_R2R_0_RESET_MASK                     _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_R2R_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_R2R_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_R2R_0_READ_MASK                      _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_R2R_0_WRITE_MASK                     _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_R2R_0_R2R_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_TIMING_R2R_0_R2R_FIELD                      _MK_FIELD_CONST(0x3f, MC_EMEM_ARB_TIMING_R2R_0_R2R_SHIFT)
#define MC_EMEM_ARB_TIMING_R2R_0_R2R_RANGE                      5:0
#define MC_EMEM_ARB_TIMING_R2R_0_R2R_WOFFSET                    0x0
#define MC_EMEM_ARB_TIMING_R2R_0_R2R_DEFAULT                    _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_R2R_0_R2R_DEFAULT_MASK                       _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_R2R_0_R2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_R2R_0_R2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_R2R_0_R2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_TIMING_R2R_0_R2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_TIMING_W2W_0
#define MC_EMEM_ARB_TIMING_W2W_0                        _MK_ADDR_CONST(0xbc)
#define MC_EMEM_ARB_TIMING_W2W_0_SECURE                         0x0
#define MC_EMEM_ARB_TIMING_W2W_0_DUAL                   0x0
#define MC_EMEM_ARB_TIMING_W2W_0_SCR                    0
#define MC_EMEM_ARB_TIMING_W2W_0_WORD_COUNT                     0x1
#define MC_EMEM_ARB_TIMING_W2W_0_RESET_VAL                      _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_W2W_0_RESET_MASK                     _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_W2W_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_W2W_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_W2W_0_READ_MASK                      _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_W2W_0_WRITE_MASK                     _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_W2W_0_W2W_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_TIMING_W2W_0_W2W_FIELD                      _MK_FIELD_CONST(0x3f, MC_EMEM_ARB_TIMING_W2W_0_W2W_SHIFT)
#define MC_EMEM_ARB_TIMING_W2W_0_W2W_RANGE                      5:0
#define MC_EMEM_ARB_TIMING_W2W_0_W2W_WOFFSET                    0x0
#define MC_EMEM_ARB_TIMING_W2W_0_W2W_DEFAULT                    _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_W2W_0_W2W_DEFAULT_MASK                       _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_W2W_0_W2W_SW_DEFAULT                 _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_W2W_0_W2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_W2W_0_W2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_TIMING_W2W_0_W2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_TIMING_W2W_0_W2W__PROD                      _MK_MASK_CONST(0x3f)


// Register MC_EMEM_ARB_TIMING_R2W_0
#define MC_EMEM_ARB_TIMING_R2W_0                        _MK_ADDR_CONST(0xc0)
#define MC_EMEM_ARB_TIMING_R2W_0_SECURE                         0x0
#define MC_EMEM_ARB_TIMING_R2W_0_DUAL                   0x0
#define MC_EMEM_ARB_TIMING_R2W_0_SCR                    0
#define MC_EMEM_ARB_TIMING_R2W_0_WORD_COUNT                     0x1
#define MC_EMEM_ARB_TIMING_R2W_0_RESET_VAL                      _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_R2W_0_RESET_MASK                     _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_R2W_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_R2W_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_R2W_0_READ_MASK                      _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_R2W_0_WRITE_MASK                     _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_R2W_0_R2W_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_TIMING_R2W_0_R2W_FIELD                      _MK_FIELD_CONST(0x7f, MC_EMEM_ARB_TIMING_R2W_0_R2W_SHIFT)
#define MC_EMEM_ARB_TIMING_R2W_0_R2W_RANGE                      6:0
#define MC_EMEM_ARB_TIMING_R2W_0_R2W_WOFFSET                    0x0
#define MC_EMEM_ARB_TIMING_R2W_0_R2W_DEFAULT                    _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_R2W_0_R2W_DEFAULT_MASK                       _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_R2W_0_R2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_R2W_0_R2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_R2W_0_R2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_TIMING_R2W_0_R2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_TIMING_W2R_0
#define MC_EMEM_ARB_TIMING_W2R_0                        _MK_ADDR_CONST(0xc4)
#define MC_EMEM_ARB_TIMING_W2R_0_SECURE                         0x0
#define MC_EMEM_ARB_TIMING_W2R_0_DUAL                   0x0
#define MC_EMEM_ARB_TIMING_W2R_0_SCR                    0
#define MC_EMEM_ARB_TIMING_W2R_0_WORD_COUNT                     0x1
#define MC_EMEM_ARB_TIMING_W2R_0_RESET_VAL                      _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_W2R_0_RESET_MASK                     _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_W2R_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_W2R_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_W2R_0_READ_MASK                      _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_W2R_0_WRITE_MASK                     _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_W2R_0_W2R_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_TIMING_W2R_0_W2R_FIELD                      _MK_FIELD_CONST(0x7f, MC_EMEM_ARB_TIMING_W2R_0_W2R_SHIFT)
#define MC_EMEM_ARB_TIMING_W2R_0_W2R_RANGE                      6:0
#define MC_EMEM_ARB_TIMING_W2R_0_W2R_WOFFSET                    0x0
#define MC_EMEM_ARB_TIMING_W2R_0_W2R_DEFAULT                    _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_W2R_0_W2R_DEFAULT_MASK                       _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_W2R_0_W2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_W2R_0_W2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_W2R_0_W2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_TIMING_W2R_0_W2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_TIMING_RFCPB_0
#define MC_EMEM_ARB_TIMING_RFCPB_0                      _MK_ADDR_CONST(0x6c0)
#define MC_EMEM_ARB_TIMING_RFCPB_0_SECURE                       0x0
#define MC_EMEM_ARB_TIMING_RFCPB_0_DUAL                         0x0
#define MC_EMEM_ARB_TIMING_RFCPB_0_SCR                  0
#define MC_EMEM_ARB_TIMING_RFCPB_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_TIMING_RFCPB_0_RESET_VAL                    _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_RFCPB_0_RESET_MASK                   _MK_MASK_CONST(0x1ff)
#define MC_EMEM_ARB_TIMING_RFCPB_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RFCPB_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RFCPB_0_READ_MASK                    _MK_MASK_CONST(0x1ff)
#define MC_EMEM_ARB_TIMING_RFCPB_0_WRITE_MASK                   _MK_MASK_CONST(0x1ff)
#define MC_EMEM_ARB_TIMING_RFCPB_0_RFCPB_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_TIMING_RFCPB_0_RFCPB_FIELD                  _MK_FIELD_CONST(0x1ff, MC_EMEM_ARB_TIMING_RFCPB_0_RFCPB_SHIFT)
#define MC_EMEM_ARB_TIMING_RFCPB_0_RFCPB_RANGE                  8:0
#define MC_EMEM_ARB_TIMING_RFCPB_0_RFCPB_WOFFSET                        0x0
#define MC_EMEM_ARB_TIMING_RFCPB_0_RFCPB_DEFAULT                        _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_RFCPB_0_RFCPB_DEFAULT_MASK                   _MK_MASK_CONST(0x1ff)
#define MC_EMEM_ARB_TIMING_RFCPB_0_RFCPB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RFCPB_0_RFCPB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_RFCPB_0_RFCPB_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_TIMING_RFCPB_0_RFCPB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_TIMING_CCDMW_0
#define MC_EMEM_ARB_TIMING_CCDMW_0                      _MK_ADDR_CONST(0x6c4)
#define MC_EMEM_ARB_TIMING_CCDMW_0_SECURE                       0x0
#define MC_EMEM_ARB_TIMING_CCDMW_0_DUAL                         0x0
#define MC_EMEM_ARB_TIMING_CCDMW_0_SCR                  0
#define MC_EMEM_ARB_TIMING_CCDMW_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_TIMING_CCDMW_0_RESET_VAL                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_TIMING_CCDMW_0_RESET_MASK                   _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_CCDMW_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_CCDMW_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_CCDMW_0_READ_MASK                    _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_CCDMW_0_WRITE_MASK                   _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_CCDMW_0_CCDMW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_TIMING_CCDMW_0_CCDMW_FIELD                  _MK_FIELD_CONST(0x3f, MC_EMEM_ARB_TIMING_CCDMW_0_CCDMW_SHIFT)
#define MC_EMEM_ARB_TIMING_CCDMW_0_CCDMW_RANGE                  5:0
#define MC_EMEM_ARB_TIMING_CCDMW_0_CCDMW_WOFFSET                        0x0
#define MC_EMEM_ARB_TIMING_CCDMW_0_CCDMW_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_TIMING_CCDMW_0_CCDMW_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_CCDMW_0_CCDMW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_CCDMW_0_CCDMW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_CCDMW_0_CCDMW_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_TIMING_CCDMW_0_CCDMW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_TIMING_PBR2PBR_0
#define MC_EMEM_ARB_TIMING_PBR2PBR_0                    _MK_ADDR_CONST(0x6c8)
#define MC_EMEM_ARB_TIMING_PBR2PBR_0_SECURE                     0x0
#define MC_EMEM_ARB_TIMING_PBR2PBR_0_DUAL                       0x0
#define MC_EMEM_ARB_TIMING_PBR2PBR_0_SCR                        0
#define MC_EMEM_ARB_TIMING_PBR2PBR_0_WORD_COUNT                         0x1
#define MC_EMEM_ARB_TIMING_PBR2PBR_0_RESET_VAL                  _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_PBR2PBR_0_RESET_MASK                         _MK_MASK_CONST(0x1ff)
#define MC_EMEM_ARB_TIMING_PBR2PBR_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_PBR2PBR_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_PBR2PBR_0_READ_MASK                  _MK_MASK_CONST(0x1ff)
#define MC_EMEM_ARB_TIMING_PBR2PBR_0_WRITE_MASK                         _MK_MASK_CONST(0x1ff)
#define MC_EMEM_ARB_TIMING_PBR2PBR_0_PBR2PBR_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_TIMING_PBR2PBR_0_PBR2PBR_FIELD                      _MK_FIELD_CONST(0x1ff, MC_EMEM_ARB_TIMING_PBR2PBR_0_PBR2PBR_SHIFT)
#define MC_EMEM_ARB_TIMING_PBR2PBR_0_PBR2PBR_RANGE                      8:0
#define MC_EMEM_ARB_TIMING_PBR2PBR_0_PBR2PBR_WOFFSET                    0x0
#define MC_EMEM_ARB_TIMING_PBR2PBR_0_PBR2PBR_DEFAULT                    _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_TIMING_PBR2PBR_0_PBR2PBR_DEFAULT_MASK                       _MK_MASK_CONST(0x1ff)
#define MC_EMEM_ARB_TIMING_PBR2PBR_0_PBR2PBR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_PBR2PBR_0_PBR2PBR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_PBR2PBR_0_PBR2PBR_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_TIMING_PBR2PBR_0_PBR2PBR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_TIMING_PDEX_0
#define MC_EMEM_ARB_TIMING_PDEX_0                       _MK_ADDR_CONST(0x6cc)
#define MC_EMEM_ARB_TIMING_PDEX_0_SECURE                        0x0
#define MC_EMEM_ARB_TIMING_PDEX_0_DUAL                  0x0
#define MC_EMEM_ARB_TIMING_PDEX_0_SCR                   0
#define MC_EMEM_ARB_TIMING_PDEX_0_WORD_COUNT                    0x1
#define MC_EMEM_ARB_TIMING_PDEX_0_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_PDEX_0_RESET_MASK                    _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_PDEX_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_PDEX_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_PDEX_0_READ_MASK                     _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_PDEX_0_WRITE_MASK                    _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_PDEX_0_PDEX_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_TIMING_PDEX_0_PDEX_FIELD                    _MK_FIELD_CONST(0x7f, MC_EMEM_ARB_TIMING_PDEX_0_PDEX_SHIFT)
#define MC_EMEM_ARB_TIMING_PDEX_0_PDEX_RANGE                    6:0
#define MC_EMEM_ARB_TIMING_PDEX_0_PDEX_WOFFSET                  0x0
#define MC_EMEM_ARB_TIMING_PDEX_0_PDEX_DEFAULT                  _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_PDEX_0_PDEX_DEFAULT_MASK                     _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_PDEX_0_PDEX_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_PDEX_0_PDEX_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_PDEX_0_PDEX_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_TIMING_PDEX_0_PDEX_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_TIMING_SREX_0
#define MC_EMEM_ARB_TIMING_SREX_0                       _MK_ADDR_CONST(0x6d0)
#define MC_EMEM_ARB_TIMING_SREX_0_SECURE                        0x0
#define MC_EMEM_ARB_TIMING_SREX_0_DUAL                  0x0
#define MC_EMEM_ARB_TIMING_SREX_0_SCR                   0
#define MC_EMEM_ARB_TIMING_SREX_0_WORD_COUNT                    0x1
#define MC_EMEM_ARB_TIMING_SREX_0_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_SREX_0_RESET_MASK                    _MK_MASK_CONST(0x3ff)
#define MC_EMEM_ARB_TIMING_SREX_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_SREX_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_SREX_0_READ_MASK                     _MK_MASK_CONST(0x3ff)
#define MC_EMEM_ARB_TIMING_SREX_0_WRITE_MASK                    _MK_MASK_CONST(0x3ff)
#define MC_EMEM_ARB_TIMING_SREX_0_SREX_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_TIMING_SREX_0_SREX_FIELD                    _MK_FIELD_CONST(0x3ff, MC_EMEM_ARB_TIMING_SREX_0_SREX_SHIFT)
#define MC_EMEM_ARB_TIMING_SREX_0_SREX_RANGE                    9:0
#define MC_EMEM_ARB_TIMING_SREX_0_SREX_WOFFSET                  0x0
#define MC_EMEM_ARB_TIMING_SREX_0_SREX_DEFAULT                  _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_TIMING_SREX_0_SREX_DEFAULT_MASK                     _MK_MASK_CONST(0x3ff)
#define MC_EMEM_ARB_TIMING_SREX_0_SREX_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_SREX_0_SREX_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_TIMING_SREX_0_SREX_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_TIMING_SREX_0_SREX_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_REFPB_HP_CTRL_0
#define MC_EMEM_ARB_REFPB_HP_CTRL_0                     _MK_ADDR_CONST(0x6f0)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_SECURE                      0x0
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_DUAL                        0x0
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_SCR                         0
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_RESET_VAL                   _MK_MASK_CONST(0x160a1020)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_RESET_MASK                  _MK_MASK_CONST(0x1f7f7f7f)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0xa1020)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x7f7f7f)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_READ_MASK                   _MK_MASK_CONST(0x1f7f7f7f)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_WRITE_MASK                  _MK_MASK_CONST(0x1f7f7f7f)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_ENABLE_HP_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_ENABLE_HP_FIELD                        _MK_FIELD_CONST(0x7f, MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_ENABLE_HP_SHIFT)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_ENABLE_HP_RANGE                        6:0
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_ENABLE_HP_WOFFSET                      0x0
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_ENABLE_HP_DEFAULT                      _MK_MASK_CONST(0x20)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_ENABLE_HP_DEFAULT_MASK                 _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_ENABLE_HP_SW_DEFAULT                   _MK_MASK_CONST(0x20)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_ENABLE_HP_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_ENABLE_HP_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_ENABLE_HP_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_ENABLE_HP__PROD                        _MK_MASK_CONST(0x20)

#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_DISABLE_HP_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_DISABLE_HP_FIELD                       _MK_FIELD_CONST(0x7f, MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_DISABLE_HP_SHIFT)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_DISABLE_HP_RANGE                       14:8
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_DISABLE_HP_WOFFSET                     0x0
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_DISABLE_HP_DEFAULT                     _MK_MASK_CONST(0x10)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_DISABLE_HP_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_DISABLE_HP_SW_DEFAULT                  _MK_MASK_CONST(0x10)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_DISABLE_HP_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_DISABLE_HP_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_DISABLE_HP_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_THRESH_DISABLE_HP__PROD                       _MK_MASK_CONST(0x10)

#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_OPEN_WORK_THRESH_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_OPEN_WORK_THRESH_FIELD                        _MK_FIELD_CONST(0x7f, MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_OPEN_WORK_THRESH_SHIFT)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_OPEN_WORK_THRESH_RANGE                        22:16
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_OPEN_WORK_THRESH_WOFFSET                      0x0
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_OPEN_WORK_THRESH_DEFAULT                      _MK_MASK_CONST(0xa)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_OPEN_WORK_THRESH_DEFAULT_MASK                 _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_OPEN_WORK_THRESH_SW_DEFAULT                   _MK_MASK_CONST(0xa)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_OPEN_WORK_THRESH_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_OPEN_WORK_THRESH_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_OPEN_WORK_THRESH_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_OPEN_WORK_THRESH__PROD                        _MK_MASK_CONST(0xa)

#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ENABLE_MP_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ENABLE_MP_FIELD                       _MK_FIELD_CONST(0x3, MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ENABLE_MP_SHIFT)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ENABLE_MP_RANGE                       25:24
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ENABLE_MP_WOFFSET                     0x0
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ENABLE_MP_DEFAULT                     _MK_MASK_CONST(0x2)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ENABLE_MP_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ENABLE_MP_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ENABLE_MP_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ENABLE_MP_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ENABLE_MP_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ENABLE_MP_INIT_ENUM                   HP_OVER_2
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ENABLE_MP_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ENABLE_MP_HP_OVER_4                   _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ENABLE_MP_HP_OVER_2                   _MK_ENUM_CONST(2)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ENABLE_MP_ALWAYS                      _MK_ENUM_CONST(3)

#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ALLOW_PTC_ACT_IN_HP_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ALLOW_PTC_ACT_IN_HP_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ALLOW_PTC_ACT_IN_HP_SHIFT)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ALLOW_PTC_ACT_IN_HP_RANGE                     26:26
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ALLOW_PTC_ACT_IN_HP_WOFFSET                   0x0
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ALLOW_PTC_ACT_IN_HP_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ALLOW_PTC_ACT_IN_HP_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ALLOW_PTC_ACT_IN_HP_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ALLOW_PTC_ACT_IN_HP_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ALLOW_PTC_ACT_IN_HP_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ALLOW_PTC_ACT_IN_HP_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ALLOW_PTC_ACT_IN_HP_INIT_ENUM                 ENABLE
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ALLOW_PTC_ACT_IN_HP_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_ALLOW_PTC_ACT_IN_HP_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_READ_ACT_REF_P1_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_READ_ACT_REF_P1_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_READ_ACT_REF_P1_SHIFT)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_READ_ACT_REF_P1_RANGE                        27:27
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_READ_ACT_REF_P1_WOFFSET                      0x0
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_READ_ACT_REF_P1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_READ_ACT_REF_P1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_READ_ACT_REF_P1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_READ_ACT_REF_P1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_READ_ACT_REF_P1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_READ_ACT_REF_P1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_READ_ACT_REF_P1_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_READ_ACT_REF_P1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_READ_ACT_REF_P1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_WRITE_ACT_REF_P1_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_WRITE_ACT_REF_P1_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_WRITE_ACT_REF_P1_SHIFT)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_WRITE_ACT_REF_P1_RANGE                       28:28
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_WRITE_ACT_REF_P1_WOFFSET                     0x0
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_WRITE_ACT_REF_P1_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_WRITE_ACT_REF_P1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_WRITE_ACT_REF_P1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_WRITE_ACT_REF_P1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_WRITE_ACT_REF_P1_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_WRITE_ACT_REF_P1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_WRITE_ACT_REF_P1_INIT_ENUM                   ENABLE
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_WRITE_ACT_REF_P1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_REFPB_HP_CTRL_0_REFPB_HP_BLOCK_WRITE_ACT_REF_P1_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_REFPB_BANK_CTRL_0
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0                   _MK_ADDR_CONST(0x6f4)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_SECURE                    0x0
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_DUAL                      0x0
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_SCR                       0
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_WORD_COUNT                        0x1
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_RESET_VAL                         _MK_MASK_CONST(0x2636)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_RESET_MASK                        _MK_MASK_CONST(0x7f7f)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x2636)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x7f7f)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_READ_MASK                         _MK_MASK_CONST(0x7f7f)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_WRITE_MASK                        _MK_MASK_CONST(0x7f7f)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_ENABLE_FORCE_CLOSE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_ENABLE_FORCE_CLOSE_FIELD                     _MK_FIELD_CONST(0x7f, MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_ENABLE_FORCE_CLOSE_SHIFT)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_ENABLE_FORCE_CLOSE_RANGE                     6:0
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_ENABLE_FORCE_CLOSE_WOFFSET                   0x0
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_ENABLE_FORCE_CLOSE_DEFAULT                   _MK_MASK_CONST(0x36)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_ENABLE_FORCE_CLOSE_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_ENABLE_FORCE_CLOSE_SW_DEFAULT                        _MK_MASK_CONST(0x36)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_ENABLE_FORCE_CLOSE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_ENABLE_FORCE_CLOSE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_ENABLE_FORCE_CLOSE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_ENABLE_FORCE_CLOSE__PROD                     _MK_MASK_CONST(0x36)

#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_DISABLE_FORCE_CLOSE_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_DISABLE_FORCE_CLOSE_FIELD                    _MK_FIELD_CONST(0x7f, MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_DISABLE_FORCE_CLOSE_SHIFT)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_DISABLE_FORCE_CLOSE_RANGE                    14:8
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_DISABLE_FORCE_CLOSE_WOFFSET                  0x0
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_DISABLE_FORCE_CLOSE_DEFAULT                  _MK_MASK_CONST(0x26)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_DISABLE_FORCE_CLOSE_DEFAULT_MASK                     _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_DISABLE_FORCE_CLOSE_SW_DEFAULT                       _MK_MASK_CONST(0x26)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_DISABLE_FORCE_CLOSE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_DISABLE_FORCE_CLOSE_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_DISABLE_FORCE_CLOSE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_REFPB_THRESH_DISABLE_FORCE_CLOSE__PROD                    _MK_MASK_CONST(0x26)


// Register MC_EMEM_ARB_DA_TURNS_0
#define MC_EMEM_ARB_DA_TURNS_0                  _MK_ADDR_CONST(0xd0)
#define MC_EMEM_ARB_DA_TURNS_0_SECURE                   0x0
#define MC_EMEM_ARB_DA_TURNS_0_DUAL                     0x0
#define MC_EMEM_ARB_DA_TURNS_0_SCR                      0
#define MC_EMEM_ARB_DA_TURNS_0_WORD_COUNT                       0x1
#define MC_EMEM_ARB_DA_TURNS_0_RESET_VAL                        _MK_MASK_CONST(0xf0f0205)
#define MC_EMEM_ARB_DA_TURNS_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_EMEM_ARB_DA_TURNS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_TURNS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_TURNS_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_EMEM_ARB_DA_TURNS_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_EMEM_ARB_DA_TURNS_0_R2R_TURN_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_DA_TURNS_0_R2R_TURN_FIELD                   _MK_FIELD_CONST(0xff, MC_EMEM_ARB_DA_TURNS_0_R2R_TURN_SHIFT)
#define MC_EMEM_ARB_DA_TURNS_0_R2R_TURN_RANGE                   7:0
#define MC_EMEM_ARB_DA_TURNS_0_R2R_TURN_WOFFSET                 0x0
#define MC_EMEM_ARB_DA_TURNS_0_R2R_TURN_DEFAULT                 _MK_MASK_CONST(0x5)
#define MC_EMEM_ARB_DA_TURNS_0_R2R_TURN_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_DA_TURNS_0_R2R_TURN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_TURNS_0_R2R_TURN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_TURNS_0_R2R_TURN_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_TURNS_0_R2R_TURN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_DA_TURNS_0_W2W_TURN_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_EMEM_ARB_DA_TURNS_0_W2W_TURN_FIELD                   _MK_FIELD_CONST(0xff, MC_EMEM_ARB_DA_TURNS_0_W2W_TURN_SHIFT)
#define MC_EMEM_ARB_DA_TURNS_0_W2W_TURN_RANGE                   15:8
#define MC_EMEM_ARB_DA_TURNS_0_W2W_TURN_WOFFSET                 0x0
#define MC_EMEM_ARB_DA_TURNS_0_W2W_TURN_DEFAULT                 _MK_MASK_CONST(0x2)
#define MC_EMEM_ARB_DA_TURNS_0_W2W_TURN_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_DA_TURNS_0_W2W_TURN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_TURNS_0_W2W_TURN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_TURNS_0_W2W_TURN_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_TURNS_0_W2W_TURN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_DA_TURNS_0_R2W_TURN_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_DA_TURNS_0_R2W_TURN_FIELD                   _MK_FIELD_CONST(0xff, MC_EMEM_ARB_DA_TURNS_0_R2W_TURN_SHIFT)
#define MC_EMEM_ARB_DA_TURNS_0_R2W_TURN_RANGE                   23:16
#define MC_EMEM_ARB_DA_TURNS_0_R2W_TURN_WOFFSET                 0x0
#define MC_EMEM_ARB_DA_TURNS_0_R2W_TURN_DEFAULT                 _MK_MASK_CONST(0xf)
#define MC_EMEM_ARB_DA_TURNS_0_R2W_TURN_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_DA_TURNS_0_R2W_TURN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_TURNS_0_R2W_TURN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_TURNS_0_R2W_TURN_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_TURNS_0_R2W_TURN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_DA_TURNS_0_W2R_TURN_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_EMEM_ARB_DA_TURNS_0_W2R_TURN_FIELD                   _MK_FIELD_CONST(0xff, MC_EMEM_ARB_DA_TURNS_0_W2R_TURN_SHIFT)
#define MC_EMEM_ARB_DA_TURNS_0_W2R_TURN_RANGE                   31:24
#define MC_EMEM_ARB_DA_TURNS_0_W2R_TURN_WOFFSET                 0x0
#define MC_EMEM_ARB_DA_TURNS_0_W2R_TURN_DEFAULT                 _MK_MASK_CONST(0xf)
#define MC_EMEM_ARB_DA_TURNS_0_W2R_TURN_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_DA_TURNS_0_W2R_TURN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_TURNS_0_W2R_TURN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_TURNS_0_W2R_TURN_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_TURNS_0_W2R_TURN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_DA_COVERS_0
#define MC_EMEM_ARB_DA_COVERS_0                 _MK_ADDR_CONST(0xd4)
#define MC_EMEM_ARB_DA_COVERS_0_SECURE                  0x0
#define MC_EMEM_ARB_DA_COVERS_0_DUAL                    0x0
#define MC_EMEM_ARB_DA_COVERS_0_SCR                     0
#define MC_EMEM_ARB_DA_COVERS_0_WORD_COUNT                      0x1
#define MC_EMEM_ARB_DA_COVERS_0_RESET_VAL                       _MK_MASK_CONST(0xf0f0f)
#define MC_EMEM_ARB_DA_COVERS_0_RESET_MASK                      _MK_MASK_CONST(0xffffff)
#define MC_EMEM_ARB_DA_COVERS_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_COVERS_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_COVERS_0_READ_MASK                       _MK_MASK_CONST(0xffffff)
#define MC_EMEM_ARB_DA_COVERS_0_WRITE_MASK                      _MK_MASK_CONST(0xffffff)
#define MC_EMEM_ARB_DA_COVERS_0_RC_COVER_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_DA_COVERS_0_RC_COVER_FIELD                  _MK_FIELD_CONST(0xff, MC_EMEM_ARB_DA_COVERS_0_RC_COVER_SHIFT)
#define MC_EMEM_ARB_DA_COVERS_0_RC_COVER_RANGE                  7:0
#define MC_EMEM_ARB_DA_COVERS_0_RC_COVER_WOFFSET                        0x0
#define MC_EMEM_ARB_DA_COVERS_0_RC_COVER_DEFAULT                        _MK_MASK_CONST(0xf)
#define MC_EMEM_ARB_DA_COVERS_0_RC_COVER_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_DA_COVERS_0_RC_COVER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_COVERS_0_RC_COVER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_COVERS_0_RC_COVER_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_COVERS_0_RC_COVER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_DA_COVERS_0_RCD_R_COVER_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_EMEM_ARB_DA_COVERS_0_RCD_R_COVER_FIELD                       _MK_FIELD_CONST(0xff, MC_EMEM_ARB_DA_COVERS_0_RCD_R_COVER_SHIFT)
#define MC_EMEM_ARB_DA_COVERS_0_RCD_R_COVER_RANGE                       15:8
#define MC_EMEM_ARB_DA_COVERS_0_RCD_R_COVER_WOFFSET                     0x0
#define MC_EMEM_ARB_DA_COVERS_0_RCD_R_COVER_DEFAULT                     _MK_MASK_CONST(0xf)
#define MC_EMEM_ARB_DA_COVERS_0_RCD_R_COVER_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_DA_COVERS_0_RCD_R_COVER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_COVERS_0_RCD_R_COVER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_COVERS_0_RCD_R_COVER_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_COVERS_0_RCD_R_COVER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_DA_COVERS_0_RCD_W_COVER_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_DA_COVERS_0_RCD_W_COVER_FIELD                       _MK_FIELD_CONST(0xff, MC_EMEM_ARB_DA_COVERS_0_RCD_W_COVER_SHIFT)
#define MC_EMEM_ARB_DA_COVERS_0_RCD_W_COVER_RANGE                       23:16
#define MC_EMEM_ARB_DA_COVERS_0_RCD_W_COVER_WOFFSET                     0x0
#define MC_EMEM_ARB_DA_COVERS_0_RCD_W_COVER_DEFAULT                     _MK_MASK_CONST(0xf)
#define MC_EMEM_ARB_DA_COVERS_0_RCD_W_COVER_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_DA_COVERS_0_RCD_W_COVER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_COVERS_0_RCD_W_COVER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_COVERS_0_RCD_W_COVER_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_COVERS_0_RCD_W_COVER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_DA_HYSTERESIS_0
#define MC_EMEM_ARB_DA_HYSTERESIS_0                     _MK_ADDR_CONST(0x9fc)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_SECURE                      0x0
#define MC_EMEM_ARB_DA_HYSTERESIS_0_DUAL                        0x0
#define MC_EMEM_ARB_DA_HYSTERESIS_0_SCR                         0
#define MC_EMEM_ARB_DA_HYSTERESIS_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RESET_VAL                   _MK_MASK_CONST(0x9680f183)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RESET_MASK                  _MK_MASK_CONST(0xb790f3ff)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x9680f183)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0xb790f3ff)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_READ_MASK                   _MK_MASK_CONST(0xb790f3ff)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_WRITE_MASK                  _MK_MASK_CONST(0xb790f3ff)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_CHANGE_CLKS_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_CHANGE_CLKS_FIELD                       _MK_FIELD_CONST(0xf, MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_CHANGE_CLKS_SHIFT)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_CHANGE_CLKS_RANGE                       3:0
#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_CHANGE_CLKS_WOFFSET                     0x0
#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_CHANGE_CLKS_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_CHANGE_CLKS_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_CHANGE_CLKS_SW_DEFAULT                  _MK_MASK_CONST(0x3)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_CHANGE_CLKS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_CHANGE_CLKS_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_CHANGE_CLKS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_CHANGE_CLKS__PROD                       _MK_MASK_CONST(0x3)

#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCCUPANCY_THRESHOLD_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCCUPANCY_THRESHOLD_FIELD                        _MK_FIELD_CONST(0x3f, MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCCUPANCY_THRESHOLD_SHIFT)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCCUPANCY_THRESHOLD_RANGE                        9:4
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCCUPANCY_THRESHOLD_WOFFSET                      0x0
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCCUPANCY_THRESHOLD_DEFAULT                      _MK_MASK_CONST(0x18)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCCUPANCY_THRESHOLD_DEFAULT_MASK                 _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCCUPANCY_THRESHOLD_SW_DEFAULT                   _MK_MASK_CONST(0x18)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCCUPANCY_THRESHOLD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCCUPANCY_THRESHOLD_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCCUPANCY_THRESHOLD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCCUPANCY_THRESHOLD__PROD                        _MK_MASK_CONST(0x18)

#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_RD_CLKS_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_RD_CLKS_FIELD                   _MK_FIELD_CONST(0xf, MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_RD_CLKS_SHIFT)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_RD_CLKS_RANGE                   15:12
#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_RD_CLKS_WOFFSET                 0x0
#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_RD_CLKS_DEFAULT                 _MK_MASK_CONST(0xf)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_RD_CLKS_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_RD_CLKS_SW_DEFAULT                      _MK_MASK_CONST(0xf)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_RD_CLKS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0xf)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_RD_CLKS_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_RD_CLKS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_MIN_RD_CLKS__PROD                   _MK_MASK_CONST(0xf)

#define MC_EMEM_ARB_DA_HYSTERESIS_0_EN_MIN_RD_CLKS_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_EN_MIN_RD_CLKS_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DA_HYSTERESIS_0_EN_MIN_RD_CLKS_SHIFT)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_EN_MIN_RD_CLKS_RANGE                        20:20
#define MC_EMEM_ARB_DA_HYSTERESIS_0_EN_MIN_RD_CLKS_WOFFSET                      0x0
#define MC_EMEM_ARB_DA_HYSTERESIS_0_EN_MIN_RD_CLKS_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_EN_MIN_RD_CLKS_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_EN_MIN_RD_CLKS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_EN_MIN_RD_CLKS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_EN_MIN_RD_CLKS_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_EN_MIN_RD_CLKS_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_EN_MIN_RD_CLKS_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_DA_HYSTERESIS_0_EN_MIN_RD_CLKS_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_EN_MIN_RD_CLKS_ENABLE                       _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_EN_MIN_RD_CLKS__PROD                        _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_2_EN_SHIFT                 _MK_SHIFT_CONST(23)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_2_EN_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_2_EN_SHIFT)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_2_EN_RANGE                 23:23
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_2_EN_WOFFSET                       0x0
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_2_EN_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_2_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_2_EN_SW_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_2_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_2_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_2_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_2_EN_INIT_ENUM                     ENABLE
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_2_EN_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_2_EN_ENABLE                        _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_2_EN__PROD                 _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCC_EN_CLR_3_R_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCC_EN_CLR_3_R_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCC_EN_CLR_3_R_SHIFT)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCC_EN_CLR_3_R_RANGE                     24:24
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCC_EN_CLR_3_R_WOFFSET                   0x0
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCC_EN_CLR_3_R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCC_EN_CLR_3_R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCC_EN_CLR_3_R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCC_EN_CLR_3_R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCC_EN_CLR_3_R_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCC_EN_CLR_3_R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCC_EN_CLR_3_R_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCC_EN_CLR_3_R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCC_EN_CLR_3_R_ENABLE                    _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_RS_OCC_EN_CLR_3_R__PROD                     _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_R_EN_SHIFT                       _MK_SHIFT_CONST(25)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_R_EN_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_R_EN_SHIFT)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_R_EN_RANGE                       25:25
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_R_EN_WOFFSET                     0x0
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_R_EN_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_R_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_R_EN_SW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_R_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_R_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_R_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_R_EN_INIT_ENUM                   ENABLE
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_R_EN_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_R_EN_ENABLE                      _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_R_EN__PROD                       _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_W_EN_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_W_EN_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_W_EN_SHIFT)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_W_EN_RANGE                       26:26
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_W_EN_WOFFSET                     0x0
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_W_EN_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_W_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_W_EN_SW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_W_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_W_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_W_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_W_EN_INIT_ENUM                   ENABLE
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_W_EN_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_W_EN_ENABLE                      _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_3_W_EN__PROD                       _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_4_EN_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_4_EN_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_4_EN_SHIFT)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_4_EN_RANGE                 28:28
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_4_EN_WOFFSET                       0x0
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_4_EN_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_4_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_4_EN_SW_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_4_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_4_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_4_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_4_EN_INIT_ENUM                     ENABLE
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_4_EN_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_4_EN_ENABLE                        _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_4_EN__PROD                 _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_5_EN_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_5_EN_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_5_EN_SHIFT)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_5_EN_RANGE                 29:29
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_5_EN_WOFFSET                       0x0
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_5_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_5_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_5_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_5_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_5_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_5_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_5_EN_INIT_ENUM                     DISABLE
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_5_EN_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_5_EN_ENABLE                        _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_CLR_TERM_5_EN__PROD                 _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_DA_HYSTERESIS_0_GLOBAL_ENABLE_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_GLOBAL_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DA_HYSTERESIS_0_GLOBAL_ENABLE_SHIFT)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_GLOBAL_ENABLE_RANGE                 31:31
#define MC_EMEM_ARB_DA_HYSTERESIS_0_GLOBAL_ENABLE_WOFFSET                       0x0
#define MC_EMEM_ARB_DA_HYSTERESIS_0_GLOBAL_ENABLE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_GLOBAL_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_GLOBAL_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_GLOBAL_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_GLOBAL_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_GLOBAL_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_GLOBAL_ENABLE_INIT_ENUM                     ENABLE
#define MC_EMEM_ARB_DA_HYSTERESIS_0_GLOBAL_ENABLE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_GLOBAL_ENABLE_ENABLE                        _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_DA_HYSTERESIS_0_GLOBAL_ENABLE__PROD                 _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_MISC0_0
#define MC_EMEM_ARB_MISC0_0                     _MK_ADDR_CONST(0xd8)
#define MC_EMEM_ARB_MISC0_0_SECURE                      0x0
#define MC_EMEM_ARB_MISC0_0_DUAL                        0x0
#define MC_EMEM_ARB_MISC0_0_SCR                         0
#define MC_EMEM_ARB_MISC0_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_MISC0_0_RESET_VAL                   _MK_MASK_CONST(0x72000010)
#define MC_EMEM_ARB_MISC0_0_RESET_MASK                  _MK_MASK_CONST(0x7fe080ff)
#define MC_EMEM_ARB_MISC0_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x72000010)
#define MC_EMEM_ARB_MISC0_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x7fe080ff)
#define MC_EMEM_ARB_MISC0_0_READ_MASK                   _MK_MASK_CONST(0x7fe080ff)
#define MC_EMEM_ARB_MISC0_0_WRITE_MASK                  _MK_MASK_CONST(0x7fe080ff)
#define MC_EMEM_ARB_MISC0_0_BC2AA_HOLDOFF_THRESHOLD_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_MISC0_0_BC2AA_HOLDOFF_THRESHOLD_FIELD                       _MK_FIELD_CONST(0xff, MC_EMEM_ARB_MISC0_0_BC2AA_HOLDOFF_THRESHOLD_SHIFT)
#define MC_EMEM_ARB_MISC0_0_BC2AA_HOLDOFF_THRESHOLD_RANGE                       7:0
#define MC_EMEM_ARB_MISC0_0_BC2AA_HOLDOFF_THRESHOLD_WOFFSET                     0x0
#define MC_EMEM_ARB_MISC0_0_BC2AA_HOLDOFF_THRESHOLD_DEFAULT                     _MK_MASK_CONST(0x10)
#define MC_EMEM_ARB_MISC0_0_BC2AA_HOLDOFF_THRESHOLD_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_MISC0_0_BC2AA_HOLDOFF_THRESHOLD_SW_DEFAULT                  _MK_MASK_CONST(0x10)
#define MC_EMEM_ARB_MISC0_0_BC2AA_HOLDOFF_THRESHOLD_SW_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_MISC0_0_BC2AA_HOLDOFF_THRESHOLD_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC0_0_BC2AA_HOLDOFF_THRESHOLD_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC0_0_BC2AA_HOLDOFF_THRESHOLD__PROD                       _MK_MASK_CONST(0x10)

#define MC_EMEM_ARB_MISC0_0_EMC_REQ_B2B_XFER_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_EMEM_ARB_MISC0_0_EMC_REQ_B2B_XFER_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC0_0_EMC_REQ_B2B_XFER_SHIFT)
#define MC_EMEM_ARB_MISC0_0_EMC_REQ_B2B_XFER_RANGE                      15:15
#define MC_EMEM_ARB_MISC0_0_EMC_REQ_B2B_XFER_WOFFSET                    0x0
#define MC_EMEM_ARB_MISC0_0_EMC_REQ_B2B_XFER_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC0_0_EMC_REQ_B2B_XFER_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC0_0_EMC_REQ_B2B_XFER_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC0_0_EMC_REQ_B2B_XFER_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC0_0_EMC_REQ_B2B_XFER_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC0_0_EMC_REQ_B2B_XFER_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC0_0_EMC_REQ_B2B_XFER_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_MISC0_0_EMC_REQ_B2B_XFER_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC0_0_EMC_REQ_B2B_XFER_ENABLE                     _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC0_0_EMC_REQ_B2B_XFER__PROD                      _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_MISC0_0_EXPIRING_SOON_SLACK_THRESHOLD_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_EMEM_ARB_MISC0_0_EXPIRING_SOON_SLACK_THRESHOLD_FIELD                 _MK_FIELD_CONST(0x3f, MC_EMEM_ARB_MISC0_0_EXPIRING_SOON_SLACK_THRESHOLD_SHIFT)
#define MC_EMEM_ARB_MISC0_0_EXPIRING_SOON_SLACK_THRESHOLD_RANGE                 26:21
#define MC_EMEM_ARB_MISC0_0_EXPIRING_SOON_SLACK_THRESHOLD_WOFFSET                       0x0
#define MC_EMEM_ARB_MISC0_0_EXPIRING_SOON_SLACK_THRESHOLD_DEFAULT                       _MK_MASK_CONST(0x10)
#define MC_EMEM_ARB_MISC0_0_EXPIRING_SOON_SLACK_THRESHOLD_DEFAULT_MASK                  _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_MISC0_0_EXPIRING_SOON_SLACK_THRESHOLD_SW_DEFAULT                    _MK_MASK_CONST(0x10)
#define MC_EMEM_ARB_MISC0_0_EXPIRING_SOON_SLACK_THRESHOLD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_MISC0_0_EXPIRING_SOON_SLACK_THRESHOLD_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC0_0_EXPIRING_SOON_SLACK_THRESHOLD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC0_0_EXPIRING_SOON_SLACK_THRESHOLD__PROD                 _MK_MASK_CONST(0x10)

#define MC_EMEM_ARB_MISC0_0_MC_EMC_SAME_FREQ_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_EMEM_ARB_MISC0_0_MC_EMC_SAME_FREQ_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC0_0_MC_EMC_SAME_FREQ_SHIFT)
#define MC_EMEM_ARB_MISC0_0_MC_EMC_SAME_FREQ_RANGE                      27:27
#define MC_EMEM_ARB_MISC0_0_MC_EMC_SAME_FREQ_WOFFSET                    0x0
#define MC_EMEM_ARB_MISC0_0_MC_EMC_SAME_FREQ_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC0_0_MC_EMC_SAME_FREQ_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC0_0_MC_EMC_SAME_FREQ_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC0_0_MC_EMC_SAME_FREQ_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC0_0_MC_EMC_SAME_FREQ_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC0_0_MC_EMC_SAME_FREQ_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC0_0_MC_EMC_SAME_FREQ_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_MISC0_0_MC_EMC_SAME_FREQ_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC0_0_MC_EMC_SAME_FREQ_ENABLE                     _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC0_0_MC_EMC_SAME_FREQ__PROD                      _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_MISC0_0_ATOMS_PER_DVFS_PULSE_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_MISC0_0_ATOMS_PER_DVFS_PULSE_FIELD                  _MK_FIELD_CONST(0x7, MC_EMEM_ARB_MISC0_0_ATOMS_PER_DVFS_PULSE_SHIFT)
#define MC_EMEM_ARB_MISC0_0_ATOMS_PER_DVFS_PULSE_RANGE                  30:28
#define MC_EMEM_ARB_MISC0_0_ATOMS_PER_DVFS_PULSE_WOFFSET                        0x0
#define MC_EMEM_ARB_MISC0_0_ATOMS_PER_DVFS_PULSE_DEFAULT                        _MK_MASK_CONST(0x7)
#define MC_EMEM_ARB_MISC0_0_ATOMS_PER_DVFS_PULSE_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_EMEM_ARB_MISC0_0_ATOMS_PER_DVFS_PULSE_SW_DEFAULT                     _MK_MASK_CONST(0x7)
#define MC_EMEM_ARB_MISC0_0_ATOMS_PER_DVFS_PULSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x7)
#define MC_EMEM_ARB_MISC0_0_ATOMS_PER_DVFS_PULSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC0_0_ATOMS_PER_DVFS_PULSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC0_0_ATOMS_PER_DVFS_PULSE__PROD                  _MK_MASK_CONST(0x7)


// Register MC_EMEM_ARB_MISC1_0
#define MC_EMEM_ARB_MISC1_0                     _MK_ADDR_CONST(0xdc)
#define MC_EMEM_ARB_MISC1_0_SECURE                      0x0
#define MC_EMEM_ARB_MISC1_0_DUAL                        0x0
#define MC_EMEM_ARB_MISC1_0_SCR                         0
#define MC_EMEM_ARB_MISC1_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_MISC1_0_RESET_VAL                   _MK_MASK_CONST(0xb0a0000a)
#define MC_EMEM_ARB_MISC1_0_RESET_MASK                  _MK_MASK_CONST(0xf3e0ffff)
#define MC_EMEM_ARB_MISC1_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x8)
#define MC_EMEM_ARB_MISC1_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0xfffd)
#define MC_EMEM_ARB_MISC1_0_READ_MASK                   _MK_MASK_CONST(0xf3e0ffff)
#define MC_EMEM_ARB_MISC1_0_WRITE_MASK                  _MK_MASK_CONST(0xf3e0ffff)
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_RD_IF_SMMU_INP_HP_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_RD_IF_SMMU_INP_HP_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_RD_IF_SMMU_INP_HP_SHIFT)
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_RD_IF_SMMU_INP_HP_RANGE                        0:0
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_RD_IF_SMMU_INP_HP_WOFFSET                      0x0
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_RD_IF_SMMU_INP_HP_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_RD_IF_SMMU_INP_HP_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_RD_IF_SMMU_INP_HP_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_RD_IF_SMMU_INP_HP_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_RD_IF_SMMU_INP_HP_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_RD_IF_SMMU_INP_HP_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_RD_IF_SMMU_INP_HP_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_RD_IF_SMMU_INP_HP_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_RD_IF_SMMU_INP_HP_ENABLE                       _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_RD_IF_SMMU_INP_HP__PROD                        _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_MISC1_0_ALLOW_BCA_HOLDOFF_WHEN_EXP_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_EMEM_ARB_MISC1_0_ALLOW_BCA_HOLDOFF_WHEN_EXP_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC1_0_ALLOW_BCA_HOLDOFF_WHEN_EXP_SHIFT)
#define MC_EMEM_ARB_MISC1_0_ALLOW_BCA_HOLDOFF_WHEN_EXP_RANGE                    1:1
#define MC_EMEM_ARB_MISC1_0_ALLOW_BCA_HOLDOFF_WHEN_EXP_WOFFSET                  0x0
#define MC_EMEM_ARB_MISC1_0_ALLOW_BCA_HOLDOFF_WHEN_EXP_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_ALLOW_BCA_HOLDOFF_WHEN_EXP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_ALLOW_BCA_HOLDOFF_WHEN_EXP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC1_0_ALLOW_BCA_HOLDOFF_WHEN_EXP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC1_0_ALLOW_BCA_HOLDOFF_WHEN_EXP_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_ALLOW_BCA_HOLDOFF_WHEN_EXP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_ALLOW_BCA_HOLDOFF_WHEN_EXP_INIT_ENUM                        ENABLE
#define MC_EMEM_ARB_MISC1_0_ALLOW_BCA_HOLDOFF_WHEN_EXP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC1_0_ALLOW_BCA_HOLDOFF_WHEN_EXP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_WR_IF_SMMU_INP_HP_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_WR_IF_SMMU_INP_HP_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_WR_IF_SMMU_INP_HP_SHIFT)
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_WR_IF_SMMU_INP_HP_RANGE                        2:2
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_WR_IF_SMMU_INP_HP_WOFFSET                      0x0
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_WR_IF_SMMU_INP_HP_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_WR_IF_SMMU_INP_HP_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_WR_IF_SMMU_INP_HP_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_WR_IF_SMMU_INP_HP_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_WR_IF_SMMU_INP_HP_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_WR_IF_SMMU_INP_HP_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_WR_IF_SMMU_INP_HP_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_WR_IF_SMMU_INP_HP_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_WR_IF_SMMU_INP_HP_ENABLE                       _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC1_0_BLOCK_LP_CPU_WR_IF_SMMU_INP_HP__PROD                        _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_MISC1_0_COMBINED_INTERRUPT_MODE_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_EMEM_ARB_MISC1_0_COMBINED_INTERRUPT_MODE_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC1_0_COMBINED_INTERRUPT_MODE_SHIFT)
#define MC_EMEM_ARB_MISC1_0_COMBINED_INTERRUPT_MODE_RANGE                       3:3
#define MC_EMEM_ARB_MISC1_0_COMBINED_INTERRUPT_MODE_WOFFSET                     0x0
#define MC_EMEM_ARB_MISC1_0_COMBINED_INTERRUPT_MODE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_COMBINED_INTERRUPT_MODE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_COMBINED_INTERRUPT_MODE_SW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_COMBINED_INTERRUPT_MODE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_COMBINED_INTERRUPT_MODE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_COMBINED_INTERRUPT_MODE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_COMBINED_INTERRUPT_MODE_INIT_ENUM                   ENABLE
#define MC_EMEM_ARB_MISC1_0_COMBINED_INTERRUPT_MODE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC1_0_COMBINED_INTERRUPT_MODE_ENABLE                      _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC1_0_COMBINED_INTERRUPT_MODE__PROD                       _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_MISC1_0_ALT_DEADLOCK_PREVENTION_SLACK_THRESHOLD_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_EMEM_ARB_MISC1_0_ALT_DEADLOCK_PREVENTION_SLACK_THRESHOLD_FIELD                       _MK_FIELD_CONST(0xfff, MC_EMEM_ARB_MISC1_0_ALT_DEADLOCK_PREVENTION_SLACK_THRESHOLD_SHIFT)
#define MC_EMEM_ARB_MISC1_0_ALT_DEADLOCK_PREVENTION_SLACK_THRESHOLD_RANGE                       15:4
#define MC_EMEM_ARB_MISC1_0_ALT_DEADLOCK_PREVENTION_SLACK_THRESHOLD_WOFFSET                     0x0
#define MC_EMEM_ARB_MISC1_0_ALT_DEADLOCK_PREVENTION_SLACK_THRESHOLD_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC1_0_ALT_DEADLOCK_PREVENTION_SLACK_THRESHOLD_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_MISC1_0_ALT_DEADLOCK_PREVENTION_SLACK_THRESHOLD_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC1_0_ALT_DEADLOCK_PREVENTION_SLACK_THRESHOLD_SW_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_MISC1_0_ALT_DEADLOCK_PREVENTION_SLACK_THRESHOLD_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_ALT_DEADLOCK_PREVENTION_SLACK_THRESHOLD_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_ALT_DEADLOCK_PREVENTION_SLACK_THRESHOLD__PROD                       _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_MISC1_0_EXPIRING_SOON_SLACK_THRESHOLD_PD_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_EMEM_ARB_MISC1_0_EXPIRING_SOON_SLACK_THRESHOLD_PD_FIELD                      _MK_FIELD_CONST(0x7, MC_EMEM_ARB_MISC1_0_EXPIRING_SOON_SLACK_THRESHOLD_PD_SHIFT)
#define MC_EMEM_ARB_MISC1_0_EXPIRING_SOON_SLACK_THRESHOLD_PD_RANGE                      23:21
#define MC_EMEM_ARB_MISC1_0_EXPIRING_SOON_SLACK_THRESHOLD_PD_WOFFSET                    0x0
#define MC_EMEM_ARB_MISC1_0_EXPIRING_SOON_SLACK_THRESHOLD_PD_DEFAULT                    _MK_MASK_CONST(0x5)
#define MC_EMEM_ARB_MISC1_0_EXPIRING_SOON_SLACK_THRESHOLD_PD_DEFAULT_MASK                       _MK_MASK_CONST(0x7)
#define MC_EMEM_ARB_MISC1_0_EXPIRING_SOON_SLACK_THRESHOLD_PD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC1_0_EXPIRING_SOON_SLACK_THRESHOLD_PD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC1_0_EXPIRING_SOON_SLACK_THRESHOLD_PD_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_EXPIRING_SOON_SLACK_THRESHOLD_PD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_EXPIRING_SOON_SLACK_THRESHOLD_PD_INIT_ENUM                  USE_EXPIRING_SOON_SLACK_THRESHOLD
#define MC_EMEM_ARB_MISC1_0_EXPIRING_SOON_SLACK_THRESHOLD_PD_ZERO_TICKS                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC1_0_EXPIRING_SOON_SLACK_THRESHOLD_PD_ONE_TICK                   _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC1_0_EXPIRING_SOON_SLACK_THRESHOLD_PD_TWO_TICKS                  _MK_ENUM_CONST(2)
#define MC_EMEM_ARB_MISC1_0_EXPIRING_SOON_SLACK_THRESHOLD_PD_FOUR_TICKS                 _MK_ENUM_CONST(3)
#define MC_EMEM_ARB_MISC1_0_EXPIRING_SOON_SLACK_THRESHOLD_PD_EIGHT_TICKS                        _MK_ENUM_CONST(4)
#define MC_EMEM_ARB_MISC1_0_EXPIRING_SOON_SLACK_THRESHOLD_PD_USE_EXPIRING_SOON_SLACK_THRESHOLD                  _MK_ENUM_CONST(5)

#define MC_EMEM_ARB_MISC1_0_REFRESH_ACK_THRESHOLD_USAGE_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_EMEM_ARB_MISC1_0_REFRESH_ACK_THRESHOLD_USAGE_FIELD                   _MK_FIELD_CONST(0x3, MC_EMEM_ARB_MISC1_0_REFRESH_ACK_THRESHOLD_USAGE_SHIFT)
#define MC_EMEM_ARB_MISC1_0_REFRESH_ACK_THRESHOLD_USAGE_RANGE                   25:24
#define MC_EMEM_ARB_MISC1_0_REFRESH_ACK_THRESHOLD_USAGE_WOFFSET                 0x0
#define MC_EMEM_ARB_MISC1_0_REFRESH_ACK_THRESHOLD_USAGE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC1_0_REFRESH_ACK_THRESHOLD_USAGE_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_EMEM_ARB_MISC1_0_REFRESH_ACK_THRESHOLD_USAGE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC1_0_REFRESH_ACK_THRESHOLD_USAGE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC1_0_REFRESH_ACK_THRESHOLD_USAGE_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_REFRESH_ACK_THRESHOLD_USAGE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_REFRESH_ACK_THRESHOLD_USAGE_INIT_ENUM                       NORMAL
#define MC_EMEM_ARB_MISC1_0_REFRESH_ACK_THRESHOLD_USAGE_NORMAL                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC1_0_REFRESH_ACK_THRESHOLD_USAGE_ISO                     _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC1_0_REFRESH_ACK_THRESHOLD_USAGE_NONE                    _MK_ENUM_CONST(2)

#define MC_EMEM_ARB_MISC1_0_DEADLOCK_PREVENTION_SLACK_THRESHOLD_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_MISC1_0_DEADLOCK_PREVENTION_SLACK_THRESHOLD_FIELD                   _MK_FIELD_CONST(0xf, MC_EMEM_ARB_MISC1_0_DEADLOCK_PREVENTION_SLACK_THRESHOLD_SHIFT)
#define MC_EMEM_ARB_MISC1_0_DEADLOCK_PREVENTION_SLACK_THRESHOLD_RANGE                   31:28
#define MC_EMEM_ARB_MISC1_0_DEADLOCK_PREVENTION_SLACK_THRESHOLD_WOFFSET                 0x0
#define MC_EMEM_ARB_MISC1_0_DEADLOCK_PREVENTION_SLACK_THRESHOLD_DEFAULT                 _MK_MASK_CONST(0xb)
#define MC_EMEM_ARB_MISC1_0_DEADLOCK_PREVENTION_SLACK_THRESHOLD_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_EMEM_ARB_MISC1_0_DEADLOCK_PREVENTION_SLACK_THRESHOLD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC1_0_DEADLOCK_PREVENTION_SLACK_THRESHOLD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC1_0_DEADLOCK_PREVENTION_SLACK_THRESHOLD_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC1_0_DEADLOCK_PREVENTION_SLACK_THRESHOLD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_MISC2_0
#define MC_EMEM_ARB_MISC2_0                     _MK_ADDR_CONST(0xc8)
#define MC_EMEM_ARB_MISC2_0_SECURE                      0x0
#define MC_EMEM_ARB_MISC2_0_DUAL                        0x0
#define MC_EMEM_ARB_MISC2_0_SCR                         0
#define MC_EMEM_ARB_MISC2_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_MISC2_0_RESET_VAL                   _MK_MASK_CONST(0xb00a0402)
#define MC_EMEM_ARB_MISC2_0_RESET_MASK                  _MK_MASK_CONST(0xf0ff0ffe)
#define MC_EMEM_ARB_MISC2_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0xb00a0402)
#define MC_EMEM_ARB_MISC2_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0xf0ff0ffe)
#define MC_EMEM_ARB_MISC2_0_READ_MASK                   _MK_MASK_CONST(0xf0ff0ffe)
#define MC_EMEM_ARB_MISC2_0_WRITE_MASK                  _MK_MASK_CONST(0xf0ff0ffe)
#define MC_EMEM_ARB_MISC2_0_MC_MAN_PR_ON_WR32B_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_EMEM_ARB_MISC2_0_MC_MAN_PR_ON_WR32B_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC2_0_MC_MAN_PR_ON_WR32B_SHIFT)
#define MC_EMEM_ARB_MISC2_0_MC_MAN_PR_ON_WR32B_RANGE                    1:1
#define MC_EMEM_ARB_MISC2_0_MC_MAN_PR_ON_WR32B_WOFFSET                  0x0
#define MC_EMEM_ARB_MISC2_0_MC_MAN_PR_ON_WR32B_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_MC_MAN_PR_ON_WR32B_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_MC_MAN_PR_ON_WR32B_SW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_MC_MAN_PR_ON_WR32B_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_MC_MAN_PR_ON_WR32B_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_MC_MAN_PR_ON_WR32B_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_MC_MAN_PR_ON_WR32B_INIT_ENUM                        ENABLE
#define MC_EMEM_ARB_MISC2_0_MC_MAN_PR_ON_WR32B_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC2_0_MC_MAN_PR_ON_WR32B_ENABLE                   _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC2_0_MC_MAN_PR_ON_WR32B__PROD                    _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_MISC2_0_BACKING_RD_ON_ALL_64BYTE_WR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_MISC2_0_BACKING_RD_ON_ALL_64BYTE_WR_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC2_0_BACKING_RD_ON_ALL_64BYTE_WR_SHIFT)
#define MC_EMEM_ARB_MISC2_0_BACKING_RD_ON_ALL_64BYTE_WR_RANGE                   2:2
#define MC_EMEM_ARB_MISC2_0_BACKING_RD_ON_ALL_64BYTE_WR_WOFFSET                 0x0
#define MC_EMEM_ARB_MISC2_0_BACKING_RD_ON_ALL_64BYTE_WR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC2_0_BACKING_RD_ON_ALL_64BYTE_WR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_BACKING_RD_ON_ALL_64BYTE_WR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC2_0_BACKING_RD_ON_ALL_64BYTE_WR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_BACKING_RD_ON_ALL_64BYTE_WR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_BACKING_RD_ON_ALL_64BYTE_WR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_BACKING_RD_ON_ALL_64BYTE_WR_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_MISC2_0_BACKING_RD_ON_ALL_64BYTE_WR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC2_0_BACKING_RD_ON_ALL_64BYTE_WR_ENABLE                  _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC2_0_BACKING_RD_ON_ALL_64BYTE_WR__PROD                   _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_MISC2_0_MC_SPLITS_64BYTE_WR_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_EMEM_ARB_MISC2_0_MC_SPLITS_64BYTE_WR_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC2_0_MC_SPLITS_64BYTE_WR_SHIFT)
#define MC_EMEM_ARB_MISC2_0_MC_SPLITS_64BYTE_WR_RANGE                   3:3
#define MC_EMEM_ARB_MISC2_0_MC_SPLITS_64BYTE_WR_WOFFSET                 0x0
#define MC_EMEM_ARB_MISC2_0_MC_SPLITS_64BYTE_WR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC2_0_MC_SPLITS_64BYTE_WR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_MC_SPLITS_64BYTE_WR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC2_0_MC_SPLITS_64BYTE_WR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_MC_SPLITS_64BYTE_WR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_MC_SPLITS_64BYTE_WR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_MC_SPLITS_64BYTE_WR_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_MISC2_0_MC_SPLITS_64BYTE_WR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC2_0_MC_SPLITS_64BYTE_WR_ENABLE                  _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC2_0_MC_SPLITS_64BYTE_WR__PROD                   _MK_MASK_CONST(0x0)

#define MC_EMEM_ADR_CFG_0_EMEM_NUMDEV_MSB                       MK_SHIFT_CONST(0)
#define MC_EMEM_ADR_CFG_0_EMEM_NUMDEV_LSB                       MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_THRESHOLD_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_THRESHOLD_FIELD                  _MK_FIELD_CONST(0xff, MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_THRESHOLD_SHIFT)
#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_THRESHOLD_RANGE                  11:4
#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_THRESHOLD_WOFFSET                        0x0
#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_THRESHOLD_DEFAULT                        _MK_MASK_CONST(0x40)
#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_THRESHOLD_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_THRESHOLD_SW_DEFAULT                     _MK_MASK_CONST(0x40)
#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_THRESHOLD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_THRESHOLD_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_THRESHOLD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_THRESHOLD__PROD                  _MK_MASK_CONST(0x40)

#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_ISO_THRESHOLD_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_ISO_THRESHOLD_FIELD                      _MK_FIELD_CONST(0xff, MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_ISO_THRESHOLD_SHIFT)
#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_ISO_THRESHOLD_RANGE                      23:16
#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_ISO_THRESHOLD_WOFFSET                    0x0
#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_ISO_THRESHOLD_DEFAULT                    _MK_MASK_CONST(0xa)
#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_ISO_THRESHOLD_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_ISO_THRESHOLD_SW_DEFAULT                 _MK_MASK_CONST(0xa)
#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_ISO_THRESHOLD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_ISO_THRESHOLD_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_ISO_THRESHOLD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_ISO_THRESHOLD__PROD                      _MK_MASK_CONST(0xa)

#define MC_EMEM_ARB_MISC2_0_INSERT_RD_RANK_CHG_CMD_SHIFT                        _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_MISC2_0_INSERT_RD_RANK_CHG_CMD_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC2_0_INSERT_RD_RANK_CHG_CMD_SHIFT)
#define MC_EMEM_ARB_MISC2_0_INSERT_RD_RANK_CHG_CMD_RANGE                        28:28
#define MC_EMEM_ARB_MISC2_0_INSERT_RD_RANK_CHG_CMD_WOFFSET                      0x0
#define MC_EMEM_ARB_MISC2_0_INSERT_RD_RANK_CHG_CMD_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_INSERT_RD_RANK_CHG_CMD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_INSERT_RD_RANK_CHG_CMD_SW_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_INSERT_RD_RANK_CHG_CMD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_INSERT_RD_RANK_CHG_CMD_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_INSERT_RD_RANK_CHG_CMD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_INSERT_RD_RANK_CHG_CMD_INIT_ENUM                    ENABLE
#define MC_EMEM_ARB_MISC2_0_INSERT_RD_RANK_CHG_CMD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC2_0_INSERT_RD_RANK_CHG_CMD_ENABLE                       _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC2_0_INSERT_RD_RANK_CHG_CMD__PROD                        _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_MISC2_0_INSERT_WR_RANK_CHG_CMD_SHIFT                        _MK_SHIFT_CONST(29)
#define MC_EMEM_ARB_MISC2_0_INSERT_WR_RANK_CHG_CMD_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC2_0_INSERT_WR_RANK_CHG_CMD_SHIFT)
#define MC_EMEM_ARB_MISC2_0_INSERT_WR_RANK_CHG_CMD_RANGE                        29:29
#define MC_EMEM_ARB_MISC2_0_INSERT_WR_RANK_CHG_CMD_WOFFSET                      0x0
#define MC_EMEM_ARB_MISC2_0_INSERT_WR_RANK_CHG_CMD_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_INSERT_WR_RANK_CHG_CMD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_INSERT_WR_RANK_CHG_CMD_SW_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_INSERT_WR_RANK_CHG_CMD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_INSERT_WR_RANK_CHG_CMD_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_INSERT_WR_RANK_CHG_CMD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_INSERT_WR_RANK_CHG_CMD_INIT_ENUM                    ENABLE
#define MC_EMEM_ARB_MISC2_0_INSERT_WR_RANK_CHG_CMD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC2_0_INSERT_WR_RANK_CHG_CMD_ENABLE                       _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC2_0_INSERT_WR_RANK_CHG_CMD__PROD                        _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_MISC2_0_SYNC_MON_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_MISC2_0_SYNC_MON_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC2_0_SYNC_MON_SHIFT)
#define MC_EMEM_ARB_MISC2_0_SYNC_MON_RANGE                      30:30
#define MC_EMEM_ARB_MISC2_0_SYNC_MON_WOFFSET                    0x0
#define MC_EMEM_ARB_MISC2_0_SYNC_MON_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC2_0_SYNC_MON_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_SYNC_MON_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC2_0_SYNC_MON_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_SYNC_MON_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_SYNC_MON_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_SYNC_MON_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_MISC2_0_SYNC_MON_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC2_0_SYNC_MON_ENABLE                     _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC2_0_SYNC_MON__PROD                      _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_MISC2_0_DL_ONLY_ARB_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_MISC2_0_DL_ONLY_ARB_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC2_0_DL_ONLY_ARB_SHIFT)
#define MC_EMEM_ARB_MISC2_0_DL_ONLY_ARB_RANGE                   31:31
#define MC_EMEM_ARB_MISC2_0_DL_ONLY_ARB_WOFFSET                 0x0
#define MC_EMEM_ARB_MISC2_0_DL_ONLY_ARB_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_DL_ONLY_ARB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_DL_ONLY_ARB_SW_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_DL_ONLY_ARB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_DL_ONLY_ARB_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_DL_ONLY_ARB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC2_0_DL_ONLY_ARB_INIT_ENUM                       ENABLE
#define MC_EMEM_ARB_MISC2_0_DL_ONLY_ARB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC2_0_DL_ONLY_ARB_ENABLE                  _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC2_0_DL_ONLY_ARB__PROD                   _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_MISC3_0
#define MC_EMEM_ARB_MISC3_0                     _MK_ADDR_CONST(0x23c)
#define MC_EMEM_ARB_MISC3_0_SECURE                      0x0
#define MC_EMEM_ARB_MISC3_0_DUAL                        0x0
#define MC_EMEM_ARB_MISC3_0_SCR                         0
#define MC_EMEM_ARB_MISC3_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_MISC3_0_RESET_VAL                   _MK_MASK_CONST(0xf0551010)
#define MC_EMEM_ARB_MISC3_0_RESET_MASK                  _MK_MASK_CONST(0xf0ff7f7f)
#define MC_EMEM_ARB_MISC3_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0xf0551010)
#define MC_EMEM_ARB_MISC3_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0xf0ff7f7f)
#define MC_EMEM_ARB_MISC3_0_READ_MASK                   _MK_MASK_CONST(0xf0ff7f7f)
#define MC_EMEM_ARB_MISC3_0_WRITE_MASK                  _MK_MASK_CONST(0xf0ff7f7f)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_R_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_R_FIELD                 _MK_FIELD_CONST(0x7f, MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_R_SHIFT)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_R_RANGE                 6:0
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_R_WOFFSET                       0x0
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_R_DEFAULT                       _MK_MASK_CONST(0x10)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_R_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_R_SW_DEFAULT                    _MK_MASK_CONST(0x10)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_R_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_R_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_R_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_R__PROD                 _MK_MASK_CONST(0x10)

#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_W_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_W_FIELD                 _MK_FIELD_CONST(0x7f, MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_W_SHIFT)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_W_RANGE                 14:8
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_W_WOFFSET                       0x0
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_W_DEFAULT                       _MK_MASK_CONST(0x10)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_W_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_W_SW_DEFAULT                    _MK_MASK_CONST(0x10)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_W_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x7f)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_W_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_W_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MAX_THRESHOLD_W__PROD                 _MK_MASK_CONST(0x10)

#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_R_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_R_FIELD                 _MK_FIELD_CONST(0xf, MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_R_SHIFT)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_R_RANGE                 19:16
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_R_WOFFSET                       0x0
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_R_DEFAULT                       _MK_MASK_CONST(0x5)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_R_DEFAULT_MASK                  _MK_MASK_CONST(0xf)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_R_SW_DEFAULT                    _MK_MASK_CONST(0x5)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_R_SW_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_R_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_R_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_R__PROD                 _MK_MASK_CONST(0x5)
#define MC_HUBC_INTSTATUS_0_SCRUB_ECC_WR_ACK_INT_MSB                    MK_SHIFT_CONST(0)
#define MC_HUBC_INTSTATUS_0_SCRUB_ECC_WR_ACK_INT_LSB                    MK_SHIFT_CONST(0)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_PENDING_MSB                    MK_SHIFT_CONST(1)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_PENDING_LSB                    MK_SHIFT_CONST(1)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_TRIGGER_MSB                    MK_SHIFT_CONST(0)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_TRIGGER_LSB                    MK_SHIFT_CONST(0)
#define MC_ECC_CONTROL_0_ECC_ENABLE_MSB                 MK_SHIFT_CONST(0)
#define MC_ECC_CONTROL_0_ECC_ENABLE_LSB                 MK_SHIFT_CONST(0)
#define MC_EMEM_CFG_0_EMEM_SIZE_MB_MSB                  MK_SHIFT_CONST(19)
#define MC_EMEM_CFG_0_EMEM_SIZE_MB_LSB                  MK_SHIFT_CONST(0)
#define MC_ECC_CONTROL_0_ECC_ENABLE_MSB                 MK_SHIFT_CONST(0)
#define MC_ECC_CONTROL_0_ECC_ENABLE_LSB                 MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_W_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_W_FIELD                 _MK_FIELD_CONST(0xf, MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_W_SHIFT)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_W_RANGE                 23:20
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_W_WOFFSET                       0x0
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_W_DEFAULT                       _MK_MASK_CONST(0x5)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_W_DEFAULT_MASK                  _MK_MASK_CONST(0xf)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_W_SW_DEFAULT                    _MK_MASK_CONST(0x5)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_W_SW_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_W_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_W_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_BC2AA_HOLDOFF_MIN_THRESHOLD_W__PROD                 _MK_MASK_CONST(0x5)

#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_R_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_R_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_R_SHIFT)
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_R_RANGE                 28:28
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_R_WOFFSET                       0x0
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_R_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_R_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_R_SW_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_R_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_R_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_R_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_R_INIT_ENUM                     ENABLE
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_R_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_R_ENABLE                        _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_R__PROD                 _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_W_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_W_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_W_SHIFT)
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_W_RANGE                 29:29
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_W_WOFFSET                       0x0
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_W_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_W_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_W_SW_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_W_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_W_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_W_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_W_INIT_ENUM                     ENABLE
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_W_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_W_ENABLE                        _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC3_0_DYNAMIC_BCA_HOLDOFF_W__PROD                 _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_MISC3_0_USE_TOTALWORK_FOR_DYN_MODE_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_MISC3_0_USE_TOTALWORK_FOR_DYN_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC3_0_USE_TOTALWORK_FOR_DYN_MODE_SHIFT)
#define MC_EMEM_ARB_MISC3_0_USE_TOTALWORK_FOR_DYN_MODE_RANGE                    30:30
#define MC_EMEM_ARB_MISC3_0_USE_TOTALWORK_FOR_DYN_MODE_WOFFSET                  0x0
#define MC_EMEM_ARB_MISC3_0_USE_TOTALWORK_FOR_DYN_MODE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_USE_TOTALWORK_FOR_DYN_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_USE_TOTALWORK_FOR_DYN_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_USE_TOTALWORK_FOR_DYN_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_USE_TOTALWORK_FOR_DYN_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_USE_TOTALWORK_FOR_DYN_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_USE_TOTALWORK_FOR_DYN_MODE_INIT_ENUM                        ENABLE
#define MC_EMEM_ARB_MISC3_0_USE_TOTALWORK_FOR_DYN_MODE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC3_0_USE_TOTALWORK_FOR_DYN_MODE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC3_0_USE_TOTALWORK_FOR_DYN_MODE__PROD                    _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_MISC3_0_BCA_HOLDOFF_PER_RW_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_MISC3_0_BCA_HOLDOFF_PER_RW_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC3_0_BCA_HOLDOFF_PER_RW_SHIFT)
#define MC_EMEM_ARB_MISC3_0_BCA_HOLDOFF_PER_RW_RANGE                    31:31
#define MC_EMEM_ARB_MISC3_0_BCA_HOLDOFF_PER_RW_WOFFSET                  0x0
#define MC_EMEM_ARB_MISC3_0_BCA_HOLDOFF_PER_RW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_BCA_HOLDOFF_PER_RW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_BCA_HOLDOFF_PER_RW_SW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_BCA_HOLDOFF_PER_RW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_BCA_HOLDOFF_PER_RW_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_BCA_HOLDOFF_PER_RW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC3_0_BCA_HOLDOFF_PER_RW_INIT_ENUM                        ENABLE
#define MC_EMEM_ARB_MISC3_0_BCA_HOLDOFF_PER_RW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC3_0_BCA_HOLDOFF_PER_RW_ENABLE                   _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC3_0_BCA_HOLDOFF_PER_RW__PROD                    _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_MISC4_0
#define MC_EMEM_ARB_MISC4_0                     _MK_ADDR_CONST(0x240)
#define MC_EMEM_ARB_MISC4_0_SECURE                      0x0
#define MC_EMEM_ARB_MISC4_0_DUAL                        0x0
#define MC_EMEM_ARB_MISC4_0_SCR                         0
#define MC_EMEM_ARB_MISC4_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_MISC4_0_RESET_VAL                   _MK_MASK_CONST(0x7010)
#define MC_EMEM_ARB_MISC4_0_RESET_MASK                  _MK_MASK_CONST(0xf7ff)
#define MC_EMEM_ARB_MISC4_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x7010)
#define MC_EMEM_ARB_MISC4_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0xf7ff)
#define MC_EMEM_ARB_MISC4_0_READ_MASK                   _MK_MASK_CONST(0xf7ff)
#define MC_EMEM_ARB_MISC4_0_WRITE_MASK                  _MK_MASK_CONST(0xf7ff)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_FIELD                   _MK_FIELD_CONST(0xff, MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_SHIFT)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_RANGE                   7:0
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_WOFFSET                 0x0
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_DEFAULT                 _MK_MASK_CONST(0x10)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_SW_DEFAULT                      _MK_MASK_CONST(0x10)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD__PROD                   _MK_MASK_CONST(0x10)

#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BANK_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BANK_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BANK_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BANK_OVERRIDE_RANGE                     8:8
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BANK_OVERRIDE_WOFFSET                   0x0
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BANK_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BANK_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BANK_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BANK_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BANK_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BANK_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BANK_OVERRIDE_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BANK_OVERRIDE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BANK_OVERRIDE_ENABLE                    _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BANK_OVERRIDE_OVERRIDE                  _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BANK_OVERRIDE__PROD                     _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BUS_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BUS_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BUS_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BUS_OVERRIDE_RANGE                      9:9
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BUS_OVERRIDE_WOFFSET                    0x0
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BUS_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BUS_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BUS_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BUS_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BUS_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BUS_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BUS_OVERRIDE_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BUS_OVERRIDE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BUS_OVERRIDE_ENABLE                     _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BUS_OVERRIDE_OVERRIDE                   _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC4_0_PRIORITY_INVERSION_CPU_RD_THRESHOLD_BUS_OVERRIDE__PROD                      _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_MISC4_0_CPU_RD_BC_CAUSE_PRIINV_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_EMEM_ARB_MISC4_0_CPU_RD_BC_CAUSE_PRIINV_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC4_0_CPU_RD_BC_CAUSE_PRIINV_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_MISC4_0_CPU_RD_BC_CAUSE_PRIINV_OVERRIDE_RANGE                       10:10
#define MC_EMEM_ARB_MISC4_0_CPU_RD_BC_CAUSE_PRIINV_OVERRIDE_WOFFSET                     0x0
#define MC_EMEM_ARB_MISC4_0_CPU_RD_BC_CAUSE_PRIINV_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC4_0_CPU_RD_BC_CAUSE_PRIINV_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_CPU_RD_BC_CAUSE_PRIINV_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC4_0_CPU_RD_BC_CAUSE_PRIINV_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_CPU_RD_BC_CAUSE_PRIINV_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_CPU_RD_BC_CAUSE_PRIINV_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_CPU_RD_BC_CAUSE_PRIINV_OVERRIDE_INIT_ENUM                   DISABLE
#define MC_EMEM_ARB_MISC4_0_CPU_RD_BC_CAUSE_PRIINV_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC4_0_CPU_RD_BC_CAUSE_PRIINV_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC4_0_CPU_RD_BC_CAUSE_PRIINV_OVERRIDE_OVERRIDE                    _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC4_0_CPU_RD_BC_CAUSE_PRIINV_OVERRIDE__PROD                       _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_MISC4_0_EXP_ISO_ALLOWS_W2R_SWITCH_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_EMEM_ARB_MISC4_0_EXP_ISO_ALLOWS_W2R_SWITCH_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC4_0_EXP_ISO_ALLOWS_W2R_SWITCH_SHIFT)
#define MC_EMEM_ARB_MISC4_0_EXP_ISO_ALLOWS_W2R_SWITCH_RANGE                     12:12
#define MC_EMEM_ARB_MISC4_0_EXP_ISO_ALLOWS_W2R_SWITCH_WOFFSET                   0x0
#define MC_EMEM_ARB_MISC4_0_EXP_ISO_ALLOWS_W2R_SWITCH_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_EXP_ISO_ALLOWS_W2R_SWITCH_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_EXP_ISO_ALLOWS_W2R_SWITCH_SW_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_EXP_ISO_ALLOWS_W2R_SWITCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_EXP_ISO_ALLOWS_W2R_SWITCH_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_EXP_ISO_ALLOWS_W2R_SWITCH_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_EXP_ISO_ALLOWS_W2R_SWITCH_INIT_ENUM                 ENABLE
#define MC_EMEM_ARB_MISC4_0_EXP_ISO_ALLOWS_W2R_SWITCH_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC4_0_EXP_ISO_ALLOWS_W2R_SWITCH_ENABLE                    _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC4_0_EXP_ISO_ALLOWS_W2R_SWITCH__PROD                     _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_MISC4_0_EXP_CPU_RD_ALLOWS_W2R_SWITCH_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_EMEM_ARB_MISC4_0_EXP_CPU_RD_ALLOWS_W2R_SWITCH_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC4_0_EXP_CPU_RD_ALLOWS_W2R_SWITCH_SHIFT)
#define MC_EMEM_ARB_MISC4_0_EXP_CPU_RD_ALLOWS_W2R_SWITCH_RANGE                  13:13
#define MC_EMEM_ARB_MISC4_0_EXP_CPU_RD_ALLOWS_W2R_SWITCH_WOFFSET                        0x0
#define MC_EMEM_ARB_MISC4_0_EXP_CPU_RD_ALLOWS_W2R_SWITCH_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_EXP_CPU_RD_ALLOWS_W2R_SWITCH_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_EXP_CPU_RD_ALLOWS_W2R_SWITCH_SW_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_EXP_CPU_RD_ALLOWS_W2R_SWITCH_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_EXP_CPU_RD_ALLOWS_W2R_SWITCH_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_EXP_CPU_RD_ALLOWS_W2R_SWITCH_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_EXP_CPU_RD_ALLOWS_W2R_SWITCH_INIT_ENUM                      ENABLE
#define MC_EMEM_ARB_MISC4_0_EXP_CPU_RD_ALLOWS_W2R_SWITCH_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC4_0_EXP_CPU_RD_ALLOWS_W2R_SWITCH_ENABLE                 _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC4_0_EXP_CPU_RD_ALLOWS_W2R_SWITCH__PROD                  _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_MISC4_0_EXP_PTC_RD_ALLOWS_W2R_SWITCH_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_EMEM_ARB_MISC4_0_EXP_PTC_RD_ALLOWS_W2R_SWITCH_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC4_0_EXP_PTC_RD_ALLOWS_W2R_SWITCH_SHIFT)
#define MC_EMEM_ARB_MISC4_0_EXP_PTC_RD_ALLOWS_W2R_SWITCH_RANGE                  14:14
#define MC_EMEM_ARB_MISC4_0_EXP_PTC_RD_ALLOWS_W2R_SWITCH_WOFFSET                        0x0
#define MC_EMEM_ARB_MISC4_0_EXP_PTC_RD_ALLOWS_W2R_SWITCH_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_EXP_PTC_RD_ALLOWS_W2R_SWITCH_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_EXP_PTC_RD_ALLOWS_W2R_SWITCH_SW_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_EXP_PTC_RD_ALLOWS_W2R_SWITCH_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_EXP_PTC_RD_ALLOWS_W2R_SWITCH_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_EXP_PTC_RD_ALLOWS_W2R_SWITCH_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_EXP_PTC_RD_ALLOWS_W2R_SWITCH_INIT_ENUM                      ENABLE
#define MC_EMEM_ARB_MISC4_0_EXP_PTC_RD_ALLOWS_W2R_SWITCH_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC4_0_EXP_PTC_RD_ALLOWS_W2R_SWITCH_ENABLE                 _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC4_0_EXP_PTC_RD_ALLOWS_W2R_SWITCH__PROD                  _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_MISC4_0_ANY_EXP_ALLOWS_W2R_SWITCH_SHIFT                     _MK_SHIFT_CONST(15)
#define MC_EMEM_ARB_MISC4_0_ANY_EXP_ALLOWS_W2R_SWITCH_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_MISC4_0_ANY_EXP_ALLOWS_W2R_SWITCH_SHIFT)
#define MC_EMEM_ARB_MISC4_0_ANY_EXP_ALLOWS_W2R_SWITCH_RANGE                     15:15
#define MC_EMEM_ARB_MISC4_0_ANY_EXP_ALLOWS_W2R_SWITCH_WOFFSET                   0x0
#define MC_EMEM_ARB_MISC4_0_ANY_EXP_ALLOWS_W2R_SWITCH_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC4_0_ANY_EXP_ALLOWS_W2R_SWITCH_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_ANY_EXP_ALLOWS_W2R_SWITCH_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_MISC4_0_ANY_EXP_ALLOWS_W2R_SWITCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_ANY_EXP_ALLOWS_W2R_SWITCH_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_ANY_EXP_ALLOWS_W2R_SWITCH_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_MISC4_0_ANY_EXP_ALLOWS_W2R_SWITCH_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_MISC4_0_ANY_EXP_ALLOWS_W2R_SWITCH_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_MISC4_0_ANY_EXP_ALLOWS_W2R_SWITCH_ENABLE                    _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_MISC4_0_ANY_EXP_ALLOWS_W2R_SWITCH__PROD                     _MK_MASK_CONST(0x0)


// Register MC_EMEM_ARB_RING1_THROTTLE_0
#define MC_EMEM_ARB_RING1_THROTTLE_0                    _MK_ADDR_CONST(0xe0)
#define MC_EMEM_ARB_RING1_THROTTLE_0_SECURE                     0x0
#define MC_EMEM_ARB_RING1_THROTTLE_0_DUAL                       0x0
#define MC_EMEM_ARB_RING1_THROTTLE_0_SCR                        0
#define MC_EMEM_ARB_RING1_THROTTLE_0_WORD_COUNT                         0x1
#define MC_EMEM_ARB_RING1_THROTTLE_0_RESET_VAL                  _MK_MASK_CONST(0x3f0000)
#define MC_EMEM_ARB_RING1_THROTTLE_0_RESET_MASK                         _MK_MASK_CONST(0x3f003f)
#define MC_EMEM_ARB_RING1_THROTTLE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x3f0000)
#define MC_EMEM_ARB_RING1_THROTTLE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3f003f)
#define MC_EMEM_ARB_RING1_THROTTLE_0_READ_MASK                  _MK_MASK_CONST(0x3f003f)
#define MC_EMEM_ARB_RING1_THROTTLE_0_WRITE_MASK                         _MK_MASK_CONST(0x3f003f)
#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_LOW_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_LOW_FIELD                    _MK_FIELD_CONST(0x3f, MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_LOW_SHIFT)
#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_LOW_RANGE                    5:0
#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_LOW_WOFFSET                  0x0
#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_LOW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_LOW_DEFAULT_MASK                     _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_LOW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_LOW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_LOW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_LOW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_LOW__PROD                    _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_HIGH_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_HIGH_FIELD                   _MK_FIELD_CONST(0x3f, MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_HIGH_SHIFT)
#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_HIGH_RANGE                   21:16
#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_HIGH_WOFFSET                 0x0
#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_HIGH_DEFAULT                 _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_HIGH_DEFAULT_MASK                    _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_HIGH_SW_DEFAULT                      _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_HIGH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_HIGH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_HIGH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_HIGH__PROD                   _MK_MASK_CONST(0x3f)


// Register MC_EMEM_ARB_RING3_THROTTLE_0
#define MC_EMEM_ARB_RING3_THROTTLE_0                    _MK_ADDR_CONST(0xe4)
#define MC_EMEM_ARB_RING3_THROTTLE_0_SECURE                     0x0
#define MC_EMEM_ARB_RING3_THROTTLE_0_DUAL                       0x0
#define MC_EMEM_ARB_RING3_THROTTLE_0_SCR                        0
#define MC_EMEM_ARB_RING3_THROTTLE_0_WORD_COUNT                         0x1
#define MC_EMEM_ARB_RING3_THROTTLE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_RING3_THROTTLE_0_RESET_MASK                         _MK_MASK_CONST(0x1f001f)
#define MC_EMEM_ARB_RING3_THROTTLE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_RING3_THROTTLE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1f001f)
#define MC_EMEM_ARB_RING3_THROTTLE_0_READ_MASK                  _MK_MASK_CONST(0x1f001f)
#define MC_EMEM_ARB_RING3_THROTTLE_0_WRITE_MASK                         _MK_MASK_CONST(0x1f001f)
#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_FIELD                        _MK_FIELD_CONST(0x1f, MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_SHIFT)
#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_RANGE                        4:0
#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_WOFFSET                      0x0
#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_DEFAULT_MASK                 _MK_MASK_CONST(0x1f)
#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1f)
#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES__PROD                        _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_HIGH_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_HIGH_FIELD                   _MK_FIELD_CONST(0x1f, MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_HIGH_SHIFT)
#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_HIGH_RANGE                   20:16
#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_HIGH_WOFFSET                 0x0
#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_HIGH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_HIGH_DEFAULT_MASK                    _MK_MASK_CONST(0x1f)
#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_HIGH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_HIGH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1f)
#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_HIGH_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_HIGH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING3_THROTTLE_0_RING3_THROTTLE_CYCLES_HIGH__PROD                   _MK_MASK_CONST(0x0)


// Register MC_EMEM_ARB_NISO_THROTTLE_0
#define MC_EMEM_ARB_NISO_THROTTLE_0                     _MK_ADDR_CONST(0x6b0)
#define MC_EMEM_ARB_NISO_THROTTLE_0_SECURE                      0x0
#define MC_EMEM_ARB_NISO_THROTTLE_0_DUAL                        0x0
#define MC_EMEM_ARB_NISO_THROTTLE_0_SCR                         0
#define MC_EMEM_ARB_NISO_THROTTLE_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_NISO_THROTTLE_0_RESET_VAL                   _MK_MASK_CONST(0x3f0000)
#define MC_EMEM_ARB_NISO_THROTTLE_0_RESET_MASK                  _MK_MASK_CONST(0x803f003f)
#define MC_EMEM_ARB_NISO_THROTTLE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x3f0000)
#define MC_EMEM_ARB_NISO_THROTTLE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x803f003f)
#define MC_EMEM_ARB_NISO_THROTTLE_0_READ_MASK                   _MK_MASK_CONST(0x803f003f)
#define MC_EMEM_ARB_NISO_THROTTLE_0_WRITE_MASK                  _MK_MASK_CONST(0x803f003f)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_FIELD                  _MK_FIELD_CONST(0x3f, MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_RANGE                  5:0
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_WOFFSET                        0x0
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES__PROD                  _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_HIGH_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_HIGH_FIELD                     _MK_FIELD_CONST(0x3f, MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_HIGH_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_HIGH_RANGE                     21:16
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_HIGH_WOFFSET                   0x0
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_HIGH_DEFAULT                   _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_HIGH_DEFAULT_MASK                      _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_HIGH_SW_DEFAULT                        _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_HIGH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_HIGH_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_HIGH_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_HIGH__PROD                     _MK_MASK_CONST(0x3f)

#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_DISABLE_CNT_EVENT_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_DISABLE_CNT_EVENT_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_DISABLE_CNT_EVENT_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_DISABLE_CNT_EVENT_RANGE                       31:31
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_DISABLE_CNT_EVENT_WOFFSET                     0x0
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_DISABLE_CNT_EVENT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_DISABLE_CNT_EVENT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_DISABLE_CNT_EVENT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_DISABLE_CNT_EVENT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_DISABLE_CNT_EVENT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_DISABLE_CNT_EVENT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_DISABLE_CNT_EVENT__PROD                       _MK_MASK_CONST(0x0)


// Register MC_EMEM_ARB_OVERRIDE_0
#define MC_EMEM_ARB_OVERRIDE_0                  _MK_ADDR_CONST(0xe8)
#define MC_EMEM_ARB_OVERRIDE_0_SECURE                   0x0
#define MC_EMEM_ARB_OVERRIDE_0_DUAL                     0x0
#define MC_EMEM_ARB_OVERRIDE_0_SCR                      0
#define MC_EMEM_ARB_OVERRIDE_0_WORD_COUNT                       0x1
#define MC_EMEM_ARB_OVERRIDE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_RESET_MASK                       _MK_MASK_CONST(0x8cffff18)
#define MC_EMEM_ARB_OVERRIDE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x8cffff18)
#define MC_EMEM_ARB_OVERRIDE_0_READ_MASK                        _MK_MASK_CONST(0x8cffff18)
#define MC_EMEM_ARB_OVERRIDE_0_WRITE_MASK                       _MK_MASK_CONST(0x8cffff18)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_DEADLOCK_CHECK_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_DEADLOCK_CHECK_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_DEADLOCK_CHECK_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_DEADLOCK_CHECK_OVERRIDE_RANGE                       31:31
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_DEADLOCK_CHECK_OVERRIDE_WOFFSET                     0x0
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_DEADLOCK_CHECK_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_DEADLOCK_CHECK_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_DEADLOCK_CHECK_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_DEADLOCK_CHECK_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_DEADLOCK_CHECK_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_DEADLOCK_CHECK_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_DEADLOCK_CHECK_OVERRIDE_INIT_ENUM                   DISABLE
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_DEADLOCK_CHECK_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_DEADLOCK_CHECK_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_DEADLOCK_CHECK_OVERRIDE_OVERRIDE                    _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_DEADLOCK_CHECK_OVERRIDE__PROD                       _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_AP_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_AP_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_AP_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_AP_OVERRIDE_RANGE                       27:27
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_AP_OVERRIDE_WOFFSET                     0x0
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_AP_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_AP_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_AP_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_AP_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_AP_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_AP_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_AP_OVERRIDE_INIT_ENUM                   DISABLE
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_AP_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_AP_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_AP_OVERRIDE_OVERRIDE                    _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_AP_OVERRIDE__PROD                       _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_OVERRIDE_RANGE                      26:26
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_OVERRIDE_WOFFSET                    0x0
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_OVERRIDE_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_OVERRIDE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_OVERRIDE_ENABLE                     _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_OVERRIDE_OVERRIDE                   _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_OVERRIDE__PROD                      _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_0_ISO_TA_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_TA_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_0_ISO_TA_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_TA_OVERRIDE_RANGE                    23:23
#define MC_EMEM_ARB_OVERRIDE_0_ISO_TA_OVERRIDE_WOFFSET                  0x0
#define MC_EMEM_ARB_OVERRIDE_0_ISO_TA_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_TA_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_TA_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_TA_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_TA_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_TA_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_TA_OVERRIDE_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_OVERRIDE_0_ISO_TA_OVERRIDE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_TA_OVERRIDE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_TA_OVERRIDE_OVERRIDE                 _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_TA_OVERRIDE__PROD                    _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_0_ISO_DA_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_DA_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_0_ISO_DA_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_DA_OVERRIDE_RANGE                    22:22
#define MC_EMEM_ARB_OVERRIDE_0_ISO_DA_OVERRIDE_WOFFSET                  0x0
#define MC_EMEM_ARB_OVERRIDE_0_ISO_DA_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_DA_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_DA_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_DA_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_DA_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_DA_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_DA_OVERRIDE_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_OVERRIDE_0_ISO_DA_OVERRIDE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_DA_OVERRIDE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_DA_OVERRIDE_OVERRIDE                 _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_DA_OVERRIDE__PROD                    _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_INHERIT_ON_PRIINV_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_INHERIT_ON_PRIINV_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_0_ISO_BC_INHERIT_ON_PRIINV_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_INHERIT_ON_PRIINV_OVERRIDE_RANGE                  21:21
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_INHERIT_ON_PRIINV_OVERRIDE_WOFFSET                        0x0
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_INHERIT_ON_PRIINV_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_INHERIT_ON_PRIINV_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_INHERIT_ON_PRIINV_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_INHERIT_ON_PRIINV_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_INHERIT_ON_PRIINV_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_INHERIT_ON_PRIINV_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_INHERIT_ON_PRIINV_OVERRIDE_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_INHERIT_ON_PRIINV_OVERRIDE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_INHERIT_ON_PRIINV_OVERRIDE_ENABLE                 _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_INHERIT_ON_PRIINV_OVERRIDE_OVERRIDE                       _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_INHERIT_ON_PRIINV_OVERRIDE__PROD                  _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_CAUSE_PRIINV_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(20)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_CAUSE_PRIINV_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_0_ISO_BC_CAUSE_PRIINV_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_CAUSE_PRIINV_OVERRIDE_RANGE                       20:20
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_CAUSE_PRIINV_OVERRIDE_WOFFSET                     0x0
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_CAUSE_PRIINV_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_CAUSE_PRIINV_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_CAUSE_PRIINV_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_CAUSE_PRIINV_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_CAUSE_PRIINV_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_CAUSE_PRIINV_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_CAUSE_PRIINV_OVERRIDE_INIT_ENUM                   DISABLE
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_CAUSE_PRIINV_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_CAUSE_PRIINV_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_CAUSE_PRIINV_OVERRIDE_OVERRIDE                    _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BC_CAUSE_PRIINV_OVERRIDE__PROD                       _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_0_ISO_BA_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BA_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_0_ISO_BA_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BA_OVERRIDE_RANGE                    19:19
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BA_OVERRIDE_WOFFSET                  0x0
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BA_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BA_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BA_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BA_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BA_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BA_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BA_OVERRIDE_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BA_OVERRIDE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BA_OVERRIDE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BA_OVERRIDE_OVERRIDE                 _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_BA_OVERRIDE__PROD                    _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_0_ISO_AA_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_AA_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_0_ISO_AA_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_AA_OVERRIDE_RANGE                    18:18
#define MC_EMEM_ARB_OVERRIDE_0_ISO_AA_OVERRIDE_WOFFSET                  0x0
#define MC_EMEM_ARB_OVERRIDE_0_ISO_AA_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_AA_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_AA_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_AA_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_AA_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_AA_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_AA_OVERRIDE_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_OVERRIDE_0_ISO_AA_OVERRIDE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_AA_OVERRIDE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_AA_OVERRIDE_OVERRIDE                 _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ISO_AA_OVERRIDE__PROD                    _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_BUBBLECALC_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_BUBBLECALC_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_BUBBLECALC_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_BUBBLECALC_OVERRIDE_RANGE                       17:17
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_BUBBLECALC_OVERRIDE_WOFFSET                     0x0
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_BUBBLECALC_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_BUBBLECALC_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_BUBBLECALC_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_BUBBLECALC_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_BUBBLECALC_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_BUBBLECALC_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_BUBBLECALC_OVERRIDE_INIT_ENUM                   DISABLE
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_BUBBLECALC_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_BUBBLECALC_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_BUBBLECALC_OVERRIDE_OVERRIDE                    _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ARB_EMEM_BUBBLECALC_OVERRIDE__PROD                       _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_0_ALLOC_ONE_BQ_PER_CLIENT_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_OVERRIDE_0_ALLOC_ONE_BQ_PER_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_0_ALLOC_ONE_BQ_PER_CLIENT_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_0_ALLOC_ONE_BQ_PER_CLIENT_RANGE                    16:16
#define MC_EMEM_ARB_OVERRIDE_0_ALLOC_ONE_BQ_PER_CLIENT_WOFFSET                  0x0
#define MC_EMEM_ARB_OVERRIDE_0_ALLOC_ONE_BQ_PER_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ALLOC_ONE_BQ_PER_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ALLOC_ONE_BQ_PER_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_ALLOC_ONE_BQ_PER_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ALLOC_ONE_BQ_PER_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ALLOC_ONE_BQ_PER_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_ALLOC_ONE_BQ_PER_CLIENT_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_OVERRIDE_0_ALLOC_ONE_BQ_PER_CLIENT_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_0_ALLOC_ONE_BQ_PER_CLIENT_ENABLE                   _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ALLOC_ONE_BQ_PER_CLIENT_OVERRIDE                 _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_ALLOC_ONE_BQ_PER_CLIENT__PROD                    _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BUS_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BUS_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BUS_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BUS_OVERRIDE_RANGE                      15:15
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BUS_OVERRIDE_WOFFSET                    0x0
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BUS_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BUS_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BUS_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BUS_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BUS_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BUS_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BUS_OVERRIDE_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BUS_OVERRIDE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BUS_OVERRIDE_ENABLE                     _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BUS_OVERRIDE_OVERRIDE                   _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BUS_OVERRIDE__PROD                      _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BANK_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(14)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BANK_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BANK_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BANK_OVERRIDE_RANGE                     14:14
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BANK_OVERRIDE_WOFFSET                   0x0
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BANK_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BANK_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BANK_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BANK_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BANK_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BANK_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BANK_OVERRIDE_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BANK_OVERRIDE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BANK_OVERRIDE_ENABLE                    _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BANK_OVERRIDE_OVERRIDE                  _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_ISO_THRESHOLD_BANK_OVERRIDE__PROD                     _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BUS_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BUS_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BUS_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BUS_OVERRIDE_RANGE                  13:13
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BUS_OVERRIDE_WOFFSET                        0x0
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BUS_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BUS_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BUS_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BUS_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BUS_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BUS_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BUS_OVERRIDE_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BUS_OVERRIDE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BUS_OVERRIDE_ENABLE                 _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BUS_OVERRIDE_OVERRIDE                       _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BUS_OVERRIDE__PROD                  _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BANK_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BANK_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BANK_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BANK_OVERRIDE_RANGE                 12:12
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BANK_OVERRIDE_WOFFSET                       0x0
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BANK_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BANK_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BANK_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BANK_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BANK_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BANK_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BANK_OVERRIDE_INIT_ENUM                     DISABLE
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BANK_OVERRIDE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BANK_OVERRIDE_ENABLE                        _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BANK_OVERRIDE_OVERRIDE                      _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_THRESHOLD_BANK_OVERRIDE__PROD                 _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_EQ_PRI_LEN_LIMIT_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_EQ_PRI_LEN_LIMIT_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_EQ_PRI_LEN_LIMIT_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_EQ_PRI_LEN_LIMIT_OVERRIDE_RANGE                       11:11
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_EQ_PRI_LEN_LIMIT_OVERRIDE_WOFFSET                     0x0
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_EQ_PRI_LEN_LIMIT_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_EQ_PRI_LEN_LIMIT_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_EQ_PRI_LEN_LIMIT_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_EQ_PRI_LEN_LIMIT_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_EQ_PRI_LEN_LIMIT_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_EQ_PRI_LEN_LIMIT_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_EQ_PRI_LEN_LIMIT_OVERRIDE_INIT_ENUM                   DISABLE
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_EQ_PRI_LEN_LIMIT_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_EQ_PRI_LEN_LIMIT_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_EQ_PRI_LEN_LIMIT_OVERRIDE_OVERRIDE                    _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_PRIORITY_INVERSION_EQ_PRI_LEN_LIMIT_OVERRIDE__PROD                       _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_0_OBSERVED_DIRECTION_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_EMEM_ARB_OVERRIDE_0_OBSERVED_DIRECTION_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_0_OBSERVED_DIRECTION_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_0_OBSERVED_DIRECTION_OVERRIDE_RANGE                        10:10
#define MC_EMEM_ARB_OVERRIDE_0_OBSERVED_DIRECTION_OVERRIDE_WOFFSET                      0x0
#define MC_EMEM_ARB_OVERRIDE_0_OBSERVED_DIRECTION_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_OBSERVED_DIRECTION_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_OBSERVED_DIRECTION_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_OBSERVED_DIRECTION_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_OBSERVED_DIRECTION_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_OBSERVED_DIRECTION_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_OBSERVED_DIRECTION_OVERRIDE_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_OVERRIDE_0_OBSERVED_DIRECTION_OVERRIDE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_0_OBSERVED_DIRECTION_OVERRIDE_ENABLE                       _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_OBSERVED_DIRECTION_OVERRIDE_OVERRIDE                     _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_OBSERVED_DIRECTION_OVERRIDE__PROD                        _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_0_BC2AA_HOLDOFF_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(9)
#define MC_EMEM_ARB_OVERRIDE_0_BC2AA_HOLDOFF_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_0_BC2AA_HOLDOFF_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_0_BC2AA_HOLDOFF_OVERRIDE_RANGE                     9:9
#define MC_EMEM_ARB_OVERRIDE_0_BC2AA_HOLDOFF_OVERRIDE_WOFFSET                   0x0
#define MC_EMEM_ARB_OVERRIDE_0_BC2AA_HOLDOFF_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_BC2AA_HOLDOFF_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_BC2AA_HOLDOFF_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_BC2AA_HOLDOFF_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_BC2AA_HOLDOFF_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_BC2AA_HOLDOFF_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_BC2AA_HOLDOFF_OVERRIDE_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_OVERRIDE_0_BC2AA_HOLDOFF_OVERRIDE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_0_BC2AA_HOLDOFF_OVERRIDE_ENABLE                    _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_BC2AA_HOLDOFF_OVERRIDE_OVERRIDE                  _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_BC2AA_HOLDOFF_OVERRIDE__PROD                     _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_0_TS2AA_HOLDOFF_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_EMEM_ARB_OVERRIDE_0_TS2AA_HOLDOFF_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_0_TS2AA_HOLDOFF_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_0_TS2AA_HOLDOFF_OVERRIDE_RANGE                     8:8
#define MC_EMEM_ARB_OVERRIDE_0_TS2AA_HOLDOFF_OVERRIDE_WOFFSET                   0x0
#define MC_EMEM_ARB_OVERRIDE_0_TS2AA_HOLDOFF_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_TS2AA_HOLDOFF_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_TS2AA_HOLDOFF_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_TS2AA_HOLDOFF_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_TS2AA_HOLDOFF_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_TS2AA_HOLDOFF_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_TS2AA_HOLDOFF_OVERRIDE_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_OVERRIDE_0_TS2AA_HOLDOFF_OVERRIDE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_0_TS2AA_HOLDOFF_OVERRIDE_ENABLE                    _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_TS2AA_HOLDOFF_OVERRIDE_OVERRIDE                  _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_TS2AA_HOLDOFF_OVERRIDE__PROD                     _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_0_EXPIRE_UPDATE_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_EMEM_ARB_OVERRIDE_0_EXPIRE_UPDATE_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_0_EXPIRE_UPDATE_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_0_EXPIRE_UPDATE_OVERRIDE_RANGE                     4:4
#define MC_EMEM_ARB_OVERRIDE_0_EXPIRE_UPDATE_OVERRIDE_WOFFSET                   0x0
#define MC_EMEM_ARB_OVERRIDE_0_EXPIRE_UPDATE_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_EXPIRE_UPDATE_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_EXPIRE_UPDATE_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_EXPIRE_UPDATE_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_EXPIRE_UPDATE_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_EXPIRE_UPDATE_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_EXPIRE_UPDATE_OVERRIDE_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_OVERRIDE_0_EXPIRE_UPDATE_OVERRIDE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_0_EXPIRE_UPDATE_OVERRIDE_ENABLE                    _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_EXPIRE_UPDATE_OVERRIDE_OVERRIDE                  _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_EXPIRE_UPDATE_OVERRIDE__PROD                     _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_0_GPU_SLICE_MERGE_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_EMEM_ARB_OVERRIDE_0_GPU_SLICE_MERGE_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_0_GPU_SLICE_MERGE_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_0_GPU_SLICE_MERGE_OVERRIDE_RANGE                   3:3
#define MC_EMEM_ARB_OVERRIDE_0_GPU_SLICE_MERGE_OVERRIDE_WOFFSET                 0x0
#define MC_EMEM_ARB_OVERRIDE_0_GPU_SLICE_MERGE_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_GPU_SLICE_MERGE_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_GPU_SLICE_MERGE_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_0_GPU_SLICE_MERGE_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_GPU_SLICE_MERGE_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_GPU_SLICE_MERGE_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_0_GPU_SLICE_MERGE_OVERRIDE_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_OVERRIDE_0_GPU_SLICE_MERGE_OVERRIDE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_0_GPU_SLICE_MERGE_OVERRIDE_ENABLE                  _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_GPU_SLICE_MERGE_OVERRIDE_OVERRIDE                        _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_0_GPU_SLICE_MERGE_OVERRIDE__PROD                   _MK_MASK_CONST(0x0)


// Register MC_EMEM_ARB_RSV_0
#define MC_EMEM_ARB_RSV_0                       _MK_ADDR_CONST(0xec)
#define MC_EMEM_ARB_RSV_0_SECURE                        0x0
#define MC_EMEM_ARB_RSV_0_DUAL                  0x0
#define MC_EMEM_ARB_RSV_0_SCR                   0
#define MC_EMEM_ARB_RSV_0_WORD_COUNT                    0x1
#define MC_EMEM_ARB_RSV_0_RESET_VAL                     _MK_MASK_CONST(0xff00ff00)
#define MC_EMEM_ARB_RSV_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_EMEM_ARB_RSV_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0xff00ff00)
#define MC_EMEM_ARB_RSV_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_EMEM_ARB_RSV_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_EMEM_ARB_RSV_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE0_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE0_FIELD                 _MK_FIELD_CONST(0xff, MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE0_SHIFT)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE0_RANGE                 7:0
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE0_WOFFSET                       0x0
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE0_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE0_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE0_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE0__PROD                 _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE1_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE1_FIELD                 _MK_FIELD_CONST(0xff, MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE1_SHIFT)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE1_RANGE                 15:8
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE1_WOFFSET                       0x0
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE1_DEFAULT                       _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE1_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE1_SW_DEFAULT                    _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE1__PROD                 _MK_MASK_CONST(0xff)

#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE2_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE2_FIELD                 _MK_FIELD_CONST(0xff, MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE2_SHIFT)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE2_RANGE                 23:16
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE2_WOFFSET                       0x0
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE2_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE2_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE2__PROD                 _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE3_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE3_FIELD                 _MK_FIELD_CONST(0xff, MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE3_SHIFT)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE3_RANGE                 31:24
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE3_WOFFSET                       0x0
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE3_DEFAULT                       _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE3_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE3_SW_DEFAULT                    _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE3_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE3__PROD                 _MK_MASK_CONST(0xff)


// Reserved address 0xf0

// Register MC_CLKEN_OVERRIDE_0
#define MC_CLKEN_OVERRIDE_0                     _MK_ADDR_CONST(0xf4)
#define MC_CLKEN_OVERRIDE_0_SECURE                      0x0
#define MC_CLKEN_OVERRIDE_0_DUAL                        0x0
#define MC_CLKEN_OVERRIDE_0_SCR                         0
#define MC_CLKEN_OVERRIDE_0_WORD_COUNT                  0x1
#define MC_CLKEN_OVERRIDE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_RESET_MASK                  _MK_MASK_CONST(0xffffffed)
#define MC_CLKEN_OVERRIDE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffed)
#define MC_CLKEN_OVERRIDE_0_READ_MASK                   _MK_MASK_CONST(0xffffffed)
#define MC_CLKEN_OVERRIDE_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffed)
#define MC_CLKEN_OVERRIDE_0_CIF_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_CLKEN_OVERRIDE_0_CIF_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_CIF_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_CIF_CLKEN_OVR_RANGE                 0:0
#define MC_CLKEN_OVERRIDE_0_CIF_CLKEN_OVR_WOFFSET                       0x0
#define MC_CLKEN_OVERRIDE_0_CIF_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_CIF_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_CIF_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_CIF_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_CIF_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_CIF_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_CIF_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_CLKEN_OVERRIDE_0_CIF_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_CIF_CLKEN_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_CIF_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_CIF_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_CIF_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_CIF_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_CIF_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_EARB_CLKEN_OVR_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_CLKEN_OVERRIDE_0_EARB_CLKEN_OVR_FIELD                        _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_EARB_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_EARB_CLKEN_OVR_RANGE                        2:2
#define MC_CLKEN_OVERRIDE_0_EARB_CLKEN_OVR_WOFFSET                      0x0
#define MC_CLKEN_OVERRIDE_0_EARB_CLKEN_OVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_EARB_CLKEN_OVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_EARB_CLKEN_OVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_EARB_CLKEN_OVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_EARB_CLKEN_OVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_EARB_CLKEN_OVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_EARB_CLKEN_OVR_INIT_ENUM                    CLK_GATED
#define MC_CLKEN_OVERRIDE_0_EARB_CLKEN_OVR_CLK_GATED                    _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_EARB_CLKEN_OVR_CLK_ALWAYS_ON                        _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_EARB_CLKEN_OVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_EARB_CLKEN_OVR_ENABLE                       _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_EARB_CLKEN_OVR_DISABLED                     _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_EARB_CLKEN_OVR_ENABLED                      _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_EARB_CLKEN_OVR__PROD                        _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_REGS_CLKEN_OVR_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_CLKEN_OVERRIDE_0_REGS_CLKEN_OVR_FIELD                        _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_REGS_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_REGS_CLKEN_OVR_RANGE                        3:3
#define MC_CLKEN_OVERRIDE_0_REGS_CLKEN_OVR_WOFFSET                      0x0
#define MC_CLKEN_OVERRIDE_0_REGS_CLKEN_OVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_REGS_CLKEN_OVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_REGS_CLKEN_OVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_REGS_CLKEN_OVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_REGS_CLKEN_OVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_REGS_CLKEN_OVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_REGS_CLKEN_OVR_INIT_ENUM                    CLK_GATED
#define MC_CLKEN_OVERRIDE_0_REGS_CLKEN_OVR_CLK_GATED                    _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_REGS_CLKEN_OVR_CLK_ALWAYS_ON                        _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_REGS_CLKEN_OVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_REGS_CLKEN_OVR_ENABLE                       _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_REGS_CLKEN_OVR_DISABLED                     _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_REGS_CLKEN_OVR_ENABLED                      _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_REGS_CLKEN_OVR__PROD                        _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_WB_CLKEN_OVR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_CLKEN_OVERRIDE_0_WB_CLKEN_OVR_FIELD                  _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_WB_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_WB_CLKEN_OVR_RANGE                  5:5
#define MC_CLKEN_OVERRIDE_0_WB_CLKEN_OVR_WOFFSET                        0x0
#define MC_CLKEN_OVERRIDE_0_WB_CLKEN_OVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_WB_CLKEN_OVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_WB_CLKEN_OVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_WB_CLKEN_OVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_WB_CLKEN_OVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_WB_CLKEN_OVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_WB_CLKEN_OVR_INIT_ENUM                      CLK_GATED
#define MC_CLKEN_OVERRIDE_0_WB_CLKEN_OVR_CLK_GATED                      _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_WB_CLKEN_OVR_CLK_ALWAYS_ON                  _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_WB_CLKEN_OVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_WB_CLKEN_OVR_ENABLE                 _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_WB_CLKEN_OVR_DISABLED                       _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_WB_CLKEN_OVR_ENABLED                        _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_WB_CLKEN_OVR__PROD                  _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_TLB_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_CLKEN_OVERRIDE_0_TLB_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_TLB_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_TLB_CLKEN_OVR_RANGE                 6:6
#define MC_CLKEN_OVERRIDE_0_TLB_CLKEN_OVR_WOFFSET                       0x0
#define MC_CLKEN_OVERRIDE_0_TLB_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_TLB_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_TLB_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_TLB_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_TLB_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_TLB_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_TLB_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_CLKEN_OVERRIDE_0_TLB_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_TLB_CLKEN_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_TLB_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_TLB_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_TLB_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_TLB_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_TLB_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_PTC_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_CLKEN_OVERRIDE_0_PTC_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_PTC_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_PTC_CLKEN_OVR_RANGE                 7:7
#define MC_CLKEN_OVERRIDE_0_PTC_CLKEN_OVR_WOFFSET                       0x0
#define MC_CLKEN_OVERRIDE_0_PTC_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_PTC_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_PTC_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_PTC_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_PTC_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_PTC_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_PTC_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_CLKEN_OVERRIDE_0_PTC_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_PTC_CLKEN_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_PTC_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_PTC_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_PTC_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_PTC_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_PTC_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_PTC_CACHE_CLKEN_OVR_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_CLKEN_OVERRIDE_0_PTC_CACHE_CLKEN_OVR_FIELD                   _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_PTC_CACHE_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_PTC_CACHE_CLKEN_OVR_RANGE                   8:8
#define MC_CLKEN_OVERRIDE_0_PTC_CACHE_CLKEN_OVR_WOFFSET                 0x0
#define MC_CLKEN_OVERRIDE_0_PTC_CACHE_CLKEN_OVR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_PTC_CACHE_CLKEN_OVR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_PTC_CACHE_CLKEN_OVR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_PTC_CACHE_CLKEN_OVR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_PTC_CACHE_CLKEN_OVR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_PTC_CACHE_CLKEN_OVR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_PTC_CACHE_CLKEN_OVR_INIT_ENUM                       CLK_GATED
#define MC_CLKEN_OVERRIDE_0_PTC_CACHE_CLKEN_OVR_CLK_GATED                       _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_PTC_CACHE_CLKEN_OVR_CLK_ALWAYS_ON                   _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_PTC_CACHE_CLKEN_OVR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_PTC_CACHE_CLKEN_OVR_ENABLE                  _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_PTC_CACHE_CLKEN_OVR_DISABLED                        _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_PTC_CACHE_CLKEN_OVR_ENABLED                 _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_PTC_CACHE_CLKEN_OVR__PROD                   _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_WCAM_CLKEN_OVR_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_CLKEN_OVERRIDE_0_WCAM_CLKEN_OVR_FIELD                        _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_WCAM_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_WCAM_CLKEN_OVR_RANGE                        9:9
#define MC_CLKEN_OVERRIDE_0_WCAM_CLKEN_OVR_WOFFSET                      0x0
#define MC_CLKEN_OVERRIDE_0_WCAM_CLKEN_OVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_WCAM_CLKEN_OVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_WCAM_CLKEN_OVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_WCAM_CLKEN_OVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_WCAM_CLKEN_OVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_WCAM_CLKEN_OVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_WCAM_CLKEN_OVR_INIT_ENUM                    CLK_GATED
#define MC_CLKEN_OVERRIDE_0_WCAM_CLKEN_OVR_CLK_GATED                    _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_WCAM_CLKEN_OVR_CLK_ALWAYS_ON                        _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_WCAM_CLKEN_OVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_WCAM_CLKEN_OVR_ENABLE                       _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_WCAM_CLKEN_OVR_DISABLED                     _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_WCAM_CLKEN_OVR_ENABLED                      _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_WCAM_CLKEN_OVR__PROD                        _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_HUB_DDA_CLKEN_OVR_SHIFT                     _MK_SHIFT_CONST(10)
#define MC_CLKEN_OVERRIDE_0_HUB_DDA_CLKEN_OVR_FIELD                     _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_HUB_DDA_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_HUB_DDA_CLKEN_OVR_RANGE                     10:10
#define MC_CLKEN_OVERRIDE_0_HUB_DDA_CLKEN_OVR_WOFFSET                   0x0
#define MC_CLKEN_OVERRIDE_0_HUB_DDA_CLKEN_OVR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_HUB_DDA_CLKEN_OVR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_HUB_DDA_CLKEN_OVR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_HUB_DDA_CLKEN_OVR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_HUB_DDA_CLKEN_OVR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_HUB_DDA_CLKEN_OVR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_HUB_DDA_CLKEN_OVR_INIT_ENUM                 CLK_GATED
#define MC_CLKEN_OVERRIDE_0_HUB_DDA_CLKEN_OVR_CLK_GATED                 _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_HUB_DDA_CLKEN_OVR_CLK_ALWAYS_ON                     _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_HUB_DDA_CLKEN_OVR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_HUB_DDA_CLKEN_OVR_ENABLE                    _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_HUB_DDA_CLKEN_OVR_DISABLED                  _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_HUB_DDA_CLKEN_OVR_ENABLED                   _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_HUB_DDA_CLKEN_OVR__PROD                     _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_CH_DDA_CLKEN_OVR_SHIFT                      _MK_SHIFT_CONST(11)
#define MC_CLKEN_OVERRIDE_0_CH_DDA_CLKEN_OVR_FIELD                      _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_CH_DDA_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_CH_DDA_CLKEN_OVR_RANGE                      11:11
#define MC_CLKEN_OVERRIDE_0_CH_DDA_CLKEN_OVR_WOFFSET                    0x0
#define MC_CLKEN_OVERRIDE_0_CH_DDA_CLKEN_OVR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_CH_DDA_CLKEN_OVR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_CH_DDA_CLKEN_OVR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_CH_DDA_CLKEN_OVR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_CH_DDA_CLKEN_OVR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_CH_DDA_CLKEN_OVR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_CH_DDA_CLKEN_OVR_INIT_ENUM                  CLK_GATED
#define MC_CLKEN_OVERRIDE_0_CH_DDA_CLKEN_OVR_CLK_GATED                  _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_CH_DDA_CLKEN_OVR_CLK_ALWAYS_ON                      _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_CH_DDA_CLKEN_OVR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_CH_DDA_CLKEN_OVR_ENABLE                     _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_CH_DDA_CLKEN_OVR_DISABLED                   _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_CH_DDA_CLKEN_OVR_ENABLED                    _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_CH_DDA_CLKEN_OVR__PROD                      _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_RING1_CLKEN_OVR_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_CLKEN_OVERRIDE_0_RING1_CLKEN_OVR_FIELD                       _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_RING1_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_RING1_CLKEN_OVR_RANGE                       12:12
#define MC_CLKEN_OVERRIDE_0_RING1_CLKEN_OVR_WOFFSET                     0x0
#define MC_CLKEN_OVERRIDE_0_RING1_CLKEN_OVR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_RING1_CLKEN_OVR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_RING1_CLKEN_OVR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_RING1_CLKEN_OVR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_RING1_CLKEN_OVR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_RING1_CLKEN_OVR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_RING1_CLKEN_OVR_INIT_ENUM                   CLK_GATED
#define MC_CLKEN_OVERRIDE_0_RING1_CLKEN_OVR_CLK_GATED                   _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_RING1_CLKEN_OVR_CLK_ALWAYS_ON                       _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_RING1_CLKEN_OVR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_RING1_CLKEN_OVR_ENABLE                      _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_RING1_CLKEN_OVR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_RING1_CLKEN_OVR_ENABLED                     _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_RING1_CLKEN_OVR__PROD                       _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_RING2_CLKEN_OVR_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_CLKEN_OVERRIDE_0_RING2_CLKEN_OVR_FIELD                       _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_RING2_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_RING2_CLKEN_OVR_RANGE                       13:13
#define MC_CLKEN_OVERRIDE_0_RING2_CLKEN_OVR_WOFFSET                     0x0
#define MC_CLKEN_OVERRIDE_0_RING2_CLKEN_OVR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_RING2_CLKEN_OVR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_RING2_CLKEN_OVR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_RING2_CLKEN_OVR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_RING2_CLKEN_OVR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_RING2_CLKEN_OVR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_RING2_CLKEN_OVR_INIT_ENUM                   CLK_GATED
#define MC_CLKEN_OVERRIDE_0_RING2_CLKEN_OVR_CLK_GATED                   _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_RING2_CLKEN_OVR_CLK_ALWAYS_ON                       _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_RING2_CLKEN_OVR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_RING2_CLKEN_OVR_ENABLE                      _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_RING2_CLKEN_OVR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_RING2_CLKEN_OVR_ENABLED                     _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_RING2_CLKEN_OVR__PROD                       _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_TSR_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_CLKEN_OVERRIDE_0_TSR_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_TSR_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_TSR_CLKEN_OVR_RANGE                 14:14
#define MC_CLKEN_OVERRIDE_0_TSR_CLKEN_OVR_WOFFSET                       0x0
#define MC_CLKEN_OVERRIDE_0_TSR_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_TSR_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_TSR_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_TSR_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_TSR_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_TSR_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_TSR_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_CLKEN_OVERRIDE_0_TSR_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_TSR_CLKEN_OVR_CLK_OVERRIDE                  _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_TSR_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_TSR_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_TSR_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_TSR_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_TSR_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_EMC_RESP_CLKEN_OVR_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_CLKEN_OVERRIDE_0_EMC_RESP_CLKEN_OVR_FIELD                    _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_EMC_RESP_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_EMC_RESP_CLKEN_OVR_RANGE                    15:15
#define MC_CLKEN_OVERRIDE_0_EMC_RESP_CLKEN_OVR_WOFFSET                  0x0
#define MC_CLKEN_OVERRIDE_0_EMC_RESP_CLKEN_OVR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_EMC_RESP_CLKEN_OVR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_EMC_RESP_CLKEN_OVR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_EMC_RESP_CLKEN_OVR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_EMC_RESP_CLKEN_OVR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_EMC_RESP_CLKEN_OVR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_EMC_RESP_CLKEN_OVR_INIT_ENUM                        CLK_GATED
#define MC_CLKEN_OVERRIDE_0_EMC_RESP_CLKEN_OVR_CLK_GATED                        _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_EMC_RESP_CLKEN_OVR_CLK_OVERRIDE                     _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_EMC_RESP_CLKEN_OVR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_EMC_RESP_CLKEN_OVR_ENABLE                   _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_EMC_RESP_CLKEN_OVR_DISABLED                 _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_EMC_RESP_CLKEN_OVR_ENABLED                  _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_EMC_RESP_CLKEN_OVR__PROD                    _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_STATS_CLKEN_OVR_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_CLKEN_OVERRIDE_0_STATS_CLKEN_OVR_FIELD                       _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_STATS_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_STATS_CLKEN_OVR_RANGE                       16:16
#define MC_CLKEN_OVERRIDE_0_STATS_CLKEN_OVR_WOFFSET                     0x0
#define MC_CLKEN_OVERRIDE_0_STATS_CLKEN_OVR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_STATS_CLKEN_OVR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_STATS_CLKEN_OVR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_STATS_CLKEN_OVR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_STATS_CLKEN_OVR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_STATS_CLKEN_OVR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_STATS_CLKEN_OVR_INIT_ENUM                   CLK_GATED
#define MC_CLKEN_OVERRIDE_0_STATS_CLKEN_OVR_CLK_GATED                   _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_STATS_CLKEN_OVR_CLK_ALWAYS_ON                       _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_STATS_CLKEN_OVR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_STATS_CLKEN_OVR_ENABLE                      _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_STATS_CLKEN_OVR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_STATS_CLKEN_OVR_ENABLED                     _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_STATS_CLKEN_OVR__PROD                       _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_ALL_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_CLKEN_OVERRIDE_0_ALL_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_ALL_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_ALL_CLKEN_OVR_RANGE                 17:17
#define MC_CLKEN_OVERRIDE_0_ALL_CLKEN_OVR_WOFFSET                       0x0
#define MC_CLKEN_OVERRIDE_0_ALL_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_ALL_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_ALL_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_ALL_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_ALL_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_ALL_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_ALL_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_CLKEN_OVERRIDE_0_ALL_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_ALL_CLKEN_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_ALL_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_ALL_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_ALL_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_ALL_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_ALL_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_CCITRX_MC_CLKEN_OVR_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_CLKEN_OVERRIDE_0_CCITRX_MC_CLKEN_OVR_FIELD                   _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_CCITRX_MC_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_CCITRX_MC_CLKEN_OVR_RANGE                   18:18
#define MC_CLKEN_OVERRIDE_0_CCITRX_MC_CLKEN_OVR_WOFFSET                 0x0
#define MC_CLKEN_OVERRIDE_0_CCITRX_MC_CLKEN_OVR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_CCITRX_MC_CLKEN_OVR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_CCITRX_MC_CLKEN_OVR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_CCITRX_MC_CLKEN_OVR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_CCITRX_MC_CLKEN_OVR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_CCITRX_MC_CLKEN_OVR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_CCITRX_MC_CLKEN_OVR_INIT_ENUM                       CLK_GATED
#define MC_CLKEN_OVERRIDE_0_CCITRX_MC_CLKEN_OVR_CLK_GATED                       _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_CCITRX_MC_CLKEN_OVR_CLK_ALWAYS_ON                   _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_CCITRX_MC_CLKEN_OVR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_CCITRX_MC_CLKEN_OVR_ENABLE                  _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_CCITRX_MC_CLKEN_OVR_DISABLED                        _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_CCITRX_MC_CLKEN_OVR_ENABLED                 _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_CCITRX_MC_CLKEN_OVR__PROD                   _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_CCITRX_EMC_CLKEN_OVR_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_CLKEN_OVERRIDE_0_CCITRX_EMC_CLKEN_OVR_FIELD                  _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_CCITRX_EMC_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_CCITRX_EMC_CLKEN_OVR_RANGE                  19:19
#define MC_CLKEN_OVERRIDE_0_CCITRX_EMC_CLKEN_OVR_WOFFSET                        0x0
#define MC_CLKEN_OVERRIDE_0_CCITRX_EMC_CLKEN_OVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_CCITRX_EMC_CLKEN_OVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_CCITRX_EMC_CLKEN_OVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_CCITRX_EMC_CLKEN_OVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_CCITRX_EMC_CLKEN_OVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_CCITRX_EMC_CLKEN_OVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_CCITRX_EMC_CLKEN_OVR_INIT_ENUM                      CLK_GATED
#define MC_CLKEN_OVERRIDE_0_CCITRX_EMC_CLKEN_OVR_CLK_GATED                      _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_CCITRX_EMC_CLKEN_OVR_CLK_ALWAYS_ON                  _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_CCITRX_EMC_CLKEN_OVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_CCITRX_EMC_CLKEN_OVR_ENABLE                 _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_CCITRX_EMC_CLKEN_OVR_DISABLED                       _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_CCITRX_EMC_CLKEN_OVR_ENABLED                        _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_CCITRX_EMC_CLKEN_OVR__PROD                  _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_MC_CLK_OVR_ON_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_CLKEN_OVERRIDE_0_MC_CLK_OVR_ON_FIELD                 _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_MC_CLK_OVR_ON_SHIFT)
#define MC_CLKEN_OVERRIDE_0_MC_CLK_OVR_ON_RANGE                 20:20
#define MC_CLKEN_OVERRIDE_0_MC_CLK_OVR_ON_WOFFSET                       0x0
#define MC_CLKEN_OVERRIDE_0_MC_CLK_OVR_ON_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_MC_CLK_OVR_ON_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_MC_CLK_OVR_ON_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_MC_CLK_OVR_ON_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_MC_CLK_OVR_ON_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_MC_CLK_OVR_ON_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_MC_CLK_OVR_ON_INIT_ENUM                     CLK_GATED
#define MC_CLKEN_OVERRIDE_0_MC_CLK_OVR_ON_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_MC_CLK_OVR_ON_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_MC_CLK_OVR_ON_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_MC_CLK_OVR_ON_ENABLE                        _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_MC_CLK_OVR_ON_DISABLED                      _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_MC_CLK_OVR_ON_ENABLED                       _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_MC_CLK_OVR_ON__PROD                 _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_HUB_TU_PIPE_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_CLKEN_OVERRIDE_0_HUB_TU_PIPE_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_HUB_TU_PIPE_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_HUB_TU_PIPE_CLKEN_OVR_RANGE                 21:21
#define MC_CLKEN_OVERRIDE_0_HUB_TU_PIPE_CLKEN_OVR_WOFFSET                       0x0
#define MC_CLKEN_OVERRIDE_0_HUB_TU_PIPE_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_HUB_TU_PIPE_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_HUB_TU_PIPE_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_HUB_TU_PIPE_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_HUB_TU_PIPE_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_HUB_TU_PIPE_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_HUB_TU_PIPE_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_CLKEN_OVERRIDE_0_HUB_TU_PIPE_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_HUB_TU_PIPE_CLKEN_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_HUB_TU_PIPE_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_HUB_TU_PIPE_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_HUB_TU_PIPE_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_HUB_TU_PIPE_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_HUB_TU_PIPE_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_EMCHUBSIDE_CLK_OVR_ON_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_CLKEN_OVERRIDE_0_EMCHUBSIDE_CLK_OVR_ON_FIELD                 _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_EMCHUBSIDE_CLK_OVR_ON_SHIFT)
#define MC_CLKEN_OVERRIDE_0_EMCHUBSIDE_CLK_OVR_ON_RANGE                 22:22
#define MC_CLKEN_OVERRIDE_0_EMCHUBSIDE_CLK_OVR_ON_WOFFSET                       0x0
#define MC_CLKEN_OVERRIDE_0_EMCHUBSIDE_CLK_OVR_ON_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_EMCHUBSIDE_CLK_OVR_ON_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_EMCHUBSIDE_CLK_OVR_ON_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_EMCHUBSIDE_CLK_OVR_ON_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_EMCHUBSIDE_CLK_OVR_ON_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_EMCHUBSIDE_CLK_OVR_ON_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_EMCHUBSIDE_CLK_OVR_ON_INIT_ENUM                     CLK_GATED
#define MC_CLKEN_OVERRIDE_0_EMCHUBSIDE_CLK_OVR_ON_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_EMCHUBSIDE_CLK_OVR_ON_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_EMCHUBSIDE_CLK_OVR_ON_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_EMCHUBSIDE_CLK_OVR_ON_ENABLE                        _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_EMCHUBSIDE_CLK_OVR_ON_DISABLED                      _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_EMCHUBSIDE_CLK_OVR_ON_ENABLED                       _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_EMCHUBSIDE_CLK_OVR_ON__PROD                 _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_CLK_OVR_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_CLK_OVR_FIELD                      _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_SMMU_TBU_CLK_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_CLK_OVR_RANGE                      23:23
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_CLK_OVR_WOFFSET                    0x0
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_CLK_OVR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_CLK_OVR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_CLK_OVR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_CLK_OVR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_CLK_OVR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_CLK_OVR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_CLK_OVR_INIT_ENUM                  CLK_GATED
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_CLK_OVR_CLK_GATED                  _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_CLK_OVR_CLK_ALWAYS_ON                      _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_CLK_OVR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_CLK_OVR_ENABLE                     _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_CLK_OVR_DISABLED                   _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_CLK_OVR_ENABLED                    _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_CLK_OVR__PROD                      _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_SMMU_TCU_CLK_OVR_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_CLKEN_OVERRIDE_0_SMMU_TCU_CLK_OVR_FIELD                      _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_SMMU_TCU_CLK_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_SMMU_TCU_CLK_OVR_RANGE                      24:24
#define MC_CLKEN_OVERRIDE_0_SMMU_TCU_CLK_OVR_WOFFSET                    0x0
#define MC_CLKEN_OVERRIDE_0_SMMU_TCU_CLK_OVR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_SMMU_TCU_CLK_OVR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_SMMU_TCU_CLK_OVR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_SMMU_TCU_CLK_OVR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_SMMU_TCU_CLK_OVR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_SMMU_TCU_CLK_OVR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_SMMU_TCU_CLK_OVR_INIT_ENUM                  CLK_GATED
#define MC_CLKEN_OVERRIDE_0_SMMU_TCU_CLK_OVR_CLK_GATED                  _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_SMMU_TCU_CLK_OVR_CLK_ALWAYS_ON                      _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_SMMU_TCU_CLK_OVR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_SMMU_TCU_CLK_OVR_ENABLE                     _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_SMMU_TCU_CLK_OVR_DISABLED                   _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_SMMU_TCU_CLK_OVR_ENABLED                    _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_SMMU_TCU_CLK_OVR__PROD                      _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_REGIF_CLKEN_OVR_SHIFT                       _MK_SHIFT_CONST(25)
#define MC_CLKEN_OVERRIDE_0_REGIF_CLKEN_OVR_FIELD                       _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_REGIF_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_REGIF_CLKEN_OVR_RANGE                       25:25
#define MC_CLKEN_OVERRIDE_0_REGIF_CLKEN_OVR_WOFFSET                     0x0
#define MC_CLKEN_OVERRIDE_0_REGIF_CLKEN_OVR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_REGIF_CLKEN_OVR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_REGIF_CLKEN_OVR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_REGIF_CLKEN_OVR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_REGIF_CLKEN_OVR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_REGIF_CLKEN_OVR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_REGIF_CLKEN_OVR_INIT_ENUM                   CLK_GATED
#define MC_CLKEN_OVERRIDE_0_REGIF_CLKEN_OVR_CLK_GATED                   _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_REGIF_CLKEN_OVR_CLK_ALWAYS_ON                       _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_REGIF_CLKEN_OVR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_REGIF_CLKEN_OVR_ENABLE                      _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_REGIF_CLKEN_OVR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_REGIF_CLKEN_OVR_ENABLED                     _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_REGIF_CLKEN_OVR__PROD                       _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_RSPHUB_CLKEN_OVR_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_CLKEN_OVERRIDE_0_RSPHUB_CLKEN_OVR_FIELD                      _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_RSPHUB_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_RSPHUB_CLKEN_OVR_RANGE                      26:26
#define MC_CLKEN_OVERRIDE_0_RSPHUB_CLKEN_OVR_WOFFSET                    0x0
#define MC_CLKEN_OVERRIDE_0_RSPHUB_CLKEN_OVR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_RSPHUB_CLKEN_OVR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_RSPHUB_CLKEN_OVR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_RSPHUB_CLKEN_OVR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_RSPHUB_CLKEN_OVR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_RSPHUB_CLKEN_OVR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_RSPHUB_CLKEN_OVR_INIT_ENUM                  CLK_GATED
#define MC_CLKEN_OVERRIDE_0_RSPHUB_CLKEN_OVR_CLK_GATED                  _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_RSPHUB_CLKEN_OVR_CLK_ALWAYS_ON                      _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_RSPHUB_CLKEN_OVR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_RSPHUB_CLKEN_OVR_ENABLE                     _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_RSPHUB_CLKEN_OVR_DISABLED                   _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_RSPHUB_CLKEN_OVR_ENABLED                    _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_RSPHUB_CLKEN_OVR__PROD                      _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_WRAP_CLK_OVR_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_WRAP_CLK_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_SMMU_TBU_WRAP_CLK_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_WRAP_CLK_OVR_RANGE                 27:27
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_WRAP_CLK_OVR_WOFFSET                       0x0
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_WRAP_CLK_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_WRAP_CLK_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_WRAP_CLK_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_WRAP_CLK_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_WRAP_CLK_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_WRAP_CLK_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_WRAP_CLK_OVR_INIT_ENUM                     CLK_GATED
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_WRAP_CLK_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_WRAP_CLK_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_WRAP_CLK_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_WRAP_CLK_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_WRAP_CLK_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_WRAP_CLK_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_SMMU_TBU_WRAP_CLK_OVR__PROD                 _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_MCF_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_CLKEN_OVERRIDE_0_MCF_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_MCF_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_MCF_CLKEN_OVR_RANGE                 28:28
#define MC_CLKEN_OVERRIDE_0_MCF_CLKEN_OVR_WOFFSET                       0x0
#define MC_CLKEN_OVERRIDE_0_MCF_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_MCF_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_MCF_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_MCF_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_MCF_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_MCF_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_MCF_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_CLKEN_OVERRIDE_0_MCF_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_MCF_CLKEN_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_MCF_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_MCF_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_MCF_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_MCF_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_MCF_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_SBS_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_CLKEN_OVERRIDE_0_SBS_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_SBS_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_SBS_CLKEN_OVR_RANGE                 29:29
#define MC_CLKEN_OVERRIDE_0_SBS_CLKEN_OVR_WOFFSET                       0x0
#define MC_CLKEN_OVERRIDE_0_SBS_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_SBS_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_SBS_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_SBS_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_SBS_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_SBS_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_SBS_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_CLKEN_OVERRIDE_0_SBS_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_SBS_CLKEN_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_SBS_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_SBS_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_SBS_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_SBS_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_SBS_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_SYSRAM_CLKEN_OVR_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_CLKEN_OVERRIDE_0_SYSRAM_CLKEN_OVR_FIELD                      _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_SYSRAM_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_SYSRAM_CLKEN_OVR_RANGE                      30:30
#define MC_CLKEN_OVERRIDE_0_SYSRAM_CLKEN_OVR_WOFFSET                    0x0
#define MC_CLKEN_OVERRIDE_0_SYSRAM_CLKEN_OVR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_SYSRAM_CLKEN_OVR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_SYSRAM_CLKEN_OVR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_SYSRAM_CLKEN_OVR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_SYSRAM_CLKEN_OVR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_SYSRAM_CLKEN_OVR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_SYSRAM_CLKEN_OVR_INIT_ENUM                  CLK_GATED
#define MC_CLKEN_OVERRIDE_0_SYSRAM_CLKEN_OVR_CLK_GATED                  _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_SYSRAM_CLKEN_OVR_CLK_ALWAYS_ON                      _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_SYSRAM_CLKEN_OVR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_SYSRAM_CLKEN_OVR_ENABLE                     _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_SYSRAM_CLKEN_OVR_DISABLED                   _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_SYSRAM_CLKEN_OVR_ENABLED                    _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_SYSRAM_CLKEN_OVR__PROD                      _MK_MASK_CONST(0x0)

#define MC_CLKEN_OVERRIDE_0_CYA_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_CLKEN_OVERRIDE_0_CYA_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_CLKEN_OVERRIDE_0_CYA_CLKEN_OVR_SHIFT)
#define MC_CLKEN_OVERRIDE_0_CYA_CLKEN_OVR_RANGE                 31:31
#define MC_CLKEN_OVERRIDE_0_CYA_CLKEN_OVR_WOFFSET                       0x0
#define MC_CLKEN_OVERRIDE_0_CYA_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_CYA_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_CYA_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_CYA_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_CYA_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLKEN_OVERRIDE_0_CYA_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLKEN_OVERRIDE_0_CYA_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_CLKEN_OVERRIDE_0_CYA_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_CYA_CLKEN_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_CYA_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_CYA_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_CYA_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_CLKEN_OVERRIDE_0_CYA_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_CLKEN_OVERRIDE_0_CYA_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)


// Register MC_HUB_CLKEN_OVERRIDE_0
#define MC_HUB_CLKEN_OVERRIDE_0                 _MK_ADDR_CONST(0xfa0)
#define MC_HUB_CLKEN_OVERRIDE_0_SECURE                  0x0
#define MC_HUB_CLKEN_OVERRIDE_0_DUAL                    0x0
#define MC_HUB_CLKEN_OVERRIDE_0_SCR                     0
#define MC_HUB_CLKEN_OVERRIDE_0_WORD_COUNT                      0x1
#define MC_HUB_CLKEN_OVERRIDE_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_HUB_CLKEN_OVERRIDE_0_RESET_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_CLKEN_OVERRIDE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_HUB_CLKEN_OVERRIDE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x1)
#define MC_HUB_CLKEN_OVERRIDE_0_READ_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_CLKEN_OVERRIDE_0_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_SHIFT)
#define MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_RANGE                 0:0
#define MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_WOFFSET                       0x0
#define MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_INIT_ENUM                     CLK_GATED
#define MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR__PROD                 _MK_MASK_CONST(0x0)


// Register MC_HUB_VCTHROTTLE_OVERRIDE_0
#define MC_HUB_VCTHROTTLE_OVERRIDE_0                    _MK_ADDR_CONST(0xfa4)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SECURE                     0x0
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_DUAL                       0x0
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SCR                        0
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_WORD_COUNT                         0x1
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_RESET_VAL                  _MK_MASK_CONST(0x16286840)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_RESET_MASK                         _MK_MASK_CONST(0x3fffffff)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x16286840)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3fffffff)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_READ_MASK                  _MK_MASK_CONST(0x3fffffff)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_WRITE_MASK                         _MK_MASK_CONST(0x3fffffff)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_FIELD                    _MK_FIELD_CONST(0x1, MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_SHIFT)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_RANGE                    0:0
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_WOFFSET                  0x0
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_INIT_ENUM                        DISABLED
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_DISABLED                 _MK_ENUM_CONST(0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_ENABLED                  _MK_ENUM_CONST(1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR__PROD                    _MK_MASK_CONST(0x0)

#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_FIELD                    _MK_FIELD_CONST(0x1, MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_SHIFT)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_RANGE                    1:1
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_WOFFSET                  0x0
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_INIT_ENUM                        DISABLED
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_DISABLED                 _MK_ENUM_CONST(0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_ENABLED                  _MK_ENUM_CONST(1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR__PROD                    _MK_MASK_CONST(0x0)

#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_SHIFT)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_RANGE                     2:2
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_WOFFSET                   0x0
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_INIT_ENUM                 DISABLED
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_DISABLED                  _MK_ENUM_CONST(0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_ENABLED                   _MK_ENUM_CONST(1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR__PROD                     _MK_MASK_CONST(0x0)

#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_NISO_THROTTLE_OVR_COUNT_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_NISO_THROTTLE_OVR_COUNT_FIELD                 _MK_FIELD_CONST(0x1, MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_NISO_THROTTLE_OVR_COUNT_SHIFT)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_NISO_THROTTLE_OVR_COUNT_RANGE                 3:3
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_NISO_THROTTLE_OVR_COUNT_WOFFSET                       0x0
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_NISO_THROTTLE_OVR_COUNT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_NISO_THROTTLE_OVR_COUNT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_NISO_THROTTLE_OVR_COUNT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_NISO_THROTTLE_OVR_COUNT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_NISO_THROTTLE_OVR_COUNT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_NISO_THROTTLE_OVR_COUNT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_NISO_THROTTLE_OVR_COUNT_INIT_ENUM                     DISABLED
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_NISO_THROTTLE_OVR_COUNT_DISABLED                      _MK_ENUM_CONST(0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_NISO_THROTTLE_OVR_COUNT_ENABLED                       _MK_ENUM_CONST(1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_NISO_THROTTLE_OVR_COUNT__PROD                 _MK_MASK_CONST(0x0)

#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_SISO_THROTTLE_OVR_COUNT_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_SISO_THROTTLE_OVR_COUNT_FIELD                 _MK_FIELD_CONST(0x1, MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_SISO_THROTTLE_OVR_COUNT_SHIFT)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_SISO_THROTTLE_OVR_COUNT_RANGE                 4:4
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_SISO_THROTTLE_OVR_COUNT_WOFFSET                       0x0
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_SISO_THROTTLE_OVR_COUNT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_SISO_THROTTLE_OVR_COUNT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_SISO_THROTTLE_OVR_COUNT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_SISO_THROTTLE_OVR_COUNT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_SISO_THROTTLE_OVR_COUNT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_SISO_THROTTLE_OVR_COUNT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_SISO_THROTTLE_OVR_COUNT_INIT_ENUM                     DISABLED
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_SISO_THROTTLE_OVR_COUNT_DISABLED                      _MK_ENUM_CONST(0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_SISO_THROTTLE_OVR_COUNT_ENABLED                       _MK_ENUM_CONST(1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_SISO_THROTTLE_OVR_COUNT__PROD                 _MK_MASK_CONST(0x0)

#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_ISO_THROTTLE_OVR_COUNT_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_ISO_THROTTLE_OVR_COUNT_FIELD                  _MK_FIELD_CONST(0x1, MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_ISO_THROTTLE_OVR_COUNT_SHIFT)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_ISO_THROTTLE_OVR_COUNT_RANGE                  5:5
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_ISO_THROTTLE_OVR_COUNT_WOFFSET                        0x0
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_ISO_THROTTLE_OVR_COUNT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_ISO_THROTTLE_OVR_COUNT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_ISO_THROTTLE_OVR_COUNT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_ISO_THROTTLE_OVR_COUNT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_ISO_THROTTLE_OVR_COUNT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_ISO_THROTTLE_OVR_COUNT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_ISO_THROTTLE_OVR_COUNT_INIT_ENUM                      DISABLED
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_ISO_THROTTLE_OVR_COUNT_DISABLED                       _MK_ENUM_CONST(0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_ISO_THROTTLE_OVR_COUNT_ENABLED                        _MK_ENUM_CONST(1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_PICK_ISO_THROTTLE_OVR_COUNT__PROD                  _MK_MASK_CONST(0x0)

#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_COUNT_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_COUNT_FIELD                      _MK_FIELD_CONST(0xff, MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_COUNT_SHIFT)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_COUNT_RANGE                      13:6
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_COUNT_WOFFSET                    0x0
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_COUNT_DEFAULT                    _MK_MASK_CONST(0xa1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_COUNT_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_COUNT_SW_DEFAULT                 _MK_MASK_CONST(0xa1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_COUNT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_COUNT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_COUNT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_NISO_THROTTLE_OVR_COUNT__PROD                      _MK_MASK_CONST(0xa1)

#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_COUNT_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_COUNT_FIELD                      _MK_FIELD_CONST(0xff, MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_COUNT_SHIFT)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_COUNT_RANGE                      21:14
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_COUNT_WOFFSET                    0x0
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_COUNT_DEFAULT                    _MK_MASK_CONST(0xa1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_COUNT_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_COUNT_SW_DEFAULT                 _MK_MASK_CONST(0xa1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_COUNT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_COUNT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_COUNT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_SISO_THROTTLE_OVR_COUNT__PROD                      _MK_MASK_CONST(0xa1)

#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_COUNT_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_COUNT_FIELD                       _MK_FIELD_CONST(0xff, MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_COUNT_SHIFT)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_COUNT_RANGE                       29:22
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_COUNT_WOFFSET                     0x0
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_COUNT_DEFAULT                     _MK_MASK_CONST(0x58)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_COUNT_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_COUNT_SW_DEFAULT                  _MK_MASK_CONST(0x58)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_COUNT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_COUNT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_COUNT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_VCTHROTTLE_OVERRIDE_0_ISO_THROTTLE_OVR_COUNT__PROD                       _MK_MASK_CONST(0x58)


// Register MC_HUB_HUB2MCF_REQ_DDA_RATE_0
#define MC_HUB_HUB2MCF_REQ_DDA_RATE_0                   _MK_ADDR_CONST(0xfa8)
#define MC_HUB_HUB2MCF_REQ_DDA_RATE_0_SECURE                    0x0
#define MC_HUB_HUB2MCF_REQ_DDA_RATE_0_DUAL                      0x0
#define MC_HUB_HUB2MCF_REQ_DDA_RATE_0_SCR                       0
#define MC_HUB_HUB2MCF_REQ_DDA_RATE_0_WORD_COUNT                        0x1
#define MC_HUB_HUB2MCF_REQ_DDA_RATE_0_RESET_VAL                         _MK_MASK_CONST(0x733)
#define MC_HUB_HUB2MCF_REQ_DDA_RATE_0_RESET_MASK                        _MK_MASK_CONST(0xfff)
#define MC_HUB_HUB2MCF_REQ_DDA_RATE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_HUB2MCF_REQ_DDA_RATE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_HUB2MCF_REQ_DDA_RATE_0_READ_MASK                         _MK_MASK_CONST(0xfff)
#define MC_HUB_HUB2MCF_REQ_DDA_RATE_0_WRITE_MASK                        _MK_MASK_CONST(0xfff)
#define MC_HUB_HUB2MCF_REQ_DDA_RATE_0_HUB_DDA_RATE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_HUB_HUB2MCF_REQ_DDA_RATE_0_HUB_DDA_RATE_FIELD                        _MK_FIELD_CONST(0xfff, MC_HUB_HUB2MCF_REQ_DDA_RATE_0_HUB_DDA_RATE_SHIFT)
#define MC_HUB_HUB2MCF_REQ_DDA_RATE_0_HUB_DDA_RATE_RANGE                        11:0
#define MC_HUB_HUB2MCF_REQ_DDA_RATE_0_HUB_DDA_RATE_WOFFSET                      0x0
#define MC_HUB_HUB2MCF_REQ_DDA_RATE_0_HUB_DDA_RATE_DEFAULT                      _MK_MASK_CONST(0x733)
#define MC_HUB_HUB2MCF_REQ_DDA_RATE_0_HUB_DDA_RATE_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_HUB_HUB2MCF_REQ_DDA_RATE_0_HUB_DDA_RATE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_HUB2MCF_REQ_DDA_RATE_0_HUB_DDA_RATE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_HUB2MCF_REQ_DDA_RATE_0_HUB_DDA_RATE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_HUB_HUB2MCF_REQ_DDA_RATE_0_HUB_DDA_RATE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0
#define MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0                        _MK_ADDR_CONST(0xfac)
#define MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0_SECURE                         0x0
#define MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0_DUAL                   0x0
#define MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0_SCR                    0
#define MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0_WORD_COUNT                     0x1
#define MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0_RESET_VAL                      _MK_MASK_CONST(0x733)
#define MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0_RESET_MASK                     _MK_MASK_CONST(0xfff)
#define MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0_READ_MASK                      _MK_MASK_CONST(0xfff)
#define MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0_WRITE_MASK                     _MK_MASK_CONST(0xfff)
#define MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0_HUBORD_DDA_RATE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0_HUBORD_DDA_RATE_FIELD                  _MK_FIELD_CONST(0xfff, MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0_HUBORD_DDA_RATE_SHIFT)
#define MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0_HUBORD_DDA_RATE_RANGE                  11:0
#define MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0_HUBORD_DDA_RATE_WOFFSET                        0x0
#define MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0_HUBORD_DDA_RATE_DEFAULT                        _MK_MASK_CONST(0x733)
#define MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0_HUBORD_DDA_RATE_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0_HUBORD_DDA_RATE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0_HUBORD_DDA_RATE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0_HUBORD_DDA_RATE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0_HUBORD_DDA_RATE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0
#define MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0                        _MK_ADDR_CONST(0xfb0)
#define MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0_SECURE                         0x0
#define MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0_DUAL                   0x0
#define MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0_SCR                    0
#define MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0_WORD_COUNT                     0x1
#define MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0_RESET_VAL                      _MK_MASK_CONST(0x733)
#define MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0_RESET_MASK                     _MK_MASK_CONST(0xfff)
#define MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0_READ_MASK                      _MK_MASK_CONST(0xfff)
#define MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0_WRITE_MASK                     _MK_MASK_CONST(0xfff)
#define MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0_HUBINT_DDA_RATE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0_HUBINT_DDA_RATE_FIELD                  _MK_FIELD_CONST(0xfff, MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0_HUBINT_DDA_RATE_SHIFT)
#define MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0_HUBINT_DDA_RATE_RANGE                  11:0
#define MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0_HUBINT_DDA_RATE_WOFFSET                        0x0
#define MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0_HUBINT_DDA_RATE_DEFAULT                        _MK_MASK_CONST(0x733)
#define MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0_HUBINT_DDA_RATE_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0_HUBINT_DDA_RATE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0_HUBINT_DDA_RATE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0_HUBINT_DDA_RATE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0_HUBINT_DDA_RATE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_HUB_HUB2MCF_REQ_DDA_MAX_0
#define MC_HUB_HUB2MCF_REQ_DDA_MAX_0                    _MK_ADDR_CONST(0xfb4)
#define MC_HUB_HUB2MCF_REQ_DDA_MAX_0_SECURE                     0x0
#define MC_HUB_HUB2MCF_REQ_DDA_MAX_0_DUAL                       0x0
#define MC_HUB_HUB2MCF_REQ_DDA_MAX_0_SCR                        0
#define MC_HUB_HUB2MCF_REQ_DDA_MAX_0_WORD_COUNT                         0x1
#define MC_HUB_HUB2MCF_REQ_DDA_MAX_0_RESET_VAL                  _MK_MASK_CONST(0x40)
#define MC_HUB_HUB2MCF_REQ_DDA_MAX_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_HUB_HUB2MCF_REQ_DDA_MAX_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_HUB_HUB2MCF_REQ_DDA_MAX_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_HUB2MCF_REQ_DDA_MAX_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_HUB_HUB2MCF_REQ_DDA_MAX_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_HUB_HUB2MCF_REQ_DDA_MAX_0_HUB_DDA_MAX_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_HUB_HUB2MCF_REQ_DDA_MAX_0_HUB_DDA_MAX_FIELD                  _MK_FIELD_CONST(0x7ff, MC_HUB_HUB2MCF_REQ_DDA_MAX_0_HUB_DDA_MAX_SHIFT)
#define MC_HUB_HUB2MCF_REQ_DDA_MAX_0_HUB_DDA_MAX_RANGE                  10:0
#define MC_HUB_HUB2MCF_REQ_DDA_MAX_0_HUB_DDA_MAX_WOFFSET                        0x0
#define MC_HUB_HUB2MCF_REQ_DDA_MAX_0_HUB_DDA_MAX_DEFAULT                        _MK_MASK_CONST(0x40)
#define MC_HUB_HUB2MCF_REQ_DDA_MAX_0_HUB_DDA_MAX_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_HUB_HUB2MCF_REQ_DDA_MAX_0_HUB_DDA_MAX_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_HUB2MCF_REQ_DDA_MAX_0_HUB_DDA_MAX_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_HUB2MCF_REQ_DDA_MAX_0_HUB_DDA_MAX_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_HUB_HUB2MCF_REQ_DDA_MAX_0_HUB_DDA_MAX_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0
#define MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0                 _MK_ADDR_CONST(0xfb8)
#define MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0_SECURE                  0x0
#define MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0_DUAL                    0x0
#define MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0_SCR                     0
#define MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0_WORD_COUNT                      0x1
#define MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0_RESET_VAL                       _MK_MASK_CONST(0x40)
#define MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0_RESET_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0_READ_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0_WRITE_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0_HUBORD_DDA_MAX_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0_HUBORD_DDA_MAX_FIELD                    _MK_FIELD_CONST(0x7ff, MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0_HUBORD_DDA_MAX_SHIFT)
#define MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0_HUBORD_DDA_MAX_RANGE                    10:0
#define MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0_HUBORD_DDA_MAX_WOFFSET                  0x0
#define MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0_HUBORD_DDA_MAX_DEFAULT                  _MK_MASK_CONST(0x40)
#define MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0_HUBORD_DDA_MAX_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0_HUBORD_DDA_MAX_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0_HUBORD_DDA_MAX_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0_HUBORD_DDA_MAX_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0_HUBORD_DDA_MAX_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0
#define MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0                 _MK_ADDR_CONST(0xfbc)
#define MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0_SECURE                  0x0
#define MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0_DUAL                    0x0
#define MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0_SCR                     0
#define MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0_WORD_COUNT                      0x1
#define MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0_RESET_VAL                       _MK_MASK_CONST(0x40)
#define MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0_RESET_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0_READ_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0_WRITE_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0_HUBINT_DDA_MAX_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0_HUBINT_DDA_MAX_FIELD                    _MK_FIELD_CONST(0x7ff, MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0_HUBINT_DDA_MAX_SHIFT)
#define MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0_HUBINT_DDA_MAX_RANGE                    10:0
#define MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0_HUBINT_DDA_MAX_WOFFSET                  0x0
#define MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0_HUBINT_DDA_MAX_DEFAULT                  _MK_MASK_CONST(0x40)
#define MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0_HUBINT_DDA_MAX_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0_HUBINT_DDA_MAX_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0_HUBINT_DDA_MAX_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0_HUBINT_DDA_MAX_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0_HUBINT_DDA_MAX_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_HUB2MCF_REQ_DDA_ENABLE_0
#define MC_HUB2MCF_REQ_DDA_ENABLE_0                     _MK_ADDR_CONST(0xfc0)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_SECURE                      0x0
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_DUAL                        0x0
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_SCR                         0
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_WORD_COUNT                  0x1
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_RESET_MASK                  _MK_MASK_CONST(0x7)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_READ_MASK                   _MK_MASK_CONST(0x7)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_WRITE_MASK                  _MK_MASK_CONST(0x7)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUB_DDA_ENABLE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUB_DDA_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB2MCF_REQ_DDA_ENABLE_0_HUB_DDA_ENABLE_SHIFT)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUB_DDA_ENABLE_RANGE                        0:0
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUB_DDA_ENABLE_WOFFSET                      0x0
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUB_DDA_ENABLE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUB_DDA_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUB_DDA_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUB_DDA_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUB_DDA_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUB_DDA_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUB_DDA_ENABLE_INIT_ENUM                    DISABLED
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUB_DDA_ENABLE_DISABLED                     _MK_ENUM_CONST(0)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUB_DDA_ENABLE_ENABLED                      _MK_ENUM_CONST(1)

#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBORD_DDA_ENABLE_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBORD_DDA_ENABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBORD_DDA_ENABLE_SHIFT)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBORD_DDA_ENABLE_RANGE                     1:1
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBORD_DDA_ENABLE_WOFFSET                   0x0
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBORD_DDA_ENABLE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBORD_DDA_ENABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBORD_DDA_ENABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBORD_DDA_ENABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBORD_DDA_ENABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBORD_DDA_ENABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBORD_DDA_ENABLE_INIT_ENUM                 DISABLED
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBORD_DDA_ENABLE_DISABLED                  _MK_ENUM_CONST(0)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBORD_DDA_ENABLE_ENABLED                   _MK_ENUM_CONST(1)

#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBINT_DDA_ENABLE_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBINT_DDA_ENABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBINT_DDA_ENABLE_SHIFT)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBINT_DDA_ENABLE_RANGE                     2:2
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBINT_DDA_ENABLE_WOFFSET                   0x0
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBINT_DDA_ENABLE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBINT_DDA_ENABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBINT_DDA_ENABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBINT_DDA_ENABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBINT_DDA_ENABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBINT_DDA_ENABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBINT_DDA_ENABLE_INIT_ENUM                 DISABLED
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBINT_DDA_ENABLE_DISABLED                  _MK_ENUM_CONST(0)
#define MC_HUB2MCF_REQ_DDA_ENABLE_0_HUBINT_DDA_ENABLE_ENABLED                   _MK_ENUM_CONST(1)


// Register MC_CLKEN_A1_OVERRIDE_0
#define MC_CLKEN_A1_OVERRIDE_0                  _MK_ADDR_CONST(0xcc)
#define MC_CLKEN_A1_OVERRIDE_0_SECURE                   0x0
#define MC_CLKEN_A1_OVERRIDE_0_DUAL                     0x0
#define MC_CLKEN_A1_OVERRIDE_0_SCR                      0
#define MC_CLKEN_A1_OVERRIDE_0_WORD_COUNT                       0x1
#define MC_CLKEN_A1_OVERRIDE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLKEN_A1_OVERRIDE_0_RESET_MASK                       _MK_MASK_CONST(0x3)
#define MC_CLKEN_A1_OVERRIDE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_CLKEN_A1_OVERRIDE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_CLKEN_A1_OVERRIDE_0_READ_MASK                        _MK_MASK_CONST(0x3)
#define MC_CLKEN_A1_OVERRIDE_0_WRITE_MASK                       _MK_MASK_CONST(0x3)
#define MC_CLKEN_A1_OVERRIDE_0_WRSP_CLKEN_A1_OVR_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_CLKEN_A1_OVERRIDE_0_WRSP_CLKEN_A1_OVR_FIELD                  _MK_FIELD_CONST(0x1, MC_CLKEN_A1_OVERRIDE_0_WRSP_CLKEN_A1_OVR_SHIFT)
#define MC_CLKEN_A1_OVERRIDE_0_WRSP_CLKEN_A1_OVR_RANGE                  0:0
#define MC_CLKEN_A1_OVERRIDE_0_WRSP_CLKEN_A1_OVR_WOFFSET                        0x0
#define MC_CLKEN_A1_OVERRIDE_0_WRSP_CLKEN_A1_OVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLKEN_A1_OVERRIDE_0_WRSP_CLKEN_A1_OVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLKEN_A1_OVERRIDE_0_WRSP_CLKEN_A1_OVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLKEN_A1_OVERRIDE_0_WRSP_CLKEN_A1_OVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLKEN_A1_OVERRIDE_0_WRSP_CLKEN_A1_OVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLKEN_A1_OVERRIDE_0_WRSP_CLKEN_A1_OVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLKEN_A1_OVERRIDE_0_WRSP_CLKEN_A1_OVR_INIT_ENUM                      CLK_GATED
#define MC_CLKEN_A1_OVERRIDE_0_WRSP_CLKEN_A1_OVR_CLK_GATED                      _MK_ENUM_CONST(0)
#define MC_CLKEN_A1_OVERRIDE_0_WRSP_CLKEN_A1_OVR_CLK_ALWAYS_ON                  _MK_ENUM_CONST(1)
#define MC_CLKEN_A1_OVERRIDE_0_WRSP_CLKEN_A1_OVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CLKEN_A1_OVERRIDE_0_WRSP_CLKEN_A1_OVR_ENABLE                 _MK_ENUM_CONST(1)
#define MC_CLKEN_A1_OVERRIDE_0_WRSP_CLKEN_A1_OVR_DISABLED                       _MK_ENUM_CONST(0)
#define MC_CLKEN_A1_OVERRIDE_0_WRSP_CLKEN_A1_OVR_ENABLED                        _MK_ENUM_CONST(1)
#define MC_CLKEN_A1_OVERRIDE_0_WRSP_CLKEN_A1_OVR__PROD                  _MK_MASK_CONST(0x0)

#define MC_CLKEN_A1_OVERRIDE_0_REGIF_CLKEN_A1_OVR_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_CLKEN_A1_OVERRIDE_0_REGIF_CLKEN_A1_OVR_FIELD                 _MK_FIELD_CONST(0x1, MC_CLKEN_A1_OVERRIDE_0_REGIF_CLKEN_A1_OVR_SHIFT)
#define MC_CLKEN_A1_OVERRIDE_0_REGIF_CLKEN_A1_OVR_RANGE                 1:1
#define MC_CLKEN_A1_OVERRIDE_0_REGIF_CLKEN_A1_OVR_WOFFSET                       0x0
#define MC_CLKEN_A1_OVERRIDE_0_REGIF_CLKEN_A1_OVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLKEN_A1_OVERRIDE_0_REGIF_CLKEN_A1_OVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLKEN_A1_OVERRIDE_0_REGIF_CLKEN_A1_OVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLKEN_A1_OVERRIDE_0_REGIF_CLKEN_A1_OVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLKEN_A1_OVERRIDE_0_REGIF_CLKEN_A1_OVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLKEN_A1_OVERRIDE_0_REGIF_CLKEN_A1_OVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLKEN_A1_OVERRIDE_0_REGIF_CLKEN_A1_OVR_INIT_ENUM                     CLK_GATED
#define MC_CLKEN_A1_OVERRIDE_0_REGIF_CLKEN_A1_OVR_CLK_GATED                     _MK_ENUM_CONST(0)
#define MC_CLKEN_A1_OVERRIDE_0_REGIF_CLKEN_A1_OVR_CLK_ALWAYS_ON                 _MK_ENUM_CONST(1)
#define MC_CLKEN_A1_OVERRIDE_0_REGIF_CLKEN_A1_OVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CLKEN_A1_OVERRIDE_0_REGIF_CLKEN_A1_OVR_ENABLE                        _MK_ENUM_CONST(1)
#define MC_CLKEN_A1_OVERRIDE_0_REGIF_CLKEN_A1_OVR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_CLKEN_A1_OVERRIDE_0_REGIF_CLKEN_A1_OVR_ENABLED                       _MK_ENUM_CONST(1)
#define MC_CLKEN_A1_OVERRIDE_0_REGIF_CLKEN_A1_OVR__PROD                 _MK_MASK_CONST(0x0)


// Register MC_TIMING_CONTROL_DBG_0
#define MC_TIMING_CONTROL_DBG_0                 _MK_ADDR_CONST(0xf8)
#define MC_TIMING_CONTROL_DBG_0_SECURE                  0x0
#define MC_TIMING_CONTROL_DBG_0_DUAL                    0x0
#define MC_TIMING_CONTROL_DBG_0_SCR                     0
#define MC_TIMING_CONTROL_DBG_0_WORD_COUNT                      0x1
#define MC_TIMING_CONTROL_DBG_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TIMING_CONTROL_DBG_0_RESET_MASK                      _MK_MASK_CONST(0x1f)
#define MC_TIMING_CONTROL_DBG_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TIMING_CONTROL_DBG_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x1f)
#define MC_TIMING_CONTROL_DBG_0_READ_MASK                       _MK_MASK_CONST(0x1f)
#define MC_TIMING_CONTROL_DBG_0_WRITE_MASK                      _MK_MASK_CONST(0x1f)
#define MC_TIMING_CONTROL_DBG_0_READ_MUX_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TIMING_CONTROL_DBG_0_READ_MUX_FIELD                  _MK_FIELD_CONST(0x1, MC_TIMING_CONTROL_DBG_0_READ_MUX_SHIFT)
#define MC_TIMING_CONTROL_DBG_0_READ_MUX_RANGE                  0:0
#define MC_TIMING_CONTROL_DBG_0_READ_MUX_WOFFSET                        0x0
#define MC_TIMING_CONTROL_DBG_0_READ_MUX_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TIMING_CONTROL_DBG_0_READ_MUX_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_DBG_0_READ_MUX_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TIMING_CONTROL_DBG_0_READ_MUX_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_DBG_0_READ_MUX_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_DBG_0_READ_MUX_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_DBG_0_READ_MUX_INIT_ENUM                      ACTIVE
#define MC_TIMING_CONTROL_DBG_0_READ_MUX_ACTIVE                 _MK_ENUM_CONST(0)
#define MC_TIMING_CONTROL_DBG_0_READ_MUX_ASSEMBLY                       _MK_ENUM_CONST(1)
#define MC_TIMING_CONTROL_DBG_0_READ_MUX__PROD                  _MK_MASK_CONST(0x0)

#define MC_TIMING_CONTROL_DBG_0_WRITE_MUX_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_TIMING_CONTROL_DBG_0_WRITE_MUX_FIELD                 _MK_FIELD_CONST(0x1, MC_TIMING_CONTROL_DBG_0_WRITE_MUX_SHIFT)
#define MC_TIMING_CONTROL_DBG_0_WRITE_MUX_RANGE                 1:1
#define MC_TIMING_CONTROL_DBG_0_WRITE_MUX_WOFFSET                       0x0
#define MC_TIMING_CONTROL_DBG_0_WRITE_MUX_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TIMING_CONTROL_DBG_0_WRITE_MUX_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_DBG_0_WRITE_MUX_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TIMING_CONTROL_DBG_0_WRITE_MUX_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_DBG_0_WRITE_MUX_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_DBG_0_WRITE_MUX_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_DBG_0_WRITE_MUX_INIT_ENUM                     ASSEMBLY
#define MC_TIMING_CONTROL_DBG_0_WRITE_MUX_ASSEMBLY                      _MK_ENUM_CONST(0)
#define MC_TIMING_CONTROL_DBG_0_WRITE_MUX_ACTIVE                        _MK_ENUM_CONST(1)
#define MC_TIMING_CONTROL_DBG_0_WRITE_MUX__PROD                 _MK_MASK_CONST(0x0)

#define MC_TIMING_CONTROL_DBG_0_FORCE_UPDATE_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_TIMING_CONTROL_DBG_0_FORCE_UPDATE_FIELD                      _MK_FIELD_CONST(0x1, MC_TIMING_CONTROL_DBG_0_FORCE_UPDATE_SHIFT)
#define MC_TIMING_CONTROL_DBG_0_FORCE_UPDATE_RANGE                      2:2
#define MC_TIMING_CONTROL_DBG_0_FORCE_UPDATE_WOFFSET                    0x0
#define MC_TIMING_CONTROL_DBG_0_FORCE_UPDATE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TIMING_CONTROL_DBG_0_FORCE_UPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_DBG_0_FORCE_UPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TIMING_CONTROL_DBG_0_FORCE_UPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_DBG_0_FORCE_UPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_DBG_0_FORCE_UPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_DBG_0_FORCE_UPDATE_INIT_ENUM                  DISABLED
#define MC_TIMING_CONTROL_DBG_0_FORCE_UPDATE_DISABLED                   _MK_ENUM_CONST(0)
#define MC_TIMING_CONTROL_DBG_0_FORCE_UPDATE_ENABLED                    _MK_ENUM_CONST(1)
#define MC_TIMING_CONTROL_DBG_0_FORCE_UPDATE__PROD                      _MK_MASK_CONST(0x0)

#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGERS_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGERS_FIELD                       _MK_FIELD_CONST(0x1, MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGERS_SHIFT)
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGERS_RANGE                       3:3
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGERS_WOFFSET                     0x0
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGERS_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGERS_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGERS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGERS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGERS_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGERS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGERS_INIT_ENUM                   DISABLED
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGERS_DISABLED                    _MK_ENUM_CONST(0)
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGERS_ENABLED                     _MK_ENUM_CONST(1)
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGERS__PROD                       _MK_MASK_CONST(0x0)

#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGER2_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGER2_FIELD                       _MK_FIELD_CONST(0x1, MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGER2_SHIFT)
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGER2_RANGE                       4:4
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGER2_WOFFSET                     0x0
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGER2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGER2_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGER2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGER2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGER2_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGER2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGER2_INIT_ENUM                   DISABLED
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGER2_DISABLED                    _MK_ENUM_CONST(0)
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGER2_ENABLED                     _MK_ENUM_CONST(1)
#define MC_TIMING_CONTROL_DBG_0_IGNORE_EMC_TRIGGER2__PROD                       _MK_MASK_CONST(0x0)


// Register MC_TIMING_CONTROL_0
#define MC_TIMING_CONTROL_0                     _MK_ADDR_CONST(0xfc)
#define MC_TIMING_CONTROL_0_SECURE                      0x0
#define MC_TIMING_CONTROL_0_DUAL                        0x0
#define MC_TIMING_CONTROL_0_SCR                         0
#define MC_TIMING_CONTROL_0_WORD_COUNT                  0x1
#define MC_TIMING_CONTROL_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_TIMING_CONTROL_0_RESET_MASK                  _MK_MASK_CONST(0x0)
#define MC_TIMING_CONTROL_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_TIMING_CONTROL_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TIMING_CONTROL_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_0_WRITE_MASK                  _MK_MASK_CONST(0x1)
#define MC_TIMING_CONTROL_0_TIMING_UPDATE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TIMING_CONTROL_0_TIMING_UPDATE_FIELD                 _MK_FIELD_CONST(0x1, MC_TIMING_CONTROL_0_TIMING_UPDATE_SHIFT)
#define MC_TIMING_CONTROL_0_TIMING_UPDATE_RANGE                 0:0
#define MC_TIMING_CONTROL_0_TIMING_UPDATE_WOFFSET                       0x0
#define MC_TIMING_CONTROL_0_TIMING_UPDATE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TIMING_CONTROL_0_TIMING_UPDATE_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TIMING_CONTROL_0_TIMING_UPDATE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TIMING_CONTROL_0_TIMING_UPDATE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TIMING_CONTROL_0_TIMING_UPDATE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TIMING_CONTROL_0_TIMING_UPDATE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_STAT_CONTROL_0
#define MC_STAT_CONTROL_0                       _MK_ADDR_CONST(0x100)
#define MC_STAT_CONTROL_0_SECURE                        0x0
#define MC_STAT_CONTROL_0_DUAL                  0x0
#define MC_STAT_CONTROL_0_SCR                   0
#define MC_STAT_CONTROL_0_WORD_COUNT                    0x1
#define MC_STAT_CONTROL_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_RESET_MASK                    _MK_MASK_CONST(0xff)
#define MC_STAT_CONTROL_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_READ_MASK                     _MK_MASK_CONST(0xff)
#define MC_STAT_CONTROL_0_WRITE_MASK                    _MK_MASK_CONST(0xff)
#define MC_STAT_CONTROL_0_EMC_GATHER_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_STAT_CONTROL_0_EMC_GATHER_FIELD                      _MK_FIELD_CONST(0x3, MC_STAT_CONTROL_0_EMC_GATHER_SHIFT)
#define MC_STAT_CONTROL_0_EMC_GATHER_RANGE                      1:0
#define MC_STAT_CONTROL_0_EMC_GATHER_WOFFSET                    0x0
#define MC_STAT_CONTROL_0_EMC_GATHER_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_EMC_GATHER_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_STAT_CONTROL_0_EMC_GATHER_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_EMC_GATHER_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_EMC_GATHER_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_STAT_CONTROL_0_EMC_GATHER_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_STAT_CONTROL_0_EMC_GATHER_INIT_ENUM                  RST
#define MC_STAT_CONTROL_0_EMC_GATHER_RST                        _MK_ENUM_CONST(0)
#define MC_STAT_CONTROL_0_EMC_GATHER_DISABLE                    _MK_ENUM_CONST(2)
#define MC_STAT_CONTROL_0_EMC_GATHER_ENABLE                     _MK_ENUM_CONST(3)

#define MC_STAT_CONTROL_0_EMC_PM_START_TRIGGER_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_STAT_CONTROL_0_EMC_PM_START_TRIGGER_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_CONTROL_0_EMC_PM_START_TRIGGER_SHIFT)
#define MC_STAT_CONTROL_0_EMC_PM_START_TRIGGER_RANGE                    2:2
#define MC_STAT_CONTROL_0_EMC_PM_START_TRIGGER_WOFFSET                  0x0
#define MC_STAT_CONTROL_0_EMC_PM_START_TRIGGER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_EMC_PM_START_TRIGGER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_CONTROL_0_EMC_PM_START_TRIGGER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_EMC_PM_START_TRIGGER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_EMC_PM_START_TRIGGER_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_STAT_CONTROL_0_EMC_PM_START_TRIGGER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_CONTROL_0_EMC_PM_START_TRIGGER_INIT_ENUM                        DISABLE
#define MC_STAT_CONTROL_0_EMC_PM_START_TRIGGER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_CONTROL_0_EMC_PM_START_TRIGGER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_CONTROL_0_EMC_PM_STOP_TRIGGER_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_STAT_CONTROL_0_EMC_PM_STOP_TRIGGER_FIELD                     _MK_FIELD_CONST(0x1, MC_STAT_CONTROL_0_EMC_PM_STOP_TRIGGER_SHIFT)
#define MC_STAT_CONTROL_0_EMC_PM_STOP_TRIGGER_RANGE                     3:3
#define MC_STAT_CONTROL_0_EMC_PM_STOP_TRIGGER_WOFFSET                   0x0
#define MC_STAT_CONTROL_0_EMC_PM_STOP_TRIGGER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_EMC_PM_STOP_TRIGGER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_STAT_CONTROL_0_EMC_PM_STOP_TRIGGER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_EMC_PM_STOP_TRIGGER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_EMC_PM_STOP_TRIGGER_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_STAT_CONTROL_0_EMC_PM_STOP_TRIGGER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_STAT_CONTROL_0_EMC_PM_STOP_TRIGGER_INIT_ENUM                 DISABLE
#define MC_STAT_CONTROL_0_EMC_PM_STOP_TRIGGER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_STAT_CONTROL_0_EMC_PM_STOP_TRIGGER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_STAT_CONTROL_0_PM_DATA_HOLD_ZERO_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_STAT_CONTROL_0_PM_DATA_HOLD_ZERO_FIELD                       _MK_FIELD_CONST(0x1, MC_STAT_CONTROL_0_PM_DATA_HOLD_ZERO_SHIFT)
#define MC_STAT_CONTROL_0_PM_DATA_HOLD_ZERO_RANGE                       4:4
#define MC_STAT_CONTROL_0_PM_DATA_HOLD_ZERO_WOFFSET                     0x0
#define MC_STAT_CONTROL_0_PM_DATA_HOLD_ZERO_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_PM_DATA_HOLD_ZERO_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_STAT_CONTROL_0_PM_DATA_HOLD_ZERO_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_PM_DATA_HOLD_ZERO_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_PM_DATA_HOLD_ZERO_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_STAT_CONTROL_0_PM_DATA_HOLD_ZERO_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_STAT_CONTROL_0_PM_DATA_HOLD_ZERO_INIT_ENUM                   HOLD
#define MC_STAT_CONTROL_0_PM_DATA_HOLD_ZERO_HOLD                        _MK_ENUM_CONST(0)
#define MC_STAT_CONTROL_0_PM_DATA_HOLD_ZERO_ZERO                        _MK_ENUM_CONST(1)

#define MC_STAT_CONTROL_0_EMC_GATHER_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_STAT_CONTROL_0_EMC_GATHER_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_STAT_CONTROL_0_EMC_GATHER_OVERRIDE_SHIFT)
#define MC_STAT_CONTROL_0_EMC_GATHER_OVERRIDE_RANGE                     5:5
#define MC_STAT_CONTROL_0_EMC_GATHER_OVERRIDE_WOFFSET                   0x0
#define MC_STAT_CONTROL_0_EMC_GATHER_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_EMC_GATHER_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_STAT_CONTROL_0_EMC_GATHER_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_EMC_GATHER_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_EMC_GATHER_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_EMC_GATHER_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_STAT_CONTROL_0_EMC_GATHER_OVERRIDE_INIT_ENUM                 DISABLE
#define MC_STAT_CONTROL_0_EMC_GATHER_OVERRIDE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_STAT_CONTROL_0_EMC_GATHER_OVERRIDE_ENABLE                    _MK_ENUM_CONST(1)

#define MC_STAT_CONTROL_0_EMC_GATHER_CGID_FILTER_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_STAT_CONTROL_0_EMC_GATHER_CGID_FILTER_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_CONTROL_0_EMC_GATHER_CGID_FILTER_OVERRIDE_SHIFT)
#define MC_STAT_CONTROL_0_EMC_GATHER_CGID_FILTER_OVERRIDE_RANGE                 6:6
#define MC_STAT_CONTROL_0_EMC_GATHER_CGID_FILTER_OVERRIDE_WOFFSET                       0x0
#define MC_STAT_CONTROL_0_EMC_GATHER_CGID_FILTER_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_EMC_GATHER_CGID_FILTER_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_CONTROL_0_EMC_GATHER_CGID_FILTER_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_EMC_GATHER_CGID_FILTER_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_EMC_GATHER_CGID_FILTER_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_EMC_GATHER_CGID_FILTER_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_CONTROL_0_EMC_GATHER_CGID_FILTER_OVERRIDE_INIT_ENUM                     DISABLE
#define MC_STAT_CONTROL_0_EMC_GATHER_CGID_FILTER_OVERRIDE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_CONTROL_0_EMC_GATHER_CGID_FILTER_OVERRIDE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_CONTROL_0_EMC_GATHER_ADR_FILTER_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_STAT_CONTROL_0_EMC_GATHER_ADR_FILTER_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_CONTROL_0_EMC_GATHER_ADR_FILTER_OVERRIDE_SHIFT)
#define MC_STAT_CONTROL_0_EMC_GATHER_ADR_FILTER_OVERRIDE_RANGE                  7:7
#define MC_STAT_CONTROL_0_EMC_GATHER_ADR_FILTER_OVERRIDE_WOFFSET                        0x0
#define MC_STAT_CONTROL_0_EMC_GATHER_ADR_FILTER_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_EMC_GATHER_ADR_FILTER_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_CONTROL_0_EMC_GATHER_ADR_FILTER_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_EMC_GATHER_ADR_FILTER_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_EMC_GATHER_ADR_FILTER_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_CONTROL_0_EMC_GATHER_ADR_FILTER_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_CONTROL_0_EMC_GATHER_ADR_FILTER_OVERRIDE_INIT_ENUM                      DISABLE
#define MC_STAT_CONTROL_0_EMC_GATHER_ADR_FILTER_OVERRIDE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_CONTROL_0_EMC_GATHER_ADR_FILTER_OVERRIDE_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_STAT_STATUS_0
#define MC_STAT_STATUS_0                        _MK_ADDR_CONST(0x104)
#define MC_STAT_STATUS_0_SECURE                         0x0
#define MC_STAT_STATUS_0_DUAL                   0x0
#define MC_STAT_STATUS_0_SCR                    0
#define MC_STAT_STATUS_0_WORD_COUNT                     0x1
#define MC_STAT_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_STAT_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_STAT_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_STATUS_0_READ_MASK                      _MK_MASK_CONST(0x1)
#define MC_STAT_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_STATUS_0_EMC_LIMIT_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_STAT_STATUS_0_EMC_LIMIT_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_STATUS_0_EMC_LIMIT_SHIFT)
#define MC_STAT_STATUS_0_EMC_LIMIT_RANGE                        0:0
#define MC_STAT_STATUS_0_EMC_LIMIT_WOFFSET                      0x0
#define MC_STAT_STATUS_0_EMC_LIMIT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_STATUS_0_EMC_LIMIT_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_STATUS_0_EMC_LIMIT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_STATUS_0_EMC_LIMIT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_STATUS_0_EMC_LIMIT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_STATUS_0_EMC_LIMIT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_CLOCK_LIMIT_0
#define MC_STAT_EMC_CLOCK_LIMIT_0                       _MK_ADDR_CONST(0x108)
#define MC_STAT_EMC_CLOCK_LIMIT_0_SECURE                        0x0
#define MC_STAT_EMC_CLOCK_LIMIT_0_DUAL                  0x0
#define MC_STAT_EMC_CLOCK_LIMIT_0_SCR                   0
#define MC_STAT_EMC_CLOCK_LIMIT_0_WORD_COUNT                    0x1
#define MC_STAT_EMC_CLOCK_LIMIT_0_RESET_VAL                     _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_CLOCK_LIMIT_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_CLOCK_LIMIT_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCK_LIMIT_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCK_LIMIT_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_CLOCK_LIMIT_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_CLOCK_LIMIT_0_EMC_CLOCK_LIMIT_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_CLOCK_LIMIT_0_EMC_CLOCK_LIMIT_FIELD                 _MK_FIELD_CONST(0xffffffff, MC_STAT_EMC_CLOCK_LIMIT_0_EMC_CLOCK_LIMIT_SHIFT)
#define MC_STAT_EMC_CLOCK_LIMIT_0_EMC_CLOCK_LIMIT_RANGE                 31:0
#define MC_STAT_EMC_CLOCK_LIMIT_0_EMC_CLOCK_LIMIT_WOFFSET                       0x0
#define MC_STAT_EMC_CLOCK_LIMIT_0_EMC_CLOCK_LIMIT_DEFAULT                       _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_CLOCK_LIMIT_0_EMC_CLOCK_LIMIT_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_CLOCK_LIMIT_0_EMC_CLOCK_LIMIT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCK_LIMIT_0_EMC_CLOCK_LIMIT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCK_LIMIT_0_EMC_CLOCK_LIMIT_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_CLOCK_LIMIT_0_EMC_CLOCK_LIMIT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_CLOCK_LIMIT_0_EMC_CLOCK_LIMIT_INIT_ENUM                     -1


// Register MC_STAT_EMC_CLOCK_LIMIT_MSBS_0
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS_0                  _MK_ADDR_CONST(0x10c)
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS_0_SECURE                   0x0
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS_0_DUAL                     0x0
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS_0_SCR                      0
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS_0_WORD_COUNT                       0x1
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS_0_RESET_VAL                        _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS_0_RESET_MASK                       _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS_0_READ_MASK                        _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS_0_WRITE_MASK                       _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS_0_EMC_CLOCK_LIMIT_MSBS_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS_0_EMC_CLOCK_LIMIT_MSBS_FIELD                       _MK_FIELD_CONST(0xffff, MC_STAT_EMC_CLOCK_LIMIT_MSBS_0_EMC_CLOCK_LIMIT_MSBS_SHIFT)
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS_0_EMC_CLOCK_LIMIT_MSBS_RANGE                       15:0
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS_0_EMC_CLOCK_LIMIT_MSBS_WOFFSET                     0x0
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS_0_EMC_CLOCK_LIMIT_MSBS_DEFAULT                     _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS_0_EMC_CLOCK_LIMIT_MSBS_DEFAULT_MASK                        _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS_0_EMC_CLOCK_LIMIT_MSBS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS_0_EMC_CLOCK_LIMIT_MSBS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS_0_EMC_CLOCK_LIMIT_MSBS_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS_0_EMC_CLOCK_LIMIT_MSBS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_CLOCKS_0
#define MC_STAT_EMC_CLOCKS_0                    _MK_ADDR_CONST(0x110)
#define MC_STAT_EMC_CLOCKS_0_SECURE                     0x0
#define MC_STAT_EMC_CLOCKS_0_DUAL                       0x0
#define MC_STAT_EMC_CLOCKS_0_SCR                        0
#define MC_STAT_EMC_CLOCKS_0_WORD_COUNT                         0x1
#define MC_STAT_EMC_CLOCKS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCKS_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_CLOCKS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCKS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCKS_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_CLOCKS_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCKS_0_EMC_CLOCKS_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_CLOCKS_0_EMC_CLOCKS_FIELD                   _MK_FIELD_CONST(0xffffffff, MC_STAT_EMC_CLOCKS_0_EMC_CLOCKS_SHIFT)
#define MC_STAT_EMC_CLOCKS_0_EMC_CLOCKS_RANGE                   31:0
#define MC_STAT_EMC_CLOCKS_0_EMC_CLOCKS_WOFFSET                 0x0
#define MC_STAT_EMC_CLOCKS_0_EMC_CLOCKS_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCKS_0_EMC_CLOCKS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_CLOCKS_0_EMC_CLOCKS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCKS_0_EMC_CLOCKS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCKS_0_EMC_CLOCKS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCKS_0_EMC_CLOCKS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_CLOCKS_MSBS_0
#define MC_STAT_EMC_CLOCKS_MSBS_0                       _MK_ADDR_CONST(0x114)
#define MC_STAT_EMC_CLOCKS_MSBS_0_SECURE                        0x0
#define MC_STAT_EMC_CLOCKS_MSBS_0_DUAL                  0x0
#define MC_STAT_EMC_CLOCKS_MSBS_0_SCR                   0
#define MC_STAT_EMC_CLOCKS_MSBS_0_WORD_COUNT                    0x1
#define MC_STAT_EMC_CLOCKS_MSBS_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCKS_MSBS_0_RESET_MASK                    _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_CLOCKS_MSBS_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCKS_MSBS_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCKS_MSBS_0_READ_MASK                     _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_CLOCKS_MSBS_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCKS_MSBS_0_EMC_CLOCKS_MSBS_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_CLOCKS_MSBS_0_EMC_CLOCKS_MSBS_FIELD                 _MK_FIELD_CONST(0xffff, MC_STAT_EMC_CLOCKS_MSBS_0_EMC_CLOCKS_MSBS_SHIFT)
#define MC_STAT_EMC_CLOCKS_MSBS_0_EMC_CLOCKS_MSBS_RANGE                 15:0
#define MC_STAT_EMC_CLOCKS_MSBS_0_EMC_CLOCKS_MSBS_WOFFSET                       0x0
#define MC_STAT_EMC_CLOCKS_MSBS_0_EMC_CLOCKS_MSBS_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCKS_MSBS_0_EMC_CLOCKS_MSBS_DEFAULT_MASK                  _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_CLOCKS_MSBS_0_EMC_CLOCKS_MSBS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCKS_MSBS_0_EMC_CLOCKS_MSBS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCKS_MSBS_0_EMC_CLOCKS_MSBS_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_CLOCKS_MSBS_0_EMC_CLOCKS_MSBS_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0                  _MK_ADDR_CONST(0x118)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0_SECURE                   0x0
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0_DUAL                     0x0
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0_SCR                      0
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0_WORD_COUNT                       0x1
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0_RESET_MASK                       _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0_READ_MASK                        _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0_WRITE_MASK                       _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0_EMC_FILTER_SET0_ADR_LIMIT_LO_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0_EMC_FILTER_SET0_ADR_LIMIT_LO_FIELD                       _MK_FIELD_CONST(0xfffffff, MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0_EMC_FILTER_SET0_ADR_LIMIT_LO_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0_EMC_FILTER_SET0_ADR_LIMIT_LO_RANGE                       31:4
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0_EMC_FILTER_SET0_ADR_LIMIT_LO_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0_EMC_FILTER_SET0_ADR_LIMIT_LO_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0_EMC_FILTER_SET0_ADR_LIMIT_LO_DEFAULT_MASK                        _MK_MASK_CONST(0xfffffff)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0_EMC_FILTER_SET0_ADR_LIMIT_LO_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0_EMC_FILTER_SET0_ADR_LIMIT_LO_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0_EMC_FILTER_SET0_ADR_LIMIT_LO_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0_EMC_FILTER_SET0_ADR_LIMIT_LO_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0                  _MK_ADDR_CONST(0x158)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0_SECURE                   0x0
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0_DUAL                     0x0
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0_SCR                      0
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0_WORD_COUNT                       0x1
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0_RESET_MASK                       _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0_READ_MASK                        _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0_WRITE_MASK                       _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0_EMC_FILTER_SET1_ADR_LIMIT_LO_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0_EMC_FILTER_SET1_ADR_LIMIT_LO_FIELD                       _MK_FIELD_CONST(0xfffffff, MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0_EMC_FILTER_SET1_ADR_LIMIT_LO_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0_EMC_FILTER_SET1_ADR_LIMIT_LO_RANGE                       31:4
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0_EMC_FILTER_SET1_ADR_LIMIT_LO_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0_EMC_FILTER_SET1_ADR_LIMIT_LO_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0_EMC_FILTER_SET1_ADR_LIMIT_LO_DEFAULT_MASK                        _MK_MASK_CONST(0xfffffff)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0_EMC_FILTER_SET1_ADR_LIMIT_LO_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0_EMC_FILTER_SET1_ADR_LIMIT_LO_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0_EMC_FILTER_SET1_ADR_LIMIT_LO_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0_EMC_FILTER_SET1_ADR_LIMIT_LO_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0                  _MK_ADDR_CONST(0x11c)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0_SECURE                   0x0
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0_DUAL                     0x0
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0_SCR                      0
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0_WORD_COUNT                       0x1
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0_RESET_VAL                        _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0_RESET_MASK                       _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0_READ_MASK                        _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0_WRITE_MASK                       _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0_EMC_FILTER_SET0_ADR_LIMIT_HI_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0_EMC_FILTER_SET0_ADR_LIMIT_HI_FIELD                       _MK_FIELD_CONST(0xfffffff, MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0_EMC_FILTER_SET0_ADR_LIMIT_HI_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0_EMC_FILTER_SET0_ADR_LIMIT_HI_RANGE                       31:4
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0_EMC_FILTER_SET0_ADR_LIMIT_HI_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0_EMC_FILTER_SET0_ADR_LIMIT_HI_DEFAULT                     _MK_MASK_CONST(0xfffffff)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0_EMC_FILTER_SET0_ADR_LIMIT_HI_DEFAULT_MASK                        _MK_MASK_CONST(0xfffffff)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0_EMC_FILTER_SET0_ADR_LIMIT_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0_EMC_FILTER_SET0_ADR_LIMIT_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0_EMC_FILTER_SET0_ADR_LIMIT_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0_EMC_FILTER_SET0_ADR_LIMIT_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0                  _MK_ADDR_CONST(0x15c)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0_SECURE                   0x0
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0_DUAL                     0x0
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0_SCR                      0
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0_WORD_COUNT                       0x1
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0_RESET_VAL                        _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0_RESET_MASK                       _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0_READ_MASK                        _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0_WRITE_MASK                       _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0_EMC_FILTER_SET1_ADR_LIMIT_HI_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0_EMC_FILTER_SET1_ADR_LIMIT_HI_FIELD                       _MK_FIELD_CONST(0xfffffff, MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0_EMC_FILTER_SET1_ADR_LIMIT_HI_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0_EMC_FILTER_SET1_ADR_LIMIT_HI_RANGE                       31:4
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0_EMC_FILTER_SET1_ADR_LIMIT_HI_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0_EMC_FILTER_SET1_ADR_LIMIT_HI_DEFAULT                     _MK_MASK_CONST(0xfffffff)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0_EMC_FILTER_SET1_ADR_LIMIT_HI_DEFAULT_MASK                        _MK_MASK_CONST(0xfffffff)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0_EMC_FILTER_SET1_ADR_LIMIT_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0_EMC_FILTER_SET1_ADR_LIMIT_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0_EMC_FILTER_SET1_ADR_LIMIT_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0_EMC_FILTER_SET1_ADR_LIMIT_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0                       _MK_ADDR_CONST(0xa20)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_SECURE                        0x0
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_DUAL                  0x0
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_SCR                   0
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_WORD_COUNT                    0x1
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_RESET_VAL                     _MK_MASK_CONST(0xff00)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_RESET_MASK                    _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_READ_MASK                     _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_WRITE_MASK                    _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_LO_UPPER_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_LO_UPPER_FIELD                      _MK_FIELD_CONST(0xff, MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_LO_UPPER_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_LO_UPPER_RANGE                      7:0
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_LO_UPPER_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_LO_UPPER_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_LO_UPPER_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_LO_UPPER_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_LO_UPPER_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_LO_UPPER_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_LO_UPPER_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_HI_UPPER_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_HI_UPPER_FIELD                      _MK_FIELD_CONST(0xff, MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_HI_UPPER_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_HI_UPPER_RANGE                      15:8
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_HI_UPPER_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_HI_UPPER_DEFAULT                    _MK_MASK_CONST(0xff)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_HI_UPPER_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_HI_UPPER_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_HI_UPPER_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_HI_UPPER_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_ADR_LIMIT_HI_UPPER_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0                       _MK_ADDR_CONST(0xa24)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_SECURE                        0x0
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_DUAL                  0x0
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_SCR                   0
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_WORD_COUNT                    0x1
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_RESET_VAL                     _MK_MASK_CONST(0xff00)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_RESET_MASK                    _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_READ_MASK                     _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_WRITE_MASK                    _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_LO_UPPER_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_LO_UPPER_FIELD                      _MK_FIELD_CONST(0xff, MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_LO_UPPER_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_LO_UPPER_RANGE                      7:0
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_LO_UPPER_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_LO_UPPER_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_LO_UPPER_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_LO_UPPER_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_LO_UPPER_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_LO_UPPER_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_LO_UPPER_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_HI_UPPER_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_HI_UPPER_FIELD                      _MK_FIELD_CONST(0xff, MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_HI_UPPER_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_HI_UPPER_RANGE                      15:8
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_HI_UPPER_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_HI_UPPER_DEFAULT                    _MK_MASK_CONST(0xff)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_HI_UPPER_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_HI_UPPER_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_HI_UPPER_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_HI_UPPER_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_ADR_LIMIT_HI_UPPER_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0                  _MK_ADDR_CONST(0x198)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0_SECURE                   0x0
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0_DUAL                     0x0
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0_SCR                      0
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0_WORD_COUNT                       0x1
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0_RESET_MASK                       _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0_READ_MASK                        _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0_WRITE_MASK                       _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_FIELD                       _MK_FIELD_CONST(0xfffffff, MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_RANGE                       31:4
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_DEFAULT_MASK                        _MK_MASK_CONST(0xfffffff)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0                  _MK_ADDR_CONST(0x1a8)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0_SECURE                   0x0
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0_DUAL                     0x0
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0_SCR                      0
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0_WORD_COUNT                       0x1
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0_RESET_MASK                       _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0_READ_MASK                        _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0_WRITE_MASK                       _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_FIELD                       _MK_FIELD_CONST(0xfffffff, MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_RANGE                       31:4
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_DEFAULT_MASK                        _MK_MASK_CONST(0xfffffff)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0                  _MK_ADDR_CONST(0x19c)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0_SECURE                   0x0
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0_DUAL                     0x0
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0_SCR                      0
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0_WORD_COUNT                       0x1
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0_RESET_VAL                        _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0_RESET_MASK                       _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0_READ_MASK                        _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0_WRITE_MASK                       _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_FIELD                       _MK_FIELD_CONST(0xfffffff, MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_RANGE                       31:4
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_DEFAULT                     _MK_MASK_CONST(0xfffffff)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_DEFAULT_MASK                        _MK_MASK_CONST(0xfffffff)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0                  _MK_ADDR_CONST(0x1ac)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0_SECURE                   0x0
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0_DUAL                     0x0
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0_SCR                      0
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0_WORD_COUNT                       0x1
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0_RESET_VAL                        _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0_RESET_MASK                       _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0_READ_MASK                        _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0_WRITE_MASK                       _MK_MASK_CONST(0xfffffff0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_FIELD                       _MK_FIELD_CONST(0xfffffff, MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_RANGE                       31:4
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_DEFAULT                     _MK_MASK_CONST(0xfffffff)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_DEFAULT_MASK                        _MK_MASK_CONST(0xfffffff)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0                       _MK_ADDR_CONST(0xa28)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_SECURE                        0x0
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_DUAL                  0x0
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_SCR                   0
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_WORD_COUNT                    0x1
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_RESET_VAL                     _MK_MASK_CONST(0xff00)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_RESET_MASK                    _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_READ_MASK                     _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_WRITE_MASK                    _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_UPPER_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_UPPER_FIELD                      _MK_FIELD_CONST(0xff, MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_UPPER_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_UPPER_RANGE                      7:0
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_UPPER_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_UPPER_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_UPPER_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_UPPER_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_UPPER_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_UPPER_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_UPPER_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_UPPER_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_UPPER_FIELD                      _MK_FIELD_CONST(0xff, MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_UPPER_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_UPPER_RANGE                      15:8
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_UPPER_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_UPPER_DEFAULT                    _MK_MASK_CONST(0xff)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_UPPER_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_UPPER_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_UPPER_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_UPPER_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_UPPER_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0                       _MK_ADDR_CONST(0xa2c)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_SECURE                        0x0
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_DUAL                  0x0
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_SCR                   0
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_WORD_COUNT                    0x1
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_RESET_VAL                     _MK_MASK_CONST(0xff00)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_RESET_MASK                    _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_READ_MASK                     _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_WRITE_MASK                    _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_UPPER_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_UPPER_FIELD                      _MK_FIELD_CONST(0xff, MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_UPPER_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_UPPER_RANGE                      7:0
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_UPPER_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_UPPER_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_UPPER_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_UPPER_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_UPPER_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_UPPER_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_UPPER_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_UPPER_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_UPPER_FIELD                      _MK_FIELD_CONST(0xff, MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_UPPER_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_UPPER_RANGE                      15:8
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_UPPER_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_UPPER_DEFAULT                    _MK_MASK_CONST(0xff)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_UPPER_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_UPPER_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_UPPER_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_UPPER_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_UPPER_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_FILTER_SET0_ASID_0
#define MC_STAT_EMC_FILTER_SET0_ASID_0                  _MK_ADDR_CONST(0x1a0)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_SECURE                   0x0
#define MC_STAT_EMC_FILTER_SET0_ASID_0_DUAL                     0x0
#define MC_STAT_EMC_FILTER_SET0_ASID_0_SCR                      0
#define MC_STAT_EMC_FILTER_SET0_ASID_0_WORD_COUNT                       0x1
#define MC_STAT_EMC_FILTER_SET0_ASID_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_RESET_MASK                       _MK_MASK_CONST(0x30000)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_READ_MASK                        _MK_MASK_CONST(0x300ff)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_WRITE_MASK                       _MK_MASK_CONST(0x300ff)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_ASID_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_ASID_FIELD                       _MK_FIELD_CONST(0xff, MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_ASID_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_ASID_RANGE                       7:0
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_ASID_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_ASID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_ASID_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_ASID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_ASID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_ASID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_ASID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_MATCH_ASID_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_MATCH_ASID_FIELD                 _MK_FIELD_CONST(0x3, MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_MATCH_ASID_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_MATCH_ASID_RANGE                 17:16
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_MATCH_ASID_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_MATCH_ASID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_MATCH_ASID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_MATCH_ASID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_MATCH_ASID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_MATCH_ASID_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_MATCH_ASID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_MATCH_ASID_INIT_ENUM                     DISABLE
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_MATCH_ASID_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_MATCH_ASID_MATCH                 _MK_ENUM_CONST(3)
#define MC_STAT_EMC_FILTER_SET0_ASID_0_EMC_FILTER_SET0_MATCH_ASID_MATCH_INVERTED                        _MK_ENUM_CONST(2)


// Register MC_STAT_EMC_FILTER_SET1_ASID_0
#define MC_STAT_EMC_FILTER_SET1_ASID_0                  _MK_ADDR_CONST(0x1b0)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_SECURE                   0x0
#define MC_STAT_EMC_FILTER_SET1_ASID_0_DUAL                     0x0
#define MC_STAT_EMC_FILTER_SET1_ASID_0_SCR                      0
#define MC_STAT_EMC_FILTER_SET1_ASID_0_WORD_COUNT                       0x1
#define MC_STAT_EMC_FILTER_SET1_ASID_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_RESET_MASK                       _MK_MASK_CONST(0x30000)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_READ_MASK                        _MK_MASK_CONST(0x300ff)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_WRITE_MASK                       _MK_MASK_CONST(0x300ff)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_ASID_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_ASID_FIELD                       _MK_FIELD_CONST(0xff, MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_ASID_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_ASID_RANGE                       7:0
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_ASID_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_ASID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_ASID_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_ASID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_ASID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_ASID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_ASID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_MATCH_ASID_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_MATCH_ASID_FIELD                 _MK_FIELD_CONST(0x3, MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_MATCH_ASID_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_MATCH_ASID_RANGE                 17:16
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_MATCH_ASID_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_MATCH_ASID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_MATCH_ASID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_MATCH_ASID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_MATCH_ASID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_MATCH_ASID_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_MATCH_ASID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_MATCH_ASID_INIT_ENUM                     DISABLE
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_MATCH_ASID_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_MATCH_ASID_MATCH                 _MK_ENUM_CONST(3)
#define MC_STAT_EMC_FILTER_SET1_ASID_0_EMC_FILTER_SET1_MATCH_ASID_MATCH_INVERTED                        _MK_ENUM_CONST(2)


// Register MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0                   _MK_ADDR_CONST(0x120)
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_SECURE                    0x0
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_DUAL                      0x0
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_SCR                       0
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_WORD_COUNT                        0x1
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_RESET_VAL                         _MK_MASK_CONST(0x7fff8000)
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_LO_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_LO_FIELD                      _MK_FIELD_CONST(0xffff, MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_LO_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_LO_RANGE                      15:0
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_LO_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_LO_DEFAULT                    _MK_MASK_CONST(0x8000)
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_LO_DEFAULT_MASK                       _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_LO_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_LO_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_LO_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_LO_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_HI_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_HI_FIELD                      _MK_FIELD_CONST(0xffff, MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_HI_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_HI_RANGE                      31:16
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_HI_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_HI_DEFAULT                    _MK_MASK_CONST(0x7fff)
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_HI_DEFAULT_MASK                       _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_HI_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_HI_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_HI_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0_EMC_FILTER_SET0_SLACK_LIMIT_HI_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0                   _MK_ADDR_CONST(0x160)
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_SECURE                    0x0
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_DUAL                      0x0
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_SCR                       0
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_WORD_COUNT                        0x1
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_RESET_VAL                         _MK_MASK_CONST(0x7fff8000)
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_LO_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_LO_FIELD                      _MK_FIELD_CONST(0xffff, MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_LO_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_LO_RANGE                      15:0
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_LO_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_LO_DEFAULT                    _MK_MASK_CONST(0x8000)
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_LO_DEFAULT_MASK                       _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_LO_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_LO_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_LO_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_LO_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_HI_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_HI_FIELD                      _MK_FIELD_CONST(0xffff, MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_HI_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_HI_RANGE                      31:16
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_HI_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_HI_DEFAULT                    _MK_MASK_CONST(0x7fff)
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_HI_DEFAULT_MASK                       _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_HI_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_HI_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_HI_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0_EMC_FILTER_SET1_SLACK_LIMIT_HI_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_FILTER_SET0_CLIENT_0_0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0                      _MK_ADDR_CONST(0x128)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_SECURE                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_DUAL                         0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_SCR                  0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_WORD_COUNT                   0x1
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_RESET_VAL                    _MK_MASK_CONST(0x90600007)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_RESET_MASK                   _MK_MASK_CONST(0x90600007)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_READ_MASK                    _MK_MASK_CONST(0x90600007)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_WRITE_MASK                   _MK_MASK_CONST(0x90600007)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_PTCR_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_PTCR_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_PTCR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_PTCR_RANGE                    0:0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_PTCR_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_PTCR_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_PTCR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_PTCR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_PTCR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_PTCR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_PTCR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_PTCR_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_PTCR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_PTCR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7R_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7R_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7R_RANGE                   1:1
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7W_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7W_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7W_RANGE                   2:2
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_MIU7W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HDAR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HDAR_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HDAR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HDAR_RANGE                    21:21
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HDAR_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HDAR_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HDAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HDAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HDAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HDAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HDAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HDAR_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HDAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HDAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HOST1XDMAR_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HOST1XDMAR_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HOST1XDMAR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HOST1XDMAR_RANGE                      22:22
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HOST1XDMAR_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HOST1XDMAR_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HOST1XDMAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HOST1XDMAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HOST1XDMAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HOST1XDMAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HOST1XDMAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HOST1XDMAR_INIT_ENUM                  ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HOST1XDMAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_HOST1XDMAR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_NVENCSRD_SHIFT                        _MK_SHIFT_CONST(28)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_NVENCSRD_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_NVENCSRD_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_NVENCSRD_RANGE                        28:28
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_NVENCSRD_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_NVENCSRD_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_NVENCSRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_NVENCSRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_NVENCSRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_NVENCSRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_NVENCSRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_NVENCSRD_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_NVENCSRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_NVENCSRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_SATAR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_SATAR_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_SATAR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_SATAR_RANGE                   31:31
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_SATAR_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_SATAR_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_SATAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_SATAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_SATAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_SATAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_SATAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_SATAR_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_SATAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0_0_EMC_FILTER_SET0_CLIENT_SATAR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_STAT_EMC_FILTER_SET1_CLIENT_0_0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0                      _MK_ADDR_CONST(0x168)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_SECURE                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_DUAL                         0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_SCR                  0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_WORD_COUNT                   0x1
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_RESET_VAL                    _MK_MASK_CONST(0x90600007)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_RESET_MASK                   _MK_MASK_CONST(0x90600007)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_READ_MASK                    _MK_MASK_CONST(0x90600007)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_WRITE_MASK                   _MK_MASK_CONST(0x90600007)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_PTCR_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_PTCR_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_PTCR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_PTCR_RANGE                    0:0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_PTCR_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_PTCR_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_PTCR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_PTCR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_PTCR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_PTCR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_PTCR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_PTCR_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_PTCR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_PTCR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7R_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7R_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7R_RANGE                   1:1
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7W_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7W_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7W_RANGE                   2:2
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_MIU7W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HDAR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HDAR_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HDAR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HDAR_RANGE                    21:21
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HDAR_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HDAR_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HDAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HDAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HDAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HDAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HDAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HDAR_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HDAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HDAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HOST1XDMAR_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HOST1XDMAR_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HOST1XDMAR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HOST1XDMAR_RANGE                      22:22
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HOST1XDMAR_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HOST1XDMAR_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HOST1XDMAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HOST1XDMAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HOST1XDMAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HOST1XDMAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HOST1XDMAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HOST1XDMAR_INIT_ENUM                  ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HOST1XDMAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_HOST1XDMAR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_NVENCSRD_SHIFT                        _MK_SHIFT_CONST(28)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_NVENCSRD_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_NVENCSRD_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_NVENCSRD_RANGE                        28:28
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_NVENCSRD_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_NVENCSRD_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_NVENCSRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_NVENCSRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_NVENCSRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_NVENCSRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_NVENCSRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_NVENCSRD_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_NVENCSRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_NVENCSRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_SATAR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_SATAR_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_SATAR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_SATAR_RANGE                   31:31
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_SATAR_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_SATAR_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_SATAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_SATAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_SATAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_SATAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_SATAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_SATAR_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_SATAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0_0_EMC_FILTER_SET1_CLIENT_SATAR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_STAT_EMC_FILTER_SET0_CLIENT_1_0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0                      _MK_ADDR_CONST(0x12c)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_SECURE                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_DUAL                         0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_SCR                  0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_WORD_COUNT                   0x1
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_RESET_VAL                    _MK_MASK_CONST(0x22200880)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_RESET_MASK                   _MK_MASK_CONST(0x22200880)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_READ_MASK                    _MK_MASK_CONST(0x22200880)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_WRITE_MASK                   _MK_MASK_CONST(0x22200880)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCORER_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCORER_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCORER_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCORER_RANGE                 7:7
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCORER_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCORER_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCORER_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCORER_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCORER_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCORER_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCORER_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCORER_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCORER_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCORER_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_NVENCSWR_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_NVENCSWR_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_NVENCSWR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_NVENCSWR_RANGE                        11:11
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_NVENCSWR_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_NVENCSWR_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_NVENCSWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_NVENCSWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_NVENCSWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_NVENCSWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_NVENCSWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_NVENCSWR_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_NVENCSWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_NVENCSWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_HDAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_HDAW_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_HDAW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_HDAW_RANGE                    21:21
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_HDAW_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_HDAW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_HDAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_HDAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_HDAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_HDAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_HDAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_HDAW_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_HDAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_HDAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCOREW_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCOREW_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCOREW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCOREW_RANGE                 25:25
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCOREW_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCOREW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCOREW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCOREW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCOREW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCOREW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCOREW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCOREW_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCOREW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_MPCOREW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_SATAW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_SATAW_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_SATAW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_SATAW_RANGE                   29:29
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_SATAW_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_SATAW_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_SATAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_SATAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_SATAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_SATAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_SATAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_SATAW_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_SATAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1_0_EMC_FILTER_SET0_CLIENT_SATAW_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_STAT_EMC_FILTER_SET1_CLIENT_1_0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0                      _MK_ADDR_CONST(0x16c)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_SECURE                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_DUAL                         0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_SCR                  0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_WORD_COUNT                   0x1
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_RESET_VAL                    _MK_MASK_CONST(0x22200880)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_RESET_MASK                   _MK_MASK_CONST(0x22200880)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_READ_MASK                    _MK_MASK_CONST(0x22200880)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_WRITE_MASK                   _MK_MASK_CONST(0x22200880)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCORER_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCORER_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCORER_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCORER_RANGE                 7:7
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCORER_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCORER_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCORER_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCORER_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCORER_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCORER_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCORER_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCORER_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCORER_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCORER_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_NVENCSWR_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_NVENCSWR_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_NVENCSWR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_NVENCSWR_RANGE                        11:11
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_NVENCSWR_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_NVENCSWR_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_NVENCSWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_NVENCSWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_NVENCSWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_NVENCSWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_NVENCSWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_NVENCSWR_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_NVENCSWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_NVENCSWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_HDAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_HDAW_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_HDAW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_HDAW_RANGE                    21:21
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_HDAW_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_HDAW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_HDAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_HDAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_HDAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_HDAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_HDAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_HDAW_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_HDAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_HDAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCOREW_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCOREW_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCOREW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCOREW_RANGE                 25:25
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCOREW_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCOREW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCOREW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCOREW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCOREW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCOREW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCOREW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCOREW_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCOREW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_MPCOREW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_SATAW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_SATAW_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_SATAW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_SATAW_RANGE                   29:29
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_SATAW_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_SATAW_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_SATAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_SATAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_SATAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_SATAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_SATAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_SATAW_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_SATAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1_0_EMC_FILTER_SET1_CLIENT_SATAW_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_STAT_EMC_FILTER_SET0_CLIENT_2_0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0                      _MK_ADDR_CONST(0x130)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_SECURE                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_DUAL                         0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_SCR                  0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_WORD_COUNT                   0x1
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_RESET_VAL                    _MK_MASK_CONST(0x303cf0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_RESET_MASK                   _MK_MASK_CONST(0x303cf0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_READ_MASK                    _MK_MASK_CONST(0x303cf0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_WRITE_MASK                   _MK_MASK_CONST(0x303cf0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPRA_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPRA_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPRA_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPRA_RANGE                   4:4
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPRA_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPRA_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPRA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPRA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPRA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPRA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPRA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPRA_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPRA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPRA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPFALR_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPFALR_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPFALR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPFALR_RANGE                 5:5
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPFALR_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPFALR_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPFALR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPFALR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPFALR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPFALR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPFALR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPFALR_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPFALR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPFALR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWA_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWA_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWA_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWA_RANGE                   6:6
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWA_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWA_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWA_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWB_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWB_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWB_RANGE                   7:7
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWB_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWB_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWB_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_ISPWB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTR_SHIFT                      _MK_SHIFT_CONST(10)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTR_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTR_RANGE                      10:10
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTR_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTR_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTR_INIT_ENUM                  ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTW_SHIFT                      _MK_SHIFT_CONST(11)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTW_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTW_RANGE                      11:11
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTW_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTW_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTW_INIT_ENUM                  ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_HOSTW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVR_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVR_FIELD                       _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVR_RANGE                       12:12
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVR_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVR_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVR_INIT_ENUM                   ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVW_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVW_FIELD                       _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVW_RANGE                       13:13
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVW_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVW_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVW_INIT_ENUM                   ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_XUSB_DEVW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSRD_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSRD_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSRD_RANGE                 20:20
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSRD_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSRD_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSRD_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSWR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSWR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSWR_RANGE                 21:21
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSWR_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSWR_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSWR_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2_0_EMC_FILTER_SET0_CLIENT_TSECSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_STAT_EMC_FILTER_SET1_CLIENT_2_0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0                      _MK_ADDR_CONST(0x170)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_SECURE                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_DUAL                         0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_SCR                  0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_WORD_COUNT                   0x1
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_RESET_VAL                    _MK_MASK_CONST(0x303cf0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_RESET_MASK                   _MK_MASK_CONST(0x303cf0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_READ_MASK                    _MK_MASK_CONST(0x303cf0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_WRITE_MASK                   _MK_MASK_CONST(0x303cf0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPRA_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPRA_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPRA_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPRA_RANGE                   4:4
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPRA_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPRA_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPRA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPRA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPRA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPRA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPRA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPRA_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPRA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPRA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPFALR_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPFALR_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPFALR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPFALR_RANGE                 5:5
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPFALR_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPFALR_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPFALR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPFALR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPFALR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPFALR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPFALR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPFALR_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPFALR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPFALR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWA_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWA_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWA_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWA_RANGE                   6:6
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWA_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWA_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWA_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWB_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWB_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWB_RANGE                   7:7
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWB_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWB_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWB_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_ISPWB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTR_SHIFT                      _MK_SHIFT_CONST(10)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTR_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTR_RANGE                      10:10
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTR_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTR_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTR_INIT_ENUM                  ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTW_SHIFT                      _MK_SHIFT_CONST(11)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTW_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTW_RANGE                      11:11
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTW_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTW_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTW_INIT_ENUM                  ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_HOSTW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVR_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVR_FIELD                       _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVR_RANGE                       12:12
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVR_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVR_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVR_INIT_ENUM                   ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVW_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVW_FIELD                       _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVW_RANGE                       13:13
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVW_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVW_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVW_INIT_ENUM                   ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_XUSB_DEVW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSRD_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSRD_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSRD_RANGE                 20:20
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSRD_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSRD_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSRD_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSWR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSWR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSWR_RANGE                 21:21
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSWR_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSWR_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSWR_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2_0_EMC_FILTER_SET1_CLIENT_TSECSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_STAT_EMC_FILTER_SET0_CLIENT_3_0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0                      _MK_ADDR_CONST(0x134)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_SECURE                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_DUAL                         0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_SCR                  0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_WORD_COUNT                   0x1
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_RESET_VAL                    _MK_MASK_CONST(0xcf0430dd)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_RESET_MASK                   _MK_MASK_CONST(0xcf0430dd)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_READ_MASK                    _MK_MASK_CONST(0xcf0430dd)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_WRITE_MASK                   _MK_MASK_CONST(0xcf0430dd)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRA_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRA_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRA_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRA_RANGE                 0:0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRA_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRA_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRA_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCR_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCR_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCR_RANGE                  2:2
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCR_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCR_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCR_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRAB_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRAB_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRAB_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRAB_RANGE                        3:3
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRAB_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRAB_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRAB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRAB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRAB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRAB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRAB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRAB_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRAB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCRAB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWA_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWA_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWA_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWA_RANGE                 4:4
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWA_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWA_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWA_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCW_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCW_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCW_RANGE                  6:6
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCW_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCW_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCW_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWAB_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWAB_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWAB_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWAB_RANGE                        7:7
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWAB_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWAB_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWAB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWAB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWAB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWAB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWAB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWAB_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWAB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_SDMMCWAB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSRD_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSRD_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSRD_RANGE                  12:12
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSRD_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSRD_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSRD_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSWR_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSWR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSWR_RANGE                  13:13
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSWR_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSWR_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSWR_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VICSWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VIW_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VIW_FIELD                     _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VIW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VIW_RANGE                     18:18
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VIW_WOFFSET                   0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VIW_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VIW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VIW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VIW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VIW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VIW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VIW_INIT_ENUM                 ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VIW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_VIW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSRD_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSRD_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSRD_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSRD_RANGE                        24:24
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSRD_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSRD_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSRD_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSWR_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSWR_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSWR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSWR_RANGE                        25:25
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSWR_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSWR_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSWR_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVDECSWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APER_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APER_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APER_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APER_RANGE                    26:26
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APER_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APER_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APER_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APEW_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APEW_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APEW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APEW_RANGE                    27:27
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APEW_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APEW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APEW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APEW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APEW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APEW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APEW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APEW_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APEW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_APEW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSRD_SHIFT                        _MK_SHIFT_CONST(30)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSRD_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSRD_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSRD_RANGE                        30:30
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSRD_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSRD_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSRD_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSWR_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSWR_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSWR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSWR_RANGE                        31:31
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSWR_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSWR_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSWR_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3_0_EMC_FILTER_SET0_CLIENT_NVJPGSWR_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_STAT_EMC_FILTER_SET0_CLIENT_4_0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0                      _MK_ADDR_CONST(0xb88)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_SECURE                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_DUAL                         0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_SCR                  0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_WORD_COUNT                   0x1
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_RESET_VAL                    _MK_MASK_CONST(0xfffff0ff)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_RESET_MASK                   _MK_MASK_CONST(0xfffff0ff)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_READ_MASK                    _MK_MASK_CONST(0xfffff0ff)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_WRITE_MASK                   _MK_MASK_CONST(0xfffff0ff)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESRD_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESRD_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESRD_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESRD_RANGE                   0:0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESRD_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESRD_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESRD_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESWR_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESWR_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESWR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESWR_RANGE                   1:1
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESWR_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESWR_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESWR_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SESWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPR_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPR_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPR_RANGE                  2:2
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPR_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPR_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPR_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPW_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPW_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPW_RANGE                  3:3
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPW_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPW_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPW_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXIAPW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRR_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRR_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRR_RANGE                    4:4
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRR_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRR_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRR_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRW_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRW_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRW_RANGE                    5:5
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRW_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRW_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_ETRW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSRDB_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSRDB_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSRDB_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSRDB_RANGE                        6:6
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSRDB_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSRDB_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSRDB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSRDB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSRDB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSRDB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSRDB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSRDB_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSRDB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSRDB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSWRB_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSWRB_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSWRB_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSWRB_RANGE                        7:7
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSWRB_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSWRB_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSWRB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSWRB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSWRB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSWRB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSWRB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSWRB_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSWRB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_TSECSWRB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISR_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISR_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISR_RANGE                   12:12
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISR_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISR_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISR_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISW_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISW_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISW_RANGE                   13:13
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISW_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISW_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISW_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AXISW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSR_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSR_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSR_RANGE                   14:14
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSR_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSR_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSR_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSW_SHIFT                   _MK_SHIFT_CONST(15)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSW_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSW_RANGE                   15:15
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSW_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSW_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSW_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_EQOSW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCR_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCR_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCR_RANGE                  16:16
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCR_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCR_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCR_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCW_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCW_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCW_RANGE                  17:17
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCW_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCW_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCW_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_UFSHCW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR_RANGE                      18:18
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR_INIT_ENUM                  ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPR_SHIFT                   _MK_SHIFT_CONST(19)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPR_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPR_RANGE                   19:19
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPR_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPR_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPR_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPW_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPW_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPW_RANGE                   20:20
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPW_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPW_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPW_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAR_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAR_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAR_RANGE                        21:21
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAR_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAR_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAR_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAW_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAW_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAW_RANGE                        22:22
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAW_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAW_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAW_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_BPMPDMAW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONR_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONR_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONR_RANGE                    23:23
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONR_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONR_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONR_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONW_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONW_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONW_RANGE                    24:24
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONW_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONW_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAR_RANGE                 25:25
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAR_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAR_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAR_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAW_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAW_RANGE                 26:26
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAW_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAW_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_AONDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCER_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCER_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCER_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCER_RANGE                    27:27
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCER_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCER_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCER_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEW_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEW_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEW_RANGE                    28:28
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEW_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEW_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAR_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAR_RANGE                 29:29
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAR_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAR_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAR_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAW_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAW_RANGE                 30:30
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAW_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAW_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_SCEDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_APEDMAR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_APEDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_APEDMAR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_APEDMAR_RANGE                 31:31
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_APEDMAR_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_APEDMAR_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_APEDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_APEDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_APEDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_APEDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_APEDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_APEDMAR_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_APEDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4_0_EMC_FILTER_SET0_CLIENT_APEDMAR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_STAT_EMC_FILTER_SET0_CLIENT_5_0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0                      _MK_ADDR_CONST(0xbc4)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_SECURE                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_DUAL                         0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_SCR                  0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_WORD_COUNT                   0x1
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_RESET_VAL                    _MK_MASK_CONST(0xffffc3cf)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_RESET_MASK                   _MK_MASK_CONST(0xffffc3cf)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_READ_MASK                    _MK_MASK_CONST(0xffffc3cf)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_WRITE_MASK                   _MK_MASK_CONST(0xffffc3cf)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_APEDMAW_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_APEDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_APEDMAW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_APEDMAW_RANGE                 0:0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_APEDMAW_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_APEDMAW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_APEDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_APEDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_APEDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_APEDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_APEDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_APEDMAW_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_APEDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_APEDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR1_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR1_FIELD                     _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR1_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR1_RANGE                     1:1
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR1_WOFFSET                   0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR1_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR1_INIT_ENUM                 ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDISPLAYR1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VICSRD1_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VICSRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VICSRD1_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VICSRD1_RANGE                 2:2
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VICSRD1_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VICSRD1_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VICSRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VICSRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VICSRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VICSRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VICSRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VICSRD1_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VICSRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VICSRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDECSRD1_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDECSRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDECSRD1_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDECSRD1_RANGE                       3:3
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDECSRD1_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDECSRD1_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDECSRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDECSRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDECSRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDECSRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDECSRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDECSRD1_INIT_ENUM                   ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDECSRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVDECSRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0R_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0R_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0R_RANGE                   6:6
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0W_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0W_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0W_RANGE                   7:7
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1R_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1R_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1R_RANGE                   8:8
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1W_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1W_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1W_RANGE                   9:9
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2R_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2R_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2R_RANGE                   14:14
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2W_SHIFT                   _MK_SHIFT_CONST(15)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2W_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2W_RANGE                   15:15
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU2W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3R_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3R_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3R_RANGE                   16:16
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3W_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3W_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3W_RANGE                   17:17
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU3W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4R_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4R_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4R_RANGE                   18:18
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4W_SHIFT                   _MK_SHIFT_CONST(19)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4W_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4W_RANGE                   19:19
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_MIU4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUR_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUR_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUR_RANGE                   20:20
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUR_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUR_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUR_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUW_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUW_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUW_RANGE                   21:21
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUW_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUW_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUW_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DPMUW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0R_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0R_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0R_RANGE                   22:22
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0W_SHIFT                   _MK_SHIFT_CONST(23)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0W_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0W_RANGE                   23:23
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1R_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1R_RANGE                   24:24
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1W_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1W_RANGE                   25:25
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2R_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2R_RANGE                   26:26
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2W_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2W_RANGE                   27:27
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_NVL2W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALR_RANGE                  28:28
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALR_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALR_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALR_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALW_RANGE                  29:29
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALW_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALW_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALW_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_VIFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0RDA_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0RDA_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0RDA_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0RDA_RANGE                 30:30
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0RDA_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0RDA_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0RDA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0RDA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0RDA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0RDA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0RDA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0RDA_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0RDA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0RDA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0FALRDB_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0FALRDB_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0FALRDB_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0FALRDB_RANGE                      31:31
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0FALRDB_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0FALRDB_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0FALRDB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0FALRDB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0FALRDB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0FALRDB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0FALRDB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0FALRDB_INIT_ENUM                  ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0FALRDB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5_0_EMC_FILTER_SET0_CLIENT_DLA0FALRDB_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_STAT_EMC_FILTER_SET0_CLIENT_6_0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0                      _MK_ADDR_CONST(0xac4)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_SECURE                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_DUAL                         0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_SCR                  0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_WORD_COUNT                   0x1
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_RESET_VAL                    _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0WRA_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0WRA_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0WRA_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0WRA_RANGE                 0:0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0WRA_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0WRA_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0WRA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0WRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0WRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0WRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0WRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0WRA_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0WRA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0WRA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0FALWRB_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0FALWRB_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0FALWRB_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0FALWRB_RANGE                      1:1
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0FALWRB_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0FALWRB_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0FALWRB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0FALWRB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0FALWRB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0FALWRB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0FALWRB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0FALWRB_INIT_ENUM                  ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0FALWRB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA0FALWRB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1RDA_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1RDA_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1RDA_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1RDA_RANGE                 2:2
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1RDA_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1RDA_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1RDA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1RDA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1RDA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1RDA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1RDA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1RDA_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1RDA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1RDA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALRDB_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALRDB_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALRDB_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALRDB_RANGE                      3:3
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALRDB_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALRDB_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALRDB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALRDB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALRDB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALRDB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALRDB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALRDB_INIT_ENUM                  ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALRDB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALRDB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1WRA_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1WRA_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1WRA_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1WRA_RANGE                 4:4
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1WRA_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1WRA_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1WRA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1WRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1WRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1WRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1WRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1WRA_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1WRA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1WRA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALWRB_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALWRB_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALWRB_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALWRB_RANGE                      5:5
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALWRB_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALWRB_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALWRB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALWRB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALWRB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALWRB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALWRB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALWRB_INIT_ENUM                  ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALWRB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_DLA1FALWRB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDA_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDA_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDA_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDA_RANGE                 6:6
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDA_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDA_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDA_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDB_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDB_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDB_RANGE                 7:7
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDB_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDB_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDB_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDC_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDC_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDC_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDC_RANGE                 8:8
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDC_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDC_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDC_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDC_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDC_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDC_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0RDC_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRA_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRA_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRA_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRA_RANGE                 9:9
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRA_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRA_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRA_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRB_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRB_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRB_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRB_RANGE                 10:10
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRB_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRB_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRB_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRC_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRC_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRC_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRC_RANGE                 11:11
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRC_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRC_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRC_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRC_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRC_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRC_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA0WRC_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDA_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDA_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDA_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDA_RANGE                 12:12
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDA_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDA_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDA_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDB_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDB_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDB_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDB_RANGE                 13:13
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDB_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDB_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDB_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDC_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDC_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDC_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDC_RANGE                 14:14
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDC_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDC_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDC_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDC_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDC_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDC_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1RDC_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRA_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRA_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRA_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRA_RANGE                 15:15
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRA_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRA_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRA_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRB_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRB_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRB_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRB_RANGE                 16:16
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRB_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRB_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRB_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRC_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRC_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRC_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRC_RANGE                 17:17
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRC_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRC_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRC_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRC_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRC_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRC_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PVA1WRC_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCER_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCER_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCER_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCER_RANGE                    18:18
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCER_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCER_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCER_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEW_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEW_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEW_RANGE                    19:19
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEW_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEW_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAR_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAR_RANGE                 20:20
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAR_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAR_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAR_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAW_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAW_RANGE                 21:21
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAW_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAW_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_RCEDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD_FIELD                       _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD_RANGE                       22:22
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD_INIT_ENUM                   ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD_DISABLE                     _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD_ENABLE                      _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SWR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SWR_FIELD                       _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SWR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SWR_RANGE                       23:23
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SWR_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SWR_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SWR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SWR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SWR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SWR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SWR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SWR_INIT_ENUM                   ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SWR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_NVENC1SWR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0R_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0R_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0R_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0R_RANGE                  24:24
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0R_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0R_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0R_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0R_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0R_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0R_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0R_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0R_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0R_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0R_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0W_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0W_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0W_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0W_RANGE                  25:25
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0W_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0W_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0W_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0W_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0W_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0W_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0W_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0W_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0W_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE0W_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1R_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1R_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1R_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1R_RANGE                  26:26
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1R_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1R_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1R_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1R_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1R_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1R_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1R_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1R_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1R_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1R_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1W_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1W_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1W_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1W_RANGE                  27:27
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1W_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1W_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1W_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1W_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1W_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1W_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1W_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1W_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1W_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE1W_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AR_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AR_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AR_RANGE                 28:28
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AR_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AR_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AR_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AW_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AW_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AW_RANGE                 29:29
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AW_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AW_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE2AW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3R_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3R_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3R_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3R_RANGE                  30:30
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3R_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3R_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3R_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3R_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3R_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3R_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3R_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3R_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3R_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3R_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3W_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3W_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3W_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3W_RANGE                  31:31
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3W_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3W_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3W_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3W_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3W_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3W_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3W_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3W_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3W_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_6_0_EMC_FILTER_SET0_CLIENT_PCIE3W_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_STAT_EMC_FILTER_SET0_CLIENT_7_0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0                      _MK_ADDR_CONST(0xac8)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_SECURE                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_DUAL                         0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_SCR                  0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_WORD_COUNT                   0x1
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_RESET_VAL                    _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4R_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4R_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4R_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4R_RANGE                  0:0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4R_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4R_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4R_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4R_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4R_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4R_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4R_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4R_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4R_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4R_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4W_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4W_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4W_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4W_RANGE                  1:1
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4W_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4W_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4W_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4W_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4W_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4W_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4W_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4W_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4W_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE4W_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R_RANGE                  2:2
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5W_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5W_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5W_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5W_RANGE                  3:3
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5W_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5W_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5W_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5W_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5W_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5W_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5W_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5W_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5W_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5W_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPFALW_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPFALW_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPFALW_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPFALW_RANGE                 4:4
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPFALW_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPFALW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPFALW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPFALW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPFALW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPFALW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPFALW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPFALW_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPFALW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPFALW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3R_SHIFT                   _MK_SHIFT_CONST(5)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3R_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3R_RANGE                   5:5
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3W_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3W_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3W_RANGE                   6:6
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4R_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4R_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4R_RANGE                   7:7
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4W_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4W_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4W_RANGE                   8:8
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA0RDA1_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA0RDA1_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA0RDA1_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA0RDA1_RANGE                        9:9
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA0RDA1_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA0RDA1_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA0RDA1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA0RDA1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA0RDA1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA0RDA1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA0RDA1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA0RDA1_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA0RDA1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA0RDA1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA1RDA1_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA1RDA1_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA1RDA1_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA1RDA1_RANGE                        10:10
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA1RDA1_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA1RDA1_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA1RDA1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA1RDA1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA1RDA1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA1RDA1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA1RDA1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA1RDA1_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA1RDA1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_DLA1RDA1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDA1_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDA1_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDA1_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDA1_RANGE                        11:11
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDA1_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDA1_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDA1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDA1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDA1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDA1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDA1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDA1_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDA1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDA1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDB1_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDB1_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDB1_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDB1_RANGE                        12:12
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDB1_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDB1_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDB1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDB1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDB1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDB1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDB1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDB1_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDB1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA0RDB1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDA1_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDA1_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDA1_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDA1_RANGE                        13:13
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDA1_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDA1_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDA1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDA1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDA1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDA1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDA1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDA1_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDA1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDA1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDB1_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDB1_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDB1_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDB1_RANGE                        14:14
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDB1_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDB1_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDB1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDB1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDB1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDB1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDB1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDB1_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDB1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PVA1RDB1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R1_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R1_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R1_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R1_RANGE                 15:15
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R1_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R1_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R1_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE5R1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENCSRD1_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENCSRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENCSRD1_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENCSRD1_RANGE                       16:16
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENCSRD1_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENCSRD1_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENCSRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENCSRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENCSRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENCSRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENCSRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENCSRD1_INIT_ENUM                   ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENCSRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENCSRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD1_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD1_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD1_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD1_RANGE                      17:17
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD1_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD1_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD1_INIT_ENUM                  ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVENC1SRD1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPRA1_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPRA1_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPRA1_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPRA1_RANGE                  18:18
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPRA1_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPRA1_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPRA1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPRA1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPRA1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPRA1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPRA1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPRA1_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPRA1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_ISPRA1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE0R1_SHIFT                 _MK_SHIFT_CONST(19)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE0R1_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE0R1_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE0R1_RANGE                 19:19
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE0R1_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE0R1_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE0R1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE0R1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE0R1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE0R1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE0R1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE0R1_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE0R1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_PCIE0R1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL0RHP_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL0RHP_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL0RHP_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL0RHP_RANGE                 20:20
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL0RHP_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL0RHP_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL0RHP_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL0RHP_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL0RHP_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL0RHP_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL0RHP_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL0RHP_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL0RHP_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL0RHP_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL1RHP_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL1RHP_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL1RHP_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL1RHP_RANGE                 21:21
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL1RHP_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL1RHP_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL1RHP_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL1RHP_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL1RHP_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL1RHP_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL1RHP_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL1RHP_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL1RHP_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL1RHP_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL2RHP_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL2RHP_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL2RHP_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL2RHP_RANGE                 22:22
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL2RHP_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL2RHP_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL2RHP_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL2RHP_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL2RHP_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL2RHP_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL2RHP_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL2RHP_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL2RHP_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL2RHP_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3RHP_SHIFT                 _MK_SHIFT_CONST(23)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3RHP_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3RHP_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3RHP_RANGE                 23:23
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3RHP_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3RHP_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3RHP_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3RHP_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3RHP_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3RHP_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3RHP_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3RHP_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3RHP_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL3RHP_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4RHP_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4RHP_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4RHP_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4RHP_RANGE                 24:24
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4RHP_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4RHP_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4RHP_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4RHP_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4RHP_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4RHP_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4RHP_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4RHP_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4RHP_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVL4RHP_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD_SHIFT                       _MK_SHIFT_CONST(25)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD_FIELD                       _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD_RANGE                       25:25
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD_INIT_ENUM                   ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD_DISABLE                     _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD_ENABLE                      _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD1_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD1_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD1_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD1_RANGE                      26:26
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD1_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD1_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD1_INIT_ENUM                  ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SRD1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SWR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SWR_FIELD                       _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SWR_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SWR_RANGE                       27:27
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SWR_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SWR_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SWR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SWR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SWR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SWR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SWR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SWR_INIT_ENUM                   ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SWR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_NVDEC1SWR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5R_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5R_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5R_RANGE                   28:28
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5W_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5W_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5W_RANGE                   29:29
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6R_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6R_RANGE                   30:30
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6W_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6W_RANGE                   31:31
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_CLIENT_7_0_EMC_FILTER_SET0_CLIENT_MIU6W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_STAT_EMC_FILTER_SET1_CLIENT_3_0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0                      _MK_ADDR_CONST(0x174)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_SECURE                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_DUAL                         0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_SCR                  0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_WORD_COUNT                   0x1
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_RESET_VAL                    _MK_MASK_CONST(0xcf0430dd)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_RESET_MASK                   _MK_MASK_CONST(0xcf0430dd)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_READ_MASK                    _MK_MASK_CONST(0xcf0430dd)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_WRITE_MASK                   _MK_MASK_CONST(0xcf0430dd)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRA_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRA_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRA_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRA_RANGE                 0:0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRA_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRA_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRA_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCR_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCR_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCR_RANGE                  2:2
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCR_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCR_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCR_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRAB_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRAB_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRAB_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRAB_RANGE                        3:3
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRAB_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRAB_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRAB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRAB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRAB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRAB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRAB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRAB_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRAB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCRAB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWA_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWA_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWA_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWA_RANGE                 4:4
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWA_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWA_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWA_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCW_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCW_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCW_RANGE                  6:6
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCW_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCW_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCW_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWAB_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWAB_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWAB_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWAB_RANGE                        7:7
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWAB_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWAB_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWAB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWAB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWAB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWAB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWAB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWAB_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWAB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_SDMMCWAB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSRD_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSRD_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSRD_RANGE                  12:12
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSRD_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSRD_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSRD_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSWR_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSWR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSWR_RANGE                  13:13
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSWR_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSWR_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSWR_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VICSWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VIW_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VIW_FIELD                     _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VIW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VIW_RANGE                     18:18
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VIW_WOFFSET                   0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VIW_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VIW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VIW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VIW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VIW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VIW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VIW_INIT_ENUM                 ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VIW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_VIW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSRD_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSRD_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSRD_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSRD_RANGE                        24:24
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSRD_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSRD_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSRD_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSWR_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSWR_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSWR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSWR_RANGE                        25:25
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSWR_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSWR_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSWR_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVDECSWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APER_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APER_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APER_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APER_RANGE                    26:26
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APER_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APER_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APER_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APEW_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APEW_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APEW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APEW_RANGE                    27:27
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APEW_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APEW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APEW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APEW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APEW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APEW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APEW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APEW_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APEW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_APEW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSRD_SHIFT                        _MK_SHIFT_CONST(30)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSRD_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSRD_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSRD_RANGE                        30:30
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSRD_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSRD_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSRD_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSWR_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSWR_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSWR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSWR_RANGE                        31:31
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSWR_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSWR_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSWR_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3_0_EMC_FILTER_SET1_CLIENT_NVJPGSWR_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_STAT_EMC_FILTER_SET1_CLIENT_4_0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0                      _MK_ADDR_CONST(0xb8c)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_SECURE                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_DUAL                         0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_SCR                  0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_WORD_COUNT                   0x1
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_RESET_VAL                    _MK_MASK_CONST(0xfffff0ff)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_RESET_MASK                   _MK_MASK_CONST(0xfffff0ff)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_READ_MASK                    _MK_MASK_CONST(0xfffff0ff)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_WRITE_MASK                   _MK_MASK_CONST(0xfffff0ff)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESRD_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESRD_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESRD_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESRD_RANGE                   0:0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESRD_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESRD_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESRD_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESWR_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESWR_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESWR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESWR_RANGE                   1:1
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESWR_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESWR_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESWR_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SESWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPR_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPR_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPR_RANGE                  2:2
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPR_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPR_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPR_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPW_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPW_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPW_RANGE                  3:3
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPW_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPW_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPW_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXIAPW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRR_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRR_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRR_RANGE                    4:4
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRR_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRR_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRR_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRW_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRW_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRW_RANGE                    5:5
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRW_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRW_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_ETRW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSRDB_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSRDB_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSRDB_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSRDB_RANGE                        6:6
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSRDB_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSRDB_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSRDB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSRDB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSRDB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSRDB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSRDB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSRDB_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSRDB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSRDB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSWRB_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSWRB_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSWRB_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSWRB_RANGE                        7:7
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSWRB_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSWRB_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSWRB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSWRB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSWRB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSWRB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSWRB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSWRB_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSWRB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_TSECSWRB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISR_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISR_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISR_RANGE                   12:12
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISR_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISR_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISR_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISW_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISW_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISW_RANGE                   13:13
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISW_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISW_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISW_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AXISW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSR_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSR_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSR_RANGE                   14:14
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSR_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSR_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSR_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSW_SHIFT                   _MK_SHIFT_CONST(15)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSW_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSW_RANGE                   15:15
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSW_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSW_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSW_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_EQOSW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCR_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCR_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCR_RANGE                  16:16
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCR_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCR_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCR_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCW_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCW_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCW_RANGE                  17:17
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCW_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCW_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCW_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_UFSHCW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR_RANGE                      18:18
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR_INIT_ENUM                  ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPR_SHIFT                   _MK_SHIFT_CONST(19)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPR_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPR_RANGE                   19:19
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPR_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPR_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPR_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPW_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPW_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPW_RANGE                   20:20
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPW_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPW_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPW_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAR_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAR_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAR_RANGE                        21:21
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAR_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAR_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAR_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAW_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAW_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAW_RANGE                        22:22
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAW_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAW_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAW_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_BPMPDMAW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONR_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONR_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONR_RANGE                    23:23
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONR_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONR_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONR_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONW_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONW_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONW_RANGE                    24:24
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONW_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONW_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAR_RANGE                 25:25
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAR_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAR_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAR_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAW_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAW_RANGE                 26:26
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAW_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAW_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_AONDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCER_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCER_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCER_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCER_RANGE                    27:27
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCER_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCER_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCER_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEW_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEW_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEW_RANGE                    28:28
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEW_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEW_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAR_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAR_RANGE                 29:29
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAR_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAR_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAR_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAW_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAW_RANGE                 30:30
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAW_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAW_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_SCEDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_APEDMAR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_APEDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_APEDMAR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_APEDMAR_RANGE                 31:31
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_APEDMAR_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_APEDMAR_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_APEDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_APEDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_APEDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_APEDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_APEDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_APEDMAR_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_APEDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4_0_EMC_FILTER_SET1_CLIENT_APEDMAR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_STAT_EMC_FILTER_SET1_CLIENT_5_0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0                      _MK_ADDR_CONST(0xbc8)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_SECURE                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_DUAL                         0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_SCR                  0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_WORD_COUNT                   0x1
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_RESET_VAL                    _MK_MASK_CONST(0xffffc3cf)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_RESET_MASK                   _MK_MASK_CONST(0xffffc3cf)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_READ_MASK                    _MK_MASK_CONST(0xffffc3cf)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_WRITE_MASK                   _MK_MASK_CONST(0xffffc3cf)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_APEDMAW_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_APEDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_APEDMAW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_APEDMAW_RANGE                 0:0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_APEDMAW_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_APEDMAW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_APEDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_APEDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_APEDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_APEDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_APEDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_APEDMAW_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_APEDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_APEDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR1_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR1_FIELD                     _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR1_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR1_RANGE                     1:1
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR1_WOFFSET                   0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR1_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR1_INIT_ENUM                 ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDISPLAYR1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VICSRD1_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VICSRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VICSRD1_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VICSRD1_RANGE                 2:2
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VICSRD1_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VICSRD1_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VICSRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VICSRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VICSRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VICSRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VICSRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VICSRD1_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VICSRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VICSRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDECSRD1_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDECSRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDECSRD1_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDECSRD1_RANGE                       3:3
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDECSRD1_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDECSRD1_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDECSRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDECSRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDECSRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDECSRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDECSRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDECSRD1_INIT_ENUM                   ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDECSRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVDECSRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0R_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0R_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0R_RANGE                   6:6
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0W_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0W_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0W_RANGE                   7:7
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1R_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1R_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1R_RANGE                   8:8
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1W_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1W_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1W_RANGE                   9:9
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2R_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2R_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2R_RANGE                   14:14
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2W_SHIFT                   _MK_SHIFT_CONST(15)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2W_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2W_RANGE                   15:15
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU2W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3R_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3R_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3R_RANGE                   16:16
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3W_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3W_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3W_RANGE                   17:17
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU3W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4R_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4R_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4R_RANGE                   18:18
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4W_SHIFT                   _MK_SHIFT_CONST(19)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4W_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4W_RANGE                   19:19
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_MIU4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUR_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUR_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUR_RANGE                   20:20
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUR_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUR_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUR_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUW_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUW_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUW_RANGE                   21:21
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUW_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUW_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUW_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DPMUW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0R_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0R_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0R_RANGE                   22:22
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0W_SHIFT                   _MK_SHIFT_CONST(23)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0W_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0W_RANGE                   23:23
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1R_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1R_RANGE                   24:24
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1W_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1W_RANGE                   25:25
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2R_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2R_RANGE                   26:26
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2W_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2W_RANGE                   27:27
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_NVL2W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALR_RANGE                  28:28
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALR_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALR_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALR_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALW_RANGE                  29:29
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALW_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALW_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALW_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_VIFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0RDA_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0RDA_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0RDA_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0RDA_RANGE                 30:30
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0RDA_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0RDA_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0RDA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0RDA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0RDA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0RDA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0RDA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0RDA_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0RDA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0RDA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0FALRDB_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0FALRDB_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0FALRDB_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0FALRDB_RANGE                      31:31
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0FALRDB_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0FALRDB_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0FALRDB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0FALRDB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0FALRDB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0FALRDB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0FALRDB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0FALRDB_INIT_ENUM                  ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0FALRDB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5_0_EMC_FILTER_SET1_CLIENT_DLA0FALRDB_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_STAT_EMC_FILTER_SET1_CLIENT_6_0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0                      _MK_ADDR_CONST(0xec8)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_SECURE                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_DUAL                         0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_SCR                  0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_WORD_COUNT                   0x1
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_RESET_VAL                    _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0WRA_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0WRA_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0WRA_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0WRA_RANGE                 0:0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0WRA_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0WRA_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0WRA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0WRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0WRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0WRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0WRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0WRA_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0WRA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0WRA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0FALWRB_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0FALWRB_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0FALWRB_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0FALWRB_RANGE                      1:1
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0FALWRB_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0FALWRB_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0FALWRB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0FALWRB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0FALWRB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0FALWRB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0FALWRB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0FALWRB_INIT_ENUM                  ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0FALWRB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA0FALWRB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1RDA_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1RDA_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1RDA_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1RDA_RANGE                 2:2
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1RDA_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1RDA_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1RDA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1RDA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1RDA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1RDA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1RDA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1RDA_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1RDA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1RDA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALRDB_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALRDB_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALRDB_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALRDB_RANGE                      3:3
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALRDB_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALRDB_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALRDB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALRDB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALRDB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALRDB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALRDB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALRDB_INIT_ENUM                  ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALRDB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALRDB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1WRA_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1WRA_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1WRA_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1WRA_RANGE                 4:4
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1WRA_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1WRA_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1WRA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1WRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1WRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1WRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1WRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1WRA_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1WRA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1WRA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALWRB_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALWRB_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALWRB_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALWRB_RANGE                      5:5
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALWRB_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALWRB_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALWRB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALWRB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALWRB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALWRB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALWRB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALWRB_INIT_ENUM                  ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALWRB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_DLA1FALWRB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDA_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDA_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDA_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDA_RANGE                 6:6
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDA_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDA_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDA_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDB_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDB_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDB_RANGE                 7:7
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDB_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDB_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDB_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDC_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDC_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDC_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDC_RANGE                 8:8
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDC_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDC_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDC_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDC_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDC_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDC_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0RDC_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRA_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRA_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRA_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRA_RANGE                 9:9
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRA_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRA_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRA_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRB_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRB_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRB_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRB_RANGE                 10:10
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRB_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRB_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRB_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRC_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRC_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRC_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRC_RANGE                 11:11
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRC_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRC_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRC_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRC_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRC_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRC_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA0WRC_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDA_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDA_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDA_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDA_RANGE                 12:12
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDA_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDA_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDA_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDB_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDB_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDB_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDB_RANGE                 13:13
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDB_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDB_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDB_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDC_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDC_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDC_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDC_RANGE                 14:14
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDC_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDC_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDC_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDC_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDC_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDC_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1RDC_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRA_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRA_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRA_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRA_RANGE                 15:15
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRA_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRA_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRA_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRB_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRB_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRB_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRB_RANGE                 16:16
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRB_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRB_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRB_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRC_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRC_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRC_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRC_RANGE                 17:17
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRC_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRC_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRC_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRC_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRC_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRC_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PVA1WRC_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCER_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCER_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCER_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCER_RANGE                    18:18
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCER_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCER_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCER_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEW_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEW_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEW_RANGE                    19:19
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEW_WOFFSET                  0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEW_INIT_ENUM                        ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAR_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAR_RANGE                 20:20
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAR_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAR_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAR_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAW_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAW_RANGE                 21:21
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAW_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAW_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_RCEDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD_FIELD                       _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD_RANGE                       22:22
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD_INIT_ENUM                   ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD_DISABLE                     _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD_ENABLE                      _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SWR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SWR_FIELD                       _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SWR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SWR_RANGE                       23:23
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SWR_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SWR_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SWR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SWR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SWR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SWR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SWR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SWR_INIT_ENUM                   ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SWR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_NVENC1SWR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0R_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0R_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0R_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0R_RANGE                  24:24
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0R_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0R_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0R_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0R_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0R_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0R_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0R_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0R_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0R_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0R_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0W_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0W_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0W_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0W_RANGE                  25:25
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0W_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0W_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0W_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0W_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0W_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0W_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0W_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0W_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0W_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE0W_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1R_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1R_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1R_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1R_RANGE                  26:26
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1R_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1R_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1R_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1R_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1R_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1R_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1R_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1R_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1R_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1R_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1W_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1W_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1W_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1W_RANGE                  27:27
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1W_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1W_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1W_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1W_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1W_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1W_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1W_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1W_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1W_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE1W_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AR_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AR_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AR_RANGE                 28:28
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AR_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AR_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AR_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AW_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AW_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AW_RANGE                 29:29
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AW_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AW_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE2AW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3R_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3R_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3R_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3R_RANGE                  30:30
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3R_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3R_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3R_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3R_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3R_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3R_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3R_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3R_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3R_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3R_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3W_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3W_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3W_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3W_RANGE                  31:31
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3W_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3W_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3W_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3W_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3W_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3W_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3W_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3W_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3W_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_6_0_EMC_FILTER_SET1_CLIENT_PCIE3W_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_STAT_EMC_FILTER_SET1_CLIENT_7_0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0                      _MK_ADDR_CONST(0xecc)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_SECURE                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_DUAL                         0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_SCR                  0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_WORD_COUNT                   0x1
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_RESET_VAL                    _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4R_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4R_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4R_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4R_RANGE                  0:0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4R_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4R_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4R_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4R_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4R_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4R_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4R_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4R_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4R_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4R_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4W_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4W_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4W_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4W_RANGE                  1:1
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4W_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4W_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4W_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4W_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4W_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4W_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4W_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4W_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4W_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE4W_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R_RANGE                  2:2
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5W_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5W_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5W_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5W_RANGE                  3:3
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5W_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5W_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5W_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5W_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5W_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5W_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5W_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5W_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5W_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5W_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPFALW_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPFALW_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPFALW_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPFALW_RANGE                 4:4
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPFALW_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPFALW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPFALW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPFALW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPFALW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPFALW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPFALW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPFALW_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPFALW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPFALW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3R_SHIFT                   _MK_SHIFT_CONST(5)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3R_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3R_RANGE                   5:5
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3W_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3W_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3W_RANGE                   6:6
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4R_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4R_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4R_RANGE                   7:7
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4W_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4W_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4W_RANGE                   8:8
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA0RDA1_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA0RDA1_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA0RDA1_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA0RDA1_RANGE                        9:9
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA0RDA1_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA0RDA1_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA0RDA1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA0RDA1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA0RDA1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA0RDA1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA0RDA1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA0RDA1_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA0RDA1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA0RDA1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA1RDA1_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA1RDA1_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA1RDA1_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA1RDA1_RANGE                        10:10
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA1RDA1_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA1RDA1_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA1RDA1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA1RDA1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA1RDA1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA1RDA1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA1RDA1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA1RDA1_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA1RDA1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_DLA1RDA1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDA1_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDA1_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDA1_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDA1_RANGE                        11:11
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDA1_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDA1_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDA1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDA1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDA1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDA1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDA1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDA1_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDA1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDA1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDB1_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDB1_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDB1_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDB1_RANGE                        12:12
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDB1_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDB1_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDB1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDB1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDB1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDB1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDB1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDB1_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDB1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA0RDB1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDA1_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDA1_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDA1_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDA1_RANGE                        13:13
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDA1_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDA1_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDA1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDA1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDA1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDA1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDA1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDA1_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDA1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDA1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDB1_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDB1_FIELD                        _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDB1_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDB1_RANGE                        14:14
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDB1_WOFFSET                      0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDB1_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDB1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDB1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDB1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDB1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDB1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDB1_INIT_ENUM                    ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDB1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PVA1RDB1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R1_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R1_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R1_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R1_RANGE                 15:15
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R1_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R1_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R1_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE5R1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENCSRD1_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENCSRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENCSRD1_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENCSRD1_RANGE                       16:16
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENCSRD1_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENCSRD1_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENCSRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENCSRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENCSRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENCSRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENCSRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENCSRD1_INIT_ENUM                   ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENCSRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENCSRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD1_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD1_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD1_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD1_RANGE                      17:17
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD1_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD1_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD1_INIT_ENUM                  ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVENC1SRD1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPRA1_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPRA1_FIELD                  _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPRA1_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPRA1_RANGE                  18:18
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPRA1_WOFFSET                        0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPRA1_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPRA1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPRA1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPRA1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPRA1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPRA1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPRA1_INIT_ENUM                      ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPRA1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_ISPRA1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE0R1_SHIFT                 _MK_SHIFT_CONST(19)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE0R1_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE0R1_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE0R1_RANGE                 19:19
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE0R1_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE0R1_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE0R1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE0R1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE0R1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE0R1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE0R1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE0R1_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE0R1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_PCIE0R1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL0RHP_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL0RHP_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL0RHP_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL0RHP_RANGE                 20:20
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL0RHP_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL0RHP_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL0RHP_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL0RHP_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL0RHP_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL0RHP_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL0RHP_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL0RHP_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL0RHP_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL0RHP_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL1RHP_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL1RHP_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL1RHP_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL1RHP_RANGE                 21:21
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL1RHP_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL1RHP_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL1RHP_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL1RHP_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL1RHP_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL1RHP_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL1RHP_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL1RHP_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL1RHP_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL1RHP_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL2RHP_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL2RHP_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL2RHP_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL2RHP_RANGE                 22:22
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL2RHP_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL2RHP_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL2RHP_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL2RHP_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL2RHP_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL2RHP_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL2RHP_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL2RHP_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL2RHP_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL2RHP_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3RHP_SHIFT                 _MK_SHIFT_CONST(23)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3RHP_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3RHP_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3RHP_RANGE                 23:23
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3RHP_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3RHP_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3RHP_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3RHP_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3RHP_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3RHP_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3RHP_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3RHP_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3RHP_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL3RHP_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4RHP_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4RHP_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4RHP_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4RHP_RANGE                 24:24
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4RHP_WOFFSET                       0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4RHP_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4RHP_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4RHP_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4RHP_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4RHP_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4RHP_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4RHP_INIT_ENUM                     ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4RHP_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVL4RHP_ENABLE                        _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD_SHIFT                       _MK_SHIFT_CONST(25)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD_FIELD                       _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD_RANGE                       25:25
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD_INIT_ENUM                   ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD_DISABLE                     _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD_ENABLE                      _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD1_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD1_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD1_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD1_RANGE                      26:26
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD1_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD1_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD1_INIT_ENUM                  ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SRD1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SWR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SWR_FIELD                       _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SWR_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SWR_RANGE                       27:27
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SWR_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SWR_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SWR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SWR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SWR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SWR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SWR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SWR_INIT_ENUM                   ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SWR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_NVDEC1SWR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5R_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5R_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5R_RANGE                   28:28
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5W_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5W_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5W_RANGE                   29:29
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6R_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6R_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6R_RANGE                   30:30
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6R_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6R_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6R_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6W_FIELD                   _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6W_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6W_RANGE                   31:31
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6W_WOFFSET                 0x0
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6W_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6W_INIT_ENUM                       ENABLE
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_CLIENT_7_0_EMC_FILTER_SET1_CLIENT_MIU6W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0                 _MK_ADDR_CONST(0xa30)
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_SECURE                  0x0
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_DUAL                    0x0
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_SCR                     0
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_WORD_COUNT                      0x1
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_RESET_VAL                       _MK_MASK_CONST(0x3)
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_RESET_MASK                      _MK_MASK_CONST(0x3)
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_READ_MASK                       _MK_MASK_CONST(0x3)
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_WRITE_MASK                      _MK_MASK_CONST(0x3)
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_BYPASS_REQUESTS_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_BYPASS_REQUESTS_FIELD                       _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_BYPASS_REQUESTS_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_BYPASS_REQUESTS_RANGE                       0:0
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_BYPASS_REQUESTS_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_BYPASS_REQUESTS_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_BYPASS_REQUESTS_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_BYPASS_REQUESTS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_BYPASS_REQUESTS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_BYPASS_REQUESTS_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_BYPASS_REQUESTS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_REQUESTS_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_REQUESTS_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_REQUESTS_SHIFT)
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_REQUESTS_RANGE                      1:1
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_REQUESTS_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_REQUESTS_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_REQUESTS_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_REQUESTS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_REQUESTS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_REQUESTS_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0_EMC_FILTER_SET0_SCF_REQUESTS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0                 _MK_ADDR_CONST(0xa34)
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_SECURE                  0x0
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_DUAL                    0x0
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_SCR                     0
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_WORD_COUNT                      0x1
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_RESET_VAL                       _MK_MASK_CONST(0x3)
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_RESET_MASK                      _MK_MASK_CONST(0x3)
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_READ_MASK                       _MK_MASK_CONST(0x3)
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_WRITE_MASK                      _MK_MASK_CONST(0x3)
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_BYPASS_REQUESTS_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_BYPASS_REQUESTS_FIELD                       _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_BYPASS_REQUESTS_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_BYPASS_REQUESTS_RANGE                       0:0
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_BYPASS_REQUESTS_WOFFSET                     0x0
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_BYPASS_REQUESTS_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_BYPASS_REQUESTS_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_BYPASS_REQUESTS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_BYPASS_REQUESTS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_BYPASS_REQUESTS_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_BYPASS_REQUESTS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_REQUESTS_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_REQUESTS_FIELD                      _MK_FIELD_CONST(0x1, MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_REQUESTS_SHIFT)
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_REQUESTS_RANGE                      1:1
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_REQUESTS_WOFFSET                    0x0
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_REQUESTS_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_REQUESTS_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_REQUESTS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_REQUESTS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_REQUESTS_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0_EMC_FILTER_SET1_SCF_REQUESTS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_SET0_COUNT_0
#define MC_STAT_EMC_SET0_COUNT_0                        _MK_ADDR_CONST(0x138)
#define MC_STAT_EMC_SET0_COUNT_0_SECURE                         0x0
#define MC_STAT_EMC_SET0_COUNT_0_DUAL                   0x0
#define MC_STAT_EMC_SET0_COUNT_0_SCR                    0
#define MC_STAT_EMC_SET0_COUNT_0_WORD_COUNT                     0x1
#define MC_STAT_EMC_SET0_COUNT_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_COUNT_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET0_COUNT_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_COUNT_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_COUNT_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET0_COUNT_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_COUNT_0_EMC_SET0_COUNT_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_SET0_COUNT_0_EMC_SET0_COUNT_FIELD                   _MK_FIELD_CONST(0xffffffff, MC_STAT_EMC_SET0_COUNT_0_EMC_SET0_COUNT_SHIFT)
#define MC_STAT_EMC_SET0_COUNT_0_EMC_SET0_COUNT_RANGE                   31:0
#define MC_STAT_EMC_SET0_COUNT_0_EMC_SET0_COUNT_WOFFSET                 0x0
#define MC_STAT_EMC_SET0_COUNT_0_EMC_SET0_COUNT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_COUNT_0_EMC_SET0_COUNT_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET0_COUNT_0_EMC_SET0_COUNT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_COUNT_0_EMC_SET0_COUNT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_COUNT_0_EMC_SET0_COUNT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_COUNT_0_EMC_SET0_COUNT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_SET0_COUNT_MSBS_0
#define MC_STAT_EMC_SET0_COUNT_MSBS_0                   _MK_ADDR_CONST(0x13c)
#define MC_STAT_EMC_SET0_COUNT_MSBS_0_SECURE                    0x0
#define MC_STAT_EMC_SET0_COUNT_MSBS_0_DUAL                      0x0
#define MC_STAT_EMC_SET0_COUNT_MSBS_0_SCR                       0
#define MC_STAT_EMC_SET0_COUNT_MSBS_0_WORD_COUNT                        0x1
#define MC_STAT_EMC_SET0_COUNT_MSBS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_COUNT_MSBS_0_RESET_MASK                        _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_SET0_COUNT_MSBS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_COUNT_MSBS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_COUNT_MSBS_0_READ_MASK                         _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_SET0_COUNT_MSBS_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_COUNT_MSBS_0_EMC_SET0_COUNT_MSBS_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_SET0_COUNT_MSBS_0_EMC_SET0_COUNT_MSBS_FIELD                 _MK_FIELD_CONST(0xffff, MC_STAT_EMC_SET0_COUNT_MSBS_0_EMC_SET0_COUNT_MSBS_SHIFT)
#define MC_STAT_EMC_SET0_COUNT_MSBS_0_EMC_SET0_COUNT_MSBS_RANGE                 15:0
#define MC_STAT_EMC_SET0_COUNT_MSBS_0_EMC_SET0_COUNT_MSBS_WOFFSET                       0x0
#define MC_STAT_EMC_SET0_COUNT_MSBS_0_EMC_SET0_COUNT_MSBS_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_COUNT_MSBS_0_EMC_SET0_COUNT_MSBS_DEFAULT_MASK                  _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_SET0_COUNT_MSBS_0_EMC_SET0_COUNT_MSBS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_COUNT_MSBS_0_EMC_SET0_COUNT_MSBS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_COUNT_MSBS_0_EMC_SET0_COUNT_MSBS_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_COUNT_MSBS_0_EMC_SET0_COUNT_MSBS_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_SET1_COUNT_0
#define MC_STAT_EMC_SET1_COUNT_0                        _MK_ADDR_CONST(0x178)
#define MC_STAT_EMC_SET1_COUNT_0_SECURE                         0x0
#define MC_STAT_EMC_SET1_COUNT_0_DUAL                   0x0
#define MC_STAT_EMC_SET1_COUNT_0_SCR                    0
#define MC_STAT_EMC_SET1_COUNT_0_WORD_COUNT                     0x1
#define MC_STAT_EMC_SET1_COUNT_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_COUNT_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET1_COUNT_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_COUNT_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_COUNT_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET1_COUNT_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_COUNT_0_EMC_SET1_COUNT_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_SET1_COUNT_0_EMC_SET1_COUNT_FIELD                   _MK_FIELD_CONST(0xffffffff, MC_STAT_EMC_SET1_COUNT_0_EMC_SET1_COUNT_SHIFT)
#define MC_STAT_EMC_SET1_COUNT_0_EMC_SET1_COUNT_RANGE                   31:0
#define MC_STAT_EMC_SET1_COUNT_0_EMC_SET1_COUNT_WOFFSET                 0x0
#define MC_STAT_EMC_SET1_COUNT_0_EMC_SET1_COUNT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_COUNT_0_EMC_SET1_COUNT_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET1_COUNT_0_EMC_SET1_COUNT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_COUNT_0_EMC_SET1_COUNT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_COUNT_0_EMC_SET1_COUNT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_COUNT_0_EMC_SET1_COUNT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_SET1_COUNT_MSBS_0
#define MC_STAT_EMC_SET1_COUNT_MSBS_0                   _MK_ADDR_CONST(0x17c)
#define MC_STAT_EMC_SET1_COUNT_MSBS_0_SECURE                    0x0
#define MC_STAT_EMC_SET1_COUNT_MSBS_0_DUAL                      0x0
#define MC_STAT_EMC_SET1_COUNT_MSBS_0_SCR                       0
#define MC_STAT_EMC_SET1_COUNT_MSBS_0_WORD_COUNT                        0x1
#define MC_STAT_EMC_SET1_COUNT_MSBS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_COUNT_MSBS_0_RESET_MASK                        _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_SET1_COUNT_MSBS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_COUNT_MSBS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_COUNT_MSBS_0_READ_MASK                         _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_SET1_COUNT_MSBS_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_COUNT_MSBS_0_EMC_SET1_COUNT_MSBS_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_SET1_COUNT_MSBS_0_EMC_SET1_COUNT_MSBS_FIELD                 _MK_FIELD_CONST(0xffff, MC_STAT_EMC_SET1_COUNT_MSBS_0_EMC_SET1_COUNT_MSBS_SHIFT)
#define MC_STAT_EMC_SET1_COUNT_MSBS_0_EMC_SET1_COUNT_MSBS_RANGE                 15:0
#define MC_STAT_EMC_SET1_COUNT_MSBS_0_EMC_SET1_COUNT_MSBS_WOFFSET                       0x0
#define MC_STAT_EMC_SET1_COUNT_MSBS_0_EMC_SET1_COUNT_MSBS_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_COUNT_MSBS_0_EMC_SET1_COUNT_MSBS_DEFAULT_MASK                  _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_SET1_COUNT_MSBS_0_EMC_SET1_COUNT_MSBS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_COUNT_MSBS_0_EMC_SET1_COUNT_MSBS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_COUNT_MSBS_0_EMC_SET1_COUNT_MSBS_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_COUNT_MSBS_0_EMC_SET1_COUNT_MSBS_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_SET0_SLACK_ACCUM_0
#define MC_STAT_EMC_SET0_SLACK_ACCUM_0                  _MK_ADDR_CONST(0x140)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_0_SECURE                   0x0
#define MC_STAT_EMC_SET0_SLACK_ACCUM_0_DUAL                     0x0
#define MC_STAT_EMC_SET0_SLACK_ACCUM_0_SCR                      0
#define MC_STAT_EMC_SET0_SLACK_ACCUM_0_WORD_COUNT                       0x1
#define MC_STAT_EMC_SET0_SLACK_ACCUM_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_0_EMC_SET0_SLACK_ACCUM_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_0_EMC_SET0_SLACK_ACCUM_FIELD                       _MK_FIELD_CONST(0xffffffff, MC_STAT_EMC_SET0_SLACK_ACCUM_0_EMC_SET0_SLACK_ACCUM_SHIFT)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_0_EMC_SET0_SLACK_ACCUM_RANGE                       31:0
#define MC_STAT_EMC_SET0_SLACK_ACCUM_0_EMC_SET0_SLACK_ACCUM_WOFFSET                     0x0
#define MC_STAT_EMC_SET0_SLACK_ACCUM_0_EMC_SET0_SLACK_ACCUM_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_0_EMC_SET0_SLACK_ACCUM_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_0_EMC_SET0_SLACK_ACCUM_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_0_EMC_SET0_SLACK_ACCUM_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_0_EMC_SET0_SLACK_ACCUM_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_0_EMC_SET0_SLACK_ACCUM_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0                     _MK_ADDR_CONST(0x144)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0_SECURE                      0x0
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0_DUAL                        0x0
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0_SCR                         0
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0_WORD_COUNT                  0x1
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0_EMC_SET0_SLACK_ACCUM_MSBS_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0_EMC_SET0_SLACK_ACCUM_MSBS_FIELD                     _MK_FIELD_CONST(0xffffffff, MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0_EMC_SET0_SLACK_ACCUM_MSBS_SHIFT)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0_EMC_SET0_SLACK_ACCUM_MSBS_RANGE                     31:0
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0_EMC_SET0_SLACK_ACCUM_MSBS_WOFFSET                   0x0
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0_EMC_SET0_SLACK_ACCUM_MSBS_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0_EMC_SET0_SLACK_ACCUM_MSBS_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0_EMC_SET0_SLACK_ACCUM_MSBS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0_EMC_SET0_SLACK_ACCUM_MSBS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0_EMC_SET0_SLACK_ACCUM_MSBS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0_EMC_SET0_SLACK_ACCUM_MSBS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_SET1_SLACK_ACCUM_0
#define MC_STAT_EMC_SET1_SLACK_ACCUM_0                  _MK_ADDR_CONST(0x180)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_0_SECURE                   0x0
#define MC_STAT_EMC_SET1_SLACK_ACCUM_0_DUAL                     0x0
#define MC_STAT_EMC_SET1_SLACK_ACCUM_0_SCR                      0
#define MC_STAT_EMC_SET1_SLACK_ACCUM_0_WORD_COUNT                       0x1
#define MC_STAT_EMC_SET1_SLACK_ACCUM_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_0_EMC_SET1_SLACK_ACCUM_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_0_EMC_SET1_SLACK_ACCUM_FIELD                       _MK_FIELD_CONST(0xffffffff, MC_STAT_EMC_SET1_SLACK_ACCUM_0_EMC_SET1_SLACK_ACCUM_SHIFT)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_0_EMC_SET1_SLACK_ACCUM_RANGE                       31:0
#define MC_STAT_EMC_SET1_SLACK_ACCUM_0_EMC_SET1_SLACK_ACCUM_WOFFSET                     0x0
#define MC_STAT_EMC_SET1_SLACK_ACCUM_0_EMC_SET1_SLACK_ACCUM_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_0_EMC_SET1_SLACK_ACCUM_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_0_EMC_SET1_SLACK_ACCUM_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_0_EMC_SET1_SLACK_ACCUM_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_0_EMC_SET1_SLACK_ACCUM_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_0_EMC_SET1_SLACK_ACCUM_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0                     _MK_ADDR_CONST(0x184)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0_SECURE                      0x0
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0_DUAL                        0x0
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0_SCR                         0
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0_WORD_COUNT                  0x1
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0_EMC_SET1_SLACK_ACCUM_MSBS_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0_EMC_SET1_SLACK_ACCUM_MSBS_FIELD                     _MK_FIELD_CONST(0xffffffff, MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0_EMC_SET1_SLACK_ACCUM_MSBS_SHIFT)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0_EMC_SET1_SLACK_ACCUM_MSBS_RANGE                     31:0
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0_EMC_SET1_SLACK_ACCUM_MSBS_WOFFSET                   0x0
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0_EMC_SET1_SLACK_ACCUM_MSBS_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0_EMC_SET1_SLACK_ACCUM_MSBS_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0_EMC_SET1_SLACK_ACCUM_MSBS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0_EMC_SET1_SLACK_ACCUM_MSBS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0_EMC_SET1_SLACK_ACCUM_MSBS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0_EMC_SET1_SLACK_ACCUM_MSBS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_SET0_HISTO_COUNT_0
#define MC_STAT_EMC_SET0_HISTO_COUNT_0                  _MK_ADDR_CONST(0x148)
#define MC_STAT_EMC_SET0_HISTO_COUNT_0_SECURE                   0x0
#define MC_STAT_EMC_SET0_HISTO_COUNT_0_DUAL                     0x0
#define MC_STAT_EMC_SET0_HISTO_COUNT_0_SCR                      0
#define MC_STAT_EMC_SET0_HISTO_COUNT_0_WORD_COUNT                       0x1
#define MC_STAT_EMC_SET0_HISTO_COUNT_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_HISTO_COUNT_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET0_HISTO_COUNT_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_HISTO_COUNT_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_HISTO_COUNT_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET0_HISTO_COUNT_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_HISTO_COUNT_0_EMC_SET0_HISTO_COUNT_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_SET0_HISTO_COUNT_0_EMC_SET0_HISTO_COUNT_FIELD                       _MK_FIELD_CONST(0xffffffff, MC_STAT_EMC_SET0_HISTO_COUNT_0_EMC_SET0_HISTO_COUNT_SHIFT)
#define MC_STAT_EMC_SET0_HISTO_COUNT_0_EMC_SET0_HISTO_COUNT_RANGE                       31:0
#define MC_STAT_EMC_SET0_HISTO_COUNT_0_EMC_SET0_HISTO_COUNT_WOFFSET                     0x0
#define MC_STAT_EMC_SET0_HISTO_COUNT_0_EMC_SET0_HISTO_COUNT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_HISTO_COUNT_0_EMC_SET0_HISTO_COUNT_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET0_HISTO_COUNT_0_EMC_SET0_HISTO_COUNT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_HISTO_COUNT_0_EMC_SET0_HISTO_COUNT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_HISTO_COUNT_0_EMC_SET0_HISTO_COUNT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_HISTO_COUNT_0_EMC_SET0_HISTO_COUNT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0                     _MK_ADDR_CONST(0x14c)
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0_SECURE                      0x0
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0_DUAL                        0x0
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0_SCR                         0
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0_WORD_COUNT                  0x1
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0_RESET_MASK                  _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0_READ_MASK                   _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0_EMC_SET0_HISTO_COUNT_MSBS_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0_EMC_SET0_HISTO_COUNT_MSBS_FIELD                     _MK_FIELD_CONST(0xffff, MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0_EMC_SET0_HISTO_COUNT_MSBS_SHIFT)
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0_EMC_SET0_HISTO_COUNT_MSBS_RANGE                     15:0
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0_EMC_SET0_HISTO_COUNT_MSBS_WOFFSET                   0x0
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0_EMC_SET0_HISTO_COUNT_MSBS_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0_EMC_SET0_HISTO_COUNT_MSBS_DEFAULT_MASK                      _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0_EMC_SET0_HISTO_COUNT_MSBS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0_EMC_SET0_HISTO_COUNT_MSBS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0_EMC_SET0_HISTO_COUNT_MSBS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0_EMC_SET0_HISTO_COUNT_MSBS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_SET1_HISTO_COUNT_0
#define MC_STAT_EMC_SET1_HISTO_COUNT_0                  _MK_ADDR_CONST(0x188)
#define MC_STAT_EMC_SET1_HISTO_COUNT_0_SECURE                   0x0
#define MC_STAT_EMC_SET1_HISTO_COUNT_0_DUAL                     0x0
#define MC_STAT_EMC_SET1_HISTO_COUNT_0_SCR                      0
#define MC_STAT_EMC_SET1_HISTO_COUNT_0_WORD_COUNT                       0x1
#define MC_STAT_EMC_SET1_HISTO_COUNT_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_HISTO_COUNT_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET1_HISTO_COUNT_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_HISTO_COUNT_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_HISTO_COUNT_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET1_HISTO_COUNT_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_HISTO_COUNT_0_EMC_SET1_HISTO_COUNT_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_SET1_HISTO_COUNT_0_EMC_SET1_HISTO_COUNT_FIELD                       _MK_FIELD_CONST(0xffffffff, MC_STAT_EMC_SET1_HISTO_COUNT_0_EMC_SET1_HISTO_COUNT_SHIFT)
#define MC_STAT_EMC_SET1_HISTO_COUNT_0_EMC_SET1_HISTO_COUNT_RANGE                       31:0
#define MC_STAT_EMC_SET1_HISTO_COUNT_0_EMC_SET1_HISTO_COUNT_WOFFSET                     0x0
#define MC_STAT_EMC_SET1_HISTO_COUNT_0_EMC_SET1_HISTO_COUNT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_HISTO_COUNT_0_EMC_SET1_HISTO_COUNT_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET1_HISTO_COUNT_0_EMC_SET1_HISTO_COUNT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_HISTO_COUNT_0_EMC_SET1_HISTO_COUNT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_HISTO_COUNT_0_EMC_SET1_HISTO_COUNT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_HISTO_COUNT_0_EMC_SET1_HISTO_COUNT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0                     _MK_ADDR_CONST(0x18c)
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0_SECURE                      0x0
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0_DUAL                        0x0
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0_SCR                         0
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0_WORD_COUNT                  0x1
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0_RESET_MASK                  _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0_READ_MASK                   _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0_EMC_SET1_HISTO_COUNT_MSBS_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0_EMC_SET1_HISTO_COUNT_MSBS_FIELD                     _MK_FIELD_CONST(0xffff, MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0_EMC_SET1_HISTO_COUNT_MSBS_SHIFT)
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0_EMC_SET1_HISTO_COUNT_MSBS_RANGE                     15:0
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0_EMC_SET1_HISTO_COUNT_MSBS_WOFFSET                   0x0
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0_EMC_SET1_HISTO_COUNT_MSBS_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0_EMC_SET1_HISTO_COUNT_MSBS_DEFAULT_MASK                      _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0_EMC_SET1_HISTO_COUNT_MSBS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0_EMC_SET1_HISTO_COUNT_MSBS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0_EMC_SET1_HISTO_COUNT_MSBS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0_EMC_SET1_HISTO_COUNT_MSBS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0                       _MK_ADDR_CONST(0x150)
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0_SECURE                        0x0
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0_DUAL                  0x0
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0_SCR                   0
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0_WORD_COUNT                    0x1
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0_RESET_VAL                     _MK_MASK_CONST(0x7fff)
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0_EMC_SET0_MINIMUM_SLACK_OBSERVED_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0_EMC_SET0_MINIMUM_SLACK_OBSERVED_FIELD                 _MK_FIELD_CONST(0xffffffff, MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0_EMC_SET0_MINIMUM_SLACK_OBSERVED_SHIFT)
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0_EMC_SET0_MINIMUM_SLACK_OBSERVED_RANGE                 31:0
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0_EMC_SET0_MINIMUM_SLACK_OBSERVED_WOFFSET                       0x0
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0_EMC_SET0_MINIMUM_SLACK_OBSERVED_DEFAULT                       _MK_MASK_CONST(0x7fff)
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0_EMC_SET0_MINIMUM_SLACK_OBSERVED_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0_EMC_SET0_MINIMUM_SLACK_OBSERVED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0_EMC_SET0_MINIMUM_SLACK_OBSERVED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0_EMC_SET0_MINIMUM_SLACK_OBSERVED_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0_EMC_SET0_MINIMUM_SLACK_OBSERVED_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0                       _MK_ADDR_CONST(0x190)
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0_SECURE                        0x0
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0_DUAL                  0x0
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0_SCR                   0
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0_WORD_COUNT                    0x1
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0_RESET_VAL                     _MK_MASK_CONST(0x7fff)
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0_EMC_SET1_MINIMUM_SLACK_OBSERVED_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0_EMC_SET1_MINIMUM_SLACK_OBSERVED_FIELD                 _MK_FIELD_CONST(0xffffffff, MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0_EMC_SET1_MINIMUM_SLACK_OBSERVED_SHIFT)
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0_EMC_SET1_MINIMUM_SLACK_OBSERVED_RANGE                 31:0
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0_EMC_SET1_MINIMUM_SLACK_OBSERVED_WOFFSET                       0x0
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0_EMC_SET1_MINIMUM_SLACK_OBSERVED_DEFAULT                       _MK_MASK_CONST(0x7fff)
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0_EMC_SET1_MINIMUM_SLACK_OBSERVED_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0_EMC_SET1_MINIMUM_SLACK_OBSERVED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0_EMC_SET1_MINIMUM_SLACK_OBSERVED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0_EMC_SET1_MINIMUM_SLACK_OBSERVED_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0_EMC_SET1_MINIMUM_SLACK_OBSERVED_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0                     _MK_ADDR_CONST(0x1b8)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0_SECURE                      0x0
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0_DUAL                        0x0
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0_SCR                         0
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0_WORD_COUNT                  0x1
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0_EMC_SET0_IDLE_CYCLE_COUNT_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0_EMC_SET0_IDLE_CYCLE_COUNT_FIELD                     _MK_FIELD_CONST(0xffffffff, MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0_EMC_SET0_IDLE_CYCLE_COUNT_SHIFT)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0_EMC_SET0_IDLE_CYCLE_COUNT_RANGE                     31:0
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0_EMC_SET0_IDLE_CYCLE_COUNT_WOFFSET                   0x0
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0_EMC_SET0_IDLE_CYCLE_COUNT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0_EMC_SET0_IDLE_CYCLE_COUNT_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0_EMC_SET0_IDLE_CYCLE_COUNT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0_EMC_SET0_IDLE_CYCLE_COUNT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0_EMC_SET0_IDLE_CYCLE_COUNT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0_EMC_SET0_IDLE_CYCLE_COUNT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0                 _MK_ADDR_CONST(0x1bc)
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0_SECURE                  0x0
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0_DUAL                    0x0
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0_SCR                     0
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0_WORD_COUNT                      0x1
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0_RESET_MASK                      _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0_READ_MASK                       _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0_EMC_SET0_IDLE_CYCLE_COUNT_MSBS_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0_EMC_SET0_IDLE_CYCLE_COUNT_MSBS_FIELD                    _MK_FIELD_CONST(0xffff, MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0_EMC_SET0_IDLE_CYCLE_COUNT_MSBS_SHIFT)
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0_EMC_SET0_IDLE_CYCLE_COUNT_MSBS_RANGE                    15:0
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0_EMC_SET0_IDLE_CYCLE_COUNT_MSBS_WOFFSET                  0x0
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0_EMC_SET0_IDLE_CYCLE_COUNT_MSBS_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0_EMC_SET0_IDLE_CYCLE_COUNT_MSBS_DEFAULT_MASK                     _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0_EMC_SET0_IDLE_CYCLE_COUNT_MSBS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0_EMC_SET0_IDLE_CYCLE_COUNT_MSBS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0_EMC_SET0_IDLE_CYCLE_COUNT_MSBS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0_EMC_SET0_IDLE_CYCLE_COUNT_MSBS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0                     _MK_ADDR_CONST(0x1c8)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0_SECURE                      0x0
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0_DUAL                        0x0
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0_SCR                         0
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0_WORD_COUNT                  0x1
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0_EMC_SET1_IDLE_CYCLE_COUNT_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0_EMC_SET1_IDLE_CYCLE_COUNT_FIELD                     _MK_FIELD_CONST(0xffffffff, MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0_EMC_SET1_IDLE_CYCLE_COUNT_SHIFT)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0_EMC_SET1_IDLE_CYCLE_COUNT_RANGE                     31:0
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0_EMC_SET1_IDLE_CYCLE_COUNT_WOFFSET                   0x0
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0_EMC_SET1_IDLE_CYCLE_COUNT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0_EMC_SET1_IDLE_CYCLE_COUNT_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0_EMC_SET1_IDLE_CYCLE_COUNT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0_EMC_SET1_IDLE_CYCLE_COUNT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0_EMC_SET1_IDLE_CYCLE_COUNT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0_EMC_SET1_IDLE_CYCLE_COUNT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0                 _MK_ADDR_CONST(0x1cc)
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0_SECURE                  0x0
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0_DUAL                    0x0
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0_SCR                     0
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0_WORD_COUNT                      0x1
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0_RESET_MASK                      _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0_READ_MASK                       _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0_EMC_SET1_IDLE_CYCLE_COUNT_MSBS_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0_EMC_SET1_IDLE_CYCLE_COUNT_MSBS_FIELD                    _MK_FIELD_CONST(0xffff, MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0_EMC_SET1_IDLE_CYCLE_COUNT_MSBS_SHIFT)
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0_EMC_SET1_IDLE_CYCLE_COUNT_MSBS_RANGE                    15:0
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0_EMC_SET1_IDLE_CYCLE_COUNT_MSBS_WOFFSET                  0x0
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0_EMC_SET1_IDLE_CYCLE_COUNT_MSBS_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0_EMC_SET1_IDLE_CYCLE_COUNT_MSBS_DEFAULT_MASK                     _MK_MASK_CONST(0xffff)
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0_EMC_SET1_IDLE_CYCLE_COUNT_MSBS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0_EMC_SET1_IDLE_CYCLE_COUNT_MSBS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0_EMC_SET1_IDLE_CYCLE_COUNT_MSBS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0_EMC_SET1_IDLE_CYCLE_COUNT_MSBS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0                  _MK_ADDR_CONST(0x1c0)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_SECURE                   0x0
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_DUAL                     0x0
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_SCR                      0
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_WORD_COUNT                       0x1
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_RESET_VAL                        _MK_MASK_CONST(0x30)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_RESET_MASK                       _MK_MASK_CONST(0x7f33)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x30)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x7f33)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_READ_MASK                        _MK_MASK_CONST(0x7f33)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_WRITE_MASK                       _MK_MASK_CONST(0x7f33)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_COUNT_MODE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_COUNT_MODE_FIELD                     _MK_FIELD_CONST(0x1, MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_COUNT_MODE_SHIFT)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_COUNT_MODE_RANGE                     0:0
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_COUNT_MODE_WOFFSET                   0x0
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_COUNT_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_COUNT_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_COUNT_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_COUNT_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_COUNT_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_COUNT_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_COUNT_MODE_INIT_ENUM                 THIS_MC
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_COUNT_MODE_THIS_MC                   _MK_ENUM_CONST(0)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_COUNT_MODE_PARTITION                 _MK_ENUM_CONST(1)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_COUNT_MODE__PROD                     _MK_MASK_CONST(0x0)

#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_IDLE_SELECT_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_IDLE_SELECT_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_IDLE_SELECT_SHIFT)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_IDLE_SELECT_RANGE                    1:1
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_IDLE_SELECT_WOFFSET                  0x0
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_IDLE_SELECT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_IDLE_SELECT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_IDLE_SELECT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_IDLE_SELECT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_IDLE_SELECT_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_IDLE_SELECT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_IDLE_SELECT_INIT_ENUM                        IDLE
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_IDLE_SELECT_IDLE                     _MK_ENUM_CONST(0)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_IDLE_SELECT_IDLE_PD                  _MK_ENUM_CONST(1)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_IDLE_SELECT__PROD                    _MK_MASK_CONST(0x0)

#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_DEVICE_MASK_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_DEVICE_MASK_FIELD                    _MK_FIELD_CONST(0x3, MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_DEVICE_MASK_SHIFT)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_DEVICE_MASK_RANGE                    5:4
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_DEVICE_MASK_WOFFSET                  0x0
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_DEVICE_MASK_DEFAULT                  _MK_MASK_CONST(0x3)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_DEVICE_MASK_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_DEVICE_MASK_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_DEVICE_MASK_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_DEVICE_MASK_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_DEVICE_MASK_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_DEVICE_MASK__PROD                    _MK_MASK_CONST(0x3)

#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_FIELD                       _MK_FIELD_CONST(0x7f, MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_SHIFT)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_RANGE                       14:8
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_WOFFSET                     0x0
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x7f)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_APB                 _MK_ENUM_CONST(2)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_DIS                 _MK_ENUM_CONST(4)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_FTOP                        _MK_ENUM_CONST(8)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_SAX                 _MK_ENUM_CONST(9)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_VE                  _MK_ENUM_CONST(15)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_USBX                        _MK_ENUM_CONST(17)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_MSE                 _MK_ENUM_CONST(19)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_SD                  _MK_ENUM_CONST(23)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_ISP                 _MK_ENUM_CONST(24)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_AUD                 _MK_ENUM_CONST(26)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_HOST                        _MK_ENUM_CONST(27)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_USBD                        _MK_ENUM_CONST(28)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_VICPC                       _MK_ENUM_CONST(29)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_NVD                 _MK_ENUM_CONST(32)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_JPG                 _MK_ENUM_CONST(33)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_SDM                 _MK_ENUM_CONST(35)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_HDAPC                       _MK_ENUM_CONST(36)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_NIC                 _MK_ENUM_CONST(39)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_UFSHCPC                     _MK_ENUM_CONST(40)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_EQOSPC                      _MK_ENUM_CONST(41)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_BPMPPC                      _MK_ENUM_CONST(42)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_AONPC                       _MK_ENUM_CONST(44)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_SCEPC                       _MK_ENUM_CONST(46)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_VICPC2                      _MK_ENUM_CONST(49)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_VICPC3                      _MK_ENUM_CONST(50)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_DIS2                        _MK_ENUM_CONST(51)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_NVD2                        _MK_ENUM_CONST(52)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_NVD3                        _MK_ENUM_CONST(53)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_MSE2                        _MK_ENUM_CONST(54)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_DLA0XA                      _MK_ENUM_CONST(56)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_DLA1XA                      _MK_ENUM_CONST(57)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PVA0XA                      _MK_ENUM_CONST(58)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PVA1XA                      _MK_ENUM_CONST(59)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_RCEPC                       _MK_ENUM_CONST(60)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_MSE3                        _MK_ENUM_CONST(62)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_DLA0FALPC                   _MK_ENUM_CONST(67)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_DLA1FALPC                   _MK_ENUM_CONST(68)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PCIE0X                      _MK_ENUM_CONST(69)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PCIE1X                      _MK_ENUM_CONST(70)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PCIE4X                      _MK_ENUM_CONST(73)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PCIE5X                      _MK_ENUM_CONST(74)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_DLA0XA3                     _MK_ENUM_CONST(76)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_DLA1XA3                     _MK_ENUM_CONST(77)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PCIE0XA                     _MK_ENUM_CONST(78)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PCIE1XA                     _MK_ENUM_CONST(79)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PCIE4XA                     _MK_ENUM_CONST(82)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PCIE5XA                     _MK_ENUM_CONST(83)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PVA0XA3                     _MK_ENUM_CONST(84)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PVA0XB                      _MK_ENUM_CONST(85)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PVA0XB3                     _MK_ENUM_CONST(86)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PVA0XC                      _MK_ENUM_CONST(87)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PVA1XA3                     _MK_ENUM_CONST(88)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PVA1XB                      _MK_ENUM_CONST(89)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PVA1XB3                     _MK_ENUM_CONST(90)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PVA1XC                      _MK_ENUM_CONST(91)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_DLA0XA2                     _MK_ENUM_CONST(92)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_DLA1XA2                     _MK_ENUM_CONST(93)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PVA0XA2                     _MK_ENUM_CONST(94)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PVA0XB2                     _MK_ENUM_CONST(95)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PVA1XA2                     _MK_ENUM_CONST(96)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PVA1XB2                     _MK_ENUM_CONST(97)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PCIE5X2                     _MK_ENUM_CONST(98)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_UFSHCPC2                    _MK_ENUM_CONST(99)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_USBX2                       _MK_ENUM_CONST(100)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_USBD2                       _MK_ENUM_CONST(101)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_MSEA                        _MK_ENUM_CONST(102)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_MSEB                        _MK_ENUM_CONST(103)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_MSEB1                       _MK_ENUM_CONST(104)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_ISPPC                       _MK_ENUM_CONST(105)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_ISP2PC                      _MK_ENUM_CONST(106)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_PCIE0X2                     _MK_ENUM_CONST(107)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_NVD4                        _MK_ENUM_CONST(108)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_NVD5                        _MK_ENUM_CONST(109)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_NVD6                        _MK_ENUM_CONST(110)
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT__PROD                       _MK_MASK_CONST(0x0)


// Register MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0                  _MK_ADDR_CONST(0x1d0)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_SECURE                   0x0
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_DUAL                     0x0
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_SCR                      0
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_WORD_COUNT                       0x1
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_RESET_VAL                        _MK_MASK_CONST(0x30)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_RESET_MASK                       _MK_MASK_CONST(0x7f33)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x30)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x7f33)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_READ_MASK                        _MK_MASK_CONST(0x7f33)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_WRITE_MASK                       _MK_MASK_CONST(0x7f33)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_COUNT_MODE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_COUNT_MODE_FIELD                     _MK_FIELD_CONST(0x1, MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_COUNT_MODE_SHIFT)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_COUNT_MODE_RANGE                     0:0
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_COUNT_MODE_WOFFSET                   0x0
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_COUNT_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_COUNT_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_COUNT_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_COUNT_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_COUNT_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_COUNT_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_COUNT_MODE_INIT_ENUM                 THIS_MC
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_COUNT_MODE_THIS_MC                   _MK_ENUM_CONST(0)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_COUNT_MODE_PARTITION                 _MK_ENUM_CONST(1)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_COUNT_MODE__PROD                     _MK_MASK_CONST(0x0)

#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_IDLE_SELECT_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_IDLE_SELECT_FIELD                    _MK_FIELD_CONST(0x1, MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_IDLE_SELECT_SHIFT)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_IDLE_SELECT_RANGE                    1:1
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_IDLE_SELECT_WOFFSET                  0x0
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_IDLE_SELECT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_IDLE_SELECT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_IDLE_SELECT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_IDLE_SELECT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_IDLE_SELECT_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_IDLE_SELECT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_IDLE_SELECT_INIT_ENUM                        IDLE
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_IDLE_SELECT_IDLE                     _MK_ENUM_CONST(0)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_IDLE_SELECT_IDLE_PD                  _MK_ENUM_CONST(1)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_IDLE_SELECT__PROD                    _MK_MASK_CONST(0x0)

#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_DEVICE_MASK_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_DEVICE_MASK_FIELD                    _MK_FIELD_CONST(0x3, MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_DEVICE_MASK_SHIFT)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_DEVICE_MASK_RANGE                    5:4
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_DEVICE_MASK_WOFFSET                  0x0
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_DEVICE_MASK_DEFAULT                  _MK_MASK_CONST(0x3)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_DEVICE_MASK_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_DEVICE_MASK_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_DEVICE_MASK_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_DEVICE_MASK_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_DEVICE_MASK_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_DEVICE_MASK__PROD                    _MK_MASK_CONST(0x3)

#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_FIELD                       _MK_FIELD_CONST(0x7f, MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_SHIFT)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_RANGE                       14:8
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_WOFFSET                     0x0
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x7f)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_APB                 _MK_ENUM_CONST(2)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_DIS                 _MK_ENUM_CONST(4)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_FTOP                        _MK_ENUM_CONST(8)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_SAX                 _MK_ENUM_CONST(9)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_VE                  _MK_ENUM_CONST(15)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_USBX                        _MK_ENUM_CONST(17)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_MSE                 _MK_ENUM_CONST(19)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_SD                  _MK_ENUM_CONST(23)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_ISP                 _MK_ENUM_CONST(24)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_AUD                 _MK_ENUM_CONST(26)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_HOST                        _MK_ENUM_CONST(27)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_USBD                        _MK_ENUM_CONST(28)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_VICPC                       _MK_ENUM_CONST(29)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_NVD                 _MK_ENUM_CONST(32)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_JPG                 _MK_ENUM_CONST(33)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_SDM                 _MK_ENUM_CONST(35)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_HDAPC                       _MK_ENUM_CONST(36)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_NIC                 _MK_ENUM_CONST(39)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_UFSHCPC                     _MK_ENUM_CONST(40)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_EQOSPC                      _MK_ENUM_CONST(41)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_BPMPPC                      _MK_ENUM_CONST(42)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_AONPC                       _MK_ENUM_CONST(44)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_SCEPC                       _MK_ENUM_CONST(46)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_VICPC2                      _MK_ENUM_CONST(49)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_VICPC3                      _MK_ENUM_CONST(50)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_DIS2                        _MK_ENUM_CONST(51)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_NVD2                        _MK_ENUM_CONST(52)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_NVD3                        _MK_ENUM_CONST(53)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_MSE2                        _MK_ENUM_CONST(54)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_DLA0XA                      _MK_ENUM_CONST(56)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_DLA1XA                      _MK_ENUM_CONST(57)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PVA0XA                      _MK_ENUM_CONST(58)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PVA1XA                      _MK_ENUM_CONST(59)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_RCEPC                       _MK_ENUM_CONST(60)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_MSE3                        _MK_ENUM_CONST(62)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_DLA0FALPC                   _MK_ENUM_CONST(67)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_DLA1FALPC                   _MK_ENUM_CONST(68)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PCIE0X                      _MK_ENUM_CONST(69)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PCIE1X                      _MK_ENUM_CONST(70)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PCIE4X                      _MK_ENUM_CONST(73)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PCIE5X                      _MK_ENUM_CONST(74)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_DLA0XA3                     _MK_ENUM_CONST(76)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_DLA1XA3                     _MK_ENUM_CONST(77)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PCIE0XA                     _MK_ENUM_CONST(78)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PCIE1XA                     _MK_ENUM_CONST(79)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PCIE4XA                     _MK_ENUM_CONST(82)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PCIE5XA                     _MK_ENUM_CONST(83)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PVA0XA3                     _MK_ENUM_CONST(84)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PVA0XB                      _MK_ENUM_CONST(85)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PVA0XB3                     _MK_ENUM_CONST(86)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PVA0XC                      _MK_ENUM_CONST(87)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PVA1XA3                     _MK_ENUM_CONST(88)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PVA1XB                      _MK_ENUM_CONST(89)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PVA1XB3                     _MK_ENUM_CONST(90)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PVA1XC                      _MK_ENUM_CONST(91)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_DLA0XA2                     _MK_ENUM_CONST(92)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_DLA1XA2                     _MK_ENUM_CONST(93)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PVA0XA2                     _MK_ENUM_CONST(94)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PVA0XB2                     _MK_ENUM_CONST(95)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PVA1XA2                     _MK_ENUM_CONST(96)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PVA1XB2                     _MK_ENUM_CONST(97)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PCIE5X2                     _MK_ENUM_CONST(98)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_UFSHCPC2                    _MK_ENUM_CONST(99)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_USBX2                       _MK_ENUM_CONST(100)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_USBD2                       _MK_ENUM_CONST(101)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_MSEA                        _MK_ENUM_CONST(102)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_MSEB                        _MK_ENUM_CONST(103)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_MSEB1                       _MK_ENUM_CONST(104)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_ISPPC                       _MK_ENUM_CONST(105)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_ISP2PC                      _MK_ENUM_CONST(106)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_PCIE0X2                     _MK_ENUM_CONST(107)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_NVD4                        _MK_ENUM_CONST(108)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_NVD5                        _MK_ENUM_CONST(109)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_NVD6                        _MK_ENUM_CONST(110)
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT__PROD                       _MK_MASK_CONST(0x0)


// Register MC_STAT_WCAM_READ_MERGE_0
#define MC_STAT_WCAM_READ_MERGE_0                       _MK_ADDR_CONST(0x1180)
#define MC_STAT_WCAM_READ_MERGE_0_SECURE                        0x0
#define MC_STAT_WCAM_READ_MERGE_0_DUAL                  0x0
#define MC_STAT_WCAM_READ_MERGE_0_SCR                   0
#define MC_STAT_WCAM_READ_MERGE_0_WORD_COUNT                    0x1
#define MC_STAT_WCAM_READ_MERGE_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_STAT_WCAM_READ_MERGE_0_RESET_MASK                    _MK_MASK_CONST(0x8000ffff)
#define MC_STAT_WCAM_READ_MERGE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_STAT_WCAM_READ_MERGE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_WCAM_READ_MERGE_0_READ_MASK                     _MK_MASK_CONST(0x8000ffff)
#define MC_STAT_WCAM_READ_MERGE_0_WRITE_MASK                    _MK_MASK_CONST(0x80000000)
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_FIELD                       _MK_FIELD_CONST(0xffff, MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_SHIFT)
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_RANGE                       15:0
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_WOFFSET                     0x0
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_DEFAULT_MASK                        _MK_MASK_CONST(0xffff)
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_RESET_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_RESET_FIELD                 _MK_FIELD_CONST(0x1, MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_RESET_SHIFT)
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_RESET_RANGE                 31:31
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_RESET_WOFFSET                       0x0
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_RESET_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_RESET_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_RESET_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_RESET_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_RESET_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_RESET_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_RESET_INIT_ENUM                     DISABLE
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_RESET_DISABLE                       _MK_ENUM_CONST(0)
#define MC_STAT_WCAM_READ_MERGE_0_QUAL_ENGINE_WCAM_READ_MERGE_COUNT_RESET_TRIGGER                       _MK_ENUM_CONST(1)


// Register MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0                     _MK_ADDR_CONST(0x1ec)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_SECURE                      0x0
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_DUAL                        0x0
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_SCR                         0
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_WORD_COUNT                  0x1
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_RESET_VAL                   _MK_MASK_CONST(0x80000000)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_RESET_MASK                  _MK_MASK_CONST(0x8000ffff)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x80000000)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x8000ffff)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_READ_MASK                   _MK_MASK_CONST(0x8000ffff)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_WRITE_MASK                  _MK_MASK_CONST(0x8000ffff)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID0_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID0_FIELD                       _MK_FIELD_CONST(0xff, MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID0_SHIFT)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID0_RANGE                       7:0
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID0_WOFFSET                     0x0
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID0_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID0_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID0_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID0_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID0_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID0__PROD                       _MK_MASK_CONST(0x0)

#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID1_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID1_FIELD                       _MK_FIELD_CONST(0xff, MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID1_SHIFT)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID1_RANGE                       15:8
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID1_WOFFSET                     0x0
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID1_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID1_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_CGID1__PROD                       _MK_MASK_CONST(0x0)

#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_ALL_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_ALL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_ALL_SHIFT)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_ALL_RANGE                 31:31
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_ALL_WOFFSET                       0x0
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_ALL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_ALL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_ALL_SW_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_ALL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_ALL_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_ALL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0_TLB_COUNT_ALL__PROD                 _MK_MASK_CONST(0x1)


// Register MC_SMMU_STATS_TLB_HIT_COUNT_0
#define MC_SMMU_STATS_TLB_HIT_COUNT_0                   _MK_ADDR_CONST(0x1f0)
#define MC_SMMU_STATS_TLB_HIT_COUNT_0_SECURE                    0x0
#define MC_SMMU_STATS_TLB_HIT_COUNT_0_DUAL                      0x0
#define MC_SMMU_STATS_TLB_HIT_COUNT_0_SCR                       0
#define MC_SMMU_STATS_TLB_HIT_COUNT_0_WORD_COUNT                        0x1
#define MC_SMMU_STATS_TLB_HIT_COUNT_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_HIT_COUNT_0_RESET_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_HIT_COUNT_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_HIT_COUNT_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_HIT_COUNT_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_STATS_TLB_HIT_COUNT_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_HIT_COUNT_0_TLB_HIT_CNT_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SMMU_STATS_TLB_HIT_COUNT_0_TLB_HIT_CNT_FIELD                 _MK_FIELD_CONST(0xffffffff, MC_SMMU_STATS_TLB_HIT_COUNT_0_TLB_HIT_CNT_SHIFT)
#define MC_SMMU_STATS_TLB_HIT_COUNT_0_TLB_HIT_CNT_RANGE                 31:0
#define MC_SMMU_STATS_TLB_HIT_COUNT_0_TLB_HIT_CNT_WOFFSET                       0x0
#define MC_SMMU_STATS_TLB_HIT_COUNT_0_TLB_HIT_CNT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_HIT_COUNT_0_TLB_HIT_CNT_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_HIT_COUNT_0_TLB_HIT_CNT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_HIT_COUNT_0_TLB_HIT_CNT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_HIT_COUNT_0_TLB_HIT_CNT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_HIT_COUNT_0_TLB_HIT_CNT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SMMU_STATS_TLB_MISS_COUNT_0
#define MC_SMMU_STATS_TLB_MISS_COUNT_0                  _MK_ADDR_CONST(0x1f4)
#define MC_SMMU_STATS_TLB_MISS_COUNT_0_SECURE                   0x0
#define MC_SMMU_STATS_TLB_MISS_COUNT_0_DUAL                     0x0
#define MC_SMMU_STATS_TLB_MISS_COUNT_0_SCR                      0
#define MC_SMMU_STATS_TLB_MISS_COUNT_0_WORD_COUNT                       0x1
#define MC_SMMU_STATS_TLB_MISS_COUNT_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_MISS_COUNT_0_RESET_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_MISS_COUNT_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_MISS_COUNT_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_MISS_COUNT_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_STATS_TLB_MISS_COUNT_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_MISS_COUNT_0_TLB_MISS_CNT_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SMMU_STATS_TLB_MISS_COUNT_0_TLB_MISS_CNT_FIELD                       _MK_FIELD_CONST(0xffffffff, MC_SMMU_STATS_TLB_MISS_COUNT_0_TLB_MISS_CNT_SHIFT)
#define MC_SMMU_STATS_TLB_MISS_COUNT_0_TLB_MISS_CNT_RANGE                       31:0
#define MC_SMMU_STATS_TLB_MISS_COUNT_0_TLB_MISS_CNT_WOFFSET                     0x0
#define MC_SMMU_STATS_TLB_MISS_COUNT_0_TLB_MISS_CNT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_MISS_COUNT_0_TLB_MISS_CNT_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_MISS_COUNT_0_TLB_MISS_CNT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_MISS_COUNT_0_TLB_MISS_CNT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_MISS_COUNT_0_TLB_MISS_CNT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_TLB_MISS_COUNT_0_TLB_MISS_CNT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SMMU_STATS_PTC_HIT_COUNT_0
#define MC_SMMU_STATS_PTC_HIT_COUNT_0                   _MK_ADDR_CONST(0x1f8)
#define MC_SMMU_STATS_PTC_HIT_COUNT_0_SECURE                    0x0
#define MC_SMMU_STATS_PTC_HIT_COUNT_0_DUAL                      0x0
#define MC_SMMU_STATS_PTC_HIT_COUNT_0_SCR                       0
#define MC_SMMU_STATS_PTC_HIT_COUNT_0_WORD_COUNT                        0x1
#define MC_SMMU_STATS_PTC_HIT_COUNT_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC_HIT_COUNT_0_RESET_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC_HIT_COUNT_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC_HIT_COUNT_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC_HIT_COUNT_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_STATS_PTC_HIT_COUNT_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC_HIT_COUNT_0_PTC_HIT_CNT_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SMMU_STATS_PTC_HIT_COUNT_0_PTC_HIT_CNT_FIELD                 _MK_FIELD_CONST(0xffffffff, MC_SMMU_STATS_PTC_HIT_COUNT_0_PTC_HIT_CNT_SHIFT)
#define MC_SMMU_STATS_PTC_HIT_COUNT_0_PTC_HIT_CNT_RANGE                 31:0
#define MC_SMMU_STATS_PTC_HIT_COUNT_0_PTC_HIT_CNT_WOFFSET                       0x0
#define MC_SMMU_STATS_PTC_HIT_COUNT_0_PTC_HIT_CNT_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC_HIT_COUNT_0_PTC_HIT_CNT_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC_HIT_COUNT_0_PTC_HIT_CNT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC_HIT_COUNT_0_PTC_HIT_CNT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC_HIT_COUNT_0_PTC_HIT_CNT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC_HIT_COUNT_0_PTC_HIT_CNT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SMMU_STATS_PTC_MISS_COUNT_0
#define MC_SMMU_STATS_PTC_MISS_COUNT_0                  _MK_ADDR_CONST(0x1fc)
#define MC_SMMU_STATS_PTC_MISS_COUNT_0_SECURE                   0x0
#define MC_SMMU_STATS_PTC_MISS_COUNT_0_DUAL                     0x0
#define MC_SMMU_STATS_PTC_MISS_COUNT_0_SCR                      0
#define MC_SMMU_STATS_PTC_MISS_COUNT_0_WORD_COUNT                       0x1
#define MC_SMMU_STATS_PTC_MISS_COUNT_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC_MISS_COUNT_0_RESET_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC_MISS_COUNT_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC_MISS_COUNT_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC_MISS_COUNT_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_STATS_PTC_MISS_COUNT_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC_MISS_COUNT_0_PTC_MISS_CNT_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SMMU_STATS_PTC_MISS_COUNT_0_PTC_MISS_CNT_FIELD                       _MK_FIELD_CONST(0xffffffff, MC_SMMU_STATS_PTC_MISS_COUNT_0_PTC_MISS_CNT_SHIFT)
#define MC_SMMU_STATS_PTC_MISS_COUNT_0_PTC_MISS_CNT_RANGE                       31:0
#define MC_SMMU_STATS_PTC_MISS_COUNT_0_PTC_MISS_CNT_WOFFSET                     0x0
#define MC_SMMU_STATS_PTC_MISS_COUNT_0_PTC_MISS_CNT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC_MISS_COUNT_0_PTC_MISS_CNT_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC_MISS_COUNT_0_PTC_MISS_CNT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC_MISS_COUNT_0_PTC_MISS_CNT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC_MISS_COUNT_0_PTC_MISS_CNT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC_MISS_COUNT_0_PTC_MISS_CNT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SMMU_STATS_PTC1_HIT_COUNT_0
#define MC_SMMU_STATS_PTC1_HIT_COUNT_0                  _MK_ADDR_CONST(0x244)
#define MC_SMMU_STATS_PTC1_HIT_COUNT_0_SECURE                   0x0
#define MC_SMMU_STATS_PTC1_HIT_COUNT_0_DUAL                     0x0
#define MC_SMMU_STATS_PTC1_HIT_COUNT_0_SCR                      0
#define MC_SMMU_STATS_PTC1_HIT_COUNT_0_WORD_COUNT                       0x1
#define MC_SMMU_STATS_PTC1_HIT_COUNT_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC1_HIT_COUNT_0_RESET_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC1_HIT_COUNT_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC1_HIT_COUNT_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC1_HIT_COUNT_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_STATS_PTC1_HIT_COUNT_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC1_HIT_COUNT_0_PTC1_HIT_CNT_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SMMU_STATS_PTC1_HIT_COUNT_0_PTC1_HIT_CNT_FIELD                       _MK_FIELD_CONST(0xffffffff, MC_SMMU_STATS_PTC1_HIT_COUNT_0_PTC1_HIT_CNT_SHIFT)
#define MC_SMMU_STATS_PTC1_HIT_COUNT_0_PTC1_HIT_CNT_RANGE                       31:0
#define MC_SMMU_STATS_PTC1_HIT_COUNT_0_PTC1_HIT_CNT_WOFFSET                     0x0
#define MC_SMMU_STATS_PTC1_HIT_COUNT_0_PTC1_HIT_CNT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC1_HIT_COUNT_0_PTC1_HIT_CNT_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC1_HIT_COUNT_0_PTC1_HIT_CNT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC1_HIT_COUNT_0_PTC1_HIT_CNT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC1_HIT_COUNT_0_PTC1_HIT_CNT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC1_HIT_COUNT_0_PTC1_HIT_CNT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SMMU_STATS_PTC1_MISS_COUNT_0
#define MC_SMMU_STATS_PTC1_MISS_COUNT_0                 _MK_ADDR_CONST(0x248)
#define MC_SMMU_STATS_PTC1_MISS_COUNT_0_SECURE                  0x0
#define MC_SMMU_STATS_PTC1_MISS_COUNT_0_DUAL                    0x0
#define MC_SMMU_STATS_PTC1_MISS_COUNT_0_SCR                     0
#define MC_SMMU_STATS_PTC1_MISS_COUNT_0_WORD_COUNT                      0x1
#define MC_SMMU_STATS_PTC1_MISS_COUNT_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC1_MISS_COUNT_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC1_MISS_COUNT_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC1_MISS_COUNT_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC1_MISS_COUNT_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_STATS_PTC1_MISS_COUNT_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC1_MISS_COUNT_0_PTC1_MISS_CNT_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SMMU_STATS_PTC1_MISS_COUNT_0_PTC1_MISS_CNT_FIELD                     _MK_FIELD_CONST(0xffffffff, MC_SMMU_STATS_PTC1_MISS_COUNT_0_PTC1_MISS_CNT_SHIFT)
#define MC_SMMU_STATS_PTC1_MISS_COUNT_0_PTC1_MISS_CNT_RANGE                     31:0
#define MC_SMMU_STATS_PTC1_MISS_COUNT_0_PTC1_MISS_CNT_WOFFSET                   0x0
#define MC_SMMU_STATS_PTC1_MISS_COUNT_0_PTC1_MISS_CNT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC1_MISS_COUNT_0_PTC1_MISS_CNT_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC1_MISS_COUNT_0_PTC1_MISS_CNT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC1_MISS_COUNT_0_PTC1_MISS_CNT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC1_MISS_COUNT_0_PTC1_MISS_CNT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC1_MISS_COUNT_0_PTC1_MISS_CNT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SMMU_STATS_PTC2_HIT_COUNT_0
#define MC_SMMU_STATS_PTC2_HIT_COUNT_0                  _MK_ADDR_CONST(0x24c)
#define MC_SMMU_STATS_PTC2_HIT_COUNT_0_SECURE                   0x0
#define MC_SMMU_STATS_PTC2_HIT_COUNT_0_DUAL                     0x0
#define MC_SMMU_STATS_PTC2_HIT_COUNT_0_SCR                      0
#define MC_SMMU_STATS_PTC2_HIT_COUNT_0_WORD_COUNT                       0x1
#define MC_SMMU_STATS_PTC2_HIT_COUNT_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC2_HIT_COUNT_0_RESET_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC2_HIT_COUNT_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC2_HIT_COUNT_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC2_HIT_COUNT_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_STATS_PTC2_HIT_COUNT_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC2_HIT_COUNT_0_PTC2_HIT_CNT_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SMMU_STATS_PTC2_HIT_COUNT_0_PTC2_HIT_CNT_FIELD                       _MK_FIELD_CONST(0xffffffff, MC_SMMU_STATS_PTC2_HIT_COUNT_0_PTC2_HIT_CNT_SHIFT)
#define MC_SMMU_STATS_PTC2_HIT_COUNT_0_PTC2_HIT_CNT_RANGE                       31:0
#define MC_SMMU_STATS_PTC2_HIT_COUNT_0_PTC2_HIT_CNT_WOFFSET                     0x0
#define MC_SMMU_STATS_PTC2_HIT_COUNT_0_PTC2_HIT_CNT_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC2_HIT_COUNT_0_PTC2_HIT_CNT_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC2_HIT_COUNT_0_PTC2_HIT_CNT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC2_HIT_COUNT_0_PTC2_HIT_CNT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC2_HIT_COUNT_0_PTC2_HIT_CNT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC2_HIT_COUNT_0_PTC2_HIT_CNT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SMMU_STATS_PTC2_MISS_COUNT_0
#define MC_SMMU_STATS_PTC2_MISS_COUNT_0                 _MK_ADDR_CONST(0x260)
#define MC_SMMU_STATS_PTC2_MISS_COUNT_0_SECURE                  0x0
#define MC_SMMU_STATS_PTC2_MISS_COUNT_0_DUAL                    0x0
#define MC_SMMU_STATS_PTC2_MISS_COUNT_0_SCR                     0
#define MC_SMMU_STATS_PTC2_MISS_COUNT_0_WORD_COUNT                      0x1
#define MC_SMMU_STATS_PTC2_MISS_COUNT_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC2_MISS_COUNT_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC2_MISS_COUNT_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC2_MISS_COUNT_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC2_MISS_COUNT_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_STATS_PTC2_MISS_COUNT_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC2_MISS_COUNT_0_PTC2_MISS_CNT_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SMMU_STATS_PTC2_MISS_COUNT_0_PTC2_MISS_CNT_FIELD                     _MK_FIELD_CONST(0xffffffff, MC_SMMU_STATS_PTC2_MISS_COUNT_0_PTC2_MISS_CNT_SHIFT)
#define MC_SMMU_STATS_PTC2_MISS_COUNT_0_PTC2_MISS_CNT_RANGE                     31:0
#define MC_SMMU_STATS_PTC2_MISS_COUNT_0_PTC2_MISS_CNT_WOFFSET                   0x0
#define MC_SMMU_STATS_PTC2_MISS_COUNT_0_PTC2_MISS_CNT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC2_MISS_COUNT_0_PTC2_MISS_CNT_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC2_MISS_COUNT_0_PTC2_MISS_CNT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC2_MISS_COUNT_0_PTC2_MISS_CNT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC2_MISS_COUNT_0_PTC2_MISS_CNT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_STATS_PTC2_MISS_COUNT_0_PTC2_MISS_CNT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_HUB_STATS_PM_COUNT0WORD0_0
#define MC_HUB_STATS_PM_COUNT0WORD0_0                   _MK_ADDR_CONST(0x1b00)
#define MC_HUB_STATS_PM_COUNT0WORD0_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNT0WORD0_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNT0WORD0_0_SCR                       0
#define MC_HUB_STATS_PM_COUNT0WORD0_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNT0WORD0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT0WORD0_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT0WORD0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT0WORD0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT0WORD0_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT0WORD0_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT0WORD0_0_PM_COUNT0WORD0_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNT0WORD0_0_PM_COUNT0WORD0_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_HUB_STATS_PM_COUNT0WORD0_0_PM_COUNT0WORD0_SHIFT)
#define MC_HUB_STATS_PM_COUNT0WORD0_0_PM_COUNT0WORD0_RANGE                      31:0
#define MC_HUB_STATS_PM_COUNT0WORD0_0_PM_COUNT0WORD0_WOFFSET                    0x0
#define MC_HUB_STATS_PM_COUNT0WORD0_0_PM_COUNT0WORD0_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT0WORD0_0_PM_COUNT0WORD0_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT0WORD0_0_PM_COUNT0WORD0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT0WORD0_0_PM_COUNT0WORD0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT0WORD0_0_PM_COUNT0WORD0_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT0WORD0_0_PM_COUNT0WORD0_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_HUB_STATS_PM_COUNT0WORD1_0
#define MC_HUB_STATS_PM_COUNT0WORD1_0                   _MK_ADDR_CONST(0x1b04)
#define MC_HUB_STATS_PM_COUNT0WORD1_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNT0WORD1_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNT0WORD1_0_SCR                       0
#define MC_HUB_STATS_PM_COUNT0WORD1_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNT0WORD1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT0WORD1_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT0WORD1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT0WORD1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT0WORD1_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT0WORD1_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT0WORD1_0_PM_COUNT0WORD1_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNT0WORD1_0_PM_COUNT0WORD1_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_HUB_STATS_PM_COUNT0WORD1_0_PM_COUNT0WORD1_SHIFT)
#define MC_HUB_STATS_PM_COUNT0WORD1_0_PM_COUNT0WORD1_RANGE                      31:0
#define MC_HUB_STATS_PM_COUNT0WORD1_0_PM_COUNT0WORD1_WOFFSET                    0x0
#define MC_HUB_STATS_PM_COUNT0WORD1_0_PM_COUNT0WORD1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT0WORD1_0_PM_COUNT0WORD1_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT0WORD1_0_PM_COUNT0WORD1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT0WORD1_0_PM_COUNT0WORD1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT0WORD1_0_PM_COUNT0WORD1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT0WORD1_0_PM_COUNT0WORD1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_HUB_STATS_PM_COUNT1WORD0_0
#define MC_HUB_STATS_PM_COUNT1WORD0_0                   _MK_ADDR_CONST(0x1b08)
#define MC_HUB_STATS_PM_COUNT1WORD0_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNT1WORD0_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNT1WORD0_0_SCR                       0
#define MC_HUB_STATS_PM_COUNT1WORD0_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNT1WORD0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT1WORD0_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT1WORD0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT1WORD0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT1WORD0_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT1WORD0_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT1WORD0_0_PM_COUNT1WORD0_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNT1WORD0_0_PM_COUNT1WORD0_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_HUB_STATS_PM_COUNT1WORD0_0_PM_COUNT1WORD0_SHIFT)
#define MC_HUB_STATS_PM_COUNT1WORD0_0_PM_COUNT1WORD0_RANGE                      31:0
#define MC_HUB_STATS_PM_COUNT1WORD0_0_PM_COUNT1WORD0_WOFFSET                    0x0
#define MC_HUB_STATS_PM_COUNT1WORD0_0_PM_COUNT1WORD0_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT1WORD0_0_PM_COUNT1WORD0_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT1WORD0_0_PM_COUNT1WORD0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT1WORD0_0_PM_COUNT1WORD0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT1WORD0_0_PM_COUNT1WORD0_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT1WORD0_0_PM_COUNT1WORD0_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_HUB_STATS_PM_COUNT1WORD1_0
#define MC_HUB_STATS_PM_COUNT1WORD1_0                   _MK_ADDR_CONST(0x1b0c)
#define MC_HUB_STATS_PM_COUNT1WORD1_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNT1WORD1_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNT1WORD1_0_SCR                       0
#define MC_HUB_STATS_PM_COUNT1WORD1_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNT1WORD1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT1WORD1_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT1WORD1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT1WORD1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT1WORD1_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT1WORD1_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT1WORD1_0_PM_COUNT1WORD1_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNT1WORD1_0_PM_COUNT1WORD1_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_HUB_STATS_PM_COUNT1WORD1_0_PM_COUNT1WORD1_SHIFT)
#define MC_HUB_STATS_PM_COUNT1WORD1_0_PM_COUNT1WORD1_RANGE                      31:0
#define MC_HUB_STATS_PM_COUNT1WORD1_0_PM_COUNT1WORD1_WOFFSET                    0x0
#define MC_HUB_STATS_PM_COUNT1WORD1_0_PM_COUNT1WORD1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT1WORD1_0_PM_COUNT1WORD1_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT1WORD1_0_PM_COUNT1WORD1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT1WORD1_0_PM_COUNT1WORD1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT1WORD1_0_PM_COUNT1WORD1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT1WORD1_0_PM_COUNT1WORD1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_HUB_STATS_PM_COUNT2WORD0_0
#define MC_HUB_STATS_PM_COUNT2WORD0_0                   _MK_ADDR_CONST(0x1b10)
#define MC_HUB_STATS_PM_COUNT2WORD0_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNT2WORD0_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNT2WORD0_0_SCR                       0
#define MC_HUB_STATS_PM_COUNT2WORD0_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNT2WORD0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT2WORD0_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT2WORD0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT2WORD0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT2WORD0_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT2WORD0_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT2WORD0_0_PM_COUNT2WORD0_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNT2WORD0_0_PM_COUNT2WORD0_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_HUB_STATS_PM_COUNT2WORD0_0_PM_COUNT2WORD0_SHIFT)
#define MC_HUB_STATS_PM_COUNT2WORD0_0_PM_COUNT2WORD0_RANGE                      31:0
#define MC_HUB_STATS_PM_COUNT2WORD0_0_PM_COUNT2WORD0_WOFFSET                    0x0
#define MC_HUB_STATS_PM_COUNT2WORD0_0_PM_COUNT2WORD0_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT2WORD0_0_PM_COUNT2WORD0_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT2WORD0_0_PM_COUNT2WORD0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT2WORD0_0_PM_COUNT2WORD0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT2WORD0_0_PM_COUNT2WORD0_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT2WORD0_0_PM_COUNT2WORD0_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_HUB_STATS_PM_COUNT2WORD1_0
#define MC_HUB_STATS_PM_COUNT2WORD1_0                   _MK_ADDR_CONST(0x1b14)
#define MC_HUB_STATS_PM_COUNT2WORD1_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNT2WORD1_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNT2WORD1_0_SCR                       0
#define MC_HUB_STATS_PM_COUNT2WORD1_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNT2WORD1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT2WORD1_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT2WORD1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT2WORD1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT2WORD1_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT2WORD1_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT2WORD1_0_PM_COUNT2WORD1_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNT2WORD1_0_PM_COUNT2WORD1_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_HUB_STATS_PM_COUNT2WORD1_0_PM_COUNT2WORD1_SHIFT)
#define MC_HUB_STATS_PM_COUNT2WORD1_0_PM_COUNT2WORD1_RANGE                      31:0
#define MC_HUB_STATS_PM_COUNT2WORD1_0_PM_COUNT2WORD1_WOFFSET                    0x0
#define MC_HUB_STATS_PM_COUNT2WORD1_0_PM_COUNT2WORD1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT2WORD1_0_PM_COUNT2WORD1_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT2WORD1_0_PM_COUNT2WORD1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT2WORD1_0_PM_COUNT2WORD1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT2WORD1_0_PM_COUNT2WORD1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT2WORD1_0_PM_COUNT2WORD1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_HUB_STATS_PM_COUNT3WORD0_0
#define MC_HUB_STATS_PM_COUNT3WORD0_0                   _MK_ADDR_CONST(0x1b18)
#define MC_HUB_STATS_PM_COUNT3WORD0_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNT3WORD0_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNT3WORD0_0_SCR                       0
#define MC_HUB_STATS_PM_COUNT3WORD0_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNT3WORD0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT3WORD0_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT3WORD0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT3WORD0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT3WORD0_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT3WORD0_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT3WORD0_0_PM_COUNT3WORD0_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNT3WORD0_0_PM_COUNT3WORD0_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_HUB_STATS_PM_COUNT3WORD0_0_PM_COUNT3WORD0_SHIFT)
#define MC_HUB_STATS_PM_COUNT3WORD0_0_PM_COUNT3WORD0_RANGE                      31:0
#define MC_HUB_STATS_PM_COUNT3WORD0_0_PM_COUNT3WORD0_WOFFSET                    0x0
#define MC_HUB_STATS_PM_COUNT3WORD0_0_PM_COUNT3WORD0_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT3WORD0_0_PM_COUNT3WORD0_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT3WORD0_0_PM_COUNT3WORD0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT3WORD0_0_PM_COUNT3WORD0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT3WORD0_0_PM_COUNT3WORD0_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT3WORD0_0_PM_COUNT3WORD0_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_HUB_STATS_PM_COUNT3WORD1_0
#define MC_HUB_STATS_PM_COUNT3WORD1_0                   _MK_ADDR_CONST(0x1b1c)
#define MC_HUB_STATS_PM_COUNT3WORD1_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNT3WORD1_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNT3WORD1_0_SCR                       0
#define MC_HUB_STATS_PM_COUNT3WORD1_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNT3WORD1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT3WORD1_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT3WORD1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT3WORD1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT3WORD1_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT3WORD1_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT3WORD1_0_PM_COUNT3WORD1_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNT3WORD1_0_PM_COUNT3WORD1_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_HUB_STATS_PM_COUNT3WORD1_0_PM_COUNT3WORD1_SHIFT)
#define MC_HUB_STATS_PM_COUNT3WORD1_0_PM_COUNT3WORD1_RANGE                      31:0
#define MC_HUB_STATS_PM_COUNT3WORD1_0_PM_COUNT3WORD1_WOFFSET                    0x0
#define MC_HUB_STATS_PM_COUNT3WORD1_0_PM_COUNT3WORD1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT3WORD1_0_PM_COUNT3WORD1_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT3WORD1_0_PM_COUNT3WORD1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT3WORD1_0_PM_COUNT3WORD1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT3WORD1_0_PM_COUNT3WORD1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT3WORD1_0_PM_COUNT3WORD1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_HUB_STATS_PM_COUNT4WORD0_0
#define MC_HUB_STATS_PM_COUNT4WORD0_0                   _MK_ADDR_CONST(0x1b20)
#define MC_HUB_STATS_PM_COUNT4WORD0_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNT4WORD0_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNT4WORD0_0_SCR                       0
#define MC_HUB_STATS_PM_COUNT4WORD0_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNT4WORD0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT4WORD0_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT4WORD0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT4WORD0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT4WORD0_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT4WORD0_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT4WORD0_0_PM_COUNT4WORD0_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNT4WORD0_0_PM_COUNT4WORD0_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_HUB_STATS_PM_COUNT4WORD0_0_PM_COUNT4WORD0_SHIFT)
#define MC_HUB_STATS_PM_COUNT4WORD0_0_PM_COUNT4WORD0_RANGE                      31:0
#define MC_HUB_STATS_PM_COUNT4WORD0_0_PM_COUNT4WORD0_WOFFSET                    0x0
#define MC_HUB_STATS_PM_COUNT4WORD0_0_PM_COUNT4WORD0_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT4WORD0_0_PM_COUNT4WORD0_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT4WORD0_0_PM_COUNT4WORD0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT4WORD0_0_PM_COUNT4WORD0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT4WORD0_0_PM_COUNT4WORD0_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT4WORD0_0_PM_COUNT4WORD0_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_HUB_STATS_PM_COUNT4WORD1_0
#define MC_HUB_STATS_PM_COUNT4WORD1_0                   _MK_ADDR_CONST(0x1b24)
#define MC_HUB_STATS_PM_COUNT4WORD1_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNT4WORD1_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNT4WORD1_0_SCR                       0
#define MC_HUB_STATS_PM_COUNT4WORD1_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNT4WORD1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT4WORD1_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT4WORD1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT4WORD1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT4WORD1_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT4WORD1_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT4WORD1_0_PM_COUNT4WORD1_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNT4WORD1_0_PM_COUNT4WORD1_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_HUB_STATS_PM_COUNT4WORD1_0_PM_COUNT4WORD1_SHIFT)
#define MC_HUB_STATS_PM_COUNT4WORD1_0_PM_COUNT4WORD1_RANGE                      31:0
#define MC_HUB_STATS_PM_COUNT4WORD1_0_PM_COUNT4WORD1_WOFFSET                    0x0
#define MC_HUB_STATS_PM_COUNT4WORD1_0_PM_COUNT4WORD1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT4WORD1_0_PM_COUNT4WORD1_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT4WORD1_0_PM_COUNT4WORD1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT4WORD1_0_PM_COUNT4WORD1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT4WORD1_0_PM_COUNT4WORD1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT4WORD1_0_PM_COUNT4WORD1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_HUB_STATS_PM_COUNT5WORD0_0
#define MC_HUB_STATS_PM_COUNT5WORD0_0                   _MK_ADDR_CONST(0x1b28)
#define MC_HUB_STATS_PM_COUNT5WORD0_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNT5WORD0_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNT5WORD0_0_SCR                       0
#define MC_HUB_STATS_PM_COUNT5WORD0_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNT5WORD0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT5WORD0_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT5WORD0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT5WORD0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT5WORD0_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT5WORD0_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT5WORD0_0_PM_COUNT5WORD0_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNT5WORD0_0_PM_COUNT5WORD0_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_HUB_STATS_PM_COUNT5WORD0_0_PM_COUNT5WORD0_SHIFT)
#define MC_HUB_STATS_PM_COUNT5WORD0_0_PM_COUNT5WORD0_RANGE                      31:0
#define MC_HUB_STATS_PM_COUNT5WORD0_0_PM_COUNT5WORD0_WOFFSET                    0x0
#define MC_HUB_STATS_PM_COUNT5WORD0_0_PM_COUNT5WORD0_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT5WORD0_0_PM_COUNT5WORD0_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT5WORD0_0_PM_COUNT5WORD0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT5WORD0_0_PM_COUNT5WORD0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT5WORD0_0_PM_COUNT5WORD0_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT5WORD0_0_PM_COUNT5WORD0_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_HUB_STATS_PM_COUNT5WORD1_0
#define MC_HUB_STATS_PM_COUNT5WORD1_0                   _MK_ADDR_CONST(0x1b2c)
#define MC_HUB_STATS_PM_COUNT5WORD1_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNT5WORD1_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNT5WORD1_0_SCR                       0
#define MC_HUB_STATS_PM_COUNT5WORD1_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNT5WORD1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT5WORD1_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT5WORD1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT5WORD1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT5WORD1_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT5WORD1_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT5WORD1_0_PM_COUNT5WORD1_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNT5WORD1_0_PM_COUNT5WORD1_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_HUB_STATS_PM_COUNT5WORD1_0_PM_COUNT5WORD1_SHIFT)
#define MC_HUB_STATS_PM_COUNT5WORD1_0_PM_COUNT5WORD1_RANGE                      31:0
#define MC_HUB_STATS_PM_COUNT5WORD1_0_PM_COUNT5WORD1_WOFFSET                    0x0
#define MC_HUB_STATS_PM_COUNT5WORD1_0_PM_COUNT5WORD1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT5WORD1_0_PM_COUNT5WORD1_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT5WORD1_0_PM_COUNT5WORD1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT5WORD1_0_PM_COUNT5WORD1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT5WORD1_0_PM_COUNT5WORD1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT5WORD1_0_PM_COUNT5WORD1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_HUB_STATS_PM_COUNT6WORD0_0
#define MC_HUB_STATS_PM_COUNT6WORD0_0                   _MK_ADDR_CONST(0x1b30)
#define MC_HUB_STATS_PM_COUNT6WORD0_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNT6WORD0_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNT6WORD0_0_SCR                       0
#define MC_HUB_STATS_PM_COUNT6WORD0_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNT6WORD0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT6WORD0_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT6WORD0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT6WORD0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT6WORD0_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT6WORD0_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT6WORD0_0_PM_COUNT6WORD0_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNT6WORD0_0_PM_COUNT6WORD0_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_HUB_STATS_PM_COUNT6WORD0_0_PM_COUNT6WORD0_SHIFT)
#define MC_HUB_STATS_PM_COUNT6WORD0_0_PM_COUNT6WORD0_RANGE                      31:0
#define MC_HUB_STATS_PM_COUNT6WORD0_0_PM_COUNT6WORD0_WOFFSET                    0x0
#define MC_HUB_STATS_PM_COUNT6WORD0_0_PM_COUNT6WORD0_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT6WORD0_0_PM_COUNT6WORD0_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT6WORD0_0_PM_COUNT6WORD0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT6WORD0_0_PM_COUNT6WORD0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT6WORD0_0_PM_COUNT6WORD0_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT6WORD0_0_PM_COUNT6WORD0_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_HUB_STATS_PM_COUNT6WORD1_0
#define MC_HUB_STATS_PM_COUNT6WORD1_0                   _MK_ADDR_CONST(0x1b34)
#define MC_HUB_STATS_PM_COUNT6WORD1_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNT6WORD1_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNT6WORD1_0_SCR                       0
#define MC_HUB_STATS_PM_COUNT6WORD1_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNT6WORD1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT6WORD1_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT6WORD1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT6WORD1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT6WORD1_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT6WORD1_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT6WORD1_0_PM_COUNT6WORD1_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNT6WORD1_0_PM_COUNT6WORD1_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_HUB_STATS_PM_COUNT6WORD1_0_PM_COUNT6WORD1_SHIFT)
#define MC_HUB_STATS_PM_COUNT6WORD1_0_PM_COUNT6WORD1_RANGE                      31:0
#define MC_HUB_STATS_PM_COUNT6WORD1_0_PM_COUNT6WORD1_WOFFSET                    0x0
#define MC_HUB_STATS_PM_COUNT6WORD1_0_PM_COUNT6WORD1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT6WORD1_0_PM_COUNT6WORD1_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT6WORD1_0_PM_COUNT6WORD1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT6WORD1_0_PM_COUNT6WORD1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT6WORD1_0_PM_COUNT6WORD1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT6WORD1_0_PM_COUNT6WORD1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_HUB_STATS_PM_COUNT7WORD0_0
#define MC_HUB_STATS_PM_COUNT7WORD0_0                   _MK_ADDR_CONST(0x1b38)
#define MC_HUB_STATS_PM_COUNT7WORD0_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNT7WORD0_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNT7WORD0_0_SCR                       0
#define MC_HUB_STATS_PM_COUNT7WORD0_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNT7WORD0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT7WORD0_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT7WORD0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT7WORD0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT7WORD0_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT7WORD0_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT7WORD0_0_PM_COUNT7WORD0_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNT7WORD0_0_PM_COUNT7WORD0_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_HUB_STATS_PM_COUNT7WORD0_0_PM_COUNT7WORD0_SHIFT)
#define MC_HUB_STATS_PM_COUNT7WORD0_0_PM_COUNT7WORD0_RANGE                      31:0
#define MC_HUB_STATS_PM_COUNT7WORD0_0_PM_COUNT7WORD0_WOFFSET                    0x0
#define MC_HUB_STATS_PM_COUNT7WORD0_0_PM_COUNT7WORD0_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT7WORD0_0_PM_COUNT7WORD0_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT7WORD0_0_PM_COUNT7WORD0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT7WORD0_0_PM_COUNT7WORD0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT7WORD0_0_PM_COUNT7WORD0_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT7WORD0_0_PM_COUNT7WORD0_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_HUB_STATS_PM_COUNT7WORD1_0
#define MC_HUB_STATS_PM_COUNT7WORD1_0                   _MK_ADDR_CONST(0x1b3c)
#define MC_HUB_STATS_PM_COUNT7WORD1_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNT7WORD1_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNT7WORD1_0_SCR                       0
#define MC_HUB_STATS_PM_COUNT7WORD1_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNT7WORD1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT7WORD1_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT7WORD1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT7WORD1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT7WORD1_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT7WORD1_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT7WORD1_0_PM_COUNT7WORD1_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNT7WORD1_0_PM_COUNT7WORD1_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_HUB_STATS_PM_COUNT7WORD1_0_PM_COUNT7WORD1_SHIFT)
#define MC_HUB_STATS_PM_COUNT7WORD1_0_PM_COUNT7WORD1_RANGE                      31:0
#define MC_HUB_STATS_PM_COUNT7WORD1_0_PM_COUNT7WORD1_WOFFSET                    0x0
#define MC_HUB_STATS_PM_COUNT7WORD1_0_PM_COUNT7WORD1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT7WORD1_0_PM_COUNT7WORD1_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_HUB_STATS_PM_COUNT7WORD1_0_PM_COUNT7WORD1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT7WORD1_0_PM_COUNT7WORD1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT7WORD1_0_PM_COUNT7WORD1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNT7WORD1_0_PM_COUNT7WORD1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_HUB_STATS_PM_COUNTER0CFG_0
#define MC_HUB_STATS_PM_COUNTER0CFG_0                   _MK_ADDR_CONST(0x1b40)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNTER0CFG_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNTER0CFG_0_SCR                       0
#define MC_HUB_STATS_PM_COUNTER0CFG_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNTER0CFG_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_RESET_MASK                        _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_READ_MASK                         _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_WRITE_MASK                        _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0ENABLE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0ENABLE_SHIFT)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0ENABLE_RANGE                   0:0
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0ENABLE_WOFFSET                 0x0
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0ENABLE_INIT_ENUM                       DISABLE
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_FIELD                       _MK_FIELD_CONST(0xff, MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_SHIFT)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_RANGE                       15:8
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_WOFFSET                     0x0
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_R05_B_STALLED_BY_NB                 _MK_ENUM_CONST(0)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_REQUESTS_BYPASS_SMMU                    _MK_ENUM_CONST(1)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_REQUESTS_BYPASS_ISO_SMMU                        _MK_ENUM_CONST(2)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_TBU_BACKPRESSURE                    _MK_ENUM_CONST(3)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_TBU_BACKPRESSURE_BLOCKING                   _MK_ENUM_CONST(4)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_TBU_BACKPRESSURE_NON_BLOCKING                       _MK_ENUM_CONST(5)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_TBU_BYP_BACKPRESSURE                        _MK_ENUM_CONST(6)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_TBU_ISO_BYP_BACKPRESSURE                    _MK_ENUM_CONST(7)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_TBU_BACKEDUP                        _MK_ENUM_CONST(8)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_ALL_TBU_BACKEDUP                    _MK_ENUM_CONST(9)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU0_STALLS                     _MK_ENUM_CONST(10)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU1_STALLS                     _MK_ENUM_CONST(11)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU2_STALLS                     _MK_ENUM_CONST(12)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU3_STALLS                     _MK_ENUM_CONST(13)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU4_STALLS                     _MK_ENUM_CONST(14)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU5_STALLS                     _MK_ENUM_CONST(15)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU02RING05_STALLS                      _MK_ENUM_CONST(16)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU12RING05_STALLS                      _MK_ENUM_CONST(17)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU22RING05_STALLS                      _MK_ENUM_CONST(18)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU32RING05_STALLS                      _MK_ENUM_CONST(19)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU42RING05_STALLS                      _MK_ENUM_CONST(20)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU52RING05_STALLS                      _MK_ENUM_CONST(21)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU0_REQUESTS                   _MK_ENUM_CONST(22)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU1_REQUESTS                   _MK_ENUM_CONST(23)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU2_REQUESTS                   _MK_ENUM_CONST(24)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU3_REQUESTS                   _MK_ENUM_CONST(25)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU4_REQUESTS                   _MK_ENUM_CONST(26)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU5_REQUESTS                   _MK_ENUM_CONST(27)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU0_MISSES                     _MK_ENUM_CONST(28)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU1_MISSES                     _MK_ENUM_CONST(29)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU2_MISSES                     _MK_ENUM_CONST(30)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU3_MISSES                     _MK_ENUM_CONST(31)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU4_MISSES                     _MK_ENUM_CONST(32)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU5_MISSES                     _MK_ENUM_CONST(33)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU0_HITS                       _MK_ENUM_CONST(34)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU1_HITS                       _MK_ENUM_CONST(35)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU2_HITS                       _MK_ENUM_CONST(36)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU3_HITS                       _MK_ENUM_CONST(37)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU4_HITS                       _MK_ENUM_CONST(38)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU5_HITS                       _MK_ENUM_CONST(39)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU0_HOM                        _MK_ENUM_CONST(40)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU1_HOM                        _MK_ENUM_CONST(41)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU2_HOM                        _MK_ENUM_CONST(42)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU3_HOM                        _MK_ENUM_CONST(43)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU4_HOM                        _MK_ENUM_CONST(44)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU5_HOM                        _MK_ENUM_CONST(45)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU0_TBU_CCHK_STALL                     _MK_ENUM_CONST(46)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU1_TBU_CCHK_STALL                     _MK_ENUM_CONST(47)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU2_TBU_CCHK_STALL                     _MK_ENUM_CONST(48)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU3_TBU_CCHK_STALL                     _MK_ENUM_CONST(49)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_BYPASS_CCHK_STALL                       _MK_ENUM_CONST(50)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_BYP_CCHK_STALL                  _MK_ENUM_CONST(51)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU4_TBU_CCHK_STALL                     _MK_ENUM_CONST(52)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_TBU5_TBU_CCHK_STALL                     _MK_ENUM_CONST(53)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_BYPASS_ISO_CCHK_STALL                   _MK_ENUM_CONST(54)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_BYP_ISO_CCHK_STALL                      _MK_ENUM_CONST(55)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_SISO_ARB_MAX_OUTSTANDING                    _MK_ENUM_CONST(56)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NISO_ARB_MAX_OUTSTANDING                    _MK_ENUM_CONST(57)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_NISO_VC_CCHK_STALL                      _MK_ENUM_CONST(58)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_SISO_VC_CCHK_STALL                      _MK_ENUM_CONST(59)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_ISO_VC_CCHK_STALL                       _MK_ENUM_CONST(60)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_RING05_ISO_PTC_REQS                 _MK_ENUM_CONST(61)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_RING05_NOT_SISO_REQ_GRANT_WHEN_SISO_EXIST                   _MK_ENUM_CONST(62)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_RING05_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                     _MK_ENUM_CONST(63)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_RING1_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                      _MK_ENUM_CONST(64)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_RING1_NOT_SISO_REQ_GRANT_WHEN_SISO_EXIST                    _MK_ENUM_CONST(65)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_RING12TBU_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                  _MK_ENUM_CONST(66)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_PCFIFO_TO_RING1_STALLS                      _MK_ENUM_CONST(67)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_DLA0_128b_READS                 _MK_ENUM_CONST(68)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_DLA1_128b_READS                 _MK_ENUM_CONST(69)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_ISP_128b_READS                  _MK_ENUM_CONST(70)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_NVDECB_128b_READS                       _MK_ENUM_CONST(71)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_NVDEC1_128b_READS                       _MK_ENUM_CONST(72)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_NVDEC_128b_READS                        _MK_ENUM_CONST(73)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_NVENCB_128b_READS                       _MK_ENUM_CONST(74)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_NVENC1_128b_READS                       _MK_ENUM_CONST(75)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_NVENC_128b_READS                        _MK_ENUM_CONST(76)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_PCIE0_128b_READS                        _MK_ENUM_CONST(77)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_PCIE4_128b_READS                        _MK_ENUM_CONST(78)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_PCIE5_128b_READS                        _MK_ENUM_CONST(79)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_PVA0_DMA0_128b_READS                    _MK_ENUM_CONST(80)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_PAV1_DMA0_128b_READS                    _MK_ENUM_CONST(81)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_PVA0_DMA1_128b_READS                    _MK_ENUM_CONST(82)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_PVA1_DMA1_128b_READS                    _MK_ENUM_CONST(83)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_VIC_128b_READS                  _MK_ENUM_CONST(84)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_DLA0_192b_READS                 _MK_ENUM_CONST(85)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_DLA1_192b_READS                 _MK_ENUM_CONST(86)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_ISP_192b_READS                  _MK_ENUM_CONST(87)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_NVDECB_192b_READS                       _MK_ENUM_CONST(88)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_NVDEC1_192b_READS                       _MK_ENUM_CONST(89)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_NVDEC_192b_READS                        _MK_ENUM_CONST(90)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_NVENCB_192b_READS                       _MK_ENUM_CONST(91)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_NVENC1_192b_READS                       _MK_ENUM_CONST(92)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_NVENC_192b_READS                        _MK_ENUM_CONST(93)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_PCIE0_192b_READS                        _MK_ENUM_CONST(94)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_PCIE4_192b_READS                        _MK_ENUM_CONST(95)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_PCIE5_192b_READS                        _MK_ENUM_CONST(96)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_PVA0_DMA0_192b_READS                    _MK_ENUM_CONST(97)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_PAV1_DMA0_192b_READS                    _MK_ENUM_CONST(98)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_PVA0_DMA1_192b_READS                    _MK_ENUM_CONST(99)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_PVA1_DMA1_192b_READS                    _MK_ENUM_CONST(100)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_VIC_192b_READS                  _MK_ENUM_CONST(101)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_DLA0_256b_READS                 _MK_ENUM_CONST(102)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_DLA1_256b_READS                 _MK_ENUM_CONST(103)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_ISP_256b_READS                  _MK_ENUM_CONST(104)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_NVDECB_256b_READS                       _MK_ENUM_CONST(105)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_NVDEC1_256b_READS                       _MK_ENUM_CONST(106)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_NVDEC_256b_READS                        _MK_ENUM_CONST(107)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_NVENCB_256b_READS                       _MK_ENUM_CONST(108)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_NVENC1_256b_READS                       _MK_ENUM_CONST(109)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_NVENC_256b_READS                        _MK_ENUM_CONST(110)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_PCIE0_256b_READS                        _MK_ENUM_CONST(111)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_PCIE4_256b_READS                        _MK_ENUM_CONST(112)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_PCIE5_256b_READS                        _MK_ENUM_CONST(113)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_PVA0_DMA0_256b_READS                    _MK_ENUM_CONST(114)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_PAV1_DMA0_256b_READS                    _MK_ENUM_CONST(115)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_PVA0_DMA1_256b_READS                    _MK_ENUM_CONST(116)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_PVA1_DMA1_256b_READS                    _MK_ENUM_CONST(117)
#define MC_HUB_STATS_PM_COUNTER0CFG_0_PM_CONTROL_COUNTER0EVENT_TYPE_NUM_VIC_256b_READS                  _MK_ENUM_CONST(118)


// Register MC_HUB_STATS_PM_COUNTER1CFG_0
#define MC_HUB_STATS_PM_COUNTER1CFG_0                   _MK_ADDR_CONST(0x1b44)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNTER1CFG_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNTER1CFG_0_SCR                       0
#define MC_HUB_STATS_PM_COUNTER1CFG_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNTER1CFG_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_RESET_MASK                        _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_READ_MASK                         _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_WRITE_MASK                        _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1ENABLE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1ENABLE_SHIFT)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1ENABLE_RANGE                   0:0
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1ENABLE_WOFFSET                 0x0
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1ENABLE_INIT_ENUM                       DISABLE
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_FIELD                       _MK_FIELD_CONST(0xff, MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_SHIFT)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_RANGE                       15:8
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_WOFFSET                     0x0
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_R05_B_STALLED_BY_NB                 _MK_ENUM_CONST(0)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_REQUESTS_BYPASS_SMMU                    _MK_ENUM_CONST(1)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_REQUESTS_BYPASS_ISO_SMMU                        _MK_ENUM_CONST(2)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_TBU_BACKPRESSURE                    _MK_ENUM_CONST(3)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_TBU_BACKPRESSURE_BLOCKING                   _MK_ENUM_CONST(4)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_TBU_BACKPRESSURE_NON_BLOCKING                       _MK_ENUM_CONST(5)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_TBU_BYP_BACKPRESSURE                        _MK_ENUM_CONST(6)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_TBU_ISO_BYP_BACKPRESSURE                    _MK_ENUM_CONST(7)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_TBU_BACKEDUP                        _MK_ENUM_CONST(8)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_ALL_TBU_BACKEDUP                    _MK_ENUM_CONST(9)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU0_STALLS                     _MK_ENUM_CONST(10)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU1_STALLS                     _MK_ENUM_CONST(11)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU2_STALLS                     _MK_ENUM_CONST(12)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU3_STALLS                     _MK_ENUM_CONST(13)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU4_STALLS                     _MK_ENUM_CONST(14)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU5_STALLS                     _MK_ENUM_CONST(15)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU02RING05_STALLS                      _MK_ENUM_CONST(16)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU12RING05_STALLS                      _MK_ENUM_CONST(17)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU22RING05_STALLS                      _MK_ENUM_CONST(18)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU32RING05_STALLS                      _MK_ENUM_CONST(19)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU42RING05_STALLS                      _MK_ENUM_CONST(20)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU52RING05_STALLS                      _MK_ENUM_CONST(21)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU0_REQUESTS                   _MK_ENUM_CONST(22)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU1_REQUESTS                   _MK_ENUM_CONST(23)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU2_REQUESTS                   _MK_ENUM_CONST(24)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU3_REQUESTS                   _MK_ENUM_CONST(25)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU4_REQUESTS                   _MK_ENUM_CONST(26)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU5_REQUESTS                   _MK_ENUM_CONST(27)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU0_MISSES                     _MK_ENUM_CONST(28)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU1_MISSES                     _MK_ENUM_CONST(29)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU2_MISSES                     _MK_ENUM_CONST(30)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU3_MISSES                     _MK_ENUM_CONST(31)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU4_MISSES                     _MK_ENUM_CONST(32)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU5_MISSES                     _MK_ENUM_CONST(33)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU0_HITS                       _MK_ENUM_CONST(34)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU1_HITS                       _MK_ENUM_CONST(35)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU2_HITS                       _MK_ENUM_CONST(36)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU3_HITS                       _MK_ENUM_CONST(37)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU4_HITS                       _MK_ENUM_CONST(38)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU5_HITS                       _MK_ENUM_CONST(39)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU0_HOM                        _MK_ENUM_CONST(40)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU1_HOM                        _MK_ENUM_CONST(41)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU2_HOM                        _MK_ENUM_CONST(42)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU3_HOM                        _MK_ENUM_CONST(43)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU4_HOM                        _MK_ENUM_CONST(44)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU5_HOM                        _MK_ENUM_CONST(45)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU0_TBU_CCHK_STALL                     _MK_ENUM_CONST(46)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU1_TBU_CCHK_STALL                     _MK_ENUM_CONST(47)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU2_TBU_CCHK_STALL                     _MK_ENUM_CONST(48)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU3_TBU_CCHK_STALL                     _MK_ENUM_CONST(49)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_BYPASS_CCHK_STALL                       _MK_ENUM_CONST(50)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_BYP_CCHK_STALL                  _MK_ENUM_CONST(51)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU4_TBU_CCHK_STALL                     _MK_ENUM_CONST(52)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_TBU5_TBU_CCHK_STALL                     _MK_ENUM_CONST(53)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_BYPASS_ISO_CCHK_STALL                   _MK_ENUM_CONST(54)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_BYP_ISO_CCHK_STALL                      _MK_ENUM_CONST(55)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_SISO_ARB_MAX_OUTSTANDING                    _MK_ENUM_CONST(56)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NISO_ARB_MAX_OUTSTANDING                    _MK_ENUM_CONST(57)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_NISO_VC_CCHK_STALL                      _MK_ENUM_CONST(58)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_SISO_VC_CCHK_STALL                      _MK_ENUM_CONST(59)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_ISO_VC_CCHK_STALL                       _MK_ENUM_CONST(60)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_RING05_ISO_PTC_REQS                 _MK_ENUM_CONST(61)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_RING05_NOT_SISO_REQ_GRANT_WHEN_SISO_EXIST                   _MK_ENUM_CONST(62)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_RING05_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                     _MK_ENUM_CONST(63)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_RING1_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                      _MK_ENUM_CONST(64)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_RING1_NOT_SISO_REQ_GRANT_WHEN_SISO_EXIST                    _MK_ENUM_CONST(65)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_RING12TBU_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                  _MK_ENUM_CONST(66)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_PCFIFO_TO_RING1_STALLS                      _MK_ENUM_CONST(67)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_DLA0_128b_READS                 _MK_ENUM_CONST(68)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_DLA1_128b_READS                 _MK_ENUM_CONST(69)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_ISP_128b_READS                  _MK_ENUM_CONST(70)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_NVDECB_128b_READS                       _MK_ENUM_CONST(71)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_NVDEC1_128b_READS                       _MK_ENUM_CONST(72)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_NVDEC_128b_READS                        _MK_ENUM_CONST(73)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_NVENCB_128b_READS                       _MK_ENUM_CONST(74)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_NVENC1_128b_READS                       _MK_ENUM_CONST(75)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_NVENC_128b_READS                        _MK_ENUM_CONST(76)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_PCIE0_128b_READS                        _MK_ENUM_CONST(77)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_PCIE4_128b_READS                        _MK_ENUM_CONST(78)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_PCIE5_128b_READS                        _MK_ENUM_CONST(79)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_PVA0_DMA0_128b_READS                    _MK_ENUM_CONST(80)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_PAV1_DMA0_128b_READS                    _MK_ENUM_CONST(81)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_PVA0_DMA1_128b_READS                    _MK_ENUM_CONST(82)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_PVA1_DMA1_128b_READS                    _MK_ENUM_CONST(83)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_VIC_128b_READS                  _MK_ENUM_CONST(84)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_DLA0_192b_READS                 _MK_ENUM_CONST(85)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_DLA1_192b_READS                 _MK_ENUM_CONST(86)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_ISP_192b_READS                  _MK_ENUM_CONST(87)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_NVDECB_192b_READS                       _MK_ENUM_CONST(88)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_NVDEC1_192b_READS                       _MK_ENUM_CONST(89)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_NVDEC_192b_READS                        _MK_ENUM_CONST(90)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_NVENCB_192b_READS                       _MK_ENUM_CONST(91)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_NVENC1_192b_READS                       _MK_ENUM_CONST(92)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_NVENC_192b_READS                        _MK_ENUM_CONST(93)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_PCIE0_192b_READS                        _MK_ENUM_CONST(94)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_PCIE4_192b_READS                        _MK_ENUM_CONST(95)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_PCIE5_192b_READS                        _MK_ENUM_CONST(96)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_PVA0_DMA0_192b_READS                    _MK_ENUM_CONST(97)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_PAV1_DMA0_192b_READS                    _MK_ENUM_CONST(98)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_PVA0_DMA1_192b_READS                    _MK_ENUM_CONST(99)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_PVA1_DMA1_192b_READS                    _MK_ENUM_CONST(100)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_VIC_192b_READS                  _MK_ENUM_CONST(101)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_DLA0_256b_READS                 _MK_ENUM_CONST(102)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_DLA1_256b_READS                 _MK_ENUM_CONST(103)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_ISP_256b_READS                  _MK_ENUM_CONST(104)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_NVDECB_256b_READS                       _MK_ENUM_CONST(105)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_NVDEC1_256b_READS                       _MK_ENUM_CONST(106)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_NVDEC_256b_READS                        _MK_ENUM_CONST(107)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_NVENCB_256b_READS                       _MK_ENUM_CONST(108)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_NVENC1_256b_READS                       _MK_ENUM_CONST(109)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_NVENC_256b_READS                        _MK_ENUM_CONST(110)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_PCIE0_256b_READS                        _MK_ENUM_CONST(111)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_PCIE4_256b_READS                        _MK_ENUM_CONST(112)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_PCIE5_256b_READS                        _MK_ENUM_CONST(113)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_PVA0_DMA0_256b_READS                    _MK_ENUM_CONST(114)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_PAV1_DMA0_256b_READS                    _MK_ENUM_CONST(115)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_PVA0_DMA1_256b_READS                    _MK_ENUM_CONST(116)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_PVA1_DMA1_256b_READS                    _MK_ENUM_CONST(117)
#define MC_HUB_STATS_PM_COUNTER1CFG_0_PM_CONTROL_COUNTER1EVENT_TYPE_NUM_VIC_256b_READS                  _MK_ENUM_CONST(118)


// Register MC_HUB_STATS_PM_COUNTER2CFG_0
#define MC_HUB_STATS_PM_COUNTER2CFG_0                   _MK_ADDR_CONST(0x1b48)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNTER2CFG_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNTER2CFG_0_SCR                       0
#define MC_HUB_STATS_PM_COUNTER2CFG_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNTER2CFG_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_RESET_MASK                        _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_READ_MASK                         _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_WRITE_MASK                        _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2ENABLE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2ENABLE_SHIFT)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2ENABLE_RANGE                   0:0
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2ENABLE_WOFFSET                 0x0
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2ENABLE_INIT_ENUM                       DISABLE
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_FIELD                       _MK_FIELD_CONST(0xff, MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_SHIFT)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_RANGE                       15:8
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_WOFFSET                     0x0
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_R05_B_STALLED_BY_NB                 _MK_ENUM_CONST(0)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_REQUESTS_BYPASS_SMMU                    _MK_ENUM_CONST(1)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_REQUESTS_BYPASS_ISO_SMMU                        _MK_ENUM_CONST(2)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_TBU_BACKPRESSURE                    _MK_ENUM_CONST(3)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_TBU_BACKPRESSURE_BLOCKING                   _MK_ENUM_CONST(4)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_TBU_BACKPRESSURE_NON_BLOCKING                       _MK_ENUM_CONST(5)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_TBU_BYP_BACKPRESSURE                        _MK_ENUM_CONST(6)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_TBU_ISO_BYP_BACKPRESSURE                    _MK_ENUM_CONST(7)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_TBU_BACKEDUP                        _MK_ENUM_CONST(8)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_ALL_TBU_BACKEDUP                    _MK_ENUM_CONST(9)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU0_STALLS                     _MK_ENUM_CONST(10)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU1_STALLS                     _MK_ENUM_CONST(11)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU2_STALLS                     _MK_ENUM_CONST(12)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU3_STALLS                     _MK_ENUM_CONST(13)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU4_STALLS                     _MK_ENUM_CONST(14)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU5_STALLS                     _MK_ENUM_CONST(15)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU02RING05_STALLS                      _MK_ENUM_CONST(16)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU12RING05_STALLS                      _MK_ENUM_CONST(17)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU22RING05_STALLS                      _MK_ENUM_CONST(18)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU32RING05_STALLS                      _MK_ENUM_CONST(19)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU42RING05_STALLS                      _MK_ENUM_CONST(20)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU52RING05_STALLS                      _MK_ENUM_CONST(21)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU0_REQUESTS                   _MK_ENUM_CONST(22)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU1_REQUESTS                   _MK_ENUM_CONST(23)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU2_REQUESTS                   _MK_ENUM_CONST(24)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU3_REQUESTS                   _MK_ENUM_CONST(25)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU4_REQUESTS                   _MK_ENUM_CONST(26)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU5_REQUESTS                   _MK_ENUM_CONST(27)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU0_MISSES                     _MK_ENUM_CONST(28)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU1_MISSES                     _MK_ENUM_CONST(29)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU2_MISSES                     _MK_ENUM_CONST(30)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU3_MISSES                     _MK_ENUM_CONST(31)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU4_MISSES                     _MK_ENUM_CONST(32)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU5_MISSES                     _MK_ENUM_CONST(33)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU0_HITS                       _MK_ENUM_CONST(34)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU1_HITS                       _MK_ENUM_CONST(35)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU2_HITS                       _MK_ENUM_CONST(36)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU3_HITS                       _MK_ENUM_CONST(37)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU4_HITS                       _MK_ENUM_CONST(38)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU5_HITS                       _MK_ENUM_CONST(39)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU0_HOM                        _MK_ENUM_CONST(40)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU1_HOM                        _MK_ENUM_CONST(41)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU2_HOM                        _MK_ENUM_CONST(42)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU3_HOM                        _MK_ENUM_CONST(43)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU4_HOM                        _MK_ENUM_CONST(44)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU5_HOM                        _MK_ENUM_CONST(45)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU0_TBU_CCHK_STALL                     _MK_ENUM_CONST(46)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU1_TBU_CCHK_STALL                     _MK_ENUM_CONST(47)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU2_TBU_CCHK_STALL                     _MK_ENUM_CONST(48)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU3_TBU_CCHK_STALL                     _MK_ENUM_CONST(49)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_BYPASS_CCHK_STALL                       _MK_ENUM_CONST(50)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_BYP_CCHK_STALL                  _MK_ENUM_CONST(51)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU4_TBU_CCHK_STALL                     _MK_ENUM_CONST(52)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_TBU5_TBU_CCHK_STALL                     _MK_ENUM_CONST(53)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_BYPASS_ISO_CCHK_STALL                   _MK_ENUM_CONST(54)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_BYP_ISO_CCHK_STALL                      _MK_ENUM_CONST(55)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_SISO_ARB_MAX_OUTSTANDING                    _MK_ENUM_CONST(56)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NISO_ARB_MAX_OUTSTANDING                    _MK_ENUM_CONST(57)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_NISO_VC_CCHK_STALL                      _MK_ENUM_CONST(58)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_SISO_VC_CCHK_STALL                      _MK_ENUM_CONST(59)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_ISO_VC_CCHK_STALL                       _MK_ENUM_CONST(60)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_RING05_ISO_PTC_REQS                 _MK_ENUM_CONST(61)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_RING05_NOT_SISO_REQ_GRANT_WHEN_SISO_EXIST                   _MK_ENUM_CONST(62)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_RING05_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                     _MK_ENUM_CONST(63)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_RING1_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                      _MK_ENUM_CONST(64)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_RING1_NOT_SISO_REQ_GRANT_WHEN_SISO_EXIST                    _MK_ENUM_CONST(65)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_RING12TBU_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                  _MK_ENUM_CONST(66)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_PCFIFO_TO_RING1_STALLS                      _MK_ENUM_CONST(67)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_DLA0_128b_READS                 _MK_ENUM_CONST(68)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_DLA1_128b_READS                 _MK_ENUM_CONST(69)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_ISP_128b_READS                  _MK_ENUM_CONST(70)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_NVDECB_128b_READS                       _MK_ENUM_CONST(71)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_NVDEC1_128b_READS                       _MK_ENUM_CONST(72)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_NVDEC_128b_READS                        _MK_ENUM_CONST(73)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_NVENCB_128b_READS                       _MK_ENUM_CONST(74)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_NVENC1_128b_READS                       _MK_ENUM_CONST(75)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_NVENC_128b_READS                        _MK_ENUM_CONST(76)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_PCIE0_128b_READS                        _MK_ENUM_CONST(77)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_PCIE4_128b_READS                        _MK_ENUM_CONST(78)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_PCIE5_128b_READS                        _MK_ENUM_CONST(79)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_PVA0_DMA0_128b_READS                    _MK_ENUM_CONST(80)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_PAV1_DMA0_128b_READS                    _MK_ENUM_CONST(81)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_PVA0_DMA1_128b_READS                    _MK_ENUM_CONST(82)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_PVA1_DMA1_128b_READS                    _MK_ENUM_CONST(83)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_VIC_128b_READS                  _MK_ENUM_CONST(84)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_DLA0_192b_READS                 _MK_ENUM_CONST(85)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_DLA1_192b_READS                 _MK_ENUM_CONST(86)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_ISP_192b_READS                  _MK_ENUM_CONST(87)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_NVDECB_192b_READS                       _MK_ENUM_CONST(88)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_NVDEC1_192b_READS                       _MK_ENUM_CONST(89)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_NVDEC_192b_READS                        _MK_ENUM_CONST(90)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_NVENCB_192b_READS                       _MK_ENUM_CONST(91)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_NVENC1_192b_READS                       _MK_ENUM_CONST(92)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_NVENC_192b_READS                        _MK_ENUM_CONST(93)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_PCIE0_192b_READS                        _MK_ENUM_CONST(94)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_PCIE4_192b_READS                        _MK_ENUM_CONST(95)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_PCIE5_192b_READS                        _MK_ENUM_CONST(96)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_PVA0_DMA0_192b_READS                    _MK_ENUM_CONST(97)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_PAV1_DMA0_192b_READS                    _MK_ENUM_CONST(98)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_PVA0_DMA1_192b_READS                    _MK_ENUM_CONST(99)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_PVA1_DMA1_192b_READS                    _MK_ENUM_CONST(100)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_VIC_192b_READS                  _MK_ENUM_CONST(101)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_DLA0_256b_READS                 _MK_ENUM_CONST(102)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_DLA1_256b_READS                 _MK_ENUM_CONST(103)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_ISP_256b_READS                  _MK_ENUM_CONST(104)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_NVDECB_256b_READS                       _MK_ENUM_CONST(105)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_NVDEC1_256b_READS                       _MK_ENUM_CONST(106)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_NVDEC_256b_READS                        _MK_ENUM_CONST(107)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_NVENCB_256b_READS                       _MK_ENUM_CONST(108)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_NVENC1_256b_READS                       _MK_ENUM_CONST(109)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_NVENC_256b_READS                        _MK_ENUM_CONST(110)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_PCIE0_256b_READS                        _MK_ENUM_CONST(111)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_PCIE4_256b_READS                        _MK_ENUM_CONST(112)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_PCIE5_256b_READS                        _MK_ENUM_CONST(113)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_PVA0_DMA0_256b_READS                    _MK_ENUM_CONST(114)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_PAV1_DMA0_256b_READS                    _MK_ENUM_CONST(115)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_PVA0_DMA1_256b_READS                    _MK_ENUM_CONST(116)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_PVA1_DMA1_256b_READS                    _MK_ENUM_CONST(117)
#define MC_HUB_STATS_PM_COUNTER2CFG_0_PM_CONTROL_COUNTER2EVENT_TYPE_NUM_VIC_256b_READS                  _MK_ENUM_CONST(118)


// Register MC_HUB_STATS_PM_COUNTER3CFG_0
#define MC_HUB_STATS_PM_COUNTER3CFG_0                   _MK_ADDR_CONST(0x1b4c)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNTER3CFG_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNTER3CFG_0_SCR                       0
#define MC_HUB_STATS_PM_COUNTER3CFG_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNTER3CFG_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_RESET_MASK                        _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_READ_MASK                         _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_WRITE_MASK                        _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3ENABLE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3ENABLE_SHIFT)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3ENABLE_RANGE                   0:0
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3ENABLE_WOFFSET                 0x0
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3ENABLE_INIT_ENUM                       DISABLE
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_FIELD                       _MK_FIELD_CONST(0xff, MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_SHIFT)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_RANGE                       15:8
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_WOFFSET                     0x0
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_R05_B_STALLED_BY_NB                 _MK_ENUM_CONST(0)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_REQUESTS_BYPASS_SMMU                    _MK_ENUM_CONST(1)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_REQUESTS_BYPASS_ISO_SMMU                        _MK_ENUM_CONST(2)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_TBU_BACKPRESSURE                    _MK_ENUM_CONST(3)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_TBU_BACKPRESSURE_BLOCKING                   _MK_ENUM_CONST(4)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_TBU_BACKPRESSURE_NON_BLOCKING                       _MK_ENUM_CONST(5)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_TBU_BYP_BACKPRESSURE                        _MK_ENUM_CONST(6)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_TBU_ISO_BYP_BACKPRESSURE                    _MK_ENUM_CONST(7)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_TBU_BACKEDUP                        _MK_ENUM_CONST(8)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_ALL_TBU_BACKEDUP                    _MK_ENUM_CONST(9)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU0_STALLS                     _MK_ENUM_CONST(10)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU1_STALLS                     _MK_ENUM_CONST(11)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU2_STALLS                     _MK_ENUM_CONST(12)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU3_STALLS                     _MK_ENUM_CONST(13)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU4_STALLS                     _MK_ENUM_CONST(14)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU5_STALLS                     _MK_ENUM_CONST(15)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU02RING05_STALLS                      _MK_ENUM_CONST(16)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU12RING05_STALLS                      _MK_ENUM_CONST(17)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU22RING05_STALLS                      _MK_ENUM_CONST(18)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU32RING05_STALLS                      _MK_ENUM_CONST(19)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU42RING05_STALLS                      _MK_ENUM_CONST(20)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU52RING05_STALLS                      _MK_ENUM_CONST(21)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU0_REQUESTS                   _MK_ENUM_CONST(22)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU1_REQUESTS                   _MK_ENUM_CONST(23)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU2_REQUESTS                   _MK_ENUM_CONST(24)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU3_REQUESTS                   _MK_ENUM_CONST(25)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU4_REQUESTS                   _MK_ENUM_CONST(26)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU5_REQUESTS                   _MK_ENUM_CONST(27)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU0_MISSES                     _MK_ENUM_CONST(28)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU1_MISSES                     _MK_ENUM_CONST(29)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU2_MISSES                     _MK_ENUM_CONST(30)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU3_MISSES                     _MK_ENUM_CONST(31)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU4_MISSES                     _MK_ENUM_CONST(32)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU5_MISSES                     _MK_ENUM_CONST(33)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU0_HITS                       _MK_ENUM_CONST(34)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU1_HITS                       _MK_ENUM_CONST(35)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU2_HITS                       _MK_ENUM_CONST(36)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU3_HITS                       _MK_ENUM_CONST(37)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU4_HITS                       _MK_ENUM_CONST(38)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU5_HITS                       _MK_ENUM_CONST(39)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU0_HOM                        _MK_ENUM_CONST(40)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU1_HOM                        _MK_ENUM_CONST(41)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU2_HOM                        _MK_ENUM_CONST(42)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU3_HOM                        _MK_ENUM_CONST(43)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU4_HOM                        _MK_ENUM_CONST(44)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU5_HOM                        _MK_ENUM_CONST(45)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU0_TBU_CCHK_STALL                     _MK_ENUM_CONST(46)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU1_TBU_CCHK_STALL                     _MK_ENUM_CONST(47)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU2_TBU_CCHK_STALL                     _MK_ENUM_CONST(48)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU3_TBU_CCHK_STALL                     _MK_ENUM_CONST(49)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_BYPASS_CCHK_STALL                       _MK_ENUM_CONST(50)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_BYP_CCHK_STALL                  _MK_ENUM_CONST(51)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU4_TBU_CCHK_STALL                     _MK_ENUM_CONST(52)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_TBU5_TBU_CCHK_STALL                     _MK_ENUM_CONST(53)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_BYPASS_ISO_CCHK_STALL                   _MK_ENUM_CONST(54)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_BYP_ISO_CCHK_STALL                      _MK_ENUM_CONST(55)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_SISO_ARB_MAX_OUTSTANDING                    _MK_ENUM_CONST(56)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NISO_ARB_MAX_OUTSTANDING                    _MK_ENUM_CONST(57)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_NISO_VC_CCHK_STALL                      _MK_ENUM_CONST(58)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_SISO_VC_CCHK_STALL                      _MK_ENUM_CONST(59)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_ISO_VC_CCHK_STALL                       _MK_ENUM_CONST(60)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_RING05_ISO_PTC_REQS                 _MK_ENUM_CONST(61)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_RING05_NOT_SISO_REQ_GRANT_WHEN_SISO_EXIST                   _MK_ENUM_CONST(62)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_RING05_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                     _MK_ENUM_CONST(63)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_RING1_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                      _MK_ENUM_CONST(64)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_RING1_NOT_SISO_REQ_GRANT_WHEN_SISO_EXIST                    _MK_ENUM_CONST(65)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_RING12TBU_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                  _MK_ENUM_CONST(66)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_PCFIFO_TO_RING1_STALLS                      _MK_ENUM_CONST(67)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_DLA0_128b_READS                 _MK_ENUM_CONST(68)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_DLA1_128b_READS                 _MK_ENUM_CONST(69)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_ISP_128b_READS                  _MK_ENUM_CONST(70)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_NVDECB_128b_READS                       _MK_ENUM_CONST(71)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_NVDEC1_128b_READS                       _MK_ENUM_CONST(72)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_NVDEC_128b_READS                        _MK_ENUM_CONST(73)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_NVENCB_128b_READS                       _MK_ENUM_CONST(74)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_NVENC1_128b_READS                       _MK_ENUM_CONST(75)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_NVENC_128b_READS                        _MK_ENUM_CONST(76)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_PCIE0_128b_READS                        _MK_ENUM_CONST(77)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_PCIE4_128b_READS                        _MK_ENUM_CONST(78)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_PCIE5_128b_READS                        _MK_ENUM_CONST(79)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_PVA0_DMA0_128b_READS                    _MK_ENUM_CONST(80)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_PAV1_DMA0_128b_READS                    _MK_ENUM_CONST(81)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_PVA0_DMA1_128b_READS                    _MK_ENUM_CONST(82)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_PVA1_DMA1_128b_READS                    _MK_ENUM_CONST(83)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_VIC_128b_READS                  _MK_ENUM_CONST(84)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_DLA0_192b_READS                 _MK_ENUM_CONST(85)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_DLA1_192b_READS                 _MK_ENUM_CONST(86)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_ISP_192b_READS                  _MK_ENUM_CONST(87)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_NVDECB_192b_READS                       _MK_ENUM_CONST(88)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_NVDEC1_192b_READS                       _MK_ENUM_CONST(89)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_NVDEC_192b_READS                        _MK_ENUM_CONST(90)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_NVENCB_192b_READS                       _MK_ENUM_CONST(91)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_NVENC1_192b_READS                       _MK_ENUM_CONST(92)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_NVENC_192b_READS                        _MK_ENUM_CONST(93)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_PCIE0_192b_READS                        _MK_ENUM_CONST(94)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_PCIE4_192b_READS                        _MK_ENUM_CONST(95)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_PCIE5_192b_READS                        _MK_ENUM_CONST(96)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_PVA0_DMA0_192b_READS                    _MK_ENUM_CONST(97)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_PAV1_DMA0_192b_READS                    _MK_ENUM_CONST(98)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_PVA0_DMA1_192b_READS                    _MK_ENUM_CONST(99)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_PVA1_DMA1_192b_READS                    _MK_ENUM_CONST(100)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_VIC_192b_READS                  _MK_ENUM_CONST(101)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_DLA0_256b_READS                 _MK_ENUM_CONST(102)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_DLA1_256b_READS                 _MK_ENUM_CONST(103)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_ISP_256b_READS                  _MK_ENUM_CONST(104)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_NVDECB_256b_READS                       _MK_ENUM_CONST(105)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_NVDEC1_256b_READS                       _MK_ENUM_CONST(106)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_NVDEC_256b_READS                        _MK_ENUM_CONST(107)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_NVENCB_256b_READS                       _MK_ENUM_CONST(108)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_NVENC1_256b_READS                       _MK_ENUM_CONST(109)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_NVENC_256b_READS                        _MK_ENUM_CONST(110)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_PCIE0_256b_READS                        _MK_ENUM_CONST(111)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_PCIE4_256b_READS                        _MK_ENUM_CONST(112)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_PCIE5_256b_READS                        _MK_ENUM_CONST(113)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_PVA0_DMA0_256b_READS                    _MK_ENUM_CONST(114)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_PAV1_DMA0_256b_READS                    _MK_ENUM_CONST(115)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_PVA0_DMA1_256b_READS                    _MK_ENUM_CONST(116)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_PVA1_DMA1_256b_READS                    _MK_ENUM_CONST(117)
#define MC_HUB_STATS_PM_COUNTER3CFG_0_PM_CONTROL_COUNTER3EVENT_TYPE_NUM_VIC_256b_READS                  _MK_ENUM_CONST(118)


// Register MC_HUB_STATS_PM_COUNTER4CFG_0
#define MC_HUB_STATS_PM_COUNTER4CFG_0                   _MK_ADDR_CONST(0x1b50)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNTER4CFG_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNTER4CFG_0_SCR                       0
#define MC_HUB_STATS_PM_COUNTER4CFG_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNTER4CFG_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_RESET_MASK                        _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_READ_MASK                         _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_WRITE_MASK                        _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4ENABLE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4ENABLE_SHIFT)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4ENABLE_RANGE                   0:0
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4ENABLE_WOFFSET                 0x0
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4ENABLE_INIT_ENUM                       DISABLE
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_FIELD                       _MK_FIELD_CONST(0xff, MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_SHIFT)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_RANGE                       15:8
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_WOFFSET                     0x0
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_R05_B_STALLED_BY_NB                 _MK_ENUM_CONST(0)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_REQUESTS_BYPASS_SMMU                    _MK_ENUM_CONST(1)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_REQUESTS_BYPASS_ISO_SMMU                        _MK_ENUM_CONST(2)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_TBU_BACKPRESSURE                    _MK_ENUM_CONST(3)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_TBU_BACKPRESSURE_BLOCKING                   _MK_ENUM_CONST(4)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_TBU_BACKPRESSURE_NON_BLOCKING                       _MK_ENUM_CONST(5)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_TBU_BYP_BACKPRESSURE                        _MK_ENUM_CONST(6)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_TBU_ISO_BYP_BACKPRESSURE                    _MK_ENUM_CONST(7)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_TBU_BACKEDUP                        _MK_ENUM_CONST(8)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_ALL_TBU_BACKEDUP                    _MK_ENUM_CONST(9)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU0_STALLS                     _MK_ENUM_CONST(10)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU1_STALLS                     _MK_ENUM_CONST(11)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU2_STALLS                     _MK_ENUM_CONST(12)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU3_STALLS                     _MK_ENUM_CONST(13)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU4_STALLS                     _MK_ENUM_CONST(14)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU5_STALLS                     _MK_ENUM_CONST(15)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU02RING05_STALLS                      _MK_ENUM_CONST(16)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU12RING05_STALLS                      _MK_ENUM_CONST(17)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU22RING05_STALLS                      _MK_ENUM_CONST(18)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU32RING05_STALLS                      _MK_ENUM_CONST(19)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU42RING05_STALLS                      _MK_ENUM_CONST(20)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU52RING05_STALLS                      _MK_ENUM_CONST(21)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU0_REQUESTS                   _MK_ENUM_CONST(22)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU1_REQUESTS                   _MK_ENUM_CONST(23)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU2_REQUESTS                   _MK_ENUM_CONST(24)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU3_REQUESTS                   _MK_ENUM_CONST(25)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU4_REQUESTS                   _MK_ENUM_CONST(26)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU5_REQUESTS                   _MK_ENUM_CONST(27)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU0_MISSES                     _MK_ENUM_CONST(28)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU1_MISSES                     _MK_ENUM_CONST(29)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU2_MISSES                     _MK_ENUM_CONST(30)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU3_MISSES                     _MK_ENUM_CONST(31)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU4_MISSES                     _MK_ENUM_CONST(32)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU5_MISSES                     _MK_ENUM_CONST(33)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU0_HITS                       _MK_ENUM_CONST(34)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU1_HITS                       _MK_ENUM_CONST(35)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU2_HITS                       _MK_ENUM_CONST(36)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU3_HITS                       _MK_ENUM_CONST(37)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU4_HITS                       _MK_ENUM_CONST(38)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU5_HITS                       _MK_ENUM_CONST(39)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU0_HOM                        _MK_ENUM_CONST(40)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU1_HOM                        _MK_ENUM_CONST(41)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU2_HOM                        _MK_ENUM_CONST(42)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU3_HOM                        _MK_ENUM_CONST(43)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU4_HOM                        _MK_ENUM_CONST(44)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU5_HOM                        _MK_ENUM_CONST(45)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU0_TBU_CCHK_STALL                     _MK_ENUM_CONST(46)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU1_TBU_CCHK_STALL                     _MK_ENUM_CONST(47)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU2_TBU_CCHK_STALL                     _MK_ENUM_CONST(48)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU3_TBU_CCHK_STALL                     _MK_ENUM_CONST(49)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_BYPASS_CCHK_STALL                       _MK_ENUM_CONST(50)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_BYP_CCHK_STALL                  _MK_ENUM_CONST(51)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU4_TBU_CCHK_STALL                     _MK_ENUM_CONST(52)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_TBU5_TBU_CCHK_STALL                     _MK_ENUM_CONST(53)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_BYPASS_ISO_CCHK_STALL                   _MK_ENUM_CONST(54)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_BYP_ISO_CCHK_STALL                      _MK_ENUM_CONST(55)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_SISO_ARB_MAX_OUTSTANDING                    _MK_ENUM_CONST(56)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NISO_ARB_MAX_OUTSTANDING                    _MK_ENUM_CONST(57)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_NISO_VC_CCHK_STALL                      _MK_ENUM_CONST(58)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_SISO_VC_CCHK_STALL                      _MK_ENUM_CONST(59)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_ISO_VC_CCHK_STALL                       _MK_ENUM_CONST(60)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_RING05_ISO_PTC_REQS                 _MK_ENUM_CONST(61)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_RING05_NOT_SISO_REQ_GRANT_WHEN_SISO_EXIST                   _MK_ENUM_CONST(62)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_RING05_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                     _MK_ENUM_CONST(63)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_RING1_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                      _MK_ENUM_CONST(64)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_RING1_NOT_SISO_REQ_GRANT_WHEN_SISO_EXIST                    _MK_ENUM_CONST(65)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_RING12TBU_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                  _MK_ENUM_CONST(66)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_PCFIFO_TO_RING1_STALLS                      _MK_ENUM_CONST(67)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_DLA0_128b_READS                 _MK_ENUM_CONST(68)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_DLA1_128b_READS                 _MK_ENUM_CONST(69)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_ISP_128b_READS                  _MK_ENUM_CONST(70)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_NVDECB_128b_READS                       _MK_ENUM_CONST(71)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_NVDEC1_128b_READS                       _MK_ENUM_CONST(72)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_NVDEC_128b_READS                        _MK_ENUM_CONST(73)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_NVENCB_128b_READS                       _MK_ENUM_CONST(74)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_NVENC1_128b_READS                       _MK_ENUM_CONST(75)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_NVENC_128b_READS                        _MK_ENUM_CONST(76)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_PCIE0_128b_READS                        _MK_ENUM_CONST(77)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_PCIE4_128b_READS                        _MK_ENUM_CONST(78)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_PCIE5_128b_READS                        _MK_ENUM_CONST(79)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_PVA0_DMA0_128b_READS                    _MK_ENUM_CONST(80)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_PAV1_DMA0_128b_READS                    _MK_ENUM_CONST(81)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_PVA0_DMA1_128b_READS                    _MK_ENUM_CONST(82)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_PVA1_DMA1_128b_READS                    _MK_ENUM_CONST(83)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_VIC_128b_READS                  _MK_ENUM_CONST(84)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_DLA0_192b_READS                 _MK_ENUM_CONST(85)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_DLA1_192b_READS                 _MK_ENUM_CONST(86)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_ISP_192b_READS                  _MK_ENUM_CONST(87)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_NVDECB_192b_READS                       _MK_ENUM_CONST(88)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_NVDEC1_192b_READS                       _MK_ENUM_CONST(89)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_NVDEC_192b_READS                        _MK_ENUM_CONST(90)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_NVENCB_192b_READS                       _MK_ENUM_CONST(91)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_NVENC1_192b_READS                       _MK_ENUM_CONST(92)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_NVENC_192b_READS                        _MK_ENUM_CONST(93)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_PCIE0_192b_READS                        _MK_ENUM_CONST(94)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_PCIE4_192b_READS                        _MK_ENUM_CONST(95)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_PCIE5_192b_READS                        _MK_ENUM_CONST(96)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_PVA0_DMA0_192b_READS                    _MK_ENUM_CONST(97)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_PAV1_DMA0_192b_READS                    _MK_ENUM_CONST(98)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_PVA0_DMA1_192b_READS                    _MK_ENUM_CONST(99)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_PVA1_DMA1_192b_READS                    _MK_ENUM_CONST(100)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_VIC_192b_READS                  _MK_ENUM_CONST(101)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_DLA0_256b_READS                 _MK_ENUM_CONST(102)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_DLA1_256b_READS                 _MK_ENUM_CONST(103)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_ISP_256b_READS                  _MK_ENUM_CONST(104)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_NVDECB_256b_READS                       _MK_ENUM_CONST(105)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_NVDEC1_256b_READS                       _MK_ENUM_CONST(106)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_NVDEC_256b_READS                        _MK_ENUM_CONST(107)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_NVENCB_256b_READS                       _MK_ENUM_CONST(108)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_NVENC1_256b_READS                       _MK_ENUM_CONST(109)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_NVENC_256b_READS                        _MK_ENUM_CONST(110)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_PCIE0_256b_READS                        _MK_ENUM_CONST(111)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_PCIE4_256b_READS                        _MK_ENUM_CONST(112)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_PCIE5_256b_READS                        _MK_ENUM_CONST(113)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_PVA0_DMA0_256b_READS                    _MK_ENUM_CONST(114)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_PAV1_DMA0_256b_READS                    _MK_ENUM_CONST(115)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_PVA0_DMA1_256b_READS                    _MK_ENUM_CONST(116)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_PVA1_DMA1_256b_READS                    _MK_ENUM_CONST(117)
#define MC_HUB_STATS_PM_COUNTER4CFG_0_PM_CONTROL_COUNTER4EVENT_TYPE_NUM_VIC_256b_READS                  _MK_ENUM_CONST(118)


// Register MC_HUB_STATS_PM_COUNTER5CFG_0
#define MC_HUB_STATS_PM_COUNTER5CFG_0                   _MK_ADDR_CONST(0x1b54)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNTER5CFG_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNTER5CFG_0_SCR                       0
#define MC_HUB_STATS_PM_COUNTER5CFG_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNTER5CFG_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_RESET_MASK                        _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_READ_MASK                         _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_WRITE_MASK                        _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5ENABLE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5ENABLE_SHIFT)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5ENABLE_RANGE                   0:0
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5ENABLE_WOFFSET                 0x0
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5ENABLE_INIT_ENUM                       DISABLE
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_FIELD                       _MK_FIELD_CONST(0xff, MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_SHIFT)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_RANGE                       15:8
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_WOFFSET                     0x0
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_R05_B_STALLED_BY_NB                 _MK_ENUM_CONST(0)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_REQUESTS_BYPASS_SMMU                    _MK_ENUM_CONST(1)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_REQUESTS_BYPASS_ISO_SMMU                        _MK_ENUM_CONST(2)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_TBU_BACKPRESSURE                    _MK_ENUM_CONST(3)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_TBU_BACKPRESSURE_BLOCKING                   _MK_ENUM_CONST(4)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_TBU_BACKPRESSURE_NON_BLOCKING                       _MK_ENUM_CONST(5)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_TBU_BYP_BACKPRESSURE                        _MK_ENUM_CONST(6)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_TBU_ISO_BYP_BACKPRESSURE                    _MK_ENUM_CONST(7)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_TBU_BACKEDUP                        _MK_ENUM_CONST(8)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_ALL_TBU_BACKEDUP                    _MK_ENUM_CONST(9)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU0_STALLS                     _MK_ENUM_CONST(10)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU1_STALLS                     _MK_ENUM_CONST(11)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU2_STALLS                     _MK_ENUM_CONST(12)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU3_STALLS                     _MK_ENUM_CONST(13)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU4_STALLS                     _MK_ENUM_CONST(14)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU5_STALLS                     _MK_ENUM_CONST(15)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU02RING05_STALLS                      _MK_ENUM_CONST(16)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU12RING05_STALLS                      _MK_ENUM_CONST(17)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU22RING05_STALLS                      _MK_ENUM_CONST(18)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU32RING05_STALLS                      _MK_ENUM_CONST(19)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU42RING05_STALLS                      _MK_ENUM_CONST(20)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU52RING05_STALLS                      _MK_ENUM_CONST(21)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU0_REQUESTS                   _MK_ENUM_CONST(22)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU1_REQUESTS                   _MK_ENUM_CONST(23)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU2_REQUESTS                   _MK_ENUM_CONST(24)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU3_REQUESTS                   _MK_ENUM_CONST(25)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU4_REQUESTS                   _MK_ENUM_CONST(26)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU5_REQUESTS                   _MK_ENUM_CONST(27)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU0_MISSES                     _MK_ENUM_CONST(28)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU1_MISSES                     _MK_ENUM_CONST(29)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU2_MISSES                     _MK_ENUM_CONST(30)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU3_MISSES                     _MK_ENUM_CONST(31)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU4_MISSES                     _MK_ENUM_CONST(32)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU5_MISSES                     _MK_ENUM_CONST(33)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU0_HITS                       _MK_ENUM_CONST(34)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU1_HITS                       _MK_ENUM_CONST(35)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU2_HITS                       _MK_ENUM_CONST(36)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU3_HITS                       _MK_ENUM_CONST(37)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU4_HITS                       _MK_ENUM_CONST(38)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU5_HITS                       _MK_ENUM_CONST(39)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU0_HOM                        _MK_ENUM_CONST(40)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU1_HOM                        _MK_ENUM_CONST(41)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU2_HOM                        _MK_ENUM_CONST(42)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU3_HOM                        _MK_ENUM_CONST(43)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU4_HOM                        _MK_ENUM_CONST(44)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU5_HOM                        _MK_ENUM_CONST(45)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU0_TBU_CCHK_STALL                     _MK_ENUM_CONST(46)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU1_TBU_CCHK_STALL                     _MK_ENUM_CONST(47)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU2_TBU_CCHK_STALL                     _MK_ENUM_CONST(48)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU3_TBU_CCHK_STALL                     _MK_ENUM_CONST(49)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_BYPASS_CCHK_STALL                       _MK_ENUM_CONST(50)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_BYP_CCHK_STALL                  _MK_ENUM_CONST(51)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU4_TBU_CCHK_STALL                     _MK_ENUM_CONST(52)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_TBU5_TBU_CCHK_STALL                     _MK_ENUM_CONST(53)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_BYPASS_ISO_CCHK_STALL                   _MK_ENUM_CONST(54)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_BYP_ISO_CCHK_STALL                      _MK_ENUM_CONST(55)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_SISO_ARB_MAX_OUTSTANDING                    _MK_ENUM_CONST(56)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NISO_ARB_MAX_OUTSTANDING                    _MK_ENUM_CONST(57)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_NISO_VC_CCHK_STALL                      _MK_ENUM_CONST(58)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_SISO_VC_CCHK_STALL                      _MK_ENUM_CONST(59)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_ISO_VC_CCHK_STALL                       _MK_ENUM_CONST(60)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_RING05_ISO_PTC_REQS                 _MK_ENUM_CONST(61)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_RING05_NOT_SISO_REQ_GRANT_WHEN_SISO_EXIST                   _MK_ENUM_CONST(62)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_RING05_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                     _MK_ENUM_CONST(63)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_RING1_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                      _MK_ENUM_CONST(64)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_RING1_NOT_SISO_REQ_GRANT_WHEN_SISO_EXIST                    _MK_ENUM_CONST(65)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_RING12TBU_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                  _MK_ENUM_CONST(66)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_PCFIFO_TO_RING1_STALLS                      _MK_ENUM_CONST(67)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_DLA0_128b_READS                 _MK_ENUM_CONST(68)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_DLA1_128b_READS                 _MK_ENUM_CONST(69)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_ISP_128b_READS                  _MK_ENUM_CONST(70)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_NVDECB_128b_READS                       _MK_ENUM_CONST(71)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_NVDEC1_128b_READS                       _MK_ENUM_CONST(72)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_NVDEC_128b_READS                        _MK_ENUM_CONST(73)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_NVENCB_128b_READS                       _MK_ENUM_CONST(74)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_NVENC1_128b_READS                       _MK_ENUM_CONST(75)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_NVENC_128b_READS                        _MK_ENUM_CONST(76)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_PCIE0_128b_READS                        _MK_ENUM_CONST(77)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_PCIE4_128b_READS                        _MK_ENUM_CONST(78)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_PCIE5_128b_READS                        _MK_ENUM_CONST(79)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_PVA0_DMA0_128b_READS                    _MK_ENUM_CONST(80)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_PAV1_DMA0_128b_READS                    _MK_ENUM_CONST(81)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_PVA0_DMA1_128b_READS                    _MK_ENUM_CONST(82)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_PVA1_DMA1_128b_READS                    _MK_ENUM_CONST(83)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_VIC_128b_READS                  _MK_ENUM_CONST(84)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_DLA0_192b_READS                 _MK_ENUM_CONST(85)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_DLA1_192b_READS                 _MK_ENUM_CONST(86)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_ISP_192b_READS                  _MK_ENUM_CONST(87)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_NVDECB_192b_READS                       _MK_ENUM_CONST(88)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_NVDEC1_192b_READS                       _MK_ENUM_CONST(89)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_NVDEC_192b_READS                        _MK_ENUM_CONST(90)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_NVENCB_192b_READS                       _MK_ENUM_CONST(91)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_NVENC1_192b_READS                       _MK_ENUM_CONST(92)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_NVENC_192b_READS                        _MK_ENUM_CONST(93)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_PCIE0_192b_READS                        _MK_ENUM_CONST(94)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_PCIE4_192b_READS                        _MK_ENUM_CONST(95)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_PCIE5_192b_READS                        _MK_ENUM_CONST(96)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_PVA0_DMA0_192b_READS                    _MK_ENUM_CONST(97)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_PAV1_DMA0_192b_READS                    _MK_ENUM_CONST(98)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_PVA0_DMA1_192b_READS                    _MK_ENUM_CONST(99)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_PVA1_DMA1_192b_READS                    _MK_ENUM_CONST(100)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_VIC_192b_READS                  _MK_ENUM_CONST(101)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_DLA0_256b_READS                 _MK_ENUM_CONST(102)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_DLA1_256b_READS                 _MK_ENUM_CONST(103)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_ISP_256b_READS                  _MK_ENUM_CONST(104)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_NVDECB_256b_READS                       _MK_ENUM_CONST(105)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_NVDEC1_256b_READS                       _MK_ENUM_CONST(106)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_NVDEC_256b_READS                        _MK_ENUM_CONST(107)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_NVENCB_256b_READS                       _MK_ENUM_CONST(108)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_NVENC1_256b_READS                       _MK_ENUM_CONST(109)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_NVENC_256b_READS                        _MK_ENUM_CONST(110)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_PCIE0_256b_READS                        _MK_ENUM_CONST(111)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_PCIE4_256b_READS                        _MK_ENUM_CONST(112)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_PCIE5_256b_READS                        _MK_ENUM_CONST(113)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_PVA0_DMA0_256b_READS                    _MK_ENUM_CONST(114)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_PAV1_DMA0_256b_READS                    _MK_ENUM_CONST(115)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_PVA0_DMA1_256b_READS                    _MK_ENUM_CONST(116)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_PVA1_DMA1_256b_READS                    _MK_ENUM_CONST(117)
#define MC_HUB_STATS_PM_COUNTER5CFG_0_PM_CONTROL_COUNTER5EVENT_TYPE_NUM_VIC_256b_READS                  _MK_ENUM_CONST(118)


// Register MC_HUB_STATS_PM_COUNTER6CFG_0
#define MC_HUB_STATS_PM_COUNTER6CFG_0                   _MK_ADDR_CONST(0x1b58)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNTER6CFG_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNTER6CFG_0_SCR                       0
#define MC_HUB_STATS_PM_COUNTER6CFG_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNTER6CFG_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_RESET_MASK                        _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_READ_MASK                         _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_WRITE_MASK                        _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6ENABLE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6ENABLE_SHIFT)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6ENABLE_RANGE                   0:0
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6ENABLE_WOFFSET                 0x0
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6ENABLE_INIT_ENUM                       DISABLE
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_FIELD                       _MK_FIELD_CONST(0xff, MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_SHIFT)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_RANGE                       15:8
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_WOFFSET                     0x0
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_R05_B_STALLED_BY_NB                 _MK_ENUM_CONST(0)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_REQUESTS_BYPASS_SMMU                    _MK_ENUM_CONST(1)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_REQUESTS_BYPASS_ISO_SMMU                        _MK_ENUM_CONST(2)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_TBU_BACKPRESSURE                    _MK_ENUM_CONST(3)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_TBU_BACKPRESSURE_BLOCKING                   _MK_ENUM_CONST(4)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_TBU_BACKPRESSURE_NON_BLOCKING                       _MK_ENUM_CONST(5)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_TBU_BYP_BACKPRESSURE                        _MK_ENUM_CONST(6)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_TBU_ISO_BYP_BACKPRESSURE                    _MK_ENUM_CONST(7)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_TBU_BACKEDUP                        _MK_ENUM_CONST(8)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_ALL_TBU_BACKEDUP                    _MK_ENUM_CONST(9)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU0_STALLS                     _MK_ENUM_CONST(10)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU1_STALLS                     _MK_ENUM_CONST(11)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU2_STALLS                     _MK_ENUM_CONST(12)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU3_STALLS                     _MK_ENUM_CONST(13)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU4_STALLS                     _MK_ENUM_CONST(14)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU5_STALLS                     _MK_ENUM_CONST(15)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU02RING05_STALLS                      _MK_ENUM_CONST(16)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU12RING05_STALLS                      _MK_ENUM_CONST(17)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU22RING05_STALLS                      _MK_ENUM_CONST(18)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU32RING05_STALLS                      _MK_ENUM_CONST(19)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU42RING05_STALLS                      _MK_ENUM_CONST(20)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU52RING05_STALLS                      _MK_ENUM_CONST(21)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU0_REQUESTS                   _MK_ENUM_CONST(22)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU1_REQUESTS                   _MK_ENUM_CONST(23)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU2_REQUESTS                   _MK_ENUM_CONST(24)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU3_REQUESTS                   _MK_ENUM_CONST(25)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU4_REQUESTS                   _MK_ENUM_CONST(26)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU5_REQUESTS                   _MK_ENUM_CONST(27)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU0_MISSES                     _MK_ENUM_CONST(28)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU1_MISSES                     _MK_ENUM_CONST(29)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU2_MISSES                     _MK_ENUM_CONST(30)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU3_MISSES                     _MK_ENUM_CONST(31)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU4_MISSES                     _MK_ENUM_CONST(32)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU5_MISSES                     _MK_ENUM_CONST(33)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU0_HITS                       _MK_ENUM_CONST(34)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU1_HITS                       _MK_ENUM_CONST(35)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU2_HITS                       _MK_ENUM_CONST(36)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU3_HITS                       _MK_ENUM_CONST(37)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU4_HITS                       _MK_ENUM_CONST(38)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU5_HITS                       _MK_ENUM_CONST(39)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU0_HOM                        _MK_ENUM_CONST(40)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU1_HOM                        _MK_ENUM_CONST(41)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU2_HOM                        _MK_ENUM_CONST(42)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU3_HOM                        _MK_ENUM_CONST(43)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU4_HOM                        _MK_ENUM_CONST(44)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU5_HOM                        _MK_ENUM_CONST(45)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU0_TBU_CCHK_STALL                     _MK_ENUM_CONST(46)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU1_TBU_CCHK_STALL                     _MK_ENUM_CONST(47)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU2_TBU_CCHK_STALL                     _MK_ENUM_CONST(48)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU3_TBU_CCHK_STALL                     _MK_ENUM_CONST(49)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_BYPASS_CCHK_STALL                       _MK_ENUM_CONST(50)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_BYP_CCHK_STALL                  _MK_ENUM_CONST(51)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU4_TBU_CCHK_STALL                     _MK_ENUM_CONST(52)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_TBU5_TBU_CCHK_STALL                     _MK_ENUM_CONST(53)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_BYPASS_ISO_CCHK_STALL                   _MK_ENUM_CONST(54)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_BYP_ISO_CCHK_STALL                      _MK_ENUM_CONST(55)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_SISO_ARB_MAX_OUTSTANDING                    _MK_ENUM_CONST(56)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NISO_ARB_MAX_OUTSTANDING                    _MK_ENUM_CONST(57)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_NISO_VC_CCHK_STALL                      _MK_ENUM_CONST(58)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_SISO_VC_CCHK_STALL                      _MK_ENUM_CONST(59)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_ISO_VC_CCHK_STALL                       _MK_ENUM_CONST(60)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_RING05_ISO_PTC_REQS                 _MK_ENUM_CONST(61)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_RING05_NOT_SISO_REQ_GRANT_WHEN_SISO_EXIST                   _MK_ENUM_CONST(62)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_RING05_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                     _MK_ENUM_CONST(63)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_RING1_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                      _MK_ENUM_CONST(64)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_RING1_NOT_SISO_REQ_GRANT_WHEN_SISO_EXIST                    _MK_ENUM_CONST(65)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_RING12TBU_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                  _MK_ENUM_CONST(66)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_PCFIFO_TO_RING1_STALLS                      _MK_ENUM_CONST(67)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_DLA0_128b_READS                 _MK_ENUM_CONST(68)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_DLA1_128b_READS                 _MK_ENUM_CONST(69)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_ISP_128b_READS                  _MK_ENUM_CONST(70)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_NVDECB_128b_READS                       _MK_ENUM_CONST(71)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_NVDEC1_128b_READS                       _MK_ENUM_CONST(72)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_NVDEC_128b_READS                        _MK_ENUM_CONST(73)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_NVENCB_128b_READS                       _MK_ENUM_CONST(74)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_NVENC1_128b_READS                       _MK_ENUM_CONST(75)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_NVENC_128b_READS                        _MK_ENUM_CONST(76)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_PCIE0_128b_READS                        _MK_ENUM_CONST(77)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_PCIE4_128b_READS                        _MK_ENUM_CONST(78)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_PCIE5_128b_READS                        _MK_ENUM_CONST(79)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_PVA0_DMA0_128b_READS                    _MK_ENUM_CONST(80)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_PAV1_DMA0_128b_READS                    _MK_ENUM_CONST(81)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_PVA0_DMA1_128b_READS                    _MK_ENUM_CONST(82)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_PVA1_DMA1_128b_READS                    _MK_ENUM_CONST(83)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_VIC_128b_READS                  _MK_ENUM_CONST(84)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_DLA0_192b_READS                 _MK_ENUM_CONST(85)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_DLA1_192b_READS                 _MK_ENUM_CONST(86)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_ISP_192b_READS                  _MK_ENUM_CONST(87)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_NVDECB_192b_READS                       _MK_ENUM_CONST(88)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_NVDEC1_192b_READS                       _MK_ENUM_CONST(89)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_NVDEC_192b_READS                        _MK_ENUM_CONST(90)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_NVENCB_192b_READS                       _MK_ENUM_CONST(91)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_NVENC1_192b_READS                       _MK_ENUM_CONST(92)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_NVENC_192b_READS                        _MK_ENUM_CONST(93)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_PCIE0_192b_READS                        _MK_ENUM_CONST(94)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_PCIE4_192b_READS                        _MK_ENUM_CONST(95)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_PCIE5_192b_READS                        _MK_ENUM_CONST(96)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_PVA0_DMA0_192b_READS                    _MK_ENUM_CONST(97)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_PAV1_DMA0_192b_READS                    _MK_ENUM_CONST(98)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_PVA0_DMA1_192b_READS                    _MK_ENUM_CONST(99)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_PVA1_DMA1_192b_READS                    _MK_ENUM_CONST(100)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_VIC_192b_READS                  _MK_ENUM_CONST(101)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_DLA0_256b_READS                 _MK_ENUM_CONST(102)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_DLA1_256b_READS                 _MK_ENUM_CONST(103)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_ISP_256b_READS                  _MK_ENUM_CONST(104)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_NVDECB_256b_READS                       _MK_ENUM_CONST(105)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_NVDEC1_256b_READS                       _MK_ENUM_CONST(106)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_NVDEC_256b_READS                        _MK_ENUM_CONST(107)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_NVENCB_256b_READS                       _MK_ENUM_CONST(108)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_NVENC1_256b_READS                       _MK_ENUM_CONST(109)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_NVENC_256b_READS                        _MK_ENUM_CONST(110)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_PCIE0_256b_READS                        _MK_ENUM_CONST(111)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_PCIE4_256b_READS                        _MK_ENUM_CONST(112)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_PCIE5_256b_READS                        _MK_ENUM_CONST(113)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_PVA0_DMA0_256b_READS                    _MK_ENUM_CONST(114)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_PAV1_DMA0_256b_READS                    _MK_ENUM_CONST(115)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_PVA0_DMA1_256b_READS                    _MK_ENUM_CONST(116)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_PVA1_DMA1_256b_READS                    _MK_ENUM_CONST(117)
#define MC_HUB_STATS_PM_COUNTER6CFG_0_PM_CONTROL_COUNTER6EVENT_TYPE_NUM_VIC_256b_READS                  _MK_ENUM_CONST(118)


// Register MC_HUB_STATS_PM_COUNTER7CFG_0
#define MC_HUB_STATS_PM_COUNTER7CFG_0                   _MK_ADDR_CONST(0x1b5c)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_SECURE                    0x0
#define MC_HUB_STATS_PM_COUNTER7CFG_0_DUAL                      0x0
#define MC_HUB_STATS_PM_COUNTER7CFG_0_SCR                       0
#define MC_HUB_STATS_PM_COUNTER7CFG_0_WORD_COUNT                        0x1
#define MC_HUB_STATS_PM_COUNTER7CFG_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_RESET_MASK                        _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_READ_MASK                         _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_WRITE_MASK                        _MK_MASK_CONST(0xff01)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7ENABLE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7ENABLE_SHIFT)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7ENABLE_RANGE                   0:0
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7ENABLE_WOFFSET                 0x0
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7ENABLE_INIT_ENUM                       DISABLE
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_FIELD                       _MK_FIELD_CONST(0xff, MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_SHIFT)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_RANGE                       15:8
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_WOFFSET                     0x0
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_R05_B_STALLED_BY_NB                 _MK_ENUM_CONST(0)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_REQUESTS_BYPASS_SMMU                    _MK_ENUM_CONST(1)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_REQUESTS_BYPASS_ISO_SMMU                        _MK_ENUM_CONST(2)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_TBU_BACKPRESSURE                    _MK_ENUM_CONST(3)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_TBU_BACKPRESSURE_BLOCKING                   _MK_ENUM_CONST(4)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_TBU_BACKPRESSURE_NON_BLOCKING                       _MK_ENUM_CONST(5)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_TBU_BYP_BACKPRESSURE                        _MK_ENUM_CONST(6)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_TBU_ISO_BYP_BACKPRESSURE                    _MK_ENUM_CONST(7)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_TBU_BACKEDUP                        _MK_ENUM_CONST(8)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_ALL_TBU_BACKEDUP                    _MK_ENUM_CONST(9)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU0_STALLS                     _MK_ENUM_CONST(10)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU1_STALLS                     _MK_ENUM_CONST(11)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU2_STALLS                     _MK_ENUM_CONST(12)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU3_STALLS                     _MK_ENUM_CONST(13)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU4_STALLS                     _MK_ENUM_CONST(14)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU5_STALLS                     _MK_ENUM_CONST(15)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU02RING05_STALLS                      _MK_ENUM_CONST(16)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU12RING05_STALLS                      _MK_ENUM_CONST(17)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU22RING05_STALLS                      _MK_ENUM_CONST(18)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU32RING05_STALLS                      _MK_ENUM_CONST(19)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU42RING05_STALLS                      _MK_ENUM_CONST(20)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU52RING05_STALLS                      _MK_ENUM_CONST(21)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU0_REQUESTS                   _MK_ENUM_CONST(22)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU1_REQUESTS                   _MK_ENUM_CONST(23)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU2_REQUESTS                   _MK_ENUM_CONST(24)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU3_REQUESTS                   _MK_ENUM_CONST(25)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU4_REQUESTS                   _MK_ENUM_CONST(26)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU5_REQUESTS                   _MK_ENUM_CONST(27)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU0_MISSES                     _MK_ENUM_CONST(28)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU1_MISSES                     _MK_ENUM_CONST(29)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU2_MISSES                     _MK_ENUM_CONST(30)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU3_MISSES                     _MK_ENUM_CONST(31)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU4_MISSES                     _MK_ENUM_CONST(32)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU5_MISSES                     _MK_ENUM_CONST(33)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU0_HITS                       _MK_ENUM_CONST(34)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU1_HITS                       _MK_ENUM_CONST(35)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU2_HITS                       _MK_ENUM_CONST(36)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU3_HITS                       _MK_ENUM_CONST(37)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU4_HITS                       _MK_ENUM_CONST(38)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU5_HITS                       _MK_ENUM_CONST(39)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU0_HOM                        _MK_ENUM_CONST(40)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU1_HOM                        _MK_ENUM_CONST(41)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU2_HOM                        _MK_ENUM_CONST(42)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU3_HOM                        _MK_ENUM_CONST(43)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU4_HOM                        _MK_ENUM_CONST(44)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU5_HOM                        _MK_ENUM_CONST(45)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU0_TBU_CCHK_STALL                     _MK_ENUM_CONST(46)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU1_TBU_CCHK_STALL                     _MK_ENUM_CONST(47)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU2_TBU_CCHK_STALL                     _MK_ENUM_CONST(48)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU3_TBU_CCHK_STALL                     _MK_ENUM_CONST(49)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_BYPASS_CCHK_STALL                       _MK_ENUM_CONST(50)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_BYP_CCHK_STALL                  _MK_ENUM_CONST(51)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU4_TBU_CCHK_STALL                     _MK_ENUM_CONST(52)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_TBU5_TBU_CCHK_STALL                     _MK_ENUM_CONST(53)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_BYPASS_ISO_CCHK_STALL                   _MK_ENUM_CONST(54)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_BYP_ISO_CCHK_STALL                      _MK_ENUM_CONST(55)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_SISO_ARB_MAX_OUTSTANDING                    _MK_ENUM_CONST(56)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NISO_ARB_MAX_OUTSTANDING                    _MK_ENUM_CONST(57)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_NISO_VC_CCHK_STALL                      _MK_ENUM_CONST(58)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_SISO_VC_CCHK_STALL                      _MK_ENUM_CONST(59)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_ISO_VC_CCHK_STALL                       _MK_ENUM_CONST(60)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_RING05_ISO_PTC_REQS                 _MK_ENUM_CONST(61)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_RING05_NOT_SISO_REQ_GRANT_WHEN_SISO_EXIST                   _MK_ENUM_CONST(62)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_RING05_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                     _MK_ENUM_CONST(63)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_RING1_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                      _MK_ENUM_CONST(64)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_RING1_NOT_SISO_REQ_GRANT_WHEN_SISO_EXIST                    _MK_ENUM_CONST(65)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_RING12TBU_NOT_ISO_REQ_GRANT_WHEN_ISO_EXIST                  _MK_ENUM_CONST(66)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_PCFIFO_TO_RING1_STALLS                      _MK_ENUM_CONST(67)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_DLA0_128b_READS                 _MK_ENUM_CONST(68)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_DLA1_128b_READS                 _MK_ENUM_CONST(69)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_ISP_128b_READS                  _MK_ENUM_CONST(70)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_NVDECB_128b_READS                       _MK_ENUM_CONST(71)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_NVDEC1_128b_READS                       _MK_ENUM_CONST(72)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_NVDEC_128b_READS                        _MK_ENUM_CONST(73)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_NVENCB_128b_READS                       _MK_ENUM_CONST(74)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_NVENC1_128b_READS                       _MK_ENUM_CONST(75)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_NVENC_128b_READS                        _MK_ENUM_CONST(76)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_PCIE0_128b_READS                        _MK_ENUM_CONST(77)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_PCIE4_128b_READS                        _MK_ENUM_CONST(78)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_PCIE5_128b_READS                        _MK_ENUM_CONST(79)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_PVA0_DMA0_128b_READS                    _MK_ENUM_CONST(80)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_PAV1_DMA0_128b_READS                    _MK_ENUM_CONST(81)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_PVA0_DMA1_128b_READS                    _MK_ENUM_CONST(82)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_PVA1_DMA1_128b_READS                    _MK_ENUM_CONST(83)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_VIC_128b_READS                  _MK_ENUM_CONST(84)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_DLA0_192b_READS                 _MK_ENUM_CONST(85)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_DLA1_192b_READS                 _MK_ENUM_CONST(86)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_ISP_192b_READS                  _MK_ENUM_CONST(87)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_NVDECB_192b_READS                       _MK_ENUM_CONST(88)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_NVDEC1_192b_READS                       _MK_ENUM_CONST(89)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_NVDEC_192b_READS                        _MK_ENUM_CONST(90)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_NVENCB_192b_READS                       _MK_ENUM_CONST(91)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_NVENC1_192b_READS                       _MK_ENUM_CONST(92)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_NVENC_192b_READS                        _MK_ENUM_CONST(93)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_PCIE0_192b_READS                        _MK_ENUM_CONST(94)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_PCIE4_192b_READS                        _MK_ENUM_CONST(95)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_PCIE5_192b_READS                        _MK_ENUM_CONST(96)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_PVA0_DMA0_192b_READS                    _MK_ENUM_CONST(97)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_PAV1_DMA0_192b_READS                    _MK_ENUM_CONST(98)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_PVA0_DMA1_192b_READS                    _MK_ENUM_CONST(99)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_PVA1_DMA1_192b_READS                    _MK_ENUM_CONST(100)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_VIC_192b_READS                  _MK_ENUM_CONST(101)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_DLA0_256b_READS                 _MK_ENUM_CONST(102)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_DLA1_256b_READS                 _MK_ENUM_CONST(103)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_ISP_256b_READS                  _MK_ENUM_CONST(104)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_NVDECB_256b_READS                       _MK_ENUM_CONST(105)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_NVDEC1_256b_READS                       _MK_ENUM_CONST(106)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_NVDEC_256b_READS                        _MK_ENUM_CONST(107)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_NVENCB_256b_READS                       _MK_ENUM_CONST(108)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_NVENC1_256b_READS                       _MK_ENUM_CONST(109)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_NVENC_256b_READS                        _MK_ENUM_CONST(110)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_PCIE0_256b_READS                        _MK_ENUM_CONST(111)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_PCIE4_256b_READS                        _MK_ENUM_CONST(112)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_PCIE5_256b_READS                        _MK_ENUM_CONST(113)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_PVA0_DMA0_256b_READS                    _MK_ENUM_CONST(114)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_PAV1_DMA0_256b_READS                    _MK_ENUM_CONST(115)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_PVA0_DMA1_256b_READS                    _MK_ENUM_CONST(116)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_PVA1_DMA1_256b_READS                    _MK_ENUM_CONST(117)
#define MC_HUB_STATS_PM_COUNTER7CFG_0_PM_CONTROL_COUNTER7EVENT_TYPE_NUM_VIC_256b_READS                  _MK_ENUM_CONST(118)


// Register MC_SMMU_NVCACHE_ALLOWANCE_0
#define MC_SMMU_NVCACHE_ALLOWANCE_0                     _MK_ADDR_CONST(0xf48)
#define MC_SMMU_NVCACHE_ALLOWANCE_0_SECURE                      0x0
#define MC_SMMU_NVCACHE_ALLOWANCE_0_DUAL                        0x0
#define MC_SMMU_NVCACHE_ALLOWANCE_0_SCR                         0
#define MC_SMMU_NVCACHE_ALLOWANCE_0_WORD_COUNT                  0x1
#define MC_SMMU_NVCACHE_ALLOWANCE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_NVCACHE_ALLOWANCE_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_SMMU_NVCACHE_ALLOWANCE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SMMU_NVCACHE_ALLOWANCE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_SMMU_NVCACHE_ALLOWANCE_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_SMMU_NVCACHE_ALLOWANCE_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_SMMU_NVCACHE_ALLOWANCE_0_ALLOWANCE_PTCR_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_SMMU_NVCACHE_ALLOWANCE_0_ALLOWANCE_PTCR_FIELD                        _MK_FIELD_CONST(0x7ff, MC_SMMU_NVCACHE_ALLOWANCE_0_ALLOWANCE_PTCR_SHIFT)
#define MC_SMMU_NVCACHE_ALLOWANCE_0_ALLOWANCE_PTCR_RANGE                        10:0
#define MC_SMMU_NVCACHE_ALLOWANCE_0_ALLOWANCE_PTCR_WOFFSET                      0x0
#define MC_SMMU_NVCACHE_ALLOWANCE_0_ALLOWANCE_PTCR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_NVCACHE_ALLOWANCE_0_ALLOWANCE_PTCR_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_SMMU_NVCACHE_ALLOWANCE_0_ALLOWANCE_PTCR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_NVCACHE_ALLOWANCE_0_ALLOWANCE_PTCR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_SMMU_NVCACHE_ALLOWANCE_0_ALLOWANCE_PTCR_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_ALLOWANCE_0_ALLOWANCE_PTCR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_ALLOWANCE_0_ALLOWANCE_PTCR__PROD                        _MK_MASK_CONST(0x0)


// Register MC_CIFLL_MISC0_0
#define MC_CIFLL_MISC0_0                        _MK_ADDR_CONST(0xf60)
#define MC_CIFLL_MISC0_0_SECURE                         0x0
#define MC_CIFLL_MISC0_0_DUAL                   0x0
#define MC_CIFLL_MISC0_0_SCR                    0
#define MC_CIFLL_MISC0_0_WORD_COUNT                     0x1
#define MC_CIFLL_MISC0_0_RESET_VAL                      _MK_MASK_CONST(0x80000000)
#define MC_CIFLL_MISC0_0_RESET_MASK                     _MK_MASK_CONST(0x8000000f)
#define MC_CIFLL_MISC0_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x80000000)
#define MC_CIFLL_MISC0_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x8000000f)
#define MC_CIFLL_MISC0_0_READ_MASK                      _MK_MASK_CONST(0x8000000f)
#define MC_CIFLL_MISC0_0_WRITE_MASK                     _MK_MASK_CONST(0x8000000f)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_FIELD                        _MK_FIELD_CONST(0xf, MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_SHIFT)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_RANGE                        3:0
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_WOFFSET                      0x0
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_DEFAULT_MASK                 _MK_MASK_CONST(0xf)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_INIT_ENUM                    ADD_0_CLKS
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_ADD_0_CLKS                   _MK_ENUM_CONST(0)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_ADD_1_CLKS                   _MK_ENUM_CONST(1)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_ADD_2_CLKS                   _MK_ENUM_CONST(2)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_ADD_3_CLKS                   _MK_ENUM_CONST(3)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_ADD_4_CLKS                   _MK_ENUM_CONST(4)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_ADD_5_CLKS                   _MK_ENUM_CONST(5)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_ADD_6_CLKS                   _MK_ENUM_CONST(6)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_ADD_7_CLKS                   _MK_ENUM_CONST(7)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_ADD_8_CLKS                   _MK_ENUM_CONST(8)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_ADD_9_CLKS                   _MK_ENUM_CONST(9)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_ADD_10_CLKS                  _MK_ENUM_CONST(10)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_MAX_NUM_CLKS                 _MK_ENUM_CONST(10)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY__PROD                        _MK_MASK_CONST(0x0)

#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_CONFIG_WRITE_ACCESS_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_CONFIG_WRITE_ACCESS_FIELD                    _MK_FIELD_CONST(0x1, MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_CONFIG_WRITE_ACCESS_SHIFT)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_CONFIG_WRITE_ACCESS_RANGE                    31:31
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_CONFIG_WRITE_ACCESS_WOFFSET                  0x0
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_CONFIG_WRITE_ACCESS_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_CONFIG_WRITE_ACCESS_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_CONFIG_WRITE_ACCESS_SW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_CONFIG_WRITE_ACCESS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_CONFIG_WRITE_ACCESS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_CONFIG_WRITE_ACCESS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_CONFIG_WRITE_ACCESS_INIT_ENUM                        ENABLE
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_CONFIG_WRITE_ACCESS_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_CONFIG_WRITE_ACCESS_ENABLE                   _MK_ENUM_CONST(1)
#define MC_CIFLL_MISC0_0_CPU_RD_ARTIFICIAL_LATENCY_CONFIG_WRITE_ACCESS__PROD                    _MK_MASK_CONST(0x1)


// Register MC_CIFLL_REDEADLINE0_0
#define MC_CIFLL_REDEADLINE0_0                  _MK_ADDR_CONST(0xf64)
#define MC_CIFLL_REDEADLINE0_0_SECURE                   0x0
#define MC_CIFLL_REDEADLINE0_0_DUAL                     0x0
#define MC_CIFLL_REDEADLINE0_0_SCR                      0
#define MC_CIFLL_REDEADLINE0_0_WORD_COUNT                       0x1
#define MC_CIFLL_REDEADLINE0_0_RESET_VAL                        _MK_MASK_CONST(0x800c0019)
#define MC_CIFLL_REDEADLINE0_0_RESET_MASK                       _MK_MASK_CONST(0x800f0fff)
#define MC_CIFLL_REDEADLINE0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x800c0019)
#define MC_CIFLL_REDEADLINE0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x800f0fff)
#define MC_CIFLL_REDEADLINE0_0_READ_MASK                        _MK_MASK_CONST(0x800f0fff)
#define MC_CIFLL_REDEADLINE0_0_WRITE_MASK                       _MK_MASK_CONST(0x800f0fff)
#define MC_CIFLL_REDEADLINE0_0_NISO_ANCHOR_LA_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_CIFLL_REDEADLINE0_0_NISO_ANCHOR_LA_FIELD                     _MK_FIELD_CONST(0xfff, MC_CIFLL_REDEADLINE0_0_NISO_ANCHOR_LA_SHIFT)
#define MC_CIFLL_REDEADLINE0_0_NISO_ANCHOR_LA_RANGE                     11:0
#define MC_CIFLL_REDEADLINE0_0_NISO_ANCHOR_LA_WOFFSET                   0x0
#define MC_CIFLL_REDEADLINE0_0_NISO_ANCHOR_LA_DEFAULT                   _MK_MASK_CONST(0x19)
#define MC_CIFLL_REDEADLINE0_0_NISO_ANCHOR_LA_DEFAULT_MASK                      _MK_MASK_CONST(0xfff)
#define MC_CIFLL_REDEADLINE0_0_NISO_ANCHOR_LA_SW_DEFAULT                        _MK_MASK_CONST(0x19)
#define MC_CIFLL_REDEADLINE0_0_NISO_ANCHOR_LA_SW_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_CIFLL_REDEADLINE0_0_NISO_ANCHOR_LA_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_CIFLL_REDEADLINE0_0_NISO_ANCHOR_LA_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CIFLL_REDEADLINE0_0_NISO_ANCHOR_LA__PROD                     _MK_MASK_CONST(0x19)

#define MC_CIFLL_REDEADLINE0_0_NISO_MAX_DEP_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_CIFLL_REDEADLINE0_0_NISO_MAX_DEP_FIELD                       _MK_FIELD_CONST(0xf, MC_CIFLL_REDEADLINE0_0_NISO_MAX_DEP_SHIFT)
#define MC_CIFLL_REDEADLINE0_0_NISO_MAX_DEP_RANGE                       19:16
#define MC_CIFLL_REDEADLINE0_0_NISO_MAX_DEP_WOFFSET                     0x0
#define MC_CIFLL_REDEADLINE0_0_NISO_MAX_DEP_DEFAULT                     _MK_MASK_CONST(0xc)
#define MC_CIFLL_REDEADLINE0_0_NISO_MAX_DEP_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_CIFLL_REDEADLINE0_0_NISO_MAX_DEP_SW_DEFAULT                  _MK_MASK_CONST(0xc)
#define MC_CIFLL_REDEADLINE0_0_NISO_MAX_DEP_SW_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_CIFLL_REDEADLINE0_0_NISO_MAX_DEP_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_CIFLL_REDEADLINE0_0_NISO_MAX_DEP_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CIFLL_REDEADLINE0_0_NISO_MAX_DEP__PROD                       _MK_MASK_CONST(0xc)

#define MC_CIFLL_REDEADLINE0_0_NISO_DL_ADJ_EN_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_CIFLL_REDEADLINE0_0_NISO_DL_ADJ_EN_FIELD                     _MK_FIELD_CONST(0x1, MC_CIFLL_REDEADLINE0_0_NISO_DL_ADJ_EN_SHIFT)
#define MC_CIFLL_REDEADLINE0_0_NISO_DL_ADJ_EN_RANGE                     31:31
#define MC_CIFLL_REDEADLINE0_0_NISO_DL_ADJ_EN_WOFFSET                   0x0
#define MC_CIFLL_REDEADLINE0_0_NISO_DL_ADJ_EN_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CIFLL_REDEADLINE0_0_NISO_DL_ADJ_EN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CIFLL_REDEADLINE0_0_NISO_DL_ADJ_EN_SW_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CIFLL_REDEADLINE0_0_NISO_DL_ADJ_EN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CIFLL_REDEADLINE0_0_NISO_DL_ADJ_EN_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_CIFLL_REDEADLINE0_0_NISO_DL_ADJ_EN_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CIFLL_REDEADLINE0_0_NISO_DL_ADJ_EN_INIT_ENUM                 ENABLE
#define MC_CIFLL_REDEADLINE0_0_NISO_DL_ADJ_EN_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CIFLL_REDEADLINE0_0_NISO_DL_ADJ_EN_ENABLE                    _MK_ENUM_CONST(1)
#define MC_CIFLL_REDEADLINE0_0_NISO_DL_ADJ_EN__PROD                     _MK_MASK_CONST(0x1)


// Register MC_CIFLL_REDEADLINE1_0
#define MC_CIFLL_REDEADLINE1_0                  _MK_ADDR_CONST(0xf68)
#define MC_CIFLL_REDEADLINE1_0_SECURE                   0x0
#define MC_CIFLL_REDEADLINE1_0_DUAL                     0x0
#define MC_CIFLL_REDEADLINE1_0_SCR                      0
#define MC_CIFLL_REDEADLINE1_0_WORD_COUNT                       0x1
#define MC_CIFLL_REDEADLINE1_0_RESET_VAL                        _MK_MASK_CONST(0x800c0019)
#define MC_CIFLL_REDEADLINE1_0_RESET_MASK                       _MK_MASK_CONST(0x800f0fff)
#define MC_CIFLL_REDEADLINE1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x800c0004)
#define MC_CIFLL_REDEADLINE1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x800f0fff)
#define MC_CIFLL_REDEADLINE1_0_READ_MASK                        _MK_MASK_CONST(0x800f0fff)
#define MC_CIFLL_REDEADLINE1_0_WRITE_MASK                       _MK_MASK_CONST(0x800f0fff)
#define MC_CIFLL_REDEADLINE1_0_SISO_ANCHOR_LA_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_CIFLL_REDEADLINE1_0_SISO_ANCHOR_LA_FIELD                     _MK_FIELD_CONST(0xfff, MC_CIFLL_REDEADLINE1_0_SISO_ANCHOR_LA_SHIFT)
#define MC_CIFLL_REDEADLINE1_0_SISO_ANCHOR_LA_RANGE                     11:0
#define MC_CIFLL_REDEADLINE1_0_SISO_ANCHOR_LA_WOFFSET                   0x0
#define MC_CIFLL_REDEADLINE1_0_SISO_ANCHOR_LA_DEFAULT                   _MK_MASK_CONST(0x19)
#define MC_CIFLL_REDEADLINE1_0_SISO_ANCHOR_LA_DEFAULT_MASK                      _MK_MASK_CONST(0xfff)
#define MC_CIFLL_REDEADLINE1_0_SISO_ANCHOR_LA_SW_DEFAULT                        _MK_MASK_CONST(0x4)
#define MC_CIFLL_REDEADLINE1_0_SISO_ANCHOR_LA_SW_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_CIFLL_REDEADLINE1_0_SISO_ANCHOR_LA_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_CIFLL_REDEADLINE1_0_SISO_ANCHOR_LA_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CIFLL_REDEADLINE1_0_SISO_ANCHOR_LA__PROD                     _MK_MASK_CONST(0x4)

#define MC_CIFLL_REDEADLINE1_0_SISO_MAX_DEP_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_CIFLL_REDEADLINE1_0_SISO_MAX_DEP_FIELD                       _MK_FIELD_CONST(0xf, MC_CIFLL_REDEADLINE1_0_SISO_MAX_DEP_SHIFT)
#define MC_CIFLL_REDEADLINE1_0_SISO_MAX_DEP_RANGE                       19:16
#define MC_CIFLL_REDEADLINE1_0_SISO_MAX_DEP_WOFFSET                     0x0
#define MC_CIFLL_REDEADLINE1_0_SISO_MAX_DEP_DEFAULT                     _MK_MASK_CONST(0xc)
#define MC_CIFLL_REDEADLINE1_0_SISO_MAX_DEP_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_CIFLL_REDEADLINE1_0_SISO_MAX_DEP_SW_DEFAULT                  _MK_MASK_CONST(0xc)
#define MC_CIFLL_REDEADLINE1_0_SISO_MAX_DEP_SW_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_CIFLL_REDEADLINE1_0_SISO_MAX_DEP_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_CIFLL_REDEADLINE1_0_SISO_MAX_DEP_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CIFLL_REDEADLINE1_0_SISO_MAX_DEP__PROD                       _MK_MASK_CONST(0xc)

#define MC_CIFLL_REDEADLINE1_0_SISO_DL_ADJ_EN_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_CIFLL_REDEADLINE1_0_SISO_DL_ADJ_EN_FIELD                     _MK_FIELD_CONST(0x1, MC_CIFLL_REDEADLINE1_0_SISO_DL_ADJ_EN_SHIFT)
#define MC_CIFLL_REDEADLINE1_0_SISO_DL_ADJ_EN_RANGE                     31:31
#define MC_CIFLL_REDEADLINE1_0_SISO_DL_ADJ_EN_WOFFSET                   0x0
#define MC_CIFLL_REDEADLINE1_0_SISO_DL_ADJ_EN_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CIFLL_REDEADLINE1_0_SISO_DL_ADJ_EN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CIFLL_REDEADLINE1_0_SISO_DL_ADJ_EN_SW_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CIFLL_REDEADLINE1_0_SISO_DL_ADJ_EN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CIFLL_REDEADLINE1_0_SISO_DL_ADJ_EN_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_CIFLL_REDEADLINE1_0_SISO_DL_ADJ_EN_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CIFLL_REDEADLINE1_0_SISO_DL_ADJ_EN_INIT_ENUM                 ENABLE
#define MC_CIFLL_REDEADLINE1_0_SISO_DL_ADJ_EN_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CIFLL_REDEADLINE1_0_SISO_DL_ADJ_EN_ENABLE                    _MK_ENUM_CONST(1)
#define MC_CIFLL_REDEADLINE1_0_SISO_DL_ADJ_EN__PROD                     _MK_MASK_CONST(0x1)


// Register MC_CIFLL_REQ_MT_FIFO_CREDITS_0
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0                  _MK_ADDR_CONST(0xf6c)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_SECURE                   0x0
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_DUAL                     0x0
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_SCR                      0
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_WORD_COUNT                       0x1
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_RESET_VAL                        _MK_MASK_CONST(0x1a140214)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_RESET_MASK                       _MK_MASK_CONST(0x7f7f7f7f)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_READ_MASK                        _MK_MASK_CONST(0x7f7f7f7f)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_WRITE_MASK                       _MK_MASK_CONST(0x7f7f7f7f)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SISO_WRLIMIT_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SISO_WRLIMIT_FIELD                  _MK_FIELD_CONST(0x7f, MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SISO_WRLIMIT_SHIFT)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SISO_WRLIMIT_RANGE                  6:0
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SISO_WRLIMIT_WOFFSET                        0x0
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SISO_WRLIMIT_DEFAULT                        _MK_MASK_CONST(0x14)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SISO_WRLIMIT_DEFAULT_MASK                   _MK_MASK_CONST(0x7f)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SISO_WRLIMIT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SISO_WRLIMIT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SISO_WRLIMIT_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SISO_WRLIMIT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_NISO_WRLIMIT_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_NISO_WRLIMIT_FIELD                  _MK_FIELD_CONST(0x7f, MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_NISO_WRLIMIT_SHIFT)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_NISO_WRLIMIT_RANGE                  14:8
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_NISO_WRLIMIT_WOFFSET                        0x0
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_NISO_WRLIMIT_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_NISO_WRLIMIT_DEFAULT_MASK                   _MK_MASK_CONST(0x7f)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_NISO_WRLIMIT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_NISO_WRLIMIT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_NISO_WRLIMIT_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_NISO_WRLIMIT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_ISO_WRLIMIT_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_ISO_WRLIMIT_FIELD                   _MK_FIELD_CONST(0x7f, MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_ISO_WRLIMIT_SHIFT)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_ISO_WRLIMIT_RANGE                   22:16
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_ISO_WRLIMIT_WOFFSET                 0x0
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_ISO_WRLIMIT_DEFAULT                 _MK_MASK_CONST(0x14)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_ISO_WRLIMIT_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_ISO_WRLIMIT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_ISO_WRLIMIT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_ISO_WRLIMIT_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_ISO_WRLIMIT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SHARED_WRLIMIT_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SHARED_WRLIMIT_FIELD                        _MK_FIELD_CONST(0x7f, MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SHARED_WRLIMIT_SHIFT)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SHARED_WRLIMIT_RANGE                        30:24
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SHARED_WRLIMIT_WOFFSET                      0x0
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SHARED_WRLIMIT_DEFAULT                      _MK_MASK_CONST(0x1a)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SHARED_WRLIMIT_DEFAULT_MASK                 _MK_MASK_CONST(0x7f)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SHARED_WRLIMIT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SHARED_WRLIMIT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SHARED_WRLIMIT_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_CIFLL_REQ_MT_SHARED_WRLIMIT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0                        _MK_ADDR_CONST(0xf70)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_SECURE                         0x0
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_DUAL                   0x0
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_SCR                    0
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_WORD_COUNT                     0x1
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_RESET_VAL                      _MK_MASK_CONST(0x1a140214)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_RESET_MASK                     _MK_MASK_CONST(0x7f7f7f7f)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_READ_MASK                      _MK_MASK_CONST(0x7f7f7f7f)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_WRITE_MASK                     _MK_MASK_CONST(0x7f7f7f7f)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SISO_WRLIMIT_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SISO_WRLIMIT_FIELD                      _MK_FIELD_CONST(0x7f, MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SISO_WRLIMIT_SHIFT)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SISO_WRLIMIT_RANGE                      6:0
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SISO_WRLIMIT_WOFFSET                    0x0
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SISO_WRLIMIT_DEFAULT                    _MK_MASK_CONST(0x14)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SISO_WRLIMIT_DEFAULT_MASK                       _MK_MASK_CONST(0x7f)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SISO_WRLIMIT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SISO_WRLIMIT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SISO_WRLIMIT_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SISO_WRLIMIT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_NISO_WRLIMIT_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_NISO_WRLIMIT_FIELD                      _MK_FIELD_CONST(0x7f, MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_NISO_WRLIMIT_SHIFT)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_NISO_WRLIMIT_RANGE                      14:8
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_NISO_WRLIMIT_WOFFSET                    0x0
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_NISO_WRLIMIT_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_NISO_WRLIMIT_DEFAULT_MASK                       _MK_MASK_CONST(0x7f)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_NISO_WRLIMIT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_NISO_WRLIMIT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_NISO_WRLIMIT_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_NISO_WRLIMIT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_ISO_WRLIMIT_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_ISO_WRLIMIT_FIELD                       _MK_FIELD_CONST(0x7f, MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_ISO_WRLIMIT_SHIFT)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_ISO_WRLIMIT_RANGE                       22:16
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_ISO_WRLIMIT_WOFFSET                     0x0
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_ISO_WRLIMIT_DEFAULT                     _MK_MASK_CONST(0x14)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_ISO_WRLIMIT_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_ISO_WRLIMIT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_ISO_WRLIMIT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_ISO_WRLIMIT_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_ISO_WRLIMIT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SHARED_WRLIMIT_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SHARED_WRLIMIT_FIELD                    _MK_FIELD_CONST(0x7f, MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SHARED_WRLIMIT_SHIFT)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SHARED_WRLIMIT_RANGE                    30:24
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SHARED_WRLIMIT_WOFFSET                  0x0
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SHARED_WRLIMIT_DEFAULT                  _MK_MASK_CONST(0x1a)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SHARED_WRLIMIT_DEFAULT_MASK                     _MK_MASK_CONST(0x7f)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SHARED_WRLIMIT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SHARED_WRLIMIT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SHARED_WRLIMIT_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_CIFLL_WRDAT_MT_SHARED_WRLIMIT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_HOTRESET_CTRL_DISABLE        0
#define MC_HOTRESET_CTRL_ENABLE 1

// Register MC_CLIENT_HOTRESET_CTRL_0
#define MC_CLIENT_HOTRESET_CTRL_0                       _MK_ADDR_CONST(0x200)
#define MC_CLIENT_HOTRESET_CTRL_0_SECURE                        0x0
#define MC_CLIENT_HOTRESET_CTRL_0_DUAL                  0x0
#define MC_CLIENT_HOTRESET_CTRL_0_SCR                   0
#define MC_CLIENT_HOTRESET_CTRL_0_WORD_COUNT                    0x1
#define MC_CLIENT_HOTRESET_CTRL_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_RESET_MASK                    _MK_MASK_CONST(0xa05e8bc0)
#define MC_CLIENT_HOTRESET_CTRL_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_READ_MASK                     _MK_MASK_CONST(0xa05e8bc0)
#define MC_CLIENT_HOTRESET_CTRL_0_WRITE_MASK                    _MK_MASK_CONST(0xa05e8bc0)
#define MC_CLIENT_HOTRESET_CTRL_0_HC_FLUSH_ENABLE_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_CLIENT_HOTRESET_CTRL_0_HC_FLUSH_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_0_HC_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_0_HC_FLUSH_ENABLE_RANGE                 6:6
#define MC_CLIENT_HOTRESET_CTRL_0_HC_FLUSH_ENABLE_WOFFSET                       0x0
#define MC_CLIENT_HOTRESET_CTRL_0_HC_FLUSH_ENABLE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_HC_FLUSH_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_HC_FLUSH_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_HC_FLUSH_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_HC_FLUSH_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_HC_FLUSH_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_HC_FLUSH_ENABLE_INIT_ENUM                     DISABLE
#define MC_CLIENT_HOTRESET_CTRL_0_HC_FLUSH_ENABLE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_HC_FLUSH_ENABLE_ENABLE                        _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_0_HC_FLUSH_ENABLE_DISABLED                      _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_HC_FLUSH_ENABLE_ENABLED                       _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_0_HDA_FLUSH_ENABLE_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_CLIENT_HOTRESET_CTRL_0_HDA_FLUSH_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_0_HDA_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_0_HDA_FLUSH_ENABLE_RANGE                        7:7
#define MC_CLIENT_HOTRESET_CTRL_0_HDA_FLUSH_ENABLE_WOFFSET                      0x0
#define MC_CLIENT_HOTRESET_CTRL_0_HDA_FLUSH_ENABLE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_HDA_FLUSH_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_HDA_FLUSH_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_HDA_FLUSH_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_HDA_FLUSH_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_HDA_FLUSH_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_HDA_FLUSH_ENABLE_INIT_ENUM                    DISABLE
#define MC_CLIENT_HOTRESET_CTRL_0_HDA_FLUSH_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_HDA_FLUSH_ENABLE_ENABLE                       _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_0_HDA_FLUSH_ENABLE_DISABLED                     _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_HDA_FLUSH_ENABLE_ENABLED                      _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_0_ISP2_FLUSH_ENABLE_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_CLIENT_HOTRESET_CTRL_0_ISP2_FLUSH_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_0_ISP2_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_0_ISP2_FLUSH_ENABLE_RANGE                       8:8
#define MC_CLIENT_HOTRESET_CTRL_0_ISP2_FLUSH_ENABLE_WOFFSET                     0x0
#define MC_CLIENT_HOTRESET_CTRL_0_ISP2_FLUSH_ENABLE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_ISP2_FLUSH_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_ISP2_FLUSH_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_ISP2_FLUSH_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_ISP2_FLUSH_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_ISP2_FLUSH_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_ISP2_FLUSH_ENABLE_INIT_ENUM                   DISABLE
#define MC_CLIENT_HOTRESET_CTRL_0_ISP2_FLUSH_ENABLE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_ISP2_FLUSH_ENABLE_ENABLE                      _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_0_ISP2_FLUSH_ENABLE_DISABLED                    _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_ISP2_FLUSH_ENABLE_ENABLED                     _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_0_MPCORE_FLUSH_ENABLE_SHIFT                     _MK_SHIFT_CONST(9)
#define MC_CLIENT_HOTRESET_CTRL_0_MPCORE_FLUSH_ENABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_0_MPCORE_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_0_MPCORE_FLUSH_ENABLE_RANGE                     9:9
#define MC_CLIENT_HOTRESET_CTRL_0_MPCORE_FLUSH_ENABLE_WOFFSET                   0x0
#define MC_CLIENT_HOTRESET_CTRL_0_MPCORE_FLUSH_ENABLE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_MPCORE_FLUSH_ENABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_MPCORE_FLUSH_ENABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_MPCORE_FLUSH_ENABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_MPCORE_FLUSH_ENABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_MPCORE_FLUSH_ENABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_MPCORE_FLUSH_ENABLE_INIT_ENUM                 DISABLE
#define MC_CLIENT_HOTRESET_CTRL_0_MPCORE_FLUSH_ENABLE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_MPCORE_FLUSH_ENABLE_ENABLE                    _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_0_MPCORE_FLUSH_ENABLE_DISABLED                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_MPCORE_FLUSH_ENABLE_ENABLED                   _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_0_NVENC_FLUSH_ENABLE_SHIFT                      _MK_SHIFT_CONST(11)
#define MC_CLIENT_HOTRESET_CTRL_0_NVENC_FLUSH_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_0_NVENC_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_0_NVENC_FLUSH_ENABLE_RANGE                      11:11
#define MC_CLIENT_HOTRESET_CTRL_0_NVENC_FLUSH_ENABLE_WOFFSET                    0x0
#define MC_CLIENT_HOTRESET_CTRL_0_NVENC_FLUSH_ENABLE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_NVENC_FLUSH_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_NVENC_FLUSH_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_NVENC_FLUSH_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_NVENC_FLUSH_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_NVENC_FLUSH_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_NVENC_FLUSH_ENABLE_INIT_ENUM                  DISABLE
#define MC_CLIENT_HOTRESET_CTRL_0_NVENC_FLUSH_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_NVENC_FLUSH_ENABLE_ENABLE                     _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_0_NVENC_FLUSH_ENABLE_DISABLED                   _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_NVENC_FLUSH_ENABLE_ENABLED                    _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_0_SATA_FLUSH_ENABLE_SHIFT                       _MK_SHIFT_CONST(15)
#define MC_CLIENT_HOTRESET_CTRL_0_SATA_FLUSH_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_0_SATA_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_0_SATA_FLUSH_ENABLE_RANGE                       15:15
#define MC_CLIENT_HOTRESET_CTRL_0_SATA_FLUSH_ENABLE_WOFFSET                     0x0
#define MC_CLIENT_HOTRESET_CTRL_0_SATA_FLUSH_ENABLE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_SATA_FLUSH_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_SATA_FLUSH_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_SATA_FLUSH_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_SATA_FLUSH_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_SATA_FLUSH_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_SATA_FLUSH_ENABLE_INIT_ENUM                   DISABLE
#define MC_CLIENT_HOTRESET_CTRL_0_SATA_FLUSH_ENABLE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_SATA_FLUSH_ENABLE_ENABLE                      _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_0_SATA_FLUSH_ENABLE_DISABLED                    _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_SATA_FLUSH_ENABLE_ENABLED                     _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_0_VI_FLUSH_ENABLE_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_CLIENT_HOTRESET_CTRL_0_VI_FLUSH_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_0_VI_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_0_VI_FLUSH_ENABLE_RANGE                 17:17
#define MC_CLIENT_HOTRESET_CTRL_0_VI_FLUSH_ENABLE_WOFFSET                       0x0
#define MC_CLIENT_HOTRESET_CTRL_0_VI_FLUSH_ENABLE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_VI_FLUSH_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_VI_FLUSH_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_VI_FLUSH_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_VI_FLUSH_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_VI_FLUSH_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_VI_FLUSH_ENABLE_INIT_ENUM                     DISABLE
#define MC_CLIENT_HOTRESET_CTRL_0_VI_FLUSH_ENABLE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_VI_FLUSH_ENABLE_ENABLE                        _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_0_VI_FLUSH_ENABLE_DISABLED                      _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_VI_FLUSH_ENABLE_ENABLED                       _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_0_VIC_FLUSH_ENABLE_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_CLIENT_HOTRESET_CTRL_0_VIC_FLUSH_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_0_VIC_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_0_VIC_FLUSH_ENABLE_RANGE                        18:18
#define MC_CLIENT_HOTRESET_CTRL_0_VIC_FLUSH_ENABLE_WOFFSET                      0x0
#define MC_CLIENT_HOTRESET_CTRL_0_VIC_FLUSH_ENABLE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_VIC_FLUSH_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_VIC_FLUSH_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_VIC_FLUSH_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_VIC_FLUSH_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_VIC_FLUSH_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_VIC_FLUSH_ENABLE_INIT_ENUM                    DISABLE
#define MC_CLIENT_HOTRESET_CTRL_0_VIC_FLUSH_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_VIC_FLUSH_ENABLE_ENABLE                       _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_0_VIC_FLUSH_ENABLE_DISABLED                     _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_VIC_FLUSH_ENABLE_ENABLED                      _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_HOST_FLUSH_ENABLE_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_HOST_FLUSH_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_0_XUSB_HOST_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_HOST_FLUSH_ENABLE_RANGE                  19:19
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_HOST_FLUSH_ENABLE_WOFFSET                        0x0
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_HOST_FLUSH_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_HOST_FLUSH_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_HOST_FLUSH_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_HOST_FLUSH_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_HOST_FLUSH_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_HOST_FLUSH_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_HOST_FLUSH_ENABLE_INIT_ENUM                      DISABLE
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_HOST_FLUSH_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_HOST_FLUSH_ENABLE_ENABLE                 _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_HOST_FLUSH_ENABLE_DISABLED                       _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_HOST_FLUSH_ENABLE_ENABLED                        _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_DEV_FLUSH_ENABLE_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_DEV_FLUSH_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_0_XUSB_DEV_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_DEV_FLUSH_ENABLE_RANGE                   20:20
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_DEV_FLUSH_ENABLE_WOFFSET                 0x0
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_DEV_FLUSH_ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_DEV_FLUSH_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_DEV_FLUSH_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_DEV_FLUSH_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_DEV_FLUSH_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_DEV_FLUSH_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_DEV_FLUSH_ENABLE_INIT_ENUM                       DISABLE
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_DEV_FLUSH_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_DEV_FLUSH_ENABLE_ENABLE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_DEV_FLUSH_ENABLE_DISABLED                        _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_XUSB_DEV_FLUSH_ENABLE_ENABLED                 _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_0_TSEC_FLUSH_ENABLE_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_CLIENT_HOTRESET_CTRL_0_TSEC_FLUSH_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_0_TSEC_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_0_TSEC_FLUSH_ENABLE_RANGE                       22:22
#define MC_CLIENT_HOTRESET_CTRL_0_TSEC_FLUSH_ENABLE_WOFFSET                     0x0
#define MC_CLIENT_HOTRESET_CTRL_0_TSEC_FLUSH_ENABLE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_TSEC_FLUSH_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_TSEC_FLUSH_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_TSEC_FLUSH_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_TSEC_FLUSH_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_TSEC_FLUSH_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_TSEC_FLUSH_ENABLE_INIT_ENUM                   DISABLE
#define MC_CLIENT_HOTRESET_CTRL_0_TSEC_FLUSH_ENABLE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_TSEC_FLUSH_ENABLE_ENABLE                      _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_0_TSEC_FLUSH_ENABLE_DISABLED                    _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_TSEC_FLUSH_ENABLE_ENABLED                     _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC1A_FLUSH_ENABLE_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC1A_FLUSH_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_0_SDMMC1A_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC1A_FLUSH_ENABLE_RANGE                    29:29
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC1A_FLUSH_ENABLE_WOFFSET                  0x0
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC1A_FLUSH_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC1A_FLUSH_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC1A_FLUSH_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC1A_FLUSH_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC1A_FLUSH_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC1A_FLUSH_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC1A_FLUSH_ENABLE_INIT_ENUM                        DISABLE
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC1A_FLUSH_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC1A_FLUSH_ENABLE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC1A_FLUSH_ENABLE_DISABLED                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC1A_FLUSH_ENABLE_ENABLED                  _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC3A_FLUSH_ENABLE_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC3A_FLUSH_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_0_SDMMC3A_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC3A_FLUSH_ENABLE_RANGE                    31:31
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC3A_FLUSH_ENABLE_WOFFSET                  0x0
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC3A_FLUSH_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC3A_FLUSH_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC3A_FLUSH_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC3A_FLUSH_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC3A_FLUSH_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC3A_FLUSH_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC3A_FLUSH_ENABLE_INIT_ENUM                        DISABLE
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC3A_FLUSH_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC3A_FLUSH_ENABLE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC3A_FLUSH_ENABLE_DISABLED                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_0_SDMMC3A_FLUSH_ENABLE_ENABLED                  _MK_ENUM_CONST(1)


// Register MC_CLIENT_HOTRESET_CTRL_1_0
#define MC_CLIENT_HOTRESET_CTRL_1_0                     _MK_ADDR_CONST(0x970)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SECURE                      0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_DUAL                        0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_SCR                         0
#define MC_CLIENT_HOTRESET_CTRL_1_0_WORD_COUNT                  0x1
#define MC_CLIENT_HOTRESET_CTRL_1_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_RESET_MASK                  _MK_MASK_CONST(0xfcfe31e1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_READ_MASK                   _MK_MASK_CONST(0xfcfe31e1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_WRITE_MASK                  _MK_MASK_CONST(0xfcfe31e1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SDMMC4A_FLUSH_ENABLE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SDMMC4A_FLUSH_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_1_0_SDMMC4A_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SDMMC4A_FLUSH_ENABLE_RANGE                  0:0
#define MC_CLIENT_HOTRESET_CTRL_1_0_SDMMC4A_FLUSH_ENABLE_WOFFSET                        0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_SDMMC4A_FLUSH_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SDMMC4A_FLUSH_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SDMMC4A_FLUSH_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SDMMC4A_FLUSH_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SDMMC4A_FLUSH_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SDMMC4A_FLUSH_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SDMMC4A_FLUSH_ENABLE_INIT_ENUM                      DISABLE
#define MC_CLIENT_HOTRESET_CTRL_1_0_SDMMC4A_FLUSH_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SDMMC4A_FLUSH_ENABLE_ENABLE                 _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SDMMC4A_FLUSH_ENABLE_DISABLED                       _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SDMMC4A_FLUSH_ENABLE_ENABLED                        _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDEC_FLUSH_ENABLE_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDEC_FLUSH_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_1_0_NVDEC_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDEC_FLUSH_ENABLE_RANGE                    5:5
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDEC_FLUSH_ENABLE_WOFFSET                  0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDEC_FLUSH_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDEC_FLUSH_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDEC_FLUSH_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDEC_FLUSH_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDEC_FLUSH_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDEC_FLUSH_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDEC_FLUSH_ENABLE_INIT_ENUM                        DISABLE
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDEC_FLUSH_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDEC_FLUSH_ENABLE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDEC_FLUSH_ENABLE_DISABLED                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDEC_FLUSH_ENABLE_ENABLED                  _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_1_0_APE_FLUSH_ENABLE_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_CLIENT_HOTRESET_CTRL_1_0_APE_FLUSH_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_1_0_APE_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_1_0_APE_FLUSH_ENABLE_RANGE                      6:6
#define MC_CLIENT_HOTRESET_CTRL_1_0_APE_FLUSH_ENABLE_WOFFSET                    0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_APE_FLUSH_ENABLE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_APE_FLUSH_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_APE_FLUSH_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_APE_FLUSH_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_APE_FLUSH_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_APE_FLUSH_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_APE_FLUSH_ENABLE_INIT_ENUM                  DISABLE
#define MC_CLIENT_HOTRESET_CTRL_1_0_APE_FLUSH_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_APE_FLUSH_ENABLE_ENABLE                     _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_APE_FLUSH_ENABLE_DISABLED                   _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_APE_FLUSH_ENABLE_ENABLED                    _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_1_0_SE_FLUSH_ENABLE_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SE_FLUSH_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_1_0_SE_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SE_FLUSH_ENABLE_RANGE                       7:7
#define MC_CLIENT_HOTRESET_CTRL_1_0_SE_FLUSH_ENABLE_WOFFSET                     0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_SE_FLUSH_ENABLE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SE_FLUSH_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SE_FLUSH_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SE_FLUSH_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SE_FLUSH_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SE_FLUSH_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SE_FLUSH_ENABLE_INIT_ENUM                   DISABLE
#define MC_CLIENT_HOTRESET_CTRL_1_0_SE_FLUSH_ENABLE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SE_FLUSH_ENABLE_ENABLE                      _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SE_FLUSH_ENABLE_DISABLED                    _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SE_FLUSH_ENABLE_ENABLED                     _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_1_0_NVJPG_FLUSH_ENABLE_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVJPG_FLUSH_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_1_0_NVJPG_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVJPG_FLUSH_ENABLE_RANGE                    8:8
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVJPG_FLUSH_ENABLE_WOFFSET                  0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVJPG_FLUSH_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVJPG_FLUSH_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVJPG_FLUSH_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVJPG_FLUSH_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVJPG_FLUSH_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVJPG_FLUSH_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVJPG_FLUSH_ENABLE_INIT_ENUM                        DISABLE
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVJPG_FLUSH_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVJPG_FLUSH_ENABLE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVJPG_FLUSH_ENABLE_DISABLED                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVJPG_FLUSH_ENABLE_ENABLED                  _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_1_0_ETR_FLUSH_ENABLE_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_CLIENT_HOTRESET_CTRL_1_0_ETR_FLUSH_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_1_0_ETR_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_1_0_ETR_FLUSH_ENABLE_RANGE                      12:12
#define MC_CLIENT_HOTRESET_CTRL_1_0_ETR_FLUSH_ENABLE_WOFFSET                    0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_ETR_FLUSH_ENABLE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_ETR_FLUSH_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_ETR_FLUSH_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_ETR_FLUSH_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_ETR_FLUSH_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_ETR_FLUSH_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_ETR_FLUSH_ENABLE_INIT_ENUM                  DISABLE
#define MC_CLIENT_HOTRESET_CTRL_1_0_ETR_FLUSH_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_ETR_FLUSH_ENABLE_ENABLE                     _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_ETR_FLUSH_ENABLE_DISABLED                   _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_ETR_FLUSH_ENABLE_ENABLED                    _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_1_0_TSECB_FLUSH_ENABLE_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_CLIENT_HOTRESET_CTRL_1_0_TSECB_FLUSH_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_1_0_TSECB_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_1_0_TSECB_FLUSH_ENABLE_RANGE                    13:13
#define MC_CLIENT_HOTRESET_CTRL_1_0_TSECB_FLUSH_ENABLE_WOFFSET                  0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_TSECB_FLUSH_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_TSECB_FLUSH_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_TSECB_FLUSH_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_TSECB_FLUSH_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_TSECB_FLUSH_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_TSECB_FLUSH_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_TSECB_FLUSH_ENABLE_INIT_ENUM                        DISABLE
#define MC_CLIENT_HOTRESET_CTRL_1_0_TSECB_FLUSH_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_TSECB_FLUSH_ENABLE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_TSECB_FLUSH_ENABLE_DISABLED                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_TSECB_FLUSH_ENABLE_ENABLED                  _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_1_0_AXIS_FLUSH_ENABLE_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AXIS_FLUSH_ENABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_1_0_AXIS_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AXIS_FLUSH_ENABLE_RANGE                     17:17
#define MC_CLIENT_HOTRESET_CTRL_1_0_AXIS_FLUSH_ENABLE_WOFFSET                   0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_AXIS_FLUSH_ENABLE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AXIS_FLUSH_ENABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AXIS_FLUSH_ENABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AXIS_FLUSH_ENABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AXIS_FLUSH_ENABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AXIS_FLUSH_ENABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AXIS_FLUSH_ENABLE_INIT_ENUM                 DISABLE
#define MC_CLIENT_HOTRESET_CTRL_1_0_AXIS_FLUSH_ENABLE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AXIS_FLUSH_ENABLE_ENABLE                    _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AXIS_FLUSH_ENABLE_DISABLED                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AXIS_FLUSH_ENABLE_ENABLED                   _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_1_0_EQOS_FLUSH_ENABLE_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_CLIENT_HOTRESET_CTRL_1_0_EQOS_FLUSH_ENABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_1_0_EQOS_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_1_0_EQOS_FLUSH_ENABLE_RANGE                     18:18
#define MC_CLIENT_HOTRESET_CTRL_1_0_EQOS_FLUSH_ENABLE_WOFFSET                   0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_EQOS_FLUSH_ENABLE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_EQOS_FLUSH_ENABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_EQOS_FLUSH_ENABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_EQOS_FLUSH_ENABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_EQOS_FLUSH_ENABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_EQOS_FLUSH_ENABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_EQOS_FLUSH_ENABLE_INIT_ENUM                 DISABLE
#define MC_CLIENT_HOTRESET_CTRL_1_0_EQOS_FLUSH_ENABLE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_EQOS_FLUSH_ENABLE_ENABLE                    _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_EQOS_FLUSH_ENABLE_DISABLED                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_EQOS_FLUSH_ENABLE_ENABLED                   _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_1_0_UFSHC_FLUSH_ENABLE_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_CLIENT_HOTRESET_CTRL_1_0_UFSHC_FLUSH_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_1_0_UFSHC_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_1_0_UFSHC_FLUSH_ENABLE_RANGE                    19:19
#define MC_CLIENT_HOTRESET_CTRL_1_0_UFSHC_FLUSH_ENABLE_WOFFSET                  0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_UFSHC_FLUSH_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_UFSHC_FLUSH_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_UFSHC_FLUSH_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_UFSHC_FLUSH_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_UFSHC_FLUSH_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_UFSHC_FLUSH_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_UFSHC_FLUSH_ENABLE_INIT_ENUM                        DISABLE
#define MC_CLIENT_HOTRESET_CTRL_1_0_UFSHC_FLUSH_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_UFSHC_FLUSH_ENABLE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_UFSHC_FLUSH_ENABLE_DISABLED                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_UFSHC_FLUSH_ENABLE_ENABLED                  _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDISPLAY_FLUSH_ENABLE_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDISPLAY_FLUSH_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_1_0_NVDISPLAY_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDISPLAY_FLUSH_ENABLE_RANGE                        20:20
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDISPLAY_FLUSH_ENABLE_WOFFSET                      0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDISPLAY_FLUSH_ENABLE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDISPLAY_FLUSH_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDISPLAY_FLUSH_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDISPLAY_FLUSH_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDISPLAY_FLUSH_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDISPLAY_FLUSH_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDISPLAY_FLUSH_ENABLE_INIT_ENUM                    DISABLE
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDISPLAY_FLUSH_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDISPLAY_FLUSH_ENABLE_ENABLE                       _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDISPLAY_FLUSH_ENABLE_DISABLED                     _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_NVDISPLAY_FLUSH_ENABLE_ENABLED                      _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_1_0_BPMP_FLUSH_ENABLE_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_CLIENT_HOTRESET_CTRL_1_0_BPMP_FLUSH_ENABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_1_0_BPMP_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_1_0_BPMP_FLUSH_ENABLE_RANGE                     21:21
#define MC_CLIENT_HOTRESET_CTRL_1_0_BPMP_FLUSH_ENABLE_WOFFSET                   0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_BPMP_FLUSH_ENABLE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_BPMP_FLUSH_ENABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_BPMP_FLUSH_ENABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_BPMP_FLUSH_ENABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_BPMP_FLUSH_ENABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_BPMP_FLUSH_ENABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_BPMP_FLUSH_ENABLE_INIT_ENUM                 DISABLE
#define MC_CLIENT_HOTRESET_CTRL_1_0_BPMP_FLUSH_ENABLE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_BPMP_FLUSH_ENABLE_ENABLE                    _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_BPMP_FLUSH_ENABLE_DISABLED                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_BPMP_FLUSH_ENABLE_ENABLED                   _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_1_0_AON_FLUSH_ENABLE_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AON_FLUSH_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_1_0_AON_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AON_FLUSH_ENABLE_RANGE                      22:22
#define MC_CLIENT_HOTRESET_CTRL_1_0_AON_FLUSH_ENABLE_WOFFSET                    0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_AON_FLUSH_ENABLE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AON_FLUSH_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AON_FLUSH_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AON_FLUSH_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AON_FLUSH_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AON_FLUSH_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AON_FLUSH_ENABLE_INIT_ENUM                  DISABLE
#define MC_CLIENT_HOTRESET_CTRL_1_0_AON_FLUSH_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AON_FLUSH_ENABLE_ENABLE                     _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AON_FLUSH_ENABLE_DISABLED                   _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_AON_FLUSH_ENABLE_ENABLED                    _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_1_0_SCE_FLUSH_ENABLE_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SCE_FLUSH_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_1_0_SCE_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SCE_FLUSH_ENABLE_RANGE                      23:23
#define MC_CLIENT_HOTRESET_CTRL_1_0_SCE_FLUSH_ENABLE_WOFFSET                    0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_SCE_FLUSH_ENABLE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SCE_FLUSH_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SCE_FLUSH_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SCE_FLUSH_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SCE_FLUSH_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SCE_FLUSH_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SCE_FLUSH_ENABLE_INIT_ENUM                  DISABLE
#define MC_CLIENT_HOTRESET_CTRL_1_0_SCE_FLUSH_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SCE_FLUSH_ENABLE_ENABLE                     _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SCE_FLUSH_ENABLE_DISABLED                   _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_SCE_FLUSH_ENABLE_ENABLED                    _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_1_0_VIFAL_FLUSH_ENABLE_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_CLIENT_HOTRESET_CTRL_1_0_VIFAL_FLUSH_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_1_0_VIFAL_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_1_0_VIFAL_FLUSH_ENABLE_RANGE                    26:26
#define MC_CLIENT_HOTRESET_CTRL_1_0_VIFAL_FLUSH_ENABLE_WOFFSET                  0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_VIFAL_FLUSH_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_VIFAL_FLUSH_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_VIFAL_FLUSH_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_VIFAL_FLUSH_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_VIFAL_FLUSH_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_VIFAL_FLUSH_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_VIFAL_FLUSH_ENABLE_INIT_ENUM                        DISABLE
#define MC_CLIENT_HOTRESET_CTRL_1_0_VIFAL_FLUSH_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_VIFAL_FLUSH_ENABLE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_VIFAL_FLUSH_ENABLE_DISABLED                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_VIFAL_FLUSH_ENABLE_ENABLED                  _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_1_0_DLAA_FLUSH_ENABLE_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLAA_FLUSH_ENABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_1_0_DLAA_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLAA_FLUSH_ENABLE_RANGE                     27:27
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLAA_FLUSH_ENABLE_WOFFSET                   0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLAA_FLUSH_ENABLE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLAA_FLUSH_ENABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLAA_FLUSH_ENABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLAA_FLUSH_ENABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLAA_FLUSH_ENABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLAA_FLUSH_ENABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLAA_FLUSH_ENABLE_INIT_ENUM                 DISABLE
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLAA_FLUSH_ENABLE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLAA_FLUSH_ENABLE_ENABLE                    _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLAA_FLUSH_ENABLE_DISABLED                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLAA_FLUSH_ENABLE_ENABLED                   _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_1_0_DLA1A_FLUSH_ENABLE_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLA1A_FLUSH_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_1_0_DLA1A_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLA1A_FLUSH_ENABLE_RANGE                    28:28
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLA1A_FLUSH_ENABLE_WOFFSET                  0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLA1A_FLUSH_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLA1A_FLUSH_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLA1A_FLUSH_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLA1A_FLUSH_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLA1A_FLUSH_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLA1A_FLUSH_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLA1A_FLUSH_ENABLE_INIT_ENUM                        DISABLE
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLA1A_FLUSH_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLA1A_FLUSH_ENABLE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLA1A_FLUSH_ENABLE_DISABLED                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_DLA1A_FLUSH_ENABLE_ENABLED                  _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA0A_FLUSH_ENABLE_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA0A_FLUSH_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_1_0_PVA0A_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA0A_FLUSH_ENABLE_RANGE                    29:29
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA0A_FLUSH_ENABLE_WOFFSET                  0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA0A_FLUSH_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA0A_FLUSH_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA0A_FLUSH_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA0A_FLUSH_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA0A_FLUSH_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA0A_FLUSH_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA0A_FLUSH_ENABLE_INIT_ENUM                        DISABLE
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA0A_FLUSH_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA0A_FLUSH_ENABLE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA0A_FLUSH_ENABLE_DISABLED                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA0A_FLUSH_ENABLE_ENABLED                  _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA1A_FLUSH_ENABLE_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA1A_FLUSH_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_1_0_PVA1A_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA1A_FLUSH_ENABLE_RANGE                    30:30
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA1A_FLUSH_ENABLE_WOFFSET                  0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA1A_FLUSH_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA1A_FLUSH_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA1A_FLUSH_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA1A_FLUSH_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA1A_FLUSH_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA1A_FLUSH_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA1A_FLUSH_ENABLE_INIT_ENUM                        DISABLE
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA1A_FLUSH_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA1A_FLUSH_ENABLE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA1A_FLUSH_ENABLE_DISABLED                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_PVA1A_FLUSH_ENABLE_ENABLED                  _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_1_0_RCE_FLUSH_ENABLE_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_CLIENT_HOTRESET_CTRL_1_0_RCE_FLUSH_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_1_0_RCE_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_1_0_RCE_FLUSH_ENABLE_RANGE                      31:31
#define MC_CLIENT_HOTRESET_CTRL_1_0_RCE_FLUSH_ENABLE_WOFFSET                    0x0
#define MC_CLIENT_HOTRESET_CTRL_1_0_RCE_FLUSH_ENABLE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_RCE_FLUSH_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_RCE_FLUSH_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_RCE_FLUSH_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_RCE_FLUSH_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_RCE_FLUSH_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_RCE_FLUSH_ENABLE_INIT_ENUM                  DISABLE
#define MC_CLIENT_HOTRESET_CTRL_1_0_RCE_FLUSH_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_RCE_FLUSH_ENABLE_ENABLE                     _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_1_0_RCE_FLUSH_ENABLE_DISABLED                   _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_1_0_RCE_FLUSH_ENABLE_ENABLED                    _MK_ENUM_CONST(1)


// Register MC_CLIENT_HOTRESET_CTRL_2_0
#define MC_CLIENT_HOTRESET_CTRL_2_0                     _MK_ADDR_CONST(0x97c)
#define MC_CLIENT_HOTRESET_CTRL_2_0_SECURE                      0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_DUAL                        0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_SCR                         0
#define MC_CLIENT_HOTRESET_CTRL_2_0_WORD_COUNT                  0x1
#define MC_CLIENT_HOTRESET_CTRL_2_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_RESET_MASK                  _MK_MASK_CONST(0x3ffcffd)
#define MC_CLIENT_HOTRESET_CTRL_2_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_READ_MASK                   _MK_MASK_CONST(0x3ffcffd)
#define MC_CLIENT_HOTRESET_CTRL_2_0_WRITE_MASK                  _MK_MASK_CONST(0x3ffcffd)
#define MC_CLIENT_HOTRESET_CTRL_2_0_RCEDMA_FLUSH_ENABLE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_RCEDMA_FLUSH_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_RCEDMA_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_RCEDMA_FLUSH_ENABLE_RANGE                   0:0
#define MC_CLIENT_HOTRESET_CTRL_2_0_RCEDMA_FLUSH_ENABLE_WOFFSET                 0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_RCEDMA_FLUSH_ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_RCEDMA_FLUSH_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_RCEDMA_FLUSH_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_RCEDMA_FLUSH_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_RCEDMA_FLUSH_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_RCEDMA_FLUSH_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_RCEDMA_FLUSH_ENABLE_INIT_ENUM                       DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_RCEDMA_FLUSH_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_RCEDMA_FLUSH_ENABLE_ENABLE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_RCEDMA_FLUSH_ENABLE_DISABLED                        _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_RCEDMA_FLUSH_ENABLE_ENABLED                 _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE_FLUSH_ENABLE_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE_FLUSH_ENABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_PCIE_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE_FLUSH_ENABLE_RANGE                     2:2
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE_FLUSH_ENABLE_WOFFSET                   0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE_FLUSH_ENABLE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE_FLUSH_ENABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE_FLUSH_ENABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE_FLUSH_ENABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE_FLUSH_ENABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE_FLUSH_ENABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE_FLUSH_ENABLE_INIT_ENUM                 DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE_FLUSH_ENABLE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE_FLUSH_ENABLE_ENABLE                    _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE_FLUSH_ENABLE_DISABLED                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE_FLUSH_ENABLE_ENABLED                   _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_AXIAP_FLUSH_ENABLE_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AXIAP_FLUSH_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_AXIAP_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AXIAP_FLUSH_ENABLE_RANGE                    3:3
#define MC_CLIENT_HOTRESET_CTRL_2_0_AXIAP_FLUSH_ENABLE_WOFFSET                  0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_AXIAP_FLUSH_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AXIAP_FLUSH_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AXIAP_FLUSH_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AXIAP_FLUSH_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AXIAP_FLUSH_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AXIAP_FLUSH_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AXIAP_FLUSH_ENABLE_INIT_ENUM                        DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_AXIAP_FLUSH_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AXIAP_FLUSH_ENABLE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AXIAP_FLUSH_ENABLE_DISABLED                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AXIAP_FLUSH_ENABLE_ENABLED                  _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE5A_FLUSH_ENABLE_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE5A_FLUSH_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_PCIE5A_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE5A_FLUSH_ENABLE_RANGE                   4:4
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE5A_FLUSH_ENABLE_WOFFSET                 0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE5A_FLUSH_ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE5A_FLUSH_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE5A_FLUSH_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE5A_FLUSH_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE5A_FLUSH_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE5A_FLUSH_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE5A_FLUSH_ENABLE_INIT_ENUM                       DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE5A_FLUSH_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE5A_FLUSH_ENABLE_ENABLE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE5A_FLUSH_ENABLE_DISABLED                        _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE5A_FLUSH_ENABLE_ENABLED                 _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0B_FLUSH_ENABLE_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0B_FLUSH_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_PVA0B_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0B_FLUSH_ENABLE_RANGE                    5:5
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0B_FLUSH_ENABLE_WOFFSET                  0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0B_FLUSH_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0B_FLUSH_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0B_FLUSH_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0B_FLUSH_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0B_FLUSH_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0B_FLUSH_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0B_FLUSH_ENABLE_INIT_ENUM                        DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0B_FLUSH_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0B_FLUSH_ENABLE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0B_FLUSH_ENABLE_DISABLED                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0B_FLUSH_ENABLE_ENABLED                  _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0C_FLUSH_ENABLE_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0C_FLUSH_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_PVA0C_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0C_FLUSH_ENABLE_RANGE                    6:6
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0C_FLUSH_ENABLE_WOFFSET                  0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0C_FLUSH_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0C_FLUSH_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0C_FLUSH_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0C_FLUSH_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0C_FLUSH_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0C_FLUSH_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0C_FLUSH_ENABLE_INIT_ENUM                        DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0C_FLUSH_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0C_FLUSH_ENABLE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0C_FLUSH_ENABLE_DISABLED                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA0C_FLUSH_ENABLE_ENABLED                  _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1B_FLUSH_ENABLE_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1B_FLUSH_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_PVA1B_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1B_FLUSH_ENABLE_RANGE                    7:7
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1B_FLUSH_ENABLE_WOFFSET                  0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1B_FLUSH_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1B_FLUSH_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1B_FLUSH_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1B_FLUSH_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1B_FLUSH_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1B_FLUSH_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1B_FLUSH_ENABLE_INIT_ENUM                        DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1B_FLUSH_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1B_FLUSH_ENABLE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1B_FLUSH_ENABLE_DISABLED                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1B_FLUSH_ENABLE_ENABLED                  _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1C_FLUSH_ENABLE_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1C_FLUSH_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_PVA1C_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1C_FLUSH_ENABLE_RANGE                    8:8
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1C_FLUSH_ENABLE_WOFFSET                  0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1C_FLUSH_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1C_FLUSH_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1C_FLUSH_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1C_FLUSH_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1C_FLUSH_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1C_FLUSH_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1C_FLUSH_ENABLE_INIT_ENUM                        DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1C_FLUSH_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1C_FLUSH_ENABLE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1C_FLUSH_ENABLE_DISABLED                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PVA1C_FLUSH_ENABLE_ENABLED                  _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_AONDMA_FLUSH_ENABLE_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AONDMA_FLUSH_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_AONDMA_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AONDMA_FLUSH_ENABLE_RANGE                   9:9
#define MC_CLIENT_HOTRESET_CTRL_2_0_AONDMA_FLUSH_ENABLE_WOFFSET                 0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_AONDMA_FLUSH_ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AONDMA_FLUSH_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AONDMA_FLUSH_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AONDMA_FLUSH_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AONDMA_FLUSH_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AONDMA_FLUSH_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AONDMA_FLUSH_ENABLE_INIT_ENUM                       DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_AONDMA_FLUSH_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AONDMA_FLUSH_ENABLE_ENABLE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AONDMA_FLUSH_ENABLE_DISABLED                        _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_AONDMA_FLUSH_ENABLE_ENABLED                 _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_BPMPDMA_FLUSH_ENABLE_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_CLIENT_HOTRESET_CTRL_2_0_BPMPDMA_FLUSH_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_BPMPDMA_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_BPMPDMA_FLUSH_ENABLE_RANGE                  10:10
#define MC_CLIENT_HOTRESET_CTRL_2_0_BPMPDMA_FLUSH_ENABLE_WOFFSET                        0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_BPMPDMA_FLUSH_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_BPMPDMA_FLUSH_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_BPMPDMA_FLUSH_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_BPMPDMA_FLUSH_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_BPMPDMA_FLUSH_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_BPMPDMA_FLUSH_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_BPMPDMA_FLUSH_ENABLE_INIT_ENUM                      DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_BPMPDMA_FLUSH_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_BPMPDMA_FLUSH_ENABLE_ENABLE                 _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_BPMPDMA_FLUSH_ENABLE_DISABLED                       _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_BPMPDMA_FLUSH_ENABLE_ENABLED                        _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_SCEDMA_FLUSH_ENABLE_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_CLIENT_HOTRESET_CTRL_2_0_SCEDMA_FLUSH_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_SCEDMA_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_SCEDMA_FLUSH_ENABLE_RANGE                   11:11
#define MC_CLIENT_HOTRESET_CTRL_2_0_SCEDMA_FLUSH_ENABLE_WOFFSET                 0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_SCEDMA_FLUSH_ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_SCEDMA_FLUSH_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_SCEDMA_FLUSH_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_SCEDMA_FLUSH_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_SCEDMA_FLUSH_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_SCEDMA_FLUSH_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_SCEDMA_FLUSH_ENABLE_INIT_ENUM                       DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_SCEDMA_FLUSH_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_SCEDMA_FLUSH_ENABLE_ENABLE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_SCEDMA_FLUSH_ENABLE_DISABLED                        _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_SCEDMA_FLUSH_ENABLE_ENABLED                 _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_APEDMA_FLUSH_ENABLE_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_CLIENT_HOTRESET_CTRL_2_0_APEDMA_FLUSH_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_APEDMA_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_APEDMA_FLUSH_ENABLE_RANGE                   14:14
#define MC_CLIENT_HOTRESET_CTRL_2_0_APEDMA_FLUSH_ENABLE_WOFFSET                 0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_APEDMA_FLUSH_ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_APEDMA_FLUSH_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_APEDMA_FLUSH_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_APEDMA_FLUSH_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_APEDMA_FLUSH_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_APEDMA_FLUSH_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_APEDMA_FLUSH_ENABLE_INIT_ENUM                       DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_APEDMA_FLUSH_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_APEDMA_FLUSH_ENABLE_ENABLE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_APEDMA_FLUSH_ENABLE_DISABLED                        _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_APEDMA_FLUSH_ENABLE_ENABLED                 _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE2A_FLUSH_ENABLE_SHIFT                   _MK_SHIFT_CONST(15)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE2A_FLUSH_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_PCIE2A_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE2A_FLUSH_ENABLE_RANGE                   15:15
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE2A_FLUSH_ENABLE_WOFFSET                 0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE2A_FLUSH_ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE2A_FLUSH_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE2A_FLUSH_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE2A_FLUSH_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE2A_FLUSH_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE2A_FLUSH_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE2A_FLUSH_ENABLE_INIT_ENUM                       DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE2A_FLUSH_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE2A_FLUSH_ENABLE_ENABLE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE2A_FLUSH_ENABLE_DISABLED                        _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE2A_FLUSH_ENABLE_ENABLED                 _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3A_FLUSH_ENABLE_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3A_FLUSH_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3A_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3A_FLUSH_ENABLE_RANGE                   16:16
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3A_FLUSH_ENABLE_WOFFSET                 0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3A_FLUSH_ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3A_FLUSH_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3A_FLUSH_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3A_FLUSH_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3A_FLUSH_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3A_FLUSH_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3A_FLUSH_ENABLE_INIT_ENUM                       DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3A_FLUSH_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3A_FLUSH_ENABLE_ENABLE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3A_FLUSH_ENABLE_DISABLED                        _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3A_FLUSH_ENABLE_ENABLED                 _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3_FLUSH_ENABLE_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3_FLUSH_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3_FLUSH_ENABLE_RANGE                    17:17
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3_FLUSH_ENABLE_WOFFSET                  0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3_FLUSH_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3_FLUSH_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3_FLUSH_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3_FLUSH_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3_FLUSH_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3_FLUSH_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3_FLUSH_ENABLE_INIT_ENUM                        DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3_FLUSH_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3_FLUSH_ENABLE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3_FLUSH_ENABLE_DISABLED                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE3_FLUSH_ENABLE_ENABLED                  _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_NVENCB_FLUSH_ENABLE_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVENCB_FLUSH_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_NVENCB_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVENCB_FLUSH_ENABLE_RANGE                   18:18
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVENCB_FLUSH_ENABLE_WOFFSET                 0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVENCB_FLUSH_ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVENCB_FLUSH_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVENCB_FLUSH_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVENCB_FLUSH_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVENCB_FLUSH_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVENCB_FLUSH_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVENCB_FLUSH_ENABLE_INIT_ENUM                       DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVENCB_FLUSH_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVENCB_FLUSH_ENABLE_ENABLE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVENCB_FLUSH_ENABLE_DISABLED                        _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVENCB_FLUSH_ENABLE_ENABLED                 _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPA_FLUSH_ENABLE_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPA_FLUSH_ENABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_ISPA_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPA_FLUSH_ENABLE_RANGE                     19:19
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPA_FLUSH_ENABLE_WOFFSET                   0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPA_FLUSH_ENABLE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPA_FLUSH_ENABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPA_FLUSH_ENABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPA_FLUSH_ENABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPA_FLUSH_ENABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPA_FLUSH_ENABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPA_FLUSH_ENABLE_INIT_ENUM                 DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPA_FLUSH_ENABLE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPA_FLUSH_ENABLE_ENABLE                    _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPA_FLUSH_ENABLE_DISABLED                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPA_FLUSH_ENABLE_ENABLED                   _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_ISP2A_FLUSH_ENABLE_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISP2A_FLUSH_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_ISP2A_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISP2A_FLUSH_ENABLE_RANGE                    20:20
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISP2A_FLUSH_ENABLE_WOFFSET                  0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISP2A_FLUSH_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISP2A_FLUSH_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISP2A_FLUSH_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISP2A_FLUSH_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISP2A_FLUSH_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISP2A_FLUSH_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISP2A_FLUSH_ENABLE_INIT_ENUM                        DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISP2A_FLUSH_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISP2A_FLUSH_ENABLE_ENABLE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISP2A_FLUSH_ENABLE_DISABLED                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISP2A_FLUSH_ENABLE_ENABLED                  _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPFAL_FLUSH_ENABLE_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPFAL_FLUSH_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_ISPFAL_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPFAL_FLUSH_ENABLE_RANGE                   21:21
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPFAL_FLUSH_ENABLE_WOFFSET                 0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPFAL_FLUSH_ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPFAL_FLUSH_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPFAL_FLUSH_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPFAL_FLUSH_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPFAL_FLUSH_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPFAL_FLUSH_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPFAL_FLUSH_ENABLE_INIT_ENUM                       DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPFAL_FLUSH_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPFAL_FLUSH_ENABLE_ENABLE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPFAL_FLUSH_ENABLE_DISABLED                        _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_ISPFAL_FLUSH_ENABLE_ENABLED                 _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A_FLUSH_ENABLE_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A_FLUSH_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A_FLUSH_ENABLE_RANGE                   22:22
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A_FLUSH_ENABLE_WOFFSET                 0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A_FLUSH_ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A_FLUSH_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A_FLUSH_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A_FLUSH_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A_FLUSH_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A_FLUSH_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A_FLUSH_ENABLE_INIT_ENUM                       DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A_FLUSH_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A_FLUSH_ENABLE_ENABLE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A_FLUSH_ENABLE_DISABLED                        _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A_FLUSH_ENABLE_ENABLED                 _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A2_FLUSH_ENABLE_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A2_FLUSH_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A2_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A2_FLUSH_ENABLE_RANGE                  23:23
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A2_FLUSH_ENABLE_WOFFSET                        0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A2_FLUSH_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A2_FLUSH_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A2_FLUSH_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A2_FLUSH_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A2_FLUSH_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A2_FLUSH_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A2_FLUSH_ENABLE_INIT_ENUM                      DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A2_FLUSH_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A2_FLUSH_ENABLE_ENABLE                 _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A2_FLUSH_ENABLE_DISABLED                       _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE0A2_FLUSH_ENABLE_ENABLED                        _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_NVDEC2A_FLUSH_ENABLE_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVDEC2A_FLUSH_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_NVDEC2A_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVDEC2A_FLUSH_ENABLE_RANGE                  24:24
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVDEC2A_FLUSH_ENABLE_WOFFSET                        0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVDEC2A_FLUSH_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVDEC2A_FLUSH_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVDEC2A_FLUSH_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVDEC2A_FLUSH_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVDEC2A_FLUSH_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVDEC2A_FLUSH_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVDEC2A_FLUSH_ENABLE_INIT_ENUM                      DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVDEC2A_FLUSH_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVDEC2A_FLUSH_ENABLE_ENABLE                 _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVDEC2A_FLUSH_ENABLE_DISABLED                       _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_NVDEC2A_FLUSH_ENABLE_ENABLED                        _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE4A_FLUSH_ENABLE_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE4A_FLUSH_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_CTRL_2_0_PCIE4A_FLUSH_ENABLE_SHIFT)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE4A_FLUSH_ENABLE_RANGE                   25:25
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE4A_FLUSH_ENABLE_WOFFSET                 0x0
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE4A_FLUSH_ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE4A_FLUSH_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE4A_FLUSH_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE4A_FLUSH_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE4A_FLUSH_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE4A_FLUSH_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE4A_FLUSH_ENABLE_INIT_ENUM                       DISABLE
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE4A_FLUSH_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE4A_FLUSH_ENABLE_ENABLE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE4A_FLUSH_ENABLE_DISABLED                        _MK_ENUM_CONST(0)
#define MC_CLIENT_HOTRESET_CTRL_2_0_PCIE4A_FLUSH_ENABLE_ENABLED                 _MK_ENUM_CONST(1)

#define MC_CLIENT_HOTRESET_FLUSH_DONE   1
#define MC_CLIENT_HOTRESET_FLUSH_IN_PROGRESS    0

// Register MC_CLIENT_HOTRESET_STATUS_0
#define MC_CLIENT_HOTRESET_STATUS_0                     _MK_ADDR_CONST(0x204)
#define MC_CLIENT_HOTRESET_STATUS_0_SECURE                      0x0
#define MC_CLIENT_HOTRESET_STATUS_0_DUAL                        0x0
#define MC_CLIENT_HOTRESET_STATUS_0_SCR                         0
#define MC_CLIENT_HOTRESET_STATUS_0_WORD_COUNT                  0x1
#define MC_CLIENT_HOTRESET_STATUS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_RESET_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_READ_MASK                   _MK_MASK_CONST(0xa05e8bc0)
#define MC_CLIENT_HOTRESET_STATUS_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_HC_HOTRESET_STATUS_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_CLIENT_HOTRESET_STATUS_0_HC_HOTRESET_STATUS_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_0_HC_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_0_HC_HOTRESET_STATUS_RANGE                    6:6
#define MC_CLIENT_HOTRESET_STATUS_0_HC_HOTRESET_STATUS_WOFFSET                  0x0
#define MC_CLIENT_HOTRESET_STATUS_0_HC_HOTRESET_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_HC_HOTRESET_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_HC_HOTRESET_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_HC_HOTRESET_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_HC_HOTRESET_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_HC_HOTRESET_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_0_HC_HOTRESET_STATUS_FLUSH_DONE                       _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_0_HC_HOTRESET_STATUS_FLUSH_IN_PROGRESS                        _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_0_HDA_HOTRESET_STATUS_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_CLIENT_HOTRESET_STATUS_0_HDA_HOTRESET_STATUS_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_0_HDA_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_0_HDA_HOTRESET_STATUS_RANGE                   7:7
#define MC_CLIENT_HOTRESET_STATUS_0_HDA_HOTRESET_STATUS_WOFFSET                 0x0
#define MC_CLIENT_HOTRESET_STATUS_0_HDA_HOTRESET_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_HDA_HOTRESET_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_HDA_HOTRESET_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_HDA_HOTRESET_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_HDA_HOTRESET_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_HDA_HOTRESET_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_0_HDA_HOTRESET_STATUS_FLUSH_DONE                      _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_0_HDA_HOTRESET_STATUS_FLUSH_IN_PROGRESS                       _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_0_ISP2_HOTRESET_STATUS_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_CLIENT_HOTRESET_STATUS_0_ISP2_HOTRESET_STATUS_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_0_ISP2_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_0_ISP2_HOTRESET_STATUS_RANGE                  8:8
#define MC_CLIENT_HOTRESET_STATUS_0_ISP2_HOTRESET_STATUS_WOFFSET                        0x0
#define MC_CLIENT_HOTRESET_STATUS_0_ISP2_HOTRESET_STATUS_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_ISP2_HOTRESET_STATUS_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_ISP2_HOTRESET_STATUS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_ISP2_HOTRESET_STATUS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_ISP2_HOTRESET_STATUS_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_ISP2_HOTRESET_STATUS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_0_ISP2_HOTRESET_STATUS_FLUSH_DONE                     _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_0_ISP2_HOTRESET_STATUS_FLUSH_IN_PROGRESS                      _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_0_MPCORE_HOTRESET_STATUS_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_CLIENT_HOTRESET_STATUS_0_MPCORE_HOTRESET_STATUS_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_0_MPCORE_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_0_MPCORE_HOTRESET_STATUS_RANGE                        9:9
#define MC_CLIENT_HOTRESET_STATUS_0_MPCORE_HOTRESET_STATUS_WOFFSET                      0x0
#define MC_CLIENT_HOTRESET_STATUS_0_MPCORE_HOTRESET_STATUS_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_MPCORE_HOTRESET_STATUS_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_MPCORE_HOTRESET_STATUS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_MPCORE_HOTRESET_STATUS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_MPCORE_HOTRESET_STATUS_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_MPCORE_HOTRESET_STATUS_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_0_MPCORE_HOTRESET_STATUS_FLUSH_DONE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_0_MPCORE_HOTRESET_STATUS_FLUSH_IN_PROGRESS                    _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_0_NVENC_HOTRESET_STATUS_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_CLIENT_HOTRESET_STATUS_0_NVENC_HOTRESET_STATUS_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_0_NVENC_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_0_NVENC_HOTRESET_STATUS_RANGE                 11:11
#define MC_CLIENT_HOTRESET_STATUS_0_NVENC_HOTRESET_STATUS_WOFFSET                       0x0
#define MC_CLIENT_HOTRESET_STATUS_0_NVENC_HOTRESET_STATUS_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_NVENC_HOTRESET_STATUS_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_NVENC_HOTRESET_STATUS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_NVENC_HOTRESET_STATUS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_NVENC_HOTRESET_STATUS_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_NVENC_HOTRESET_STATUS_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_0_NVENC_HOTRESET_STATUS_FLUSH_DONE                    _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_0_NVENC_HOTRESET_STATUS_FLUSH_IN_PROGRESS                     _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_0_SATA_HOTRESET_STATUS_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_CLIENT_HOTRESET_STATUS_0_SATA_HOTRESET_STATUS_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_0_SATA_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_0_SATA_HOTRESET_STATUS_RANGE                  15:15
#define MC_CLIENT_HOTRESET_STATUS_0_SATA_HOTRESET_STATUS_WOFFSET                        0x0
#define MC_CLIENT_HOTRESET_STATUS_0_SATA_HOTRESET_STATUS_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_SATA_HOTRESET_STATUS_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_SATA_HOTRESET_STATUS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_SATA_HOTRESET_STATUS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_SATA_HOTRESET_STATUS_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_SATA_HOTRESET_STATUS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_0_SATA_HOTRESET_STATUS_FLUSH_DONE                     _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_0_SATA_HOTRESET_STATUS_FLUSH_IN_PROGRESS                      _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_0_VI_HOTRESET_STATUS_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_CLIENT_HOTRESET_STATUS_0_VI_HOTRESET_STATUS_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_0_VI_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_0_VI_HOTRESET_STATUS_RANGE                    17:17
#define MC_CLIENT_HOTRESET_STATUS_0_VI_HOTRESET_STATUS_WOFFSET                  0x0
#define MC_CLIENT_HOTRESET_STATUS_0_VI_HOTRESET_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_VI_HOTRESET_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_VI_HOTRESET_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_VI_HOTRESET_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_VI_HOTRESET_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_VI_HOTRESET_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_0_VI_HOTRESET_STATUS_FLUSH_DONE                       _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_0_VI_HOTRESET_STATUS_FLUSH_IN_PROGRESS                        _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_0_VIC_HOTRESET_STATUS_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_CLIENT_HOTRESET_STATUS_0_VIC_HOTRESET_STATUS_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_0_VIC_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_0_VIC_HOTRESET_STATUS_RANGE                   18:18
#define MC_CLIENT_HOTRESET_STATUS_0_VIC_HOTRESET_STATUS_WOFFSET                 0x0
#define MC_CLIENT_HOTRESET_STATUS_0_VIC_HOTRESET_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_VIC_HOTRESET_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_VIC_HOTRESET_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_VIC_HOTRESET_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_VIC_HOTRESET_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_VIC_HOTRESET_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_0_VIC_HOTRESET_STATUS_FLUSH_DONE                      _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_0_VIC_HOTRESET_STATUS_FLUSH_IN_PROGRESS                       _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_HOST_HOTRESET_STATUS_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_HOST_HOTRESET_STATUS_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_0_XUSB_HOST_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_HOST_HOTRESET_STATUS_RANGE                     19:19
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_HOST_HOTRESET_STATUS_WOFFSET                   0x0
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_HOST_HOTRESET_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_HOST_HOTRESET_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_HOST_HOTRESET_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_HOST_HOTRESET_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_HOST_HOTRESET_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_HOST_HOTRESET_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_HOST_HOTRESET_STATUS_FLUSH_DONE                        _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_HOST_HOTRESET_STATUS_FLUSH_IN_PROGRESS                 _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_DEV_HOTRESET_STATUS_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_DEV_HOTRESET_STATUS_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_0_XUSB_DEV_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_DEV_HOTRESET_STATUS_RANGE                      20:20
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_DEV_HOTRESET_STATUS_WOFFSET                    0x0
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_DEV_HOTRESET_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_DEV_HOTRESET_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_DEV_HOTRESET_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_DEV_HOTRESET_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_DEV_HOTRESET_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_DEV_HOTRESET_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_DEV_HOTRESET_STATUS_FLUSH_DONE                 _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_0_XUSB_DEV_HOTRESET_STATUS_FLUSH_IN_PROGRESS                  _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_0_TSEC_HOTRESET_STATUS_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_CLIENT_HOTRESET_STATUS_0_TSEC_HOTRESET_STATUS_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_0_TSEC_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_0_TSEC_HOTRESET_STATUS_RANGE                  22:22
#define MC_CLIENT_HOTRESET_STATUS_0_TSEC_HOTRESET_STATUS_WOFFSET                        0x0
#define MC_CLIENT_HOTRESET_STATUS_0_TSEC_HOTRESET_STATUS_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_TSEC_HOTRESET_STATUS_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_TSEC_HOTRESET_STATUS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_TSEC_HOTRESET_STATUS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_TSEC_HOTRESET_STATUS_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_TSEC_HOTRESET_STATUS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_0_TSEC_HOTRESET_STATUS_FLUSH_DONE                     _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_0_TSEC_HOTRESET_STATUS_FLUSH_IN_PROGRESS                      _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC1A_HOTRESET_STATUS_SHIFT                       _MK_SHIFT_CONST(29)
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC1A_HOTRESET_STATUS_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_0_SDMMC1A_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC1A_HOTRESET_STATUS_RANGE                       29:29
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC1A_HOTRESET_STATUS_WOFFSET                     0x0
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC1A_HOTRESET_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC1A_HOTRESET_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC1A_HOTRESET_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC1A_HOTRESET_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC1A_HOTRESET_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC1A_HOTRESET_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC1A_HOTRESET_STATUS_FLUSH_DONE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC1A_HOTRESET_STATUS_FLUSH_IN_PROGRESS                   _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC3A_HOTRESET_STATUS_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC3A_HOTRESET_STATUS_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_0_SDMMC3A_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC3A_HOTRESET_STATUS_RANGE                       31:31
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC3A_HOTRESET_STATUS_WOFFSET                     0x0
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC3A_HOTRESET_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC3A_HOTRESET_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC3A_HOTRESET_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC3A_HOTRESET_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC3A_HOTRESET_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC3A_HOTRESET_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC3A_HOTRESET_STATUS_FLUSH_DONE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_0_SDMMC3A_HOTRESET_STATUS_FLUSH_IN_PROGRESS                   _MK_ENUM_CONST(0)


// Register MC_CLIENT_HOTRESET_STATUS_1_0
#define MC_CLIENT_HOTRESET_STATUS_1_0                   _MK_ADDR_CONST(0x974)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SECURE                    0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_DUAL                      0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_SCR                       0
#define MC_CLIENT_HOTRESET_STATUS_1_0_WORD_COUNT                        0x1
#define MC_CLIENT_HOTRESET_STATUS_1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_RESET_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_READ_MASK                         _MK_MASK_CONST(0xfcfe31e1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SDMMC4A_HOTRESET_STATUS_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SDMMC4A_HOTRESET_STATUS_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_1_0_SDMMC4A_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SDMMC4A_HOTRESET_STATUS_RANGE                     0:0
#define MC_CLIENT_HOTRESET_STATUS_1_0_SDMMC4A_HOTRESET_STATUS_WOFFSET                   0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_SDMMC4A_HOTRESET_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SDMMC4A_HOTRESET_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SDMMC4A_HOTRESET_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SDMMC4A_HOTRESET_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SDMMC4A_HOTRESET_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SDMMC4A_HOTRESET_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SDMMC4A_HOTRESET_STATUS_FLUSH_DONE                        _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SDMMC4A_HOTRESET_STATUS_FLUSH_IN_PROGRESS                 _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDEC_HOTRESET_STATUS_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDEC_HOTRESET_STATUS_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_1_0_NVDEC_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDEC_HOTRESET_STATUS_RANGE                       5:5
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDEC_HOTRESET_STATUS_WOFFSET                     0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDEC_HOTRESET_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDEC_HOTRESET_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDEC_HOTRESET_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDEC_HOTRESET_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDEC_HOTRESET_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDEC_HOTRESET_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDEC_HOTRESET_STATUS_FLUSH_DONE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDEC_HOTRESET_STATUS_FLUSH_IN_PROGRESS                   _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_1_0_APE_HOTRESET_STATUS_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_CLIENT_HOTRESET_STATUS_1_0_APE_HOTRESET_STATUS_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_1_0_APE_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_1_0_APE_HOTRESET_STATUS_RANGE                 6:6
#define MC_CLIENT_HOTRESET_STATUS_1_0_APE_HOTRESET_STATUS_WOFFSET                       0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_APE_HOTRESET_STATUS_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_APE_HOTRESET_STATUS_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_APE_HOTRESET_STATUS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_APE_HOTRESET_STATUS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_APE_HOTRESET_STATUS_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_APE_HOTRESET_STATUS_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_APE_HOTRESET_STATUS_FLUSH_DONE                    _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_APE_HOTRESET_STATUS_FLUSH_IN_PROGRESS                     _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_1_0_SE_HOTRESET_STATUS_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SE_HOTRESET_STATUS_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_1_0_SE_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SE_HOTRESET_STATUS_RANGE                  7:7
#define MC_CLIENT_HOTRESET_STATUS_1_0_SE_HOTRESET_STATUS_WOFFSET                        0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_SE_HOTRESET_STATUS_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SE_HOTRESET_STATUS_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SE_HOTRESET_STATUS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SE_HOTRESET_STATUS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SE_HOTRESET_STATUS_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SE_HOTRESET_STATUS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SE_HOTRESET_STATUS_FLUSH_DONE                     _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SE_HOTRESET_STATUS_FLUSH_IN_PROGRESS                      _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_1_0_NVJPG_HOTRESET_STATUS_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVJPG_HOTRESET_STATUS_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_1_0_NVJPG_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVJPG_HOTRESET_STATUS_RANGE                       8:8
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVJPG_HOTRESET_STATUS_WOFFSET                     0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVJPG_HOTRESET_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVJPG_HOTRESET_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVJPG_HOTRESET_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVJPG_HOTRESET_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVJPG_HOTRESET_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVJPG_HOTRESET_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVJPG_HOTRESET_STATUS_FLUSH_DONE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVJPG_HOTRESET_STATUS_FLUSH_IN_PROGRESS                   _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_1_0_ETR_HOTRESET_STATUS_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_CLIENT_HOTRESET_STATUS_1_0_ETR_HOTRESET_STATUS_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_1_0_ETR_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_1_0_ETR_HOTRESET_STATUS_RANGE                 12:12
#define MC_CLIENT_HOTRESET_STATUS_1_0_ETR_HOTRESET_STATUS_WOFFSET                       0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_ETR_HOTRESET_STATUS_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_ETR_HOTRESET_STATUS_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_ETR_HOTRESET_STATUS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_ETR_HOTRESET_STATUS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_ETR_HOTRESET_STATUS_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_ETR_HOTRESET_STATUS_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_ETR_HOTRESET_STATUS_FLUSH_DONE                    _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_ETR_HOTRESET_STATUS_FLUSH_IN_PROGRESS                     _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_1_0_TSECB_HOTRESET_STATUS_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_CLIENT_HOTRESET_STATUS_1_0_TSECB_HOTRESET_STATUS_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_1_0_TSECB_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_1_0_TSECB_HOTRESET_STATUS_RANGE                       13:13
#define MC_CLIENT_HOTRESET_STATUS_1_0_TSECB_HOTRESET_STATUS_WOFFSET                     0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_TSECB_HOTRESET_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_TSECB_HOTRESET_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_TSECB_HOTRESET_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_TSECB_HOTRESET_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_TSECB_HOTRESET_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_TSECB_HOTRESET_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_TSECB_HOTRESET_STATUS_FLUSH_DONE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_TSECB_HOTRESET_STATUS_FLUSH_IN_PROGRESS                   _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_1_0_AXIS_HOTRESET_STATUS_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_CLIENT_HOTRESET_STATUS_1_0_AXIS_HOTRESET_STATUS_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_1_0_AXIS_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_1_0_AXIS_HOTRESET_STATUS_RANGE                        17:17
#define MC_CLIENT_HOTRESET_STATUS_1_0_AXIS_HOTRESET_STATUS_WOFFSET                      0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_AXIS_HOTRESET_STATUS_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_AXIS_HOTRESET_STATUS_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_AXIS_HOTRESET_STATUS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_AXIS_HOTRESET_STATUS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_AXIS_HOTRESET_STATUS_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_AXIS_HOTRESET_STATUS_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_AXIS_HOTRESET_STATUS_FLUSH_DONE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_AXIS_HOTRESET_STATUS_FLUSH_IN_PROGRESS                    _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_1_0_EQOS_HOTRESET_STATUS_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_CLIENT_HOTRESET_STATUS_1_0_EQOS_HOTRESET_STATUS_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_1_0_EQOS_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_1_0_EQOS_HOTRESET_STATUS_RANGE                        18:18
#define MC_CLIENT_HOTRESET_STATUS_1_0_EQOS_HOTRESET_STATUS_WOFFSET                      0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_EQOS_HOTRESET_STATUS_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_EQOS_HOTRESET_STATUS_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_EQOS_HOTRESET_STATUS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_EQOS_HOTRESET_STATUS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_EQOS_HOTRESET_STATUS_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_EQOS_HOTRESET_STATUS_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_EQOS_HOTRESET_STATUS_FLUSH_DONE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_EQOS_HOTRESET_STATUS_FLUSH_IN_PROGRESS                    _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_1_0_UFSHC_HOTRESET_STATUS_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_CLIENT_HOTRESET_STATUS_1_0_UFSHC_HOTRESET_STATUS_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_1_0_UFSHC_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_1_0_UFSHC_HOTRESET_STATUS_RANGE                       19:19
#define MC_CLIENT_HOTRESET_STATUS_1_0_UFSHC_HOTRESET_STATUS_WOFFSET                     0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_UFSHC_HOTRESET_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_UFSHC_HOTRESET_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_UFSHC_HOTRESET_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_UFSHC_HOTRESET_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_UFSHC_HOTRESET_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_UFSHC_HOTRESET_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_UFSHC_HOTRESET_STATUS_FLUSH_DONE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_UFSHC_HOTRESET_STATUS_FLUSH_IN_PROGRESS                   _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDISPLAY_HOTRESET_STATUS_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDISPLAY_HOTRESET_STATUS_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_1_0_NVDISPLAY_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDISPLAY_HOTRESET_STATUS_RANGE                   20:20
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDISPLAY_HOTRESET_STATUS_WOFFSET                 0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDISPLAY_HOTRESET_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDISPLAY_HOTRESET_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDISPLAY_HOTRESET_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDISPLAY_HOTRESET_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDISPLAY_HOTRESET_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDISPLAY_HOTRESET_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDISPLAY_HOTRESET_STATUS_FLUSH_DONE                      _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_NVDISPLAY_HOTRESET_STATUS_FLUSH_IN_PROGRESS                       _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_1_0_BPMP_HOTRESET_STATUS_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_CLIENT_HOTRESET_STATUS_1_0_BPMP_HOTRESET_STATUS_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_1_0_BPMP_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_1_0_BPMP_HOTRESET_STATUS_RANGE                        21:21
#define MC_CLIENT_HOTRESET_STATUS_1_0_BPMP_HOTRESET_STATUS_WOFFSET                      0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_BPMP_HOTRESET_STATUS_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_BPMP_HOTRESET_STATUS_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_BPMP_HOTRESET_STATUS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_BPMP_HOTRESET_STATUS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_BPMP_HOTRESET_STATUS_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_BPMP_HOTRESET_STATUS_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_BPMP_HOTRESET_STATUS_FLUSH_DONE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_BPMP_HOTRESET_STATUS_FLUSH_IN_PROGRESS                    _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_1_0_AON_HOTRESET_STATUS_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_CLIENT_HOTRESET_STATUS_1_0_AON_HOTRESET_STATUS_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_1_0_AON_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_1_0_AON_HOTRESET_STATUS_RANGE                 22:22
#define MC_CLIENT_HOTRESET_STATUS_1_0_AON_HOTRESET_STATUS_WOFFSET                       0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_AON_HOTRESET_STATUS_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_AON_HOTRESET_STATUS_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_AON_HOTRESET_STATUS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_AON_HOTRESET_STATUS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_AON_HOTRESET_STATUS_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_AON_HOTRESET_STATUS_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_AON_HOTRESET_STATUS_FLUSH_DONE                    _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_AON_HOTRESET_STATUS_FLUSH_IN_PROGRESS                     _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_1_0_SCE_HOTRESET_STATUS_SHIFT                 _MK_SHIFT_CONST(23)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SCE_HOTRESET_STATUS_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_1_0_SCE_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SCE_HOTRESET_STATUS_RANGE                 23:23
#define MC_CLIENT_HOTRESET_STATUS_1_0_SCE_HOTRESET_STATUS_WOFFSET                       0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_SCE_HOTRESET_STATUS_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SCE_HOTRESET_STATUS_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SCE_HOTRESET_STATUS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SCE_HOTRESET_STATUS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SCE_HOTRESET_STATUS_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SCE_HOTRESET_STATUS_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SCE_HOTRESET_STATUS_FLUSH_DONE                    _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_SCE_HOTRESET_STATUS_FLUSH_IN_PROGRESS                     _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_1_0_VIFAL_HOTRESET_STATUS_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_CLIENT_HOTRESET_STATUS_1_0_VIFAL_HOTRESET_STATUS_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_1_0_VIFAL_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_1_0_VIFAL_HOTRESET_STATUS_RANGE                       26:26
#define MC_CLIENT_HOTRESET_STATUS_1_0_VIFAL_HOTRESET_STATUS_WOFFSET                     0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_VIFAL_HOTRESET_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_VIFAL_HOTRESET_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_VIFAL_HOTRESET_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_VIFAL_HOTRESET_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_VIFAL_HOTRESET_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_VIFAL_HOTRESET_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_VIFAL_HOTRESET_STATUS_FLUSH_DONE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_VIFAL_HOTRESET_STATUS_FLUSH_IN_PROGRESS                   _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_1_0_DLAA_HOTRESET_STATUS_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLAA_HOTRESET_STATUS_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_1_0_DLAA_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLAA_HOTRESET_STATUS_RANGE                        27:27
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLAA_HOTRESET_STATUS_WOFFSET                      0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLAA_HOTRESET_STATUS_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLAA_HOTRESET_STATUS_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLAA_HOTRESET_STATUS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLAA_HOTRESET_STATUS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLAA_HOTRESET_STATUS_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLAA_HOTRESET_STATUS_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLAA_HOTRESET_STATUS_FLUSH_DONE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLAA_HOTRESET_STATUS_FLUSH_IN_PROGRESS                    _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_1_0_DLA1A_HOTRESET_STATUS_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLA1A_HOTRESET_STATUS_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_1_0_DLA1A_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLA1A_HOTRESET_STATUS_RANGE                       28:28
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLA1A_HOTRESET_STATUS_WOFFSET                     0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLA1A_HOTRESET_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLA1A_HOTRESET_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLA1A_HOTRESET_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLA1A_HOTRESET_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLA1A_HOTRESET_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLA1A_HOTRESET_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLA1A_HOTRESET_STATUS_FLUSH_DONE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_DLA1A_HOTRESET_STATUS_FLUSH_IN_PROGRESS                   _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA0A_HOTRESET_STATUS_SHIFT                       _MK_SHIFT_CONST(29)
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA0A_HOTRESET_STATUS_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_1_0_PVA0A_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA0A_HOTRESET_STATUS_RANGE                       29:29
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA0A_HOTRESET_STATUS_WOFFSET                     0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA0A_HOTRESET_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA0A_HOTRESET_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA0A_HOTRESET_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA0A_HOTRESET_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA0A_HOTRESET_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA0A_HOTRESET_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA0A_HOTRESET_STATUS_FLUSH_DONE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA0A_HOTRESET_STATUS_FLUSH_IN_PROGRESS                   _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA1A_HOTRESET_STATUS_SHIFT                       _MK_SHIFT_CONST(30)
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA1A_HOTRESET_STATUS_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_1_0_PVA1A_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA1A_HOTRESET_STATUS_RANGE                       30:30
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA1A_HOTRESET_STATUS_WOFFSET                     0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA1A_HOTRESET_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA1A_HOTRESET_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA1A_HOTRESET_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA1A_HOTRESET_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA1A_HOTRESET_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA1A_HOTRESET_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA1A_HOTRESET_STATUS_FLUSH_DONE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_PVA1A_HOTRESET_STATUS_FLUSH_IN_PROGRESS                   _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_1_0_RCE_HOTRESET_STATUS_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_CLIENT_HOTRESET_STATUS_1_0_RCE_HOTRESET_STATUS_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_1_0_RCE_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_1_0_RCE_HOTRESET_STATUS_RANGE                 31:31
#define MC_CLIENT_HOTRESET_STATUS_1_0_RCE_HOTRESET_STATUS_WOFFSET                       0x0
#define MC_CLIENT_HOTRESET_STATUS_1_0_RCE_HOTRESET_STATUS_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_RCE_HOTRESET_STATUS_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_RCE_HOTRESET_STATUS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_RCE_HOTRESET_STATUS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_RCE_HOTRESET_STATUS_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_1_0_RCE_HOTRESET_STATUS_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_RCE_HOTRESET_STATUS_FLUSH_DONE                    _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_1_0_RCE_HOTRESET_STATUS_FLUSH_IN_PROGRESS                     _MK_ENUM_CONST(0)


// Register MC_CLIENT_HOTRESET_STATUS_2_0
#define MC_CLIENT_HOTRESET_STATUS_2_0                   _MK_ADDR_CONST(0x1898)
#define MC_CLIENT_HOTRESET_STATUS_2_0_SECURE                    0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_DUAL                      0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_SCR                       0
#define MC_CLIENT_HOTRESET_STATUS_2_0_WORD_COUNT                        0x1
#define MC_CLIENT_HOTRESET_STATUS_2_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_RESET_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_READ_MASK                         _MK_MASK_CONST(0x3ffcffd)
#define MC_CLIENT_HOTRESET_STATUS_2_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_RCEDMA_HOTRESET_STATUS_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_RCEDMA_HOTRESET_STATUS_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_RCEDMA_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_RCEDMA_HOTRESET_STATUS_RANGE                      0:0
#define MC_CLIENT_HOTRESET_STATUS_2_0_RCEDMA_HOTRESET_STATUS_WOFFSET                    0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_RCEDMA_HOTRESET_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_RCEDMA_HOTRESET_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_RCEDMA_HOTRESET_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_RCEDMA_HOTRESET_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_RCEDMA_HOTRESET_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_RCEDMA_HOTRESET_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_RCEDMA_HOTRESET_STATUS_FLUSH_DONE                 _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_RCEDMA_HOTRESET_STATUS_FLUSH_IN_PROGRESS                  _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE_HOTRESET_STATUS_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE_HOTRESET_STATUS_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_PCIE_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE_HOTRESET_STATUS_RANGE                        2:2
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE_HOTRESET_STATUS_WOFFSET                      0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE_HOTRESET_STATUS_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE_HOTRESET_STATUS_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE_HOTRESET_STATUS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE_HOTRESET_STATUS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE_HOTRESET_STATUS_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE_HOTRESET_STATUS_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE_HOTRESET_STATUS_FLUSH_DONE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE_HOTRESET_STATUS_FLUSH_IN_PROGRESS                    _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_AXIAP_HOTRESET_STATUS_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_CLIENT_HOTRESET_STATUS_2_0_AXIAP_HOTRESET_STATUS_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_AXIAP_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_AXIAP_HOTRESET_STATUS_RANGE                       3:3
#define MC_CLIENT_HOTRESET_STATUS_2_0_AXIAP_HOTRESET_STATUS_WOFFSET                     0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_AXIAP_HOTRESET_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_AXIAP_HOTRESET_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_AXIAP_HOTRESET_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_AXIAP_HOTRESET_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_AXIAP_HOTRESET_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_AXIAP_HOTRESET_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_AXIAP_HOTRESET_STATUS_FLUSH_DONE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_AXIAP_HOTRESET_STATUS_FLUSH_IN_PROGRESS                   _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE5A_HOTRESET_STATUS_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE5A_HOTRESET_STATUS_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_PCIE5A_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE5A_HOTRESET_STATUS_RANGE                      4:4
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE5A_HOTRESET_STATUS_WOFFSET                    0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE5A_HOTRESET_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE5A_HOTRESET_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE5A_HOTRESET_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE5A_HOTRESET_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE5A_HOTRESET_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE5A_HOTRESET_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE5A_HOTRESET_STATUS_FLUSH_DONE                 _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE5A_HOTRESET_STATUS_FLUSH_IN_PROGRESS                  _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0B_HOTRESET_STATUS_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0B_HOTRESET_STATUS_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_PVA0B_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0B_HOTRESET_STATUS_RANGE                       5:5
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0B_HOTRESET_STATUS_WOFFSET                     0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0B_HOTRESET_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0B_HOTRESET_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0B_HOTRESET_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0B_HOTRESET_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0B_HOTRESET_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0B_HOTRESET_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0B_HOTRESET_STATUS_FLUSH_DONE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0B_HOTRESET_STATUS_FLUSH_IN_PROGRESS                   _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0C_HOTRESET_STATUS_SHIFT                       _MK_SHIFT_CONST(6)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0C_HOTRESET_STATUS_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_PVA0C_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0C_HOTRESET_STATUS_RANGE                       6:6
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0C_HOTRESET_STATUS_WOFFSET                     0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0C_HOTRESET_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0C_HOTRESET_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0C_HOTRESET_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0C_HOTRESET_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0C_HOTRESET_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0C_HOTRESET_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0C_HOTRESET_STATUS_FLUSH_DONE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA0C_HOTRESET_STATUS_FLUSH_IN_PROGRESS                   _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1B_HOTRESET_STATUS_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1B_HOTRESET_STATUS_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_PVA1B_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1B_HOTRESET_STATUS_RANGE                       7:7
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1B_HOTRESET_STATUS_WOFFSET                     0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1B_HOTRESET_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1B_HOTRESET_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1B_HOTRESET_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1B_HOTRESET_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1B_HOTRESET_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1B_HOTRESET_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1B_HOTRESET_STATUS_FLUSH_DONE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1B_HOTRESET_STATUS_FLUSH_IN_PROGRESS                   _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1C_HOTRESET_STATUS_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1C_HOTRESET_STATUS_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_PVA1C_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1C_HOTRESET_STATUS_RANGE                       8:8
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1C_HOTRESET_STATUS_WOFFSET                     0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1C_HOTRESET_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1C_HOTRESET_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1C_HOTRESET_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1C_HOTRESET_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1C_HOTRESET_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1C_HOTRESET_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1C_HOTRESET_STATUS_FLUSH_DONE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PVA1C_HOTRESET_STATUS_FLUSH_IN_PROGRESS                   _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_AONDMA_HOTRESET_STATUS_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_CLIENT_HOTRESET_STATUS_2_0_AONDMA_HOTRESET_STATUS_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_AONDMA_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_AONDMA_HOTRESET_STATUS_RANGE                      9:9
#define MC_CLIENT_HOTRESET_STATUS_2_0_AONDMA_HOTRESET_STATUS_WOFFSET                    0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_AONDMA_HOTRESET_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_AONDMA_HOTRESET_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_AONDMA_HOTRESET_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_AONDMA_HOTRESET_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_AONDMA_HOTRESET_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_AONDMA_HOTRESET_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_AONDMA_HOTRESET_STATUS_FLUSH_DONE                 _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_AONDMA_HOTRESET_STATUS_FLUSH_IN_PROGRESS                  _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_BPMPDMA_HOTRESET_STATUS_SHIFT                     _MK_SHIFT_CONST(10)
#define MC_CLIENT_HOTRESET_STATUS_2_0_BPMPDMA_HOTRESET_STATUS_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_BPMPDMA_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_BPMPDMA_HOTRESET_STATUS_RANGE                     10:10
#define MC_CLIENT_HOTRESET_STATUS_2_0_BPMPDMA_HOTRESET_STATUS_WOFFSET                   0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_BPMPDMA_HOTRESET_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_BPMPDMA_HOTRESET_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_BPMPDMA_HOTRESET_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_BPMPDMA_HOTRESET_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_BPMPDMA_HOTRESET_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_BPMPDMA_HOTRESET_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_BPMPDMA_HOTRESET_STATUS_FLUSH_DONE                        _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_BPMPDMA_HOTRESET_STATUS_FLUSH_IN_PROGRESS                 _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_SCEDMA_HOTRESET_STATUS_SHIFT                      _MK_SHIFT_CONST(11)
#define MC_CLIENT_HOTRESET_STATUS_2_0_SCEDMA_HOTRESET_STATUS_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_SCEDMA_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_SCEDMA_HOTRESET_STATUS_RANGE                      11:11
#define MC_CLIENT_HOTRESET_STATUS_2_0_SCEDMA_HOTRESET_STATUS_WOFFSET                    0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_SCEDMA_HOTRESET_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_SCEDMA_HOTRESET_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_SCEDMA_HOTRESET_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_SCEDMA_HOTRESET_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_SCEDMA_HOTRESET_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_SCEDMA_HOTRESET_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_SCEDMA_HOTRESET_STATUS_FLUSH_DONE                 _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_SCEDMA_HOTRESET_STATUS_FLUSH_IN_PROGRESS                  _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_APEDMA_HOTRESET_STATUS_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_CLIENT_HOTRESET_STATUS_2_0_APEDMA_HOTRESET_STATUS_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_APEDMA_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_APEDMA_HOTRESET_STATUS_RANGE                      14:14
#define MC_CLIENT_HOTRESET_STATUS_2_0_APEDMA_HOTRESET_STATUS_WOFFSET                    0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_APEDMA_HOTRESET_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_APEDMA_HOTRESET_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_APEDMA_HOTRESET_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_APEDMA_HOTRESET_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_APEDMA_HOTRESET_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_APEDMA_HOTRESET_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_APEDMA_HOTRESET_STATUS_FLUSH_DONE                 _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_APEDMA_HOTRESET_STATUS_FLUSH_IN_PROGRESS                  _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE2A_HOTRESET_STATUS_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE2A_HOTRESET_STATUS_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_PCIE2A_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE2A_HOTRESET_STATUS_RANGE                      15:15
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE2A_HOTRESET_STATUS_WOFFSET                    0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE2A_HOTRESET_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE2A_HOTRESET_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE2A_HOTRESET_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE2A_HOTRESET_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE2A_HOTRESET_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE2A_HOTRESET_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE2A_HOTRESET_STATUS_FLUSH_DONE                 _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE2A_HOTRESET_STATUS_FLUSH_IN_PROGRESS                  _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3A_HOTRESET_STATUS_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3A_HOTRESET_STATUS_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3A_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3A_HOTRESET_STATUS_RANGE                      16:16
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3A_HOTRESET_STATUS_WOFFSET                    0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3A_HOTRESET_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3A_HOTRESET_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3A_HOTRESET_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3A_HOTRESET_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3A_HOTRESET_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3A_HOTRESET_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3A_HOTRESET_STATUS_FLUSH_DONE                 _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3A_HOTRESET_STATUS_FLUSH_IN_PROGRESS                  _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3_HOTRESET_STATUS_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3_HOTRESET_STATUS_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3_HOTRESET_STATUS_RANGE                       17:17
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3_HOTRESET_STATUS_WOFFSET                     0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3_HOTRESET_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3_HOTRESET_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3_HOTRESET_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3_HOTRESET_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3_HOTRESET_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3_HOTRESET_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3_HOTRESET_STATUS_FLUSH_DONE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE3_HOTRESET_STATUS_FLUSH_IN_PROGRESS                   _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_NVENCB_HOTRESET_STATUS_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVENCB_HOTRESET_STATUS_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_NVENCB_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVENCB_HOTRESET_STATUS_RANGE                      18:18
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVENCB_HOTRESET_STATUS_WOFFSET                    0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVENCB_HOTRESET_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVENCB_HOTRESET_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVENCB_HOTRESET_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVENCB_HOTRESET_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVENCB_HOTRESET_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVENCB_HOTRESET_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVENCB_HOTRESET_STATUS_FLUSH_DONE                 _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVENCB_HOTRESET_STATUS_FLUSH_IN_PROGRESS                  _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPA_HOTRESET_STATUS_SHIFT                        _MK_SHIFT_CONST(19)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPA_HOTRESET_STATUS_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_ISPA_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPA_HOTRESET_STATUS_RANGE                        19:19
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPA_HOTRESET_STATUS_WOFFSET                      0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPA_HOTRESET_STATUS_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPA_HOTRESET_STATUS_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPA_HOTRESET_STATUS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPA_HOTRESET_STATUS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPA_HOTRESET_STATUS_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPA_HOTRESET_STATUS_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPA_HOTRESET_STATUS_FLUSH_DONE                   _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPA_HOTRESET_STATUS_FLUSH_IN_PROGRESS                    _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_ISP2A_HOTRESET_STATUS_SHIFT                       _MK_SHIFT_CONST(20)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISP2A_HOTRESET_STATUS_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_ISP2A_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISP2A_HOTRESET_STATUS_RANGE                       20:20
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISP2A_HOTRESET_STATUS_WOFFSET                     0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISP2A_HOTRESET_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISP2A_HOTRESET_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISP2A_HOTRESET_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISP2A_HOTRESET_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISP2A_HOTRESET_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISP2A_HOTRESET_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISP2A_HOTRESET_STATUS_FLUSH_DONE                  _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISP2A_HOTRESET_STATUS_FLUSH_IN_PROGRESS                   _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPFAL_HOTRESET_STATUS_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPFAL_HOTRESET_STATUS_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_ISPFAL_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPFAL_HOTRESET_STATUS_RANGE                      21:21
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPFAL_HOTRESET_STATUS_WOFFSET                    0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPFAL_HOTRESET_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPFAL_HOTRESET_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPFAL_HOTRESET_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPFAL_HOTRESET_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPFAL_HOTRESET_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPFAL_HOTRESET_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPFAL_HOTRESET_STATUS_FLUSH_DONE                 _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_ISPFAL_HOTRESET_STATUS_FLUSH_IN_PROGRESS                  _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A_HOTRESET_STATUS_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A_HOTRESET_STATUS_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A_HOTRESET_STATUS_RANGE                      22:22
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A_HOTRESET_STATUS_WOFFSET                    0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A_HOTRESET_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A_HOTRESET_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A_HOTRESET_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A_HOTRESET_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A_HOTRESET_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A_HOTRESET_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A_HOTRESET_STATUS_FLUSH_DONE                 _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A_HOTRESET_STATUS_FLUSH_IN_PROGRESS                  _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A2_HOTRESET_STATUS_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A2_HOTRESET_STATUS_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A2_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A2_HOTRESET_STATUS_RANGE                     23:23
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A2_HOTRESET_STATUS_WOFFSET                   0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A2_HOTRESET_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A2_HOTRESET_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A2_HOTRESET_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A2_HOTRESET_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A2_HOTRESET_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A2_HOTRESET_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A2_HOTRESET_STATUS_FLUSH_DONE                        _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE0A2_HOTRESET_STATUS_FLUSH_IN_PROGRESS                 _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_NVDEC2A_HOTRESET_STATUS_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVDEC2A_HOTRESET_STATUS_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_NVDEC2A_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVDEC2A_HOTRESET_STATUS_RANGE                     24:24
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVDEC2A_HOTRESET_STATUS_WOFFSET                   0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVDEC2A_HOTRESET_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVDEC2A_HOTRESET_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVDEC2A_HOTRESET_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVDEC2A_HOTRESET_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVDEC2A_HOTRESET_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVDEC2A_HOTRESET_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVDEC2A_HOTRESET_STATUS_FLUSH_DONE                        _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_NVDEC2A_HOTRESET_STATUS_FLUSH_IN_PROGRESS                 _MK_ENUM_CONST(0)

#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE4A_HOTRESET_STATUS_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE4A_HOTRESET_STATUS_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_HOTRESET_STATUS_2_0_PCIE4A_HOTRESET_STATUS_SHIFT)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE4A_HOTRESET_STATUS_RANGE                      25:25
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE4A_HOTRESET_STATUS_WOFFSET                    0x0
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE4A_HOTRESET_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE4A_HOTRESET_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE4A_HOTRESET_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE4A_HOTRESET_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE4A_HOTRESET_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE4A_HOTRESET_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE4A_HOTRESET_STATUS_FLUSH_DONE                 _MK_ENUM_CONST(1)
#define MC_CLIENT_HOTRESET_STATUS_2_0_PCIE4A_HOTRESET_STATUS_FLUSH_IN_PROGRESS                  _MK_ENUM_CONST(0)


// Register MC_COALESCE_ERR_STATUS_0
#define MC_COALESCE_ERR_STATUS_0                        _MK_ADDR_CONST(0x3000)
#define MC_COALESCE_ERR_STATUS_0_SECURE                         0x0
#define MC_COALESCE_ERR_STATUS_0_DUAL                   0x0
#define MC_COALESCE_ERR_STATUS_0_SCR                    0
#define MC_COALESCE_ERR_STATUS_0_WORD_COUNT                     0x1
#define MC_COALESCE_ERR_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0xf00070ff)
#define MC_COALESCE_ERR_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_STATUS_0_READ_MASK                      _MK_MASK_CONST(0xf00070ff)
#define MC_COALESCE_ERR_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_STATUS_0_ERR_TYPE_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_COALESCE_ERR_STATUS_0_ERR_TYPE_FIELD                 _MK_FIELD_CONST(0xf, MC_COALESCE_ERR_STATUS_0_ERR_TYPE_SHIFT)
#define MC_COALESCE_ERR_STATUS_0_ERR_TYPE_RANGE                 31:28
#define MC_COALESCE_ERR_STATUS_0_ERR_TYPE_WOFFSET                       0x0
#define MC_COALESCE_ERR_STATUS_0_ERR_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_STATUS_0_ERR_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0xf)
#define MC_COALESCE_ERR_STATUS_0_ERR_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_STATUS_0_ERR_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_STATUS_0_ERR_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_STATUS_0_ERR_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_COALESCE_ERR_STATUS_0_ERR_ADR1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_COALESCE_ERR_STATUS_0_ERR_ADR1_FIELD                 _MK_FIELD_CONST(0x7, MC_COALESCE_ERR_STATUS_0_ERR_ADR1_SHIFT)
#define MC_COALESCE_ERR_STATUS_0_ERR_ADR1_RANGE                 14:12
#define MC_COALESCE_ERR_STATUS_0_ERR_ADR1_WOFFSET                       0x0
#define MC_COALESCE_ERR_STATUS_0_ERR_ADR1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_STATUS_0_ERR_ADR1_DEFAULT_MASK                  _MK_MASK_CONST(0x7)
#define MC_COALESCE_ERR_STATUS_0_ERR_ADR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_STATUS_0_ERR_ADR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_STATUS_0_ERR_ADR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_STATUS_0_ERR_ADR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_COALESCE_ERR_STATUS_0_ERR_CGID_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_COALESCE_ERR_STATUS_0_ERR_CGID_FIELD                 _MK_FIELD_CONST(0xff, MC_COALESCE_ERR_STATUS_0_ERR_CGID_SHIFT)
#define MC_COALESCE_ERR_STATUS_0_ERR_CGID_RANGE                 7:0
#define MC_COALESCE_ERR_STATUS_0_ERR_CGID_WOFFSET                       0x0
#define MC_COALESCE_ERR_STATUS_0_ERR_CGID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_STATUS_0_ERR_CGID_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_COALESCE_ERR_STATUS_0_ERR_CGID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_STATUS_0_ERR_CGID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_STATUS_0_ERR_CGID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_STATUS_0_ERR_CGID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_COALESCE_ERR_ADR_HI_0
#define MC_COALESCE_ERR_ADR_HI_0                        _MK_ADDR_CONST(0x3004)
#define MC_COALESCE_ERR_ADR_HI_0_SECURE                         0x0
#define MC_COALESCE_ERR_ADR_HI_0_DUAL                   0x0
#define MC_COALESCE_ERR_ADR_HI_0_SCR                    0
#define MC_COALESCE_ERR_ADR_HI_0_WORD_COUNT                     0x1
#define MC_COALESCE_ERR_ADR_HI_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_ADR_HI_0_RESET_MASK                     _MK_MASK_CONST(0xff)
#define MC_COALESCE_ERR_ADR_HI_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_ADR_HI_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_ADR_HI_0_READ_MASK                      _MK_MASK_CONST(0xff)
#define MC_COALESCE_ERR_ADR_HI_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_ADR_HI_0_ERR_ADR_HI_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_COALESCE_ERR_ADR_HI_0_ERR_ADR_HI_FIELD                       _MK_FIELD_CONST(0xff, MC_COALESCE_ERR_ADR_HI_0_ERR_ADR_HI_SHIFT)
#define MC_COALESCE_ERR_ADR_HI_0_ERR_ADR_HI_RANGE                       7:0
#define MC_COALESCE_ERR_ADR_HI_0_ERR_ADR_HI_WOFFSET                     0x0
#define MC_COALESCE_ERR_ADR_HI_0_ERR_ADR_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_ADR_HI_0_ERR_ADR_HI_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_COALESCE_ERR_ADR_HI_0_ERR_ADR_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_ADR_HI_0_ERR_ADR_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_ADR_HI_0_ERR_ADR_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_ADR_HI_0_ERR_ADR_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_COALESCE_ERR_ADR_0
#define MC_COALESCE_ERR_ADR_0                   _MK_ADDR_CONST(0x3008)
#define MC_COALESCE_ERR_ADR_0_SECURE                    0x0
#define MC_COALESCE_ERR_ADR_0_DUAL                      0x0
#define MC_COALESCE_ERR_ADR_0_SCR                       0
#define MC_COALESCE_ERR_ADR_0_WORD_COUNT                        0x1
#define MC_COALESCE_ERR_ADR_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_ADR_0_RESET_MASK                        _MK_MASK_CONST(0xfffffff0)
#define MC_COALESCE_ERR_ADR_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_ADR_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_ADR_0_READ_MASK                         _MK_MASK_CONST(0xfffffff0)
#define MC_COALESCE_ERR_ADR_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_ADR_0_ERR_ADR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_COALESCE_ERR_ADR_0_ERR_ADR_FIELD                     _MK_FIELD_CONST(0xfffffff, MC_COALESCE_ERR_ADR_0_ERR_ADR_SHIFT)
#define MC_COALESCE_ERR_ADR_0_ERR_ADR_RANGE                     31:4
#define MC_COALESCE_ERR_ADR_0_ERR_ADR_WOFFSET                   0x0
#define MC_COALESCE_ERR_ADR_0_ERR_ADR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_ADR_0_ERR_ADR_DEFAULT_MASK                      _MK_MASK_CONST(0xfffffff)
#define MC_COALESCE_ERR_ADR_0_ERR_ADR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_ADR_0_ERR_ADR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_ADR_0_ERR_ADR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_COALESCE_ERR_ADR_0_ERR_ADR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_ISOCHRONOUS_0_0
#define MC_EMEM_ARB_ISOCHRONOUS_0_0                     _MK_ADDR_CONST(0x208)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_SECURE                      0x0
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_DUAL                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_SCR                         0
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_RESET_VAL                   _MK_MASK_CONST(0x200001)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_RESET_MASK                  _MK_MASK_CONST(0x90600007)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_READ_MASK                   _MK_MASK_CONST(0x90600007)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_WRITE_MASK                  _MK_MASK_CONST(0x90600007)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_PTCR_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_PTCR_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_PTCR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_PTCR_RANGE                      0:0
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_PTCR_WOFFSET                    0x0
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_PTCR_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_PTCR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_PTCR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_PTCR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_PTCR_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_PTCR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_PTCR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_PTCR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7R_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7R_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7R_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7R_RANGE                     1:1
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7R_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7R_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7R_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7W_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7W_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7W_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7W_RANGE                     2:2
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7W_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7W_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7W_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_MIU7W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HDAR_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HDAR_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HDAR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HDAR_RANGE                      21:21
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HDAR_WOFFSET                    0x0
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HDAR_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HDAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HDAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HDAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HDAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HDAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HDAR_INIT_ENUM                  ENABLE
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HDAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HDAR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HOST1XDMAR_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HOST1XDMAR_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HOST1XDMAR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HOST1XDMAR_RANGE                        22:22
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HOST1XDMAR_WOFFSET                      0x0
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HOST1XDMAR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HOST1XDMAR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HOST1XDMAR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HOST1XDMAR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HOST1XDMAR_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HOST1XDMAR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HOST1XDMAR_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HOST1XDMAR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_HOST1XDMAR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_NVENCSRD_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_NVENCSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_NVENCSRD_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_NVENCSRD_RANGE                  28:28
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_NVENCSRD_WOFFSET                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_NVENCSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_NVENCSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_NVENCSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_NVENCSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_NVENCSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_NVENCSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_NVENCSRD_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_NVENCSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_NVENCSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_SATAR_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_SATAR_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_SATAR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_SATAR_RANGE                     31:31
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_SATAR_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_SATAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_SATAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_SATAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_SATAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_SATAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_SATAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_SATAR_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_SATAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_0_0_ISO_SATAR_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_ISOCHRONOUS_1_0
#define MC_EMEM_ARB_ISOCHRONOUS_1_0                     _MK_ADDR_CONST(0x20c)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_SECURE                      0x0
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_DUAL                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_SCR                         0
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_RESET_MASK                  _MK_MASK_CONST(0x22200880)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_READ_MASK                   _MK_MASK_CONST(0x22200880)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_WRITE_MASK                  _MK_MASK_CONST(0x22200880)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCORER_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCORER_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCORER_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCORER_RANGE                   7:7
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCORER_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCORER_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCORER_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCORER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCORER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCORER_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCORER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCORER_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCORER_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCORER_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_NVENCSWR_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_NVENCSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_NVENCSWR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_NVENCSWR_RANGE                  11:11
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_NVENCSWR_WOFFSET                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_NVENCSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_NVENCSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_NVENCSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_NVENCSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_NVENCSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_NVENCSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_NVENCSWR_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_NVENCSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_NVENCSWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_HDAW_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_HDAW_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_HDAW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_HDAW_RANGE                      21:21
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_HDAW_WOFFSET                    0x0
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_HDAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_HDAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_HDAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_HDAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_HDAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_HDAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_HDAW_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_HDAW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_HDAW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCOREW_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCOREW_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCOREW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCOREW_RANGE                   25:25
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCOREW_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCOREW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCOREW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCOREW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCOREW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCOREW_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCOREW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCOREW_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCOREW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_MPCOREW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_SATAW_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_SATAW_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_SATAW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_SATAW_RANGE                     29:29
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_SATAW_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_SATAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_SATAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_SATAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_SATAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_SATAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_SATAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_SATAW_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_SATAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_1_0_ISO_SATAW_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_ISOCHRONOUS_2_0
#define MC_EMEM_ARB_ISOCHRONOUS_2_0                     _MK_ADDR_CONST(0x210)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_SECURE                      0x0
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_DUAL                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_SCR                         0
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_RESET_MASK                  _MK_MASK_CONST(0x303cf0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_READ_MASK                   _MK_MASK_CONST(0x303cf0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_WRITE_MASK                  _MK_MASK_CONST(0x303cf0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPRA_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPRA_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPRA_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPRA_RANGE                     4:4
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPRA_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPRA_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPRA_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPRA_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPRA_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPRA_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPRA_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPRA_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPRA_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPRA_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPFALR_SHIFT                   _MK_SHIFT_CONST(5)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPFALR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPFALR_RANGE                   5:5
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPFALR_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPFALR_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWA_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWA_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWA_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWA_RANGE                     6:6
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWA_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWA_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWA_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWA_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWA_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWA_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWA_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWA_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWA_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWA_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWB_SHIFT                     _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWB_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWB_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWB_RANGE                     7:7
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWB_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWB_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWB_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWB_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWB_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWB_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWB_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWB_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWB_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_ISPWB_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTR_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTR_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTR_RANGE                        10:10
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTR_WOFFSET                      0x0
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTR_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTR_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTW_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTW_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTW_RANGE                        11:11
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTW_WOFFSET                      0x0
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTW_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTW_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_HOSTW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVR_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVR_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVR_RANGE                 12:12
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVR_WOFFSET                       0x0
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVR_INIT_ENUM                     DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVW_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVW_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVW_RANGE                 13:13
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVW_WOFFSET                       0x0
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVW_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVW_INIT_ENUM                     DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_XUSB_DEVW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSRD_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSRD_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSRD_RANGE                   20:20
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSRD_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSRD_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSWR_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSWR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSWR_RANGE                   21:21
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSWR_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSWR_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_2_0_ISO_TSECSWR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_ISOCHRONOUS_3_0
#define MC_EMEM_ARB_ISOCHRONOUS_3_0                     _MK_ADDR_CONST(0x214)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_SECURE                      0x0
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_DUAL                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_SCR                         0
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_RESET_VAL                   _MK_MASK_CONST(0x4000000)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_RESET_MASK                  _MK_MASK_CONST(0xcf0430dd)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_READ_MASK                   _MK_MASK_CONST(0xcf0430dd)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_WRITE_MASK                  _MK_MASK_CONST(0xcf0430dd)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRA_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRA_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRA_RANGE                   0:0
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRA_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRA_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCR_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCR_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCR_RANGE                    2:2
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCR_WOFFSET                  0x0
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCR_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRAB_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRAB_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRAB_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRAB_RANGE                  3:3
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRAB_WOFFSET                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRAB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRAB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRAB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRAB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRAB_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRAB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRAB_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRAB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCRAB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWA_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWA_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWA_RANGE                   4:4
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWA_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWA_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCW_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCW_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCW_RANGE                    6:6
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCW_WOFFSET                  0x0
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCW_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCW_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWAB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWAB_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWAB_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWAB_RANGE                  7:7
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWAB_WOFFSET                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWAB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWAB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWAB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWAB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWAB_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWAB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWAB_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWAB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_SDMMCWAB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSRD_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSRD_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSRD_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSRD_RANGE                    12:12
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSRD_WOFFSET                  0x0
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSRD_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSWR_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSWR_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSWR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSWR_RANGE                    13:13
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSWR_WOFFSET                  0x0
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSWR_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VICSWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VIW_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VIW_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VIW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VIW_RANGE                       18:18
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VIW_WOFFSET                     0x0
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VIW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VIW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VIW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VIW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VIW_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VIW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VIW_INIT_ENUM                   DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VIW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_VIW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSRD_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSRD_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSRD_RANGE                  24:24
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSRD_WOFFSET                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSRD_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSWR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSWR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSWR_RANGE                  25:25
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSWR_WOFFSET                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSWR_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVDECSWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APER_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APER_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APER_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APER_RANGE                      26:26
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APER_WOFFSET                    0x0
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APER_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APER_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APER_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APER_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APER_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APER_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APER_INIT_ENUM                  ENABLE
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APER_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APER_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APEW_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APEW_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APEW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APEW_RANGE                      27:27
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APEW_WOFFSET                    0x0
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APEW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APEW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APEW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APEW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APEW_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APEW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APEW_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APEW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_APEW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSRD_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSRD_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSRD_RANGE                  30:30
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSRD_WOFFSET                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSRD_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSWR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSWR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSWR_RANGE                  31:31
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSWR_WOFFSET                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSWR_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_3_0_ISO_NVJPGSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_ISOCHRONOUS_4_0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0                     _MK_ADDR_CONST(0xb94)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_SECURE                      0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_DUAL                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_SCR                         0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_RESET_VAL                   _MK_MASK_CONST(0x80044000)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_RESET_MASK                  _MK_MASK_CONST(0xfffff0ff)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_READ_MASK                   _MK_MASK_CONST(0xfffff0ff)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_WRITE_MASK                  _MK_MASK_CONST(0xfffff0ff)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESRD_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESRD_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESRD_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESRD_RANGE                     0:0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESRD_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESRD_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESWR_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESWR_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESWR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESWR_RANGE                     1:1
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESWR_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESWR_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SESWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPR_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPR_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPR_RANGE                    2:2
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPR_WOFFSET                  0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPR_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPW_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPW_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPW_RANGE                    3:3
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPW_WOFFSET                  0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPW_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXIAPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRR_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRR_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRR_RANGE                      4:4
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRR_WOFFSET                    0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRR_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRR_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRW_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRW_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRW_RANGE                      5:5
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRW_WOFFSET                    0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRW_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRW_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_ETRW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSRDB_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSRDB_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSRDB_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSRDB_RANGE                  6:6
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSRDB_WOFFSET                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSRDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSRDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSRDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSRDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSRDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSRDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSRDB_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSRDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSRDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSWRB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSWRB_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSWRB_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSWRB_RANGE                  7:7
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSWRB_WOFFSET                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSWRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSWRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSWRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSWRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSWRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSWRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSWRB_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSWRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_TSECSWRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISR_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISR_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISR_RANGE                     12:12
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISR_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISR_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISR_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISW_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISW_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISW_RANGE                     13:13
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISW_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISW_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISW_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AXISW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSR_SHIFT                     _MK_SHIFT_CONST(14)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSR_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSR_RANGE                     14:14
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSR_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSR_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSR_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSR_INIT_ENUM                 ENABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSW_SHIFT                     _MK_SHIFT_CONST(15)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSW_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSW_RANGE                     15:15
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSW_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSW_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSW_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_EQOSW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCR_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCR_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCR_RANGE                    16:16
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCR_WOFFSET                  0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCR_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCW_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCW_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCW_RANGE                    17:17
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCW_WOFFSET                  0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCW_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCW_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_UFSHCW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_NVDISPLAYR_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_NVDISPLAYR_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_NVDISPLAYR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_NVDISPLAYR_RANGE                        18:18
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_NVDISPLAYR_WOFFSET                      0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_NVDISPLAYR_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_NVDISPLAYR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_NVDISPLAYR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_NVDISPLAYR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_NVDISPLAYR_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_NVDISPLAYR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_NVDISPLAYR_INIT_ENUM                    ENABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_NVDISPLAYR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_NVDISPLAYR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPR_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPR_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPR_RANGE                     19:19
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPR_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPR_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPR_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPW_SHIFT                     _MK_SHIFT_CONST(20)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPW_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPW_RANGE                     20:20
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPW_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPW_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPW_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAR_RANGE                  21:21
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAR_WOFFSET                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAR_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAW_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAW_RANGE                  22:22
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAW_WOFFSET                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAW_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_BPMPDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONR_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONR_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONR_RANGE                      23:23
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONR_WOFFSET                    0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONR_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONR_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONW_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONW_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONW_RANGE                      24:24
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONW_WOFFSET                    0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONW_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONW_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAR_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAR_RANGE                   25:25
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAR_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAR_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAW_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAW_RANGE                   26:26
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAW_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAW_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_AONDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCER_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCER_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCER_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCER_RANGE                      27:27
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCER_WOFFSET                    0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCER_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCER_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCER_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCER_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCER_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCER_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCER_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCER_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCER_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEW_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEW_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEW_RANGE                      28:28
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEW_WOFFSET                    0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEW_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEW_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAR_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAR_RANGE                   29:29
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAR_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAR_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAW_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAW_RANGE                   30:30
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAW_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAW_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_SCEDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_APEDMAR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_APEDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_APEDMAR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_APEDMAR_RANGE                   31:31
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_APEDMAR_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_APEDMAR_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_APEDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_APEDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_APEDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_APEDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_APEDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_APEDMAR_INIT_ENUM                       ENABLE
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_APEDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_4_0_ISO_APEDMAR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_ISOCHRONOUS_5_0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0                     _MK_ADDR_CONST(0xba8)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_SECURE                      0x0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_DUAL                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_SCR                         0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_RESET_VAL                   _MK_MASK_CONST(0x10000002)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_RESET_MASK                  _MK_MASK_CONST(0xf00fc3cf)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_READ_MASK                   _MK_MASK_CONST(0xf00fc3cf)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_WRITE_MASK                  _MK_MASK_CONST(0xf00fc3cf)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_APEDMAW_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_APEDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_APEDMAW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_APEDMAW_RANGE                   0:0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_APEDMAW_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_APEDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_APEDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_APEDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_APEDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_APEDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_APEDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_APEDMAW_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_APEDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_APEDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDISPLAYR1_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDISPLAYR1_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDISPLAYR1_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDISPLAYR1_RANGE                       1:1
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDISPLAYR1_WOFFSET                     0x0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDISPLAYR1_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDISPLAYR1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDISPLAYR1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDISPLAYR1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDISPLAYR1_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDISPLAYR1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDISPLAYR1_INIT_ENUM                   ENABLE
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDISPLAYR1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDISPLAYR1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VICSRD1_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VICSRD1_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VICSRD1_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VICSRD1_RANGE                   2:2
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VICSRD1_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VICSRD1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VICSRD1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VICSRD1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VICSRD1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VICSRD1_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VICSRD1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VICSRD1_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VICSRD1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VICSRD1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDECSRD1_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDECSRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDECSRD1_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDECSRD1_RANGE                 3:3
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDECSRD1_WOFFSET                       0x0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDECSRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDECSRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDECSRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDECSRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDECSRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDECSRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDECSRD1_INIT_ENUM                     DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDECSRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_NVDECSRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0R_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0R_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0R_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0R_RANGE                     6:6
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0R_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0R_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0R_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0W_SHIFT                     _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0W_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0W_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0W_RANGE                     7:7
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0W_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0W_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0W_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU0W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1R_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1R_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1R_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1R_RANGE                     8:8
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1R_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1R_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1R_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1W_SHIFT                     _MK_SHIFT_CONST(9)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1W_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1W_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1W_RANGE                     9:9
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1W_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1W_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1W_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU1W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2R_SHIFT                     _MK_SHIFT_CONST(14)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2R_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2R_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2R_RANGE                     14:14
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2R_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2R_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2R_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2W_SHIFT                     _MK_SHIFT_CONST(15)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2W_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2W_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2W_RANGE                     15:15
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2W_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2W_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2W_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU2W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3R_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3R_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3R_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3R_RANGE                     16:16
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3R_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3R_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3R_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3W_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3W_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3W_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3W_RANGE                     17:17
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3W_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3W_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3W_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU3W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4R_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4R_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4R_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4R_RANGE                     18:18
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4R_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4R_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4R_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4W_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4W_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4W_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4W_RANGE                     19:19
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4W_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4W_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4W_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_MIU4W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALR_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALR_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALR_RANGE                    28:28
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALR_WOFFSET                  0x0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALR_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALR_INIT_ENUM                        ENABLE
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALW_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALW_RANGE                    29:29
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALW_WOFFSET                  0x0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALW_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALW_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_VIFALW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0RDA_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0RDA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0RDA_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0RDA_RANGE                   30:30
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0RDA_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0RDA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0RDA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0RDA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0RDA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0RDA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0RDA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0RDA_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0RDA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0RDA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0FALRDB_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0FALRDB_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0FALRDB_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0FALRDB_RANGE                        31:31
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0FALRDB_WOFFSET                      0x0
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0FALRDB_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0FALRDB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0FALRDB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0FALRDB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0FALRDB_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0FALRDB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0FALRDB_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0FALRDB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_5_0_ISO_DLA0FALRDB_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_ISOCHRONOUS_6_0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0                     _MK_ADDR_CONST(0xaac)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_SECURE                      0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_DUAL                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_SCR                         0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0WRA_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0WRA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0WRA_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0WRA_RANGE                   0:0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0WRA_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0WRA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0WRA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0WRA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0WRA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0WRA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0WRA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0WRA_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0WRA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0WRA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0FALWRB_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0FALWRB_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0FALWRB_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0FALWRB_RANGE                        1:1
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0FALWRB_WOFFSET                      0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0FALWRB_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0FALWRB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0FALWRB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0FALWRB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0FALWRB_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0FALWRB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0FALWRB_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0FALWRB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA0FALWRB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1RDA_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1RDA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1RDA_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1RDA_RANGE                   2:2
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1RDA_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1RDA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1RDA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1RDA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1RDA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1RDA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1RDA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1RDA_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1RDA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1RDA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALRDB_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALRDB_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALRDB_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALRDB_RANGE                        3:3
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALRDB_WOFFSET                      0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALRDB_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALRDB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALRDB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALRDB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALRDB_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALRDB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALRDB_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALRDB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALRDB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1WRA_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1WRA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1WRA_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1WRA_RANGE                   4:4
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1WRA_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1WRA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1WRA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1WRA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1WRA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1WRA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1WRA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1WRA_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1WRA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1WRA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALWRB_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALWRB_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALWRB_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALWRB_RANGE                        5:5
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALWRB_WOFFSET                      0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALWRB_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALWRB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALWRB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALWRB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALWRB_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALWRB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALWRB_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALWRB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_DLA1FALWRB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDA_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDA_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDA_RANGE                   6:6
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDA_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDA_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDB_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDB_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDB_RANGE                   7:7
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDB_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDB_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDC_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDC_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDC_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDC_RANGE                   8:8
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDC_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDC_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDC_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDC_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDC_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDC_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDC_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDC_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDC_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0RDC_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRA_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRA_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRA_RANGE                   9:9
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRA_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRA_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRB_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRB_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRB_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRB_RANGE                   10:10
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRB_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRB_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRC_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRC_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRC_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRC_RANGE                   11:11
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRC_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRC_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRC_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRC_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRC_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRC_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRC_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRC_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRC_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA0WRC_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDA_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDA_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDA_RANGE                   12:12
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDA_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDA_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDB_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDB_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDB_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDB_RANGE                   13:13
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDB_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDB_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDC_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDC_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDC_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDC_RANGE                   14:14
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDC_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDC_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDC_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDC_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDC_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDC_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDC_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDC_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDC_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1RDC_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRA_SHIFT                   _MK_SHIFT_CONST(15)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRA_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRA_RANGE                   15:15
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRA_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRA_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRB_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRB_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRB_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRB_RANGE                   16:16
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRB_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRB_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRC_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRC_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRC_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRC_RANGE                   17:17
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRC_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRC_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRC_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRC_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRC_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRC_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRC_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRC_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRC_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PVA1WRC_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCER_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCER_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCER_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCER_RANGE                      18:18
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCER_WOFFSET                    0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCER_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCER_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCER_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCER_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCER_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCER_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCER_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCER_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCER_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEW_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEW_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEW_RANGE                      19:19
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEW_WOFFSET                    0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEW_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEW_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAR_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAR_RANGE                   20:20
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAR_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAR_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAW_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAW_RANGE                   21:21
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAW_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAW_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_RCEDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SRD_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SRD_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SRD_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SRD_RANGE                 22:22
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SRD_WOFFSET                       0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SRD_INIT_ENUM                     DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SWR_SHIFT                 _MK_SHIFT_CONST(23)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SWR_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SWR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SWR_RANGE                 23:23
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SWR_WOFFSET                       0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SWR_INIT_ENUM                     DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_NVENC1SWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0R_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0R_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0R_RANGE                    24:24
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0R_WOFFSET                  0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0R_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0W_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0W_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0W_RANGE                    25:25
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0W_WOFFSET                  0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0W_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1R_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1R_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1R_RANGE                    26:26
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1R_WOFFSET                  0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1R_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1W_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1W_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1W_RANGE                    27:27
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1W_WOFFSET                  0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1W_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AR_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AR_RANGE                   28:28
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AR_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AR_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AW_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AW_RANGE                   29:29
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AW_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AW_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AW_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE2AW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3R_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3R_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3R_RANGE                    30:30
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3R_WOFFSET                  0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3R_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3W_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3W_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3W_RANGE                    31:31
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3W_WOFFSET                  0x0
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3W_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_6_0_ISO_PCIE3W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_ISOCHRONOUS_7_0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0                     _MK_ADDR_CONST(0xab0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_SECURE                      0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_DUAL                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_SCR                         0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_RESET_MASK                  _MK_MASK_CONST(0xfe0ffe1f)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_READ_MASK                   _MK_MASK_CONST(0xfe0ffe1f)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_WRITE_MASK                  _MK_MASK_CONST(0xfe0ffe1f)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4R_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4R_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4R_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4R_RANGE                    0:0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4R_WOFFSET                  0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4R_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4W_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4W_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4W_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4W_RANGE                    1:1
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4W_WOFFSET                  0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4W_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R_RANGE                    2:2
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R_WOFFSET                  0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5W_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5W_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5W_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5W_RANGE                    3:3
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5W_WOFFSET                  0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5W_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPFALW_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPFALW_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPFALW_RANGE                   4:4
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPFALW_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPFALW_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA0RDA1_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA0RDA1_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA0RDA1_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA0RDA1_RANGE                  9:9
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA0RDA1_WOFFSET                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA0RDA1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA0RDA1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA0RDA1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA0RDA1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA0RDA1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA0RDA1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA0RDA1_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA0RDA1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA0RDA1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA1RDA1_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA1RDA1_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA1RDA1_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA1RDA1_RANGE                  10:10
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA1RDA1_WOFFSET                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA1RDA1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA1RDA1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA1RDA1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA1RDA1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA1RDA1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA1RDA1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA1RDA1_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA1RDA1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_DLA1RDA1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDA1_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDA1_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDA1_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDA1_RANGE                  11:11
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDA1_WOFFSET                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDA1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDA1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDA1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDA1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDA1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDA1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDA1_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDA1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDA1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDB1_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDB1_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDB1_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDB1_RANGE                  12:12
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDB1_WOFFSET                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDB1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDB1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDB1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDB1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDB1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDB1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDB1_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDB1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA0RDB1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDA1_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDA1_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDA1_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDA1_RANGE                  13:13
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDA1_WOFFSET                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDA1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDA1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDA1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDA1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDA1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDA1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDA1_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDA1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDA1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDB1_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDB1_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDB1_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDB1_RANGE                  14:14
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDB1_WOFFSET                        0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDB1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDB1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDB1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDB1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDB1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDB1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDB1_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDB1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PVA1RDB1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R1_SHIFT                   _MK_SHIFT_CONST(15)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R1_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R1_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R1_RANGE                   15:15
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R1_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R1_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R1_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE5R1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENCSRD1_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENCSRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENCSRD1_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENCSRD1_RANGE                 16:16
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENCSRD1_WOFFSET                       0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENCSRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENCSRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENCSRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENCSRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENCSRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENCSRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENCSRD1_INIT_ENUM                     DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENCSRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENCSRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENC1SRD1_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENC1SRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENC1SRD1_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENC1SRD1_RANGE                        17:17
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENC1SRD1_WOFFSET                      0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENC1SRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENC1SRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENC1SRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENC1SRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENC1SRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENC1SRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENC1SRD1_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENC1SRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVENC1SRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPRA1_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPRA1_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPRA1_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPRA1_RANGE                    18:18
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPRA1_WOFFSET                  0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPRA1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPRA1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPRA1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPRA1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPRA1_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPRA1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPRA1_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPRA1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_ISPRA1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE0R1_SHIFT                   _MK_SHIFT_CONST(19)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE0R1_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE0R1_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE0R1_RANGE                   19:19
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE0R1_WOFFSET                 0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE0R1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE0R1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE0R1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE0R1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE0R1_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE0R1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE0R1_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE0R1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_PCIE0R1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD_RANGE                 25:25
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD_WOFFSET                       0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD_INIT_ENUM                     DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD1_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD1_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD1_RANGE                        26:26
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD1_WOFFSET                      0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD1_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SWR_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SWR_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SWR_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SWR_RANGE                 27:27
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SWR_WOFFSET                       0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SWR_INIT_ENUM                     DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_NVDEC1SWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5R_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5R_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5R_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5R_RANGE                     28:28
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5R_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5R_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5R_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5W_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5W_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5W_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5W_RANGE                     29:29
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5W_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5W_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5W_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU5W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6R_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6R_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6R_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6R_RANGE                     30:30
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6R_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6R_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6R_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6W_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6W_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6W_SHIFT)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6W_RANGE                     31:31
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6W_WOFFSET                   0x0
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6W_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6W_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_ISOCHRONOUS_7_0_ISO_MIU6W_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_HYSTERESIS_0_0
#define MC_EMEM_ARB_HYSTERESIS_0_0                      _MK_ADDR_CONST(0x218)
#define MC_EMEM_ARB_HYSTERESIS_0_0_SECURE                       0x0
#define MC_EMEM_ARB_HYSTERESIS_0_0_DUAL                         0x0
#define MC_EMEM_ARB_HYSTERESIS_0_0_SCR                  0
#define MC_EMEM_ARB_HYSTERESIS_0_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_HYSTERESIS_0_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_RESET_MASK                   _MK_MASK_CONST(0x90600007)
#define MC_EMEM_ARB_HYSTERESIS_0_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_READ_MASK                    _MK_MASK_CONST(0x90600007)
#define MC_EMEM_ARB_HYSTERESIS_0_0_WRITE_MASK                   _MK_MASK_CONST(0x90600007)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_PTCR_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_PTCR_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_0_0_HYST_PTCR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_PTCR_RANGE                      0:0
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_PTCR_WOFFSET                    0x0
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_PTCR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_PTCR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_PTCR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_PTCR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_PTCR_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_PTCR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_PTCR_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_PTCR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_PTCR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7R_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7R_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7R_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7R_RANGE                     1:1
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7R_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7R_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7R_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7W_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7W_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7W_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7W_RANGE                     2:2
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7W_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7W_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7W_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_MIU7W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HDAR_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HDAR_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HDAR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HDAR_RANGE                      21:21
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HDAR_WOFFSET                    0x0
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HDAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HDAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HDAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HDAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HDAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HDAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HDAR_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HDAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HDAR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HOST1XDMAR_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HOST1XDMAR_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HOST1XDMAR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HOST1XDMAR_RANGE                        22:22
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HOST1XDMAR_WOFFSET                      0x0
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HOST1XDMAR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HOST1XDMAR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HOST1XDMAR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HOST1XDMAR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HOST1XDMAR_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HOST1XDMAR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HOST1XDMAR_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HOST1XDMAR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_HOST1XDMAR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_NVENCSRD_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_NVENCSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_0_0_HYST_NVENCSRD_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_NVENCSRD_RANGE                  28:28
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_NVENCSRD_WOFFSET                        0x0
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_NVENCSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_NVENCSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_NVENCSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_NVENCSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_NVENCSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_NVENCSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_NVENCSRD_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_NVENCSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_NVENCSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_SATAR_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_SATAR_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_0_0_HYST_SATAR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_SATAR_RANGE                     31:31
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_SATAR_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_SATAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_SATAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_SATAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_SATAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_SATAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_SATAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_SATAR_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_SATAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_0_0_HYST_SATAR_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_HYSTERESIS_1_0
#define MC_EMEM_ARB_HYSTERESIS_1_0                      _MK_ADDR_CONST(0x21c)
#define MC_EMEM_ARB_HYSTERESIS_1_0_SECURE                       0x0
#define MC_EMEM_ARB_HYSTERESIS_1_0_DUAL                         0x0
#define MC_EMEM_ARB_HYSTERESIS_1_0_SCR                  0
#define MC_EMEM_ARB_HYSTERESIS_1_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_HYSTERESIS_1_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_RESET_MASK                   _MK_MASK_CONST(0x22200880)
#define MC_EMEM_ARB_HYSTERESIS_1_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_READ_MASK                    _MK_MASK_CONST(0x22200880)
#define MC_EMEM_ARB_HYSTERESIS_1_0_WRITE_MASK                   _MK_MASK_CONST(0x22200880)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCORER_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCORER_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCORER_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCORER_RANGE                   7:7
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCORER_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCORER_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCORER_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCORER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCORER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCORER_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCORER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCORER_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCORER_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCORER_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_NVENCSWR_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_NVENCSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_1_0_HYST_NVENCSWR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_NVENCSWR_RANGE                  11:11
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_NVENCSWR_WOFFSET                        0x0
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_NVENCSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_NVENCSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_NVENCSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_NVENCSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_NVENCSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_NVENCSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_NVENCSWR_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_NVENCSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_NVENCSWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_HDAW_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_HDAW_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_1_0_HYST_HDAW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_HDAW_RANGE                      21:21
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_HDAW_WOFFSET                    0x0
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_HDAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_HDAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_HDAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_HDAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_HDAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_HDAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_HDAW_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_HDAW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_HDAW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCOREW_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCOREW_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCOREW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCOREW_RANGE                   25:25
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCOREW_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCOREW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCOREW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCOREW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCOREW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCOREW_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCOREW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCOREW_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCOREW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_MPCOREW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_SATAW_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_SATAW_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_1_0_HYST_SATAW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_SATAW_RANGE                     29:29
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_SATAW_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_SATAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_SATAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_SATAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_SATAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_SATAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_SATAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_SATAW_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_SATAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_1_0_HYST_SATAW_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_HYSTERESIS_2_0
#define MC_EMEM_ARB_HYSTERESIS_2_0                      _MK_ADDR_CONST(0x220)
#define MC_EMEM_ARB_HYSTERESIS_2_0_SECURE                       0x0
#define MC_EMEM_ARB_HYSTERESIS_2_0_DUAL                         0x0
#define MC_EMEM_ARB_HYSTERESIS_2_0_SCR                  0
#define MC_EMEM_ARB_HYSTERESIS_2_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_HYSTERESIS_2_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_RESET_MASK                   _MK_MASK_CONST(0x303cf0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_READ_MASK                    _MK_MASK_CONST(0x303cf0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_WRITE_MASK                   _MK_MASK_CONST(0x303cf0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPRA_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPRA_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPRA_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPRA_RANGE                     4:4
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPRA_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPRA_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPRA_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPRA_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPRA_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPRA_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPRA_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPRA_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPRA_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPRA_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPFALR_SHIFT                   _MK_SHIFT_CONST(5)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPFALR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPFALR_RANGE                   5:5
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPFALR_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPFALR_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWA_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWA_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWA_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWA_RANGE                     6:6
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWA_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWA_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWA_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWA_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWA_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWA_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWA_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWA_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWA_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWA_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWB_SHIFT                     _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWB_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWB_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWB_RANGE                     7:7
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWB_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWB_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWB_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWB_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWB_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWB_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWB_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWB_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWB_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_ISPWB_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTR_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTR_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTR_RANGE                        10:10
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTR_WOFFSET                      0x0
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTR_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTR_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTW_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTW_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTW_RANGE                        11:11
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTW_WOFFSET                      0x0
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTW_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTW_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_HOSTW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVR_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVR_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVR_RANGE                 12:12
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVR_WOFFSET                       0x0
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVR_INIT_ENUM                     DISABLE
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVW_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVW_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVW_RANGE                 13:13
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVW_WOFFSET                       0x0
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVW_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVW_INIT_ENUM                     DISABLE
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_XUSB_DEVW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSRD_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSRD_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSRD_RANGE                   20:20
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSRD_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSRD_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSWR_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSWR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSWR_RANGE                   21:21
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSWR_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSWR_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_2_0_HYST_TSECSWR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_HYSTERESIS_3_0
#define MC_EMEM_ARB_HYSTERESIS_3_0                      _MK_ADDR_CONST(0x224)
#define MC_EMEM_ARB_HYSTERESIS_3_0_SECURE                       0x0
#define MC_EMEM_ARB_HYSTERESIS_3_0_DUAL                         0x0
#define MC_EMEM_ARB_HYSTERESIS_3_0_SCR                  0
#define MC_EMEM_ARB_HYSTERESIS_3_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_HYSTERESIS_3_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_RESET_MASK                   _MK_MASK_CONST(0xcf0430dd)
#define MC_EMEM_ARB_HYSTERESIS_3_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_READ_MASK                    _MK_MASK_CONST(0xcf0430dd)
#define MC_EMEM_ARB_HYSTERESIS_3_0_WRITE_MASK                   _MK_MASK_CONST(0xcf0430dd)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRA_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRA_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRA_RANGE                   0:0
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRA_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRA_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCR_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCR_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCR_RANGE                    2:2
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCR_WOFFSET                  0x0
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCR_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRAB_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRAB_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRAB_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRAB_RANGE                  3:3
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRAB_WOFFSET                        0x0
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRAB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRAB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRAB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRAB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRAB_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRAB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRAB_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRAB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCRAB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWA_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWA_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWA_RANGE                   4:4
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWA_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWA_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCW_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCW_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCW_RANGE                    6:6
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCW_WOFFSET                  0x0
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCW_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCW_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWAB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWAB_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWAB_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWAB_RANGE                  7:7
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWAB_WOFFSET                        0x0
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWAB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWAB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWAB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWAB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWAB_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWAB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWAB_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWAB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_SDMMCWAB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSRD_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSRD_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSRD_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSRD_RANGE                    12:12
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSRD_WOFFSET                  0x0
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSRD_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSWR_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSWR_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSWR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSWR_RANGE                    13:13
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSWR_WOFFSET                  0x0
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSWR_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VICSWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VIW_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VIW_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VIW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VIW_RANGE                       18:18
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VIW_WOFFSET                     0x0
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VIW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VIW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VIW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VIW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VIW_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VIW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VIW_INIT_ENUM                   DISABLE
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VIW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_VIW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSRD_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSRD_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSRD_RANGE                  24:24
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSRD_WOFFSET                        0x0
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSRD_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSWR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSWR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSWR_RANGE                  25:25
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSWR_WOFFSET                        0x0
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSWR_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVDECSWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APER_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APER_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APER_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APER_RANGE                      26:26
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APER_WOFFSET                    0x0
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APER_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APER_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APER_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APER_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APER_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APER_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APER_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APER_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APER_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APEW_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APEW_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APEW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APEW_RANGE                      27:27
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APEW_WOFFSET                    0x0
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APEW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APEW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APEW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APEW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APEW_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APEW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APEW_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APEW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_APEW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSRD_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSRD_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSRD_RANGE                  30:30
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSRD_WOFFSET                        0x0
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSRD_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSWR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSWR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSWR_RANGE                  31:31
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSWR_WOFFSET                        0x0
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSWR_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_3_0_HYST_NVJPGSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_HYSTERESIS_4_0
#define MC_EMEM_ARB_HYSTERESIS_4_0                      _MK_ADDR_CONST(0xb84)
#define MC_EMEM_ARB_HYSTERESIS_4_0_SECURE                       0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_DUAL                         0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_SCR                  0
#define MC_EMEM_ARB_HYSTERESIS_4_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_HYSTERESIS_4_0_RESET_VAL                    _MK_MASK_CONST(0x40000)
#define MC_EMEM_ARB_HYSTERESIS_4_0_RESET_MASK                   _MK_MASK_CONST(0xfffff0ff)
#define MC_EMEM_ARB_HYSTERESIS_4_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_READ_MASK                    _MK_MASK_CONST(0xfffff0ff)
#define MC_EMEM_ARB_HYSTERESIS_4_0_WRITE_MASK                   _MK_MASK_CONST(0xfffff0ff)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESRD_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESRD_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESRD_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESRD_RANGE                     0:0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESRD_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESRD_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESWR_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESWR_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESWR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESWR_RANGE                     1:1
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESWR_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESWR_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SESWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPR_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPR_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPR_RANGE                    2:2
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPR_WOFFSET                  0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPR_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPW_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPW_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPW_RANGE                    3:3
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPW_WOFFSET                  0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPW_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXIAPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRR_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRR_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRR_RANGE                      4:4
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRR_WOFFSET                    0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRR_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRR_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRW_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRW_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRW_RANGE                      5:5
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRW_WOFFSET                    0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRW_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRW_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_ETRW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSRDB_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSRDB_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSRDB_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSRDB_RANGE                  6:6
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSRDB_WOFFSET                        0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSRDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSRDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSRDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSRDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSRDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSRDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSRDB_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSRDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSRDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSWRB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSWRB_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSWRB_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSWRB_RANGE                  7:7
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSWRB_WOFFSET                        0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSWRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSWRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSWRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSWRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSWRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSWRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSWRB_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSWRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_TSECSWRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISR_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISR_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISR_RANGE                     12:12
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISR_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISR_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISR_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISW_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISW_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISW_RANGE                     13:13
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISW_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISW_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISW_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AXISW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSR_SHIFT                     _MK_SHIFT_CONST(14)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSR_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSR_RANGE                     14:14
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSR_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSR_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSR_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSW_SHIFT                     _MK_SHIFT_CONST(15)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSW_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSW_RANGE                     15:15
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSW_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSW_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSW_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_EQOSW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCR_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCR_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCR_RANGE                    16:16
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCR_WOFFSET                  0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCR_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCW_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCW_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCW_RANGE                    17:17
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCW_WOFFSET                  0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCW_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCW_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_UFSHCW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_NVDISPLAYR_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_NVDISPLAYR_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_NVDISPLAYR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_NVDISPLAYR_RANGE                        18:18
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_NVDISPLAYR_WOFFSET                      0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_NVDISPLAYR_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_NVDISPLAYR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_NVDISPLAYR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_NVDISPLAYR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_NVDISPLAYR_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_NVDISPLAYR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_NVDISPLAYR_INIT_ENUM                    ENABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_NVDISPLAYR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_NVDISPLAYR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPR_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPR_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPR_RANGE                     19:19
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPR_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPR_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPR_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPW_SHIFT                     _MK_SHIFT_CONST(20)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPW_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPW_RANGE                     20:20
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPW_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPW_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPW_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAR_RANGE                  21:21
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAR_WOFFSET                        0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAR_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAW_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAW_RANGE                  22:22
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAW_WOFFSET                        0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAW_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_BPMPDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONR_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONR_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONR_RANGE                      23:23
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONR_WOFFSET                    0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONR_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONR_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONW_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONW_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONW_RANGE                      24:24
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONW_WOFFSET                    0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONW_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONW_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAR_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAR_RANGE                   25:25
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAR_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAR_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAW_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAW_RANGE                   26:26
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAW_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAW_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_AONDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCER_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCER_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCER_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCER_RANGE                      27:27
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCER_WOFFSET                    0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCER_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCER_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCER_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCER_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCER_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCER_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCER_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCER_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCER_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEW_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEW_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEW_RANGE                      28:28
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEW_WOFFSET                    0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEW_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEW_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAR_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAR_RANGE                   29:29
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAR_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAR_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAW_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAW_RANGE                   30:30
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAW_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAW_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_SCEDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_APEDMAR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_APEDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_4_0_HYST_APEDMAR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_APEDMAR_RANGE                   31:31
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_APEDMAR_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_APEDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_APEDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_APEDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_APEDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_APEDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_APEDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_APEDMAR_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_APEDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_4_0_HYST_APEDMAR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_HYSTERESIS_5_0
#define MC_EMEM_ARB_HYSTERESIS_5_0                      _MK_ADDR_CONST(0xba4)
#define MC_EMEM_ARB_HYSTERESIS_5_0_SECURE                       0x0
#define MC_EMEM_ARB_HYSTERESIS_5_0_DUAL                         0x0
#define MC_EMEM_ARB_HYSTERESIS_5_0_SCR                  0
#define MC_EMEM_ARB_HYSTERESIS_5_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_HYSTERESIS_5_0_RESET_VAL                    _MK_MASK_CONST(0x2)
#define MC_EMEM_ARB_HYSTERESIS_5_0_RESET_MASK                   _MK_MASK_CONST(0xf00fc3cf)
#define MC_EMEM_ARB_HYSTERESIS_5_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_READ_MASK                    _MK_MASK_CONST(0xf00fc3cf)
#define MC_EMEM_ARB_HYSTERESIS_5_0_WRITE_MASK                   _MK_MASK_CONST(0xf00fc3cf)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_APEDMAW_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_APEDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_5_0_HYST_APEDMAW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_APEDMAW_RANGE                   0:0
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_APEDMAW_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_APEDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_APEDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_APEDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_APEDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_APEDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_APEDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_APEDMAW_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_APEDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_APEDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDISPLAYR1_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDISPLAYR1_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDISPLAYR1_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDISPLAYR1_RANGE                       1:1
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDISPLAYR1_WOFFSET                     0x0
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDISPLAYR1_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDISPLAYR1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDISPLAYR1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDISPLAYR1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDISPLAYR1_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDISPLAYR1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDISPLAYR1_INIT_ENUM                   ENABLE
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDISPLAYR1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDISPLAYR1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VICSRD1_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VICSRD1_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VICSRD1_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VICSRD1_RANGE                   2:2
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VICSRD1_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VICSRD1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VICSRD1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VICSRD1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VICSRD1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VICSRD1_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VICSRD1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VICSRD1_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VICSRD1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VICSRD1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDECSRD1_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDECSRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDECSRD1_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDECSRD1_RANGE                 3:3
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDECSRD1_WOFFSET                       0x0
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDECSRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDECSRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDECSRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDECSRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDECSRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDECSRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDECSRD1_INIT_ENUM                     DISABLE
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDECSRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_NVDECSRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0R_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0R_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0R_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0R_RANGE                     6:6
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0R_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0R_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0R_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0W_SHIFT                     _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0W_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0W_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0W_RANGE                     7:7
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0W_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0W_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0W_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU0W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1R_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1R_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1R_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1R_RANGE                     8:8
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1R_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1R_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1R_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1W_SHIFT                     _MK_SHIFT_CONST(9)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1W_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1W_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1W_RANGE                     9:9
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1W_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1W_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1W_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU1W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2R_SHIFT                     _MK_SHIFT_CONST(14)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2R_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2R_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2R_RANGE                     14:14
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2R_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2R_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2R_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2W_SHIFT                     _MK_SHIFT_CONST(15)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2W_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2W_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2W_RANGE                     15:15
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2W_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2W_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2W_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU2W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3R_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3R_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3R_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3R_RANGE                     16:16
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3R_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3R_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3R_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3W_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3W_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3W_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3W_RANGE                     17:17
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3W_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3W_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3W_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU3W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4R_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4R_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4R_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4R_RANGE                     18:18
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4R_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4R_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4R_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4W_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4W_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4W_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4W_RANGE                     19:19
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4W_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4W_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4W_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_MIU4W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALR_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALR_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALR_RANGE                    28:28
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALR_WOFFSET                  0x0
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALR_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALW_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALW_RANGE                    29:29
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALW_WOFFSET                  0x0
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALW_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALW_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_VIFALW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0RDA_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0RDA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0RDA_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0RDA_RANGE                   30:30
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0RDA_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0RDA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0RDA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0RDA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0RDA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0RDA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0RDA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0RDA_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0RDA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0RDA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0FALRDB_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0FALRDB_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0FALRDB_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0FALRDB_RANGE                        31:31
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0FALRDB_WOFFSET                      0x0
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0FALRDB_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0FALRDB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0FALRDB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0FALRDB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0FALRDB_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0FALRDB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0FALRDB_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0FALRDB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_5_0_HYST_DLA0FALRDB_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_HYSTERESIS_6_0
#define MC_EMEM_ARB_HYSTERESIS_6_0                      _MK_ADDR_CONST(0xef4)
#define MC_EMEM_ARB_HYSTERESIS_6_0_SECURE                       0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_DUAL                         0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_SCR                  0
#define MC_EMEM_ARB_HYSTERESIS_6_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_HYSTERESIS_6_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_EMEM_ARB_HYSTERESIS_6_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_EMEM_ARB_HYSTERESIS_6_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0WRA_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0WRA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0WRA_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0WRA_RANGE                   0:0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0WRA_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0WRA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0WRA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0WRA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0WRA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0WRA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0WRA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0WRA_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0WRA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0WRA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0FALWRB_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0FALWRB_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0FALWRB_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0FALWRB_RANGE                        1:1
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0FALWRB_WOFFSET                      0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0FALWRB_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0FALWRB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0FALWRB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0FALWRB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0FALWRB_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0FALWRB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0FALWRB_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0FALWRB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA0FALWRB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1RDA_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1RDA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1RDA_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1RDA_RANGE                   2:2
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1RDA_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1RDA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1RDA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1RDA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1RDA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1RDA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1RDA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1RDA_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1RDA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1RDA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALRDB_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALRDB_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALRDB_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALRDB_RANGE                        3:3
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALRDB_WOFFSET                      0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALRDB_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALRDB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALRDB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALRDB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALRDB_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALRDB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALRDB_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALRDB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALRDB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1WRA_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1WRA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1WRA_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1WRA_RANGE                   4:4
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1WRA_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1WRA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1WRA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1WRA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1WRA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1WRA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1WRA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1WRA_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1WRA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1WRA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALWRB_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALWRB_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALWRB_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALWRB_RANGE                        5:5
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALWRB_WOFFSET                      0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALWRB_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALWRB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALWRB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALWRB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALWRB_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALWRB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALWRB_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALWRB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_DLA1FALWRB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDA_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDA_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDA_RANGE                   6:6
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDA_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDA_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDB_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDB_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDB_RANGE                   7:7
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDB_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDB_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDC_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDC_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDC_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDC_RANGE                   8:8
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDC_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDC_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDC_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDC_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDC_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDC_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDC_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDC_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDC_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0RDC_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRA_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRA_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRA_RANGE                   9:9
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRA_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRA_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRB_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRB_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRB_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRB_RANGE                   10:10
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRB_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRB_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRC_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRC_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRC_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRC_RANGE                   11:11
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRC_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRC_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRC_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRC_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRC_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRC_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRC_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRC_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRC_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA0WRC_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDA_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDA_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDA_RANGE                   12:12
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDA_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDA_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDB_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDB_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDB_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDB_RANGE                   13:13
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDB_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDB_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDC_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDC_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDC_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDC_RANGE                   14:14
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDC_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDC_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDC_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDC_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDC_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDC_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDC_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDC_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDC_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1RDC_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRA_SHIFT                   _MK_SHIFT_CONST(15)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRA_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRA_RANGE                   15:15
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRA_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRA_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRB_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRB_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRB_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRB_RANGE                   16:16
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRB_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRB_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRC_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRC_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRC_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRC_RANGE                   17:17
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRC_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRC_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRC_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRC_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRC_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRC_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRC_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRC_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRC_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PVA1WRC_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCER_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCER_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCER_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCER_RANGE                      18:18
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCER_WOFFSET                    0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCER_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCER_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCER_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCER_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCER_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCER_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCER_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCER_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCER_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEW_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEW_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEW_RANGE                      19:19
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEW_WOFFSET                    0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEW_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEW_INIT_ENUM                  DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAR_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAR_RANGE                   20:20
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAR_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAR_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAW_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAW_RANGE                   21:21
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAW_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAW_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_RCEDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SRD_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SRD_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SRD_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SRD_RANGE                 22:22
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SRD_WOFFSET                       0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SRD_INIT_ENUM                     DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SWR_SHIFT                 _MK_SHIFT_CONST(23)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SWR_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SWR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SWR_RANGE                 23:23
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SWR_WOFFSET                       0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SWR_INIT_ENUM                     DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_NVENC1SWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0R_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0R_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0R_RANGE                    24:24
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0R_WOFFSET                  0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0R_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0W_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0W_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0W_RANGE                    25:25
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0W_WOFFSET                  0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0W_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1R_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1R_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1R_RANGE                    26:26
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1R_WOFFSET                  0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1R_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1W_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1W_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1W_RANGE                    27:27
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1W_WOFFSET                  0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1W_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AR_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AR_RANGE                   28:28
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AR_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AR_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AW_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AW_RANGE                   29:29
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AW_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AW_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AW_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE2AW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3R_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3R_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3R_RANGE                    30:30
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3R_WOFFSET                  0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3R_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3W_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3W_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3W_RANGE                    31:31
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3W_WOFFSET                  0x0
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3W_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_6_0_HYST_PCIE3W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_HYSTERESIS_7_0
#define MC_EMEM_ARB_HYSTERESIS_7_0                      _MK_ADDR_CONST(0xef8)
#define MC_EMEM_ARB_HYSTERESIS_7_0_SECURE                       0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_DUAL                         0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_SCR                  0
#define MC_EMEM_ARB_HYSTERESIS_7_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_HYSTERESIS_7_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_RESET_MASK                   _MK_MASK_CONST(0xfe0ffe1f)
#define MC_EMEM_ARB_HYSTERESIS_7_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_READ_MASK                    _MK_MASK_CONST(0xfe0ffe1f)
#define MC_EMEM_ARB_HYSTERESIS_7_0_WRITE_MASK                   _MK_MASK_CONST(0xfe0ffe1f)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4R_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4R_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4R_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4R_RANGE                    0:0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4R_WOFFSET                  0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4R_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4W_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4W_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4W_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4W_RANGE                    1:1
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4W_WOFFSET                  0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4W_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R_RANGE                    2:2
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R_WOFFSET                  0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5W_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5W_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5W_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5W_RANGE                    3:3
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5W_WOFFSET                  0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5W_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPFALW_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPFALW_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPFALW_RANGE                   4:4
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPFALW_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPFALW_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA0RDA1_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA0RDA1_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA0RDA1_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA0RDA1_RANGE                  9:9
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA0RDA1_WOFFSET                        0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA0RDA1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA0RDA1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA0RDA1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA0RDA1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA0RDA1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA0RDA1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA0RDA1_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA0RDA1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA0RDA1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA1RDA1_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA1RDA1_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA1RDA1_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA1RDA1_RANGE                  10:10
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA1RDA1_WOFFSET                        0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA1RDA1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA1RDA1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA1RDA1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA1RDA1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA1RDA1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA1RDA1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA1RDA1_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA1RDA1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_DLA1RDA1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDA1_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDA1_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDA1_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDA1_RANGE                  11:11
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDA1_WOFFSET                        0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDA1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDA1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDA1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDA1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDA1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDA1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDA1_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDA1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDA1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDB1_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDB1_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDB1_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDB1_RANGE                  12:12
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDB1_WOFFSET                        0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDB1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDB1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDB1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDB1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDB1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDB1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDB1_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDB1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA0RDB1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDA1_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDA1_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDA1_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDA1_RANGE                  13:13
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDA1_WOFFSET                        0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDA1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDA1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDA1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDA1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDA1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDA1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDA1_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDA1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDA1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDB1_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDB1_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDB1_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDB1_RANGE                  14:14
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDB1_WOFFSET                        0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDB1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDB1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDB1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDB1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDB1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDB1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDB1_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDB1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PVA1RDB1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R1_SHIFT                   _MK_SHIFT_CONST(15)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R1_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R1_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R1_RANGE                   15:15
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R1_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R1_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R1_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE5R1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENCSRD1_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENCSRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENCSRD1_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENCSRD1_RANGE                 16:16
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENCSRD1_WOFFSET                       0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENCSRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENCSRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENCSRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENCSRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENCSRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENCSRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENCSRD1_INIT_ENUM                     DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENCSRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENCSRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENC1SRD1_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENC1SRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENC1SRD1_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENC1SRD1_RANGE                        17:17
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENC1SRD1_WOFFSET                      0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENC1SRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENC1SRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENC1SRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENC1SRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENC1SRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENC1SRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENC1SRD1_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENC1SRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVENC1SRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPRA1_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPRA1_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPRA1_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPRA1_RANGE                    18:18
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPRA1_WOFFSET                  0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPRA1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPRA1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPRA1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPRA1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPRA1_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPRA1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPRA1_INIT_ENUM                        DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPRA1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_ISPRA1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE0R1_SHIFT                   _MK_SHIFT_CONST(19)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE0R1_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE0R1_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE0R1_RANGE                   19:19
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE0R1_WOFFSET                 0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE0R1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE0R1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE0R1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE0R1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE0R1_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE0R1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE0R1_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE0R1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_PCIE0R1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD_RANGE                 25:25
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD_WOFFSET                       0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD_INIT_ENUM                     DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD1_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD1_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD1_RANGE                        26:26
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD1_WOFFSET                      0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD1_INIT_ENUM                    DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SWR_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SWR_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SWR_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SWR_RANGE                 27:27
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SWR_WOFFSET                       0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SWR_INIT_ENUM                     DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_NVDEC1SWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5R_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5R_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5R_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5R_RANGE                     28:28
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5R_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5R_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5R_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5W_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5W_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5W_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5W_RANGE                     29:29
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5W_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5W_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5W_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU5W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6R_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6R_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6R_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6R_RANGE                     30:30
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6R_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6R_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6R_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6W_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6W_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6W_SHIFT)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6W_RANGE                     31:31
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6W_WOFFSET                   0x0
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6W_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6W_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_HYSTERESIS_7_0_HYST_MIU6W_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_DHYSTERESIS_0_0
#define MC_EMEM_ARB_DHYSTERESIS_0_0                     _MK_ADDR_CONST(0xbb0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_SECURE                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DUAL                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_0_0_SCR                         0
#define MC_EMEM_ARB_DHYSTERESIS_0_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_DHYSTERESIS_0_0_RESET_VAL                   _MK_MASK_CONST(0x10400000)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_RESET_MASK                  _MK_MASK_CONST(0x90600007)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_READ_MASK                   _MK_MASK_CONST(0x90600007)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_WRITE_MASK                  _MK_MASK_CONST(0x90600007)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_PTCR_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_PTCR_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_PTCR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_PTCR_RANGE                    0:0
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_PTCR_WOFFSET                  0x0
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_PTCR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_PTCR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_PTCR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_PTCR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_PTCR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_PTCR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_PTCR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_PTCR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7R_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7R_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7R_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7R_RANGE                   1:1
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7R_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7R_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7W_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7W_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7W_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7W_RANGE                   2:2
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7W_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7W_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_MIU7W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HDAR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HDAR_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HDAR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HDAR_RANGE                    21:21
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HDAR_WOFFSET                  0x0
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HDAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HDAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HDAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HDAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HDAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HDAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HDAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HDAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HOST1XDMAR_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HOST1XDMAR_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HOST1XDMAR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HOST1XDMAR_RANGE                      22:22
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HOST1XDMAR_WOFFSET                    0x0
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HOST1XDMAR_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HOST1XDMAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HOST1XDMAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HOST1XDMAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HOST1XDMAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HOST1XDMAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HOST1XDMAR_INIT_ENUM                  ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HOST1XDMAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_HOST1XDMAR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_NVENCSRD_SHIFT                        _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_NVENCSRD_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_NVENCSRD_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_NVENCSRD_RANGE                        28:28
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_NVENCSRD_WOFFSET                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_NVENCSRD_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_NVENCSRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_NVENCSRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_NVENCSRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_NVENCSRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_NVENCSRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_NVENCSRD_INIT_ENUM                    ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_NVENCSRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_NVENCSRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_SATAR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_SATAR_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_SATAR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_SATAR_RANGE                   31:31
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_SATAR_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_SATAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_SATAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_SATAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_SATAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_SATAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_SATAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_SATAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_0_0_DHYST_SATAR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_DHYSTERESIS_1_0
#define MC_EMEM_ARB_DHYSTERESIS_1_0                     _MK_ADDR_CONST(0xbb4)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_SECURE                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DUAL                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_1_0_SCR                         0
#define MC_EMEM_ARB_DHYSTERESIS_1_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_DHYSTERESIS_1_0_RESET_VAL                   _MK_MASK_CONST(0x800)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_RESET_MASK                  _MK_MASK_CONST(0x22200880)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_READ_MASK                   _MK_MASK_CONST(0x22200880)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_WRITE_MASK                  _MK_MASK_CONST(0x22200880)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCORER_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCORER_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCORER_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCORER_RANGE                 7:7
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCORER_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCORER_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCORER_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCORER_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCORER_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCORER_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCORER_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCORER_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCORER_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_NVENCSWR_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_NVENCSWR_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_NVENCSWR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_NVENCSWR_RANGE                        11:11
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_NVENCSWR_WOFFSET                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_NVENCSWR_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_NVENCSWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_NVENCSWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_NVENCSWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_NVENCSWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_NVENCSWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_NVENCSWR_INIT_ENUM                    ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_NVENCSWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_NVENCSWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_HDAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_HDAW_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_HDAW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_HDAW_RANGE                    21:21
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_HDAW_WOFFSET                  0x0
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_HDAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_HDAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_HDAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_HDAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_HDAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_HDAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_HDAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_HDAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCOREW_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCOREW_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCOREW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCOREW_RANGE                 25:25
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCOREW_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCOREW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCOREW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCOREW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCOREW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCOREW_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCOREW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCOREW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_MPCOREW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_SATAW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_SATAW_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_SATAW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_SATAW_RANGE                   29:29
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_SATAW_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_SATAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_SATAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_SATAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_SATAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_SATAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_SATAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_SATAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_1_0_DHYST_SATAW_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_DHYSTERESIS_2_0
#define MC_EMEM_ARB_DHYSTERESIS_2_0                     _MK_ADDR_CONST(0xbb8)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_SECURE                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DUAL                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_2_0_SCR                         0
#define MC_EMEM_ARB_DHYSTERESIS_2_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_DHYSTERESIS_2_0_RESET_VAL                   _MK_MASK_CONST(0xf0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_RESET_MASK                  _MK_MASK_CONST(0x303cf0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_READ_MASK                   _MK_MASK_CONST(0x303cf0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_WRITE_MASK                  _MK_MASK_CONST(0x303cf0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPRA_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPRA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPRA_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPRA_RANGE                   4:4
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPRA_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPRA_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPRA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPRA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPRA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPRA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPRA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPRA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPRA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPFALR_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPFALR_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPFALR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPFALR_RANGE                 5:5
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPFALR_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPFALR_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPFALR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPFALR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPFALR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPFALR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPFALR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPFALR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPFALR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWA_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWA_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWA_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWA_RANGE                   6:6
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWA_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWA_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWA_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWB_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWB_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWB_RANGE                   7:7
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWB_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWB_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWB_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_ISPWB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTR_SHIFT                      _MK_SHIFT_CONST(10)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTR_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTR_RANGE                      10:10
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTR_WOFFSET                    0x0
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTR_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTW_SHIFT                      _MK_SHIFT_CONST(11)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTW_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTW_RANGE                      11:11
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTW_WOFFSET                    0x0
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTW_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_HOSTW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVR_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVR_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVR_RANGE                       12:12
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVR_WOFFSET                     0x0
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVR_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVW_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVW_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVW_RANGE                       13:13
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVW_WOFFSET                     0x0
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVW_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_XUSB_DEVW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSRD_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSRD_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSRD_RANGE                 20:20
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSRD_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSWR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSWR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSWR_RANGE                 21:21
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSWR_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_2_0_DHYST_TSECSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_DHYSTERESIS_3_0
#define MC_EMEM_ARB_DHYSTERESIS_3_0                     _MK_ADDR_CONST(0xbbc)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_SECURE                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DUAL                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_3_0_SCR                         0
#define MC_EMEM_ARB_DHYSTERESIS_3_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_DHYSTERESIS_3_0_RESET_VAL                   _MK_MASK_CONST(0xc3043000)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_RESET_MASK                  _MK_MASK_CONST(0xcf0430dd)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_READ_MASK                   _MK_MASK_CONST(0xcf0430dd)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_WRITE_MASK                  _MK_MASK_CONST(0xcf0430dd)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRA_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRA_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRA_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRA_RANGE                 0:0
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRA_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCR_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCR_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCR_RANGE                  2:2
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCR_WOFFSET                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCR_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRAB_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRAB_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRAB_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRAB_RANGE                        3:3
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRAB_WOFFSET                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRAB_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRAB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRAB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRAB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRAB_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRAB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRAB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCRAB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWA_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWA_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWA_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWA_RANGE                 4:4
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWA_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWA_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCW_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCW_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCW_RANGE                  6:6
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCW_WOFFSET                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCW_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWAB_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWAB_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWAB_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWAB_RANGE                        7:7
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWAB_WOFFSET                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWAB_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWAB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWAB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWAB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWAB_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWAB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWAB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_SDMMCWAB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSRD_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSRD_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSRD_RANGE                  12:12
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSRD_WOFFSET                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSRD_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSRD_INIT_ENUM                      ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSWR_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSWR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSWR_RANGE                  13:13
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSWR_WOFFSET                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSWR_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSWR_INIT_ENUM                      ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VICSWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VIW_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VIW_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VIW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VIW_RANGE                     18:18
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VIW_WOFFSET                   0x0
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VIW_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VIW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VIW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VIW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VIW_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VIW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VIW_INIT_ENUM                 ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VIW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_VIW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSRD_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSRD_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSRD_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSRD_RANGE                        24:24
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSRD_WOFFSET                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSRD_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSRD_INIT_ENUM                    ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSWR_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSWR_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSWR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSWR_RANGE                        25:25
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSWR_WOFFSET                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSWR_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSWR_INIT_ENUM                    ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVDECSWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APER_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APER_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APER_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APER_RANGE                    26:26
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APER_WOFFSET                  0x0
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APER_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APEW_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APEW_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APEW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APEW_RANGE                    27:27
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APEW_WOFFSET                  0x0
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APEW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APEW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APEW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APEW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APEW_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APEW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APEW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_APEW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSRD_SHIFT                        _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSRD_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSRD_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSRD_RANGE                        30:30
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSRD_WOFFSET                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSRD_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSRD_INIT_ENUM                    ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSWR_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSWR_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSWR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSWR_RANGE                        31:31
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSWR_WOFFSET                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSWR_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSWR_INIT_ENUM                    ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_3_0_DHYST_NVJPGSWR_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_DHYSTERESIS_4_0
#define MC_EMEM_ARB_DHYSTERESIS_4_0                     _MK_ADDR_CONST(0xbc0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_SECURE                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DUAL                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_SCR                         0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_DHYSTERESIS_4_0_RESET_VAL                   _MK_MASK_CONST(0xfffff00c)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_RESET_MASK                  _MK_MASK_CONST(0xfffff0ff)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_READ_MASK                   _MK_MASK_CONST(0xfffff0ff)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_WRITE_MASK                  _MK_MASK_CONST(0xfffff0ff)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESRD_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESRD_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESRD_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESRD_RANGE                   0:0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESRD_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESWR_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESWR_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESWR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESWR_RANGE                   1:1
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESWR_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SESWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPR_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPR_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPR_RANGE                  2:2
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPR_WOFFSET                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPR_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPR_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPR_INIT_ENUM                      ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPW_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPW_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPW_RANGE                  3:3
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPW_WOFFSET                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPW_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPW_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPW_INIT_ENUM                      ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXIAPW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRR_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRR_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRR_RANGE                    4:4
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRR_WOFFSET                  0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRW_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRW_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRW_RANGE                    5:5
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRW_WOFFSET                  0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRW_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_ETRW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSRDB_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSRDB_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSRDB_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSRDB_RANGE                        6:6
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSRDB_WOFFSET                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSRDB_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSRDB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSRDB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSRDB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSRDB_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSRDB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSRDB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSRDB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSWRB_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSWRB_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSWRB_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSWRB_RANGE                        7:7
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSWRB_WOFFSET                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSWRB_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSWRB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSWRB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSWRB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSWRB_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSWRB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSWRB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_TSECSWRB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISR_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISR_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISR_RANGE                   12:12
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISR_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISR_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISR_INIT_ENUM                       ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISW_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISW_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISW_RANGE                   13:13
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISW_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISW_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISW_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISW_INIT_ENUM                       ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AXISW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSR_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSR_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSR_RANGE                   14:14
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSR_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSR_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSR_INIT_ENUM                       ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSW_SHIFT                   _MK_SHIFT_CONST(15)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSW_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSW_RANGE                   15:15
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSW_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSW_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSW_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSW_INIT_ENUM                       ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_EQOSW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCR_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCR_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCR_RANGE                  16:16
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCR_WOFFSET                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCR_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCR_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCR_INIT_ENUM                      ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCW_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCW_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCW_RANGE                  17:17
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCW_WOFFSET                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCW_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCW_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCW_INIT_ENUM                      ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_UFSHCW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_NVDISPLAYR_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_NVDISPLAYR_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_NVDISPLAYR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_NVDISPLAYR_RANGE                      18:18
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_NVDISPLAYR_WOFFSET                    0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_NVDISPLAYR_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_NVDISPLAYR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_NVDISPLAYR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_NVDISPLAYR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_NVDISPLAYR_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_NVDISPLAYR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_NVDISPLAYR_INIT_ENUM                  ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_NVDISPLAYR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_NVDISPLAYR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPR_SHIFT                   _MK_SHIFT_CONST(19)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPR_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPR_RANGE                   19:19
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPR_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPR_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPR_INIT_ENUM                       ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPW_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPW_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPW_RANGE                   20:20
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPW_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPW_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPW_INIT_ENUM                       ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAR_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAR_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAR_RANGE                        21:21
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAR_WOFFSET                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAR_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAR_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAR_INIT_ENUM                    ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAW_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAW_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAW_RANGE                        22:22
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAW_WOFFSET                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAW_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAW_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAW_INIT_ENUM                    ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_BPMPDMAW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONR_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONR_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONR_RANGE                    23:23
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONR_WOFFSET                  0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONR_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONR_INIT_ENUM                        ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONW_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONW_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONW_RANGE                    24:24
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONW_WOFFSET                  0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONW_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONW_INIT_ENUM                        ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAR_RANGE                 25:25
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAR_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAR_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAR_INIT_ENUM                     ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAW_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAW_RANGE                 26:26
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAW_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAW_INIT_ENUM                     ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_AONDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCER_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCER_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCER_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCER_RANGE                    27:27
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCER_WOFFSET                  0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCER_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCER_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCER_INIT_ENUM                        ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEW_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEW_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEW_RANGE                    28:28
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEW_WOFFSET                  0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEW_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEW_INIT_ENUM                        ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAR_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAR_RANGE                 29:29
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAR_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAR_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAR_INIT_ENUM                     ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAW_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAW_RANGE                 30:30
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAW_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAW_INIT_ENUM                     ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_SCEDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_APEDMAR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_APEDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_APEDMAR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_APEDMAR_RANGE                 31:31
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_APEDMAR_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_APEDMAR_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_APEDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_APEDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_APEDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_APEDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_APEDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_APEDMAR_INIT_ENUM                     ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_APEDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_4_0_DHYST_APEDMAR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_DHYSTERESIS_5_0
#define MC_EMEM_ARB_DHYSTERESIS_5_0                     _MK_ADDR_CONST(0xbf0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_SECURE                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DUAL                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_SCR                         0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_DHYSTERESIS_5_0_RESET_VAL                   _MK_MASK_CONST(0xf)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_RESET_MASK                  _MK_MASK_CONST(0xf00fc3cf)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_READ_MASK                   _MK_MASK_CONST(0xf00fc3cf)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_WRITE_MASK                  _MK_MASK_CONST(0xf00fc3cf)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_APEDMAW_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_APEDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_APEDMAW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_APEDMAW_RANGE                 0:0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_APEDMAW_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_APEDMAW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_APEDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_APEDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_APEDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_APEDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_APEDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_APEDMAW_INIT_ENUM                     ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_APEDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_APEDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDISPLAYR1_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDISPLAYR1_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDISPLAYR1_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDISPLAYR1_RANGE                     1:1
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDISPLAYR1_WOFFSET                   0x0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDISPLAYR1_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDISPLAYR1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDISPLAYR1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDISPLAYR1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDISPLAYR1_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDISPLAYR1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDISPLAYR1_INIT_ENUM                 ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDISPLAYR1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDISPLAYR1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VICSRD1_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VICSRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VICSRD1_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VICSRD1_RANGE                 2:2
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VICSRD1_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VICSRD1_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VICSRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VICSRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VICSRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VICSRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VICSRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VICSRD1_INIT_ENUM                     ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VICSRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VICSRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDECSRD1_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDECSRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDECSRD1_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDECSRD1_RANGE                       3:3
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDECSRD1_WOFFSET                     0x0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDECSRD1_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDECSRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDECSRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDECSRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDECSRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDECSRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDECSRD1_INIT_ENUM                   ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDECSRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_NVDECSRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0R_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0R_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0R_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0R_RANGE                   6:6
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0R_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0W_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0W_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0W_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0W_RANGE                   7:7
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0W_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1R_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1R_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1R_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1R_RANGE                   8:8
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1R_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1W_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1W_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1W_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1W_RANGE                   9:9
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1W_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2R_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2R_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2R_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2R_RANGE                   14:14
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2R_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2R_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2W_SHIFT                   _MK_SHIFT_CONST(15)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2W_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2W_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2W_RANGE                   15:15
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2W_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2W_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU2W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3R_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3R_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3R_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3R_RANGE                   16:16
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3R_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3W_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3W_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3W_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3W_RANGE                   17:17
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3W_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU3W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4R_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4R_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4R_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4R_RANGE                   18:18
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4R_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4W_SHIFT                   _MK_SHIFT_CONST(19)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4W_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4W_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4W_RANGE                   19:19
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4W_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_MIU4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALR_RANGE                  28:28
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALR_WOFFSET                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALW_RANGE                  29:29
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALW_WOFFSET                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_VIFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0RDA_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0RDA_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0RDA_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0RDA_RANGE                 30:30
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0RDA_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0RDA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0RDA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0RDA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0RDA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0RDA_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0RDA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0RDA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0RDA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0FALRDB_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0FALRDB_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0FALRDB_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0FALRDB_RANGE                      31:31
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0FALRDB_WOFFSET                    0x0
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0FALRDB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0FALRDB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0FALRDB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0FALRDB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0FALRDB_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0FALRDB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0FALRDB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_5_0_DHYST_DLA0FALRDB_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_DHYSTERESIS_6_0
#define MC_EMEM_ARB_DHYSTERESIS_6_0                     _MK_ADDR_CONST(0x1d00)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_SECURE                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DUAL                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_SCR                         0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_DHYSTERESIS_6_0_RESET_VAL                   _MK_MASK_CONST(0xfc0000)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0WRA_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0WRA_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0WRA_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0WRA_RANGE                 0:0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0WRA_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0WRA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0WRA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0WRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0WRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0WRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0WRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0WRA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0WRA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0FALWRB_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0FALWRB_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0FALWRB_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0FALWRB_RANGE                      1:1
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0FALWRB_WOFFSET                    0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0FALWRB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0FALWRB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0FALWRB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0FALWRB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0FALWRB_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0FALWRB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0FALWRB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA0FALWRB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1RDA_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1RDA_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1RDA_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1RDA_RANGE                 2:2
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1RDA_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1RDA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1RDA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1RDA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1RDA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1RDA_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1RDA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1RDA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1RDA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALRDB_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALRDB_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALRDB_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALRDB_RANGE                      3:3
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALRDB_WOFFSET                    0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALRDB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALRDB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALRDB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALRDB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALRDB_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALRDB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALRDB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALRDB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1WRA_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1WRA_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1WRA_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1WRA_RANGE                 4:4
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1WRA_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1WRA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1WRA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1WRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1WRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1WRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1WRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1WRA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1WRA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALWRB_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALWRB_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALWRB_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALWRB_RANGE                      5:5
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALWRB_WOFFSET                    0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALWRB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALWRB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALWRB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALWRB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALWRB_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALWRB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALWRB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_DLA1FALWRB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDA_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDA_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDA_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDA_RANGE                 6:6
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDA_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDA_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDB_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDB_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDB_RANGE                 7:7
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDB_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDC_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDC_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDC_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDC_RANGE                 8:8
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDC_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDC_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDC_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDC_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDC_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0RDC_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRA_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRA_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRA_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRA_RANGE                 9:9
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRA_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRB_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRB_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRB_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRB_RANGE                 10:10
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRB_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRC_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRC_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRC_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRC_RANGE                 11:11
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRC_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRC_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRC_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRC_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRC_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA0WRC_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDA_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDA_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDA_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDA_RANGE                 12:12
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDA_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDA_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDB_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDB_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDB_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDB_RANGE                 13:13
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDB_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDC_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDC_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDC_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDC_RANGE                 14:14
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDC_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDC_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDC_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDC_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDC_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1RDC_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRA_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRA_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRA_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRA_RANGE                 15:15
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRA_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRB_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRB_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRB_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRB_RANGE                 16:16
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRB_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRC_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRC_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRC_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRC_RANGE                 17:17
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRC_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRC_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRC_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRC_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRC_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PVA1WRC_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCER_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCER_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCER_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCER_RANGE                    18:18
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCER_WOFFSET                  0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCER_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCER_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCER_INIT_ENUM                        ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEW_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEW_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEW_RANGE                    19:19
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEW_WOFFSET                  0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEW_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEW_INIT_ENUM                        ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAR_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAR_RANGE                 20:20
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAR_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAR_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAR_INIT_ENUM                     ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAW_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAW_RANGE                 21:21
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAW_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAW_INIT_ENUM                     ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_RCEDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SRD_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SRD_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SRD_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SRD_RANGE                       22:22
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SRD_WOFFSET                     0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SRD_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SRD_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SRD_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SRD_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SRD_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SRD_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SRD_INIT_ENUM                   ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SRD_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SRD_ENABLE                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SWR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SWR_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SWR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SWR_RANGE                       23:23
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SWR_WOFFSET                     0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SWR_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SWR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SWR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SWR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SWR_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SWR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SWR_INIT_ENUM                   ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SWR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_NVENC1SWR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0R_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0R_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0R_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0R_RANGE                  24:24
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0R_WOFFSET                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0R_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0R_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0R_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0R_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0R_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0R_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0R_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0R_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0W_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0W_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0W_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0W_RANGE                  25:25
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0W_WOFFSET                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0W_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0W_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0W_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0W_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0W_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0W_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0W_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE0W_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1R_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1R_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1R_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1R_RANGE                  26:26
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1R_WOFFSET                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1R_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1R_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1R_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1R_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1R_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1R_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1R_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1R_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1W_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1W_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1W_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1W_RANGE                  27:27
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1W_WOFFSET                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1W_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1W_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1W_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1W_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1W_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1W_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1W_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE1W_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AR_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AR_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AR_RANGE                 28:28
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AR_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AR_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AW_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AW_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AW_RANGE                 29:29
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AW_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AW_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE2AW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3R_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3R_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3R_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3R_RANGE                  30:30
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3R_WOFFSET                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3R_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3R_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3R_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3R_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3R_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3R_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3R_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3R_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3W_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3W_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3W_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3W_RANGE                  31:31
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3W_WOFFSET                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3W_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3W_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3W_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3W_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3W_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3W_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3W_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_6_0_DHYST_PCIE3W_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_DHYSTERESIS_7_0
#define MC_EMEM_ARB_DHYSTERESIS_7_0                     _MK_ADDR_CONST(0x1d04)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_SECURE                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DUAL                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_SCR                         0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_DHYSTERESIS_7_0_RESET_VAL                   _MK_MASK_CONST(0xe070010)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_RESET_MASK                  _MK_MASK_CONST(0xfe0ffe1f)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_READ_MASK                   _MK_MASK_CONST(0xfe0ffe1f)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_WRITE_MASK                  _MK_MASK_CONST(0xfe0ffe1f)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4R_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4R_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4R_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4R_RANGE                  0:0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4R_WOFFSET                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4R_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4R_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4R_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4R_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4R_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4R_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4R_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4R_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4W_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4W_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4W_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4W_RANGE                  1:1
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4W_WOFFSET                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4W_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4W_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4W_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4W_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4W_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4W_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4W_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE4W_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R_RANGE                  2:2
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R_WOFFSET                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5W_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5W_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5W_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5W_RANGE                  3:3
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5W_WOFFSET                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5W_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5W_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5W_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5W_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5W_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5W_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5W_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5W_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPFALW_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPFALW_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPFALW_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPFALW_RANGE                 4:4
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPFALW_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPFALW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPFALW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPFALW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPFALW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPFALW_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPFALW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPFALW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPFALW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA0RDA1_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA0RDA1_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA0RDA1_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA0RDA1_RANGE                        9:9
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA0RDA1_WOFFSET                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA0RDA1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA0RDA1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA0RDA1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA0RDA1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA0RDA1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA0RDA1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA0RDA1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA0RDA1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA1RDA1_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA1RDA1_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA1RDA1_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA1RDA1_RANGE                        10:10
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA1RDA1_WOFFSET                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA1RDA1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA1RDA1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA1RDA1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA1RDA1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA1RDA1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA1RDA1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA1RDA1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_DLA1RDA1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDA1_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDA1_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDA1_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDA1_RANGE                        11:11
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDA1_WOFFSET                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDA1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDA1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDA1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDA1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDA1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDA1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDA1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDA1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDB1_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDB1_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDB1_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDB1_RANGE                        12:12
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDB1_WOFFSET                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDB1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDB1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDB1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDB1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDB1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDB1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDB1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA0RDB1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDA1_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDA1_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDA1_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDA1_RANGE                        13:13
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDA1_WOFFSET                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDA1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDA1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDA1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDA1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDA1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDA1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDA1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDA1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDB1_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDB1_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDB1_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDB1_RANGE                        14:14
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDB1_WOFFSET                      0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDB1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDB1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDB1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDB1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDB1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDB1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDB1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PVA1RDB1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R1_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R1_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R1_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R1_RANGE                 15:15
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R1_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE5R1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENCSRD1_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENCSRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENCSRD1_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENCSRD1_RANGE                       16:16
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENCSRD1_WOFFSET                     0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENCSRD1_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENCSRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENCSRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENCSRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENCSRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENCSRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENCSRD1_INIT_ENUM                   ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENCSRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENCSRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENC1SRD1_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENC1SRD1_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENC1SRD1_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENC1SRD1_RANGE                      17:17
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENC1SRD1_WOFFSET                    0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENC1SRD1_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENC1SRD1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENC1SRD1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENC1SRD1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENC1SRD1_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENC1SRD1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENC1SRD1_INIT_ENUM                  ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENC1SRD1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVENC1SRD1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPRA1_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPRA1_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPRA1_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPRA1_RANGE                  18:18
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPRA1_WOFFSET                        0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPRA1_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPRA1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPRA1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPRA1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPRA1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPRA1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPRA1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_ISPRA1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE0R1_SHIFT                 _MK_SHIFT_CONST(19)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE0R1_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE0R1_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE0R1_RANGE                 19:19
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE0R1_WOFFSET                       0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE0R1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE0R1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE0R1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE0R1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE0R1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE0R1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE0R1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_PCIE0R1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD_SHIFT                       _MK_SHIFT_CONST(25)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD_RANGE                       25:25
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD_WOFFSET                     0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD_INIT_ENUM                   ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD_ENABLE                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD1_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD1_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD1_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD1_RANGE                      26:26
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD1_WOFFSET                    0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD1_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD1_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD1_INIT_ENUM                  ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SRD1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SWR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SWR_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SWR_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SWR_RANGE                       27:27
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SWR_WOFFSET                     0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SWR_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SWR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SWR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SWR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SWR_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SWR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SWR_INIT_ENUM                   ENABLE
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SWR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_NVDEC1SWR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5R_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5R_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5R_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5R_RANGE                   28:28
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5R_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5W_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5W_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5W_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5W_RANGE                   29:29
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5W_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6R_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6R_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6R_RANGE                   30:30
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6R_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6R_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6W_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6W_SHIFT)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6W_RANGE                   31:31
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6W_WOFFSET                 0x0
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6W_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYSTERESIS_7_0_DHYST_MIU6W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_DHYST_CTRL_0
#define MC_EMEM_ARB_DHYST_CTRL_0                        _MK_ADDR_CONST(0xbcc)
#define MC_EMEM_ARB_DHYST_CTRL_0_SECURE                         0x0
#define MC_EMEM_ARB_DHYST_CTRL_0_DUAL                   0x0
#define MC_EMEM_ARB_DHYST_CTRL_0_SCR                    0
#define MC_EMEM_ARB_DHYST_CTRL_0_WORD_COUNT                     0x1
#define MC_EMEM_ARB_DHYST_CTRL_0_RESET_VAL                      _MK_MASK_CONST(0x2)
#define MC_EMEM_ARB_DHYST_CTRL_0_RESET_MASK                     _MK_MASK_CONST(0x80000003)
#define MC_EMEM_ARB_DHYST_CTRL_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x2)
#define MC_EMEM_ARB_DHYST_CTRL_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_EMEM_ARB_DHYST_CTRL_0_READ_MASK                      _MK_MASK_CONST(0x80000003)
#define MC_EMEM_ARB_DHYST_CTRL_0_WRITE_MASK                     _MK_MASK_CONST(0x80000003)
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_ENABLE_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_ENABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_DHYST_CTRL_0_DHYST_ENABLE_SHIFT)
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_ENABLE_RANGE                     31:31
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_ENABLE_WOFFSET                   0x0
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_ENABLE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_ENABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_ENABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_ENABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_ENABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_ENABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_ENABLE_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_ENABLE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_ENABLE_ENABLE                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_BW_MON_INTERVAL_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_BW_MON_INTERVAL_FIELD                    _MK_FIELD_CONST(0x3, MC_EMEM_ARB_DHYST_CTRL_0_DHYST_BW_MON_INTERVAL_SHIFT)
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_BW_MON_INTERVAL_RANGE                    1:0
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_BW_MON_INTERVAL_WOFFSET                  0x0
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_BW_MON_INTERVAL_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_BW_MON_INTERVAL_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_BW_MON_INTERVAL_SW_DEFAULT                       _MK_MASK_CONST(0x2)
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_BW_MON_INTERVAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_BW_MON_INTERVAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_BW_MON_INTERVAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYST_CTRL_0_DHYST_BW_MON_INTERVAL__PROD                    _MK_MASK_CONST(0x2)


// Register MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0                      _MK_ADDR_CONST(0xbd0)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_SECURE                       0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_DUAL                         0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_SCR                  0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_RESET_VAL                    _MK_MASK_CONST(0x100)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x100)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_DHYST_DELAY_BIN_0_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_DHYST_DELAY_BIN_0_FIELD                      _MK_FIELD_CONST(0xfff, MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_DHYST_DELAY_BIN_0_SHIFT)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_DHYST_DELAY_BIN_0_RANGE                      11:0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_DHYST_DELAY_BIN_0_WOFFSET                    0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_DHYST_DELAY_BIN_0_DEFAULT                    _MK_MASK_CONST(0x100)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_DHYST_DELAY_BIN_0_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_DHYST_DELAY_BIN_0_SW_DEFAULT                 _MK_MASK_CONST(0x100)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_DHYST_DELAY_BIN_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_DHYST_DELAY_BIN_0_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_DHYST_DELAY_BIN_0_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0_DHYST_DELAY_BIN_0__PROD                      _MK_MASK_CONST(0x100)


// Register MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0                      _MK_ADDR_CONST(0xbd4)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_SECURE                       0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_DUAL                         0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_SCR                  0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_RESET_VAL                    _MK_MASK_CONST(0xa0)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0xa0)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_DHYST_DELAY_BIN_1_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_DHYST_DELAY_BIN_1_FIELD                      _MK_FIELD_CONST(0xfff, MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_DHYST_DELAY_BIN_1_SHIFT)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_DHYST_DELAY_BIN_1_RANGE                      11:0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_DHYST_DELAY_BIN_1_WOFFSET                    0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_DHYST_DELAY_BIN_1_DEFAULT                    _MK_MASK_CONST(0xa0)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_DHYST_DELAY_BIN_1_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_DHYST_DELAY_BIN_1_SW_DEFAULT                 _MK_MASK_CONST(0xa0)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_DHYST_DELAY_BIN_1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_DHYST_DELAY_BIN_1_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_DHYST_DELAY_BIN_1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0_DHYST_DELAY_BIN_1__PROD                      _MK_MASK_CONST(0xa0)


// Register MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0                      _MK_ADDR_CONST(0xbd8)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_SECURE                       0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_DUAL                         0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_SCR                  0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_RESET_VAL                    _MK_MASK_CONST(0x60)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x60)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_DHYST_DELAY_BIN_2_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_DHYST_DELAY_BIN_2_FIELD                      _MK_FIELD_CONST(0xfff, MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_DHYST_DELAY_BIN_2_SHIFT)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_DHYST_DELAY_BIN_2_RANGE                      11:0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_DHYST_DELAY_BIN_2_WOFFSET                    0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_DHYST_DELAY_BIN_2_DEFAULT                    _MK_MASK_CONST(0x60)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_DHYST_DELAY_BIN_2_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_DHYST_DELAY_BIN_2_SW_DEFAULT                 _MK_MASK_CONST(0x60)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_DHYST_DELAY_BIN_2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_DHYST_DELAY_BIN_2_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_DHYST_DELAY_BIN_2_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0_DHYST_DELAY_BIN_2__PROD                      _MK_MASK_CONST(0x60)


// Register MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0                      _MK_ADDR_CONST(0xbdc)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_SECURE                       0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_DUAL                         0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_SCR                  0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_RESET_VAL                    _MK_MASK_CONST(0x34)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x34)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_DHYST_DELAY_BIN_3_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_DHYST_DELAY_BIN_3_FIELD                      _MK_FIELD_CONST(0xfff, MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_DHYST_DELAY_BIN_3_SHIFT)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_DHYST_DELAY_BIN_3_RANGE                      11:0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_DHYST_DELAY_BIN_3_WOFFSET                    0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_DHYST_DELAY_BIN_3_DEFAULT                    _MK_MASK_CONST(0x34)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_DHYST_DELAY_BIN_3_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_DHYST_DELAY_BIN_3_SW_DEFAULT                 _MK_MASK_CONST(0x34)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_DHYST_DELAY_BIN_3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_DHYST_DELAY_BIN_3_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_DHYST_DELAY_BIN_3_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0_DHYST_DELAY_BIN_3__PROD                      _MK_MASK_CONST(0x34)


// Register MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0                      _MK_ADDR_CONST(0xbe0)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_SECURE                       0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_DUAL                         0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_SCR                  0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_RESET_VAL                    _MK_MASK_CONST(0x18)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x18)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_DHYST_DELAY_BIN_4_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_DHYST_DELAY_BIN_4_FIELD                      _MK_FIELD_CONST(0xfff, MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_DHYST_DELAY_BIN_4_SHIFT)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_DHYST_DELAY_BIN_4_RANGE                      11:0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_DHYST_DELAY_BIN_4_WOFFSET                    0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_DHYST_DELAY_BIN_4_DEFAULT                    _MK_MASK_CONST(0x18)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_DHYST_DELAY_BIN_4_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_DHYST_DELAY_BIN_4_SW_DEFAULT                 _MK_MASK_CONST(0x18)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_DHYST_DELAY_BIN_4_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_DHYST_DELAY_BIN_4_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_DHYST_DELAY_BIN_4_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0_DHYST_DELAY_BIN_4__PROD                      _MK_MASK_CONST(0x18)


// Register MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0                      _MK_ADDR_CONST(0xbe4)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_SECURE                       0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_DUAL                         0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_SCR                  0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_RESET_VAL                    _MK_MASK_CONST(0xc)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0xc)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_DHYST_DELAY_BIN_5_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_DHYST_DELAY_BIN_5_FIELD                      _MK_FIELD_CONST(0xfff, MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_DHYST_DELAY_BIN_5_SHIFT)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_DHYST_DELAY_BIN_5_RANGE                      11:0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_DHYST_DELAY_BIN_5_WOFFSET                    0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_DHYST_DELAY_BIN_5_DEFAULT                    _MK_MASK_CONST(0xc)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_DHYST_DELAY_BIN_5_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_DHYST_DELAY_BIN_5_SW_DEFAULT                 _MK_MASK_CONST(0xc)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_DHYST_DELAY_BIN_5_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_DHYST_DELAY_BIN_5_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_DHYST_DELAY_BIN_5_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0_DHYST_DELAY_BIN_5__PROD                      _MK_MASK_CONST(0xc)


// Register MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0                      _MK_ADDR_CONST(0xbe8)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_SECURE                       0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_DUAL                         0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_SCR                  0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_RESET_VAL                    _MK_MASK_CONST(0x4)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x4)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_DHYST_DELAY_BIN_6_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_DHYST_DELAY_BIN_6_FIELD                      _MK_FIELD_CONST(0xfff, MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_DHYST_DELAY_BIN_6_SHIFT)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_DHYST_DELAY_BIN_6_RANGE                      11:0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_DHYST_DELAY_BIN_6_WOFFSET                    0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_DHYST_DELAY_BIN_6_DEFAULT                    _MK_MASK_CONST(0x4)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_DHYST_DELAY_BIN_6_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_DHYST_DELAY_BIN_6_SW_DEFAULT                 _MK_MASK_CONST(0x4)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_DHYST_DELAY_BIN_6_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_DHYST_DELAY_BIN_6_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_DHYST_DELAY_BIN_6_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0_DHYST_DELAY_BIN_6__PROD                      _MK_MASK_CONST(0x4)


// Register MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0                      _MK_ADDR_CONST(0xbec)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_SECURE                       0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_DUAL                         0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_SCR                  0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_DHYST_DELAY_BIN_7_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_DHYST_DELAY_BIN_7_FIELD                      _MK_FIELD_CONST(0xfff, MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_DHYST_DELAY_BIN_7_SHIFT)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_DHYST_DELAY_BIN_7_RANGE                      11:0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_DHYST_DELAY_BIN_7_WOFFSET                    0x0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_DHYST_DELAY_BIN_7_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_DHYST_DELAY_BIN_7_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_DHYST_DELAY_BIN_7_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_DHYST_DELAY_BIN_7_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xfff)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_DHYST_DELAY_BIN_7_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_DHYST_DELAY_BIN_7_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0_DHYST_DELAY_BIN_7__PROD                      _MK_MASK_CONST(0x0)


// Register MC_RESERVED_RSV_0
#define MC_RESERVED_RSV_0                       _MK_ADDR_CONST(0x3fc)
#define MC_RESERVED_RSV_0_SECURE                        0x0
#define MC_RESERVED_RSV_0_DUAL                  0x0
#define MC_RESERVED_RSV_0_SCR                   0
#define MC_RESERVED_RSV_0_WORD_COUNT                    0x1
#define MC_RESERVED_RSV_0_RESET_VAL                     _MK_MASK_CONST(0xf0000000)
#define MC_RESERVED_RSV_0_RESET_MASK                    _MK_MASK_CONST(0xf0000000)
#define MC_RESERVED_RSV_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0xf0000000)
#define MC_RESERVED_RSV_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0xf0000000)
#define MC_RESERVED_RSV_0_READ_MASK                     _MK_MASK_CONST(0xf0000000)
#define MC_RESERVED_RSV_0_WRITE_MASK                    _MK_MASK_CONST(0xf0000000)
#define MC_RESERVED_RSV_0_RESERVED_BYTE3_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_RESERVED_RSV_0_RESERVED_BYTE3_FIELD                  _MK_FIELD_CONST(0xf, MC_RESERVED_RSV_0_RESERVED_BYTE3_SHIFT)
#define MC_RESERVED_RSV_0_RESERVED_BYTE3_RANGE                  31:28
#define MC_RESERVED_RSV_0_RESERVED_BYTE3_WOFFSET                        0x0
#define MC_RESERVED_RSV_0_RESERVED_BYTE3_DEFAULT                        _MK_MASK_CONST(0xf)
#define MC_RESERVED_RSV_0_RESERVED_BYTE3_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define MC_RESERVED_RSV_0_RESERVED_BYTE3_SW_DEFAULT                     _MK_MASK_CONST(0xf)
#define MC_RESERVED_RSV_0_RESERVED_BYTE3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_RESERVED_RSV_0_RESERVED_BYTE3_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_RESERVED_RSV_0_RESERVED_BYTE3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_RESERVED_RSV_0_RESERVED_BYTE3__PROD                  _MK_MASK_CONST(0xf)


// Register MC_SMMU_TRANSLATION_ENABLE_0_0
#define MC_SMMU_TRANSLATION_ENABLE_0_0                  _MK_ADDR_CONST(0x228)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SECURE                   0x1
#define MC_SMMU_TRANSLATION_ENABLE_0_0_DUAL                     0x0
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SCR                      0
#define MC_SMMU_TRANSLATION_ENABLE_0_0_WORD_COUNT                       0x1
#define MC_SMMU_TRANSLATION_ENABLE_0_0_RESET_VAL                        _MK_MASK_CONST(0x90600000)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_RESET_MASK                       _MK_MASK_CONST(0x90600006)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_READ_MASK                        _MK_MASK_CONST(0x90600006)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600006)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7R_ENABLE_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7R_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7R_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7R_ENABLE_RANGE                  1:1
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7R_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7R_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7R_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7R_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7R_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7R_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7R_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7R_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7R_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7R_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7W_ENABLE_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7W_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7W_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7W_ENABLE_RANGE                  2:2
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7W_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7W_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7W_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7W_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7W_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7W_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7W_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7W_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7W_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_MIU7W_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HDAR_ENABLE_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HDAR_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HDAR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HDAR_ENABLE_RANGE                   21:21
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HDAR_ENABLE_WOFFSET                 0x0
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HDAR_ENABLE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HDAR_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HDAR_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HDAR_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HDAR_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HDAR_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HDAR_ENABLE_INIT_ENUM                       ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HDAR_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HDAR_ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HOST1XDMAR_ENABLE_SHIFT                     _MK_SHIFT_CONST(22)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HOST1XDMAR_ENABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HOST1XDMAR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HOST1XDMAR_ENABLE_RANGE                     22:22
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HOST1XDMAR_ENABLE_WOFFSET                   0x0
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HOST1XDMAR_ENABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HOST1XDMAR_ENABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HOST1XDMAR_ENABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HOST1XDMAR_ENABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HOST1XDMAR_ENABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HOST1XDMAR_ENABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HOST1XDMAR_ENABLE_INIT_ENUM                 ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HOST1XDMAR_ENABLE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_HOST1XDMAR_ENABLE_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_NVENCSRD_ENABLE_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_NVENCSRD_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_NVENCSRD_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_NVENCSRD_ENABLE_RANGE                       28:28
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_NVENCSRD_ENABLE_WOFFSET                     0x0
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_NVENCSRD_ENABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_NVENCSRD_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_NVENCSRD_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_NVENCSRD_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_NVENCSRD_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_NVENCSRD_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_NVENCSRD_ENABLE_INIT_ENUM                   ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_NVENCSRD_ENABLE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_NVENCSRD_ENABLE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_SATAR_ENABLE_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_SATAR_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_SATAR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_SATAR_ENABLE_RANGE                  31:31
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_SATAR_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_SATAR_ENABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_SATAR_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_SATAR_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_SATAR_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_SATAR_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_SATAR_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_SATAR_ENABLE_INIT_ENUM                      ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_SATAR_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_0_0_SMMU_SATAR_ENABLE_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SMMU_TRANSLATION_ENABLE_1_0
#define MC_SMMU_TRANSLATION_ENABLE_1_0                  _MK_ADDR_CONST(0x22c)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SECURE                   0x1
#define MC_SMMU_TRANSLATION_ENABLE_1_0_DUAL                     0x0
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SCR                      0
#define MC_SMMU_TRANSLATION_ENABLE_1_0_WORD_COUNT                       0x1
#define MC_SMMU_TRANSLATION_ENABLE_1_0_RESET_VAL                        _MK_MASK_CONST(0x20200800)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_RESET_MASK                       _MK_MASK_CONST(0x20200800)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_READ_MASK                        _MK_MASK_CONST(0x20200800)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_WRITE_MASK                       _MK_MASK_CONST(0x20200800)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_NVENCSWR_ENABLE_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_NVENCSWR_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_NVENCSWR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_NVENCSWR_ENABLE_RANGE                       11:11
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_NVENCSWR_ENABLE_WOFFSET                     0x0
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_NVENCSWR_ENABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_NVENCSWR_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_NVENCSWR_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_NVENCSWR_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_NVENCSWR_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_NVENCSWR_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_NVENCSWR_ENABLE_INIT_ENUM                   ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_NVENCSWR_ENABLE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_NVENCSWR_ENABLE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_HDAW_ENABLE_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_HDAW_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_HDAW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_HDAW_ENABLE_RANGE                   21:21
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_HDAW_ENABLE_WOFFSET                 0x0
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_HDAW_ENABLE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_HDAW_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_HDAW_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_HDAW_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_HDAW_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_HDAW_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_HDAW_ENABLE_INIT_ENUM                       ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_HDAW_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_HDAW_ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_SATAW_ENABLE_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_SATAW_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_SATAW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_SATAW_ENABLE_RANGE                  29:29
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_SATAW_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_SATAW_ENABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_SATAW_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_SATAW_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_SATAW_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_SATAW_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_SATAW_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_SATAW_ENABLE_INIT_ENUM                      ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_SATAW_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_1_0_SMMU_SATAW_ENABLE_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SMMU_TRANSLATION_ENABLE_2_0
#define MC_SMMU_TRANSLATION_ENABLE_2_0                  _MK_ADDR_CONST(0x230)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SECURE                   0x1
#define MC_SMMU_TRANSLATION_ENABLE_2_0_DUAL                     0x0
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SCR                      0
#define MC_SMMU_TRANSLATION_ENABLE_2_0_WORD_COUNT                       0x1
#define MC_SMMU_TRANSLATION_ENABLE_2_0_RESET_VAL                        _MK_MASK_CONST(0x303cf0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPRA_ENABLE_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPRA_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPRA_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPRA_ENABLE_RANGE                  4:4
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPRA_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPRA_ENABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPRA_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPRA_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPRA_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPRA_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPRA_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPRA_ENABLE_INIT_ENUM                      ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPRA_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPRA_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPFALR_ENABLE_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPFALR_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPFALR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPFALR_ENABLE_RANGE                        5:5
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPFALR_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPFALR_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPFALR_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPFALR_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPFALR_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPFALR_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPFALR_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPFALR_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPFALR_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPFALR_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWA_ENABLE_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWA_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWA_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWA_ENABLE_RANGE                  6:6
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWA_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWA_ENABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWA_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWA_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWA_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWA_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWA_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWA_ENABLE_INIT_ENUM                      ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWA_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWA_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWB_ENABLE_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWB_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWB_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWB_ENABLE_RANGE                  7:7
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWB_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWB_ENABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWB_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWB_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWB_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWB_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWB_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWB_ENABLE_INIT_ENUM                      ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWB_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_ISPWB_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTR_ENABLE_SHIFT                     _MK_SHIFT_CONST(10)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTR_ENABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTR_ENABLE_RANGE                     10:10
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTR_ENABLE_WOFFSET                   0x0
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTR_ENABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTR_ENABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTR_ENABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTR_ENABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTR_ENABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTR_ENABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTR_ENABLE_INIT_ENUM                 ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTR_ENABLE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTR_ENABLE_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTW_ENABLE_SHIFT                     _MK_SHIFT_CONST(11)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTW_ENABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTW_ENABLE_RANGE                     11:11
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTW_ENABLE_WOFFSET                   0x0
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTW_ENABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTW_ENABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTW_ENABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTW_ENABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTW_ENABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTW_ENABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTW_ENABLE_INIT_ENUM                 ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTW_ENABLE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_HOSTW_ENABLE_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVR_ENABLE_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVR_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVR_ENABLE_RANGE                      12:12
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVR_ENABLE_WOFFSET                    0x0
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVR_ENABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVR_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVR_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVR_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVR_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVR_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVR_ENABLE_INIT_ENUM                  ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVR_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVR_ENABLE_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVW_ENABLE_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVW_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVW_ENABLE_RANGE                      13:13
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVW_ENABLE_WOFFSET                    0x0
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVW_ENABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVW_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVW_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVW_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVW_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVW_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVW_ENABLE_INIT_ENUM                  ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVW_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_XUSB_DEVW_ENABLE_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSRD_ENABLE_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSRD_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSRD_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSRD_ENABLE_RANGE                        20:20
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSRD_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSRD_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSRD_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSRD_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSRD_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSRD_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSRD_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSRD_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSRD_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSRD_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSWR_ENABLE_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSWR_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSWR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSWR_ENABLE_RANGE                        21:21
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSWR_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSWR_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSWR_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSWR_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSWR_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSWR_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSWR_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSWR_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSWR_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_2_0_SMMU_TSECSWR_ENABLE_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_SMMU_TRANSLATION_ENABLE_3_0
#define MC_SMMU_TRANSLATION_ENABLE_3_0                  _MK_ADDR_CONST(0x234)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SECURE                   0x1
#define MC_SMMU_TRANSLATION_ENABLE_3_0_DUAL                     0x0
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SCR                      0
#define MC_SMMU_TRANSLATION_ENABLE_3_0_WORD_COUNT                       0x1
#define MC_SMMU_TRANSLATION_ENABLE_3_0_RESET_VAL                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRA_ENABLE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRA_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRA_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRA_ENABLE_RANGE                        0:0
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRA_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRA_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRA_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRA_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRA_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRA_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRA_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRA_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRA_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRA_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCR_ENABLE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCR_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCR_ENABLE_RANGE                 2:2
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCR_ENABLE_WOFFSET                       0x0
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCR_ENABLE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCR_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCR_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCR_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCR_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCR_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCR_ENABLE_INIT_ENUM                     ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCR_ENABLE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCR_ENABLE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRAB_ENABLE_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRAB_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRAB_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRAB_ENABLE_RANGE                       3:3
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRAB_ENABLE_WOFFSET                     0x0
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRAB_ENABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRAB_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRAB_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRAB_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRAB_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRAB_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRAB_ENABLE_INIT_ENUM                   ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRAB_ENABLE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCRAB_ENABLE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWA_ENABLE_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWA_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWA_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWA_ENABLE_RANGE                        4:4
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWA_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWA_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWA_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWA_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWA_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWA_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWA_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWA_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWA_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWA_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCW_ENABLE_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCW_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCW_ENABLE_RANGE                 6:6
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCW_ENABLE_WOFFSET                       0x0
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCW_ENABLE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCW_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCW_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCW_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCW_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCW_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCW_ENABLE_INIT_ENUM                     ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCW_ENABLE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCW_ENABLE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWAB_ENABLE_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWAB_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWAB_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWAB_ENABLE_RANGE                       7:7
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWAB_ENABLE_WOFFSET                     0x0
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWAB_ENABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWAB_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWAB_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWAB_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWAB_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWAB_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWAB_ENABLE_INIT_ENUM                   ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWAB_ENABLE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_SDMMCWAB_ENABLE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSRD_ENABLE_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSRD_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSRD_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSRD_ENABLE_RANGE                 12:12
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSRD_ENABLE_WOFFSET                       0x0
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSRD_ENABLE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSRD_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSRD_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSRD_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSRD_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSRD_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSRD_ENABLE_INIT_ENUM                     ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSRD_ENABLE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSRD_ENABLE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSWR_ENABLE_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSWR_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSWR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSWR_ENABLE_RANGE                 13:13
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSWR_ENABLE_WOFFSET                       0x0
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSWR_ENABLE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSWR_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSWR_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSWR_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSWR_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSWR_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSWR_ENABLE_INIT_ENUM                     ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSWR_ENABLE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VICSWR_ENABLE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VIW_ENABLE_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VIW_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VIW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VIW_ENABLE_RANGE                    18:18
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VIW_ENABLE_WOFFSET                  0x0
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VIW_ENABLE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VIW_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VIW_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VIW_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VIW_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VIW_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VIW_ENABLE_INIT_ENUM                        ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VIW_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_VIW_ENABLE_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSRD_ENABLE_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSRD_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSRD_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSRD_ENABLE_RANGE                       24:24
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSRD_ENABLE_WOFFSET                     0x0
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSRD_ENABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSRD_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSRD_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSRD_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSRD_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSRD_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSRD_ENABLE_INIT_ENUM                   ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSRD_ENABLE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSRD_ENABLE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSWR_ENABLE_SHIFT                       _MK_SHIFT_CONST(25)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSWR_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSWR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSWR_ENABLE_RANGE                       25:25
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSWR_ENABLE_WOFFSET                     0x0
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSWR_ENABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSWR_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSWR_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSWR_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSWR_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSWR_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSWR_ENABLE_INIT_ENUM                   ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSWR_ENABLE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVDECSWR_ENABLE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APER_ENABLE_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APER_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APER_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APER_ENABLE_RANGE                   26:26
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APER_ENABLE_WOFFSET                 0x0
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APER_ENABLE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APER_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APER_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APER_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APER_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APER_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APER_ENABLE_INIT_ENUM                       ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APER_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APER_ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APEW_ENABLE_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APEW_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APEW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APEW_ENABLE_RANGE                   27:27
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APEW_ENABLE_WOFFSET                 0x0
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APEW_ENABLE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APEW_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APEW_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APEW_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APEW_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APEW_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APEW_ENABLE_INIT_ENUM                       ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APEW_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_APEW_ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSRD_ENABLE_SHIFT                       _MK_SHIFT_CONST(30)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSRD_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSRD_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSRD_ENABLE_RANGE                       30:30
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSRD_ENABLE_WOFFSET                     0x0
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSRD_ENABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSRD_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSRD_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSRD_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSRD_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSRD_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSRD_ENABLE_INIT_ENUM                   ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSRD_ENABLE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSRD_ENABLE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSWR_ENABLE_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSWR_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSWR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSWR_ENABLE_RANGE                       31:31
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSWR_ENABLE_WOFFSET                     0x0
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSWR_ENABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSWR_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSWR_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSWR_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSWR_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSWR_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSWR_ENABLE_INIT_ENUM                   ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSWR_ENABLE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_3_0_SMMU_NVJPGSWR_ENABLE_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SMMU_TRANSLATION_ENABLE_4_0
#define MC_SMMU_TRANSLATION_ENABLE_4_0                  _MK_ADDR_CONST(0xb98)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SECURE                   0x1
#define MC_SMMU_TRANSLATION_ENABLE_4_0_DUAL                     0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SCR                      0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_WORD_COUNT                       0x1
#define MC_SMMU_TRANSLATION_ENABLE_4_0_RESET_VAL                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESRD_ENABLE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESRD_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESRD_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESRD_ENABLE_RANGE                  0:0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESRD_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESRD_ENABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESRD_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESRD_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESRD_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESRD_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESRD_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESRD_ENABLE_INIT_ENUM                      ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESRD_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESRD_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESWR_ENABLE_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESWR_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESWR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESWR_ENABLE_RANGE                  1:1
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESWR_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESWR_ENABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESWR_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESWR_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESWR_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESWR_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESWR_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESWR_ENABLE_INIT_ENUM                      ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESWR_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SESWR_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPR_ENABLE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPR_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPR_ENABLE_RANGE                 2:2
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPR_ENABLE_WOFFSET                       0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPR_ENABLE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPR_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPR_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPR_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPR_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPR_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPR_ENABLE_INIT_ENUM                     ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPR_ENABLE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPR_ENABLE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPW_ENABLE_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPW_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPW_ENABLE_RANGE                 3:3
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPW_ENABLE_WOFFSET                       0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPW_ENABLE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPW_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPW_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPW_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPW_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPW_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPW_ENABLE_INIT_ENUM                     ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPW_ENABLE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXIAPW_ENABLE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRR_ENABLE_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRR_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRR_ENABLE_RANGE                   4:4
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRR_ENABLE_WOFFSET                 0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRR_ENABLE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRR_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRR_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRR_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRR_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRR_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRR_ENABLE_INIT_ENUM                       ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRR_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRR_ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRW_ENABLE_SHIFT                   _MK_SHIFT_CONST(5)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRW_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRW_ENABLE_RANGE                   5:5
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRW_ENABLE_WOFFSET                 0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRW_ENABLE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRW_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRW_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRW_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRW_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRW_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRW_ENABLE_INIT_ENUM                       ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRW_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_ETRW_ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSRDB_ENABLE_SHIFT                       _MK_SHIFT_CONST(6)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSRDB_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSRDB_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSRDB_ENABLE_RANGE                       6:6
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSRDB_ENABLE_WOFFSET                     0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSRDB_ENABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSRDB_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSRDB_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSRDB_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSRDB_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSRDB_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSRDB_ENABLE_INIT_ENUM                   ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSRDB_ENABLE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSRDB_ENABLE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSWRB_ENABLE_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSWRB_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSWRB_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSWRB_ENABLE_RANGE                       7:7
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSWRB_ENABLE_WOFFSET                     0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSWRB_ENABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSWRB_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSWRB_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSWRB_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSWRB_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSWRB_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSWRB_ENABLE_INIT_ENUM                   ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSWRB_ENABLE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_TSECSWRB_ENABLE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISR_ENABLE_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISR_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISR_ENABLE_RANGE                  12:12
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISR_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISR_ENABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISR_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISR_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISR_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISR_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISR_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISR_ENABLE_INIT_ENUM                      ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISR_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISR_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISW_ENABLE_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISW_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISW_ENABLE_RANGE                  13:13
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISW_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISW_ENABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISW_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISW_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISW_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISW_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISW_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISW_ENABLE_INIT_ENUM                      ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISW_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AXISW_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSR_ENABLE_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSR_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSR_ENABLE_RANGE                  14:14
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSR_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSR_ENABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSR_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSR_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSR_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSR_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSR_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSR_ENABLE_INIT_ENUM                      ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSR_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSR_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSW_ENABLE_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSW_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSW_ENABLE_RANGE                  15:15
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSW_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSW_ENABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSW_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSW_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSW_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSW_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSW_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSW_ENABLE_INIT_ENUM                      ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSW_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_EQOSW_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCR_ENABLE_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCR_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCR_ENABLE_RANGE                 16:16
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCR_ENABLE_WOFFSET                       0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCR_ENABLE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCR_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCR_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCR_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCR_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCR_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCR_ENABLE_INIT_ENUM                     ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCR_ENABLE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCR_ENABLE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCW_ENABLE_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCW_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCW_ENABLE_RANGE                 17:17
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCW_ENABLE_WOFFSET                       0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCW_ENABLE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCW_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCW_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCW_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCW_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCW_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCW_ENABLE_INIT_ENUM                     ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCW_ENABLE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_UFSHCW_ENABLE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_NVDISPLAYR_ENABLE_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_NVDISPLAYR_ENABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_NVDISPLAYR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_NVDISPLAYR_ENABLE_RANGE                     18:18
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_NVDISPLAYR_ENABLE_WOFFSET                   0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_NVDISPLAYR_ENABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_NVDISPLAYR_ENABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_NVDISPLAYR_ENABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_NVDISPLAYR_ENABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_NVDISPLAYR_ENABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_NVDISPLAYR_ENABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_NVDISPLAYR_ENABLE_INIT_ENUM                 ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_NVDISPLAYR_ENABLE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_NVDISPLAYR_ENABLE_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPR_ENABLE_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPR_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPR_ENABLE_RANGE                  19:19
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPR_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPR_ENABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPR_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPR_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPR_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPR_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPR_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPR_ENABLE_INIT_ENUM                      ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPR_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPR_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPW_ENABLE_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPW_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPW_ENABLE_RANGE                  20:20
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPW_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPW_ENABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPW_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPW_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPW_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPW_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPW_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPW_ENABLE_INIT_ENUM                      ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPW_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPW_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAR_ENABLE_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAR_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAR_ENABLE_RANGE                       21:21
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAR_ENABLE_WOFFSET                     0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAR_ENABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAR_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAR_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAR_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAR_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAR_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAR_ENABLE_INIT_ENUM                   ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAR_ENABLE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAR_ENABLE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAW_ENABLE_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAW_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAW_ENABLE_RANGE                       22:22
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAW_ENABLE_WOFFSET                     0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAW_ENABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAW_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAW_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAW_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAW_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAW_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAW_ENABLE_INIT_ENUM                   ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAW_ENABLE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_BPMPDMAW_ENABLE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONR_ENABLE_SHIFT                   _MK_SHIFT_CONST(23)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONR_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONR_ENABLE_RANGE                   23:23
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONR_ENABLE_WOFFSET                 0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONR_ENABLE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONR_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONR_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONR_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONR_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONR_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONR_ENABLE_INIT_ENUM                       ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONR_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONR_ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONW_ENABLE_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONW_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONW_ENABLE_RANGE                   24:24
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONW_ENABLE_WOFFSET                 0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONW_ENABLE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONW_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONW_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONW_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONW_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONW_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONW_ENABLE_INIT_ENUM                       ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONW_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONW_ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAR_ENABLE_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAR_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAR_ENABLE_RANGE                        25:25
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAR_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAR_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAR_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAR_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAR_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAR_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAR_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAR_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAR_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAR_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAW_ENABLE_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAW_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAW_ENABLE_RANGE                        26:26
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAW_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAW_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAW_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAW_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAW_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAW_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAW_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAW_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAW_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_AONDMAW_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCER_ENABLE_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCER_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCER_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCER_ENABLE_RANGE                   27:27
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCER_ENABLE_WOFFSET                 0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCER_ENABLE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCER_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCER_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCER_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCER_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCER_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCER_ENABLE_INIT_ENUM                       ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCER_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCER_ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEW_ENABLE_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEW_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEW_ENABLE_RANGE                   28:28
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEW_ENABLE_WOFFSET                 0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEW_ENABLE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEW_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEW_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEW_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEW_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEW_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEW_ENABLE_INIT_ENUM                       ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEW_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEW_ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAR_ENABLE_SHIFT                        _MK_SHIFT_CONST(29)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAR_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAR_ENABLE_RANGE                        29:29
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAR_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAR_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAR_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAR_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAR_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAR_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAR_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAR_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAR_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAR_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAW_ENABLE_SHIFT                        _MK_SHIFT_CONST(30)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAW_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAW_ENABLE_RANGE                        30:30
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAW_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAW_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAW_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAW_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAW_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAW_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAW_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAW_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAW_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_SCEDMAW_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_APEDMAR_ENABLE_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_APEDMAR_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_APEDMAR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_APEDMAR_ENABLE_RANGE                        31:31
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_APEDMAR_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_APEDMAR_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_APEDMAR_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_APEDMAR_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_APEDMAR_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_APEDMAR_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_APEDMAR_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_APEDMAR_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_APEDMAR_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_4_0_SMMU_APEDMAR_ENABLE_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_SMMU_TRANSLATION_ENABLE_5_0
#define MC_SMMU_TRANSLATION_ENABLE_5_0                  _MK_ADDR_CONST(0xba0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SECURE                   0x1
#define MC_SMMU_TRANSLATION_ENABLE_5_0_DUAL                     0x0
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SCR                      0
#define MC_SMMU_TRANSLATION_ENABLE_5_0_WORD_COUNT                       0x1
#define MC_SMMU_TRANSLATION_ENABLE_5_0_RESET_VAL                        _MK_MASK_CONST(0xf000000f)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_RESET_MASK                       _MK_MASK_CONST(0xf00fc3cf)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_READ_MASK                        _MK_MASK_CONST(0xf00fc3cf)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_WRITE_MASK                       _MK_MASK_CONST(0xf00fc3cf)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_APEDMAW_ENABLE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_APEDMAW_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_APEDMAW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_APEDMAW_ENABLE_RANGE                        0:0
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_APEDMAW_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_APEDMAW_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_APEDMAW_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_APEDMAW_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_APEDMAW_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_APEDMAW_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_APEDMAW_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_APEDMAW_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_APEDMAW_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_APEDMAW_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDISPLAYR1_ENABLE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDISPLAYR1_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDISPLAYR1_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDISPLAYR1_ENABLE_RANGE                    1:1
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDISPLAYR1_ENABLE_WOFFSET                  0x0
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDISPLAYR1_ENABLE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDISPLAYR1_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDISPLAYR1_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDISPLAYR1_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDISPLAYR1_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDISPLAYR1_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDISPLAYR1_ENABLE_INIT_ENUM                        ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDISPLAYR1_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDISPLAYR1_ENABLE_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VICSRD1_ENABLE_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VICSRD1_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VICSRD1_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VICSRD1_ENABLE_RANGE                        2:2
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VICSRD1_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VICSRD1_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VICSRD1_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VICSRD1_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VICSRD1_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VICSRD1_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VICSRD1_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VICSRD1_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VICSRD1_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VICSRD1_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDECSRD1_ENABLE_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDECSRD1_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDECSRD1_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDECSRD1_ENABLE_RANGE                      3:3
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDECSRD1_ENABLE_WOFFSET                    0x0
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDECSRD1_ENABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDECSRD1_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDECSRD1_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDECSRD1_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDECSRD1_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDECSRD1_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDECSRD1_ENABLE_INIT_ENUM                  ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDECSRD1_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_NVDECSRD1_ENABLE_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0R_ENABLE_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0R_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0R_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0R_ENABLE_RANGE                  6:6
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0R_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0R_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0R_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0R_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0R_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0R_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0R_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0R_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0R_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0R_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0W_ENABLE_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0W_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0W_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0W_ENABLE_RANGE                  7:7
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0W_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0W_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0W_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0W_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0W_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0W_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0W_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0W_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0W_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU0W_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1R_ENABLE_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1R_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1R_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1R_ENABLE_RANGE                  8:8
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1R_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1R_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1R_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1R_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1R_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1R_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1R_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1R_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1R_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1R_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1W_ENABLE_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1W_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1W_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1W_ENABLE_RANGE                  9:9
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1W_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1W_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1W_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1W_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1W_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1W_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1W_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1W_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1W_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU1W_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2R_ENABLE_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2R_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2R_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2R_ENABLE_RANGE                  14:14
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2R_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2R_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2R_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2R_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2R_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2R_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2R_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2R_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2R_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2R_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2W_ENABLE_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2W_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2W_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2W_ENABLE_RANGE                  15:15
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2W_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2W_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2W_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2W_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2W_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2W_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2W_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2W_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2W_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU2W_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3R_ENABLE_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3R_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3R_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3R_ENABLE_RANGE                  16:16
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3R_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3R_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3R_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3R_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3R_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3R_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3R_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3R_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3R_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3R_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3W_ENABLE_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3W_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3W_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3W_ENABLE_RANGE                  17:17
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3W_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3W_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3W_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3W_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3W_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3W_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3W_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3W_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3W_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU3W_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4R_ENABLE_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4R_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4R_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4R_ENABLE_RANGE                  18:18
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4R_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4R_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4R_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4R_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4R_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4R_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4R_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4R_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4R_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4R_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4W_ENABLE_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4W_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4W_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4W_ENABLE_RANGE                  19:19
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4W_ENABLE_WOFFSET                        0x0
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4W_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4W_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4W_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4W_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4W_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4W_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4W_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4W_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_MIU4W_ENABLE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALR_ENABLE_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALR_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALR_ENABLE_RANGE                 28:28
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALR_ENABLE_WOFFSET                       0x0
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALR_ENABLE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALR_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALR_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALR_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALR_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALR_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALR_ENABLE_INIT_ENUM                     ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALR_ENABLE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALR_ENABLE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALW_ENABLE_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALW_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALW_ENABLE_RANGE                 29:29
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALW_ENABLE_WOFFSET                       0x0
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALW_ENABLE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALW_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALW_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALW_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALW_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALW_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALW_ENABLE_INIT_ENUM                     ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALW_ENABLE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_VIFALW_ENABLE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0RDA_ENABLE_SHIFT                        _MK_SHIFT_CONST(30)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0RDA_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0RDA_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0RDA_ENABLE_RANGE                        30:30
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0RDA_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0RDA_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0RDA_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0RDA_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0RDA_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0RDA_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0RDA_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0RDA_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0RDA_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0RDA_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0FALRDB_ENABLE_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0FALRDB_ENABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0FALRDB_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0FALRDB_ENABLE_RANGE                     31:31
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0FALRDB_ENABLE_WOFFSET                   0x0
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0FALRDB_ENABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0FALRDB_ENABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0FALRDB_ENABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0FALRDB_ENABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0FALRDB_ENABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0FALRDB_ENABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0FALRDB_ENABLE_INIT_ENUM                 ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0FALRDB_ENABLE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_5_0_SMMU_DLA0FALRDB_ENABLE_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_SMMU_TRANSLATION_ENABLE_6_0
#define MC_SMMU_TRANSLATION_ENABLE_6_0                  _MK_ADDR_CONST(0xda0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SECURE                   0x1
#define MC_SMMU_TRANSLATION_ENABLE_6_0_DUAL                     0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SCR                      0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_WORD_COUNT                       0x1
#define MC_SMMU_TRANSLATION_ENABLE_6_0_RESET_VAL                        _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0WRA_ENABLE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0WRA_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0WRA_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0WRA_ENABLE_RANGE                        0:0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0WRA_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0WRA_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0WRA_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0WRA_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0WRA_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0WRA_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0WRA_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0WRA_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0WRA_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0WRA_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0FALWRB_ENABLE_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0FALWRB_ENABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0FALWRB_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0FALWRB_ENABLE_RANGE                     1:1
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0FALWRB_ENABLE_WOFFSET                   0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0FALWRB_ENABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0FALWRB_ENABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0FALWRB_ENABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0FALWRB_ENABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0FALWRB_ENABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0FALWRB_ENABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0FALWRB_ENABLE_INIT_ENUM                 ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0FALWRB_ENABLE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA0FALWRB_ENABLE_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1RDA_ENABLE_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1RDA_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1RDA_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1RDA_ENABLE_RANGE                        2:2
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1RDA_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1RDA_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1RDA_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1RDA_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1RDA_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1RDA_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1RDA_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1RDA_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1RDA_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1RDA_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALRDB_ENABLE_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALRDB_ENABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALRDB_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALRDB_ENABLE_RANGE                     3:3
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALRDB_ENABLE_WOFFSET                   0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALRDB_ENABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALRDB_ENABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALRDB_ENABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALRDB_ENABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALRDB_ENABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALRDB_ENABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALRDB_ENABLE_INIT_ENUM                 ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALRDB_ENABLE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALRDB_ENABLE_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1WRA_ENABLE_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1WRA_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1WRA_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1WRA_ENABLE_RANGE                        4:4
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1WRA_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1WRA_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1WRA_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1WRA_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1WRA_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1WRA_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1WRA_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1WRA_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1WRA_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1WRA_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALWRB_ENABLE_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALWRB_ENABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALWRB_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALWRB_ENABLE_RANGE                     5:5
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALWRB_ENABLE_WOFFSET                   0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALWRB_ENABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALWRB_ENABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALWRB_ENABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALWRB_ENABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALWRB_ENABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALWRB_ENABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALWRB_ENABLE_INIT_ENUM                 ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALWRB_ENABLE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_DLA1FALWRB_ENABLE_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDA_ENABLE_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDA_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDA_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDA_ENABLE_RANGE                        6:6
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDA_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDA_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDA_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDA_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDA_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDA_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDA_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDA_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDA_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDA_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDB_ENABLE_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDB_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDB_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDB_ENABLE_RANGE                        7:7
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDB_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDB_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDB_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDB_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDB_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDB_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDB_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDB_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDB_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDB_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDC_ENABLE_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDC_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDC_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDC_ENABLE_RANGE                        8:8
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDC_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDC_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDC_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDC_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDC_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDC_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDC_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDC_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDC_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0RDC_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRA_ENABLE_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRA_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRA_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRA_ENABLE_RANGE                        9:9
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRA_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRA_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRA_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRA_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRA_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRA_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRA_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRA_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRA_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRA_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRB_ENABLE_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRB_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRB_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRB_ENABLE_RANGE                        10:10
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRB_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRB_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRB_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRB_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRB_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRB_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRB_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRB_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRB_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRB_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRC_ENABLE_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRC_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRC_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRC_ENABLE_RANGE                        11:11
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRC_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRC_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRC_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRC_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRC_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRC_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRC_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRC_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRC_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA0WRC_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDA_ENABLE_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDA_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDA_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDA_ENABLE_RANGE                        12:12
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDA_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDA_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDA_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDA_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDA_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDA_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDA_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDA_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDA_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDA_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDB_ENABLE_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDB_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDB_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDB_ENABLE_RANGE                        13:13
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDB_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDB_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDB_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDB_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDB_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDB_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDB_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDB_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDB_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDB_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDC_ENABLE_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDC_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDC_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDC_ENABLE_RANGE                        14:14
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDC_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDC_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDC_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDC_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDC_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDC_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDC_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDC_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDC_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1RDC_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRA_ENABLE_SHIFT                        _MK_SHIFT_CONST(15)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRA_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRA_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRA_ENABLE_RANGE                        15:15
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRA_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRA_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRA_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRA_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRA_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRA_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRA_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRA_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRA_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRA_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRB_ENABLE_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRB_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRB_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRB_ENABLE_RANGE                        16:16
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRB_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRB_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRB_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRB_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRB_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRB_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRB_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRB_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRB_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRB_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRC_ENABLE_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRC_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRC_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRC_ENABLE_RANGE                        17:17
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRC_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRC_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRC_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRC_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRC_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRC_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRC_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRC_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRC_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PVA1WRC_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCER_ENABLE_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCER_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCER_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCER_ENABLE_RANGE                   18:18
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCER_ENABLE_WOFFSET                 0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCER_ENABLE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCER_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCER_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCER_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCER_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCER_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCER_ENABLE_INIT_ENUM                       ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCER_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCER_ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEW_ENABLE_SHIFT                   _MK_SHIFT_CONST(19)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEW_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEW_ENABLE_RANGE                   19:19
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEW_ENABLE_WOFFSET                 0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEW_ENABLE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEW_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEW_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEW_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEW_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEW_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEW_ENABLE_INIT_ENUM                       ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEW_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEW_ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAR_ENABLE_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAR_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAR_ENABLE_RANGE                        20:20
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAR_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAR_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAR_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAR_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAR_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAR_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAR_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAR_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAR_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAR_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAW_ENABLE_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAW_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAW_ENABLE_RANGE                        21:21
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAW_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAW_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAW_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAW_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAW_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAW_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAW_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAW_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAW_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_RCEDMAW_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SRD_ENABLE_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SRD_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SRD_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SRD_ENABLE_RANGE                      22:22
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SRD_ENABLE_WOFFSET                    0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SRD_ENABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SRD_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SRD_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SRD_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SRD_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SRD_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SRD_ENABLE_INIT_ENUM                  ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SRD_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SRD_ENABLE_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SWR_ENABLE_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SWR_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SWR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SWR_ENABLE_RANGE                      23:23
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SWR_ENABLE_WOFFSET                    0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SWR_ENABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SWR_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SWR_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SWR_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SWR_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SWR_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SWR_ENABLE_INIT_ENUM                  ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SWR_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_NVENC1SWR_ENABLE_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0R_ENABLE_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0R_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0R_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0R_ENABLE_RANGE                 24:24
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0R_ENABLE_WOFFSET                       0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0R_ENABLE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0R_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0R_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0R_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0R_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0R_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0R_ENABLE_INIT_ENUM                     ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0R_ENABLE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0R_ENABLE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0W_ENABLE_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0W_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0W_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0W_ENABLE_RANGE                 25:25
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0W_ENABLE_WOFFSET                       0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0W_ENABLE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0W_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0W_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0W_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0W_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0W_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0W_ENABLE_INIT_ENUM                     ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0W_ENABLE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE0W_ENABLE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1R_ENABLE_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1R_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1R_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1R_ENABLE_RANGE                 26:26
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1R_ENABLE_WOFFSET                       0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1R_ENABLE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1R_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1R_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1R_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1R_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1R_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1R_ENABLE_INIT_ENUM                     ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1R_ENABLE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1R_ENABLE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1W_ENABLE_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1W_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1W_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1W_ENABLE_RANGE                 27:27
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1W_ENABLE_WOFFSET                       0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1W_ENABLE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1W_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1W_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1W_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1W_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1W_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1W_ENABLE_INIT_ENUM                     ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1W_ENABLE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE1W_ENABLE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AR_ENABLE_SHIFT                        _MK_SHIFT_CONST(28)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AR_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AR_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AR_ENABLE_RANGE                        28:28
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AR_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AR_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AR_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AR_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AR_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AR_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AR_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AR_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AR_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AR_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AW_ENABLE_SHIFT                        _MK_SHIFT_CONST(29)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AW_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AW_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AW_ENABLE_RANGE                        29:29
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AW_ENABLE_WOFFSET                      0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AW_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AW_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AW_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AW_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AW_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AW_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AW_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AW_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE2AW_ENABLE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3R_ENABLE_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3R_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3R_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3R_ENABLE_RANGE                 30:30
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3R_ENABLE_WOFFSET                       0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3R_ENABLE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3R_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3R_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3R_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3R_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3R_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3R_ENABLE_INIT_ENUM                     ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3R_ENABLE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3R_ENABLE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3W_ENABLE_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3W_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3W_ENABLE_SHIFT)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3W_ENABLE_RANGE                 31:31
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3W_ENABLE_WOFFSET                       0x0
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3W_ENABLE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3W_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3W_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3W_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3W_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3W_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3W_ENABLE_INIT_ENUM                     ENABLE
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3W_ENABLE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SMMU_TRANSLATION_ENABLE_6_0_SMMU_PCIE3W_ENABLE_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SMMU_VIFAL_ASID_0
#define MC_SMMU_VIFAL_ASID_0                    _MK_ADDR_CONST(0x808)
#define MC_SMMU_VIFAL_ASID_0_SECURE                     0x0
#define MC_SMMU_VIFAL_ASID_0_DUAL                       0x0
#define MC_SMMU_VIFAL_ASID_0_SCR                        0
#define MC_SMMU_VIFAL_ASID_0_WORD_COUNT                         0x1
#define MC_SMMU_VIFAL_ASID_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_RESET_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_VIFAL_ASID_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_READ_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_VIFAL_ASID_0_WRITE_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_SHIFT)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_RANGE                   6:0
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_WOFFSET                 0x0
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_1_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_1_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_1_SHIFT)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_1_RANGE                 14:8
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_1_WOFFSET                       0x0
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_1_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_2_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_2_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_2_SHIFT)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_2_RANGE                 22:16
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_2_WOFFSET                       0x0
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_2_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_3_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_3_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_3_SHIFT)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_3_RANGE                 30:24
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_3_WOFFSET                       0x0
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_3_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_ASID_3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_VIFAL_ASID_0_VIFAL_SMMU_ENABLE_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_SMMU_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_VIFAL_ASID_0_VIFAL_SMMU_ENABLE_SHIFT)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_SMMU_ENABLE_RANGE                    31:31
#define MC_SMMU_VIFAL_ASID_0_VIFAL_SMMU_ENABLE_WOFFSET                  0x0
#define MC_SMMU_VIFAL_ASID_0_VIFAL_SMMU_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_SMMU_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_SMMU_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_SMMU_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_SMMU_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_SMMU_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_SMMU_ENABLE_INIT_ENUM                        DISABLE
#define MC_SMMU_VIFAL_ASID_0_VIFAL_SMMU_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SMMU_VIFAL_ASID_0_VIFAL_SMMU_ENABLE_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SMMU_SDMMC3A_ASID_0
#define MC_SMMU_SDMMC3A_ASID_0                  _MK_ADDR_CONST(0xa9c)
#define MC_SMMU_SDMMC3A_ASID_0_SECURE                   0x0
#define MC_SMMU_SDMMC3A_ASID_0_DUAL                     0x0
#define MC_SMMU_SDMMC3A_ASID_0_SCR                      0
#define MC_SMMU_SDMMC3A_ASID_0_WORD_COUNT                       0x1
#define MC_SMMU_SDMMC3A_ASID_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_RESET_MASK                       _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_SDMMC3A_ASID_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_READ_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_SDMMC3A_ASID_0_WRITE_MASK                       _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_SHIFT)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_RANGE                       6:0
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_WOFFSET                     0x0
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_1_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_1_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_1_SHIFT)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_1_RANGE                     14:8
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_1_WOFFSET                   0x0
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_1_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_2_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_2_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_2_SHIFT)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_2_RANGE                     22:16
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_2_WOFFSET                   0x0
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_2_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_3_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_3_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_3_SHIFT)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_3_RANGE                     30:24
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_3_WOFFSET                   0x0
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_3_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_ASID_3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_SMMU_ENABLE_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_SMMU_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_SMMU_ENABLE_SHIFT)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_SMMU_ENABLE_RANGE                        31:31
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_SMMU_ENABLE_WOFFSET                      0x0
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_SMMU_ENABLE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_SMMU_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_SMMU_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_SMMU_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_SMMU_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_SMMU_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_SMMU_ENABLE_INIT_ENUM                    DISABLE
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_SMMU_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_SDMMC3A_ASID_0_SDMMC3A_SMMU_ENABLE_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_SMMU_RCE_ASID_0
#define MC_SMMU_RCE_ASID_0                      _MK_ADDR_CONST(0x81c)
#define MC_SMMU_RCE_ASID_0_SECURE                       0x0
#define MC_SMMU_RCE_ASID_0_DUAL                         0x0
#define MC_SMMU_RCE_ASID_0_SCR                  0
#define MC_SMMU_RCE_ASID_0_WORD_COUNT                   0x1
#define MC_SMMU_RCE_ASID_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_RESET_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_RCE_ASID_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_READ_MASK                    _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_RCE_ASID_0_WRITE_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_RCE_ASID_0_RCE_ASID_SHIFT)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_RANGE                       6:0
#define MC_SMMU_RCE_ASID_0_RCE_ASID_WOFFSET                     0x0
#define MC_SMMU_RCE_ASID_0_RCE_ASID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_RCE_ASID_0_RCE_ASID_1_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_1_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_RCE_ASID_0_RCE_ASID_1_SHIFT)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_1_RANGE                     14:8
#define MC_SMMU_RCE_ASID_0_RCE_ASID_1_WOFFSET                   0x0
#define MC_SMMU_RCE_ASID_0_RCE_ASID_1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_1_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_RCE_ASID_0_RCE_ASID_2_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_2_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_RCE_ASID_0_RCE_ASID_2_SHIFT)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_2_RANGE                     22:16
#define MC_SMMU_RCE_ASID_0_RCE_ASID_2_WOFFSET                   0x0
#define MC_SMMU_RCE_ASID_0_RCE_ASID_2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_2_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_RCE_ASID_0_RCE_ASID_3_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_3_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_RCE_ASID_0_RCE_ASID_3_SHIFT)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_3_RANGE                     30:24
#define MC_SMMU_RCE_ASID_0_RCE_ASID_3_WOFFSET                   0x0
#define MC_SMMU_RCE_ASID_0_RCE_ASID_3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_3_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_RCE_ASID_3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_RCE_ASID_0_RCE_SMMU_ENABLE_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_SMMU_RCE_ASID_0_RCE_SMMU_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_RCE_ASID_0_RCE_SMMU_ENABLE_SHIFT)
#define MC_SMMU_RCE_ASID_0_RCE_SMMU_ENABLE_RANGE                        31:31
#define MC_SMMU_RCE_ASID_0_RCE_SMMU_ENABLE_WOFFSET                      0x0
#define MC_SMMU_RCE_ASID_0_RCE_SMMU_ENABLE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_RCE_SMMU_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_RCE_ASID_0_RCE_SMMU_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_RCE_SMMU_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_RCE_SMMU_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_RCE_ASID_0_RCE_SMMU_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_RCE_ASID_0_RCE_SMMU_ENABLE_INIT_ENUM                    DISABLE
#define MC_SMMU_RCE_ASID_0_RCE_SMMU_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_RCE_ASID_0_RCE_SMMU_ENABLE_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_SMMU_PCIE_ASID_0
#define MC_SMMU_PCIE_ASID_0                     _MK_ADDR_CONST(0x828)
#define MC_SMMU_PCIE_ASID_0_SECURE                      0x0
#define MC_SMMU_PCIE_ASID_0_DUAL                        0x0
#define MC_SMMU_PCIE_ASID_0_SCR                         0
#define MC_SMMU_PCIE_ASID_0_WORD_COUNT                  0x1
#define MC_SMMU_PCIE_ASID_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_RESET_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE_ASID_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_READ_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE_ASID_0_WRITE_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE_ASID_0_PCIE_ASID_SHIFT)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_RANGE                     6:0
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_WOFFSET                   0x0
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_1_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_1_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE_ASID_0_PCIE_ASID_1_SHIFT)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_1_RANGE                   14:8
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_1_WOFFSET                 0x0
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_1_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_2_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_2_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE_ASID_0_PCIE_ASID_2_SHIFT)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_2_RANGE                   22:16
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_2_WOFFSET                 0x0
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_2_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_3_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_3_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE_ASID_0_PCIE_ASID_3_SHIFT)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_3_RANGE                   30:24
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_3_WOFFSET                 0x0
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_3_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_3_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_3_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_PCIE_ASID_3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE_ASID_0_PCIE_SMMU_ENABLE_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SMMU_PCIE_ASID_0_PCIE_SMMU_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_PCIE_ASID_0_PCIE_SMMU_ENABLE_SHIFT)
#define MC_SMMU_PCIE_ASID_0_PCIE_SMMU_ENABLE_RANGE                      31:31
#define MC_SMMU_PCIE_ASID_0_PCIE_SMMU_ENABLE_WOFFSET                    0x0
#define MC_SMMU_PCIE_ASID_0_PCIE_SMMU_ENABLE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_PCIE_SMMU_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_PCIE_ASID_0_PCIE_SMMU_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_PCIE_SMMU_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_PCIE_SMMU_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE_ASID_0_PCIE_SMMU_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_PCIE_ASID_0_PCIE_SMMU_ENABLE_INIT_ENUM                  DISABLE
#define MC_SMMU_PCIE_ASID_0_PCIE_SMMU_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SMMU_PCIE_ASID_0_PCIE_SMMU_ENABLE_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SMMU_EQOS_ASID_0
#define MC_SMMU_EQOS_ASID_0                     _MK_ADDR_CONST(0xae8)
#define MC_SMMU_EQOS_ASID_0_SECURE                      0x0
#define MC_SMMU_EQOS_ASID_0_DUAL                        0x0
#define MC_SMMU_EQOS_ASID_0_SCR                         0
#define MC_SMMU_EQOS_ASID_0_WORD_COUNT                  0x1
#define MC_SMMU_EQOS_ASID_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_RESET_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_EQOS_ASID_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_READ_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_EQOS_ASID_0_WRITE_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_EQOS_ASID_0_EQOS_ASID_SHIFT)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_RANGE                     6:0
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_WOFFSET                   0x0
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_1_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_1_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_EQOS_ASID_0_EQOS_ASID_1_SHIFT)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_1_RANGE                   14:8
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_1_WOFFSET                 0x0
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_1_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_2_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_2_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_EQOS_ASID_0_EQOS_ASID_2_SHIFT)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_2_RANGE                   22:16
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_2_WOFFSET                 0x0
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_2_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_3_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_3_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_EQOS_ASID_0_EQOS_ASID_3_SHIFT)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_3_RANGE                   30:24
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_3_WOFFSET                 0x0
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_3_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_3_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_3_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_EQOS_ASID_3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_EQOS_ASID_0_EQOS_SMMU_ENABLE_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SMMU_EQOS_ASID_0_EQOS_SMMU_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_EQOS_ASID_0_EQOS_SMMU_ENABLE_SHIFT)
#define MC_SMMU_EQOS_ASID_0_EQOS_SMMU_ENABLE_RANGE                      31:31
#define MC_SMMU_EQOS_ASID_0_EQOS_SMMU_ENABLE_WOFFSET                    0x0
#define MC_SMMU_EQOS_ASID_0_EQOS_SMMU_ENABLE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_EQOS_SMMU_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_EQOS_ASID_0_EQOS_SMMU_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_EQOS_SMMU_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_EQOS_SMMU_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_EQOS_ASID_0_EQOS_SMMU_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_EQOS_ASID_0_EQOS_SMMU_ENABLE_INIT_ENUM                  DISABLE
#define MC_SMMU_EQOS_ASID_0_EQOS_SMMU_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SMMU_EQOS_ASID_0_EQOS_SMMU_ENABLE_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SMMU_SDMMC4A_ASID_0
#define MC_SMMU_SDMMC4A_ASID_0                  _MK_ADDR_CONST(0xaa0)
#define MC_SMMU_SDMMC4A_ASID_0_SECURE                   0x0
#define MC_SMMU_SDMMC4A_ASID_0_DUAL                     0x0
#define MC_SMMU_SDMMC4A_ASID_0_SCR                      0
#define MC_SMMU_SDMMC4A_ASID_0_WORD_COUNT                       0x1
#define MC_SMMU_SDMMC4A_ASID_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_RESET_MASK                       _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_SDMMC4A_ASID_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_READ_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_SDMMC4A_ASID_0_WRITE_MASK                       _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_SHIFT)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_RANGE                       6:0
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_WOFFSET                     0x0
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_1_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_1_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_1_SHIFT)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_1_RANGE                     14:8
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_1_WOFFSET                   0x0
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_1_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_2_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_2_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_2_SHIFT)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_2_RANGE                     22:16
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_2_WOFFSET                   0x0
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_2_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_3_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_3_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_3_SHIFT)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_3_RANGE                     30:24
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_3_WOFFSET                   0x0
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_3_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_ASID_3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_SMMU_ENABLE_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_SMMU_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_SMMU_ENABLE_SHIFT)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_SMMU_ENABLE_RANGE                        31:31
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_SMMU_ENABLE_WOFFSET                      0x0
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_SMMU_ENABLE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_SMMU_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_SMMU_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_SMMU_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_SMMU_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_SMMU_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_SMMU_ENABLE_INIT_ENUM                    DISABLE
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_SMMU_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_SDMMC4A_ASID_0_SDMMC4A_SMMU_ENABLE_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_SMMU_PVA0B_ASID_0
#define MC_SMMU_PVA0B_ASID_0                    _MK_ADDR_CONST(0x19b4)
#define MC_SMMU_PVA0B_ASID_0_SECURE                     0x0
#define MC_SMMU_PVA0B_ASID_0_DUAL                       0x0
#define MC_SMMU_PVA0B_ASID_0_SCR                        0
#define MC_SMMU_PVA0B_ASID_0_WORD_COUNT                         0x1
#define MC_SMMU_PVA0B_ASID_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_RESET_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PVA0B_ASID_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_READ_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PVA0B_ASID_0_WRITE_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_SHIFT)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_RANGE                   6:0
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_WOFFSET                 0x0
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_1_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_1_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_1_SHIFT)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_1_RANGE                 14:8
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_1_WOFFSET                       0x0
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_1_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_2_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_2_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_2_SHIFT)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_2_RANGE                 22:16
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_2_WOFFSET                       0x0
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_2_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_3_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_3_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_3_SHIFT)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_3_RANGE                 30:24
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_3_WOFFSET                       0x0
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_3_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_ASID_3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA0B_ASID_0_PVA0B_SMMU_ENABLE_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_SMMU_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_PVA0B_ASID_0_PVA0B_SMMU_ENABLE_SHIFT)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_SMMU_ENABLE_RANGE                    31:31
#define MC_SMMU_PVA0B_ASID_0_PVA0B_SMMU_ENABLE_WOFFSET                  0x0
#define MC_SMMU_PVA0B_ASID_0_PVA0B_SMMU_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_SMMU_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_SMMU_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_SMMU_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_SMMU_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_SMMU_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_SMMU_ENABLE_INIT_ENUM                        DISABLE
#define MC_SMMU_PVA0B_ASID_0_PVA0B_SMMU_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SMMU_PVA0B_ASID_0_PVA0B_SMMU_ENABLE_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SMMU_HC_ASID_0
#define MC_SMMU_HC_ASID_0                       _MK_ADDR_CONST(0x250)
#define MC_SMMU_HC_ASID_0_SECURE                        0x0
#define MC_SMMU_HC_ASID_0_DUAL                  0x0
#define MC_SMMU_HC_ASID_0_SCR                   0
#define MC_SMMU_HC_ASID_0_WORD_COUNT                    0x1
#define MC_SMMU_HC_ASID_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_RESET_MASK                    _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_HC_ASID_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_READ_MASK                     _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_HC_ASID_0_WRITE_MASK                    _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_HC_ASID_0_HC_ASID_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SMMU_HC_ASID_0_HC_ASID_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_HC_ASID_0_HC_ASID_SHIFT)
#define MC_SMMU_HC_ASID_0_HC_ASID_RANGE                 6:0
#define MC_SMMU_HC_ASID_0_HC_ASID_WOFFSET                       0x0
#define MC_SMMU_HC_ASID_0_HC_ASID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_HC_ASID_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_HC_ASID_0_HC_ASID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_HC_ASID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_HC_ASID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_HC_ASID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_HC_ASID_0_HC_ASID_1_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_SMMU_HC_ASID_0_HC_ASID_1_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_HC_ASID_0_HC_ASID_1_SHIFT)
#define MC_SMMU_HC_ASID_0_HC_ASID_1_RANGE                       14:8
#define MC_SMMU_HC_ASID_0_HC_ASID_1_WOFFSET                     0x0
#define MC_SMMU_HC_ASID_0_HC_ASID_1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_HC_ASID_1_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_HC_ASID_0_HC_ASID_1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_HC_ASID_1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_HC_ASID_1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_HC_ASID_1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_HC_ASID_0_HC_ASID_2_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_SMMU_HC_ASID_0_HC_ASID_2_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_HC_ASID_0_HC_ASID_2_SHIFT)
#define MC_SMMU_HC_ASID_0_HC_ASID_2_RANGE                       22:16
#define MC_SMMU_HC_ASID_0_HC_ASID_2_WOFFSET                     0x0
#define MC_SMMU_HC_ASID_0_HC_ASID_2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_HC_ASID_2_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_HC_ASID_0_HC_ASID_2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_HC_ASID_2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_HC_ASID_2_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_HC_ASID_2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_HC_ASID_0_HC_ASID_3_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SMMU_HC_ASID_0_HC_ASID_3_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_HC_ASID_0_HC_ASID_3_SHIFT)
#define MC_SMMU_HC_ASID_0_HC_ASID_3_RANGE                       30:24
#define MC_SMMU_HC_ASID_0_HC_ASID_3_WOFFSET                     0x0
#define MC_SMMU_HC_ASID_0_HC_ASID_3_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_HC_ASID_3_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_HC_ASID_0_HC_ASID_3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_HC_ASID_3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_HC_ASID_3_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_HC_ASID_3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_HC_ASID_0_HC_SMMU_ENABLE_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SMMU_HC_ASID_0_HC_SMMU_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_HC_ASID_0_HC_SMMU_ENABLE_SHIFT)
#define MC_SMMU_HC_ASID_0_HC_SMMU_ENABLE_RANGE                  31:31
#define MC_SMMU_HC_ASID_0_HC_SMMU_ENABLE_WOFFSET                        0x0
#define MC_SMMU_HC_ASID_0_HC_SMMU_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_HC_SMMU_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_HC_ASID_0_HC_SMMU_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_HC_SMMU_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_HC_SMMU_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_HC_ASID_0_HC_SMMU_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_HC_ASID_0_HC_SMMU_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_HC_ASID_0_HC_SMMU_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_HC_ASID_0_HC_SMMU_ENABLE_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SMMU_NVDEC2A_ASID_0
#define MC_SMMU_NVDEC2A_ASID_0                  _MK_ADDR_CONST(0x1eb0)
#define MC_SMMU_NVDEC2A_ASID_0_SECURE                   0x0
#define MC_SMMU_NVDEC2A_ASID_0_DUAL                     0x0
#define MC_SMMU_NVDEC2A_ASID_0_SCR                      0
#define MC_SMMU_NVDEC2A_ASID_0_WORD_COUNT                       0x1
#define MC_SMMU_NVDEC2A_ASID_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_RESET_MASK                       _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_NVDEC2A_ASID_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_READ_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_NVDEC2A_ASID_0_WRITE_MASK                       _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_SHIFT)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_RANGE                       6:0
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_WOFFSET                     0x0
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_1_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_1_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_1_SHIFT)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_1_RANGE                     14:8
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_1_WOFFSET                   0x0
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_1_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_2_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_2_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_2_SHIFT)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_2_RANGE                     22:16
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_2_WOFFSET                   0x0
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_2_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_3_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_3_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_3_SHIFT)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_3_RANGE                     30:24
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_3_WOFFSET                   0x0
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_3_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_ASID_3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_SMMU_ENABLE_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_SMMU_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_SMMU_ENABLE_SHIFT)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_SMMU_ENABLE_RANGE                        31:31
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_SMMU_ENABLE_WOFFSET                      0x0
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_SMMU_ENABLE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_SMMU_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_SMMU_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_SMMU_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_SMMU_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_SMMU_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_SMMU_ENABLE_INIT_ENUM                    DISABLE
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_SMMU_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_NVDEC2A_ASID_0_NVDEC2A_SMMU_ENABLE_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_SMMU_PCIE2A_ASID_0
#define MC_SMMU_PCIE2A_ASID_0                   _MK_ADDR_CONST(0x1cb4)
#define MC_SMMU_PCIE2A_ASID_0_SECURE                    0x0
#define MC_SMMU_PCIE2A_ASID_0_DUAL                      0x0
#define MC_SMMU_PCIE2A_ASID_0_SCR                       0
#define MC_SMMU_PCIE2A_ASID_0_WORD_COUNT                        0x1
#define MC_SMMU_PCIE2A_ASID_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_RESET_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE2A_ASID_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_READ_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE2A_ASID_0_WRITE_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_SHIFT)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_RANGE                 6:0
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_WOFFSET                       0x0
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_1_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_1_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_1_SHIFT)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_1_RANGE                       14:8
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_1_WOFFSET                     0x0
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_1_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_2_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_2_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_2_SHIFT)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_2_RANGE                       22:16
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_2_WOFFSET                     0x0
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_2_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_2_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_3_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_3_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_3_SHIFT)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_3_RANGE                       30:24
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_3_WOFFSET                     0x0
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_3_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_3_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_3_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_ASID_3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_SMMU_ENABLE_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_SMMU_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_PCIE2A_ASID_0_PCIE2A_SMMU_ENABLE_SHIFT)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_SMMU_ENABLE_RANGE                  31:31
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_SMMU_ENABLE_WOFFSET                        0x0
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_SMMU_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_SMMU_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_SMMU_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_SMMU_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_SMMU_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_SMMU_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_SMMU_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_SMMU_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_PCIE2A_ASID_0_PCIE2A_SMMU_ENABLE_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SMMU_AXIS_ASID_0
#define MC_SMMU_AXIS_ASID_0                     _MK_ADDR_CONST(0xae4)
#define MC_SMMU_AXIS_ASID_0_SECURE                      0x0
#define MC_SMMU_AXIS_ASID_0_DUAL                        0x0
#define MC_SMMU_AXIS_ASID_0_SCR                         0
#define MC_SMMU_AXIS_ASID_0_WORD_COUNT                  0x1
#define MC_SMMU_AXIS_ASID_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_RESET_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_AXIS_ASID_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_READ_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_AXIS_ASID_0_WRITE_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_AXIS_ASID_0_AXIS_ASID_SHIFT)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_RANGE                     6:0
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_WOFFSET                   0x0
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_1_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_1_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_AXIS_ASID_0_AXIS_ASID_1_SHIFT)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_1_RANGE                   14:8
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_1_WOFFSET                 0x0
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_1_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_2_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_2_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_AXIS_ASID_0_AXIS_ASID_2_SHIFT)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_2_RANGE                   22:16
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_2_WOFFSET                 0x0
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_2_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_3_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_3_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_AXIS_ASID_0_AXIS_ASID_3_SHIFT)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_3_RANGE                   30:24
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_3_WOFFSET                 0x0
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_3_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_3_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_3_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_AXIS_ASID_3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_AXIS_ASID_0_AXIS_SMMU_ENABLE_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SMMU_AXIS_ASID_0_AXIS_SMMU_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_AXIS_ASID_0_AXIS_SMMU_ENABLE_SHIFT)
#define MC_SMMU_AXIS_ASID_0_AXIS_SMMU_ENABLE_RANGE                      31:31
#define MC_SMMU_AXIS_ASID_0_AXIS_SMMU_ENABLE_WOFFSET                    0x0
#define MC_SMMU_AXIS_ASID_0_AXIS_SMMU_ENABLE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_AXIS_SMMU_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_AXIS_ASID_0_AXIS_SMMU_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_AXIS_SMMU_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_AXIS_SMMU_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIS_ASID_0_AXIS_SMMU_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_AXIS_ASID_0_AXIS_SMMU_ENABLE_INIT_ENUM                  DISABLE
#define MC_SMMU_AXIS_ASID_0_AXIS_SMMU_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SMMU_AXIS_ASID_0_AXIS_SMMU_ENABLE_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SMMU_ISP2A_ASID_0
#define MC_SMMU_ISP2A_ASID_0                    _MK_ADDR_CONST(0x1db4)
#define MC_SMMU_ISP2A_ASID_0_SECURE                     0x0
#define MC_SMMU_ISP2A_ASID_0_DUAL                       0x0
#define MC_SMMU_ISP2A_ASID_0_SCR                        0
#define MC_SMMU_ISP2A_ASID_0_WORD_COUNT                         0x1
#define MC_SMMU_ISP2A_ASID_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_RESET_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_ISP2A_ASID_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_READ_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_ISP2A_ASID_0_WRITE_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_SHIFT)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_RANGE                   6:0
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_WOFFSET                 0x0
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_1_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_1_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_1_SHIFT)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_1_RANGE                 14:8
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_1_WOFFSET                       0x0
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_1_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_2_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_2_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_2_SHIFT)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_2_RANGE                 22:16
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_2_WOFFSET                       0x0
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_2_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_3_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_3_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_3_SHIFT)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_3_RANGE                 30:24
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_3_WOFFSET                       0x0
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_3_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_ASID_3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_ISP2A_ASID_0_ISP2A_SMMU_ENABLE_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_SMMU_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_ISP2A_ASID_0_ISP2A_SMMU_ENABLE_SHIFT)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_SMMU_ENABLE_RANGE                    31:31
#define MC_SMMU_ISP2A_ASID_0_ISP2A_SMMU_ENABLE_WOFFSET                  0x0
#define MC_SMMU_ISP2A_ASID_0_ISP2A_SMMU_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_SMMU_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_SMMU_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_SMMU_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_SMMU_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_SMMU_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_SMMU_ENABLE_INIT_ENUM                        DISABLE
#define MC_SMMU_ISP2A_ASID_0_ISP2A_SMMU_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SMMU_ISP2A_ASID_0_ISP2A_SMMU_ENABLE_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SMMU_NVENCB_ASID_0
#define MC_SMMU_NVENCB_ASID_0                   _MK_ADDR_CONST(0x1cc0)
#define MC_SMMU_NVENCB_ASID_0_SECURE                    0x0
#define MC_SMMU_NVENCB_ASID_0_DUAL                      0x0
#define MC_SMMU_NVENCB_ASID_0_SCR                       0
#define MC_SMMU_NVENCB_ASID_0_WORD_COUNT                        0x1
#define MC_SMMU_NVENCB_ASID_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_RESET_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_NVENCB_ASID_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_READ_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_NVENCB_ASID_0_WRITE_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_SHIFT)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_RANGE                 6:0
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_WOFFSET                       0x0
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_1_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_1_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_1_SHIFT)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_1_RANGE                       14:8
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_1_WOFFSET                     0x0
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_1_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_2_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_2_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_2_SHIFT)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_2_RANGE                       22:16
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_2_WOFFSET                     0x0
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_2_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_2_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_3_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_3_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_3_SHIFT)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_3_RANGE                       30:24
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_3_WOFFSET                     0x0
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_3_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_3_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_3_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_ASID_3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_NVENCB_ASID_0_NVENCB_SMMU_ENABLE_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_SMMU_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_NVENCB_ASID_0_NVENCB_SMMU_ENABLE_SHIFT)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_SMMU_ENABLE_RANGE                  31:31
#define MC_SMMU_NVENCB_ASID_0_NVENCB_SMMU_ENABLE_WOFFSET                        0x0
#define MC_SMMU_NVENCB_ASID_0_NVENCB_SMMU_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_SMMU_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_SMMU_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_SMMU_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_SMMU_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_SMMU_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_SMMU_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_NVENCB_ASID_0_NVENCB_SMMU_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_NVENCB_ASID_0_NVENCB_SMMU_ENABLE_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SMMU_BPMP_ASID_0
#define MC_SMMU_BPMP_ASID_0                     _MK_ADDR_CONST(0xaf4)
#define MC_SMMU_BPMP_ASID_0_SECURE                      0x0
#define MC_SMMU_BPMP_ASID_0_DUAL                        0x0
#define MC_SMMU_BPMP_ASID_0_SCR                         0
#define MC_SMMU_BPMP_ASID_0_WORD_COUNT                  0x1
#define MC_SMMU_BPMP_ASID_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_RESET_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_BPMP_ASID_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_READ_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_BPMP_ASID_0_WRITE_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_BPMP_ASID_0_BPMP_ASID_SHIFT)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_RANGE                     6:0
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_WOFFSET                   0x0
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_1_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_1_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_BPMP_ASID_0_BPMP_ASID_1_SHIFT)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_1_RANGE                   14:8
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_1_WOFFSET                 0x0
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_1_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_2_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_2_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_BPMP_ASID_0_BPMP_ASID_2_SHIFT)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_2_RANGE                   22:16
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_2_WOFFSET                 0x0
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_2_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_3_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_3_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_BPMP_ASID_0_BPMP_ASID_3_SHIFT)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_3_RANGE                   30:24
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_3_WOFFSET                 0x0
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_3_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_3_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_3_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_BPMP_ASID_3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_BPMP_ASID_0_BPMP_SMMU_ENABLE_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SMMU_BPMP_ASID_0_BPMP_SMMU_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_BPMP_ASID_0_BPMP_SMMU_ENABLE_SHIFT)
#define MC_SMMU_BPMP_ASID_0_BPMP_SMMU_ENABLE_RANGE                      31:31
#define MC_SMMU_BPMP_ASID_0_BPMP_SMMU_ENABLE_WOFFSET                    0x0
#define MC_SMMU_BPMP_ASID_0_BPMP_SMMU_ENABLE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_BPMP_SMMU_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_BPMP_ASID_0_BPMP_SMMU_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_BPMP_SMMU_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_BPMP_SMMU_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMP_ASID_0_BPMP_SMMU_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_BPMP_ASID_0_BPMP_SMMU_ENABLE_INIT_ENUM                  DISABLE
#define MC_SMMU_BPMP_ASID_0_BPMP_SMMU_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SMMU_BPMP_ASID_0_BPMP_SMMU_ENABLE_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SMMU_PCIE4A_ASID_0
#define MC_SMMU_PCIE4A_ASID_0                   _MK_ADDR_CONST(0x1eb4)
#define MC_SMMU_PCIE4A_ASID_0_SECURE                    0x0
#define MC_SMMU_PCIE4A_ASID_0_DUAL                      0x0
#define MC_SMMU_PCIE4A_ASID_0_SCR                       0
#define MC_SMMU_PCIE4A_ASID_0_WORD_COUNT                        0x1
#define MC_SMMU_PCIE4A_ASID_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_RESET_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE4A_ASID_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_READ_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE4A_ASID_0_WRITE_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_SHIFT)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_RANGE                 6:0
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_WOFFSET                       0x0
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_1_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_1_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_1_SHIFT)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_1_RANGE                       14:8
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_1_WOFFSET                     0x0
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_1_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_2_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_2_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_2_SHIFT)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_2_RANGE                       22:16
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_2_WOFFSET                     0x0
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_2_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_2_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_3_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_3_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_3_SHIFT)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_3_RANGE                       30:24
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_3_WOFFSET                     0x0
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_3_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_3_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_3_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_ASID_3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_SMMU_ENABLE_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_SMMU_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_PCIE4A_ASID_0_PCIE4A_SMMU_ENABLE_SHIFT)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_SMMU_ENABLE_RANGE                  31:31
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_SMMU_ENABLE_WOFFSET                        0x0
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_SMMU_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_SMMU_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_SMMU_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_SMMU_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_SMMU_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_SMMU_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_SMMU_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_SMMU_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_PCIE4A_ASID_0_PCIE4A_SMMU_ENABLE_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SMMU_ISPFAL_ASID_0
#define MC_SMMU_ISPFAL_ASID_0                   _MK_ADDR_CONST(0x1db8)
#define MC_SMMU_ISPFAL_ASID_0_SECURE                    0x0
#define MC_SMMU_ISPFAL_ASID_0_DUAL                      0x0
#define MC_SMMU_ISPFAL_ASID_0_SCR                       0
#define MC_SMMU_ISPFAL_ASID_0_WORD_COUNT                        0x1
#define MC_SMMU_ISPFAL_ASID_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_RESET_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_ISPFAL_ASID_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_READ_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_ISPFAL_ASID_0_WRITE_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_SHIFT)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_RANGE                 6:0
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_WOFFSET                       0x0
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_1_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_1_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_1_SHIFT)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_1_RANGE                       14:8
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_1_WOFFSET                     0x0
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_1_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_2_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_2_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_2_SHIFT)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_2_RANGE                       22:16
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_2_WOFFSET                     0x0
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_2_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_2_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_3_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_3_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_3_SHIFT)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_3_RANGE                       30:24
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_3_WOFFSET                     0x0
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_3_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_3_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_3_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_ASID_3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_SMMU_ENABLE_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_SMMU_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_ISPFAL_ASID_0_ISPFAL_SMMU_ENABLE_SHIFT)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_SMMU_ENABLE_RANGE                  31:31
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_SMMU_ENABLE_WOFFSET                        0x0
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_SMMU_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_SMMU_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_SMMU_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_SMMU_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_SMMU_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_SMMU_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_SMMU_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_SMMU_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_ISPFAL_ASID_0_ISPFAL_SMMU_ENABLE_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SMMU_SDMMC1A_ASID_0
#define MC_SMMU_SDMMC1A_ASID_0                  _MK_ADDR_CONST(0xa94)
#define MC_SMMU_SDMMC1A_ASID_0_SECURE                   0x0
#define MC_SMMU_SDMMC1A_ASID_0_DUAL                     0x0
#define MC_SMMU_SDMMC1A_ASID_0_SCR                      0
#define MC_SMMU_SDMMC1A_ASID_0_WORD_COUNT                       0x1
#define MC_SMMU_SDMMC1A_ASID_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_RESET_MASK                       _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_SDMMC1A_ASID_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_READ_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_SDMMC1A_ASID_0_WRITE_MASK                       _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_SHIFT)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_RANGE                       6:0
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_WOFFSET                     0x0
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_1_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_1_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_1_SHIFT)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_1_RANGE                     14:8
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_1_WOFFSET                   0x0
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_1_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_2_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_2_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_2_SHIFT)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_2_RANGE                     22:16
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_2_WOFFSET                   0x0
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_2_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_3_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_3_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_3_SHIFT)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_3_RANGE                     30:24
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_3_WOFFSET                   0x0
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_3_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_ASID_3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_SMMU_ENABLE_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_SMMU_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_SMMU_ENABLE_SHIFT)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_SMMU_ENABLE_RANGE                        31:31
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_SMMU_ENABLE_WOFFSET                      0x0
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_SMMU_ENABLE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_SMMU_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_SMMU_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_SMMU_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_SMMU_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_SMMU_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_SMMU_ENABLE_INIT_ENUM                    DISABLE
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_SMMU_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_SDMMC1A_ASID_0_SDMMC1A_SMMU_ENABLE_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_SMMU_NVDEC_ASID_0
#define MC_SMMU_NVDEC_ASID_0                    _MK_ADDR_CONST(0xab4)
#define MC_SMMU_NVDEC_ASID_0_SECURE                     0x0
#define MC_SMMU_NVDEC_ASID_0_DUAL                       0x0
#define MC_SMMU_NVDEC_ASID_0_SCR                        0
#define MC_SMMU_NVDEC_ASID_0_WORD_COUNT                         0x1
#define MC_SMMU_NVDEC_ASID_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_RESET_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_NVDEC_ASID_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_READ_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_NVDEC_ASID_0_WRITE_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_SHIFT)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_RANGE                   6:0
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_WOFFSET                 0x0
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_1_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_1_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_1_SHIFT)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_1_RANGE                 14:8
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_1_WOFFSET                       0x0
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_1_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_2_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_2_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_2_SHIFT)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_2_RANGE                 22:16
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_2_WOFFSET                       0x0
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_2_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_3_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_3_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_3_SHIFT)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_3_RANGE                 30:24
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_3_WOFFSET                       0x0
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_3_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_ASID_3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_NVDEC_ASID_0_NVDEC_SMMU_ENABLE_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_SMMU_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_NVDEC_ASID_0_NVDEC_SMMU_ENABLE_SHIFT)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_SMMU_ENABLE_RANGE                    31:31
#define MC_SMMU_NVDEC_ASID_0_NVDEC_SMMU_ENABLE_WOFFSET                  0x0
#define MC_SMMU_NVDEC_ASID_0_NVDEC_SMMU_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_SMMU_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_SMMU_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_SMMU_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_SMMU_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_SMMU_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_SMMU_ENABLE_INIT_ENUM                        DISABLE
#define MC_SMMU_NVDEC_ASID_0_NVDEC_SMMU_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SMMU_NVDEC_ASID_0_NVDEC_SMMU_ENABLE_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SMMU_PCIE0A2_ASID_0
#define MC_SMMU_PCIE0A2_ASID_0                  _MK_ADDR_CONST(0x1dc0)
#define MC_SMMU_PCIE0A2_ASID_0_SECURE                   0x0
#define MC_SMMU_PCIE0A2_ASID_0_DUAL                     0x0
#define MC_SMMU_PCIE0A2_ASID_0_SCR                      0
#define MC_SMMU_PCIE0A2_ASID_0_WORD_COUNT                       0x1
#define MC_SMMU_PCIE0A2_ASID_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_RESET_MASK                       _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE0A2_ASID_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_READ_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE0A2_ASID_0_WRITE_MASK                       _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_SHIFT)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_RANGE                       6:0
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_WOFFSET                     0x0
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_1_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_1_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_1_SHIFT)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_1_RANGE                     14:8
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_1_WOFFSET                   0x0
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_1_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_2_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_2_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_2_SHIFT)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_2_RANGE                     22:16
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_2_WOFFSET                   0x0
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_2_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_3_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_3_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_3_SHIFT)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_3_RANGE                     30:24
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_3_WOFFSET                   0x0
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_3_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_ASID_3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_SMMU_ENABLE_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_SMMU_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_SMMU_ENABLE_SHIFT)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_SMMU_ENABLE_RANGE                        31:31
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_SMMU_ENABLE_WOFFSET                      0x0
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_SMMU_ENABLE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_SMMU_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_SMMU_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_SMMU_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_SMMU_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_SMMU_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_SMMU_ENABLE_INIT_ENUM                    DISABLE
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_SMMU_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_PCIE0A2_ASID_0_PCIE0A2_SMMU_ENABLE_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_SMMU_PVA1B_ASID_0
#define MC_SMMU_PVA1B_ASID_0                    _MK_ADDR_CONST(0x19bc)
#define MC_SMMU_PVA1B_ASID_0_SECURE                     0x0
#define MC_SMMU_PVA1B_ASID_0_DUAL                       0x0
#define MC_SMMU_PVA1B_ASID_0_SCR                        0
#define MC_SMMU_PVA1B_ASID_0_WORD_COUNT                         0x1
#define MC_SMMU_PVA1B_ASID_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_RESET_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PVA1B_ASID_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_READ_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PVA1B_ASID_0_WRITE_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_SHIFT)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_RANGE                   6:0
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_WOFFSET                 0x0
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_1_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_1_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_1_SHIFT)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_1_RANGE                 14:8
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_1_WOFFSET                       0x0
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_1_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_2_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_2_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_2_SHIFT)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_2_RANGE                 22:16
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_2_WOFFSET                       0x0
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_2_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_3_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_3_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_3_SHIFT)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_3_RANGE                 30:24
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_3_WOFFSET                       0x0
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_3_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_ASID_3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA1B_ASID_0_PVA1B_SMMU_ENABLE_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_SMMU_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_PVA1B_ASID_0_PVA1B_SMMU_ENABLE_SHIFT)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_SMMU_ENABLE_RANGE                    31:31
#define MC_SMMU_PVA1B_ASID_0_PVA1B_SMMU_ENABLE_WOFFSET                  0x0
#define MC_SMMU_PVA1B_ASID_0_PVA1B_SMMU_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_SMMU_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_SMMU_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_SMMU_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_SMMU_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_SMMU_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_SMMU_ENABLE_INIT_ENUM                        DISABLE
#define MC_SMMU_PVA1B_ASID_0_PVA1B_SMMU_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SMMU_PVA1B_ASID_0_PVA1B_SMMU_ENABLE_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SMMU_PVA0A_ASID_0
#define MC_SMMU_PVA0A_ASID_0                    _MK_ADDR_CONST(0x814)
#define MC_SMMU_PVA0A_ASID_0_SECURE                     0x0
#define MC_SMMU_PVA0A_ASID_0_DUAL                       0x0
#define MC_SMMU_PVA0A_ASID_0_SCR                        0
#define MC_SMMU_PVA0A_ASID_0_WORD_COUNT                         0x1
#define MC_SMMU_PVA0A_ASID_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_RESET_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PVA0A_ASID_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_READ_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PVA0A_ASID_0_WRITE_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_SHIFT)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_RANGE                   6:0
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_WOFFSET                 0x0
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_1_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_1_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_1_SHIFT)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_1_RANGE                 14:8
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_1_WOFFSET                       0x0
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_1_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_2_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_2_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_2_SHIFT)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_2_RANGE                 22:16
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_2_WOFFSET                       0x0
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_2_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_3_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_3_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_3_SHIFT)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_3_RANGE                 30:24
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_3_WOFFSET                       0x0
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_3_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_ASID_3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA0A_ASID_0_PVA0A_SMMU_ENABLE_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_SMMU_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_PVA0A_ASID_0_PVA0A_SMMU_ENABLE_SHIFT)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_SMMU_ENABLE_RANGE                    31:31
#define MC_SMMU_PVA0A_ASID_0_PVA0A_SMMU_ENABLE_WOFFSET                  0x0
#define MC_SMMU_PVA0A_ASID_0_PVA0A_SMMU_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_SMMU_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_SMMU_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_SMMU_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_SMMU_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_SMMU_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_SMMU_ENABLE_INIT_ENUM                        DISABLE
#define MC_SMMU_PVA0A_ASID_0_PVA0A_SMMU_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SMMU_PVA0A_ASID_0_PVA0A_SMMU_ENABLE_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SMMU_HDA_ASID_0
#define MC_SMMU_HDA_ASID_0                      _MK_ADDR_CONST(0x254)
#define MC_SMMU_HDA_ASID_0_SECURE                       0x0
#define MC_SMMU_HDA_ASID_0_DUAL                         0x0
#define MC_SMMU_HDA_ASID_0_SCR                  0
#define MC_SMMU_HDA_ASID_0_WORD_COUNT                   0x1
#define MC_SMMU_HDA_ASID_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_RESET_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_HDA_ASID_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_READ_MASK                    _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_HDA_ASID_0_WRITE_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_HDA_ASID_0_HDA_ASID_SHIFT)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_RANGE                       6:0
#define MC_SMMU_HDA_ASID_0_HDA_ASID_WOFFSET                     0x0
#define MC_SMMU_HDA_ASID_0_HDA_ASID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_HDA_ASID_0_HDA_ASID_1_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_1_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_HDA_ASID_0_HDA_ASID_1_SHIFT)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_1_RANGE                     14:8
#define MC_SMMU_HDA_ASID_0_HDA_ASID_1_WOFFSET                   0x0
#define MC_SMMU_HDA_ASID_0_HDA_ASID_1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_1_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_HDA_ASID_0_HDA_ASID_2_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_2_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_HDA_ASID_0_HDA_ASID_2_SHIFT)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_2_RANGE                     22:16
#define MC_SMMU_HDA_ASID_0_HDA_ASID_2_WOFFSET                   0x0
#define MC_SMMU_HDA_ASID_0_HDA_ASID_2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_2_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_HDA_ASID_0_HDA_ASID_3_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_3_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_HDA_ASID_0_HDA_ASID_3_SHIFT)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_3_RANGE                     30:24
#define MC_SMMU_HDA_ASID_0_HDA_ASID_3_WOFFSET                   0x0
#define MC_SMMU_HDA_ASID_0_HDA_ASID_3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_3_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_HDA_ASID_3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_HDA_ASID_0_HDA_SMMU_ENABLE_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_SMMU_HDA_ASID_0_HDA_SMMU_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_HDA_ASID_0_HDA_SMMU_ENABLE_SHIFT)
#define MC_SMMU_HDA_ASID_0_HDA_SMMU_ENABLE_RANGE                        31:31
#define MC_SMMU_HDA_ASID_0_HDA_SMMU_ENABLE_WOFFSET                      0x0
#define MC_SMMU_HDA_ASID_0_HDA_SMMU_ENABLE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_HDA_SMMU_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_HDA_ASID_0_HDA_SMMU_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_HDA_SMMU_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_HDA_SMMU_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_HDA_ASID_0_HDA_SMMU_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_HDA_ASID_0_HDA_SMMU_ENABLE_INIT_ENUM                    DISABLE
#define MC_SMMU_HDA_ASID_0_HDA_SMMU_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_HDA_ASID_0_HDA_SMMU_ENABLE_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_SMMU_PCIE5A_ASID_0
#define MC_SMMU_PCIE5A_ASID_0                   _MK_ADDR_CONST(0x19b0)
#define MC_SMMU_PCIE5A_ASID_0_SECURE                    0x0
#define MC_SMMU_PCIE5A_ASID_0_DUAL                      0x0
#define MC_SMMU_PCIE5A_ASID_0_SCR                       0
#define MC_SMMU_PCIE5A_ASID_0_WORD_COUNT                        0x1
#define MC_SMMU_PCIE5A_ASID_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_RESET_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE5A_ASID_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_READ_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE5A_ASID_0_WRITE_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_SHIFT)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_RANGE                 6:0
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_WOFFSET                       0x0
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_1_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_1_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_1_SHIFT)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_1_RANGE                       14:8
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_1_WOFFSET                     0x0
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_1_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_2_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_2_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_2_SHIFT)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_2_RANGE                       22:16
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_2_WOFFSET                     0x0
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_2_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_2_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_3_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_3_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_3_SHIFT)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_3_RANGE                       30:24
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_3_WOFFSET                     0x0
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_3_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_3_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_3_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_ASID_3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_SMMU_ENABLE_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_SMMU_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_PCIE5A_ASID_0_PCIE5A_SMMU_ENABLE_SHIFT)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_SMMU_ENABLE_RANGE                  31:31
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_SMMU_ENABLE_WOFFSET                        0x0
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_SMMU_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_SMMU_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_SMMU_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_SMMU_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_SMMU_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_SMMU_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_SMMU_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_SMMU_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_PCIE5A_ASID_0_PCIE5A_SMMU_ENABLE_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SMMU_ETR_ASID_0
#define MC_SMMU_ETR_ASID_0                      _MK_ADDR_CONST(0xad0)
#define MC_SMMU_ETR_ASID_0_SECURE                       0x0
#define MC_SMMU_ETR_ASID_0_DUAL                         0x0
#define MC_SMMU_ETR_ASID_0_SCR                  0
#define MC_SMMU_ETR_ASID_0_WORD_COUNT                   0x1
#define MC_SMMU_ETR_ASID_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_RESET_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_ETR_ASID_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_READ_MASK                    _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_ETR_ASID_0_WRITE_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_ETR_ASID_0_ETR_ASID_SHIFT)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_RANGE                       6:0
#define MC_SMMU_ETR_ASID_0_ETR_ASID_WOFFSET                     0x0
#define MC_SMMU_ETR_ASID_0_ETR_ASID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_ETR_ASID_0_ETR_ASID_1_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_1_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_ETR_ASID_0_ETR_ASID_1_SHIFT)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_1_RANGE                     14:8
#define MC_SMMU_ETR_ASID_0_ETR_ASID_1_WOFFSET                   0x0
#define MC_SMMU_ETR_ASID_0_ETR_ASID_1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_1_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_ETR_ASID_0_ETR_ASID_2_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_2_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_ETR_ASID_0_ETR_ASID_2_SHIFT)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_2_RANGE                     22:16
#define MC_SMMU_ETR_ASID_0_ETR_ASID_2_WOFFSET                   0x0
#define MC_SMMU_ETR_ASID_0_ETR_ASID_2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_2_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_ETR_ASID_0_ETR_ASID_3_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_3_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_ETR_ASID_0_ETR_ASID_3_SHIFT)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_3_RANGE                     30:24
#define MC_SMMU_ETR_ASID_0_ETR_ASID_3_WOFFSET                   0x0
#define MC_SMMU_ETR_ASID_0_ETR_ASID_3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_3_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_ETR_ASID_3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_ETR_ASID_0_ETR_SMMU_ENABLE_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_SMMU_ETR_ASID_0_ETR_SMMU_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_ETR_ASID_0_ETR_SMMU_ENABLE_SHIFT)
#define MC_SMMU_ETR_ASID_0_ETR_SMMU_ENABLE_RANGE                        31:31
#define MC_SMMU_ETR_ASID_0_ETR_SMMU_ENABLE_WOFFSET                      0x0
#define MC_SMMU_ETR_ASID_0_ETR_SMMU_ENABLE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_ETR_SMMU_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_ETR_ASID_0_ETR_SMMU_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_ETR_SMMU_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_ETR_SMMU_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_ETR_ASID_0_ETR_SMMU_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_ETR_ASID_0_ETR_SMMU_ENABLE_INIT_ENUM                    DISABLE
#define MC_SMMU_ETR_ASID_0_ETR_SMMU_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_ETR_ASID_0_ETR_SMMU_ENABLE_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_SMMU_PCIE3_ASID_0
#define MC_SMMU_PCIE3_ASID_0                    _MK_ADDR_CONST(0x1cbc)
#define MC_SMMU_PCIE3_ASID_0_SECURE                     0x0
#define MC_SMMU_PCIE3_ASID_0_DUAL                       0x0
#define MC_SMMU_PCIE3_ASID_0_SCR                        0
#define MC_SMMU_PCIE3_ASID_0_WORD_COUNT                         0x1
#define MC_SMMU_PCIE3_ASID_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_RESET_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE3_ASID_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_READ_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE3_ASID_0_WRITE_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_SHIFT)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_RANGE                   6:0
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_WOFFSET                 0x0
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_1_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_1_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_1_SHIFT)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_1_RANGE                 14:8
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_1_WOFFSET                       0x0
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_1_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_2_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_2_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_2_SHIFT)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_2_RANGE                 22:16
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_2_WOFFSET                       0x0
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_2_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_3_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_3_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_3_SHIFT)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_3_RANGE                 30:24
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_3_WOFFSET                       0x0
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_3_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_ASID_3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE3_ASID_0_PCIE3_SMMU_ENABLE_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_SMMU_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_PCIE3_ASID_0_PCIE3_SMMU_ENABLE_SHIFT)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_SMMU_ENABLE_RANGE                    31:31
#define MC_SMMU_PCIE3_ASID_0_PCIE3_SMMU_ENABLE_WOFFSET                  0x0
#define MC_SMMU_PCIE3_ASID_0_PCIE3_SMMU_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_SMMU_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_SMMU_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_SMMU_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_SMMU_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_SMMU_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_SMMU_ENABLE_INIT_ENUM                        DISABLE
#define MC_SMMU_PCIE3_ASID_0_PCIE3_SMMU_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SMMU_PCIE3_ASID_0_PCIE3_SMMU_ENABLE_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SMMU_NVDISPLAY_ASID_0
#define MC_SMMU_NVDISPLAY_ASID_0                        _MK_ADDR_CONST(0xaf0)
#define MC_SMMU_NVDISPLAY_ASID_0_SECURE                         0x0
#define MC_SMMU_NVDISPLAY_ASID_0_DUAL                   0x0
#define MC_SMMU_NVDISPLAY_ASID_0_SCR                    0
#define MC_SMMU_NVDISPLAY_ASID_0_WORD_COUNT                     0x1
#define MC_SMMU_NVDISPLAY_ASID_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_RESET_MASK                     _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_NVDISPLAY_ASID_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_READ_MASK                      _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_NVDISPLAY_ASID_0_WRITE_MASK                     _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_SHIFT)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_RANGE                   6:0
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_WOFFSET                 0x0
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_1_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_1_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_1_SHIFT)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_1_RANGE                 14:8
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_1_WOFFSET                       0x0
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_1_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_2_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_2_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_2_SHIFT)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_2_RANGE                 22:16
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_2_WOFFSET                       0x0
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_2_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_3_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_3_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_3_SHIFT)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_3_RANGE                 30:24
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_3_WOFFSET                       0x0
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_3_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_ASID_3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_SMMU_ENABLE_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_SMMU_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_SMMU_ENABLE_SHIFT)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_SMMU_ENABLE_RANGE                    31:31
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_SMMU_ENABLE_WOFFSET                  0x0
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_SMMU_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_SMMU_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_SMMU_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_SMMU_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_SMMU_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_SMMU_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_SMMU_ENABLE_INIT_ENUM                        DISABLE
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_SMMU_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SMMU_NVDISPLAY_ASID_0_NVDISPLAY_SMMU_ENABLE_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SMMU_PCIE0A_ASID_0
#define MC_SMMU_PCIE0A_ASID_0                   _MK_ADDR_CONST(0x1dbc)
#define MC_SMMU_PCIE0A_ASID_0_SECURE                    0x0
#define MC_SMMU_PCIE0A_ASID_0_DUAL                      0x0
#define MC_SMMU_PCIE0A_ASID_0_SCR                       0
#define MC_SMMU_PCIE0A_ASID_0_WORD_COUNT                        0x1
#define MC_SMMU_PCIE0A_ASID_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_RESET_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE0A_ASID_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_READ_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE0A_ASID_0_WRITE_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_SHIFT)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_RANGE                 6:0
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_WOFFSET                       0x0
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_1_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_1_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_1_SHIFT)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_1_RANGE                       14:8
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_1_WOFFSET                     0x0
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_1_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_2_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_2_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_2_SHIFT)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_2_RANGE                       22:16
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_2_WOFFSET                     0x0
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_2_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_2_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_3_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_3_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_3_SHIFT)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_3_RANGE                       30:24
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_3_WOFFSET                     0x0
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_3_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_3_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_3_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_ASID_3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_SMMU_ENABLE_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_SMMU_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_PCIE0A_ASID_0_PCIE0A_SMMU_ENABLE_SHIFT)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_SMMU_ENABLE_RANGE                  31:31
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_SMMU_ENABLE_WOFFSET                        0x0
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_SMMU_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_SMMU_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_SMMU_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_SMMU_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_SMMU_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_SMMU_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_SMMU_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_SMMU_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_PCIE0A_ASID_0_PCIE0A_SMMU_ENABLE_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SMMU_AONDMA_ASID_0
#define MC_SMMU_AONDMA_ASID_0                   _MK_ADDR_CONST(0x1ab0)
#define MC_SMMU_AONDMA_ASID_0_SECURE                    0x0
#define MC_SMMU_AONDMA_ASID_0_DUAL                      0x0
#define MC_SMMU_AONDMA_ASID_0_SCR                       0
#define MC_SMMU_AONDMA_ASID_0_WORD_COUNT                        0x1
#define MC_SMMU_AONDMA_ASID_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_RESET_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_AONDMA_ASID_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_READ_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_AONDMA_ASID_0_WRITE_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_SHIFT)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_RANGE                 6:0
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_WOFFSET                       0x0
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_1_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_1_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_1_SHIFT)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_1_RANGE                       14:8
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_1_WOFFSET                     0x0
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_1_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_2_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_2_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_2_SHIFT)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_2_RANGE                       22:16
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_2_WOFFSET                     0x0
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_2_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_2_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_3_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_3_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_3_SHIFT)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_3_RANGE                       30:24
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_3_WOFFSET                     0x0
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_3_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_3_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_3_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_ASID_3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_AONDMA_ASID_0_AONDMA_SMMU_ENABLE_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_SMMU_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_AONDMA_ASID_0_AONDMA_SMMU_ENABLE_SHIFT)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_SMMU_ENABLE_RANGE                  31:31
#define MC_SMMU_AONDMA_ASID_0_AONDMA_SMMU_ENABLE_WOFFSET                        0x0
#define MC_SMMU_AONDMA_ASID_0_AONDMA_SMMU_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_SMMU_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_SMMU_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_SMMU_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_SMMU_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_SMMU_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_SMMU_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_AONDMA_ASID_0_AONDMA_SMMU_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_AONDMA_ASID_0_AONDMA_SMMU_ENABLE_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SMMU_VIC_ASID_0
#define MC_SMMU_VIC_ASID_0                      _MK_ADDR_CONST(0x284)
#define MC_SMMU_VIC_ASID_0_SECURE                       0x0
#define MC_SMMU_VIC_ASID_0_DUAL                         0x0
#define MC_SMMU_VIC_ASID_0_SCR                  0
#define MC_SMMU_VIC_ASID_0_WORD_COUNT                   0x1
#define MC_SMMU_VIC_ASID_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_RESET_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_VIC_ASID_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_READ_MASK                    _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_VIC_ASID_0_WRITE_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_VIC_ASID_0_VIC_ASID_SHIFT)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_RANGE                       6:0
#define MC_SMMU_VIC_ASID_0_VIC_ASID_WOFFSET                     0x0
#define MC_SMMU_VIC_ASID_0_VIC_ASID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_VIC_ASID_0_VIC_ASID_1_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_1_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_VIC_ASID_0_VIC_ASID_1_SHIFT)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_1_RANGE                     14:8
#define MC_SMMU_VIC_ASID_0_VIC_ASID_1_WOFFSET                   0x0
#define MC_SMMU_VIC_ASID_0_VIC_ASID_1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_1_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_VIC_ASID_0_VIC_ASID_2_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_2_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_VIC_ASID_0_VIC_ASID_2_SHIFT)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_2_RANGE                     22:16
#define MC_SMMU_VIC_ASID_0_VIC_ASID_2_WOFFSET                   0x0
#define MC_SMMU_VIC_ASID_0_VIC_ASID_2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_2_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_VIC_ASID_0_VIC_ASID_3_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_3_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_VIC_ASID_0_VIC_ASID_3_SHIFT)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_3_RANGE                     30:24
#define MC_SMMU_VIC_ASID_0_VIC_ASID_3_WOFFSET                   0x0
#define MC_SMMU_VIC_ASID_0_VIC_ASID_3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_3_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_VIC_ASID_3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_VIC_ASID_0_VIC_SMMU_ENABLE_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_SMMU_VIC_ASID_0_VIC_SMMU_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_VIC_ASID_0_VIC_SMMU_ENABLE_SHIFT)
#define MC_SMMU_VIC_ASID_0_VIC_SMMU_ENABLE_RANGE                        31:31
#define MC_SMMU_VIC_ASID_0_VIC_SMMU_ENABLE_WOFFSET                      0x0
#define MC_SMMU_VIC_ASID_0_VIC_SMMU_ENABLE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_VIC_SMMU_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_VIC_ASID_0_VIC_SMMU_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_VIC_SMMU_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_VIC_SMMU_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_VIC_ASID_0_VIC_SMMU_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_VIC_ASID_0_VIC_SMMU_ENABLE_INIT_ENUM                    DISABLE
#define MC_SMMU_VIC_ASID_0_VIC_SMMU_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_VIC_ASID_0_VIC_SMMU_ENABLE_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_SMMU_PVA1A_ASID_0
#define MC_SMMU_PVA1A_ASID_0                    _MK_ADDR_CONST(0x818)
#define MC_SMMU_PVA1A_ASID_0_SECURE                     0x0
#define MC_SMMU_PVA1A_ASID_0_DUAL                       0x0
#define MC_SMMU_PVA1A_ASID_0_SCR                        0
#define MC_SMMU_PVA1A_ASID_0_WORD_COUNT                         0x1
#define MC_SMMU_PVA1A_ASID_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_RESET_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PVA1A_ASID_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_READ_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PVA1A_ASID_0_WRITE_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_SHIFT)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_RANGE                   6:0
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_WOFFSET                 0x0
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_1_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_1_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_1_SHIFT)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_1_RANGE                 14:8
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_1_WOFFSET                       0x0
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_1_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_2_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_2_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_2_SHIFT)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_2_RANGE                 22:16
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_2_WOFFSET                       0x0
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_2_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_3_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_3_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_3_SHIFT)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_3_RANGE                 30:24
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_3_WOFFSET                       0x0
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_3_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_ASID_3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA1A_ASID_0_PVA1A_SMMU_ENABLE_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_SMMU_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_PVA1A_ASID_0_PVA1A_SMMU_ENABLE_SHIFT)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_SMMU_ENABLE_RANGE                    31:31
#define MC_SMMU_PVA1A_ASID_0_PVA1A_SMMU_ENABLE_WOFFSET                  0x0
#define MC_SMMU_PVA1A_ASID_0_PVA1A_SMMU_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_SMMU_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_SMMU_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_SMMU_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_SMMU_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_SMMU_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_SMMU_ENABLE_INIT_ENUM                        DISABLE
#define MC_SMMU_PVA1A_ASID_0_PVA1A_SMMU_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SMMU_PVA1A_ASID_0_PVA1A_SMMU_ENABLE_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SMMU_PVA1C_ASID_0
#define MC_SMMU_PVA1C_ASID_0                    _MK_ADDR_CONST(0x19c0)
#define MC_SMMU_PVA1C_ASID_0_SECURE                     0x0
#define MC_SMMU_PVA1C_ASID_0_DUAL                       0x0
#define MC_SMMU_PVA1C_ASID_0_SCR                        0
#define MC_SMMU_PVA1C_ASID_0_WORD_COUNT                         0x1
#define MC_SMMU_PVA1C_ASID_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_RESET_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PVA1C_ASID_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_READ_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PVA1C_ASID_0_WRITE_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_SHIFT)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_RANGE                   6:0
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_WOFFSET                 0x0
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_1_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_1_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_1_SHIFT)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_1_RANGE                 14:8
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_1_WOFFSET                       0x0
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_1_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_2_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_2_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_2_SHIFT)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_2_RANGE                 22:16
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_2_WOFFSET                       0x0
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_2_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_3_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_3_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_3_SHIFT)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_3_RANGE                 30:24
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_3_WOFFSET                       0x0
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_3_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_ASID_3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA1C_ASID_0_PVA1C_SMMU_ENABLE_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_SMMU_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_PVA1C_ASID_0_PVA1C_SMMU_ENABLE_SHIFT)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_SMMU_ENABLE_RANGE                    31:31
#define MC_SMMU_PVA1C_ASID_0_PVA1C_SMMU_ENABLE_WOFFSET                  0x0
#define MC_SMMU_PVA1C_ASID_0_PVA1C_SMMU_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_SMMU_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_SMMU_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_SMMU_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_SMMU_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_SMMU_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_SMMU_ENABLE_INIT_ENUM                        DISABLE
#define MC_SMMU_PVA1C_ASID_0_PVA1C_SMMU_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SMMU_PVA1C_ASID_0_PVA1C_SMMU_ENABLE_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SMMU_SATA_ASID_0
#define MC_SMMU_SATA_ASID_0                     _MK_ADDR_CONST(0x274)
#define MC_SMMU_SATA_ASID_0_SECURE                      0x0
#define MC_SMMU_SATA_ASID_0_DUAL                        0x0
#define MC_SMMU_SATA_ASID_0_SCR                         0
#define MC_SMMU_SATA_ASID_0_WORD_COUNT                  0x1
#define MC_SMMU_SATA_ASID_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_RESET_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_SATA_ASID_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_READ_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_SATA_ASID_0_WRITE_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_SATA_ASID_0_SATA_ASID_SHIFT)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_RANGE                     6:0
#define MC_SMMU_SATA_ASID_0_SATA_ASID_WOFFSET                   0x0
#define MC_SMMU_SATA_ASID_0_SATA_ASID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_SATA_ASID_0_SATA_ASID_1_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_1_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_SATA_ASID_0_SATA_ASID_1_SHIFT)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_1_RANGE                   14:8
#define MC_SMMU_SATA_ASID_0_SATA_ASID_1_WOFFSET                 0x0
#define MC_SMMU_SATA_ASID_0_SATA_ASID_1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_1_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_SATA_ASID_0_SATA_ASID_2_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_2_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_SATA_ASID_0_SATA_ASID_2_SHIFT)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_2_RANGE                   22:16
#define MC_SMMU_SATA_ASID_0_SATA_ASID_2_WOFFSET                 0x0
#define MC_SMMU_SATA_ASID_0_SATA_ASID_2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_2_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_SATA_ASID_0_SATA_ASID_3_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_3_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_SATA_ASID_0_SATA_ASID_3_SHIFT)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_3_RANGE                   30:24
#define MC_SMMU_SATA_ASID_0_SATA_ASID_3_WOFFSET                 0x0
#define MC_SMMU_SATA_ASID_0_SATA_ASID_3_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_3_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_3_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_SATA_ASID_3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_SATA_ASID_0_SATA_SMMU_ENABLE_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SMMU_SATA_ASID_0_SATA_SMMU_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_SATA_ASID_0_SATA_SMMU_ENABLE_SHIFT)
#define MC_SMMU_SATA_ASID_0_SATA_SMMU_ENABLE_RANGE                      31:31
#define MC_SMMU_SATA_ASID_0_SATA_SMMU_ENABLE_WOFFSET                    0x0
#define MC_SMMU_SATA_ASID_0_SATA_SMMU_ENABLE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_SATA_SMMU_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_SATA_ASID_0_SATA_SMMU_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_SATA_SMMU_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_SATA_SMMU_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_SATA_ASID_0_SATA_SMMU_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_SATA_ASID_0_SATA_SMMU_ENABLE_INIT_ENUM                  DISABLE
#define MC_SMMU_SATA_ASID_0_SATA_SMMU_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SMMU_SATA_ASID_0_SATA_SMMU_ENABLE_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SMMU_UFSHC_ASID_0
#define MC_SMMU_UFSHC_ASID_0                    _MK_ADDR_CONST(0xaec)
#define MC_SMMU_UFSHC_ASID_0_SECURE                     0x0
#define MC_SMMU_UFSHC_ASID_0_DUAL                       0x0
#define MC_SMMU_UFSHC_ASID_0_SCR                        0
#define MC_SMMU_UFSHC_ASID_0_WORD_COUNT                         0x1
#define MC_SMMU_UFSHC_ASID_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_RESET_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_UFSHC_ASID_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_READ_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_UFSHC_ASID_0_WRITE_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_SHIFT)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_RANGE                   6:0
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_WOFFSET                 0x0
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_1_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_1_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_1_SHIFT)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_1_RANGE                 14:8
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_1_WOFFSET                       0x0
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_1_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_2_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_2_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_2_SHIFT)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_2_RANGE                 22:16
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_2_WOFFSET                       0x0
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_2_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_3_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_3_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_3_SHIFT)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_3_RANGE                 30:24
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_3_WOFFSET                       0x0
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_3_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_ASID_3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_UFSHC_ASID_0_UFSHC_SMMU_ENABLE_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_SMMU_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_UFSHC_ASID_0_UFSHC_SMMU_ENABLE_SHIFT)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_SMMU_ENABLE_RANGE                    31:31
#define MC_SMMU_UFSHC_ASID_0_UFSHC_SMMU_ENABLE_WOFFSET                  0x0
#define MC_SMMU_UFSHC_ASID_0_UFSHC_SMMU_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_SMMU_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_SMMU_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_SMMU_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_SMMU_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_SMMU_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_SMMU_ENABLE_INIT_ENUM                        DISABLE
#define MC_SMMU_UFSHC_ASID_0_UFSHC_SMMU_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SMMU_UFSHC_ASID_0_UFSHC_SMMU_ENABLE_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SMMU_APEDMA_ASID_0
#define MC_SMMU_APEDMA_ASID_0                   _MK_ADDR_CONST(0x1cb0)
#define MC_SMMU_APEDMA_ASID_0_SECURE                    0x0
#define MC_SMMU_APEDMA_ASID_0_DUAL                      0x0
#define MC_SMMU_APEDMA_ASID_0_SCR                       0
#define MC_SMMU_APEDMA_ASID_0_WORD_COUNT                        0x1
#define MC_SMMU_APEDMA_ASID_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_RESET_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_APEDMA_ASID_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_READ_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_APEDMA_ASID_0_WRITE_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_SHIFT)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_RANGE                 6:0
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_WOFFSET                       0x0
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_1_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_1_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_1_SHIFT)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_1_RANGE                       14:8
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_1_WOFFSET                     0x0
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_1_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_2_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_2_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_2_SHIFT)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_2_RANGE                       22:16
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_2_WOFFSET                     0x0
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_2_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_2_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_3_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_3_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_3_SHIFT)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_3_RANGE                       30:24
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_3_WOFFSET                     0x0
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_3_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_3_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_3_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_ASID_3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_APEDMA_ASID_0_APEDMA_SMMU_ENABLE_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_SMMU_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_APEDMA_ASID_0_APEDMA_SMMU_ENABLE_SHIFT)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_SMMU_ENABLE_RANGE                  31:31
#define MC_SMMU_APEDMA_ASID_0_APEDMA_SMMU_ENABLE_WOFFSET                        0x0
#define MC_SMMU_APEDMA_ASID_0_APEDMA_SMMU_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_SMMU_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_SMMU_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_SMMU_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_SMMU_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_SMMU_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_SMMU_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_APEDMA_ASID_0_APEDMA_SMMU_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_APEDMA_ASID_0_APEDMA_SMMU_ENABLE_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SMMU_VI_ASID_0
#define MC_SMMU_VI_ASID_0                       _MK_ADDR_CONST(0x280)
#define MC_SMMU_VI_ASID_0_SECURE                        0x0
#define MC_SMMU_VI_ASID_0_DUAL                  0x0
#define MC_SMMU_VI_ASID_0_SCR                   0
#define MC_SMMU_VI_ASID_0_WORD_COUNT                    0x1
#define MC_SMMU_VI_ASID_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_RESET_MASK                    _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_VI_ASID_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_READ_MASK                     _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_VI_ASID_0_WRITE_MASK                    _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_VI_ASID_0_VI_ASID_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SMMU_VI_ASID_0_VI_ASID_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_VI_ASID_0_VI_ASID_SHIFT)
#define MC_SMMU_VI_ASID_0_VI_ASID_RANGE                 6:0
#define MC_SMMU_VI_ASID_0_VI_ASID_WOFFSET                       0x0
#define MC_SMMU_VI_ASID_0_VI_ASID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_VI_ASID_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_VI_ASID_0_VI_ASID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_VI_ASID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_VI_ASID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_VI_ASID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_VI_ASID_0_VI_ASID_1_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_SMMU_VI_ASID_0_VI_ASID_1_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_VI_ASID_0_VI_ASID_1_SHIFT)
#define MC_SMMU_VI_ASID_0_VI_ASID_1_RANGE                       14:8
#define MC_SMMU_VI_ASID_0_VI_ASID_1_WOFFSET                     0x0
#define MC_SMMU_VI_ASID_0_VI_ASID_1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_VI_ASID_1_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_VI_ASID_0_VI_ASID_1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_VI_ASID_1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_VI_ASID_1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_VI_ASID_1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_VI_ASID_0_VI_ASID_2_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_SMMU_VI_ASID_0_VI_ASID_2_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_VI_ASID_0_VI_ASID_2_SHIFT)
#define MC_SMMU_VI_ASID_0_VI_ASID_2_RANGE                       22:16
#define MC_SMMU_VI_ASID_0_VI_ASID_2_WOFFSET                     0x0
#define MC_SMMU_VI_ASID_0_VI_ASID_2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_VI_ASID_2_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_VI_ASID_0_VI_ASID_2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_VI_ASID_2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_VI_ASID_2_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_VI_ASID_2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_VI_ASID_0_VI_ASID_3_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SMMU_VI_ASID_0_VI_ASID_3_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_VI_ASID_0_VI_ASID_3_SHIFT)
#define MC_SMMU_VI_ASID_0_VI_ASID_3_RANGE                       30:24
#define MC_SMMU_VI_ASID_0_VI_ASID_3_WOFFSET                     0x0
#define MC_SMMU_VI_ASID_0_VI_ASID_3_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_VI_ASID_3_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_VI_ASID_0_VI_ASID_3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_VI_ASID_3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_VI_ASID_3_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_VI_ASID_3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_VI_ASID_0_VI_SMMU_ENABLE_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SMMU_VI_ASID_0_VI_SMMU_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_VI_ASID_0_VI_SMMU_ENABLE_SHIFT)
#define MC_SMMU_VI_ASID_0_VI_SMMU_ENABLE_RANGE                  31:31
#define MC_SMMU_VI_ASID_0_VI_SMMU_ENABLE_WOFFSET                        0x0
#define MC_SMMU_VI_ASID_0_VI_SMMU_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_VI_SMMU_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_VI_ASID_0_VI_SMMU_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_VI_SMMU_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_VI_SMMU_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_VI_ASID_0_VI_SMMU_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_VI_ASID_0_VI_SMMU_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_VI_ASID_0_VI_SMMU_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_VI_ASID_0_VI_SMMU_ENABLE_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SMMU_NVJPG_ASID_0
#define MC_SMMU_NVJPG_ASID_0                    _MK_ADDR_CONST(0xac0)
#define MC_SMMU_NVJPG_ASID_0_SECURE                     0x0
#define MC_SMMU_NVJPG_ASID_0_DUAL                       0x0
#define MC_SMMU_NVJPG_ASID_0_SCR                        0
#define MC_SMMU_NVJPG_ASID_0_WORD_COUNT                         0x1
#define MC_SMMU_NVJPG_ASID_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_RESET_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_NVJPG_ASID_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_READ_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_NVJPG_ASID_0_WRITE_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_SHIFT)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_RANGE                   6:0
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_WOFFSET                 0x0
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_1_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_1_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_1_SHIFT)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_1_RANGE                 14:8
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_1_WOFFSET                       0x0
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_1_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_2_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_2_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_2_SHIFT)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_2_RANGE                 22:16
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_2_WOFFSET                       0x0
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_2_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_3_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_3_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_3_SHIFT)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_3_RANGE                 30:24
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_3_WOFFSET                       0x0
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_3_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_ASID_3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_NVJPG_ASID_0_NVJPG_SMMU_ENABLE_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_SMMU_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_NVJPG_ASID_0_NVJPG_SMMU_ENABLE_SHIFT)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_SMMU_ENABLE_RANGE                    31:31
#define MC_SMMU_NVJPG_ASID_0_NVJPG_SMMU_ENABLE_WOFFSET                  0x0
#define MC_SMMU_NVJPG_ASID_0_NVJPG_SMMU_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_SMMU_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_SMMU_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_SMMU_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_SMMU_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_SMMU_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_SMMU_ENABLE_INIT_ENUM                        DISABLE
#define MC_SMMU_NVJPG_ASID_0_NVJPG_SMMU_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SMMU_NVJPG_ASID_0_NVJPG_SMMU_ENABLE_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SMMU_ISP2_ASID_0
#define MC_SMMU_ISP2_ASID_0                     _MK_ADDR_CONST(0x258)
#define MC_SMMU_ISP2_ASID_0_SECURE                      0x0
#define MC_SMMU_ISP2_ASID_0_DUAL                        0x0
#define MC_SMMU_ISP2_ASID_0_SCR                         0
#define MC_SMMU_ISP2_ASID_0_WORD_COUNT                  0x1
#define MC_SMMU_ISP2_ASID_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_RESET_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_ISP2_ASID_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_READ_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_ISP2_ASID_0_WRITE_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_ISP2_ASID_0_ISP2_ASID_SHIFT)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_RANGE                     6:0
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_WOFFSET                   0x0
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_1_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_1_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_ISP2_ASID_0_ISP2_ASID_1_SHIFT)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_1_RANGE                   14:8
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_1_WOFFSET                 0x0
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_1_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_2_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_2_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_ISP2_ASID_0_ISP2_ASID_2_SHIFT)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_2_RANGE                   22:16
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_2_WOFFSET                 0x0
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_2_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_3_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_3_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_ISP2_ASID_0_ISP2_ASID_3_SHIFT)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_3_RANGE                   30:24
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_3_WOFFSET                 0x0
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_3_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_3_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_3_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_ISP2_ASID_3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_ISP2_ASID_0_ISP2_SMMU_ENABLE_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SMMU_ISP2_ASID_0_ISP2_SMMU_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_ISP2_ASID_0_ISP2_SMMU_ENABLE_SHIFT)
#define MC_SMMU_ISP2_ASID_0_ISP2_SMMU_ENABLE_RANGE                      31:31
#define MC_SMMU_ISP2_ASID_0_ISP2_SMMU_ENABLE_WOFFSET                    0x0
#define MC_SMMU_ISP2_ASID_0_ISP2_SMMU_ENABLE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_ISP2_SMMU_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_ISP2_ASID_0_ISP2_SMMU_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_ISP2_SMMU_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_ISP2_SMMU_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_ISP2_ASID_0_ISP2_SMMU_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_ISP2_ASID_0_ISP2_SMMU_ENABLE_INIT_ENUM                  DISABLE
#define MC_SMMU_ISP2_ASID_0_ISP2_SMMU_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SMMU_ISP2_ASID_0_ISP2_SMMU_ENABLE_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SMMU_BPMPDMA_ASID_0
#define MC_SMMU_BPMPDMA_ASID_0                  _MK_ADDR_CONST(0x1ab4)
#define MC_SMMU_BPMPDMA_ASID_0_SECURE                   0x0
#define MC_SMMU_BPMPDMA_ASID_0_DUAL                     0x0
#define MC_SMMU_BPMPDMA_ASID_0_SCR                      0
#define MC_SMMU_BPMPDMA_ASID_0_WORD_COUNT                       0x1
#define MC_SMMU_BPMPDMA_ASID_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_RESET_MASK                       _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_BPMPDMA_ASID_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_READ_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_BPMPDMA_ASID_0_WRITE_MASK                       _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_SHIFT)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_RANGE                       6:0
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_WOFFSET                     0x0
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_1_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_1_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_1_SHIFT)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_1_RANGE                     14:8
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_1_WOFFSET                   0x0
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_1_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_2_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_2_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_2_SHIFT)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_2_RANGE                     22:16
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_2_WOFFSET                   0x0
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_2_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_3_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_3_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_3_SHIFT)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_3_RANGE                     30:24
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_3_WOFFSET                   0x0
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_3_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_ASID_3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_SMMU_ENABLE_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_SMMU_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_SMMU_ENABLE_SHIFT)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_SMMU_ENABLE_RANGE                        31:31
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_SMMU_ENABLE_WOFFSET                      0x0
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_SMMU_ENABLE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_SMMU_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_SMMU_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_SMMU_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_SMMU_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_SMMU_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_SMMU_ENABLE_INIT_ENUM                    DISABLE
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_SMMU_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_BPMPDMA_ASID_0_BPMPDMA_SMMU_ENABLE_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_SMMU_XUSB_DEV_ASID_0
#define MC_SMMU_XUSB_DEV_ASID_0                 _MK_ADDR_CONST(0x28c)
#define MC_SMMU_XUSB_DEV_ASID_0_SECURE                  0x0
#define MC_SMMU_XUSB_DEV_ASID_0_DUAL                    0x0
#define MC_SMMU_XUSB_DEV_ASID_0_SCR                     0
#define MC_SMMU_XUSB_DEV_ASID_0_WORD_COUNT                      0x1
#define MC_SMMU_XUSB_DEV_ASID_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_RESET_MASK                      _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_XUSB_DEV_ASID_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_READ_MASK                       _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_XUSB_DEV_ASID_0_WRITE_MASK                      _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_SHIFT)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_RANGE                     6:0
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_WOFFSET                   0x0
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_1_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_1_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_1_SHIFT)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_1_RANGE                   14:8
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_1_WOFFSET                 0x0
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_1_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_2_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_2_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_2_SHIFT)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_2_RANGE                   22:16
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_2_WOFFSET                 0x0
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_2_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_3_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_3_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_3_SHIFT)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_3_RANGE                   30:24
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_3_WOFFSET                 0x0
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_3_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_3_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_3_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_ASID_3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_SMMU_ENABLE_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_SMMU_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_SMMU_ENABLE_SHIFT)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_SMMU_ENABLE_RANGE                      31:31
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_SMMU_ENABLE_WOFFSET                    0x0
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_SMMU_ENABLE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_SMMU_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_SMMU_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_SMMU_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_SMMU_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_SMMU_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_SMMU_ENABLE_INIT_ENUM                  DISABLE
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_SMMU_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SMMU_XUSB_DEV_ASID_0_XUSB_DEV_SMMU_ENABLE_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SMMU_PVA0C_ASID_0
#define MC_SMMU_PVA0C_ASID_0                    _MK_ADDR_CONST(0x19b8)
#define MC_SMMU_PVA0C_ASID_0_SECURE                     0x0
#define MC_SMMU_PVA0C_ASID_0_DUAL                       0x0
#define MC_SMMU_PVA0C_ASID_0_SCR                        0
#define MC_SMMU_PVA0C_ASID_0_WORD_COUNT                         0x1
#define MC_SMMU_PVA0C_ASID_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_RESET_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PVA0C_ASID_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_READ_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PVA0C_ASID_0_WRITE_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_SHIFT)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_RANGE                   6:0
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_WOFFSET                 0x0
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_1_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_1_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_1_SHIFT)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_1_RANGE                 14:8
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_1_WOFFSET                       0x0
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_1_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_2_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_2_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_2_SHIFT)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_2_RANGE                 22:16
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_2_WOFFSET                       0x0
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_2_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_3_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_3_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_3_SHIFT)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_3_RANGE                 30:24
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_3_WOFFSET                       0x0
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_3_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_ASID_3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PVA0C_ASID_0_PVA0C_SMMU_ENABLE_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_SMMU_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_PVA0C_ASID_0_PVA0C_SMMU_ENABLE_SHIFT)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_SMMU_ENABLE_RANGE                    31:31
#define MC_SMMU_PVA0C_ASID_0_PVA0C_SMMU_ENABLE_WOFFSET                  0x0
#define MC_SMMU_PVA0C_ASID_0_PVA0C_SMMU_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_SMMU_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_SMMU_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_SMMU_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_SMMU_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_SMMU_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_SMMU_ENABLE_INIT_ENUM                        DISABLE
#define MC_SMMU_PVA0C_ASID_0_PVA0C_SMMU_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SMMU_PVA0C_ASID_0_PVA0C_SMMU_ENABLE_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SMMU_SCE_ASID_0
#define MC_SMMU_SCE_ASID_0                      _MK_ADDR_CONST(0xafc)
#define MC_SMMU_SCE_ASID_0_SECURE                       0x0
#define MC_SMMU_SCE_ASID_0_DUAL                         0x0
#define MC_SMMU_SCE_ASID_0_SCR                  0
#define MC_SMMU_SCE_ASID_0_WORD_COUNT                   0x1
#define MC_SMMU_SCE_ASID_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_RESET_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_SCE_ASID_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_READ_MASK                    _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_SCE_ASID_0_WRITE_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_SCE_ASID_0_SCE_ASID_SHIFT)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_RANGE                       6:0
#define MC_SMMU_SCE_ASID_0_SCE_ASID_WOFFSET                     0x0
#define MC_SMMU_SCE_ASID_0_SCE_ASID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_SCE_ASID_0_SCE_ASID_1_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_1_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_SCE_ASID_0_SCE_ASID_1_SHIFT)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_1_RANGE                     14:8
#define MC_SMMU_SCE_ASID_0_SCE_ASID_1_WOFFSET                   0x0
#define MC_SMMU_SCE_ASID_0_SCE_ASID_1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_1_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_SCE_ASID_0_SCE_ASID_2_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_2_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_SCE_ASID_0_SCE_ASID_2_SHIFT)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_2_RANGE                     22:16
#define MC_SMMU_SCE_ASID_0_SCE_ASID_2_WOFFSET                   0x0
#define MC_SMMU_SCE_ASID_0_SCE_ASID_2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_2_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_SCE_ASID_0_SCE_ASID_3_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_3_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_SCE_ASID_0_SCE_ASID_3_SHIFT)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_3_RANGE                     30:24
#define MC_SMMU_SCE_ASID_0_SCE_ASID_3_WOFFSET                   0x0
#define MC_SMMU_SCE_ASID_0_SCE_ASID_3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_3_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_SCE_ASID_3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_SCE_ASID_0_SCE_SMMU_ENABLE_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_SMMU_SCE_ASID_0_SCE_SMMU_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_SCE_ASID_0_SCE_SMMU_ENABLE_SHIFT)
#define MC_SMMU_SCE_ASID_0_SCE_SMMU_ENABLE_RANGE                        31:31
#define MC_SMMU_SCE_ASID_0_SCE_SMMU_ENABLE_WOFFSET                      0x0
#define MC_SMMU_SCE_ASID_0_SCE_SMMU_ENABLE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_SCE_SMMU_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_SCE_ASID_0_SCE_SMMU_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_SCE_SMMU_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_SCE_SMMU_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_SCE_ASID_0_SCE_SMMU_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_SCE_ASID_0_SCE_SMMU_ENABLE_INIT_ENUM                    DISABLE
#define MC_SMMU_SCE_ASID_0_SCE_SMMU_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_SCE_ASID_0_SCE_SMMU_ENABLE_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_SMMU_DLAA_ASID_0
#define MC_SMMU_DLAA_ASID_0                     _MK_ADDR_CONST(0x80c)
#define MC_SMMU_DLAA_ASID_0_SECURE                      0x0
#define MC_SMMU_DLAA_ASID_0_DUAL                        0x0
#define MC_SMMU_DLAA_ASID_0_SCR                         0
#define MC_SMMU_DLAA_ASID_0_WORD_COUNT                  0x1
#define MC_SMMU_DLAA_ASID_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_RESET_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_DLAA_ASID_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_READ_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_DLAA_ASID_0_WRITE_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_DLAA_ASID_0_DLAA_ASID_SHIFT)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_RANGE                     6:0
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_WOFFSET                   0x0
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_1_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_1_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_DLAA_ASID_0_DLAA_ASID_1_SHIFT)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_1_RANGE                   14:8
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_1_WOFFSET                 0x0
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_1_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_2_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_2_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_DLAA_ASID_0_DLAA_ASID_2_SHIFT)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_2_RANGE                   22:16
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_2_WOFFSET                 0x0
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_2_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_3_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_3_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_DLAA_ASID_0_DLAA_ASID_3_SHIFT)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_3_RANGE                   30:24
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_3_WOFFSET                 0x0
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_3_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_3_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_3_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_DLAA_ASID_3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_DLAA_ASID_0_DLAA_SMMU_ENABLE_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SMMU_DLAA_ASID_0_DLAA_SMMU_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_DLAA_ASID_0_DLAA_SMMU_ENABLE_SHIFT)
#define MC_SMMU_DLAA_ASID_0_DLAA_SMMU_ENABLE_RANGE                      31:31
#define MC_SMMU_DLAA_ASID_0_DLAA_SMMU_ENABLE_WOFFSET                    0x0
#define MC_SMMU_DLAA_ASID_0_DLAA_SMMU_ENABLE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_DLAA_SMMU_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_DLAA_ASID_0_DLAA_SMMU_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_DLAA_SMMU_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_DLAA_SMMU_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_DLAA_ASID_0_DLAA_SMMU_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_DLAA_ASID_0_DLAA_SMMU_ENABLE_INIT_ENUM                  DISABLE
#define MC_SMMU_DLAA_ASID_0_DLAA_SMMU_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SMMU_DLAA_ASID_0_DLAA_SMMU_ENABLE_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SMMU_AON_ASID_0
#define MC_SMMU_AON_ASID_0                      _MK_ADDR_CONST(0xaf8)
#define MC_SMMU_AON_ASID_0_SECURE                       0x0
#define MC_SMMU_AON_ASID_0_DUAL                         0x0
#define MC_SMMU_AON_ASID_0_SCR                  0
#define MC_SMMU_AON_ASID_0_WORD_COUNT                   0x1
#define MC_SMMU_AON_ASID_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_RESET_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_AON_ASID_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_READ_MASK                    _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_AON_ASID_0_WRITE_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_AON_ASID_0_AON_ASID_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SMMU_AON_ASID_0_AON_ASID_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_AON_ASID_0_AON_ASID_SHIFT)
#define MC_SMMU_AON_ASID_0_AON_ASID_RANGE                       6:0
#define MC_SMMU_AON_ASID_0_AON_ASID_WOFFSET                     0x0
#define MC_SMMU_AON_ASID_0_AON_ASID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_AON_ASID_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_AON_ASID_0_AON_ASID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_AON_ASID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_AON_ASID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_AON_ASID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_AON_ASID_0_AON_ASID_1_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_SMMU_AON_ASID_0_AON_ASID_1_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_AON_ASID_0_AON_ASID_1_SHIFT)
#define MC_SMMU_AON_ASID_0_AON_ASID_1_RANGE                     14:8
#define MC_SMMU_AON_ASID_0_AON_ASID_1_WOFFSET                   0x0
#define MC_SMMU_AON_ASID_0_AON_ASID_1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_AON_ASID_1_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_AON_ASID_0_AON_ASID_1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_AON_ASID_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_AON_ASID_1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_AON_ASID_1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_AON_ASID_0_AON_ASID_2_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SMMU_AON_ASID_0_AON_ASID_2_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_AON_ASID_0_AON_ASID_2_SHIFT)
#define MC_SMMU_AON_ASID_0_AON_ASID_2_RANGE                     22:16
#define MC_SMMU_AON_ASID_0_AON_ASID_2_WOFFSET                   0x0
#define MC_SMMU_AON_ASID_0_AON_ASID_2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_AON_ASID_2_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_AON_ASID_0_AON_ASID_2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_AON_ASID_2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_AON_ASID_2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_AON_ASID_2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_AON_ASID_0_AON_ASID_3_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SMMU_AON_ASID_0_AON_ASID_3_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_AON_ASID_0_AON_ASID_3_SHIFT)
#define MC_SMMU_AON_ASID_0_AON_ASID_3_RANGE                     30:24
#define MC_SMMU_AON_ASID_0_AON_ASID_3_WOFFSET                   0x0
#define MC_SMMU_AON_ASID_0_AON_ASID_3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_AON_ASID_3_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_AON_ASID_0_AON_ASID_3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_AON_ASID_3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_AON_ASID_3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_AON_ASID_3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_AON_ASID_0_AON_SMMU_ENABLE_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_SMMU_AON_ASID_0_AON_SMMU_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_AON_ASID_0_AON_SMMU_ENABLE_SHIFT)
#define MC_SMMU_AON_ASID_0_AON_SMMU_ENABLE_RANGE                        31:31
#define MC_SMMU_AON_ASID_0_AON_SMMU_ENABLE_WOFFSET                      0x0
#define MC_SMMU_AON_ASID_0_AON_SMMU_ENABLE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_AON_SMMU_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_AON_ASID_0_AON_SMMU_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_AON_SMMU_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_AON_SMMU_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_AON_ASID_0_AON_SMMU_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_AON_ASID_0_AON_SMMU_ENABLE_INIT_ENUM                    DISABLE
#define MC_SMMU_AON_ASID_0_AON_SMMU_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_AON_ASID_0_AON_SMMU_ENABLE_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_SMMU_ISPA_ASID_0
#define MC_SMMU_ISPA_ASID_0                     _MK_ADDR_CONST(0x1db0)
#define MC_SMMU_ISPA_ASID_0_SECURE                      0x0
#define MC_SMMU_ISPA_ASID_0_DUAL                        0x0
#define MC_SMMU_ISPA_ASID_0_SCR                         0
#define MC_SMMU_ISPA_ASID_0_WORD_COUNT                  0x1
#define MC_SMMU_ISPA_ASID_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_RESET_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_ISPA_ASID_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_READ_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_ISPA_ASID_0_WRITE_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_ISPA_ASID_0_ISPA_ASID_SHIFT)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_RANGE                     6:0
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_WOFFSET                   0x0
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_1_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_1_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_ISPA_ASID_0_ISPA_ASID_1_SHIFT)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_1_RANGE                   14:8
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_1_WOFFSET                 0x0
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_1_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_2_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_2_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_ISPA_ASID_0_ISPA_ASID_2_SHIFT)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_2_RANGE                   22:16
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_2_WOFFSET                 0x0
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_2_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_3_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_3_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_ISPA_ASID_0_ISPA_ASID_3_SHIFT)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_3_RANGE                   30:24
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_3_WOFFSET                 0x0
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_3_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_3_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_3_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_ISPA_ASID_3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_ISPA_ASID_0_ISPA_SMMU_ENABLE_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SMMU_ISPA_ASID_0_ISPA_SMMU_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_ISPA_ASID_0_ISPA_SMMU_ENABLE_SHIFT)
#define MC_SMMU_ISPA_ASID_0_ISPA_SMMU_ENABLE_RANGE                      31:31
#define MC_SMMU_ISPA_ASID_0_ISPA_SMMU_ENABLE_WOFFSET                    0x0
#define MC_SMMU_ISPA_ASID_0_ISPA_SMMU_ENABLE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_ISPA_SMMU_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_ISPA_ASID_0_ISPA_SMMU_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_ISPA_SMMU_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_ISPA_SMMU_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_ISPA_ASID_0_ISPA_SMMU_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_ISPA_ASID_0_ISPA_SMMU_ENABLE_INIT_ENUM                  DISABLE
#define MC_SMMU_ISPA_ASID_0_ISPA_SMMU_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SMMU_ISPA_ASID_0_ISPA_SMMU_ENABLE_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SMMU_SE_ASID_0
#define MC_SMMU_SE_ASID_0                       _MK_ADDR_CONST(0xabc)
#define MC_SMMU_SE_ASID_0_SECURE                        0x0
#define MC_SMMU_SE_ASID_0_DUAL                  0x0
#define MC_SMMU_SE_ASID_0_SCR                   0
#define MC_SMMU_SE_ASID_0_WORD_COUNT                    0x1
#define MC_SMMU_SE_ASID_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_RESET_MASK                    _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_SE_ASID_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_READ_MASK                     _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_SE_ASID_0_WRITE_MASK                    _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_SE_ASID_0_SE_ASID_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SMMU_SE_ASID_0_SE_ASID_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_SE_ASID_0_SE_ASID_SHIFT)
#define MC_SMMU_SE_ASID_0_SE_ASID_RANGE                 6:0
#define MC_SMMU_SE_ASID_0_SE_ASID_WOFFSET                       0x0
#define MC_SMMU_SE_ASID_0_SE_ASID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_SE_ASID_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_SE_ASID_0_SE_ASID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_SE_ASID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_SE_ASID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_SE_ASID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_SE_ASID_0_SE_ASID_1_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_SMMU_SE_ASID_0_SE_ASID_1_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_SE_ASID_0_SE_ASID_1_SHIFT)
#define MC_SMMU_SE_ASID_0_SE_ASID_1_RANGE                       14:8
#define MC_SMMU_SE_ASID_0_SE_ASID_1_WOFFSET                     0x0
#define MC_SMMU_SE_ASID_0_SE_ASID_1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_SE_ASID_1_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_SE_ASID_0_SE_ASID_1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_SE_ASID_1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_SE_ASID_1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_SE_ASID_1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_SE_ASID_0_SE_ASID_2_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_SMMU_SE_ASID_0_SE_ASID_2_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_SE_ASID_0_SE_ASID_2_SHIFT)
#define MC_SMMU_SE_ASID_0_SE_ASID_2_RANGE                       22:16
#define MC_SMMU_SE_ASID_0_SE_ASID_2_WOFFSET                     0x0
#define MC_SMMU_SE_ASID_0_SE_ASID_2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_SE_ASID_2_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_SE_ASID_0_SE_ASID_2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_SE_ASID_2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_SE_ASID_2_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_SE_ASID_2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_SE_ASID_0_SE_ASID_3_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SMMU_SE_ASID_0_SE_ASID_3_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_SE_ASID_0_SE_ASID_3_SHIFT)
#define MC_SMMU_SE_ASID_0_SE_ASID_3_RANGE                       30:24
#define MC_SMMU_SE_ASID_0_SE_ASID_3_WOFFSET                     0x0
#define MC_SMMU_SE_ASID_0_SE_ASID_3_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_SE_ASID_3_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_SE_ASID_0_SE_ASID_3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_SE_ASID_3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_SE_ASID_3_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_SE_ASID_3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_SE_ASID_0_SE_SMMU_ENABLE_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SMMU_SE_ASID_0_SE_SMMU_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_SE_ASID_0_SE_SMMU_ENABLE_SHIFT)
#define MC_SMMU_SE_ASID_0_SE_SMMU_ENABLE_RANGE                  31:31
#define MC_SMMU_SE_ASID_0_SE_SMMU_ENABLE_WOFFSET                        0x0
#define MC_SMMU_SE_ASID_0_SE_SMMU_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_SE_SMMU_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_SE_ASID_0_SE_SMMU_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_SE_SMMU_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_SE_SMMU_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_SE_ASID_0_SE_SMMU_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_SE_ASID_0_SE_SMMU_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_SE_ASID_0_SE_SMMU_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_SE_ASID_0_SE_SMMU_ENABLE_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SMMU_SCEDMA_ASID_0
#define MC_SMMU_SCEDMA_ASID_0                   _MK_ADDR_CONST(0x1ab8)
#define MC_SMMU_SCEDMA_ASID_0_SECURE                    0x0
#define MC_SMMU_SCEDMA_ASID_0_DUAL                      0x0
#define MC_SMMU_SCEDMA_ASID_0_SCR                       0
#define MC_SMMU_SCEDMA_ASID_0_WORD_COUNT                        0x1
#define MC_SMMU_SCEDMA_ASID_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_RESET_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_SCEDMA_ASID_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_READ_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_SCEDMA_ASID_0_WRITE_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_SHIFT)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_RANGE                 6:0
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_WOFFSET                       0x0
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_1_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_1_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_1_SHIFT)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_1_RANGE                       14:8
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_1_WOFFSET                     0x0
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_1_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_2_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_2_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_2_SHIFT)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_2_RANGE                       22:16
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_2_WOFFSET                     0x0
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_2_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_2_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_3_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_3_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_3_SHIFT)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_3_RANGE                       30:24
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_3_WOFFSET                     0x0
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_3_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_3_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_3_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_ASID_3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_SMMU_ENABLE_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_SMMU_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_SCEDMA_ASID_0_SCEDMA_SMMU_ENABLE_SHIFT)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_SMMU_ENABLE_RANGE                  31:31
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_SMMU_ENABLE_WOFFSET                        0x0
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_SMMU_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_SMMU_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_SMMU_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_SMMU_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_SMMU_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_SMMU_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_SMMU_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_SMMU_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_SCEDMA_ASID_0_SCEDMA_SMMU_ENABLE_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SMMU_MIU_ASID_0
#define MC_SMMU_MIU_ASID_0                      _MK_ADDR_CONST(0x824)
#define MC_SMMU_MIU_ASID_0_SECURE                       0x0
#define MC_SMMU_MIU_ASID_0_DUAL                         0x0
#define MC_SMMU_MIU_ASID_0_SCR                  0
#define MC_SMMU_MIU_ASID_0_WORD_COUNT                   0x1
#define MC_SMMU_MIU_ASID_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_RESET_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_MIU_ASID_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_READ_MASK                    _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_MIU_ASID_0_WRITE_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_MIU_ASID_0_MIU_ASID_SHIFT)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_RANGE                       6:0
#define MC_SMMU_MIU_ASID_0_MIU_ASID_WOFFSET                     0x0
#define MC_SMMU_MIU_ASID_0_MIU_ASID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_MIU_ASID_0_MIU_ASID_1_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_1_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_MIU_ASID_0_MIU_ASID_1_SHIFT)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_1_RANGE                     14:8
#define MC_SMMU_MIU_ASID_0_MIU_ASID_1_WOFFSET                   0x0
#define MC_SMMU_MIU_ASID_0_MIU_ASID_1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_1_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_MIU_ASID_0_MIU_ASID_2_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_2_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_MIU_ASID_0_MIU_ASID_2_SHIFT)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_2_RANGE                     22:16
#define MC_SMMU_MIU_ASID_0_MIU_ASID_2_WOFFSET                   0x0
#define MC_SMMU_MIU_ASID_0_MIU_ASID_2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_2_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_MIU_ASID_0_MIU_ASID_3_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_3_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_MIU_ASID_0_MIU_ASID_3_SHIFT)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_3_RANGE                     30:24
#define MC_SMMU_MIU_ASID_0_MIU_ASID_3_WOFFSET                   0x0
#define MC_SMMU_MIU_ASID_0_MIU_ASID_3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_3_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_MIU_ASID_3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_MIU_ASID_0_MIU_SMMU_ENABLE_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_SMMU_MIU_ASID_0_MIU_SMMU_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_MIU_ASID_0_MIU_SMMU_ENABLE_SHIFT)
#define MC_SMMU_MIU_ASID_0_MIU_SMMU_ENABLE_RANGE                        31:31
#define MC_SMMU_MIU_ASID_0_MIU_SMMU_ENABLE_WOFFSET                      0x0
#define MC_SMMU_MIU_ASID_0_MIU_SMMU_ENABLE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_MIU_SMMU_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_MIU_ASID_0_MIU_SMMU_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_MIU_SMMU_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_MIU_SMMU_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_MIU_ASID_0_MIU_SMMU_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_MIU_ASID_0_MIU_SMMU_ENABLE_INIT_ENUM                    DISABLE
#define MC_SMMU_MIU_ASID_0_MIU_SMMU_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_MIU_ASID_0_MIU_SMMU_ENABLE_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_SMMU_NVENC_ASID_0
#define MC_SMMU_NVENC_ASID_0                    _MK_ADDR_CONST(0x264)
#define MC_SMMU_NVENC_ASID_0_SECURE                     0x0
#define MC_SMMU_NVENC_ASID_0_DUAL                       0x0
#define MC_SMMU_NVENC_ASID_0_SCR                        0
#define MC_SMMU_NVENC_ASID_0_WORD_COUNT                         0x1
#define MC_SMMU_NVENC_ASID_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_RESET_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_NVENC_ASID_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_READ_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_NVENC_ASID_0_WRITE_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_NVENC_ASID_0_NVENC_ASID_SHIFT)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_RANGE                   6:0
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_WOFFSET                 0x0
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_1_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_1_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_NVENC_ASID_0_NVENC_ASID_1_SHIFT)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_1_RANGE                 14:8
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_1_WOFFSET                       0x0
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_1_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_2_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_2_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_NVENC_ASID_0_NVENC_ASID_2_SHIFT)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_2_RANGE                 22:16
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_2_WOFFSET                       0x0
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_2_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_3_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_3_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_NVENC_ASID_0_NVENC_ASID_3_SHIFT)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_3_RANGE                 30:24
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_3_WOFFSET                       0x0
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_3_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_NVENC_ASID_3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_NVENC_ASID_0_NVENC_SMMU_ENABLE_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SMMU_NVENC_ASID_0_NVENC_SMMU_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_NVENC_ASID_0_NVENC_SMMU_ENABLE_SHIFT)
#define MC_SMMU_NVENC_ASID_0_NVENC_SMMU_ENABLE_RANGE                    31:31
#define MC_SMMU_NVENC_ASID_0_NVENC_SMMU_ENABLE_WOFFSET                  0x0
#define MC_SMMU_NVENC_ASID_0_NVENC_SMMU_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_NVENC_SMMU_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_NVENC_ASID_0_NVENC_SMMU_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_NVENC_SMMU_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_NVENC_SMMU_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_NVENC_ASID_0_NVENC_SMMU_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_NVENC_ASID_0_NVENC_SMMU_ENABLE_INIT_ENUM                        DISABLE
#define MC_SMMU_NVENC_ASID_0_NVENC_SMMU_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SMMU_NVENC_ASID_0_NVENC_SMMU_ENABLE_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SMMU_RCEDMA_ASID_0
#define MC_SMMU_RCEDMA_ASID_0                   _MK_ADDR_CONST(0x820)
#define MC_SMMU_RCEDMA_ASID_0_SECURE                    0x0
#define MC_SMMU_RCEDMA_ASID_0_DUAL                      0x0
#define MC_SMMU_RCEDMA_ASID_0_SCR                       0
#define MC_SMMU_RCEDMA_ASID_0_WORD_COUNT                        0x1
#define MC_SMMU_RCEDMA_ASID_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_RESET_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_RCEDMA_ASID_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_READ_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_RCEDMA_ASID_0_WRITE_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_SHIFT)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_RANGE                 6:0
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_WOFFSET                       0x0
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_1_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_1_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_1_SHIFT)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_1_RANGE                       14:8
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_1_WOFFSET                     0x0
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_1_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_2_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_2_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_2_SHIFT)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_2_RANGE                       22:16
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_2_WOFFSET                     0x0
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_2_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_2_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_3_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_3_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_3_SHIFT)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_3_RANGE                       30:24
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_3_WOFFSET                     0x0
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_3_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_3_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_3_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_ASID_3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_SMMU_ENABLE_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_SMMU_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_RCEDMA_ASID_0_RCEDMA_SMMU_ENABLE_SHIFT)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_SMMU_ENABLE_RANGE                  31:31
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_SMMU_ENABLE_WOFFSET                        0x0
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_SMMU_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_SMMU_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_SMMU_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_SMMU_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_SMMU_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_SMMU_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_SMMU_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_SMMU_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_RCEDMA_ASID_0_RCEDMA_SMMU_ENABLE_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SMMU_TSEC_ASID_0
#define MC_SMMU_TSEC_ASID_0                     _MK_ADDR_CONST(0x294)
#define MC_SMMU_TSEC_ASID_0_SECURE                      0x0
#define MC_SMMU_TSEC_ASID_0_DUAL                        0x0
#define MC_SMMU_TSEC_ASID_0_SCR                         0
#define MC_SMMU_TSEC_ASID_0_WORD_COUNT                  0x1
#define MC_SMMU_TSEC_ASID_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_RESET_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_TSEC_ASID_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_READ_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_TSEC_ASID_0_WRITE_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_TSEC_ASID_0_TSEC_ASID_SHIFT)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_RANGE                     6:0
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_WOFFSET                   0x0
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_1_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_1_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_TSEC_ASID_0_TSEC_ASID_1_SHIFT)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_1_RANGE                   14:8
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_1_WOFFSET                 0x0
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_1_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_2_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_2_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_TSEC_ASID_0_TSEC_ASID_2_SHIFT)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_2_RANGE                   22:16
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_2_WOFFSET                 0x0
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_2_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_3_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_3_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_TSEC_ASID_0_TSEC_ASID_3_SHIFT)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_3_RANGE                   30:24
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_3_WOFFSET                 0x0
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_3_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_3_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_3_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_TSEC_ASID_3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_TSEC_ASID_0_TSEC_SMMU_ENABLE_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SMMU_TSEC_ASID_0_TSEC_SMMU_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_TSEC_ASID_0_TSEC_SMMU_ENABLE_SHIFT)
#define MC_SMMU_TSEC_ASID_0_TSEC_SMMU_ENABLE_RANGE                      31:31
#define MC_SMMU_TSEC_ASID_0_TSEC_SMMU_ENABLE_WOFFSET                    0x0
#define MC_SMMU_TSEC_ASID_0_TSEC_SMMU_ENABLE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_TSEC_SMMU_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TSEC_ASID_0_TSEC_SMMU_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_TSEC_SMMU_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_TSEC_SMMU_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TSEC_ASID_0_TSEC_SMMU_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_TSEC_ASID_0_TSEC_SMMU_ENABLE_INIT_ENUM                  DISABLE
#define MC_SMMU_TSEC_ASID_0_TSEC_SMMU_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SMMU_TSEC_ASID_0_TSEC_SMMU_ENABLE_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SMMU_PCIE3A_ASID_0
#define MC_SMMU_PCIE3A_ASID_0                   _MK_ADDR_CONST(0x1cb8)
#define MC_SMMU_PCIE3A_ASID_0_SECURE                    0x0
#define MC_SMMU_PCIE3A_ASID_0_DUAL                      0x0
#define MC_SMMU_PCIE3A_ASID_0_SCR                       0
#define MC_SMMU_PCIE3A_ASID_0_WORD_COUNT                        0x1
#define MC_SMMU_PCIE3A_ASID_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_RESET_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE3A_ASID_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_READ_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE3A_ASID_0_WRITE_MASK                        _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_SHIFT)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_RANGE                 6:0
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_WOFFSET                       0x0
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_1_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_1_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_1_SHIFT)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_1_RANGE                       14:8
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_1_WOFFSET                     0x0
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_1_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_2_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_2_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_2_SHIFT)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_2_RANGE                       22:16
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_2_WOFFSET                     0x0
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_2_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_2_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_3_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_3_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_3_SHIFT)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_3_RANGE                       30:24
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_3_WOFFSET                     0x0
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_3_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_3_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_3_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_ASID_3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_SMMU_ENABLE_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_SMMU_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_PCIE3A_ASID_0_PCIE3A_SMMU_ENABLE_SHIFT)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_SMMU_ENABLE_RANGE                  31:31
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_SMMU_ENABLE_WOFFSET                        0x0
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_SMMU_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_SMMU_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_SMMU_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_SMMU_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_SMMU_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_SMMU_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_SMMU_ENABLE_INIT_ENUM                      DISABLE
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_SMMU_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_PCIE3A_ASID_0_PCIE3A_SMMU_ENABLE_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SMMU_AXIAP_ASID_0
#define MC_SMMU_AXIAP_ASID_0                    _MK_ADDR_CONST(0x82c)
#define MC_SMMU_AXIAP_ASID_0_SECURE                     0x0
#define MC_SMMU_AXIAP_ASID_0_DUAL                       0x0
#define MC_SMMU_AXIAP_ASID_0_SCR                        0
#define MC_SMMU_AXIAP_ASID_0_WORD_COUNT                         0x1
#define MC_SMMU_AXIAP_ASID_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_RESET_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_AXIAP_ASID_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_READ_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_AXIAP_ASID_0_WRITE_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_SHIFT)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_RANGE                   6:0
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_WOFFSET                 0x0
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_1_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_1_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_1_SHIFT)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_1_RANGE                 14:8
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_1_WOFFSET                       0x0
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_1_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_2_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_2_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_2_SHIFT)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_2_RANGE                 22:16
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_2_WOFFSET                       0x0
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_2_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_3_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_3_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_3_SHIFT)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_3_RANGE                 30:24
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_3_WOFFSET                       0x0
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_3_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_ASID_3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_AXIAP_ASID_0_AXIAP_SMMU_ENABLE_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_SMMU_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_AXIAP_ASID_0_AXIAP_SMMU_ENABLE_SHIFT)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_SMMU_ENABLE_RANGE                    31:31
#define MC_SMMU_AXIAP_ASID_0_AXIAP_SMMU_ENABLE_WOFFSET                  0x0
#define MC_SMMU_AXIAP_ASID_0_AXIAP_SMMU_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_SMMU_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_SMMU_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_SMMU_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_SMMU_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_SMMU_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_SMMU_ENABLE_INIT_ENUM                        DISABLE
#define MC_SMMU_AXIAP_ASID_0_AXIAP_SMMU_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SMMU_AXIAP_ASID_0_AXIAP_SMMU_ENABLE_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SMMU_TSECB_ASID_0
#define MC_SMMU_TSECB_ASID_0                    _MK_ADDR_CONST(0xad4)
#define MC_SMMU_TSECB_ASID_0_SECURE                     0x0
#define MC_SMMU_TSECB_ASID_0_DUAL                       0x0
#define MC_SMMU_TSECB_ASID_0_SCR                        0
#define MC_SMMU_TSECB_ASID_0_WORD_COUNT                         0x1
#define MC_SMMU_TSECB_ASID_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_RESET_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_TSECB_ASID_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_READ_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_TSECB_ASID_0_WRITE_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_TSECB_ASID_0_TSECB_ASID_SHIFT)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_RANGE                   6:0
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_WOFFSET                 0x0
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_1_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_1_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_TSECB_ASID_0_TSECB_ASID_1_SHIFT)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_1_RANGE                 14:8
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_1_WOFFSET                       0x0
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_1_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_2_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_2_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_TSECB_ASID_0_TSECB_ASID_2_SHIFT)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_2_RANGE                 22:16
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_2_WOFFSET                       0x0
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_2_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_3_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_3_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_TSECB_ASID_0_TSECB_ASID_3_SHIFT)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_3_RANGE                 30:24
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_3_WOFFSET                       0x0
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_3_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_TSECB_ASID_3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_TSECB_ASID_0_TSECB_SMMU_ENABLE_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SMMU_TSECB_ASID_0_TSECB_SMMU_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_TSECB_ASID_0_TSECB_SMMU_ENABLE_SHIFT)
#define MC_SMMU_TSECB_ASID_0_TSECB_SMMU_ENABLE_RANGE                    31:31
#define MC_SMMU_TSECB_ASID_0_TSECB_SMMU_ENABLE_WOFFSET                  0x0
#define MC_SMMU_TSECB_ASID_0_TSECB_SMMU_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_TSECB_SMMU_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TSECB_ASID_0_TSECB_SMMU_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_TSECB_SMMU_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_TSECB_SMMU_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_TSECB_ASID_0_TSECB_SMMU_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_TSECB_ASID_0_TSECB_SMMU_ENABLE_INIT_ENUM                        DISABLE
#define MC_SMMU_TSECB_ASID_0_TSECB_SMMU_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SMMU_TSECB_ASID_0_TSECB_SMMU_ENABLE_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SMMU_DLA1A_ASID_0
#define MC_SMMU_DLA1A_ASID_0                    _MK_ADDR_CONST(0x810)
#define MC_SMMU_DLA1A_ASID_0_SECURE                     0x0
#define MC_SMMU_DLA1A_ASID_0_DUAL                       0x0
#define MC_SMMU_DLA1A_ASID_0_SCR                        0
#define MC_SMMU_DLA1A_ASID_0_WORD_COUNT                         0x1
#define MC_SMMU_DLA1A_ASID_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_RESET_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_DLA1A_ASID_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_READ_MASK                  _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_DLA1A_ASID_0_WRITE_MASK                         _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_SHIFT)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_RANGE                   6:0
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_WOFFSET                 0x0
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_1_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_1_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_1_SHIFT)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_1_RANGE                 14:8
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_1_WOFFSET                       0x0
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_1_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_2_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_2_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_2_SHIFT)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_2_RANGE                 22:16
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_2_WOFFSET                       0x0
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_2_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_3_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_3_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_3_SHIFT)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_3_RANGE                 30:24
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_3_WOFFSET                       0x0
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_3_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_ASID_3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_DLA1A_ASID_0_DLA1A_SMMU_ENABLE_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_SMMU_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_DLA1A_ASID_0_DLA1A_SMMU_ENABLE_SHIFT)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_SMMU_ENABLE_RANGE                    31:31
#define MC_SMMU_DLA1A_ASID_0_DLA1A_SMMU_ENABLE_WOFFSET                  0x0
#define MC_SMMU_DLA1A_ASID_0_DLA1A_SMMU_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_SMMU_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_SMMU_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_SMMU_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_SMMU_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_SMMU_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_SMMU_ENABLE_INIT_ENUM                        DISABLE
#define MC_SMMU_DLA1A_ASID_0_DLA1A_SMMU_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SMMU_DLA1A_ASID_0_DLA1A_SMMU_ENABLE_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SMMU_APE_ASID_0
#define MC_SMMU_APE_ASID_0                      _MK_ADDR_CONST(0xab8)
#define MC_SMMU_APE_ASID_0_SECURE                       0x0
#define MC_SMMU_APE_ASID_0_DUAL                         0x0
#define MC_SMMU_APE_ASID_0_SCR                  0
#define MC_SMMU_APE_ASID_0_WORD_COUNT                   0x1
#define MC_SMMU_APE_ASID_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_RESET_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_APE_ASID_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_READ_MASK                    _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_APE_ASID_0_WRITE_MASK                   _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_APE_ASID_0_APE_ASID_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SMMU_APE_ASID_0_APE_ASID_FIELD                       _MK_FIELD_CONST(0x7f, MC_SMMU_APE_ASID_0_APE_ASID_SHIFT)
#define MC_SMMU_APE_ASID_0_APE_ASID_RANGE                       6:0
#define MC_SMMU_APE_ASID_0_APE_ASID_WOFFSET                     0x0
#define MC_SMMU_APE_ASID_0_APE_ASID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_APE_ASID_DEFAULT_MASK                        _MK_MASK_CONST(0x7f)
#define MC_SMMU_APE_ASID_0_APE_ASID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_APE_ASID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_APE_ASID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_APE_ASID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SMMU_APE_ASID_0_APE_ASID_1_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_SMMU_APE_ASID_0_APE_ASID_1_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_APE_ASID_0_APE_ASID_1_SHIFT)
#define MC_SMMU_APE_ASID_0_APE_ASID_1_RANGE                     14:8
#define MC_SMMU_APE_ASID_0_APE_ASID_1_WOFFSET                   0x0
#define MC_SMMU_APE_ASID_0_APE_ASID_1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_APE_ASID_1_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_APE_ASID_0_APE_ASID_1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_APE_ASID_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_APE_ASID_1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_APE_ASID_1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_APE_ASID_0_APE_ASID_2_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SMMU_APE_ASID_0_APE_ASID_2_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_APE_ASID_0_APE_ASID_2_SHIFT)
#define MC_SMMU_APE_ASID_0_APE_ASID_2_RANGE                     22:16
#define MC_SMMU_APE_ASID_0_APE_ASID_2_WOFFSET                   0x0
#define MC_SMMU_APE_ASID_0_APE_ASID_2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_APE_ASID_2_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_APE_ASID_0_APE_ASID_2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_APE_ASID_2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_APE_ASID_2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_APE_ASID_2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_APE_ASID_0_APE_ASID_3_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SMMU_APE_ASID_0_APE_ASID_3_FIELD                     _MK_FIELD_CONST(0x7f, MC_SMMU_APE_ASID_0_APE_ASID_3_SHIFT)
#define MC_SMMU_APE_ASID_0_APE_ASID_3_RANGE                     30:24
#define MC_SMMU_APE_ASID_0_APE_ASID_3_WOFFSET                   0x0
#define MC_SMMU_APE_ASID_0_APE_ASID_3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_APE_ASID_3_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define MC_SMMU_APE_ASID_0_APE_ASID_3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_APE_ASID_3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_APE_ASID_3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_APE_ASID_3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SMMU_APE_ASID_0_APE_SMMU_ENABLE_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_SMMU_APE_ASID_0_APE_SMMU_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_APE_ASID_0_APE_SMMU_ENABLE_SHIFT)
#define MC_SMMU_APE_ASID_0_APE_SMMU_ENABLE_RANGE                        31:31
#define MC_SMMU_APE_ASID_0_APE_SMMU_ENABLE_WOFFSET                      0x0
#define MC_SMMU_APE_ASID_0_APE_SMMU_ENABLE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_APE_SMMU_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_APE_ASID_0_APE_SMMU_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_APE_SMMU_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_APE_SMMU_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_APE_ASID_0_APE_SMMU_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_APE_ASID_0_APE_SMMU_ENABLE_INIT_ENUM                    DISABLE
#define MC_SMMU_APE_ASID_0_APE_SMMU_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_APE_ASID_0_APE_SMMU_ENABLE_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_SMMU_XUSB_HOST_ASID_0
#define MC_SMMU_XUSB_HOST_ASID_0                        _MK_ADDR_CONST(0x288)
#define MC_SMMU_XUSB_HOST_ASID_0_SECURE                         0x0
#define MC_SMMU_XUSB_HOST_ASID_0_DUAL                   0x0
#define MC_SMMU_XUSB_HOST_ASID_0_SCR                    0
#define MC_SMMU_XUSB_HOST_ASID_0_WORD_COUNT                     0x1
#define MC_SMMU_XUSB_HOST_ASID_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_RESET_MASK                     _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_XUSB_HOST_ASID_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_READ_MASK                      _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_XUSB_HOST_ASID_0_WRITE_MASK                     _MK_MASK_CONST(0xff7f7f7f)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_FIELD                   _MK_FIELD_CONST(0x7f, MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_SHIFT)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_RANGE                   6:0
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_WOFFSET                 0x0
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_1_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_1_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_1_SHIFT)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_1_RANGE                 14:8
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_1_WOFFSET                       0x0
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_1_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_2_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_2_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_2_SHIFT)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_2_RANGE                 22:16
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_2_WOFFSET                       0x0
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_2_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_3_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_3_FIELD                 _MK_FIELD_CONST(0x7f, MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_3_SHIFT)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_3_RANGE                 30:24
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_3_WOFFSET                       0x0
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_3_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_ASID_3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_SMMU_ENABLE_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_SMMU_ENABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_SMMU_ENABLE_SHIFT)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_SMMU_ENABLE_RANGE                    31:31
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_SMMU_ENABLE_WOFFSET                  0x0
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_SMMU_ENABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_SMMU_ENABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_SMMU_ENABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_SMMU_ENABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_SMMU_ENABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_SMMU_ENABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_SMMU_ENABLE_INIT_ENUM                        DISABLE
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_SMMU_ENABLE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SMMU_XUSB_HOST_ASID_0_XUSB_HOST_SMMU_ENABLE_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SMMU_TLB_SET_SELECTION_MASK_0_0
#define MC_SMMU_TLB_SET_SELECTION_MASK_0_0                      _MK_ADDR_CONST(0x600)
#define MC_SMMU_TLB_SET_SELECTION_MASK_0_0_SECURE                       0x0
#define MC_SMMU_TLB_SET_SELECTION_MASK_0_0_DUAL                         0x0
#define MC_SMMU_TLB_SET_SELECTION_MASK_0_0_SCR                  0
#define MC_SMMU_TLB_SET_SELECTION_MASK_0_0_WORD_COUNT                   0x1
#define MC_SMMU_TLB_SET_SELECTION_MASK_0_0_RESET_VAL                    _MK_MASK_CONST(0x8000)
#define MC_SMMU_TLB_SET_SELECTION_MASK_0_0_RESET_MASK                   _MK_MASK_CONST(0xff8000)
#define MC_SMMU_TLB_SET_SELECTION_MASK_0_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_SET_SELECTION_MASK_0_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_SET_SELECTION_MASK_0_0_READ_MASK                    _MK_MASK_CONST(0xff8000)
#define MC_SMMU_TLB_SET_SELECTION_MASK_0_0_WRITE_MASK                   _MK_MASK_CONST(0xff8000)
#define MC_SMMU_TLB_SET_SELECTION_MASK_0_0_TLB_SET_SELECTION_MASK_0_SHIFT                       _MK_SHIFT_CONST(15)
#define MC_SMMU_TLB_SET_SELECTION_MASK_0_0_TLB_SET_SELECTION_MASK_0_FIELD                       _MK_FIELD_CONST(0x1ff, MC_SMMU_TLB_SET_SELECTION_MASK_0_0_TLB_SET_SELECTION_MASK_0_SHIFT)
#define MC_SMMU_TLB_SET_SELECTION_MASK_0_0_TLB_SET_SELECTION_MASK_0_RANGE                       23:15
#define MC_SMMU_TLB_SET_SELECTION_MASK_0_0_TLB_SET_SELECTION_MASK_0_WOFFSET                     0x0
#define MC_SMMU_TLB_SET_SELECTION_MASK_0_0_TLB_SET_SELECTION_MASK_0_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_SET_SELECTION_MASK_0_0_TLB_SET_SELECTION_MASK_0_DEFAULT_MASK                        _MK_MASK_CONST(0x1ff)
#define MC_SMMU_TLB_SET_SELECTION_MASK_0_0_TLB_SET_SELECTION_MASK_0_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_SET_SELECTION_MASK_0_0_TLB_SET_SELECTION_MASK_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_TLB_SET_SELECTION_MASK_0_0_TLB_SET_SELECTION_MASK_0_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_TLB_SET_SELECTION_MASK_0_0_TLB_SET_SELECTION_MASK_0_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0                 _MK_ADDR_CONST(0x4844)
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_SECURE                  0x0
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_DUAL                    0x0
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_SCR                     0
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_WORD_COUNT                      0x1
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_RESET_MASK                      _MK_MASK_CONST(0x8)
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_READ_MASK                       _MK_MASK_CONST(0x8)
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_WRITE_MASK                      _MK_MASK_CONST(0x8)
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC2_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC2_FIELD                  _MK_FIELD_CONST(0x1, MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC2_SHIFT)
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC2_RANGE                  3:3
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC2_WOFFSET                        0x0
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC2_INIT_ENUM                      DISABLE
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC2_DISABLE                        _MK_ENUM_CONST(0)
#define MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC2_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_BPMPPC_EXTRA_SNAP_LEVELS_0
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0                   _MK_ADDR_CONST(0xa60)
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_SECURE                    0x0
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_DUAL                      0x0
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_SCR                       0
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_WORD_COUNT                        0x1
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_RESET_MASK                        _MK_MASK_CONST(0x8)
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_READ_MASK                         _MK_MASK_CONST(0x8)
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_WRITE_MASK                        _MK_MASK_CONST(0x8)
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_BPMPPC_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_BPMPPC_FIELD                      _MK_FIELD_CONST(0x1, MC_BPMPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_BPMPPC_SHIFT)
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_BPMPPC_RANGE                      3:3
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_BPMPPC_WOFFSET                    0x0
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_BPMPPC_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_BPMPPC_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_BPMPPC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_BPMPPC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_BPMPPC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_BPMPPC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_BPMPPC_INIT_ENUM                  DISABLE
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_BPMPPC_DISABLE                    _MK_ENUM_CONST(0)
#define MC_BPMPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_BPMPPC_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_PVA1XA3_EXTRA_SNAP_LEVELS_0
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0                  _MK_ADDR_CONST(0x4818)
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_SECURE                   0x0
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_DUAL                     0x0
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_SCR                      0
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_WORD_COUNT                       0x1
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_RESET_MASK                       _MK_MASK_CONST(0x8)
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_READ_MASK                        _MK_MASK_CONST(0x8)
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_WRITE_MASK                       _MK_MASK_CONST(0x8)
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA3_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA3_FIELD                    _MK_FIELD_CONST(0x1, MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA3_SHIFT)
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA3_RANGE                    3:3
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA3_WOFFSET                  0x0
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA3_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA3_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA3_INIT_ENUM                        DISABLE
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA3_DISABLE                  _MK_ENUM_CONST(0)
#define MC_PVA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA3_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_FTOP_EXTRA_SNAP_LEVELS_0
#define MC_FTOP_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0x2bc)
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_FTOP_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_FTOP_FIELD                  _MK_FIELD_CONST(0x1, MC_FTOP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_FTOP_SHIFT)
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_FTOP_RANGE                  3:3
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_FTOP_WOFFSET                        0x0
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_FTOP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_FTOP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_FTOP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_FTOP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_FTOP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_FTOP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_FTOP_INIT_ENUM                      DISABLE
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_FTOP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_FTOP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_FTOP_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_MIU4_EXTRA_SNAP_LEVELS_0
#define MC_MIU4_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0x4924)
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU4_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU4_FIELD                  _MK_FIELD_CONST(0x1, MC_MIU4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU4_SHIFT)
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU4_RANGE                  3:3
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU4_WOFFSET                        0x0
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU4_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU4_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU4_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU4_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU4_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU4_INIT_ENUM                      DISABLE
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU4_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MIU4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU4_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_MIU6_EXTRA_SNAP_LEVELS_0
#define MC_MIU6_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0x492c)
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU6_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU6_FIELD                  _MK_FIELD_CONST(0x1, MC_MIU6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU6_SHIFT)
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU6_RANGE                  3:3
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU6_WOFFSET                        0x0
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU6_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU6_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU6_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU6_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU6_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU6_INIT_ENUM                      DISABLE
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU6_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MIU6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU6_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_VICPC3_EXTRA_SNAP_LEVELS_0
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0                   _MK_ADDR_CONST(0xa80)
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_SECURE                    0x0
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_DUAL                      0x0
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_SCR                       0
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_WORD_COUNT                        0x1
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_RESET_MASK                        _MK_MASK_CONST(0x8)
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_READ_MASK                         _MK_MASK_CONST(0x8)
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_WRITE_MASK                        _MK_MASK_CONST(0x8)
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC3_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC3_FIELD                      _MK_FIELD_CONST(0x1, MC_VICPC3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC3_SHIFT)
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC3_RANGE                      3:3
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC3_WOFFSET                    0x0
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC3_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC3_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC3_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC3_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC3_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC3_INIT_ENUM                  DISABLE
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC3_DISABLE                    _MK_ENUM_CONST(0)
#define MC_VICPC3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC3_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_ISP2PC_EXTRA_SNAP_LEVELS_0
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0                   _MK_ADDR_CONST(0x4910)
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_SECURE                    0x0
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_DUAL                      0x0
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_SCR                       0
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_WORD_COUNT                        0x1
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_RESET_MASK                        _MK_MASK_CONST(0x8)
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_READ_MASK                         _MK_MASK_CONST(0x8)
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_WRITE_MASK                        _MK_MASK_CONST(0x8)
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP2PC_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP2PC_FIELD                      _MK_FIELD_CONST(0x1, MC_ISP2PC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP2PC_SHIFT)
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP2PC_RANGE                      3:3
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP2PC_WOFFSET                    0x0
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP2PC_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP2PC_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP2PC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP2PC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP2PC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP2PC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP2PC_INIT_ENUM                  DISABLE
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP2PC_DISABLE                    _MK_ENUM_CONST(0)
#define MC_ISP2PC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP2PC_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_USBD2_EXTRA_SNAP_LEVELS_0
#define MC_USBD2_EXTRA_SNAP_LEVELS_0                    _MK_ADDR_CONST(0x484c)
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_SECURE                     0x0
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_DUAL                       0x0
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_SCR                        0
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_WORD_COUNT                         0x1
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_RESET_MASK                         _MK_MASK_CONST(0x8)
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_READ_MASK                  _MK_MASK_CONST(0x8)
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_WRITE_MASK                         _MK_MASK_CONST(0x8)
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD2_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD2_FIELD                        _MK_FIELD_CONST(0x1, MC_USBD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD2_SHIFT)
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD2_RANGE                        3:3
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD2_WOFFSET                      0x0
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD2_INIT_ENUM                    DISABLE
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD2_DISABLE                      _MK_ENUM_CONST(0)
#define MC_USBD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD2_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_PVA1XB_EXTRA_SNAP_LEVELS_0
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0                   _MK_ADDR_CONST(0x481c)
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_SECURE                    0x0
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_DUAL                      0x0
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_SCR                       0
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_WORD_COUNT                        0x1
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_RESET_MASK                        _MK_MASK_CONST(0x8)
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_READ_MASK                         _MK_MASK_CONST(0x8)
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_WRITE_MASK                        _MK_MASK_CONST(0x8)
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB_FIELD                      _MK_FIELD_CONST(0x1, MC_PVA1XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB_SHIFT)
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB_RANGE                      3:3
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB_WOFFSET                    0x0
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB_INIT_ENUM                  DISABLE
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_PVA1XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_PVA0XB3_EXTRA_SNAP_LEVELS_0
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0                  _MK_ADDR_CONST(0x4810)
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_SECURE                   0x0
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_DUAL                     0x0
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_SCR                      0
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_WORD_COUNT                       0x1
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_RESET_MASK                       _MK_MASK_CONST(0x8)
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_READ_MASK                        _MK_MASK_CONST(0x8)
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_WRITE_MASK                       _MK_MASK_CONST(0x8)
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB3_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB3_FIELD                    _MK_FIELD_CONST(0x1, MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB3_SHIFT)
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB3_RANGE                    3:3
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB3_WOFFSET                  0x0
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB3_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB3_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB3_INIT_ENUM                        DISABLE
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB3_DISABLE                  _MK_ENUM_CONST(0)
#define MC_PVA0XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB3_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_VICPC_EXTRA_SNAP_LEVELS_0
#define MC_VICPC_EXTRA_SNAP_LEVELS_0                    _MK_ADDR_CONST(0xa1c)
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_SECURE                     0x0
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_DUAL                       0x0
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_SCR                        0
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_WORD_COUNT                         0x1
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_RESET_MASK                         _MK_MASK_CONST(0x8)
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_READ_MASK                  _MK_MASK_CONST(0x8)
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_WRITE_MASK                         _MK_MASK_CONST(0x8)
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC_FIELD                        _MK_FIELD_CONST(0x1, MC_VICPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC_SHIFT)
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC_RANGE                        3:3
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC_WOFFSET                      0x0
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC_INIT_ENUM                    DISABLE
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC_DISABLE                      _MK_ENUM_CONST(0)
#define MC_VICPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_UFSHCPC_EXTRA_SNAP_LEVELS_0
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0                  _MK_ADDR_CONST(0xa58)
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_SECURE                   0x0
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_DUAL                     0x0
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_SCR                      0
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_WORD_COUNT                       0x1
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_RESET_MASK                       _MK_MASK_CONST(0x8)
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_READ_MASK                        _MK_MASK_CONST(0x8)
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_WRITE_MASK                       _MK_MASK_CONST(0x8)
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC_FIELD                    _MK_FIELD_CONST(0x1, MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC_SHIFT)
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC_RANGE                    3:3
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC_WOFFSET                  0x0
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC_INIT_ENUM                        DISABLE
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_UFSHCPC_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_MSEA_EXTRA_SNAP_LEVELS_0
#define MC_MSEA_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0x4900)
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEA_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEA_FIELD                  _MK_FIELD_CONST(0x1, MC_MSEA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEA_SHIFT)
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEA_RANGE                  3:3
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEA_WOFFSET                        0x0
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEA_INIT_ENUM                      DISABLE
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSEA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEA_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_USBX_EXTRA_SNAP_LEVELS_0
#define MC_USBX_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0x404)
#define MC_USBX_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_USBX_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_USBX_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_USBX_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_USBX_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_USBX_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_USBX_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_USBX_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_USBX_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_USBX_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_USBX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_USBX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX_FIELD                  _MK_FIELD_CONST(0x1, MC_USBX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX_SHIFT)
#define MC_USBX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX_RANGE                  3:3
#define MC_USBX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX_WOFFSET                        0x0
#define MC_USBX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_USBX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_USBX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_USBX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_USBX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_USBX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_USBX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX_INIT_ENUM                      DISABLE
#define MC_USBX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX_DISABLE                        _MK_ENUM_CONST(0)
#define MC_USBX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_PCIE4XA_EXTRA_SNAP_LEVELS_0
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0                  _MK_ADDR_CONST(0x4800)
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_SECURE                   0x0
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_DUAL                     0x0
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_SCR                      0
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_WORD_COUNT                       0x1
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_RESET_MASK                       _MK_MASK_CONST(0x8)
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_READ_MASK                        _MK_MASK_CONST(0x8)
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_WRITE_MASK                       _MK_MASK_CONST(0x8)
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4XA_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4XA_FIELD                    _MK_FIELD_CONST(0x1, MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4XA_SHIFT)
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4XA_RANGE                    3:3
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4XA_WOFFSET                  0x0
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4XA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4XA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4XA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4XA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4XA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4XA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4XA_INIT_ENUM                        DISABLE
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4XA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_PCIE4XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4XA_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_MSE2_EXTRA_SNAP_LEVELS_0
#define MC_MSE2_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0xe08)
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE2_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE2_FIELD                  _MK_FIELD_CONST(0x1, MC_MSE2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE2_SHIFT)
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE2_RANGE                  3:3
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE2_WOFFSET                        0x0
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE2_INIT_ENUM                      DISABLE
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE2_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSE2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE2_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_PVA0XA3_EXTRA_SNAP_LEVELS_0
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0                  _MK_ADDR_CONST(0x4808)
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_SECURE                   0x0
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_DUAL                     0x0
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_SCR                      0
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_WORD_COUNT                       0x1
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_RESET_MASK                       _MK_MASK_CONST(0x8)
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_READ_MASK                        _MK_MASK_CONST(0x8)
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_WRITE_MASK                       _MK_MASK_CONST(0x8)
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA3_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA3_FIELD                    _MK_FIELD_CONST(0x1, MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA3_SHIFT)
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA3_RANGE                    3:3
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA3_WOFFSET                  0x0
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA3_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA3_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA3_INIT_ENUM                        DISABLE
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA3_DISABLE                  _MK_ENUM_CONST(0)
#define MC_PVA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA3_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_PCIE4X_EXTRA_SNAP_LEVELS_0
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0                   _MK_ADDR_CONST(0x4104)
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_SECURE                    0x0
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_DUAL                      0x0
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_SCR                       0
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_WORD_COUNT                        0x1
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_RESET_MASK                        _MK_MASK_CONST(0x8)
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_READ_MASK                         _MK_MASK_CONST(0x8)
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_WRITE_MASK                        _MK_MASK_CONST(0x8)
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4X_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4X_FIELD                      _MK_FIELD_CONST(0x1, MC_PCIE4X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4X_SHIFT)
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4X_RANGE                      3:3
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4X_WOFFSET                    0x0
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4X_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4X_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4X_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4X_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4X_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4X_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4X_INIT_ENUM                  DISABLE
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4X_DISABLE                    _MK_ENUM_CONST(0)
#define MC_PCIE4X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE4X_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_DLA1XA2_EXTRA_SNAP_LEVELS_0
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0                  _MK_ADDR_CONST(0x482c)
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_SECURE                   0x0
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_DUAL                     0x0
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_SCR                      0
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_WORD_COUNT                       0x1
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_RESET_MASK                       _MK_MASK_CONST(0x8)
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_READ_MASK                        _MK_MASK_CONST(0x8)
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_WRITE_MASK                       _MK_MASK_CONST(0x8)
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA2_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA2_FIELD                    _MK_FIELD_CONST(0x1, MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA2_SHIFT)
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA2_RANGE                    3:3
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA2_WOFFSET                  0x0
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA2_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA2_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA2_INIT_ENUM                        DISABLE
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA2_DISABLE                  _MK_ENUM_CONST(0)
#define MC_DLA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA2_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_MIU3_EXTRA_SNAP_LEVELS_0
#define MC_MIU3_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0x3260)
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU3_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU3_FIELD                  _MK_FIELD_CONST(0x1, MC_MIU3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU3_SHIFT)
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU3_RANGE                  3:3
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU3_WOFFSET                        0x0
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU3_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU3_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU3_INIT_ENUM                      DISABLE
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU3_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MIU3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU3_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_NVD2_EXTRA_SNAP_LEVELS_0
#define MC_NVD2_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0xe00)
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD2_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD2_FIELD                  _MK_FIELD_CONST(0x1, MC_NVD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD2_SHIFT)
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD2_RANGE                  3:3
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD2_WOFFSET                        0x0
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD2_INIT_ENUM                      DISABLE
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD2_DISABLE                        _MK_ENUM_CONST(0)
#define MC_NVD2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD2_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_USBD_EXTRA_SNAP_LEVELS_0
#define MC_USBD_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0xa18)
#define MC_USBD_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_USBD_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_USBD_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_USBD_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_USBD_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_USBD_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_USBD_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_USBD_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_USBD_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_USBD_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_USBD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_USBD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD_FIELD                  _MK_FIELD_CONST(0x1, MC_USBD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD_SHIFT)
#define MC_USBD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD_RANGE                  3:3
#define MC_USBD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD_WOFFSET                        0x0
#define MC_USBD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_USBD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_USBD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_USBD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_USBD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_USBD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_USBD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD_INIT_ENUM                      DISABLE
#define MC_USBD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_USBD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBD_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_PVA0XB2_EXTRA_SNAP_LEVELS_0
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0                  _MK_ADDR_CONST(0x4834)
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_SECURE                   0x0
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_DUAL                     0x0
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_SCR                      0
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_WORD_COUNT                       0x1
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_RESET_MASK                       _MK_MASK_CONST(0x8)
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_READ_MASK                        _MK_MASK_CONST(0x8)
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_WRITE_MASK                       _MK_MASK_CONST(0x8)
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB2_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB2_FIELD                    _MK_FIELD_CONST(0x1, MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB2_SHIFT)
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB2_RANGE                    3:3
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB2_WOFFSET                  0x0
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB2_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB2_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB2_INIT_ENUM                        DISABLE
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB2_DISABLE                  _MK_ENUM_CONST(0)
#define MC_PVA0XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB2_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_RCEPC_EXTRA_SNAP_LEVELS_0
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0                    _MK_ADDR_CONST(0xe20)
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_SECURE                     0x0
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_DUAL                       0x0
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_SCR                        0
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_WORD_COUNT                         0x1
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_RESET_MASK                         _MK_MASK_CONST(0x8)
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_READ_MASK                  _MK_MASK_CONST(0x8)
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_WRITE_MASK                         _MK_MASK_CONST(0x8)
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_RCEPC_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_RCEPC_FIELD                        _MK_FIELD_CONST(0x1, MC_RCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_RCEPC_SHIFT)
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_RCEPC_RANGE                        3:3
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_RCEPC_WOFFSET                      0x0
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_RCEPC_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_RCEPC_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_RCEPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_RCEPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_RCEPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_RCEPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_RCEPC_INIT_ENUM                    DISABLE
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_RCEPC_DISABLE                      _MK_ENUM_CONST(0)
#define MC_RCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_RCEPC_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_MSE_EXTRA_SNAP_LEVELS_0
#define MC_MSE_EXTRA_SNAP_LEVELS_0                      _MK_ADDR_CONST(0x40c)
#define MC_MSE_EXTRA_SNAP_LEVELS_0_SECURE                       0x0
#define MC_MSE_EXTRA_SNAP_LEVELS_0_DUAL                         0x0
#define MC_MSE_EXTRA_SNAP_LEVELS_0_SCR                  0
#define MC_MSE_EXTRA_SNAP_LEVELS_0_WORD_COUNT                   0x1
#define MC_MSE_EXTRA_SNAP_LEVELS_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MSE_EXTRA_SNAP_LEVELS_0_RESET_MASK                   _MK_MASK_CONST(0x8)
#define MC_MSE_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MSE_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSE_EXTRA_SNAP_LEVELS_0_READ_MASK                    _MK_MASK_CONST(0x8)
#define MC_MSE_EXTRA_SNAP_LEVELS_0_WRITE_MASK                   _MK_MASK_CONST(0x8)
#define MC_MSE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_MSE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE_FIELD                    _MK_FIELD_CONST(0x1, MC_MSE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE_SHIFT)
#define MC_MSE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE_RANGE                    3:3
#define MC_MSE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE_WOFFSET                  0x0
#define MC_MSE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MSE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MSE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MSE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE_INIT_ENUM                        DISABLE
#define MC_MSE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MSE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_AUD_EXTRA_SNAP_LEVELS_0
#define MC_AUD_EXTRA_SNAP_LEVELS_0                      _MK_ADDR_CONST(0xa10)
#define MC_AUD_EXTRA_SNAP_LEVELS_0_SECURE                       0x0
#define MC_AUD_EXTRA_SNAP_LEVELS_0_DUAL                         0x0
#define MC_AUD_EXTRA_SNAP_LEVELS_0_SCR                  0
#define MC_AUD_EXTRA_SNAP_LEVELS_0_WORD_COUNT                   0x1
#define MC_AUD_EXTRA_SNAP_LEVELS_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_AUD_EXTRA_SNAP_LEVELS_0_RESET_MASK                   _MK_MASK_CONST(0x8)
#define MC_AUD_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_AUD_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_AUD_EXTRA_SNAP_LEVELS_0_READ_MASK                    _MK_MASK_CONST(0x8)
#define MC_AUD_EXTRA_SNAP_LEVELS_0_WRITE_MASK                   _MK_MASK_CONST(0x8)
#define MC_AUD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AUD_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_AUD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AUD_FIELD                    _MK_FIELD_CONST(0x1, MC_AUD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AUD_SHIFT)
#define MC_AUD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AUD_RANGE                    3:3
#define MC_AUD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AUD_WOFFSET                  0x0
#define MC_AUD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AUD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_AUD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AUD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_AUD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AUD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_AUD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AUD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_AUD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AUD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_AUD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AUD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_AUD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AUD_INIT_ENUM                        DISABLE
#define MC_AUD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AUD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_AUD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AUD_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_DLA0XA_EXTRA_SNAP_LEVELS_0
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0                   _MK_ADDR_CONST(0xe10)
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_SECURE                    0x0
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_DUAL                      0x0
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_SCR                       0
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_WORD_COUNT                        0x1
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_RESET_MASK                        _MK_MASK_CONST(0x8)
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_READ_MASK                         _MK_MASK_CONST(0x8)
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_WRITE_MASK                        _MK_MASK_CONST(0x8)
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA_FIELD                      _MK_FIELD_CONST(0x1, MC_DLA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA_SHIFT)
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA_RANGE                      3:3
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA_WOFFSET                    0x0
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA_INIT_ENUM                  DISABLE
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_DLA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_PCIE0X2_EXTRA_SNAP_LEVELS_0
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0                  _MK_ADDR_CONST(0x4914)
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_SECURE                   0x0
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_DUAL                     0x0
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_SCR                      0
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_WORD_COUNT                       0x1
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_RESET_MASK                       _MK_MASK_CONST(0x8)
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_READ_MASK                        _MK_MASK_CONST(0x8)
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_WRITE_MASK                       _MK_MASK_CONST(0x8)
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X2_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X2_FIELD                    _MK_FIELD_CONST(0x1, MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X2_SHIFT)
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X2_RANGE                    3:3
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X2_WOFFSET                  0x0
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X2_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X2_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X2_INIT_ENUM                        DISABLE
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X2_DISABLE                  _MK_ENUM_CONST(0)
#define MC_PCIE0X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X2_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_DLA0XA2_EXTRA_SNAP_LEVELS_0
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0                  _MK_ADDR_CONST(0x4828)
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_SECURE                   0x0
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_DUAL                     0x0
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_SCR                      0
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_WORD_COUNT                       0x1
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_RESET_MASK                       _MK_MASK_CONST(0x8)
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_READ_MASK                        _MK_MASK_CONST(0x8)
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_WRITE_MASK                       _MK_MASK_CONST(0x8)
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA2_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA2_FIELD                    _MK_FIELD_CONST(0x1, MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA2_SHIFT)
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA2_RANGE                    3:3
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA2_WOFFSET                  0x0
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA2_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA2_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA2_INIT_ENUM                        DISABLE
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA2_DISABLE                  _MK_ENUM_CONST(0)
#define MC_DLA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA2_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_PCIE0XA_EXTRA_SNAP_LEVELS_0
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0                  _MK_ADDR_CONST(0x4118)
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_SECURE                   0x0
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_DUAL                     0x0
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_SCR                      0
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_WORD_COUNT                       0x1
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_RESET_MASK                       _MK_MASK_CONST(0x8)
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_READ_MASK                        _MK_MASK_CONST(0x8)
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_WRITE_MASK                       _MK_MASK_CONST(0x8)
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0XA_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0XA_FIELD                    _MK_FIELD_CONST(0x1, MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0XA_SHIFT)
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0XA_RANGE                    3:3
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0XA_WOFFSET                  0x0
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0XA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0XA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0XA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0XA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0XA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0XA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0XA_INIT_ENUM                        DISABLE
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0XA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_PCIE0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0XA_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_PCIE1X_EXTRA_SNAP_LEVELS_0
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0                   _MK_ADDR_CONST(0x3270)
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_SECURE                    0x0
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_DUAL                      0x0
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_SCR                       0
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_WORD_COUNT                        0x1
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_RESET_MASK                        _MK_MASK_CONST(0x8)
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_READ_MASK                         _MK_MASK_CONST(0x8)
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_WRITE_MASK                        _MK_MASK_CONST(0x8)
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1X_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1X_FIELD                      _MK_FIELD_CONST(0x1, MC_PCIE1X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1X_SHIFT)
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1X_RANGE                      3:3
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1X_WOFFSET                    0x0
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1X_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1X_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1X_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1X_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1X_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1X_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1X_INIT_ENUM                  DISABLE
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1X_DISABLE                    _MK_ENUM_CONST(0)
#define MC_PCIE1X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1X_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_EQOSPC_EXTRA_SNAP_LEVELS_0
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0                   _MK_ADDR_CONST(0xa5c)
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_SECURE                    0x0
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_DUAL                      0x0
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_SCR                       0
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_WORD_COUNT                        0x1
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_RESET_MASK                        _MK_MASK_CONST(0x8)
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_READ_MASK                         _MK_MASK_CONST(0x8)
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_WRITE_MASK                        _MK_MASK_CONST(0x8)
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_EQOSPC_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_EQOSPC_FIELD                      _MK_FIELD_CONST(0x1, MC_EQOSPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_EQOSPC_SHIFT)
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_EQOSPC_RANGE                      3:3
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_EQOSPC_WOFFSET                    0x0
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_EQOSPC_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_EQOSPC_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_EQOSPC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_EQOSPC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_EQOSPC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_EQOSPC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_EQOSPC_INIT_ENUM                  DISABLE
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_EQOSPC_DISABLE                    _MK_ENUM_CONST(0)
#define MC_EQOSPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_EQOSPC_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_MIU7_EXTRA_SNAP_LEVELS_0
#define MC_MIU7_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0x4930)
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU7_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU7_FIELD                  _MK_FIELD_CONST(0x1, MC_MIU7_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU7_SHIFT)
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU7_RANGE                  3:3
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU7_WOFFSET                        0x0
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU7_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU7_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU7_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU7_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU7_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU7_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU7_INIT_ENUM                      DISABLE
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU7_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MIU7_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU7_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_MIU1_EXTRA_SNAP_LEVELS_0
#define MC_MIU1_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0x3258)
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU1_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU1_FIELD                  _MK_FIELD_CONST(0x1, MC_MIU1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU1_SHIFT)
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU1_RANGE                  3:3
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU1_WOFFSET                        0x0
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU1_INIT_ENUM                      DISABLE
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MIU1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU1_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_HDAPC_EXTRA_SNAP_LEVELS_0
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0                    _MK_ADDR_CONST(0xa48)
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_SECURE                     0x0
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_DUAL                       0x0
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_SCR                        0
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_WORD_COUNT                         0x1
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_RESET_MASK                         _MK_MASK_CONST(0x8)
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_READ_MASK                  _MK_MASK_CONST(0x8)
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_WRITE_MASK                         _MK_MASK_CONST(0x8)
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HDAPC_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HDAPC_FIELD                        _MK_FIELD_CONST(0x1, MC_HDAPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HDAPC_SHIFT)
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HDAPC_RANGE                        3:3
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HDAPC_WOFFSET                      0x0
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HDAPC_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HDAPC_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HDAPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HDAPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HDAPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HDAPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HDAPC_INIT_ENUM                    DISABLE
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HDAPC_DISABLE                      _MK_ENUM_CONST(0)
#define MC_HDAPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HDAPC_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0                        _MK_ADDR_CONST(0x3264)
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_SECURE                         0x0
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_DUAL                   0x0
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_SCR                    0
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_WORD_COUNT                     0x1
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_RESET_MASK                     _MK_MASK_CONST(0x8)
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_READ_MASK                      _MK_MASK_CONST(0x8)
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_WRITE_MASK                     _MK_MASK_CONST(0x8)
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0FALPC_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0FALPC_FIELD                        _MK_FIELD_CONST(0x1, MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0FALPC_SHIFT)
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0FALPC_RANGE                        3:3
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0FALPC_WOFFSET                      0x0
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0FALPC_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0FALPC_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0FALPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0FALPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0FALPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0FALPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0FALPC_INIT_ENUM                    DISABLE
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0FALPC_DISABLE                      _MK_ENUM_CONST(0)
#define MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0FALPC_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_PVA1XB2_EXTRA_SNAP_LEVELS_0
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0                  _MK_ADDR_CONST(0x483c)
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_SECURE                   0x0
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_DUAL                     0x0
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_SCR                      0
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_WORD_COUNT                       0x1
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_RESET_MASK                       _MK_MASK_CONST(0x8)
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_READ_MASK                        _MK_MASK_CONST(0x8)
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_WRITE_MASK                       _MK_MASK_CONST(0x8)
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB2_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB2_FIELD                    _MK_FIELD_CONST(0x1, MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB2_SHIFT)
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB2_RANGE                    3:3
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB2_WOFFSET                  0x0
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB2_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB2_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB2_INIT_ENUM                        DISABLE
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB2_DISABLE                  _MK_ENUM_CONST(0)
#define MC_PVA1XB2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB2_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_PVA1XA_EXTRA_SNAP_LEVELS_0
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0                   _MK_ADDR_CONST(0xe1c)
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_SECURE                    0x0
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_DUAL                      0x0
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_SCR                       0
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_WORD_COUNT                        0x1
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_RESET_MASK                        _MK_MASK_CONST(0x8)
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_READ_MASK                         _MK_MASK_CONST(0x8)
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_WRITE_MASK                        _MK_MASK_CONST(0x8)
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA_FIELD                      _MK_FIELD_CONST(0x1, MC_PVA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA_SHIFT)
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA_RANGE                      3:3
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA_WOFFSET                    0x0
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA_INIT_ENUM                  DISABLE
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_PVA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_AONPC_EXTRA_SNAP_LEVELS_0
#define MC_AONPC_EXTRA_SNAP_LEVELS_0                    _MK_ADDR_CONST(0xa68)
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_SECURE                     0x0
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_DUAL                       0x0
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_SCR                        0
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_WORD_COUNT                         0x1
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_RESET_MASK                         _MK_MASK_CONST(0x8)
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_READ_MASK                  _MK_MASK_CONST(0x8)
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_WRITE_MASK                         _MK_MASK_CONST(0x8)
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AONPC_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AONPC_FIELD                        _MK_FIELD_CONST(0x1, MC_AONPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AONPC_SHIFT)
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AONPC_RANGE                        3:3
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AONPC_WOFFSET                      0x0
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AONPC_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AONPC_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AONPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AONPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AONPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AONPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AONPC_INIT_ENUM                    DISABLE
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AONPC_DISABLE                      _MK_ENUM_CONST(0)
#define MC_AONPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_AONPC_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_SD_EXTRA_SNAP_LEVELS_0
#define MC_SD_EXTRA_SNAP_LEVELS_0                       _MK_ADDR_CONST(0xa04)
#define MC_SD_EXTRA_SNAP_LEVELS_0_SECURE                        0x0
#define MC_SD_EXTRA_SNAP_LEVELS_0_DUAL                  0x0
#define MC_SD_EXTRA_SNAP_LEVELS_0_SCR                   0
#define MC_SD_EXTRA_SNAP_LEVELS_0_WORD_COUNT                    0x1
#define MC_SD_EXTRA_SNAP_LEVELS_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_SD_EXTRA_SNAP_LEVELS_0_RESET_MASK                    _MK_MASK_CONST(0x8)
#define MC_SD_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_SD_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SD_EXTRA_SNAP_LEVELS_0_READ_MASK                     _MK_MASK_CONST(0x8)
#define MC_SD_EXTRA_SNAP_LEVELS_0_WRITE_MASK                    _MK_MASK_CONST(0x8)
#define MC_SD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SD_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_SD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SD_FIELD                      _MK_FIELD_CONST(0x1, MC_SD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SD_SHIFT)
#define MC_SD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SD_RANGE                      3:3
#define MC_SD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SD_WOFFSET                    0x0
#define MC_SD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SD_INIT_ENUM                  DISABLE
#define MC_SD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SD_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_VE_EXTRA_SNAP_LEVELS_0
#define MC_VE_EXTRA_SNAP_LEVELS_0                       _MK_ADDR_CONST(0x2d8)
#define MC_VE_EXTRA_SNAP_LEVELS_0_SECURE                        0x0
#define MC_VE_EXTRA_SNAP_LEVELS_0_DUAL                  0x0
#define MC_VE_EXTRA_SNAP_LEVELS_0_SCR                   0
#define MC_VE_EXTRA_SNAP_LEVELS_0_WORD_COUNT                    0x1
#define MC_VE_EXTRA_SNAP_LEVELS_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_VE_EXTRA_SNAP_LEVELS_0_RESET_MASK                    _MK_MASK_CONST(0x8)
#define MC_VE_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_VE_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_VE_EXTRA_SNAP_LEVELS_0_READ_MASK                     _MK_MASK_CONST(0x8)
#define MC_VE_EXTRA_SNAP_LEVELS_0_WRITE_MASK                    _MK_MASK_CONST(0x8)
#define MC_VE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VE_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_VE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VE_FIELD                      _MK_FIELD_CONST(0x1, MC_VE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VE_SHIFT)
#define MC_VE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VE_RANGE                      3:3
#define MC_VE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VE_WOFFSET                    0x0
#define MC_VE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_VE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_VE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_VE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VE_INIT_ENUM                  DISABLE
#define MC_VE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_VE_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VE_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SCEPC_EXTRA_SNAP_LEVELS_0
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0                    _MK_ADDR_CONST(0xa70)
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_SECURE                     0x0
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_DUAL                       0x0
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_SCR                        0
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_WORD_COUNT                         0x1
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_RESET_MASK                         _MK_MASK_CONST(0x8)
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_READ_MASK                  _MK_MASK_CONST(0x8)
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_WRITE_MASK                         _MK_MASK_CONST(0x8)
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SCEPC_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SCEPC_FIELD                        _MK_FIELD_CONST(0x1, MC_SCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SCEPC_SHIFT)
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SCEPC_RANGE                        3:3
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SCEPC_WOFFSET                      0x0
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SCEPC_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SCEPC_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SCEPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SCEPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SCEPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SCEPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SCEPC_INIT_ENUM                    DISABLE
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SCEPC_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SCEPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SCEPC_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_HOST_EXTRA_SNAP_LEVELS_0
#define MC_HOST_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0xa14)
#define MC_HOST_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_HOST_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_HOST_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_HOST_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_HOST_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_HOST_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_HOST_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_HOST_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HOST_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_HOST_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_HOST_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HOST_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_HOST_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HOST_FIELD                  _MK_FIELD_CONST(0x1, MC_HOST_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HOST_SHIFT)
#define MC_HOST_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HOST_RANGE                  3:3
#define MC_HOST_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HOST_WOFFSET                        0x0
#define MC_HOST_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HOST_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HOST_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HOST_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_HOST_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HOST_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HOST_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HOST_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HOST_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HOST_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HOST_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HOST_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_HOST_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HOST_INIT_ENUM                      DISABLE
#define MC_HOST_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HOST_DISABLE                        _MK_ENUM_CONST(0)
#define MC_HOST_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_HOST_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_JPG_EXTRA_SNAP_LEVELS_0
#define MC_JPG_EXTRA_SNAP_LEVELS_0                      _MK_ADDR_CONST(0xa3c)
#define MC_JPG_EXTRA_SNAP_LEVELS_0_SECURE                       0x0
#define MC_JPG_EXTRA_SNAP_LEVELS_0_DUAL                         0x0
#define MC_JPG_EXTRA_SNAP_LEVELS_0_SCR                  0
#define MC_JPG_EXTRA_SNAP_LEVELS_0_WORD_COUNT                   0x1
#define MC_JPG_EXTRA_SNAP_LEVELS_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_JPG_EXTRA_SNAP_LEVELS_0_RESET_MASK                   _MK_MASK_CONST(0x8)
#define MC_JPG_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_JPG_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_JPG_EXTRA_SNAP_LEVELS_0_READ_MASK                    _MK_MASK_CONST(0x8)
#define MC_JPG_EXTRA_SNAP_LEVELS_0_WRITE_MASK                   _MK_MASK_CONST(0x8)
#define MC_JPG_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_JPG_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_JPG_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_JPG_FIELD                    _MK_FIELD_CONST(0x1, MC_JPG_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_JPG_SHIFT)
#define MC_JPG_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_JPG_RANGE                    3:3
#define MC_JPG_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_JPG_WOFFSET                  0x0
#define MC_JPG_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_JPG_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_JPG_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_JPG_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_JPG_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_JPG_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_JPG_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_JPG_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_JPG_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_JPG_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_JPG_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_JPG_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_JPG_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_JPG_INIT_ENUM                        DISABLE
#define MC_JPG_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_JPG_DISABLE                  _MK_ENUM_CONST(0)
#define MC_JPG_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_JPG_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_DLA0XA3_EXTRA_SNAP_LEVELS_0
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0                  _MK_ADDR_CONST(0x4110)
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_SECURE                   0x0
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_DUAL                     0x0
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_SCR                      0
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_WORD_COUNT                       0x1
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_RESET_MASK                       _MK_MASK_CONST(0x8)
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_READ_MASK                        _MK_MASK_CONST(0x8)
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_WRITE_MASK                       _MK_MASK_CONST(0x8)
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA3_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA3_FIELD                    _MK_FIELD_CONST(0x1, MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA3_SHIFT)
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA3_RANGE                    3:3
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA3_WOFFSET                  0x0
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA3_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA3_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA3_INIT_ENUM                        DISABLE
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA3_DISABLE                  _MK_ENUM_CONST(0)
#define MC_DLA0XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA0XA3_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_DIS_EXTRA_SNAP_LEVELS_0
#define MC_DIS_EXTRA_SNAP_LEVELS_0                      _MK_ADDR_CONST(0x2ac)
#define MC_DIS_EXTRA_SNAP_LEVELS_0_SECURE                       0x0
#define MC_DIS_EXTRA_SNAP_LEVELS_0_DUAL                         0x0
#define MC_DIS_EXTRA_SNAP_LEVELS_0_SCR                  0
#define MC_DIS_EXTRA_SNAP_LEVELS_0_WORD_COUNT                   0x1
#define MC_DIS_EXTRA_SNAP_LEVELS_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_DIS_EXTRA_SNAP_LEVELS_0_RESET_MASK                   _MK_MASK_CONST(0x8)
#define MC_DIS_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_DIS_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_DIS_EXTRA_SNAP_LEVELS_0_READ_MASK                    _MK_MASK_CONST(0x8)
#define MC_DIS_EXTRA_SNAP_LEVELS_0_WRITE_MASK                   _MK_MASK_CONST(0x8)
#define MC_DIS_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_DIS_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS_FIELD                    _MK_FIELD_CONST(0x1, MC_DIS_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS_SHIFT)
#define MC_DIS_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS_RANGE                    3:3
#define MC_DIS_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS_WOFFSET                  0x0
#define MC_DIS_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_DIS_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_DIS_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_DIS_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DIS_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_DIS_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_DIS_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS_INIT_ENUM                        DISABLE
#define MC_DIS_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS_DISABLE                  _MK_ENUM_CONST(0)
#define MC_DIS_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_DLA1XA_EXTRA_SNAP_LEVELS_0
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0                   _MK_ADDR_CONST(0xe14)
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_SECURE                    0x0
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_DUAL                      0x0
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_SCR                       0
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_WORD_COUNT                        0x1
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_RESET_MASK                        _MK_MASK_CONST(0x8)
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_READ_MASK                         _MK_MASK_CONST(0x8)
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_WRITE_MASK                        _MK_MASK_CONST(0x8)
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA_FIELD                      _MK_FIELD_CONST(0x1, MC_DLA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA_SHIFT)
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA_RANGE                      3:3
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA_WOFFSET                    0x0
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA_INIT_ENUM                  DISABLE
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_DLA1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_PCIE0X_EXTRA_SNAP_LEVELS_0
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0                   _MK_ADDR_CONST(0x326c)
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_SECURE                    0x0
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_DUAL                      0x0
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_SCR                       0
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_WORD_COUNT                        0x1
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_RESET_MASK                        _MK_MASK_CONST(0x8)
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_READ_MASK                         _MK_MASK_CONST(0x8)
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_WRITE_MASK                        _MK_MASK_CONST(0x8)
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X_FIELD                      _MK_FIELD_CONST(0x1, MC_PCIE0X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X_SHIFT)
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X_RANGE                      3:3
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X_WOFFSET                    0x0
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X_INIT_ENUM                  DISABLE
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X_DISABLE                    _MK_ENUM_CONST(0)
#define MC_PCIE0X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE0X_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_PCIE5X_EXTRA_SNAP_LEVELS_0
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0                   _MK_ADDR_CONST(0x4108)
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_SECURE                    0x0
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_DUAL                      0x0
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_SCR                       0
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_WORD_COUNT                        0x1
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_RESET_MASK                        _MK_MASK_CONST(0x8)
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_READ_MASK                         _MK_MASK_CONST(0x8)
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_WRITE_MASK                        _MK_MASK_CONST(0x8)
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X_FIELD                      _MK_FIELD_CONST(0x1, MC_PCIE5X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X_SHIFT)
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X_RANGE                      3:3
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X_WOFFSET                    0x0
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X_INIT_ENUM                  DISABLE
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X_DISABLE                    _MK_ENUM_CONST(0)
#define MC_PCIE5X_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_PVA0XC_EXTRA_SNAP_LEVELS_0
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0                   _MK_ADDR_CONST(0x4814)
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_SECURE                    0x0
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_DUAL                      0x0
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_SCR                       0
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_WORD_COUNT                        0x1
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_RESET_MASK                        _MK_MASK_CONST(0x8)
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_READ_MASK                         _MK_MASK_CONST(0x8)
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_WRITE_MASK                        _MK_MASK_CONST(0x8)
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XC_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XC_FIELD                      _MK_FIELD_CONST(0x1, MC_PVA0XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XC_SHIFT)
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XC_RANGE                      3:3
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XC_WOFFSET                    0x0
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XC_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XC_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XC_INIT_ENUM                  DISABLE
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XC_DISABLE                    _MK_ENUM_CONST(0)
#define MC_PVA0XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XC_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_MSE3_EXTRA_SNAP_LEVELS_0
#define MC_MSE3_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0x3250)
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE3_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE3_FIELD                  _MK_FIELD_CONST(0x1, MC_MSE3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE3_SHIFT)
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE3_RANGE                  3:3
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE3_WOFFSET                        0x0
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE3_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE3_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE3_INIT_ENUM                      DISABLE
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE3_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSE3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSE3_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_USBX2_EXTRA_SNAP_LEVELS_0
#define MC_USBX2_EXTRA_SNAP_LEVELS_0                    _MK_ADDR_CONST(0x4848)
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_SECURE                     0x0
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_DUAL                       0x0
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_SCR                        0
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_WORD_COUNT                         0x1
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_RESET_MASK                         _MK_MASK_CONST(0x8)
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_READ_MASK                  _MK_MASK_CONST(0x8)
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_WRITE_MASK                         _MK_MASK_CONST(0x8)
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX2_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX2_FIELD                        _MK_FIELD_CONST(0x1, MC_USBX2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX2_SHIFT)
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX2_RANGE                        3:3
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX2_WOFFSET                      0x0
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX2_INIT_ENUM                    DISABLE
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX2_DISABLE                      _MK_ENUM_CONST(0)
#define MC_USBX2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_USBX2_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_PVA0XA_EXTRA_SNAP_LEVELS_0
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0                   _MK_ADDR_CONST(0xe18)
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_SECURE                    0x0
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_DUAL                      0x0
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_SCR                       0
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_WORD_COUNT                        0x1
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_RESET_MASK                        _MK_MASK_CONST(0x8)
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_READ_MASK                         _MK_MASK_CONST(0x8)
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_WRITE_MASK                        _MK_MASK_CONST(0x8)
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA_FIELD                      _MK_FIELD_CONST(0x1, MC_PVA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA_SHIFT)
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA_RANGE                      3:3
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA_WOFFSET                    0x0
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA_INIT_ENUM                  DISABLE
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_PVA0XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0                        _MK_ADDR_CONST(0x3268)
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_SECURE                         0x0
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_DUAL                   0x0
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_SCR                    0
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_WORD_COUNT                     0x1
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_RESET_MASK                     _MK_MASK_CONST(0x8)
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_READ_MASK                      _MK_MASK_CONST(0x8)
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_WRITE_MASK                     _MK_MASK_CONST(0x8)
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1FALPC_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1FALPC_FIELD                        _MK_FIELD_CONST(0x1, MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1FALPC_SHIFT)
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1FALPC_RANGE                        3:3
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1FALPC_WOFFSET                      0x0
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1FALPC_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1FALPC_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1FALPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1FALPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1FALPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1FALPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1FALPC_INIT_ENUM                    DISABLE
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1FALPC_DISABLE                      _MK_ENUM_CONST(0)
#define MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1FALPC_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_DLA1XA3_EXTRA_SNAP_LEVELS_0
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0                  _MK_ADDR_CONST(0x4114)
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_SECURE                   0x0
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_DUAL                     0x0
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_SCR                      0
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_WORD_COUNT                       0x1
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_RESET_MASK                       _MK_MASK_CONST(0x8)
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_READ_MASK                        _MK_MASK_CONST(0x8)
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_WRITE_MASK                       _MK_MASK_CONST(0x8)
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA3_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA3_FIELD                    _MK_FIELD_CONST(0x1, MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA3_SHIFT)
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA3_RANGE                    3:3
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA3_WOFFSET                  0x0
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA3_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA3_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA3_INIT_ENUM                        DISABLE
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA3_DISABLE                  _MK_ENUM_CONST(0)
#define MC_DLA1XA3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DLA1XA3_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_PCIE5XA_EXTRA_SNAP_LEVELS_0
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0                  _MK_ADDR_CONST(0x4804)
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_SECURE                   0x0
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_DUAL                     0x0
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_SCR                      0
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_WORD_COUNT                       0x1
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_RESET_MASK                       _MK_MASK_CONST(0x8)
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_READ_MASK                        _MK_MASK_CONST(0x8)
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_WRITE_MASK                       _MK_MASK_CONST(0x8)
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5XA_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5XA_FIELD                    _MK_FIELD_CONST(0x1, MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5XA_SHIFT)
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5XA_RANGE                    3:3
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5XA_WOFFSET                  0x0
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5XA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5XA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5XA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5XA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5XA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5XA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5XA_INIT_ENUM                        DISABLE
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5XA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_PCIE5XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5XA_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_MIU5_EXTRA_SNAP_LEVELS_0
#define MC_MIU5_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0x4928)
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU5_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU5_FIELD                  _MK_FIELD_CONST(0x1, MC_MIU5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU5_SHIFT)
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU5_RANGE                  3:3
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU5_WOFFSET                        0x0
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU5_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU5_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU5_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU5_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU5_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU5_INIT_ENUM                      DISABLE
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU5_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MIU5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU5_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_VICPC2_EXTRA_SNAP_LEVELS_0
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0                   _MK_ADDR_CONST(0xa7c)
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_SECURE                    0x0
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_DUAL                      0x0
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_SCR                       0
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_WORD_COUNT                        0x1
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_RESET_MASK                        _MK_MASK_CONST(0x8)
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_READ_MASK                         _MK_MASK_CONST(0x8)
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_WRITE_MASK                        _MK_MASK_CONST(0x8)
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC2_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC2_FIELD                      _MK_FIELD_CONST(0x1, MC_VICPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC2_SHIFT)
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC2_RANGE                      3:3
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC2_WOFFSET                    0x0
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC2_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC2_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC2_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC2_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC2_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC2_INIT_ENUM                  DISABLE
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC2_DISABLE                    _MK_ENUM_CONST(0)
#define MC_VICPC2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_VICPC2_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_ISPPC_EXTRA_SNAP_LEVELS_0
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0                    _MK_ADDR_CONST(0x490c)
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_SECURE                     0x0
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_DUAL                       0x0
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_SCR                        0
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_WORD_COUNT                         0x1
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_RESET_MASK                         _MK_MASK_CONST(0x8)
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_READ_MASK                  _MK_MASK_CONST(0x8)
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_WRITE_MASK                         _MK_MASK_CONST(0x8)
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISPPC_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISPPC_FIELD                        _MK_FIELD_CONST(0x1, MC_ISPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISPPC_SHIFT)
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISPPC_RANGE                        3:3
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISPPC_WOFFSET                      0x0
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISPPC_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISPPC_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISPPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISPPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISPPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISPPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISPPC_INIT_ENUM                    DISABLE
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISPPC_DISABLE                      _MK_ENUM_CONST(0)
#define MC_ISPPC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISPPC_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_PCIE1XA_EXTRA_SNAP_LEVELS_0
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0                  _MK_ADDR_CONST(0x411c)
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_SECURE                   0x0
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_DUAL                     0x0
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_SCR                      0
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_WORD_COUNT                       0x1
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_RESET_MASK                       _MK_MASK_CONST(0x8)
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_READ_MASK                        _MK_MASK_CONST(0x8)
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_WRITE_MASK                       _MK_MASK_CONST(0x8)
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1XA_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1XA_FIELD                    _MK_FIELD_CONST(0x1, MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1XA_SHIFT)
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1XA_RANGE                    3:3
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1XA_WOFFSET                  0x0
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1XA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1XA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1XA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1XA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1XA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1XA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1XA_INIT_ENUM                        DISABLE
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1XA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_PCIE1XA_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE1XA_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_NVD6_EXTRA_SNAP_LEVELS_0
#define MC_NVD6_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0x4920)
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD6_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD6_FIELD                  _MK_FIELD_CONST(0x1, MC_NVD6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD6_SHIFT)
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD6_RANGE                  3:3
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD6_WOFFSET                        0x0
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD6_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD6_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD6_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD6_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD6_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD6_INIT_ENUM                      DISABLE
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD6_DISABLE                        _MK_ENUM_CONST(0)
#define MC_NVD6_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD6_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SDM_EXTRA_SNAP_LEVELS_0
#define MC_SDM_EXTRA_SNAP_LEVELS_0                      _MK_ADDR_CONST(0xa44)
#define MC_SDM_EXTRA_SNAP_LEVELS_0_SECURE                       0x0
#define MC_SDM_EXTRA_SNAP_LEVELS_0_DUAL                         0x0
#define MC_SDM_EXTRA_SNAP_LEVELS_0_SCR                  0
#define MC_SDM_EXTRA_SNAP_LEVELS_0_WORD_COUNT                   0x1
#define MC_SDM_EXTRA_SNAP_LEVELS_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SDM_EXTRA_SNAP_LEVELS_0_RESET_MASK                   _MK_MASK_CONST(0x8)
#define MC_SDM_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SDM_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SDM_EXTRA_SNAP_LEVELS_0_READ_MASK                    _MK_MASK_CONST(0x8)
#define MC_SDM_EXTRA_SNAP_LEVELS_0_WRITE_MASK                   _MK_MASK_CONST(0x8)
#define MC_SDM_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SDM_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SDM_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SDM_FIELD                    _MK_FIELD_CONST(0x1, MC_SDM_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SDM_SHIFT)
#define MC_SDM_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SDM_RANGE                    3:3
#define MC_SDM_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SDM_WOFFSET                  0x0
#define MC_SDM_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SDM_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SDM_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SDM_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SDM_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SDM_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SDM_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SDM_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SDM_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SDM_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SDM_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SDM_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SDM_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SDM_INIT_ENUM                        DISABLE
#define MC_SDM_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SDM_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SDM_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SDM_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_APB_EXTRA_SNAP_LEVELS_0
#define MC_APB_EXTRA_SNAP_LEVELS_0                      _MK_ADDR_CONST(0x2a4)
#define MC_APB_EXTRA_SNAP_LEVELS_0_SECURE                       0x0
#define MC_APB_EXTRA_SNAP_LEVELS_0_DUAL                         0x0
#define MC_APB_EXTRA_SNAP_LEVELS_0_SCR                  0
#define MC_APB_EXTRA_SNAP_LEVELS_0_WORD_COUNT                   0x1
#define MC_APB_EXTRA_SNAP_LEVELS_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_APB_EXTRA_SNAP_LEVELS_0_RESET_MASK                   _MK_MASK_CONST(0x8)
#define MC_APB_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_APB_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_APB_EXTRA_SNAP_LEVELS_0_READ_MASK                    _MK_MASK_CONST(0x8)
#define MC_APB_EXTRA_SNAP_LEVELS_0_WRITE_MASK                   _MK_MASK_CONST(0x8)
#define MC_APB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_APB_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_APB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_APB_FIELD                    _MK_FIELD_CONST(0x1, MC_APB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_APB_SHIFT)
#define MC_APB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_APB_RANGE                    3:3
#define MC_APB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_APB_WOFFSET                  0x0
#define MC_APB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_APB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_APB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_APB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_APB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_APB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_APB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_APB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_APB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_APB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_APB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_APB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_APB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_APB_INIT_ENUM                        DISABLE
#define MC_APB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_APB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_APB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_APB_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_ISP_EXTRA_SNAP_LEVELS_0
#define MC_ISP_EXTRA_SNAP_LEVELS_0                      _MK_ADDR_CONST(0xa08)
#define MC_ISP_EXTRA_SNAP_LEVELS_0_SECURE                       0x0
#define MC_ISP_EXTRA_SNAP_LEVELS_0_DUAL                         0x0
#define MC_ISP_EXTRA_SNAP_LEVELS_0_SCR                  0
#define MC_ISP_EXTRA_SNAP_LEVELS_0_WORD_COUNT                   0x1
#define MC_ISP_EXTRA_SNAP_LEVELS_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_ISP_EXTRA_SNAP_LEVELS_0_RESET_MASK                   _MK_MASK_CONST(0x8)
#define MC_ISP_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_ISP_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ISP_EXTRA_SNAP_LEVELS_0_READ_MASK                    _MK_MASK_CONST(0x8)
#define MC_ISP_EXTRA_SNAP_LEVELS_0_WRITE_MASK                   _MK_MASK_CONST(0x8)
#define MC_ISP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_ISP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP_FIELD                    _MK_FIELD_CONST(0x1, MC_ISP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP_SHIFT)
#define MC_ISP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP_RANGE                    3:3
#define MC_ISP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP_WOFFSET                  0x0
#define MC_ISP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ISP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_ISP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ISP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ISP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ISP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_ISP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP_INIT_ENUM                        DISABLE
#define MC_ISP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_ISP_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_ISP_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_MIU0_EXTRA_SNAP_LEVELS_0
#define MC_MIU0_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0x3254)
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU0_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU0_FIELD                  _MK_FIELD_CONST(0x1, MC_MIU0_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU0_SHIFT)
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU0_RANGE                  3:3
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU0_WOFFSET                        0x0
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU0_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU0_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU0_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU0_INIT_ENUM                      DISABLE
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU0_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MIU0_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU0_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_PCIE5X2_EXTRA_SNAP_LEVELS_0
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0                  _MK_ADDR_CONST(0x4840)
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_SECURE                   0x0
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_DUAL                     0x0
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_SCR                      0
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_WORD_COUNT                       0x1
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_RESET_MASK                       _MK_MASK_CONST(0x8)
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_READ_MASK                        _MK_MASK_CONST(0x8)
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_WRITE_MASK                       _MK_MASK_CONST(0x8)
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X2_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X2_FIELD                    _MK_FIELD_CONST(0x1, MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X2_SHIFT)
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X2_RANGE                    3:3
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X2_WOFFSET                  0x0
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X2_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X2_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X2_INIT_ENUM                        DISABLE
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X2_DISABLE                  _MK_ENUM_CONST(0)
#define MC_PCIE5X2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PCIE5X2_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_NIC_EXTRA_SNAP_LEVELS_0
#define MC_NIC_EXTRA_SNAP_LEVELS_0                      _MK_ADDR_CONST(0xa54)
#define MC_NIC_EXTRA_SNAP_LEVELS_0_SECURE                       0x0
#define MC_NIC_EXTRA_SNAP_LEVELS_0_DUAL                         0x0
#define MC_NIC_EXTRA_SNAP_LEVELS_0_SCR                  0
#define MC_NIC_EXTRA_SNAP_LEVELS_0_WORD_COUNT                   0x1
#define MC_NIC_EXTRA_SNAP_LEVELS_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_NIC_EXTRA_SNAP_LEVELS_0_RESET_MASK                   _MK_MASK_CONST(0x8)
#define MC_NIC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_NIC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_NIC_EXTRA_SNAP_LEVELS_0_READ_MASK                    _MK_MASK_CONST(0x8)
#define MC_NIC_EXTRA_SNAP_LEVELS_0_WRITE_MASK                   _MK_MASK_CONST(0x8)
#define MC_NIC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NIC_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_NIC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NIC_FIELD                    _MK_FIELD_CONST(0x1, MC_NIC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NIC_SHIFT)
#define MC_NIC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NIC_RANGE                    3:3
#define MC_NIC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NIC_WOFFSET                  0x0
#define MC_NIC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NIC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_NIC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NIC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_NIC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NIC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_NIC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NIC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_NIC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NIC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_NIC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NIC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_NIC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NIC_INIT_ENUM                        DISABLE
#define MC_NIC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NIC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_NIC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NIC_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_MIU2_EXTRA_SNAP_LEVELS_0
#define MC_MIU2_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0x325c)
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU2_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU2_FIELD                  _MK_FIELD_CONST(0x1, MC_MIU2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU2_SHIFT)
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU2_RANGE                  3:3
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU2_WOFFSET                        0x0
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU2_INIT_ENUM                      DISABLE
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU2_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MIU2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MIU2_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_PVA0XB_EXTRA_SNAP_LEVELS_0
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0                   _MK_ADDR_CONST(0x480c)
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_SECURE                    0x0
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_DUAL                      0x0
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_SCR                       0
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_WORD_COUNT                        0x1
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_RESET_MASK                        _MK_MASK_CONST(0x8)
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_READ_MASK                         _MK_MASK_CONST(0x8)
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_WRITE_MASK                        _MK_MASK_CONST(0x8)
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB_FIELD                      _MK_FIELD_CONST(0x1, MC_PVA0XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB_SHIFT)
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB_RANGE                      3:3
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB_WOFFSET                    0x0
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB_INIT_ENUM                  DISABLE
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_PVA0XB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XB_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_PVA1XB3_EXTRA_SNAP_LEVELS_0
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0                  _MK_ADDR_CONST(0x4820)
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_SECURE                   0x0
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_DUAL                     0x0
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_SCR                      0
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_WORD_COUNT                       0x1
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_RESET_MASK                       _MK_MASK_CONST(0x8)
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_READ_MASK                        _MK_MASK_CONST(0x8)
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_WRITE_MASK                       _MK_MASK_CONST(0x8)
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB3_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB3_FIELD                    _MK_FIELD_CONST(0x1, MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB3_SHIFT)
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB3_RANGE                    3:3
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB3_WOFFSET                  0x0
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB3_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB3_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB3_INIT_ENUM                        DISABLE
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB3_DISABLE                  _MK_ENUM_CONST(0)
#define MC_PVA1XB3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XB3_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_NVD3_EXTRA_SNAP_LEVELS_0
#define MC_NVD3_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0xe04)
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD3_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD3_FIELD                  _MK_FIELD_CONST(0x1, MC_NVD3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD3_SHIFT)
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD3_RANGE                  3:3
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD3_WOFFSET                        0x0
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD3_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD3_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD3_INIT_ENUM                      DISABLE
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD3_DISABLE                        _MK_ENUM_CONST(0)
#define MC_NVD3_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD3_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SAX_EXTRA_SNAP_LEVELS_0
#define MC_SAX_EXTRA_SNAP_LEVELS_0                      _MK_ADDR_CONST(0x2c0)
#define MC_SAX_EXTRA_SNAP_LEVELS_0_SECURE                       0x0
#define MC_SAX_EXTRA_SNAP_LEVELS_0_DUAL                         0x0
#define MC_SAX_EXTRA_SNAP_LEVELS_0_SCR                  0
#define MC_SAX_EXTRA_SNAP_LEVELS_0_WORD_COUNT                   0x1
#define MC_SAX_EXTRA_SNAP_LEVELS_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SAX_EXTRA_SNAP_LEVELS_0_RESET_MASK                   _MK_MASK_CONST(0x8)
#define MC_SAX_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SAX_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SAX_EXTRA_SNAP_LEVELS_0_READ_MASK                    _MK_MASK_CONST(0x8)
#define MC_SAX_EXTRA_SNAP_LEVELS_0_WRITE_MASK                   _MK_MASK_CONST(0x8)
#define MC_SAX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SAX_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SAX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SAX_FIELD                    _MK_FIELD_CONST(0x1, MC_SAX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SAX_SHIFT)
#define MC_SAX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SAX_RANGE                    3:3
#define MC_SAX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SAX_WOFFSET                  0x0
#define MC_SAX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SAX_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SAX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SAX_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SAX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SAX_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SAX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SAX_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SAX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SAX_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SAX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SAX_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SAX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SAX_INIT_ENUM                        DISABLE
#define MC_SAX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SAX_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SAX_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_SAX_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_MSEB1_EXTRA_SNAP_LEVELS_0
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0                    _MK_ADDR_CONST(0x4908)
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_SECURE                     0x0
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_DUAL                       0x0
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_SCR                        0
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_WORD_COUNT                         0x1
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_RESET_MASK                         _MK_MASK_CONST(0x8)
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_READ_MASK                  _MK_MASK_CONST(0x8)
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_WRITE_MASK                         _MK_MASK_CONST(0x8)
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB1_FIELD                        _MK_FIELD_CONST(0x1, MC_MSEB1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB1_SHIFT)
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB1_RANGE                        3:3
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB1_WOFFSET                      0x0
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB1_INIT_ENUM                    DISABLE
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MSEB1_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB1_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_MSEB_EXTRA_SNAP_LEVELS_0
#define MC_MSEB_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0x4904)
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB_FIELD                  _MK_FIELD_CONST(0x1, MC_MSEB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB_SHIFT)
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB_RANGE                  3:3
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB_WOFFSET                        0x0
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB_INIT_ENUM                      DISABLE
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSEB_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_MSEB_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_NVD4_EXTRA_SNAP_LEVELS_0
#define MC_NVD4_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0x4918)
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD4_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD4_FIELD                  _MK_FIELD_CONST(0x1, MC_NVD4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD4_SHIFT)
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD4_RANGE                  3:3
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD4_WOFFSET                        0x0
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD4_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD4_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD4_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD4_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD4_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD4_INIT_ENUM                      DISABLE
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD4_DISABLE                        _MK_ENUM_CONST(0)
#define MC_NVD4_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD4_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_PVA1XC_EXTRA_SNAP_LEVELS_0
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0                   _MK_ADDR_CONST(0x4824)
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_SECURE                    0x0
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_DUAL                      0x0
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_SCR                       0
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_WORD_COUNT                        0x1
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_RESET_MASK                        _MK_MASK_CONST(0x8)
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_READ_MASK                         _MK_MASK_CONST(0x8)
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_WRITE_MASK                        _MK_MASK_CONST(0x8)
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XC_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XC_FIELD                      _MK_FIELD_CONST(0x1, MC_PVA1XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XC_SHIFT)
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XC_RANGE                      3:3
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XC_WOFFSET                    0x0
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XC_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XC_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XC_INIT_ENUM                  DISABLE
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XC_DISABLE                    _MK_ENUM_CONST(0)
#define MC_PVA1XC_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XC_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_NVD_EXTRA_SNAP_LEVELS_0
#define MC_NVD_EXTRA_SNAP_LEVELS_0                      _MK_ADDR_CONST(0xa38)
#define MC_NVD_EXTRA_SNAP_LEVELS_0_SECURE                       0x0
#define MC_NVD_EXTRA_SNAP_LEVELS_0_DUAL                         0x0
#define MC_NVD_EXTRA_SNAP_LEVELS_0_SCR                  0
#define MC_NVD_EXTRA_SNAP_LEVELS_0_WORD_COUNT                   0x1
#define MC_NVD_EXTRA_SNAP_LEVELS_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_NVD_EXTRA_SNAP_LEVELS_0_RESET_MASK                   _MK_MASK_CONST(0x8)
#define MC_NVD_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_NVD_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_NVD_EXTRA_SNAP_LEVELS_0_READ_MASK                    _MK_MASK_CONST(0x8)
#define MC_NVD_EXTRA_SNAP_LEVELS_0_WRITE_MASK                   _MK_MASK_CONST(0x8)
#define MC_NVD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_NVD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD_FIELD                    _MK_FIELD_CONST(0x1, MC_NVD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD_SHIFT)
#define MC_NVD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD_RANGE                    3:3
#define MC_NVD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD_WOFFSET                  0x0
#define MC_NVD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_NVD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_NVD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_NVD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_NVD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_NVD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_NVD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD_INIT_ENUM                        DISABLE
#define MC_NVD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_NVD_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_PVA1XA2_EXTRA_SNAP_LEVELS_0
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0                  _MK_ADDR_CONST(0x4838)
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_SECURE                   0x0
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_DUAL                     0x0
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_SCR                      0
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_WORD_COUNT                       0x1
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_RESET_MASK                       _MK_MASK_CONST(0x8)
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_READ_MASK                        _MK_MASK_CONST(0x8)
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_WRITE_MASK                       _MK_MASK_CONST(0x8)
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA2_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA2_FIELD                    _MK_FIELD_CONST(0x1, MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA2_SHIFT)
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA2_RANGE                    3:3
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA2_WOFFSET                  0x0
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA2_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA2_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA2_INIT_ENUM                        DISABLE
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA2_DISABLE                  _MK_ENUM_CONST(0)
#define MC_PVA1XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA1XA2_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_PVA0XA2_EXTRA_SNAP_LEVELS_0
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0                  _MK_ADDR_CONST(0x4830)
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_SECURE                   0x0
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_DUAL                     0x0
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_SCR                      0
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_WORD_COUNT                       0x1
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_RESET_MASK                       _MK_MASK_CONST(0x8)
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_READ_MASK                        _MK_MASK_CONST(0x8)
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_WRITE_MASK                       _MK_MASK_CONST(0x8)
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA2_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA2_FIELD                    _MK_FIELD_CONST(0x1, MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA2_SHIFT)
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA2_RANGE                    3:3
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA2_WOFFSET                  0x0
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA2_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA2_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA2_INIT_ENUM                        DISABLE
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA2_DISABLE                  _MK_ENUM_CONST(0)
#define MC_PVA0XA2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_PVA0XA2_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_NVD5_EXTRA_SNAP_LEVELS_0
#define MC_NVD5_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0x491c)
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD5_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD5_FIELD                  _MK_FIELD_CONST(0x1, MC_NVD5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD5_SHIFT)
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD5_RANGE                  3:3
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD5_WOFFSET                        0x0
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD5_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD5_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD5_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD5_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD5_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD5_INIT_ENUM                      DISABLE
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD5_DISABLE                        _MK_ENUM_CONST(0)
#define MC_NVD5_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_NVD5_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_DIS2_EXTRA_SNAP_LEVELS_0
#define MC_DIS2_EXTRA_SNAP_LEVELS_0                     _MK_ADDR_CONST(0xa84)
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_SECURE                      0x0
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_DUAL                        0x0
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_SCR                         0
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_WORD_COUNT                  0x1
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_RESET_MASK                  _MK_MASK_CONST(0x8)
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_READ_MASK                   _MK_MASK_CONST(0x8)
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_WRITE_MASK                  _MK_MASK_CONST(0x8)
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS2_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS2_FIELD                  _MK_FIELD_CONST(0x1, MC_DIS2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS2_SHIFT)
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS2_RANGE                  3:3
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS2_WOFFSET                        0x0
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS2_INIT_ENUM                      DISABLE
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS2_DISABLE                        _MK_ENUM_CONST(0)
#define MC_DIS2_EXTRA_SNAP_LEVELS_0_RCLKEN_OVERRIDE_DIS2_ENABLE                 _MK_ENUM_CONST(1)


// Reserved address 0xa88

// Reserved address 0xa8c

// Reserved address 0xa90

// Reserved address 0xa94

// Reserved address 0xa98

// Reserved address 0xa9c

// Reserved address 0xaa0

// Reserved address 0xaa4

// Reserved address 0xaa8

// Reserved address 0xaac

// Reserved address 0xab0

// Reserved address 0xab4

// Reserved address 0xab8

// Reserved address 0xabc

// Reserved address 0xac0

// Register MC_VIDEO_PROTECT_BOM_0
#define MC_VIDEO_PROTECT_BOM_0                  _MK_ADDR_CONST(0x648)
#define MC_VIDEO_PROTECT_BOM_0_SECURE                   0x0
#define MC_VIDEO_PROTECT_BOM_0_DUAL                     0x0
#define MC_VIDEO_PROTECT_BOM_0_SCR                      0
#define MC_VIDEO_PROTECT_BOM_0_WORD_COUNT                       0x1
#define MC_VIDEO_PROTECT_BOM_0_RESET_VAL                        _MK_MASK_CONST(0xfff00000)
#define MC_VIDEO_PROTECT_BOM_0_RESET_MASK                       _MK_MASK_CONST(0xfff00000)
#define MC_VIDEO_PROTECT_BOM_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_BOM_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_BOM_0_READ_MASK                        _MK_MASK_CONST(0xfff00000)
#define MC_VIDEO_PROTECT_BOM_0_WRITE_MASK                       _MK_MASK_CONST(0xfff00000)
#define MC_VIDEO_PROTECT_BOM_0_VIDEO_PROTECT_BOM_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_VIDEO_PROTECT_BOM_0_VIDEO_PROTECT_BOM_FIELD                  _MK_FIELD_CONST(0xfff, MC_VIDEO_PROTECT_BOM_0_VIDEO_PROTECT_BOM_SHIFT)
#define MC_VIDEO_PROTECT_BOM_0_VIDEO_PROTECT_BOM_RANGE                  31:20
#define MC_VIDEO_PROTECT_BOM_0_VIDEO_PROTECT_BOM_WOFFSET                        0x0
#define MC_VIDEO_PROTECT_BOM_0_VIDEO_PROTECT_BOM_DEFAULT                        _MK_MASK_CONST(0xfff)
#define MC_VIDEO_PROTECT_BOM_0_VIDEO_PROTECT_BOM_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_VIDEO_PROTECT_BOM_0_VIDEO_PROTECT_BOM_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_BOM_0_VIDEO_PROTECT_BOM_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_BOM_0_VIDEO_PROTECT_BOM_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_BOM_0_VIDEO_PROTECT_BOM_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_VIDEO_PROTECT_SIZE_MB_0
#define MC_VIDEO_PROTECT_SIZE_MB_0                      _MK_ADDR_CONST(0x64c)
#define MC_VIDEO_PROTECT_SIZE_MB_0_SECURE                       0x0
#define MC_VIDEO_PROTECT_SIZE_MB_0_DUAL                         0x0
#define MC_VIDEO_PROTECT_SIZE_MB_0_SCR                  0
#define MC_VIDEO_PROTECT_SIZE_MB_0_WORD_COUNT                   0x1
#define MC_VIDEO_PROTECT_SIZE_MB_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_SIZE_MB_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_VIDEO_PROTECT_SIZE_MB_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_SIZE_MB_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_SIZE_MB_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_VIDEO_PROTECT_SIZE_MB_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_VIDEO_PROTECT_SIZE_MB_0_VIDEO_PROTECT_SIZE_MB_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_VIDEO_PROTECT_SIZE_MB_0_VIDEO_PROTECT_SIZE_MB_FIELD                  _MK_FIELD_CONST(0xfff, MC_VIDEO_PROTECT_SIZE_MB_0_VIDEO_PROTECT_SIZE_MB_SHIFT)
#define MC_VIDEO_PROTECT_SIZE_MB_0_VIDEO_PROTECT_SIZE_MB_RANGE                  11:0
#define MC_VIDEO_PROTECT_SIZE_MB_0_VIDEO_PROTECT_SIZE_MB_WOFFSET                        0x0
#define MC_VIDEO_PROTECT_SIZE_MB_0_VIDEO_PROTECT_SIZE_MB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_SIZE_MB_0_VIDEO_PROTECT_SIZE_MB_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_VIDEO_PROTECT_SIZE_MB_0_VIDEO_PROTECT_SIZE_MB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_SIZE_MB_0_VIDEO_PROTECT_SIZE_MB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_SIZE_MB_0_VIDEO_PROTECT_SIZE_MB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_SIZE_MB_0_VIDEO_PROTECT_SIZE_MB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_VIDEO_PROTECT_BOM_ADR_HI_0
#define MC_VIDEO_PROTECT_BOM_ADR_HI_0                   _MK_ADDR_CONST(0x978)
#define MC_VIDEO_PROTECT_BOM_ADR_HI_0_SECURE                    0x0
#define MC_VIDEO_PROTECT_BOM_ADR_HI_0_DUAL                      0x0
#define MC_VIDEO_PROTECT_BOM_ADR_HI_0_SCR                       0
#define MC_VIDEO_PROTECT_BOM_ADR_HI_0_WORD_COUNT                        0x1
#define MC_VIDEO_PROTECT_BOM_ADR_HI_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_BOM_ADR_HI_0_RESET_MASK                        _MK_MASK_CONST(0xff)
#define MC_VIDEO_PROTECT_BOM_ADR_HI_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_BOM_ADR_HI_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_BOM_ADR_HI_0_READ_MASK                         _MK_MASK_CONST(0xff)
#define MC_VIDEO_PROTECT_BOM_ADR_HI_0_WRITE_MASK                        _MK_MASK_CONST(0xff)
#define MC_VIDEO_PROTECT_BOM_ADR_HI_0_VIDEO_PROTECT_BOM_ADR_HI_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_VIDEO_PROTECT_BOM_ADR_HI_0_VIDEO_PROTECT_BOM_ADR_HI_FIELD                    _MK_FIELD_CONST(0xff, MC_VIDEO_PROTECT_BOM_ADR_HI_0_VIDEO_PROTECT_BOM_ADR_HI_SHIFT)
#define MC_VIDEO_PROTECT_BOM_ADR_HI_0_VIDEO_PROTECT_BOM_ADR_HI_RANGE                    7:0
#define MC_VIDEO_PROTECT_BOM_ADR_HI_0_VIDEO_PROTECT_BOM_ADR_HI_WOFFSET                  0x0
#define MC_VIDEO_PROTECT_BOM_ADR_HI_0_VIDEO_PROTECT_BOM_ADR_HI_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_BOM_ADR_HI_0_VIDEO_PROTECT_BOM_ADR_HI_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define MC_VIDEO_PROTECT_BOM_ADR_HI_0_VIDEO_PROTECT_BOM_ADR_HI_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_BOM_ADR_HI_0_VIDEO_PROTECT_BOM_ADR_HI_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_BOM_ADR_HI_0_VIDEO_PROTECT_BOM_ADR_HI_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_BOM_ADR_HI_0_VIDEO_PROTECT_BOM_ADR_HI_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_VIDEO_PROTECT_REG_CTRL_0
#define MC_VIDEO_PROTECT_REG_CTRL_0                     _MK_ADDR_CONST(0x650)
#define MC_VIDEO_PROTECT_REG_CTRL_0_SECURE                      0x0
#define MC_VIDEO_PROTECT_REG_CTRL_0_DUAL                        0x0
#define MC_VIDEO_PROTECT_REG_CTRL_0_SCR                         0
#define MC_VIDEO_PROTECT_REG_CTRL_0_WORD_COUNT                  0x1
#define MC_VIDEO_PROTECT_REG_CTRL_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_REG_CTRL_0_RESET_MASK                  _MK_MASK_CONST(0x3)
#define MC_VIDEO_PROTECT_REG_CTRL_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_REG_CTRL_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_REG_CTRL_0_READ_MASK                   _MK_MASK_CONST(0x3)
#define MC_VIDEO_PROTECT_REG_CTRL_0_WRITE_MASK                  _MK_MASK_CONST(0x3)
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_WRITE_ACCESS_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_WRITE_ACCESS_FIELD                    _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_WRITE_ACCESS_SHIFT)
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_WRITE_ACCESS_RANGE                    0:0
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_WRITE_ACCESS_WOFFSET                  0x0
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_WRITE_ACCESS_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_WRITE_ACCESS_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_WRITE_ACCESS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_WRITE_ACCESS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_WRITE_ACCESS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_WRITE_ACCESS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_WRITE_ACCESS_INIT_ENUM                        ENABLED
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_WRITE_ACCESS_ENABLED                  _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_WRITE_ACCESS_DISABLED                 _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_ALLOW_TZ_WRITE_ACCESS_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_ALLOW_TZ_WRITE_ACCESS_FIELD                   _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_ALLOW_TZ_WRITE_ACCESS_SHIFT)
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_ALLOW_TZ_WRITE_ACCESS_RANGE                   1:1
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_ALLOW_TZ_WRITE_ACCESS_WOFFSET                 0x0
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_ALLOW_TZ_WRITE_ACCESS_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_ALLOW_TZ_WRITE_ACCESS_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_ALLOW_TZ_WRITE_ACCESS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_ALLOW_TZ_WRITE_ACCESS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_ALLOW_TZ_WRITE_ACCESS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_ALLOW_TZ_WRITE_ACCESS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_ALLOW_TZ_WRITE_ACCESS_INIT_ENUM                       DISABLED
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_ALLOW_TZ_WRITE_ACCESS_DISABLED                        _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_REG_CTRL_0_VIDEO_PROTECT_ALLOW_TZ_WRITE_ACCESS_ENABLED                 _MK_ENUM_CONST(1)


// Register MC_ERR_VPR_STATUS_0
#define MC_ERR_VPR_STATUS_0                     _MK_ADDR_CONST(0x654)
#define MC_ERR_VPR_STATUS_0_SECURE                      0x0
#define MC_ERR_VPR_STATUS_0_DUAL                        0x0
#define MC_ERR_VPR_STATUS_0_SCR                         0
#define MC_ERR_VPR_STATUS_0_WORD_COUNT                  0x1
#define MC_ERR_VPR_STATUS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_RESET_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_READ_MASK                   _MK_MASK_CONST(0xff770ff)
#define MC_ERR_VPR_STATUS_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ID_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ID_FIELD                    _MK_FIELD_CONST(0xff, MC_ERR_VPR_STATUS_0_ERR_VPR_ID_SHIFT)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ID_RANGE                    7:0
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ID_WOFFSET                  0x0
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_ERR_VPR_STATUS_0_ERR_VPR_ADR1_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ADR1_FIELD                  _MK_FIELD_CONST(0x7, MC_ERR_VPR_STATUS_0_ERR_VPR_ADR1_SHIFT)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ADR1_RANGE                  14:12
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ADR1_WOFFSET                        0x0
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ADR1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ADR1_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ADR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ADR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ADR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ADR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_ERR_VPR_STATUS_0_ERR_VPR_RW_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_RW_FIELD                    _MK_FIELD_CONST(0x1, MC_ERR_VPR_STATUS_0_ERR_VPR_RW_SHIFT)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_RW_RANGE                    16:16
#define MC_ERR_VPR_STATUS_0_ERR_VPR_RW_WOFFSET                  0x0
#define MC_ERR_VPR_STATUS_0_ERR_VPR_RW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_RW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_RW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_RW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_RW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_RW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_RW_READ                     _MK_ENUM_CONST(0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_RW_WRITE                    _MK_ENUM_CONST(1)

#define MC_ERR_VPR_STATUS_0_ERR_VPR_SECURITY_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_SECURITY_FIELD                      _MK_FIELD_CONST(0x1, MC_ERR_VPR_STATUS_0_ERR_VPR_SECURITY_SHIFT)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_SECURITY_RANGE                      17:17
#define MC_ERR_VPR_STATUS_0_ERR_VPR_SECURITY_WOFFSET                    0x0
#define MC_ERR_VPR_STATUS_0_ERR_VPR_SECURITY_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_SECURITY_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_SECURITY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_SECURITY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_SECURITY_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_SECURITY_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_SECURITY_NONSECURE                  _MK_ENUM_CONST(0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_SECURITY_SECURE                     _MK_ENUM_CONST(1)

#define MC_ERR_VPR_STATUS_0_ERR_VPR_SWAP_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_SWAP_FIELD                  _MK_FIELD_CONST(0x1, MC_ERR_VPR_STATUS_0_ERR_VPR_SWAP_SHIFT)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_SWAP_RANGE                  18:18
#define MC_ERR_VPR_STATUS_0_ERR_VPR_SWAP_WOFFSET                        0x0
#define MC_ERR_VPR_STATUS_0_ERR_VPR_SWAP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_SWAP_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_SWAP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_SWAP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_SWAP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_SWAP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_ERR_VPR_STATUS_0_ERR_VPR_ADR_HI_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ADR_HI_FIELD                        _MK_FIELD_CONST(0xff, MC_ERR_VPR_STATUS_0_ERR_VPR_ADR_HI_SHIFT)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ADR_HI_RANGE                        27:20
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ADR_HI_WOFFSET                      0x0
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ADR_HI_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ADR_HI_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ADR_HI_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ADR_HI_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ADR_HI_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_STATUS_0_ERR_VPR_ADR_HI_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_ERR_VPR_ADR_0
#define MC_ERR_VPR_ADR_0                        _MK_ADDR_CONST(0x658)
#define MC_ERR_VPR_ADR_0_SECURE                         0x0
#define MC_ERR_VPR_ADR_0_DUAL                   0x0
#define MC_ERR_VPR_ADR_0_SCR                    0
#define MC_ERR_VPR_ADR_0_WORD_COUNT                     0x1
#define MC_ERR_VPR_ADR_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_ADR_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_ADR_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_ADR_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_ADR_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_ERR_VPR_ADR_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_ADR_0_ERR_VPR_ADR_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_ERR_VPR_ADR_0_ERR_VPR_ADR_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_ERR_VPR_ADR_0_ERR_VPR_ADR_SHIFT)
#define MC_ERR_VPR_ADR_0_ERR_VPR_ADR_RANGE                      31:0
#define MC_ERR_VPR_ADR_0_ERR_VPR_ADR_WOFFSET                    0x0
#define MC_ERR_VPR_ADR_0_ERR_VPR_ADR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_ADR_0_ERR_VPR_ADR_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_ADR_0_ERR_VPR_ADR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_ADR_0_ERR_VPR_ADR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_ADR_0_ERR_VPR_ADR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ERR_VPR_ADR_0_ERR_VPR_ADR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_VIDEO_PROTECT_VPR_OVERRIDE_0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0                 _MK_ADDR_CONST(0x418)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SECURE                  0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_DUAL                    0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SCR                     0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_WORD_COUNT                      0x1
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_RESET_VAL                       _MK_MASK_CONST(0xa01a8340)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_RESET_MASK                      _MK_MASK_CONST(0xa05e8bc0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_READ_MASK                       _MK_MASK_CONST(0xa05e8bc0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_WRITE_MASK                      _MK_MASK_CONST(0xa05e8bc0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HC_VPR_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HC_VPR_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HC_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HC_VPR_OVERRIDE_RANGE                   6:6
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HC_VPR_OVERRIDE_WOFFSET                 0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HC_VPR_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HC_VPR_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HC_VPR_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HC_VPR_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HC_VPR_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HC_VPR_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HC_VPR_OVERRIDE_INIT_ENUM                       ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HC_VPR_OVERRIDE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HC_VPR_OVERRIDE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HDA_VPR_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HDA_VPR_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HDA_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HDA_VPR_OVERRIDE_RANGE                  7:7
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HDA_VPR_OVERRIDE_WOFFSET                        0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HDA_VPR_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HDA_VPR_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HDA_VPR_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HDA_VPR_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HDA_VPR_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HDA_VPR_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HDA_VPR_OVERRIDE_INIT_ENUM                      DISABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HDA_VPR_OVERRIDE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_HDA_VPR_OVERRIDE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_ISP2_VPR_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_ISP2_VPR_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE_0_ISP2_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_ISP2_VPR_OVERRIDE_RANGE                 8:8
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_ISP2_VPR_OVERRIDE_WOFFSET                       0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_ISP2_VPR_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_ISP2_VPR_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_ISP2_VPR_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_ISP2_VPR_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_ISP2_VPR_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_ISP2_VPR_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_ISP2_VPR_OVERRIDE_INIT_ENUM                     ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_ISP2_VPR_OVERRIDE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_ISP2_VPR_OVERRIDE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_MPCORE_VPR_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(9)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_MPCORE_VPR_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE_0_MPCORE_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_MPCORE_VPR_OVERRIDE_RANGE                       9:9
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_MPCORE_VPR_OVERRIDE_WOFFSET                     0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_MPCORE_VPR_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_MPCORE_VPR_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_MPCORE_VPR_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_MPCORE_VPR_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_MPCORE_VPR_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_MPCORE_VPR_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_MPCORE_VPR_OVERRIDE_INIT_ENUM                   ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_MPCORE_VPR_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_MPCORE_VPR_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_NVENC_VPR_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_NVENC_VPR_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE_0_NVENC_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_NVENC_VPR_OVERRIDE_RANGE                        11:11
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_NVENC_VPR_OVERRIDE_WOFFSET                      0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_NVENC_VPR_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_NVENC_VPR_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_NVENC_VPR_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_NVENC_VPR_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_NVENC_VPR_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_NVENC_VPR_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_NVENC_VPR_OVERRIDE_INIT_ENUM                    DISABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_NVENC_VPR_OVERRIDE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_NVENC_VPR_OVERRIDE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SATA_VPR_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SATA_VPR_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SATA_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SATA_VPR_OVERRIDE_RANGE                 15:15
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SATA_VPR_OVERRIDE_WOFFSET                       0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SATA_VPR_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SATA_VPR_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SATA_VPR_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SATA_VPR_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SATA_VPR_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SATA_VPR_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SATA_VPR_OVERRIDE_INIT_ENUM                     ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SATA_VPR_OVERRIDE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SATA_VPR_OVERRIDE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VI_VPR_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VI_VPR_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VI_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VI_VPR_OVERRIDE_RANGE                   17:17
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VI_VPR_OVERRIDE_WOFFSET                 0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VI_VPR_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VI_VPR_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VI_VPR_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VI_VPR_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VI_VPR_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VI_VPR_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VI_VPR_OVERRIDE_INIT_ENUM                       ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VI_VPR_OVERRIDE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VI_VPR_OVERRIDE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VIC_VPR_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VIC_VPR_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VIC_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VIC_VPR_OVERRIDE_RANGE                  18:18
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VIC_VPR_OVERRIDE_WOFFSET                        0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VIC_VPR_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VIC_VPR_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VIC_VPR_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VIC_VPR_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VIC_VPR_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VIC_VPR_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VIC_VPR_OVERRIDE_INIT_ENUM                      DISABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VIC_VPR_OVERRIDE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_VIC_VPR_OVERRIDE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_HOST_VPR_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_HOST_VPR_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_HOST_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_HOST_VPR_OVERRIDE_RANGE                    19:19
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_HOST_VPR_OVERRIDE_WOFFSET                  0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_HOST_VPR_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_HOST_VPR_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_HOST_VPR_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_HOST_VPR_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_HOST_VPR_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_HOST_VPR_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_HOST_VPR_OVERRIDE_INIT_ENUM                        ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_HOST_VPR_OVERRIDE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_HOST_VPR_OVERRIDE_ENABLE                   _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_DEV_VPR_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(20)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_DEV_VPR_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_DEV_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_DEV_VPR_OVERRIDE_RANGE                     20:20
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_DEV_VPR_OVERRIDE_WOFFSET                   0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_DEV_VPR_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_DEV_VPR_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_DEV_VPR_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_DEV_VPR_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_DEV_VPR_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_DEV_VPR_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_DEV_VPR_OVERRIDE_INIT_ENUM                 ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_DEV_VPR_OVERRIDE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_XUSB_DEV_VPR_OVERRIDE_ENABLE                    _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_TSEC_VPR_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_TSEC_VPR_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE_0_TSEC_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_TSEC_VPR_OVERRIDE_RANGE                 22:22
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_TSEC_VPR_OVERRIDE_WOFFSET                       0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_TSEC_VPR_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_TSEC_VPR_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_TSEC_VPR_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_TSEC_VPR_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_TSEC_VPR_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_TSEC_VPR_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_TSEC_VPR_OVERRIDE_INIT_ENUM                     DISABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_TSEC_VPR_OVERRIDE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_TSEC_VPR_OVERRIDE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC1A_VPR_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC1A_VPR_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC1A_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC1A_VPR_OVERRIDE_RANGE                      29:29
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC1A_VPR_OVERRIDE_WOFFSET                    0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC1A_VPR_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC1A_VPR_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC1A_VPR_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC1A_VPR_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC1A_VPR_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC1A_VPR_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC1A_VPR_OVERRIDE_INIT_ENUM                  ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC1A_VPR_OVERRIDE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC1A_VPR_OVERRIDE_ENABLE                     _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC3A_VPR_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC3A_VPR_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC3A_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC3A_VPR_OVERRIDE_RANGE                      31:31
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC3A_VPR_OVERRIDE_WOFFSET                    0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC3A_VPR_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC3A_VPR_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC3A_VPR_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC3A_VPR_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC3A_VPR_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC3A_VPR_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC3A_VPR_OVERRIDE_INIT_ENUM                  ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC3A_VPR_OVERRIDE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE_0_SDMMC3A_VPR_OVERRIDE_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_VIDEO_PROTECT_VPR_OVERRIDE1_0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0                        _MK_ADDR_CONST(0x590)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SECURE                         0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DUAL                   0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SCR                    0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_WORD_COUNT                     0x1
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_RESET_VAL                      _MK_MASK_CONST(0xfcee10c1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_RESET_MASK                     _MK_MASK_CONST(0xfcfe31e1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_READ_MASK                      _MK_MASK_CONST(0xfcfe31e1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_WRITE_MASK                     _MK_MASK_CONST(0xfcfe31e1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SDMMC4A_VPR_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SDMMC4A_VPR_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SDMMC4A_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SDMMC4A_VPR_OVERRIDE_RANGE                     0:0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SDMMC4A_VPR_OVERRIDE_WOFFSET                   0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SDMMC4A_VPR_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SDMMC4A_VPR_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SDMMC4A_VPR_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SDMMC4A_VPR_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SDMMC4A_VPR_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SDMMC4A_VPR_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SDMMC4A_VPR_OVERRIDE_INIT_ENUM                 ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SDMMC4A_VPR_OVERRIDE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SDMMC4A_VPR_OVERRIDE_ENABLE                    _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDEC_VPR_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDEC_VPR_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDEC_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDEC_VPR_OVERRIDE_RANGE                       5:5
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDEC_VPR_OVERRIDE_WOFFSET                     0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDEC_VPR_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDEC_VPR_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDEC_VPR_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDEC_VPR_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDEC_VPR_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDEC_VPR_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDEC_VPR_OVERRIDE_INIT_ENUM                   DISABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDEC_VPR_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDEC_VPR_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_APE_VPR_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_APE_VPR_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_APE_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_APE_VPR_OVERRIDE_RANGE                 6:6
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_APE_VPR_OVERRIDE_WOFFSET                       0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_APE_VPR_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_APE_VPR_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_APE_VPR_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_APE_VPR_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_APE_VPR_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_APE_VPR_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_APE_VPR_OVERRIDE_INIT_ENUM                     ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_APE_VPR_OVERRIDE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_APE_VPR_OVERRIDE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SE_VPR_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SE_VPR_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SE_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SE_VPR_OVERRIDE_RANGE                  7:7
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SE_VPR_OVERRIDE_WOFFSET                        0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SE_VPR_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SE_VPR_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SE_VPR_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SE_VPR_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SE_VPR_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SE_VPR_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SE_VPR_OVERRIDE_INIT_ENUM                      ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SE_VPR_OVERRIDE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SE_VPR_OVERRIDE_ENABLE                 _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVJPG_VPR_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVJPG_VPR_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVJPG_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVJPG_VPR_OVERRIDE_RANGE                       8:8
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVJPG_VPR_OVERRIDE_WOFFSET                     0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVJPG_VPR_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVJPG_VPR_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVJPG_VPR_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVJPG_VPR_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVJPG_VPR_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVJPG_VPR_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVJPG_VPR_OVERRIDE_INIT_ENUM                   DISABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVJPG_VPR_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVJPG_VPR_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_ETR_VPR_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_ETR_VPR_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_ETR_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_ETR_VPR_OVERRIDE_RANGE                 12:12
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_ETR_VPR_OVERRIDE_WOFFSET                       0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_ETR_VPR_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_ETR_VPR_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_ETR_VPR_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_ETR_VPR_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_ETR_VPR_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_ETR_VPR_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_ETR_VPR_OVERRIDE_INIT_ENUM                     ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_ETR_VPR_OVERRIDE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_ETR_VPR_OVERRIDE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_TSECB_VPR_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_TSECB_VPR_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_TSECB_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_TSECB_VPR_OVERRIDE_RANGE                       13:13
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_TSECB_VPR_OVERRIDE_WOFFSET                     0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_TSECB_VPR_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_TSECB_VPR_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_TSECB_VPR_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_TSECB_VPR_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_TSECB_VPR_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_TSECB_VPR_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_TSECB_VPR_OVERRIDE_INIT_ENUM                   DISABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_TSECB_VPR_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_TSECB_VPR_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AXIS_VPR_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AXIS_VPR_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AXIS_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AXIS_VPR_OVERRIDE_RANGE                        17:17
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AXIS_VPR_OVERRIDE_WOFFSET                      0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AXIS_VPR_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AXIS_VPR_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AXIS_VPR_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AXIS_VPR_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AXIS_VPR_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AXIS_VPR_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AXIS_VPR_OVERRIDE_INIT_ENUM                    ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AXIS_VPR_OVERRIDE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AXIS_VPR_OVERRIDE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_EQOS_VPR_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_EQOS_VPR_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_EQOS_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_EQOS_VPR_OVERRIDE_RANGE                        18:18
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_EQOS_VPR_OVERRIDE_WOFFSET                      0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_EQOS_VPR_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_EQOS_VPR_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_EQOS_VPR_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_EQOS_VPR_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_EQOS_VPR_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_EQOS_VPR_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_EQOS_VPR_OVERRIDE_INIT_ENUM                    ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_EQOS_VPR_OVERRIDE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_EQOS_VPR_OVERRIDE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_UFSHC_VPR_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_UFSHC_VPR_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_UFSHC_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_UFSHC_VPR_OVERRIDE_RANGE                       19:19
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_UFSHC_VPR_OVERRIDE_WOFFSET                     0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_UFSHC_VPR_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_UFSHC_VPR_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_UFSHC_VPR_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_UFSHC_VPR_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_UFSHC_VPR_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_UFSHC_VPR_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_UFSHC_VPR_OVERRIDE_INIT_ENUM                   ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_UFSHC_VPR_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_UFSHC_VPR_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDISPLAY_VPR_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDISPLAY_VPR_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDISPLAY_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDISPLAY_VPR_OVERRIDE_RANGE                   20:20
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDISPLAY_VPR_OVERRIDE_WOFFSET                 0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDISPLAY_VPR_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDISPLAY_VPR_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDISPLAY_VPR_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDISPLAY_VPR_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDISPLAY_VPR_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDISPLAY_VPR_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDISPLAY_VPR_OVERRIDE_INIT_ENUM                       DISABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDISPLAY_VPR_OVERRIDE_DISABLE                 _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_NVDISPLAY_VPR_OVERRIDE_ENABLE                  _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_BPMP_VPR_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_BPMP_VPR_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_BPMP_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_BPMP_VPR_OVERRIDE_RANGE                        21:21
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_BPMP_VPR_OVERRIDE_WOFFSET                      0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_BPMP_VPR_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_BPMP_VPR_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_BPMP_VPR_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_BPMP_VPR_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_BPMP_VPR_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_BPMP_VPR_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_BPMP_VPR_OVERRIDE_INIT_ENUM                    ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_BPMP_VPR_OVERRIDE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_BPMP_VPR_OVERRIDE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AON_VPR_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AON_VPR_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AON_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AON_VPR_OVERRIDE_RANGE                 22:22
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AON_VPR_OVERRIDE_WOFFSET                       0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AON_VPR_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AON_VPR_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AON_VPR_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AON_VPR_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AON_VPR_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AON_VPR_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AON_VPR_OVERRIDE_INIT_ENUM                     ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AON_VPR_OVERRIDE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_AON_VPR_OVERRIDE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SCE_VPR_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(23)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SCE_VPR_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SCE_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SCE_VPR_OVERRIDE_RANGE                 23:23
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SCE_VPR_OVERRIDE_WOFFSET                       0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SCE_VPR_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SCE_VPR_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SCE_VPR_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SCE_VPR_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SCE_VPR_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SCE_VPR_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SCE_VPR_OVERRIDE_INIT_ENUM                     ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SCE_VPR_OVERRIDE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_SCE_VPR_OVERRIDE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_VIFAL_VPR_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_VIFAL_VPR_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_VIFAL_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_VIFAL_VPR_OVERRIDE_RANGE                       26:26
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_VIFAL_VPR_OVERRIDE_WOFFSET                     0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_VIFAL_VPR_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_VIFAL_VPR_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_VIFAL_VPR_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_VIFAL_VPR_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_VIFAL_VPR_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_VIFAL_VPR_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_VIFAL_VPR_OVERRIDE_INIT_ENUM                   ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_VIFAL_VPR_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_VIFAL_VPR_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLAA_VPR_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLAA_VPR_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLAA_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLAA_VPR_OVERRIDE_RANGE                        27:27
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLAA_VPR_OVERRIDE_WOFFSET                      0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLAA_VPR_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLAA_VPR_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLAA_VPR_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLAA_VPR_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLAA_VPR_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLAA_VPR_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLAA_VPR_OVERRIDE_INIT_ENUM                    ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLAA_VPR_OVERRIDE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLAA_VPR_OVERRIDE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLA1A_VPR_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLA1A_VPR_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLA1A_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLA1A_VPR_OVERRIDE_RANGE                       28:28
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLA1A_VPR_OVERRIDE_WOFFSET                     0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLA1A_VPR_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLA1A_VPR_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLA1A_VPR_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLA1A_VPR_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLA1A_VPR_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLA1A_VPR_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLA1A_VPR_OVERRIDE_INIT_ENUM                   ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLA1A_VPR_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_DLA1A_VPR_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA0A_VPR_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(29)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA0A_VPR_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA0A_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA0A_VPR_OVERRIDE_RANGE                       29:29
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA0A_VPR_OVERRIDE_WOFFSET                     0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA0A_VPR_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA0A_VPR_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA0A_VPR_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA0A_VPR_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA0A_VPR_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA0A_VPR_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA0A_VPR_OVERRIDE_INIT_ENUM                   ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA0A_VPR_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA0A_VPR_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA1A_VPR_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(30)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA1A_VPR_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA1A_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA1A_VPR_OVERRIDE_RANGE                       30:30
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA1A_VPR_OVERRIDE_WOFFSET                     0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA1A_VPR_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA1A_VPR_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA1A_VPR_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA1A_VPR_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA1A_VPR_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA1A_VPR_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA1A_VPR_OVERRIDE_INIT_ENUM                   ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA1A_VPR_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_PVA1A_VPR_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_RCE_VPR_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_RCE_VPR_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_RCE_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_RCE_VPR_OVERRIDE_RANGE                 31:31
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_RCE_VPR_OVERRIDE_WOFFSET                       0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_RCE_VPR_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_RCE_VPR_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_RCE_VPR_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_RCE_VPR_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_RCE_VPR_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_RCE_VPR_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_RCE_VPR_OVERRIDE_INIT_ENUM                     ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_RCE_VPR_OVERRIDE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1_0_RCE_VPR_OVERRIDE_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_VIDEO_PROTECT_VPR_OVERRIDE2_0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0                        _MK_ADDR_CONST(0x594)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_SECURE                         0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_DUAL                   0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_SCR                    0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_WORD_COUNT                     0x1
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_RESET_VAL                      _MK_MASK_CONST(0x2fbcfff)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_RESET_MASK                     _MK_MASK_CONST(0x3ffcfff)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_READ_MASK                      _MK_MASK_CONST(0x3ffcfff)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_WRITE_MASK                     _MK_MASK_CONST(0x3ffcfff)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_RCEDMA_VPR_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_RCEDMA_VPR_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_RCEDMA_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_RCEDMA_VPR_OVERRIDE_RANGE                      0:0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_RCEDMA_VPR_OVERRIDE_WOFFSET                    0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_RCEDMA_VPR_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_RCEDMA_VPR_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_RCEDMA_VPR_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_RCEDMA_VPR_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_RCEDMA_VPR_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_RCEDMA_VPR_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_RCEDMA_VPR_OVERRIDE_INIT_ENUM                  ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_RCEDMA_VPR_OVERRIDE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_RCEDMA_VPR_OVERRIDE_ENABLE                     _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_MIU_VPR_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_MIU_VPR_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_MIU_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_MIU_VPR_OVERRIDE_RANGE                 1:1
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_MIU_VPR_OVERRIDE_WOFFSET                       0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_MIU_VPR_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_MIU_VPR_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_MIU_VPR_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_MIU_VPR_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_MIU_VPR_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_MIU_VPR_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_MIU_VPR_OVERRIDE_INIT_ENUM                     ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_MIU_VPR_OVERRIDE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_MIU_VPR_OVERRIDE_ENABLE                        _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE_VPR_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE_VPR_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE_VPR_OVERRIDE_RANGE                        2:2
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE_VPR_OVERRIDE_WOFFSET                      0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE_VPR_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE_VPR_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE_VPR_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE_VPR_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE_VPR_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE_VPR_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE_VPR_OVERRIDE_INIT_ENUM                    ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE_VPR_OVERRIDE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE_VPR_OVERRIDE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AXIAP_VPR_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AXIAP_VPR_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AXIAP_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AXIAP_VPR_OVERRIDE_RANGE                       3:3
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AXIAP_VPR_OVERRIDE_WOFFSET                     0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AXIAP_VPR_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AXIAP_VPR_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AXIAP_VPR_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AXIAP_VPR_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AXIAP_VPR_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AXIAP_VPR_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AXIAP_VPR_OVERRIDE_INIT_ENUM                   ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AXIAP_VPR_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AXIAP_VPR_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE5A_VPR_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE5A_VPR_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE5A_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE5A_VPR_OVERRIDE_RANGE                      4:4
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE5A_VPR_OVERRIDE_WOFFSET                    0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE5A_VPR_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE5A_VPR_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE5A_VPR_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE5A_VPR_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE5A_VPR_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE5A_VPR_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE5A_VPR_OVERRIDE_INIT_ENUM                  ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE5A_VPR_OVERRIDE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE5A_VPR_OVERRIDE_ENABLE                     _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0B_VPR_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0B_VPR_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0B_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0B_VPR_OVERRIDE_RANGE                       5:5
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0B_VPR_OVERRIDE_WOFFSET                     0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0B_VPR_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0B_VPR_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0B_VPR_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0B_VPR_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0B_VPR_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0B_VPR_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0B_VPR_OVERRIDE_INIT_ENUM                   ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0B_VPR_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0B_VPR_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0C_VPR_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(6)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0C_VPR_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0C_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0C_VPR_OVERRIDE_RANGE                       6:6
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0C_VPR_OVERRIDE_WOFFSET                     0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0C_VPR_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0C_VPR_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0C_VPR_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0C_VPR_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0C_VPR_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0C_VPR_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0C_VPR_OVERRIDE_INIT_ENUM                   ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0C_VPR_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA0C_VPR_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1B_VPR_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1B_VPR_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1B_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1B_VPR_OVERRIDE_RANGE                       7:7
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1B_VPR_OVERRIDE_WOFFSET                     0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1B_VPR_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1B_VPR_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1B_VPR_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1B_VPR_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1B_VPR_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1B_VPR_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1B_VPR_OVERRIDE_INIT_ENUM                   ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1B_VPR_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1B_VPR_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1C_VPR_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1C_VPR_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1C_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1C_VPR_OVERRIDE_RANGE                       8:8
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1C_VPR_OVERRIDE_WOFFSET                     0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1C_VPR_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1C_VPR_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1C_VPR_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1C_VPR_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1C_VPR_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1C_VPR_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1C_VPR_OVERRIDE_INIT_ENUM                   ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1C_VPR_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PVA1C_VPR_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AONDMA_VPR_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AONDMA_VPR_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AONDMA_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AONDMA_VPR_OVERRIDE_RANGE                      9:9
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AONDMA_VPR_OVERRIDE_WOFFSET                    0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AONDMA_VPR_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AONDMA_VPR_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AONDMA_VPR_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AONDMA_VPR_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AONDMA_VPR_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AONDMA_VPR_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AONDMA_VPR_OVERRIDE_INIT_ENUM                  ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AONDMA_VPR_OVERRIDE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_AONDMA_VPR_OVERRIDE_ENABLE                     _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_BPMPDMA_VPR_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(10)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_BPMPDMA_VPR_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_BPMPDMA_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_BPMPDMA_VPR_OVERRIDE_RANGE                     10:10
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_BPMPDMA_VPR_OVERRIDE_WOFFSET                   0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_BPMPDMA_VPR_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_BPMPDMA_VPR_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_BPMPDMA_VPR_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_BPMPDMA_VPR_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_BPMPDMA_VPR_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_BPMPDMA_VPR_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_BPMPDMA_VPR_OVERRIDE_INIT_ENUM                 ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_BPMPDMA_VPR_OVERRIDE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_BPMPDMA_VPR_OVERRIDE_ENABLE                    _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_SCEDMA_VPR_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(11)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_SCEDMA_VPR_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_SCEDMA_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_SCEDMA_VPR_OVERRIDE_RANGE                      11:11
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_SCEDMA_VPR_OVERRIDE_WOFFSET                    0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_SCEDMA_VPR_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_SCEDMA_VPR_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_SCEDMA_VPR_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_SCEDMA_VPR_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_SCEDMA_VPR_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_SCEDMA_VPR_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_SCEDMA_VPR_OVERRIDE_INIT_ENUM                  ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_SCEDMA_VPR_OVERRIDE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_SCEDMA_VPR_OVERRIDE_ENABLE                     _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_APEDMA_VPR_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_APEDMA_VPR_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_APEDMA_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_APEDMA_VPR_OVERRIDE_RANGE                      14:14
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_APEDMA_VPR_OVERRIDE_WOFFSET                    0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_APEDMA_VPR_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_APEDMA_VPR_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_APEDMA_VPR_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_APEDMA_VPR_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_APEDMA_VPR_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_APEDMA_VPR_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_APEDMA_VPR_OVERRIDE_INIT_ENUM                  ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_APEDMA_VPR_OVERRIDE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_APEDMA_VPR_OVERRIDE_ENABLE                     _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE2A_VPR_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE2A_VPR_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE2A_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE2A_VPR_OVERRIDE_RANGE                      15:15
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE2A_VPR_OVERRIDE_WOFFSET                    0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE2A_VPR_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE2A_VPR_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE2A_VPR_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE2A_VPR_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE2A_VPR_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE2A_VPR_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE2A_VPR_OVERRIDE_INIT_ENUM                  ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE2A_VPR_OVERRIDE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE2A_VPR_OVERRIDE_ENABLE                     _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3A_VPR_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3A_VPR_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3A_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3A_VPR_OVERRIDE_RANGE                      16:16
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3A_VPR_OVERRIDE_WOFFSET                    0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3A_VPR_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3A_VPR_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3A_VPR_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3A_VPR_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3A_VPR_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3A_VPR_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3A_VPR_OVERRIDE_INIT_ENUM                  ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3A_VPR_OVERRIDE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3A_VPR_OVERRIDE_ENABLE                     _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3_VPR_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3_VPR_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3_VPR_OVERRIDE_RANGE                       17:17
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3_VPR_OVERRIDE_WOFFSET                     0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3_VPR_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3_VPR_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3_VPR_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3_VPR_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3_VPR_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3_VPR_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3_VPR_OVERRIDE_INIT_ENUM                   ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3_VPR_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE3_VPR_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVENCB_VPR_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVENCB_VPR_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVENCB_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVENCB_VPR_OVERRIDE_RANGE                      18:18
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVENCB_VPR_OVERRIDE_WOFFSET                    0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVENCB_VPR_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVENCB_VPR_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVENCB_VPR_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVENCB_VPR_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVENCB_VPR_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVENCB_VPR_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVENCB_VPR_OVERRIDE_INIT_ENUM                  DISABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVENCB_VPR_OVERRIDE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVENCB_VPR_OVERRIDE_ENABLE                     _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPA_VPR_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(19)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPA_VPR_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPA_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPA_VPR_OVERRIDE_RANGE                        19:19
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPA_VPR_OVERRIDE_WOFFSET                      0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPA_VPR_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPA_VPR_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPA_VPR_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPA_VPR_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPA_VPR_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPA_VPR_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPA_VPR_OVERRIDE_INIT_ENUM                    ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPA_VPR_OVERRIDE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPA_VPR_OVERRIDE_ENABLE                       _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISP2A_VPR_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(20)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISP2A_VPR_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISP2A_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISP2A_VPR_OVERRIDE_RANGE                       20:20
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISP2A_VPR_OVERRIDE_WOFFSET                     0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISP2A_VPR_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISP2A_VPR_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISP2A_VPR_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISP2A_VPR_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISP2A_VPR_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISP2A_VPR_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISP2A_VPR_OVERRIDE_INIT_ENUM                   ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISP2A_VPR_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISP2A_VPR_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPFAL_VPR_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPFAL_VPR_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPFAL_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPFAL_VPR_OVERRIDE_RANGE                      21:21
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPFAL_VPR_OVERRIDE_WOFFSET                    0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPFAL_VPR_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPFAL_VPR_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPFAL_VPR_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPFAL_VPR_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPFAL_VPR_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPFAL_VPR_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPFAL_VPR_OVERRIDE_INIT_ENUM                  ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPFAL_VPR_OVERRIDE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_ISPFAL_VPR_OVERRIDE_ENABLE                     _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A_VPR_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A_VPR_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A_VPR_OVERRIDE_RANGE                      22:22
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A_VPR_OVERRIDE_WOFFSET                    0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A_VPR_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A_VPR_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A_VPR_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A_VPR_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A_VPR_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A_VPR_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A_VPR_OVERRIDE_INIT_ENUM                  ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A_VPR_OVERRIDE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A_VPR_OVERRIDE_ENABLE                     _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A2_VPR_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A2_VPR_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A2_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A2_VPR_OVERRIDE_RANGE                     23:23
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A2_VPR_OVERRIDE_WOFFSET                   0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A2_VPR_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A2_VPR_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A2_VPR_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A2_VPR_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A2_VPR_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A2_VPR_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A2_VPR_OVERRIDE_INIT_ENUM                 ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A2_VPR_OVERRIDE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE0A2_VPR_OVERRIDE_ENABLE                    _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVDEC2A_VPR_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVDEC2A_VPR_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVDEC2A_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVDEC2A_VPR_OVERRIDE_RANGE                     24:24
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVDEC2A_VPR_OVERRIDE_WOFFSET                   0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVDEC2A_VPR_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVDEC2A_VPR_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVDEC2A_VPR_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVDEC2A_VPR_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVDEC2A_VPR_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVDEC2A_VPR_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVDEC2A_VPR_OVERRIDE_INIT_ENUM                 DISABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVDEC2A_VPR_OVERRIDE_DISABLE                   _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_NVDEC2A_VPR_OVERRIDE_ENABLE                    _MK_ENUM_CONST(1)

#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE4A_VPR_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE4A_VPR_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x1, MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE4A_VPR_OVERRIDE_SHIFT)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE4A_VPR_OVERRIDE_RANGE                      25:25
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE4A_VPR_OVERRIDE_WOFFSET                    0x0
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE4A_VPR_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE4A_VPR_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE4A_VPR_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE4A_VPR_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE4A_VPR_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE4A_VPR_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE4A_VPR_OVERRIDE_INIT_ENUM                  ENABLE
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE4A_VPR_OVERRIDE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_VIDEO_PROTECT_VPR_OVERRIDE2_0_PCIE4A_VPR_OVERRIDE_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_EMEM_CFG_ACCESS_CTRL_0
#define MC_EMEM_CFG_ACCESS_CTRL_0                       _MK_ADDR_CONST(0x664)
#define MC_EMEM_CFG_ACCESS_CTRL_0_SECURE                        0x0
#define MC_EMEM_CFG_ACCESS_CTRL_0_DUAL                  0x0
#define MC_EMEM_CFG_ACCESS_CTRL_0_SCR                   0
#define MC_EMEM_CFG_ACCESS_CTRL_0_WORD_COUNT                    0x1
#define MC_EMEM_CFG_ACCESS_CTRL_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_EMEM_CFG_ACCESS_CTRL_0_RESET_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_CFG_ACCESS_CTRL_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_EMEM_CFG_ACCESS_CTRL_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_CFG_ACCESS_CTRL_0_READ_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_CFG_ACCESS_CTRL_0_WRITE_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_CFG_ACCESS_CTRL_0_EMEM_CFG_WRITE_ACCESS_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_EMEM_CFG_ACCESS_CTRL_0_EMEM_CFG_WRITE_ACCESS_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_CFG_ACCESS_CTRL_0_EMEM_CFG_WRITE_ACCESS_SHIFT)
#define MC_EMEM_CFG_ACCESS_CTRL_0_EMEM_CFG_WRITE_ACCESS_RANGE                   0:0
#define MC_EMEM_CFG_ACCESS_CTRL_0_EMEM_CFG_WRITE_ACCESS_WOFFSET                 0x0
#define MC_EMEM_CFG_ACCESS_CTRL_0_EMEM_CFG_WRITE_ACCESS_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_CFG_ACCESS_CTRL_0_EMEM_CFG_WRITE_ACCESS_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_CFG_ACCESS_CTRL_0_EMEM_CFG_WRITE_ACCESS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_CFG_ACCESS_CTRL_0_EMEM_CFG_WRITE_ACCESS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_CFG_ACCESS_CTRL_0_EMEM_CFG_WRITE_ACCESS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_EMEM_CFG_ACCESS_CTRL_0_EMEM_CFG_WRITE_ACCESS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_CFG_ACCESS_CTRL_0_EMEM_CFG_WRITE_ACCESS_INIT_ENUM                       ENABLED
#define MC_EMEM_CFG_ACCESS_CTRL_0_EMEM_CFG_WRITE_ACCESS_ENABLED                 _MK_ENUM_CONST(0)
#define MC_EMEM_CFG_ACCESS_CTRL_0_EMEM_CFG_WRITE_ACCESS_DISABLED                        _MK_ENUM_CONST(1)


// Register MC_TZ_SECURITY_CTRL_0
#define MC_TZ_SECURITY_CTRL_0                   _MK_ADDR_CONST(0x668)
#define MC_TZ_SECURITY_CTRL_0_SECURE                    0x0
#define MC_TZ_SECURITY_CTRL_0_DUAL                      0x0
#define MC_TZ_SECURITY_CTRL_0_SCR                       0
#define MC_TZ_SECURITY_CTRL_0_WORD_COUNT                        0x1
#define MC_TZ_SECURITY_CTRL_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TZ_SECURITY_CTRL_0_RESET_MASK                        _MK_MASK_CONST(0x3)
#define MC_TZ_SECURITY_CTRL_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TZ_SECURITY_CTRL_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TZ_SECURITY_CTRL_0_READ_MASK                         _MK_MASK_CONST(0x3)
#define MC_TZ_SECURITY_CTRL_0_WRITE_MASK                        _MK_MASK_CONST(0x3)
#define MC_TZ_SECURITY_CTRL_0_CPU_STRICT_TZ_APERTURE_CHECK_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TZ_SECURITY_CTRL_0_CPU_STRICT_TZ_APERTURE_CHECK_FIELD                        _MK_FIELD_CONST(0x1, MC_TZ_SECURITY_CTRL_0_CPU_STRICT_TZ_APERTURE_CHECK_SHIFT)
#define MC_TZ_SECURITY_CTRL_0_CPU_STRICT_TZ_APERTURE_CHECK_RANGE                        0:0
#define MC_TZ_SECURITY_CTRL_0_CPU_STRICT_TZ_APERTURE_CHECK_WOFFSET                      0x0
#define MC_TZ_SECURITY_CTRL_0_CPU_STRICT_TZ_APERTURE_CHECK_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_SECURITY_CTRL_0_CPU_STRICT_TZ_APERTURE_CHECK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TZ_SECURITY_CTRL_0_CPU_STRICT_TZ_APERTURE_CHECK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TZ_SECURITY_CTRL_0_CPU_STRICT_TZ_APERTURE_CHECK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TZ_SECURITY_CTRL_0_CPU_STRICT_TZ_APERTURE_CHECK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TZ_SECURITY_CTRL_0_CPU_STRICT_TZ_APERTURE_CHECK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TZ_SECURITY_CTRL_0_CPU_STRICT_TZ_APERTURE_CHECK_INIT_ENUM                    DISABLED
#define MC_TZ_SECURITY_CTRL_0_CPU_STRICT_TZ_APERTURE_CHECK_DISABLED                     _MK_ENUM_CONST(0)
#define MC_TZ_SECURITY_CTRL_0_CPU_STRICT_TZ_APERTURE_CHECK_ENABLED                      _MK_ENUM_CONST(1)

#define MC_TZ_SECURITY_CTRL_0_TZ_CARVEOUT_CLIENT_ACCESS_REGS_LOCK_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_TZ_SECURITY_CTRL_0_TZ_CARVEOUT_CLIENT_ACCESS_REGS_LOCK_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_SECURITY_CTRL_0_TZ_CARVEOUT_CLIENT_ACCESS_REGS_LOCK_SHIFT)
#define MC_TZ_SECURITY_CTRL_0_TZ_CARVEOUT_CLIENT_ACCESS_REGS_LOCK_RANGE                 1:1
#define MC_TZ_SECURITY_CTRL_0_TZ_CARVEOUT_CLIENT_ACCESS_REGS_LOCK_WOFFSET                       0x0
#define MC_TZ_SECURITY_CTRL_0_TZ_CARVEOUT_CLIENT_ACCESS_REGS_LOCK_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_SECURITY_CTRL_0_TZ_CARVEOUT_CLIENT_ACCESS_REGS_LOCK_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_SECURITY_CTRL_0_TZ_CARVEOUT_CLIENT_ACCESS_REGS_LOCK_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_SECURITY_CTRL_0_TZ_CARVEOUT_CLIENT_ACCESS_REGS_LOCK_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_SECURITY_CTRL_0_TZ_CARVEOUT_CLIENT_ACCESS_REGS_LOCK_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_SECURITY_CTRL_0_TZ_CARVEOUT_CLIENT_ACCESS_REGS_LOCK_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_SECURITY_CTRL_0_TZ_CARVEOUT_CLIENT_ACCESS_REGS_LOCK_INIT_ENUM                     DISABLED
#define MC_TZ_SECURITY_CTRL_0_TZ_CARVEOUT_CLIENT_ACCESS_REGS_LOCK_DISABLED                      _MK_ENUM_CONST(0)
#define MC_TZ_SECURITY_CTRL_0_TZ_CARVEOUT_CLIENT_ACCESS_REGS_LOCK_ENABLED                       _MK_ENUM_CONST(1)


// Register MC_TZ_CARVEOUT_CLIENT_ACCESS2_0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x1988)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_SCR                     0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPRA_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPRA_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPRA_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPRA_RANGE                   4:4
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPRA_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPRA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPRA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPRA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPRA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPRA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPRA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPRA_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPRA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPRA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPFALR_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPFALR_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPFALR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPFALR_RANGE                 5:5
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPFALR_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPFALR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPFALR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPFALR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPFALR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPFALR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPFALR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPFALR_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPFALR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPFALR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWA_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWA_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWA_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWA_RANGE                   6:6
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWA_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWA_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWA_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWA_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWA_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWB_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWB_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWB_RANGE                   7:7
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWB_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWB_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_ISPWB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTR_SHIFT                      _MK_SHIFT_CONST(10)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTR_FIELD                      _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTR_RANGE                      10:10
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTR_WOFFSET                    0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTR_INIT_ENUM                  DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTW_SHIFT                      _MK_SHIFT_CONST(11)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTW_FIELD                      _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTW_RANGE                      11:11
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTW_WOFFSET                    0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTW_INIT_ENUM                  DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_HOSTW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVR_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVR_FIELD                       _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVR_RANGE                       12:12
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVR_WOFFSET                     0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVR_INIT_ENUM                   DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVW_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVW_FIELD                       _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVW_RANGE                       13:13
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVW_WOFFSET                     0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVW_INIT_ENUM                   DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_XUSB_DEVW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSRD_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSRD_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSRD_RANGE                 20:20
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSRD_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSRD_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSWR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSWR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSWR_RANGE                 21:21
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSWR_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSWR_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS2_0_TZ_CARVEOUT_ALLOW_TSECSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_TZ_CARVEOUT_CLIENT_ACCESS6_0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x1998)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_SCR                     0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0WRA_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0WRA_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0WRA_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0WRA_RANGE                 0:0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0WRA_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0WRA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0WRA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0WRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0WRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0WRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0WRA_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0WRA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0WRA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0FALWRB_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0FALWRB_FIELD                      _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0FALWRB_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0FALWRB_RANGE                      1:1
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0FALWRB_WOFFSET                    0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0FALWRB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0FALWRB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0FALWRB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0FALWRB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0FALWRB_INIT_ENUM                  DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0FALWRB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA0FALWRB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1RDA_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1RDA_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1RDA_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1RDA_RANGE                 2:2
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1RDA_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1RDA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1RDA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1RDA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1RDA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1RDA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1RDA_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1RDA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1RDA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALRDB_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALRDB_FIELD                      _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALRDB_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALRDB_RANGE                      3:3
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALRDB_WOFFSET                    0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALRDB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALRDB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALRDB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALRDB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALRDB_INIT_ENUM                  DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALRDB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALRDB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1WRA_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1WRA_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1WRA_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1WRA_RANGE                 4:4
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1WRA_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1WRA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1WRA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1WRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1WRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1WRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1WRA_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1WRA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1WRA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALWRB_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALWRB_FIELD                      _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALWRB_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALWRB_RANGE                      5:5
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALWRB_WOFFSET                    0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALWRB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALWRB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALWRB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALWRB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALWRB_INIT_ENUM                  DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALWRB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_DLA1FALWRB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDA_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDA_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDA_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDA_RANGE                 6:6
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDA_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDA_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDB_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDB_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDB_RANGE                 7:7
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDB_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDB_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDC_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDC_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDC_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDC_RANGE                 8:8
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDC_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDC_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDC_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDC_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDC_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDC_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0RDC_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRA_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRA_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRA_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRA_RANGE                 9:9
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRA_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRA_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRB_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRB_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRB_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRB_RANGE                 10:10
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRB_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRB_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRC_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRC_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRC_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRC_RANGE                 11:11
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRC_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRC_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRC_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRC_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRC_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRC_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA0WRC_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDA_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDA_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDA_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDA_RANGE                 12:12
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDA_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDA_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDB_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDB_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDB_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDB_RANGE                 13:13
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDB_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDB_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDC_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDC_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDC_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDC_RANGE                 14:14
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDC_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDC_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDC_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDC_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDC_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDC_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1RDC_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRA_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRA_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRA_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRA_RANGE                 15:15
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRA_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRA_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRB_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRB_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRB_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRB_RANGE                 16:16
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRB_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRB_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRC_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRC_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRC_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRC_RANGE                 17:17
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRC_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRC_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRC_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRC_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRC_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRC_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PVA1WRC_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCER_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCER_FIELD                    _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCER_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCER_RANGE                    18:18
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCER_WOFFSET                  0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCER_INIT_ENUM                        DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEW_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEW_FIELD                    _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEW_RANGE                    19:19
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEW_WOFFSET                  0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEW_INIT_ENUM                        DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAR_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAR_RANGE                 20:20
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAR_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAR_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAW_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAW_RANGE                 21:21
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAW_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAW_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_RCEDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SRD_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SRD_FIELD                       _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SRD_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SRD_RANGE                       22:22
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SRD_WOFFSET                     0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SRD_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SRD_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SRD_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SRD_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SRD_INIT_ENUM                   DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SRD_DISABLE                     _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SRD_ENABLE                      _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SWR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SWR_FIELD                       _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SWR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SWR_RANGE                       23:23
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SWR_WOFFSET                     0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SWR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SWR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SWR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SWR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SWR_INIT_ENUM                   DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SWR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_NVENC1SWR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0R_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0R_FIELD                  _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0R_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0R_RANGE                  24:24
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0R_WOFFSET                        0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0R_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0R_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0R_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0R_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0R_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0R_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0R_INIT_ENUM                      DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0R_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0R_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0W_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0W_FIELD                  _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0W_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0W_RANGE                  25:25
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0W_WOFFSET                        0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0W_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0W_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0W_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0W_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0W_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0W_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0W_INIT_ENUM                      DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0W_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE0W_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1R_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1R_FIELD                  _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1R_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1R_RANGE                  26:26
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1R_WOFFSET                        0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1R_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1R_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1R_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1R_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1R_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1R_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1R_INIT_ENUM                      DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1R_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1R_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1W_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1W_FIELD                  _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1W_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1W_RANGE                  27:27
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1W_WOFFSET                        0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1W_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1W_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1W_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1W_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1W_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1W_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1W_INIT_ENUM                      DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1W_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE1W_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AR_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AR_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AR_RANGE                 28:28
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AR_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AR_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AW_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AW_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AW_RANGE                 29:29
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AW_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AW_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE2AW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3R_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3R_FIELD                  _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3R_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3R_RANGE                  30:30
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3R_WOFFSET                        0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3R_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3R_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3R_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3R_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3R_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3R_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3R_INIT_ENUM                      DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3R_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3R_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3W_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3W_FIELD                  _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3W_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3W_RANGE                  31:31
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3W_WOFFSET                        0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3W_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3W_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3W_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3W_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3W_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3W_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3W_INIT_ENUM                      DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3W_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS6_0_TZ_CARVEOUT_ALLOW_PCIE3W_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_TZ_CARVEOUT_CLIENT_ACCESS3_0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x198c)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_SCR                     0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRA_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRA_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRA_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRA_RANGE                 0:0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRA_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRA_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCR_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCR_FIELD                  _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCR_RANGE                  2:2
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCR_WOFFSET                        0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCR_INIT_ENUM                      DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRAB_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRAB_FIELD                        _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRAB_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRAB_RANGE                        3:3
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRAB_WOFFSET                      0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRAB_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRAB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRAB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRAB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRAB_INIT_ENUM                    DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRAB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCRAB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWA_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWA_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWA_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWA_RANGE                 4:4
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWA_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWA_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCW_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCW_FIELD                  _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCW_RANGE                  6:6
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCW_WOFFSET                        0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCW_INIT_ENUM                      DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWAB_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWAB_FIELD                        _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWAB_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWAB_RANGE                        7:7
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWAB_WOFFSET                      0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWAB_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWAB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWAB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWAB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWAB_INIT_ENUM                    DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWAB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_SDMMCWAB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSRD_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSRD_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSRD_RANGE                  12:12
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSRD_WOFFSET                        0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSRD_INIT_ENUM                      DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSWR_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSWR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSWR_RANGE                  13:13
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSWR_WOFFSET                        0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSWR_INIT_ENUM                      DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VICSWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VIW_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VIW_FIELD                     _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VIW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VIW_RANGE                     18:18
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VIW_WOFFSET                   0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VIW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VIW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VIW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VIW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VIW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VIW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VIW_INIT_ENUM                 DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VIW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_VIW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSRD_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSRD_FIELD                        _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSRD_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSRD_RANGE                        24:24
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSRD_WOFFSET                      0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSRD_INIT_ENUM                    DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSWR_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSWR_FIELD                        _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSWR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSWR_RANGE                        25:25
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSWR_WOFFSET                      0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSWR_INIT_ENUM                    DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVDECSWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APER_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APER_FIELD                    _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APER_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APER_RANGE                    26:26
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APER_WOFFSET                  0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APER_INIT_ENUM                        DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APEW_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APEW_FIELD                    _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APEW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APEW_RANGE                    27:27
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APEW_WOFFSET                  0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APEW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APEW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APEW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APEW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APEW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APEW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APEW_INIT_ENUM                        DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APEW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_APEW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSRD_SHIFT                        _MK_SHIFT_CONST(30)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSRD_FIELD                        _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSRD_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSRD_RANGE                        30:30
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSRD_WOFFSET                      0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSRD_INIT_ENUM                    DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSWR_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSWR_FIELD                        _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSWR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSWR_RANGE                        31:31
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSWR_WOFFSET                      0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSWR_INIT_ENUM                    DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS3_0_TZ_CARVEOUT_ALLOW_NVJPGSWR_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_TZ_CARVEOUT_CLIENT_ACCESS5_0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x1994)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_SCR                     0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_APEDMAW_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_APEDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_APEDMAW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_APEDMAW_RANGE                 0:0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_APEDMAW_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_APEDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_APEDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_APEDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_APEDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_APEDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_APEDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_APEDMAW_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_APEDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_APEDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR1_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR1_FIELD                     _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR1_RANGE                     1:1
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR1_WOFFSET                   0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR1_INIT_ENUM                 DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VICSRD1_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VICSRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VICSRD1_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VICSRD1_RANGE                 2:2
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VICSRD1_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VICSRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VICSRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VICSRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VICSRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VICSRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VICSRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VICSRD1_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VICSRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VICSRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDECSRD1_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDECSRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDECSRD1_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDECSRD1_RANGE                       3:3
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDECSRD1_WOFFSET                     0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDECSRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDECSRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDECSRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDECSRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDECSRD1_INIT_ENUM                   DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDECSRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVDECSRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0R_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0R_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0R_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0R_RANGE                   6:6
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0R_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0R_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0W_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0W_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0W_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0W_RANGE                   7:7
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0W_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0W_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1R_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1R_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1R_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1R_RANGE                   8:8
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1R_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1R_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1W_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1W_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1W_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1W_RANGE                   9:9
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1W_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1W_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2R_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2R_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2R_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2R_RANGE                   14:14
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2R_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2R_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2W_SHIFT                   _MK_SHIFT_CONST(15)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2W_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2W_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2W_RANGE                   15:15
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2W_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2W_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU2W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3R_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3R_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3R_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3R_RANGE                   16:16
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3R_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3R_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3W_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3W_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3W_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3W_RANGE                   17:17
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3W_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3W_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU3W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4R_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4R_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4R_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4R_RANGE                   18:18
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4R_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4R_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4W_SHIFT                   _MK_SHIFT_CONST(19)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4W_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4W_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4W_RANGE                   19:19
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4W_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4W_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_MIU4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUR_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUR_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUR_RANGE                   20:20
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUR_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUR_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUW_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUW_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUW_RANGE                   21:21
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUW_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUW_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DPMUW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0R_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0R_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0R_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0R_RANGE                   22:22
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0R_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0R_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0W_SHIFT                   _MK_SHIFT_CONST(23)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0W_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0W_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0W_RANGE                   23:23
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0W_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0W_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1R_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1R_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1R_RANGE                   24:24
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1R_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1R_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1W_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1W_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1W_RANGE                   25:25
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1W_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1W_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2R_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2R_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2R_RANGE                   26:26
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2R_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2R_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2W_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2W_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2W_RANGE                   27:27
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2W_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2W_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_NVL2W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALR_RANGE                  28:28
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALR_WOFFSET                        0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALR_INIT_ENUM                      DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALW_RANGE                  29:29
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALW_WOFFSET                        0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALW_INIT_ENUM                      DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_VIFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0RDA_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0RDA_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0RDA_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0RDA_RANGE                 30:30
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0RDA_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0RDA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0RDA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0RDA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0RDA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0RDA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0RDA_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0RDA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0RDA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0FALRDB_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0FALRDB_FIELD                      _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0FALRDB_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0FALRDB_RANGE                      31:31
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0FALRDB_WOFFSET                    0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0FALRDB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0FALRDB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0FALRDB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0FALRDB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0FALRDB_INIT_ENUM                  DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0FALRDB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS5_0_TZ_CARVEOUT_ALLOW_DLA0FALRDB_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_TZ_CARVEOUT_CLIENT_ACCESS0_0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x1980)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_SCR                     0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_PTCR_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_PTCR_FIELD                    _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_PTCR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_PTCR_RANGE                    0:0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_PTCR_WOFFSET                  0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_PTCR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_PTCR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_PTCR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_PTCR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_PTCR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_PTCR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_PTCR_INIT_ENUM                        DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_PTCR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_PTCR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7R_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7R_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7R_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7R_RANGE                   1:1
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7R_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7R_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7W_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7W_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7W_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7W_RANGE                   2:2
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7W_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7W_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_MIU7W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HDAR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HDAR_FIELD                    _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HDAR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HDAR_RANGE                    21:21
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HDAR_WOFFSET                  0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HDAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HDAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HDAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HDAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HDAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HDAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HDAR_INIT_ENUM                        DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HDAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HDAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HOST1XDMAR_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HOST1XDMAR_FIELD                      _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HOST1XDMAR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HOST1XDMAR_RANGE                      22:22
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HOST1XDMAR_WOFFSET                    0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HOST1XDMAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HOST1XDMAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HOST1XDMAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HOST1XDMAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HOST1XDMAR_INIT_ENUM                  DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HOST1XDMAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_HOST1XDMAR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_NVENCSRD_SHIFT                        _MK_SHIFT_CONST(28)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_NVENCSRD_FIELD                        _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_NVENCSRD_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_NVENCSRD_RANGE                        28:28
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_NVENCSRD_WOFFSET                      0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_NVENCSRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_NVENCSRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_NVENCSRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_NVENCSRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_NVENCSRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_NVENCSRD_INIT_ENUM                    DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_NVENCSRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_NVENCSRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_SATAR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_SATAR_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_SATAR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_SATAR_RANGE                   31:31
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_SATAR_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_SATAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_SATAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_SATAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_SATAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_SATAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_SATAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_SATAR_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_SATAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS0_0_TZ_CARVEOUT_ALLOW_SATAR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_TZ_CARVEOUT_CLIENT_ACCESS4_0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x1990)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_SCR                     0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESRD_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESRD_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESRD_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESRD_RANGE                   0:0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESRD_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESRD_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESWR_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESWR_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESWR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESWR_RANGE                   1:1
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESWR_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESWR_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SESWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPR_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPR_FIELD                  _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPR_RANGE                  2:2
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPR_WOFFSET                        0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPR_INIT_ENUM                      DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPW_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPW_FIELD                  _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPW_RANGE                  3:3
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPW_WOFFSET                        0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPW_INIT_ENUM                      DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXIAPW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRR_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRR_FIELD                    _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRR_RANGE                    4:4
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRR_WOFFSET                  0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRR_INIT_ENUM                        DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRW_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRW_FIELD                    _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRW_RANGE                    5:5
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRW_WOFFSET                  0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRW_INIT_ENUM                        DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_ETRW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSRDB_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSRDB_FIELD                        _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSRDB_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSRDB_RANGE                        6:6
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSRDB_WOFFSET                      0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSRDB_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSRDB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSRDB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSRDB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSRDB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSRDB_INIT_ENUM                    DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSRDB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSRDB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSWRB_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSWRB_FIELD                        _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSWRB_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSWRB_RANGE                        7:7
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSWRB_WOFFSET                      0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSWRB_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSWRB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSWRB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSWRB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSWRB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSWRB_INIT_ENUM                    DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSWRB_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_TSECSWRB_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISR_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISR_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISR_RANGE                   12:12
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISR_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISR_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISW_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISW_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISW_RANGE                   13:13
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISW_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISW_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AXISW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSR_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSR_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSR_RANGE                   14:14
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSR_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSR_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSW_SHIFT                   _MK_SHIFT_CONST(15)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSW_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSW_RANGE                   15:15
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSW_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSW_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_EQOSW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCR_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCR_FIELD                  _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCR_RANGE                  16:16
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCR_WOFFSET                        0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCR_INIT_ENUM                      DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCW_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCW_FIELD                  _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCW_RANGE                  17:17
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCW_WOFFSET                        0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCW_INIT_ENUM                      DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_UFSHCW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR_FIELD                      _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR_RANGE                      18:18
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR_WOFFSET                    0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR_INIT_ENUM                  DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_NVDISPLAYR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPR_SHIFT                   _MK_SHIFT_CONST(19)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPR_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPR_RANGE                   19:19
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPR_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPR_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPW_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPW_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPW_RANGE                   20:20
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPW_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPW_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAR_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAR_FIELD                        _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAR_RANGE                        21:21
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAR_WOFFSET                      0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAR_INIT_ENUM                    DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAW_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAW_FIELD                        _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAW_RANGE                        22:22
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAW_WOFFSET                      0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAW_INIT_ENUM                    DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_BPMPDMAW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONR_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONR_FIELD                    _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONR_RANGE                    23:23
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONR_WOFFSET                  0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONR_INIT_ENUM                        DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONW_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONW_FIELD                    _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONW_RANGE                    24:24
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONW_WOFFSET                  0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONW_INIT_ENUM                        DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAR_RANGE                 25:25
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAR_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAR_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAW_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAW_RANGE                 26:26
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAW_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAW_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_AONDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCER_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCER_FIELD                    _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCER_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCER_RANGE                    27:27
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCER_WOFFSET                  0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCER_INIT_ENUM                        DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEW_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEW_FIELD                    _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEW_RANGE                    28:28
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEW_WOFFSET                  0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEW_INIT_ENUM                        DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAR_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAR_RANGE                 29:29
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAR_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAR_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAW_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAW_RANGE                 30:30
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAW_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAW_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_SCEDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_APEDMAR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_APEDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_APEDMAR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_APEDMAR_RANGE                 31:31
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_APEDMAR_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_APEDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_APEDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_APEDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_APEDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_APEDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_APEDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_APEDMAR_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_APEDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS4_0_TZ_CARVEOUT_ALLOW_APEDMAR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_TZ_CARVEOUT_CLIENT_ACCESS1_0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x1984)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_SCR                     0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCORER_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCORER_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCORER_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCORER_RANGE                 7:7
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCORER_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCORER_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCORER_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCORER_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCORER_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCORER_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCORER_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCORER_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCORER_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCORER_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_NVENCSWR_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_NVENCSWR_FIELD                        _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_NVENCSWR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_NVENCSWR_RANGE                        11:11
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_NVENCSWR_WOFFSET                      0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_NVENCSWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_NVENCSWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_NVENCSWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_NVENCSWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_NVENCSWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_NVENCSWR_INIT_ENUM                    DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_NVENCSWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_NVENCSWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_HDAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_HDAW_FIELD                    _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_HDAW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_HDAW_RANGE                    21:21
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_HDAW_WOFFSET                  0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_HDAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_HDAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_HDAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_HDAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_HDAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_HDAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_HDAW_INIT_ENUM                        DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_HDAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_HDAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCOREW_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCOREW_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCOREW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCOREW_RANGE                 25:25
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCOREW_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCOREW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCOREW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCOREW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCOREW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCOREW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCOREW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCOREW_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCOREW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_MPCOREW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_SATAW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_SATAW_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_SATAW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_SATAW_RANGE                   29:29
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_SATAW_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_SATAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_SATAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_SATAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_SATAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_SATAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_SATAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_SATAW_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_SATAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS1_0_TZ_CARVEOUT_ALLOW_SATAW_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_TZ_CARVEOUT_CLIENT_ACCESS7_0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x199c)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_SCR                     0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4R_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4R_FIELD                  _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4R_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4R_RANGE                  0:0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4R_WOFFSET                        0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4R_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4R_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4R_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4R_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4R_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4R_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4R_INIT_ENUM                      DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4R_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4R_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4W_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4W_FIELD                  _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4W_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4W_RANGE                  1:1
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4W_WOFFSET                        0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4W_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4W_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4W_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4W_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4W_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4W_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4W_INIT_ENUM                      DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4W_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE4W_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R_FIELD                  _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R_RANGE                  2:2
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R_WOFFSET                        0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R_INIT_ENUM                      DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5W_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5W_FIELD                  _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5W_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5W_RANGE                  3:3
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5W_WOFFSET                        0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5W_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5W_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5W_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5W_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5W_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5W_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5W_INIT_ENUM                      DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5W_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5W_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPFALW_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPFALW_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPFALW_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPFALW_RANGE                 4:4
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPFALW_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPFALW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPFALW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPFALW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPFALW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPFALW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPFALW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPFALW_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPFALW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPFALW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3R_SHIFT                   _MK_SHIFT_CONST(5)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3R_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3R_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3R_RANGE                   5:5
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3R_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3R_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3W_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3W_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3W_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3W_RANGE                   6:6
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3W_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3W_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4R_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4R_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4R_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4R_RANGE                   7:7
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4R_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4R_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4W_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4W_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4W_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4W_RANGE                   8:8
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4W_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4W_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA0RDA1_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA0RDA1_FIELD                        _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA0RDA1_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA0RDA1_RANGE                        9:9
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA0RDA1_WOFFSET                      0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA0RDA1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA0RDA1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA0RDA1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA0RDA1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA0RDA1_INIT_ENUM                    DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA0RDA1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA0RDA1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA1RDA1_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA1RDA1_FIELD                        _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA1RDA1_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA1RDA1_RANGE                        10:10
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA1RDA1_WOFFSET                      0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA1RDA1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA1RDA1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA1RDA1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA1RDA1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA1RDA1_INIT_ENUM                    DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA1RDA1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_DLA1RDA1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDA1_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDA1_FIELD                        _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDA1_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDA1_RANGE                        11:11
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDA1_WOFFSET                      0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDA1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDA1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDA1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDA1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDA1_INIT_ENUM                    DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDA1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDA1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDB1_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDB1_FIELD                        _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDB1_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDB1_RANGE                        12:12
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDB1_WOFFSET                      0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDB1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDB1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDB1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDB1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDB1_INIT_ENUM                    DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDB1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA0RDB1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDA1_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDA1_FIELD                        _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDA1_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDA1_RANGE                        13:13
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDA1_WOFFSET                      0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDA1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDA1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDA1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDA1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDA1_INIT_ENUM                    DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDA1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDA1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDB1_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDB1_FIELD                        _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDB1_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDB1_RANGE                        14:14
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDB1_WOFFSET                      0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDB1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDB1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDB1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDB1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDB1_INIT_ENUM                    DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDB1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PVA1RDB1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R1_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R1_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R1_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R1_RANGE                 15:15
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R1_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R1_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE5R1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENCSRD1_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENCSRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENCSRD1_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENCSRD1_RANGE                       16:16
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENCSRD1_WOFFSET                     0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENCSRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENCSRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENCSRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENCSRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENCSRD1_INIT_ENUM                   DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENCSRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENCSRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENC1SRD1_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENC1SRD1_FIELD                      _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENC1SRD1_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENC1SRD1_RANGE                      17:17
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENC1SRD1_WOFFSET                    0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENC1SRD1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENC1SRD1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENC1SRD1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENC1SRD1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENC1SRD1_INIT_ENUM                  DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENC1SRD1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVENC1SRD1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPRA1_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPRA1_FIELD                  _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPRA1_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPRA1_RANGE                  18:18
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPRA1_WOFFSET                        0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPRA1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPRA1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPRA1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPRA1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPRA1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPRA1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPRA1_INIT_ENUM                      DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPRA1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_ISPRA1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE0R1_SHIFT                 _MK_SHIFT_CONST(19)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE0R1_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE0R1_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE0R1_RANGE                 19:19
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE0R1_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE0R1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE0R1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE0R1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE0R1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE0R1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE0R1_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE0R1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_PCIE0R1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL0RHP_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL0RHP_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL0RHP_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL0RHP_RANGE                 20:20
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL0RHP_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL0RHP_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL0RHP_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL0RHP_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL0RHP_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL0RHP_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL0RHP_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL0RHP_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL0RHP_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL1RHP_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL1RHP_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL1RHP_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL1RHP_RANGE                 21:21
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL1RHP_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL1RHP_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL1RHP_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL1RHP_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL1RHP_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL1RHP_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL1RHP_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL1RHP_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL1RHP_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL2RHP_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL2RHP_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL2RHP_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL2RHP_RANGE                 22:22
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL2RHP_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL2RHP_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL2RHP_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL2RHP_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL2RHP_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL2RHP_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL2RHP_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL2RHP_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL2RHP_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3RHP_SHIFT                 _MK_SHIFT_CONST(23)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3RHP_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3RHP_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3RHP_RANGE                 23:23
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3RHP_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3RHP_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3RHP_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3RHP_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3RHP_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3RHP_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3RHP_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3RHP_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL3RHP_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4RHP_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4RHP_FIELD                 _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4RHP_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4RHP_RANGE                 24:24
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4RHP_WOFFSET                       0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4RHP_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4RHP_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4RHP_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4RHP_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4RHP_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4RHP_INIT_ENUM                     DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4RHP_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVL4RHP_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD_SHIFT                       _MK_SHIFT_CONST(25)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD_FIELD                       _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD_RANGE                       25:25
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD_WOFFSET                     0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD_INIT_ENUM                   DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD_DISABLE                     _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD_ENABLE                      _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD1_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD1_FIELD                      _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD1_RANGE                      26:26
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD1_WOFFSET                    0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD1_INIT_ENUM                  DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SRD1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SWR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SWR_FIELD                       _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SWR_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SWR_RANGE                       27:27
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SWR_WOFFSET                     0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SWR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SWR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SWR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SWR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SWR_INIT_ENUM                   DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SWR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_NVDEC1SWR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5R_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5R_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5R_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5R_RANGE                   28:28
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5R_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5R_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5W_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5W_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5W_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5W_RANGE                   29:29
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5W_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5W_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6R_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6R_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6R_RANGE                   30:30
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6R_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6R_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6W_FIELD                   _MK_FIELD_CONST(0x1, MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6W_SHIFT)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6W_RANGE                   31:31
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6W_WOFFSET                 0x0
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6W_INIT_ENUM                       DISABLE
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_TZ_CARVEOUT_CLIENT_ACCESS7_0_TZ_CARVEOUT_ALLOW_MIU6W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0                     _MK_ADDR_CONST(0x66c)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_SECURE                      0x0
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_DUAL                        0x0
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_SCR                         0
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_WORD_COUNT                  0x1
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_RESET_VAL                   _MK_MASK_CONST(0x80000080)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_RESET_MASK                  _MK_MASK_CONST(0xc00003ff)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x80000080)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0xc00003ff)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_READ_MASK                   _MK_MASK_CONST(0xc3ff03ff)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_WRITE_MASK                  _MK_MASK_CONST(0xc00003ff)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_MAX_OUTSTANDING_RING3_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_MAX_OUTSTANDING_RING3_FIELD                     _MK_FIELD_CONST(0x3ff, MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_MAX_OUTSTANDING_RING3_SHIFT)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_MAX_OUTSTANDING_RING3_RANGE                     9:0
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_MAX_OUTSTANDING_RING3_WOFFSET                   0x0
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_MAX_OUTSTANDING_RING3_DEFAULT                   _MK_MASK_CONST(0x80)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_MAX_OUTSTANDING_RING3_DEFAULT_MASK                      _MK_MASK_CONST(0x3ff)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_MAX_OUTSTANDING_RING3_SW_DEFAULT                        _MK_MASK_CONST(0x80)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_MAX_OUTSTANDING_RING3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3ff)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_MAX_OUTSTANDING_RING3_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_MAX_OUTSTANDING_RING3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_MAX_OUTSTANDING_RING3__PROD                     _MK_MASK_CONST(0x80)

#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_OUTSTANDING_COUNT_RING3_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_OUTSTANDING_COUNT_RING3_FIELD                   _MK_FIELD_CONST(0x3ff, MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_OUTSTANDING_COUNT_RING3_SHIFT)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_OUTSTANDING_COUNT_RING3_RANGE                   25:16
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_OUTSTANDING_COUNT_RING3_WOFFSET                 0x0
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_OUTSTANDING_COUNT_RING3_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_OUTSTANDING_COUNT_RING3_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_OUTSTANDING_COUNT_RING3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_OUTSTANDING_COUNT_RING3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_OUTSTANDING_COUNT_RING3_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_ARB_OUTSTANDING_COUNT_RING3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_DURING_HOLDOFF_OVERRIDE_RING3_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_DURING_HOLDOFF_OVERRIDE_RING3_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_DURING_HOLDOFF_OVERRIDE_RING3_SHIFT)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_DURING_HOLDOFF_OVERRIDE_RING3_RANGE                   30:30
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_DURING_HOLDOFF_OVERRIDE_RING3_WOFFSET                 0x0
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_DURING_HOLDOFF_OVERRIDE_RING3_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_DURING_HOLDOFF_OVERRIDE_RING3_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_DURING_HOLDOFF_OVERRIDE_RING3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_DURING_HOLDOFF_OVERRIDE_RING3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_DURING_HOLDOFF_OVERRIDE_RING3_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_DURING_HOLDOFF_OVERRIDE_RING3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_DURING_HOLDOFF_OVERRIDE_RING3_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_DURING_HOLDOFF_OVERRIDE_RING3_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_DURING_HOLDOFF_OVERRIDE_RING3_ENABLE                  _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_DURING_HOLDOFF_OVERRIDE_RING3__PROD                   _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_OUTSTANDING_RING3_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_OUTSTANDING_RING3_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_OUTSTANDING_RING3_SHIFT)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_OUTSTANDING_RING3_RANGE                       31:31
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_OUTSTANDING_RING3_WOFFSET                     0x0
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_OUTSTANDING_RING3_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_OUTSTANDING_RING3_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_OUTSTANDING_RING3_SW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_OUTSTANDING_RING3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_OUTSTANDING_RING3_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_OUTSTANDING_RING3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_OUTSTANDING_RING3_INIT_ENUM                   ENABLE
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_OUTSTANDING_RING3_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_OUTSTANDING_RING3_ENABLE                      _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0_LIMIT_OUTSTANDING_RING3__PROD                       _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0                      _MK_ADDR_CONST(0x6b4)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_SECURE                       0x0
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_DUAL                         0x0
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_SCR                  0
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_RESET_VAL                    _MK_MASK_CONST(0x80)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_RESET_MASK                   _MK_MASK_CONST(0xc00003ff)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x80)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xc00003ff)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_READ_MASK                    _MK_MASK_CONST(0xc00003ff)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_WRITE_MASK                   _MK_MASK_CONST(0xc00003ff)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_ARB_MAX_OUTSTANDING_NISO_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_ARB_MAX_OUTSTANDING_NISO_FIELD                       _MK_FIELD_CONST(0x3ff, MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_ARB_MAX_OUTSTANDING_NISO_SHIFT)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_ARB_MAX_OUTSTANDING_NISO_RANGE                       9:0
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_ARB_MAX_OUTSTANDING_NISO_WOFFSET                     0x0
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_ARB_MAX_OUTSTANDING_NISO_DEFAULT                     _MK_MASK_CONST(0x80)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_ARB_MAX_OUTSTANDING_NISO_DEFAULT_MASK                        _MK_MASK_CONST(0x3ff)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_ARB_MAX_OUTSTANDING_NISO_SW_DEFAULT                  _MK_MASK_CONST(0x80)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_ARB_MAX_OUTSTANDING_NISO_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3ff)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_ARB_MAX_OUTSTANDING_NISO_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_ARB_MAX_OUTSTANDING_NISO_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_ARB_MAX_OUTSTANDING_NISO__PROD                       _MK_MASK_CONST(0x80)

#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_DURING_HOLDOFF_OVERRIDE_NISO_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_DURING_HOLDOFF_OVERRIDE_NISO_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_DURING_HOLDOFF_OVERRIDE_NISO_SHIFT)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_DURING_HOLDOFF_OVERRIDE_NISO_RANGE                     30:30
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_DURING_HOLDOFF_OVERRIDE_NISO_WOFFSET                   0x0
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_DURING_HOLDOFF_OVERRIDE_NISO_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_DURING_HOLDOFF_OVERRIDE_NISO_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_DURING_HOLDOFF_OVERRIDE_NISO_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_DURING_HOLDOFF_OVERRIDE_NISO_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_DURING_HOLDOFF_OVERRIDE_NISO_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_DURING_HOLDOFF_OVERRIDE_NISO_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_DURING_HOLDOFF_OVERRIDE_NISO_INIT_ENUM                 DISABLE
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_DURING_HOLDOFF_OVERRIDE_NISO_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_DURING_HOLDOFF_OVERRIDE_NISO_ENABLE                    _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_DURING_HOLDOFF_OVERRIDE_NISO__PROD                     _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_OUTSTANDING_NISO_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_OUTSTANDING_NISO_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_OUTSTANDING_NISO_SHIFT)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_OUTSTANDING_NISO_RANGE                 31:31
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_OUTSTANDING_NISO_WOFFSET                       0x0
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_OUTSTANDING_NISO_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_OUTSTANDING_NISO_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_OUTSTANDING_NISO_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_OUTSTANDING_NISO_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_OUTSTANDING_NISO_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_OUTSTANDING_NISO_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_OUTSTANDING_NISO_INIT_ENUM                     DISABLE
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_OUTSTANDING_NISO_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_OUTSTANDING_NISO_ENABLE                        _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_LIMIT_OUTSTANDING_NISO__PROD                 _MK_MASK_CONST(0x0)


// Register MC_EMEM_ARB_RING0_THROTTLE_MASK_0
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0                       _MK_ADDR_CONST(0x6bc)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_SECURE                        0x0
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_DUAL                  0x0
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_SCR                   0
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_WORD_COUNT                    0x1
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RESET_VAL                     _MK_MASK_CONST(0x80008041)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RESET_MASK                    _MK_MASK_CONST(0x800080c5)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x80008041)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x800080c5)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_READ_MASK                     _MK_MASK_CONST(0x800080c5)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_WRITE_MASK                    _MK_MASK_CONST(0x800080c5)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_MPCORER_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_MPCORER_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_MPCORER_SHIFT)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_MPCORER_RANGE                     0:0
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_MPCORER_WOFFSET                   0x0
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_MPCORER_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_MPCORER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_MPCORER_SW_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_MPCORER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_MPCORER_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_MPCORER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_MPCORER_INIT_ENUM                 ENABLE
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_MPCORER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_MPCORER_ENABLE                    _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_MPCORER__PROD                     _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_PTC_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_PTC_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_PTC_SHIFT)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_PTC_RANGE                 2:2
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_PTC_WOFFSET                       0x0
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_PTC_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_PTC_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_PTC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_PTC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_PTC_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_PTC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_PTC_INIT_ENUM                     DISABLE
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_PTC_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_PTC_ENABLE                        _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_PTC__PROD                 _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_FTOP_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_FTOP_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_FTOP_SHIFT)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_FTOP_RANGE                        6:6
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_FTOP_WOFFSET                      0x0
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_FTOP_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_FTOP_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_FTOP_SW_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_FTOP_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_FTOP_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_FTOP_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_FTOP_INIT_ENUM                    ENABLE
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_FTOP_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_FTOP_ENABLE                       _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_FTOP__PROD                        _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_SHIFT)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_RANGE                       7:7
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_WOFFSET                     0x0
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_INIT_ENUM                   DISABLE
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_ENABLE                      _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1__PROD                       _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_OUTPUT_SHIFT                        _MK_SHIFT_CONST(15)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_OUTPUT_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_OUTPUT_SHIFT)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_OUTPUT_RANGE                        15:15
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_OUTPUT_WOFFSET                      0x0
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_OUTPUT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_OUTPUT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_OUTPUT_SW_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_OUTPUT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_OUTPUT_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_OUTPUT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_OUTPUT_INIT_ENUM                    ENABLE
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_OUTPUT_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_OUTPUT_ENABLE                       _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_RING0_THROTTLE_MASK_RING1_OUTPUT__PROD                        _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_ARB_OUTSTANDING_COUNT_ABOVE_SMMU_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_ARB_OUTSTANDING_COUNT_ABOVE_SMMU_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_RING0_THROTTLE_MASK_0_ARB_OUTSTANDING_COUNT_ABOVE_SMMU_SHIFT)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_ARB_OUTSTANDING_COUNT_ABOVE_SMMU_RANGE                        31:31
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_ARB_OUTSTANDING_COUNT_ABOVE_SMMU_WOFFSET                      0x0
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_ARB_OUTSTANDING_COUNT_ABOVE_SMMU_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_ARB_OUTSTANDING_COUNT_ABOVE_SMMU_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_ARB_OUTSTANDING_COUNT_ABOVE_SMMU_SW_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_ARB_OUTSTANDING_COUNT_ABOVE_SMMU_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_ARB_OUTSTANDING_COUNT_ABOVE_SMMU_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_ARB_OUTSTANDING_COUNT_ABOVE_SMMU_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_ARB_OUTSTANDING_COUNT_ABOVE_SMMU_INIT_ENUM                    ENABLE
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_ARB_OUTSTANDING_COUNT_ABOVE_SMMU_DISABLE                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_ARB_OUTSTANDING_COUNT_ABOVE_SMMU_ENABLE                       _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_RING0_THROTTLE_MASK_0_ARB_OUTSTANDING_COUNT_ABOVE_SMMU__PROD                        _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0                      _MK_ADDR_CONST(0x3b00)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_SECURE                       0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_DUAL                         0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_SCR                  0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_RESET_MASK                   _MK_MASK_CONST(0x7ffff)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_READ_MASK                    _MK_MASK_CONST(0x7ffff)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_WRITE_MASK                   _MK_MASK_CONST(0x7ffff)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XA2_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XA2_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XA2_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XA2_RANGE                     0:0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XA2_WOFFSET                   0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XA2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XA2_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XA2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XA2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XA2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XA2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XA2_INIT_ENUM                 DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XA2_DISABLED                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XA2_ENABLED                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XB2_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XB2_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XB2_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XB2_RANGE                     1:1
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XB2_WOFFSET                   0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XB2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XB2_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XB2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XB2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XB2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XB2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XB2_INIT_ENUM                 DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XB2_DISABLED                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PVA1XB2_ENABLED                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE5X2_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE5X2_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE5X2_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE5X2_RANGE                     2:2
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE5X2_WOFFSET                   0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE5X2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE5X2_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE5X2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE5X2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE5X2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE5X2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE5X2_INIT_ENUM                 DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE5X2_DISABLED                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE5X2_ENABLED                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_UFSHCPC2_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_UFSHCPC2_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_UFSHCPC2_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_UFSHCPC2_RANGE                    3:3
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_UFSHCPC2_WOFFSET                  0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_UFSHCPC2_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_UFSHCPC2_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_UFSHCPC2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_UFSHCPC2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_UFSHCPC2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_UFSHCPC2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_UFSHCPC2_INIT_ENUM                        DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_UFSHCPC2_DISABLED                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_UFSHCPC2_ENABLED                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBX2_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBX2_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBX2_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBX2_RANGE                       4:4
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBX2_WOFFSET                     0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBX2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBX2_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBX2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBX2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBX2_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBX2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBX2_INIT_ENUM                   DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBX2_DISABLED                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBX2_ENABLED                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBD2_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBD2_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBD2_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBD2_RANGE                       5:5
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBD2_WOFFSET                     0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBD2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBD2_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBD2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBD2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBD2_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBD2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBD2_INIT_ENUM                   DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBD2_DISABLED                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_USBD2_ENABLED                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEA_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEA_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEA_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEA_RANGE                        6:6
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEA_WOFFSET                      0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEA_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEA_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEA_INIT_ENUM                    DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEA_DISABLED                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEA_ENABLED                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB_RANGE                        7:7
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB_WOFFSET                      0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB_INIT_ENUM                    DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB_DISABLED                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB_ENABLED                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB1_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB1_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB1_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB1_RANGE                       8:8
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB1_WOFFSET                     0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB1_INIT_ENUM                   DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB1_DISABLED                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MSEB1_ENABLED                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISPPC_SHIFT                       _MK_SHIFT_CONST(9)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISPPC_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISPPC_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISPPC_RANGE                       9:9
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISPPC_WOFFSET                     0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISPPC_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISPPC_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISPPC_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISPPC_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISPPC_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISPPC_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISPPC_INIT_ENUM                   DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISPPC_DISABLED                    _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISPPC_ENABLED                     _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISP2PC_SHIFT                      _MK_SHIFT_CONST(10)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISP2PC_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISP2PC_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISP2PC_RANGE                      10:10
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISP2PC_WOFFSET                    0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISP2PC_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISP2PC_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISP2PC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISP2PC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISP2PC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISP2PC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISP2PC_INIT_ENUM                  DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISP2PC_DISABLED                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_ISP2PC_ENABLED                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE0X2_SHIFT                     _MK_SHIFT_CONST(11)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE0X2_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE0X2_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE0X2_RANGE                     11:11
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE0X2_WOFFSET                   0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE0X2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE0X2_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE0X2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE0X2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE0X2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE0X2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE0X2_INIT_ENUM                 DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE0X2_DISABLED                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_PCIE0X2_ENABLED                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD4_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD4_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD4_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD4_RANGE                        12:12
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD4_WOFFSET                      0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD4_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD4_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD4_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD4_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD4_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD4_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD4_INIT_ENUM                    DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD4_DISABLED                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD4_ENABLED                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD5_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD5_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD5_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD5_RANGE                        13:13
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD5_WOFFSET                      0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD5_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD5_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD5_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD5_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD5_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD5_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD5_INIT_ENUM                    DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD5_DISABLED                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD5_ENABLED                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD6_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD6_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD6_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD6_RANGE                        14:14
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD6_WOFFSET                      0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD6_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD6_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD6_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD6_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD6_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD6_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD6_INIT_ENUM                    DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD6_DISABLED                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_NVD6_ENABLED                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU4_SHIFT                        _MK_SHIFT_CONST(15)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU4_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU4_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU4_RANGE                        15:15
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU4_WOFFSET                      0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU4_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU4_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU4_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU4_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU4_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU4_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU4_INIT_ENUM                    DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU4_DISABLED                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU4_ENABLED                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU5_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU5_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU5_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU5_RANGE                        16:16
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU5_WOFFSET                      0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU5_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU5_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU5_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU5_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU5_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU5_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU5_INIT_ENUM                    DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU5_DISABLED                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU5_ENABLED                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU6_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU6_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU6_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU6_RANGE                        17:17
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU6_WOFFSET                      0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU6_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU6_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU6_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU6_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU6_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU6_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU6_INIT_ENUM                    DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU6_DISABLED                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU6_ENABLED                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU7_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU7_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU7_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU7_RANGE                        18:18
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU7_WOFFSET                      0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU7_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU7_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU7_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU7_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU7_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU7_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU7_INIT_ENUM                    DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU7_DISABLED                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_NISO_THROTTLE_MASK_MIU7_ENABLED                      _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_NISO_THROTTLE_MASK_0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0                        _MK_ADDR_CONST(0x6b8)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_SECURE                         0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_DUAL                   0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_SCR                    0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_WORD_COUNT                     0x1
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_RESET_MASK                     _MK_MASK_CONST(0x398a0204)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_READ_MASK                      _MK_MASK_CONST(0x398a0204)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_WRITE_MASK                     _MK_MASK_CONST(0x398a0204)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_APB_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_APB_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_APB_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_APB_RANGE                   2:2
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_APB_WOFFSET                 0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_APB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_APB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_APB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_APB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_APB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_APB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_APB_INIT_ENUM                       DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_APB_DISABLED                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_APB_ENABLED                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SAX_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SAX_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SAX_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SAX_RANGE                   9:9
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SAX_WOFFSET                 0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SAX_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SAX_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SAX_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SAX_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SAX_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SAX_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SAX_INIT_ENUM                       DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SAX_DISABLED                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SAX_ENABLED                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBX_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBX_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBX_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBX_RANGE                  17:17
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBX_WOFFSET                        0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBX_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBX_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBX_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBX_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBX_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBX_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBX_INIT_ENUM                      DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBX_DISABLED                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBX_ENABLED                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_MSE_SHIFT                   _MK_SHIFT_CONST(19)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_MSE_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_MSE_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_MSE_RANGE                   19:19
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_MSE_WOFFSET                 0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_MSE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_MSE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_MSE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_MSE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_MSE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_MSE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_MSE_INIT_ENUM                       DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_MSE_DISABLED                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_MSE_ENABLED                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SD_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SD_FIELD                    _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SD_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SD_RANGE                    23:23
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SD_WOFFSET                  0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SD_INIT_ENUM                        DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SD_DISABLED                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SD_ENABLED                  _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_ISP_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_ISP_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_ISP_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_ISP_RANGE                   24:24
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_ISP_WOFFSET                 0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_ISP_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_ISP_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_ISP_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_ISP_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_ISP_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_ISP_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_ISP_INIT_ENUM                       DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_ISP_DISABLED                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_ISP_ENABLED                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_HOST_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_HOST_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_HOST_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_HOST_RANGE                  27:27
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_HOST_WOFFSET                        0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_HOST_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_HOST_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_HOST_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_HOST_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_HOST_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_HOST_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_HOST_INIT_ENUM                      DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_HOST_DISABLED                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_HOST_ENABLED                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBD_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBD_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBD_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBD_RANGE                  28:28
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBD_WOFFSET                        0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBD_INIT_ENUM                      DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBD_DISABLED                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_USBD_ENABLED                        _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_VICPC_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_VICPC_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_VICPC_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_VICPC_RANGE                 29:29
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_VICPC_WOFFSET                       0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_VICPC_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_VICPC_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_VICPC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_VICPC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_VICPC_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_VICPC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_VICPC_INIT_ENUM                     DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_VICPC_DISABLED                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_VICPC_ENABLED                       _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0                      _MK_ADDR_CONST(0xb80)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_SECURE                       0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_DUAL                         0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_SCR                  0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_RESET_MASK                   _MK_MASK_CONST(0xcf76018b)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_READ_MASK                    _MK_MASK_CONST(0xcf76018b)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_WRITE_MASK                   _MK_MASK_CONST(0xcf76018b)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD_RANGE                 0:0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD_WOFFSET                       0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD_INIT_ENUM                     DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD_DISABLED                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD_ENABLED                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_JPG_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_JPG_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_JPG_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_JPG_RANGE                 1:1
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_JPG_WOFFSET                       0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_JPG_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_JPG_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_JPG_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_JPG_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_JPG_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_JPG_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_JPG_INIT_ENUM                     DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_JPG_DISABLED                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_JPG_ENABLED                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_SDM_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_SDM_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_SDM_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_SDM_RANGE                 3:3
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_SDM_WOFFSET                       0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_SDM_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_SDM_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_SDM_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_SDM_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_SDM_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_SDM_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_SDM_INIT_ENUM                     DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_SDM_DISABLED                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_SDM_ENABLED                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NIC_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NIC_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NIC_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NIC_RANGE                 7:7
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NIC_WOFFSET                       0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NIC_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NIC_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NIC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NIC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NIC_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NIC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NIC_INIT_ENUM                     DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NIC_DISABLED                      _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NIC_ENABLED                       _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_UFSHCPC_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_UFSHCPC_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_UFSHCPC_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_UFSHCPC_RANGE                     8:8
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_UFSHCPC_WOFFSET                   0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_UFSHCPC_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_UFSHCPC_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_UFSHCPC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_UFSHCPC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_UFSHCPC_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_UFSHCPC_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_UFSHCPC_INIT_ENUM                 DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_UFSHCPC_DISABLED                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_UFSHCPC_ENABLED                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC2_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC2_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC2_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC2_RANGE                      17:17
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC2_WOFFSET                    0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC2_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC2_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC2_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC2_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC2_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC2_INIT_ENUM                  DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC2_DISABLED                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC2_ENABLED                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC3_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC3_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC3_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC3_RANGE                      18:18
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC3_WOFFSET                    0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC3_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC3_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC3_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC3_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC3_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC3_INIT_ENUM                  DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC3_DISABLED                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_VICPC3_ENABLED                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD2_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD2_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD2_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD2_RANGE                        20:20
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD2_WOFFSET                      0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD2_INIT_ENUM                    DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD2_DISABLED                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD2_ENABLED                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD3_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD3_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD3_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD3_RANGE                        21:21
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD3_WOFFSET                      0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD3_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD3_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD3_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD3_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD3_INIT_ENUM                    DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD3_DISABLED                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_NVD3_ENABLED                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE2_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE2_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE2_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE2_RANGE                        22:22
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE2_WOFFSET                      0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE2_INIT_ENUM                    DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE2_DISABLED                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE2_ENABLED                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA0XA_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA0XA_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA0XA_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA0XA_RANGE                      24:24
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA0XA_WOFFSET                    0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA0XA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA0XA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA0XA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA0XA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA0XA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA0XA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA0XA_INIT_ENUM                  DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA0XA_DISABLED                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA0XA_ENABLED                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA1XA_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA1XA_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA1XA_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA1XA_RANGE                      25:25
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA1XA_WOFFSET                    0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA1XA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA1XA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA1XA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA1XA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA1XA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA1XA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA1XA_INIT_ENUM                  DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA1XA_DISABLED                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_DLA1XA_ENABLED                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA0XA_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA0XA_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA0XA_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA0XA_RANGE                      26:26
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA0XA_WOFFSET                    0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA0XA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA0XA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA0XA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA0XA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA0XA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA0XA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA0XA_INIT_ENUM                  DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA0XA_DISABLED                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA0XA_ENABLED                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA1XA_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA1XA_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA1XA_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA1XA_RANGE                      27:27
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA1XA_WOFFSET                    0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA1XA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA1XA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA1XA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA1XA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA1XA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA1XA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA1XA_INIT_ENUM                  DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA1XA_DISABLED                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_PVA1XA_ENABLED                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE3_SHIFT                        _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE3_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE3_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE3_RANGE                        30:30
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE3_WOFFSET                      0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE3_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE3_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE3_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE3_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE3_INIT_ENUM                    DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE3_DISABLED                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MSE3_ENABLED                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MIU0_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MIU0_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MIU0_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MIU0_RANGE                        31:31
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MIU0_WOFFSET                      0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MIU0_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MIU0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MIU0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MIU0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MIU0_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MIU0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MIU0_INIT_ENUM                    DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MIU0_DISABLED                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_NISO_THROTTLE_MASK_MIU0_ENABLED                      _MK_ENUM_CONST(1)


// Register MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0                      _MK_ADDR_CONST(0x3200)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_SECURE                       0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_DUAL                         0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_SCR                  0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_RESET_MASK                   _MK_MASK_CONST(0xfffcf67f)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_READ_MASK                    _MK_MASK_CONST(0xfffcf67f)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_WRITE_MASK                   _MK_MASK_CONST(0xfffcf67f)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU1_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU1_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU1_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU1_RANGE                        0:0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU1_WOFFSET                      0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU1_INIT_ENUM                    DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU1_DISABLED                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU1_ENABLED                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU2_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU2_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU2_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU2_RANGE                        1:1
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU2_WOFFSET                      0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU2_INIT_ENUM                    DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU2_DISABLED                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU2_ENABLED                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU3_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU3_FIELD                        _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU3_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU3_RANGE                        2:2
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU3_WOFFSET                      0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU3_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU3_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU3_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU3_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU3_INIT_ENUM                    DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU3_DISABLED                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_MIU3_ENABLED                      _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0FALPC_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0FALPC_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0FALPC_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0FALPC_RANGE                   3:3
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0FALPC_WOFFSET                 0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0FALPC_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0FALPC_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0FALPC_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0FALPC_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0FALPC_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0FALPC_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0FALPC_INIT_ENUM                       DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0FALPC_DISABLED                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0FALPC_ENABLED                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1FALPC_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1FALPC_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1FALPC_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1FALPC_RANGE                   4:4
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1FALPC_WOFFSET                 0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1FALPC_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1FALPC_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1FALPC_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1FALPC_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1FALPC_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1FALPC_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1FALPC_INIT_ENUM                       DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1FALPC_DISABLED                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1FALPC_ENABLED                 _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0X_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0X_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0X_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0X_RANGE                      5:5
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0X_WOFFSET                    0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0X_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0X_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0X_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0X_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0X_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0X_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0X_INIT_ENUM                  DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0X_DISABLED                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0X_ENABLED                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1X_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1X_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1X_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1X_RANGE                      6:6
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1X_WOFFSET                    0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1X_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1X_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1X_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1X_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1X_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1X_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1X_INIT_ENUM                  DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1X_DISABLED                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1X_ENABLED                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4X_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4X_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4X_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4X_RANGE                      9:9
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4X_WOFFSET                    0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4X_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4X_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4X_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4X_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4X_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4X_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4X_INIT_ENUM                  DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4X_DISABLED                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4X_ENABLED                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5X_SHIFT                      _MK_SHIFT_CONST(10)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5X_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5X_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5X_RANGE                      10:10
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5X_WOFFSET                    0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5X_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5X_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5X_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5X_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5X_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5X_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5X_INIT_ENUM                  DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5X_DISABLED                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5X_ENABLED                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA3_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA3_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA3_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA3_RANGE                     12:12
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA3_WOFFSET                   0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA3_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA3_INIT_ENUM                 DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA3_DISABLED                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA3_ENABLED                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA3_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA3_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA3_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA3_RANGE                     13:13
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA3_WOFFSET                   0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA3_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA3_INIT_ENUM                 DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA3_DISABLED                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA3_ENABLED                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0XA_SHIFT                     _MK_SHIFT_CONST(14)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0XA_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0XA_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0XA_RANGE                     14:14
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0XA_WOFFSET                   0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0XA_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0XA_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0XA_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0XA_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0XA_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0XA_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0XA_INIT_ENUM                 DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0XA_DISABLED                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE0XA_ENABLED                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1XA_SHIFT                     _MK_SHIFT_CONST(15)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1XA_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1XA_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1XA_RANGE                     15:15
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1XA_WOFFSET                   0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1XA_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1XA_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1XA_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1XA_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1XA_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1XA_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1XA_INIT_ENUM                 DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1XA_DISABLED                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE1XA_ENABLED                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4XA_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4XA_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4XA_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4XA_RANGE                     18:18
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4XA_WOFFSET                   0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4XA_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4XA_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4XA_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4XA_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4XA_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4XA_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4XA_INIT_ENUM                 DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4XA_DISABLED                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE4XA_ENABLED                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5XA_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5XA_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5XA_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5XA_RANGE                     19:19
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5XA_WOFFSET                   0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5XA_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5XA_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5XA_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5XA_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5XA_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5XA_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5XA_INIT_ENUM                 DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5XA_DISABLED                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PCIE5XA_ENABLED                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA3_SHIFT                     _MK_SHIFT_CONST(20)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA3_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA3_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA3_RANGE                     20:20
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA3_WOFFSET                   0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA3_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA3_INIT_ENUM                 DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA3_DISABLED                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA3_ENABLED                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB_RANGE                      21:21
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB_WOFFSET                    0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB_INIT_ENUM                  DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB_DISABLED                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB_ENABLED                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB3_SHIFT                     _MK_SHIFT_CONST(22)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB3_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB3_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB3_RANGE                     22:22
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB3_WOFFSET                   0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB3_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB3_INIT_ENUM                 DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB3_DISABLED                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB3_ENABLED                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XC_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XC_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XC_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XC_RANGE                      23:23
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XC_WOFFSET                    0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XC_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XC_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XC_INIT_ENUM                  DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XC_DISABLED                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XC_ENABLED                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XA3_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XA3_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XA3_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XA3_RANGE                     24:24
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XA3_WOFFSET                   0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XA3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XA3_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XA3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XA3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XA3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XA3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XA3_INIT_ENUM                 DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XA3_DISABLED                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XA3_ENABLED                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB_RANGE                      25:25
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB_WOFFSET                    0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB_INIT_ENUM                  DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB_DISABLED                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB_ENABLED                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB3_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB3_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB3_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB3_RANGE                     26:26
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB3_WOFFSET                   0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB3_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB3_INIT_ENUM                 DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB3_DISABLED                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XB3_ENABLED                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XC_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XC_FIELD                      _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XC_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XC_RANGE                      27:27
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XC_WOFFSET                    0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XC_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XC_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XC_INIT_ENUM                  DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XC_DISABLED                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA1XC_ENABLED                    _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA2_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA2_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA2_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA2_RANGE                     28:28
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA2_WOFFSET                   0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA2_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA2_INIT_ENUM                 DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA2_DISABLED                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA0XA2_ENABLED                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA2_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA2_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA2_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA2_RANGE                     29:29
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA2_WOFFSET                   0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA2_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA2_INIT_ENUM                 DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA2_DISABLED                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_DLA1XA2_ENABLED                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA2_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA2_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA2_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA2_RANGE                     30:30
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA2_WOFFSET                   0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA2_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA2_INIT_ENUM                 DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA2_DISABLED                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XA2_ENABLED                   _MK_ENUM_CONST(1)

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB2_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB2_FIELD                     _MK_FIELD_CONST(0x1, MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB2_SHIFT)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB2_RANGE                     31:31
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB2_WOFFSET                   0x0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB2_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB2_INIT_ENUM                 DISABLED
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB2_DISABLED                  _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_NISO_THROTTLE_MASK_PVA0XB2_ENABLED                   _MK_ENUM_CONST(1)


// Register MC_SEC_CARVEOUT_BOM_0
#define MC_SEC_CARVEOUT_BOM_0                   _MK_ADDR_CONST(0x670)
#define MC_SEC_CARVEOUT_BOM_0_SECURE                    0x0
#define MC_SEC_CARVEOUT_BOM_0_DUAL                      0x0
#define MC_SEC_CARVEOUT_BOM_0_SCR                       0
#define MC_SEC_CARVEOUT_BOM_0_WORD_COUNT                        0x1
#define MC_SEC_CARVEOUT_BOM_0_RESET_VAL                         _MK_MASK_CONST(0xfff00000)
#define MC_SEC_CARVEOUT_BOM_0_RESET_MASK                        _MK_MASK_CONST(0xfff00000)
#define MC_SEC_CARVEOUT_BOM_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_BOM_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_BOM_0_READ_MASK                         _MK_MASK_CONST(0xfff00000)
#define MC_SEC_CARVEOUT_BOM_0_WRITE_MASK                        _MK_MASK_CONST(0xfff00000)
#define MC_SEC_CARVEOUT_BOM_0_SEC_CARVEOUT_BOM_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SEC_CARVEOUT_BOM_0_SEC_CARVEOUT_BOM_FIELD                    _MK_FIELD_CONST(0xfff, MC_SEC_CARVEOUT_BOM_0_SEC_CARVEOUT_BOM_SHIFT)
#define MC_SEC_CARVEOUT_BOM_0_SEC_CARVEOUT_BOM_RANGE                    31:20
#define MC_SEC_CARVEOUT_BOM_0_SEC_CARVEOUT_BOM_WOFFSET                  0x0
#define MC_SEC_CARVEOUT_BOM_0_SEC_CARVEOUT_BOM_DEFAULT                  _MK_MASK_CONST(0xfff)
#define MC_SEC_CARVEOUT_BOM_0_SEC_CARVEOUT_BOM_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_SEC_CARVEOUT_BOM_0_SEC_CARVEOUT_BOM_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_BOM_0_SEC_CARVEOUT_BOM_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_BOM_0_SEC_CARVEOUT_BOM_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_BOM_0_SEC_CARVEOUT_BOM_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_SEC_CARVEOUT_SIZE_MB_0
#define MC_SEC_CARVEOUT_SIZE_MB_0                       _MK_ADDR_CONST(0x674)
#define MC_SEC_CARVEOUT_SIZE_MB_0_SECURE                        0x0
#define MC_SEC_CARVEOUT_SIZE_MB_0_DUAL                  0x0
#define MC_SEC_CARVEOUT_SIZE_MB_0_SCR                   0
#define MC_SEC_CARVEOUT_SIZE_MB_0_WORD_COUNT                    0x1
#define MC_SEC_CARVEOUT_SIZE_MB_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_SIZE_MB_0_RESET_MASK                    _MK_MASK_CONST(0xfff)
#define MC_SEC_CARVEOUT_SIZE_MB_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_SIZE_MB_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_SIZE_MB_0_READ_MASK                     _MK_MASK_CONST(0xfff)
#define MC_SEC_CARVEOUT_SIZE_MB_0_WRITE_MASK                    _MK_MASK_CONST(0xfff)
#define MC_SEC_CARVEOUT_SIZE_MB_0_SEC_CARVEOUT_SIZE_MB_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SEC_CARVEOUT_SIZE_MB_0_SEC_CARVEOUT_SIZE_MB_FIELD                    _MK_FIELD_CONST(0xfff, MC_SEC_CARVEOUT_SIZE_MB_0_SEC_CARVEOUT_SIZE_MB_SHIFT)
#define MC_SEC_CARVEOUT_SIZE_MB_0_SEC_CARVEOUT_SIZE_MB_RANGE                    11:0
#define MC_SEC_CARVEOUT_SIZE_MB_0_SEC_CARVEOUT_SIZE_MB_WOFFSET                  0x0
#define MC_SEC_CARVEOUT_SIZE_MB_0_SEC_CARVEOUT_SIZE_MB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_SIZE_MB_0_SEC_CARVEOUT_SIZE_MB_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_SEC_CARVEOUT_SIZE_MB_0_SEC_CARVEOUT_SIZE_MB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_SIZE_MB_0_SEC_CARVEOUT_SIZE_MB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_SIZE_MB_0_SEC_CARVEOUT_SIZE_MB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_SIZE_MB_0_SEC_CARVEOUT_SIZE_MB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_SEC_CARVEOUT_ADR_HI_0
#define MC_SEC_CARVEOUT_ADR_HI_0                        _MK_ADDR_CONST(0x9d4)
#define MC_SEC_CARVEOUT_ADR_HI_0_SECURE                         0x0
#define MC_SEC_CARVEOUT_ADR_HI_0_DUAL                   0x0
#define MC_SEC_CARVEOUT_ADR_HI_0_SCR                    0
#define MC_SEC_CARVEOUT_ADR_HI_0_WORD_COUNT                     0x1
#define MC_SEC_CARVEOUT_ADR_HI_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_ADR_HI_0_RESET_MASK                     _MK_MASK_CONST(0xff)
#define MC_SEC_CARVEOUT_ADR_HI_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_ADR_HI_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_ADR_HI_0_READ_MASK                      _MK_MASK_CONST(0xff)
#define MC_SEC_CARVEOUT_ADR_HI_0_WRITE_MASK                     _MK_MASK_CONST(0xff)
#define MC_SEC_CARVEOUT_ADR_HI_0_SEC_CARVEOUT_BOM_HI_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SEC_CARVEOUT_ADR_HI_0_SEC_CARVEOUT_BOM_HI_FIELD                      _MK_FIELD_CONST(0xff, MC_SEC_CARVEOUT_ADR_HI_0_SEC_CARVEOUT_BOM_HI_SHIFT)
#define MC_SEC_CARVEOUT_ADR_HI_0_SEC_CARVEOUT_BOM_HI_RANGE                      7:0
#define MC_SEC_CARVEOUT_ADR_HI_0_SEC_CARVEOUT_BOM_HI_WOFFSET                    0x0
#define MC_SEC_CARVEOUT_ADR_HI_0_SEC_CARVEOUT_BOM_HI_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_ADR_HI_0_SEC_CARVEOUT_BOM_HI_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_SEC_CARVEOUT_ADR_HI_0_SEC_CARVEOUT_BOM_HI_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_ADR_HI_0_SEC_CARVEOUT_BOM_HI_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_ADR_HI_0_SEC_CARVEOUT_BOM_HI_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_ADR_HI_0_SEC_CARVEOUT_BOM_HI_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_SEC_CARVEOUT_REG_CTRL_0
#define MC_SEC_CARVEOUT_REG_CTRL_0                      _MK_ADDR_CONST(0x678)
#define MC_SEC_CARVEOUT_REG_CTRL_0_SECURE                       0x0
#define MC_SEC_CARVEOUT_REG_CTRL_0_DUAL                         0x0
#define MC_SEC_CARVEOUT_REG_CTRL_0_SCR                  0
#define MC_SEC_CARVEOUT_REG_CTRL_0_WORD_COUNT                   0x1
#define MC_SEC_CARVEOUT_REG_CTRL_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_REG_CTRL_0_RESET_MASK                   _MK_MASK_CONST(0x1)
#define MC_SEC_CARVEOUT_REG_CTRL_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_REG_CTRL_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_REG_CTRL_0_READ_MASK                    _MK_MASK_CONST(0x1)
#define MC_SEC_CARVEOUT_REG_CTRL_0_WRITE_MASK                   _MK_MASK_CONST(0x1)
#define MC_SEC_CARVEOUT_REG_CTRL_0_SEC_CARVEOUT_WRITE_ACCESS_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SEC_CARVEOUT_REG_CTRL_0_SEC_CARVEOUT_WRITE_ACCESS_FIELD                      _MK_FIELD_CONST(0x1, MC_SEC_CARVEOUT_REG_CTRL_0_SEC_CARVEOUT_WRITE_ACCESS_SHIFT)
#define MC_SEC_CARVEOUT_REG_CTRL_0_SEC_CARVEOUT_WRITE_ACCESS_RANGE                      0:0
#define MC_SEC_CARVEOUT_REG_CTRL_0_SEC_CARVEOUT_WRITE_ACCESS_WOFFSET                    0x0
#define MC_SEC_CARVEOUT_REG_CTRL_0_SEC_CARVEOUT_WRITE_ACCESS_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_REG_CTRL_0_SEC_CARVEOUT_WRITE_ACCESS_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SEC_CARVEOUT_REG_CTRL_0_SEC_CARVEOUT_WRITE_ACCESS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_REG_CTRL_0_SEC_CARVEOUT_WRITE_ACCESS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_REG_CTRL_0_SEC_CARVEOUT_WRITE_ACCESS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SEC_CARVEOUT_REG_CTRL_0_SEC_CARVEOUT_WRITE_ACCESS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SEC_CARVEOUT_REG_CTRL_0_SEC_CARVEOUT_WRITE_ACCESS_INIT_ENUM                  ENABLED
#define MC_SEC_CARVEOUT_REG_CTRL_0_SEC_CARVEOUT_WRITE_ACCESS_ENABLED                    _MK_ENUM_CONST(0)
#define MC_SEC_CARVEOUT_REG_CTRL_0_SEC_CARVEOUT_WRITE_ACCESS_DISABLED                   _MK_ENUM_CONST(1)


// Register MC_ERR_SEC_STATUS_0
#define MC_ERR_SEC_STATUS_0                     _MK_ADDR_CONST(0x67c)
#define MC_ERR_SEC_STATUS_0_SECURE                      0x0
#define MC_ERR_SEC_STATUS_0_DUAL                        0x0
#define MC_ERR_SEC_STATUS_0_SCR                         0
#define MC_ERR_SEC_STATUS_0_WORD_COUNT                  0x1
#define MC_ERR_SEC_STATUS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_RESET_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_READ_MASK                   _MK_MASK_CONST(0xff770ff)
#define MC_ERR_SEC_STATUS_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ID_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ID_FIELD                    _MK_FIELD_CONST(0xff, MC_ERR_SEC_STATUS_0_ERR_SEC_ID_SHIFT)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ID_RANGE                    7:0
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ID_WOFFSET                  0x0
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_ERR_SEC_STATUS_0_ERR_SEC_ADR1_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ADR1_FIELD                  _MK_FIELD_CONST(0x7, MC_ERR_SEC_STATUS_0_ERR_SEC_ADR1_SHIFT)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ADR1_RANGE                  14:12
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ADR1_WOFFSET                        0x0
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ADR1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ADR1_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ADR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ADR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ADR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ADR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_ERR_SEC_STATUS_0_ERR_SEC_RW_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_RW_FIELD                    _MK_FIELD_CONST(0x1, MC_ERR_SEC_STATUS_0_ERR_SEC_RW_SHIFT)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_RW_RANGE                    16:16
#define MC_ERR_SEC_STATUS_0_ERR_SEC_RW_WOFFSET                  0x0
#define MC_ERR_SEC_STATUS_0_ERR_SEC_RW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_RW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_RW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_RW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_RW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_RW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_RW_READ                     _MK_ENUM_CONST(0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_RW_WRITE                    _MK_ENUM_CONST(1)

#define MC_ERR_SEC_STATUS_0_ERR_SEC_SECURITY_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_SECURITY_FIELD                      _MK_FIELD_CONST(0x1, MC_ERR_SEC_STATUS_0_ERR_SEC_SECURITY_SHIFT)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_SECURITY_RANGE                      17:17
#define MC_ERR_SEC_STATUS_0_ERR_SEC_SECURITY_WOFFSET                    0x0
#define MC_ERR_SEC_STATUS_0_ERR_SEC_SECURITY_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_SECURITY_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_SECURITY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_SECURITY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_SECURITY_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_SECURITY_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_SECURITY_NONSECURE                  _MK_ENUM_CONST(0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_SECURITY_SECURE                     _MK_ENUM_CONST(1)

#define MC_ERR_SEC_STATUS_0_ERR_SEC_SWAP_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_SWAP_FIELD                  _MK_FIELD_CONST(0x1, MC_ERR_SEC_STATUS_0_ERR_SEC_SWAP_SHIFT)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_SWAP_RANGE                  18:18
#define MC_ERR_SEC_STATUS_0_ERR_SEC_SWAP_WOFFSET                        0x0
#define MC_ERR_SEC_STATUS_0_ERR_SEC_SWAP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_SWAP_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_SWAP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_SWAP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_SWAP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_SWAP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_ERR_SEC_STATUS_0_ERR_SEC_ADR_HI_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ADR_HI_FIELD                        _MK_FIELD_CONST(0xff, MC_ERR_SEC_STATUS_0_ERR_SEC_ADR_HI_SHIFT)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ADR_HI_RANGE                        27:20
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ADR_HI_WOFFSET                      0x0
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ADR_HI_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ADR_HI_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ADR_HI_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ADR_HI_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ADR_HI_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_STATUS_0_ERR_SEC_ADR_HI_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_ERR_SEC_ADR_0
#define MC_ERR_SEC_ADR_0                        _MK_ADDR_CONST(0x680)
#define MC_ERR_SEC_ADR_0_SECURE                         0x0
#define MC_ERR_SEC_ADR_0_DUAL                   0x0
#define MC_ERR_SEC_ADR_0_SCR                    0
#define MC_ERR_SEC_ADR_0_WORD_COUNT                     0x1
#define MC_ERR_SEC_ADR_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_ADR_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_ADR_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_ADR_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_ADR_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_ERR_SEC_ADR_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_ADR_0_ERR_SEC_ADR_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_ERR_SEC_ADR_0_ERR_SEC_ADR_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_ERR_SEC_ADR_0_ERR_SEC_ADR_SHIFT)
#define MC_ERR_SEC_ADR_0_ERR_SEC_ADR_RANGE                      31:0
#define MC_ERR_SEC_ADR_0_ERR_SEC_ADR_WOFFSET                    0x0
#define MC_ERR_SEC_ADR_0_ERR_SEC_ADR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_ADR_0_ERR_SEC_ADR_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_ADR_0_ERR_SEC_ADR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_ADR_0_ERR_SEC_ADR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_ADR_0_ERR_SEC_ADR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ERR_SEC_ADR_0_ERR_SEC_ADR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_PC_IDLE_CLOCK_GATE_CONFIG_0
#define MC_PC_IDLE_CLOCK_GATE_CONFIG_0                  _MK_ADDR_CONST(0x684)
#define MC_PC_IDLE_CLOCK_GATE_CONFIG_0_SECURE                   0x0
#define MC_PC_IDLE_CLOCK_GATE_CONFIG_0_DUAL                     0x0
#define MC_PC_IDLE_CLOCK_GATE_CONFIG_0_SCR                      0
#define MC_PC_IDLE_CLOCK_GATE_CONFIG_0_WORD_COUNT                       0x1
#define MC_PC_IDLE_CLOCK_GATE_CONFIG_0_RESET_VAL                        _MK_MASK_CONST(0x1f)
#define MC_PC_IDLE_CLOCK_GATE_CONFIG_0_RESET_MASK                       _MK_MASK_CONST(0x1f)
#define MC_PC_IDLE_CLOCK_GATE_CONFIG_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PC_IDLE_CLOCK_GATE_CONFIG_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PC_IDLE_CLOCK_GATE_CONFIG_0_READ_MASK                        _MK_MASK_CONST(0x1f)
#define MC_PC_IDLE_CLOCK_GATE_CONFIG_0_WRITE_MASK                       _MK_MASK_CONST(0x1f)
#define MC_PC_IDLE_CLOCK_GATE_CONFIG_0_CLOCK_GATE_IDLE_TICKS_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_PC_IDLE_CLOCK_GATE_CONFIG_0_CLOCK_GATE_IDLE_TICKS_FIELD                      _MK_FIELD_CONST(0x1f, MC_PC_IDLE_CLOCK_GATE_CONFIG_0_CLOCK_GATE_IDLE_TICKS_SHIFT)
#define MC_PC_IDLE_CLOCK_GATE_CONFIG_0_CLOCK_GATE_IDLE_TICKS_RANGE                      4:0
#define MC_PC_IDLE_CLOCK_GATE_CONFIG_0_CLOCK_GATE_IDLE_TICKS_WOFFSET                    0x0
#define MC_PC_IDLE_CLOCK_GATE_CONFIG_0_CLOCK_GATE_IDLE_TICKS_DEFAULT                    _MK_MASK_CONST(0x1f)
#define MC_PC_IDLE_CLOCK_GATE_CONFIG_0_CLOCK_GATE_IDLE_TICKS_DEFAULT_MASK                       _MK_MASK_CONST(0x1f)
#define MC_PC_IDLE_CLOCK_GATE_CONFIG_0_CLOCK_GATE_IDLE_TICKS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PC_IDLE_CLOCK_GATE_CONFIG_0_CLOCK_GATE_IDLE_TICKS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PC_IDLE_CLOCK_GATE_CONFIG_0_CLOCK_GATE_IDLE_TICKS_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_PC_IDLE_CLOCK_GATE_CONFIG_0_CLOCK_GATE_IDLE_TICKS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_STUTTER_CONTROL_0
#define MC_STUTTER_CONTROL_0                    _MK_ADDR_CONST(0x688)
#define MC_STUTTER_CONTROL_0_SECURE                     0x0
#define MC_STUTTER_CONTROL_0_DUAL                       0x0
#define MC_STUTTER_CONTROL_0_SCR                        0
#define MC_STUTTER_CONTROL_0_WORD_COUNT                         0x1
#define MC_STUTTER_CONTROL_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_STUTTER_CONTROL_0_RESET_MASK                         _MK_MASK_CONST(0x1)
#define MC_STUTTER_CONTROL_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_STUTTER_CONTROL_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_STUTTER_CONTROL_0_READ_MASK                  _MK_MASK_CONST(0x1)
#define MC_STUTTER_CONTROL_0_WRITE_MASK                         _MK_MASK_CONST(0x1)
#define MC_STUTTER_CONTROL_0_SLOW_EMCCLK_DURING_DSR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_STUTTER_CONTROL_0_SLOW_EMCCLK_DURING_DSR_FIELD                       _MK_FIELD_CONST(0x1, MC_STUTTER_CONTROL_0_SLOW_EMCCLK_DURING_DSR_SHIFT)
#define MC_STUTTER_CONTROL_0_SLOW_EMCCLK_DURING_DSR_RANGE                       0:0
#define MC_STUTTER_CONTROL_0_SLOW_EMCCLK_DURING_DSR_WOFFSET                     0x0
#define MC_STUTTER_CONTROL_0_SLOW_EMCCLK_DURING_DSR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_STUTTER_CONTROL_0_SLOW_EMCCLK_DURING_DSR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_STUTTER_CONTROL_0_SLOW_EMCCLK_DURING_DSR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_STUTTER_CONTROL_0_SLOW_EMCCLK_DURING_DSR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_STUTTER_CONTROL_0_SLOW_EMCCLK_DURING_DSR_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_STUTTER_CONTROL_0_SLOW_EMCCLK_DURING_DSR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_STUTTER_CONTROL_0_SLOW_EMCCLK_DURING_DSR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_STUTTER_CONTROL_0_SLOW_EMCCLK_DURING_DSR_ENABLED                     _MK_ENUM_CONST(1)


// Register MC_RESERVED_RSV_1_0
#define MC_RESERVED_RSV_1_0                     _MK_ADDR_CONST(0x958)
#define MC_RESERVED_RSV_1_0_SECURE                      0x0
#define MC_RESERVED_RSV_1_0_DUAL                        0x0
#define MC_RESERVED_RSV_1_0_SCR                         0
#define MC_RESERVED_RSV_1_0_WORD_COUNT                  0x1
#define MC_RESERVED_RSV_1_0_RESET_VAL                   _MK_MASK_CONST(0xff00ff00)
#define MC_RESERVED_RSV_1_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_RESERVED_RSV_1_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0xff00ff00)
#define MC_RESERVED_RSV_1_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_RESERVED_RSV_1_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_RESERVED_RSV_1_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE0_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE0_FIELD                      _MK_FIELD_CONST(0xff, MC_RESERVED_RSV_1_0_RESERVED_1_BYTE0_SHIFT)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE0_RANGE                      7:0
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE0_WOFFSET                    0x0
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE0_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE0_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE0_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE0_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE0__PROD                      _MK_MASK_CONST(0x0)

#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE1_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE1_FIELD                      _MK_FIELD_CONST(0xff, MC_RESERVED_RSV_1_0_RESERVED_1_BYTE1_SHIFT)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE1_RANGE                      15:8
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE1_WOFFSET                    0x0
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE1_DEFAULT                    _MK_MASK_CONST(0xff)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE1_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE1_SW_DEFAULT                 _MK_MASK_CONST(0xff)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE1_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE1__PROD                      _MK_MASK_CONST(0xff)

#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE2_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE2_FIELD                      _MK_FIELD_CONST(0xff, MC_RESERVED_RSV_1_0_RESERVED_1_BYTE2_SHIFT)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE2_RANGE                      23:16
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE2_WOFFSET                    0x0
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE2_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE2_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE2_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE2_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE2_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE2__PROD                      _MK_MASK_CONST(0x0)

#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE3_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE3_FIELD                      _MK_FIELD_CONST(0xff, MC_RESERVED_RSV_1_0_RESERVED_1_BYTE3_SHIFT)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE3_RANGE                      31:24
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE3_WOFFSET                    0x0
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE3_DEFAULT                    _MK_MASK_CONST(0xff)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE3_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE3_SW_DEFAULT                 _MK_MASK_CONST(0xff)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE3_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE3_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_RESERVED_RSV_1_0_RESERVED_1_BYTE3__PROD                      _MK_MASK_CONST(0xff)


// Register MC_DVFS_PIPE_SELECT_0
#define MC_DVFS_PIPE_SELECT_0                   _MK_ADDR_CONST(0x95c)
#define MC_DVFS_PIPE_SELECT_0_SECURE                    0x0
#define MC_DVFS_PIPE_SELECT_0_DUAL                      0x0
#define MC_DVFS_PIPE_SELECT_0_SCR                       0
#define MC_DVFS_PIPE_SELECT_0_WORD_COUNT                        0x1
#define MC_DVFS_PIPE_SELECT_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_RESET_MASK                        _MK_MASK_CONST(0xff)
#define MC_DVFS_PIPE_SELECT_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_READ_MASK                         _MK_MASK_CONST(0xff)
#define MC_DVFS_PIPE_SELECT_0_WRITE_MASK                        _MK_MASK_CONST(0xff)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_0_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_0_FIELD                   _MK_FIELD_CONST(0x1, MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_0_SHIFT)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_0_RANGE                   0:0
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_0_WOFFSET                 0x0
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_0_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_0_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_0_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_0_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_0_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_0_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_1_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_1_FIELD                   _MK_FIELD_CONST(0x1, MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_1_SHIFT)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_1_RANGE                   1:1
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_1_WOFFSET                 0x0
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_2_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_2_FIELD                   _MK_FIELD_CONST(0x1, MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_2_SHIFT)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_2_RANGE                   2:2
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_2_WOFFSET                 0x0
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_2_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_3_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_3_FIELD                   _MK_FIELD_CONST(0x1, MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_3_SHIFT)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_3_RANGE                   3:3
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_3_WOFFSET                 0x0
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_3_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_3_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_3_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_4_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_4_FIELD                   _MK_FIELD_CONST(0x1, MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_4_SHIFT)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_4_RANGE                   4:4
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_4_WOFFSET                 0x0
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_4_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_4_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_4_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_4_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_4_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_4_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_5_SHIFT                   _MK_SHIFT_CONST(5)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_5_FIELD                   _MK_FIELD_CONST(0x1, MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_5_SHIFT)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_5_RANGE                   5:5
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_5_WOFFSET                 0x0
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_5_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_5_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_5_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_5_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_5_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_5_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_6_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_6_FIELD                   _MK_FIELD_CONST(0x1, MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_6_SHIFT)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_6_RANGE                   6:6
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_6_WOFFSET                 0x0
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_6_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_6_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_6_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_6_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_6_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_6_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_7_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_7_FIELD                   _MK_FIELD_CONST(0x1, MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_7_SHIFT)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_7_RANGE                   7:7
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_7_WOFFSET                 0x0
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_7_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_7_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_7_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_7_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_7_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_DVFS_PIPE_SELECT_0_MC_DVFS_PIPESEL_7_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_SCEPC_PTSA_MIN_0
#define MC_SCEPC_PTSA_MIN_0                     _MK_ADDR_CONST(0x790)
#define MC_SCEPC_PTSA_MIN_0_SECURE                      0x0
#define MC_SCEPC_PTSA_MIN_0_DUAL                        0x0
#define MC_SCEPC_PTSA_MIN_0_SCR                         0
#define MC_SCEPC_PTSA_MIN_0_WORD_COUNT                  0x1
#define MC_SCEPC_PTSA_MIN_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_SCEPC_PTSA_MIN_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_SCEPC_PTSA_MIN_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SCEPC_PTSA_MIN_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SCEPC_PTSA_MIN_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_SCEPC_PTSA_MIN_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_SCEPC_PTSA_MIN_0_PTSA_MIN_SCEPC_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_SCEPC_PTSA_MIN_0_PTSA_MIN_SCEPC_FIELD                        _MK_FIELD_CONST(0x7ff, MC_SCEPC_PTSA_MIN_0_PTSA_MIN_SCEPC_SHIFT)
#define MC_SCEPC_PTSA_MIN_0_PTSA_MIN_SCEPC_RANGE                        10:0
#define MC_SCEPC_PTSA_MIN_0_PTSA_MIN_SCEPC_WOFFSET                      0x0
#define MC_SCEPC_PTSA_MIN_0_PTSA_MIN_SCEPC_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_SCEPC_PTSA_MIN_0_PTSA_MIN_SCEPC_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_SCEPC_PTSA_MIN_0_PTSA_MIN_SCEPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SCEPC_PTSA_MIN_0_PTSA_MIN_SCEPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SCEPC_PTSA_MIN_0_PTSA_MIN_SCEPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SCEPC_PTSA_MIN_0_PTSA_MIN_SCEPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_AUD_PTSA_MIN_0
#define MC_AUD_PTSA_MIN_0                       _MK_ADDR_CONST(0x54c)
#define MC_AUD_PTSA_MIN_0_SECURE                        0x0
#define MC_AUD_PTSA_MIN_0_DUAL                  0x0
#define MC_AUD_PTSA_MIN_0_SCR                   0
#define MC_AUD_PTSA_MIN_0_WORD_COUNT                    0x1
#define MC_AUD_PTSA_MIN_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_AUD_PTSA_MIN_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_AUD_PTSA_MIN_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_AUD_PTSA_MIN_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_AUD_PTSA_MIN_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_AUD_PTSA_MIN_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_AUD_PTSA_MIN_0_PTSA_MIN_AUD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_AUD_PTSA_MIN_0_PTSA_MIN_AUD_FIELD                    _MK_FIELD_CONST(0x7ff, MC_AUD_PTSA_MIN_0_PTSA_MIN_AUD_SHIFT)
#define MC_AUD_PTSA_MIN_0_PTSA_MIN_AUD_RANGE                    10:0
#define MC_AUD_PTSA_MIN_0_PTSA_MIN_AUD_WOFFSET                  0x0
#define MC_AUD_PTSA_MIN_0_PTSA_MIN_AUD_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_AUD_PTSA_MIN_0_PTSA_MIN_AUD_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_AUD_PTSA_MIN_0_PTSA_MIN_AUD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_AUD_PTSA_MIN_0_PTSA_MIN_AUD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_AUD_PTSA_MIN_0_PTSA_MIN_AUD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_AUD_PTSA_MIN_0_PTSA_MIN_AUD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MLL_MPCORER_PTSA_RATE_0
#define MC_MLL_MPCORER_PTSA_RATE_0                      _MK_ADDR_CONST(0x44c)
#define MC_MLL_MPCORER_PTSA_RATE_0_SECURE                       0x0
#define MC_MLL_MPCORER_PTSA_RATE_0_DUAL                         0x0
#define MC_MLL_MPCORER_PTSA_RATE_0_SCR                  0
#define MC_MLL_MPCORER_PTSA_RATE_0_WORD_COUNT                   0x1
#define MC_MLL_MPCORER_PTSA_RATE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MLL_MPCORER_PTSA_RATE_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_MLL_MPCORER_PTSA_RATE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MLL_MPCORER_PTSA_RATE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MLL_MPCORER_PTSA_RATE_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_MLL_MPCORER_PTSA_RATE_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_MLL_MPCORER_PTSA_RATE_0_PTSA_RATE_MLL_MPCORER_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MLL_MPCORER_PTSA_RATE_0_PTSA_RATE_MLL_MPCORER_FIELD                  _MK_FIELD_CONST(0xfff, MC_MLL_MPCORER_PTSA_RATE_0_PTSA_RATE_MLL_MPCORER_SHIFT)
#define MC_MLL_MPCORER_PTSA_RATE_0_PTSA_RATE_MLL_MPCORER_RANGE                  11:0
#define MC_MLL_MPCORER_PTSA_RATE_0_PTSA_RATE_MLL_MPCORER_WOFFSET                        0x0
#define MC_MLL_MPCORER_PTSA_RATE_0_PTSA_RATE_MLL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MLL_MPCORER_PTSA_RATE_0_PTSA_RATE_MLL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_MLL_MPCORER_PTSA_RATE_0_PTSA_RATE_MLL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MLL_MPCORER_PTSA_RATE_0_PTSA_RATE_MLL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MLL_MPCORER_PTSA_RATE_0_PTSA_RATE_MLL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MLL_MPCORER_PTSA_RATE_0_PTSA_RATE_MLL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_RING2_PTSA_RATE_0
#define MC_RING2_PTSA_RATE_0                    _MK_ADDR_CONST(0x440)
#define MC_RING2_PTSA_RATE_0_SECURE                     0x0
#define MC_RING2_PTSA_RATE_0_DUAL                       0x0
#define MC_RING2_PTSA_RATE_0_SCR                        0
#define MC_RING2_PTSA_RATE_0_WORD_COUNT                         0x1
#define MC_RING2_PTSA_RATE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_RING2_PTSA_RATE_0_RESET_MASK                         _MK_MASK_CONST(0xfff)
#define MC_RING2_PTSA_RATE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_RING2_PTSA_RATE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_RING2_PTSA_RATE_0_READ_MASK                  _MK_MASK_CONST(0xfff)
#define MC_RING2_PTSA_RATE_0_WRITE_MASK                         _MK_MASK_CONST(0xfff)
#define MC_RING2_PTSA_RATE_0_PTSA_RATE_RING2_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_RING2_PTSA_RATE_0_PTSA_RATE_RING2_FIELD                      _MK_FIELD_CONST(0xfff, MC_RING2_PTSA_RATE_0_PTSA_RATE_RING2_SHIFT)
#define MC_RING2_PTSA_RATE_0_PTSA_RATE_RING2_RANGE                      11:0
#define MC_RING2_PTSA_RATE_0_PTSA_RATE_RING2_WOFFSET                    0x0
#define MC_RING2_PTSA_RATE_0_PTSA_RATE_RING2_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_RING2_PTSA_RATE_0_PTSA_RATE_RING2_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_RING2_PTSA_RATE_0_PTSA_RATE_RING2_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_RING2_PTSA_RATE_0_PTSA_RATE_RING2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_RING2_PTSA_RATE_0_PTSA_RATE_RING2_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_RING2_PTSA_RATE_0_PTSA_RATE_RING2_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_USBD_PTSA_RATE_0
#define MC_USBD_PTSA_RATE_0                     _MK_ADDR_CONST(0x530)
#define MC_USBD_PTSA_RATE_0_SECURE                      0x0
#define MC_USBD_PTSA_RATE_0_DUAL                        0x0
#define MC_USBD_PTSA_RATE_0_SCR                         0
#define MC_USBD_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_USBD_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_USBD_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_USBD_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_USBD_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_USBD_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_USBD_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_USBD_PTSA_RATE_0_PTSA_RATE_USBD_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_USBD_PTSA_RATE_0_PTSA_RATE_USBD_FIELD                        _MK_FIELD_CONST(0xfff, MC_USBD_PTSA_RATE_0_PTSA_RATE_USBD_SHIFT)
#define MC_USBD_PTSA_RATE_0_PTSA_RATE_USBD_RANGE                        11:0
#define MC_USBD_PTSA_RATE_0_PTSA_RATE_USBD_WOFFSET                      0x0
#define MC_USBD_PTSA_RATE_0_PTSA_RATE_USBD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_USBD_PTSA_RATE_0_PTSA_RATE_USBD_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_USBD_PTSA_RATE_0_PTSA_RATE_USBD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_USBD_PTSA_RATE_0_PTSA_RATE_USBD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_USBD_PTSA_RATE_0_PTSA_RATE_USBD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_USBD_PTSA_RATE_0_PTSA_RATE_USBD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_PCIE5X_PTSA_MAX_0
#define MC_PCIE5X_PTSA_MAX_0                    _MK_ADDR_CONST(0x3350)
#define MC_PCIE5X_PTSA_MAX_0_SECURE                     0x0
#define MC_PCIE5X_PTSA_MAX_0_DUAL                       0x0
#define MC_PCIE5X_PTSA_MAX_0_SCR                        0
#define MC_PCIE5X_PTSA_MAX_0_WORD_COUNT                         0x1
#define MC_PCIE5X_PTSA_MAX_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X_PTSA_MAX_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X_PTSA_MAX_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_PCIE5X_PTSA_MAX_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCIE5X_PTSA_MAX_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X_PTSA_MAX_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X_PTSA_MAX_0_PTSA_MAX_PCIE5X_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_PCIE5X_PTSA_MAX_0_PTSA_MAX_PCIE5X_FIELD                      _MK_FIELD_CONST(0x7ff, MC_PCIE5X_PTSA_MAX_0_PTSA_MAX_PCIE5X_SHIFT)
#define MC_PCIE5X_PTSA_MAX_0_PTSA_MAX_PCIE5X_RANGE                      10:0
#define MC_PCIE5X_PTSA_MAX_0_PTSA_MAX_PCIE5X_WOFFSET                    0x0
#define MC_PCIE5X_PTSA_MAX_0_PTSA_MAX_PCIE5X_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X_PTSA_MAX_0_PTSA_MAX_PCIE5X_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X_PTSA_MAX_0_PTSA_MAX_PCIE5X_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCIE5X_PTSA_MAX_0_PTSA_MAX_PCIE5X_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCIE5X_PTSA_MAX_0_PTSA_MAX_PCIE5X_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PCIE5X_PTSA_MAX_0_PTSA_MAX_PCIE5X_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_ISPPC_PTSA_MIN_0
#define MC_ISPPC_PTSA_MIN_0                     _MK_ADDR_CONST(0x3a70)
#define MC_ISPPC_PTSA_MIN_0_SECURE                      0x0
#define MC_ISPPC_PTSA_MIN_0_DUAL                        0x0
#define MC_ISPPC_PTSA_MIN_0_SCR                         0
#define MC_ISPPC_PTSA_MIN_0_WORD_COUNT                  0x1
#define MC_ISPPC_PTSA_MIN_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_ISPPC_PTSA_MIN_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_ISPPC_PTSA_MIN_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_ISPPC_PTSA_MIN_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ISPPC_PTSA_MIN_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_ISPPC_PTSA_MIN_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_ISPPC_PTSA_MIN_0_PTSA_MIN_ISPPC_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_ISPPC_PTSA_MIN_0_PTSA_MIN_ISPPC_FIELD                        _MK_FIELD_CONST(0x7ff, MC_ISPPC_PTSA_MIN_0_PTSA_MIN_ISPPC_SHIFT)
#define MC_ISPPC_PTSA_MIN_0_PTSA_MIN_ISPPC_RANGE                        10:0
#define MC_ISPPC_PTSA_MIN_0_PTSA_MIN_ISPPC_WOFFSET                      0x0
#define MC_ISPPC_PTSA_MIN_0_PTSA_MIN_ISPPC_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_ISPPC_PTSA_MIN_0_PTSA_MIN_ISPPC_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_ISPPC_PTSA_MIN_0_PTSA_MIN_ISPPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ISPPC_PTSA_MIN_0_PTSA_MIN_ISPPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ISPPC_PTSA_MIN_0_PTSA_MIN_ISPPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_ISPPC_PTSA_MIN_0_PTSA_MIN_ISPPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_JPG_PTSA_RATE_0
#define MC_JPG_PTSA_RATE_0                      _MK_ADDR_CONST(0x584)
#define MC_JPG_PTSA_RATE_0_SECURE                       0x0
#define MC_JPG_PTSA_RATE_0_DUAL                         0x0
#define MC_JPG_PTSA_RATE_0_SCR                  0
#define MC_JPG_PTSA_RATE_0_WORD_COUNT                   0x1
#define MC_JPG_PTSA_RATE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_JPG_PTSA_RATE_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_JPG_PTSA_RATE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_JPG_PTSA_RATE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_JPG_PTSA_RATE_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_JPG_PTSA_RATE_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_JPG_PTSA_RATE_0_PTSA_RATE_JPG_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_JPG_PTSA_RATE_0_PTSA_RATE_JPG_FIELD                  _MK_FIELD_CONST(0xfff, MC_JPG_PTSA_RATE_0_PTSA_RATE_JPG_SHIFT)
#define MC_JPG_PTSA_RATE_0_PTSA_RATE_JPG_RANGE                  11:0
#define MC_JPG_PTSA_RATE_0_PTSA_RATE_JPG_WOFFSET                        0x0
#define MC_JPG_PTSA_RATE_0_PTSA_RATE_JPG_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_JPG_PTSA_RATE_0_PTSA_RATE_JPG_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_JPG_PTSA_RATE_0_PTSA_RATE_JPG_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_JPG_PTSA_RATE_0_PTSA_RATE_JPG_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_JPG_PTSA_RATE_0_PTSA_RATE_JPG_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_JPG_PTSA_RATE_0_PTSA_RATE_JPG_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_APB_PTSA_MAX_0
#define MC_APB_PTSA_MAX_0                       _MK_ADDR_CONST(0x4f0)
#define MC_APB_PTSA_MAX_0_SECURE                        0x0
#define MC_APB_PTSA_MAX_0_DUAL                  0x0
#define MC_APB_PTSA_MAX_0_SCR                   0
#define MC_APB_PTSA_MAX_0_WORD_COUNT                    0x1
#define MC_APB_PTSA_MAX_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_APB_PTSA_MAX_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_APB_PTSA_MAX_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_APB_PTSA_MAX_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_APB_PTSA_MAX_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_APB_PTSA_MAX_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_APB_PTSA_MAX_0_PTSA_MAX_APB_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_APB_PTSA_MAX_0_PTSA_MAX_APB_FIELD                    _MK_FIELD_CONST(0x7ff, MC_APB_PTSA_MAX_0_PTSA_MAX_APB_SHIFT)
#define MC_APB_PTSA_MAX_0_PTSA_MAX_APB_RANGE                    10:0
#define MC_APB_PTSA_MAX_0_PTSA_MAX_APB_WOFFSET                  0x0
#define MC_APB_PTSA_MAX_0_PTSA_MAX_APB_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_APB_PTSA_MAX_0_PTSA_MAX_APB_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_APB_PTSA_MAX_0_PTSA_MAX_APB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_APB_PTSA_MAX_0_PTSA_MAX_APB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_APB_PTSA_MAX_0_PTSA_MAX_APB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_APB_PTSA_MAX_0_PTSA_MAX_APB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PVA1XC_PTSA_RATE_0
#define MC_PVA1XC_PTSA_RATE_0                   _MK_ADDR_CONST(0x3924)
#define MC_PVA1XC_PTSA_RATE_0_SECURE                    0x0
#define MC_PVA1XC_PTSA_RATE_0_DUAL                      0x0
#define MC_PVA1XC_PTSA_RATE_0_SCR                       0
#define MC_PVA1XC_PTSA_RATE_0_WORD_COUNT                        0x1
#define MC_PVA1XC_PTSA_RATE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_PVA1XC_PTSA_RATE_0_RESET_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PVA1XC_PTSA_RATE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA1XC_PTSA_RATE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA1XC_PTSA_RATE_0_READ_MASK                         _MK_MASK_CONST(0xfff)
#define MC_PVA1XC_PTSA_RATE_0_WRITE_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PVA1XC_PTSA_RATE_0_PTSA_RATE_PVA1XC_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA1XC_PTSA_RATE_0_PTSA_RATE_PVA1XC_FIELD                    _MK_FIELD_CONST(0xfff, MC_PVA1XC_PTSA_RATE_0_PTSA_RATE_PVA1XC_SHIFT)
#define MC_PVA1XC_PTSA_RATE_0_PTSA_RATE_PVA1XC_RANGE                    11:0
#define MC_PVA1XC_PTSA_RATE_0_PTSA_RATE_PVA1XC_WOFFSET                  0x0
#define MC_PVA1XC_PTSA_RATE_0_PTSA_RATE_PVA1XC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PVA1XC_PTSA_RATE_0_PTSA_RATE_PVA1XC_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_PVA1XC_PTSA_RATE_0_PTSA_RATE_PVA1XC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA1XC_PTSA_RATE_0_PTSA_RATE_PVA1XC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XC_PTSA_RATE_0_PTSA_RATE_PVA1XC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA1XC_PTSA_RATE_0_PTSA_RATE_PVA1XC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MIU7_PTSA_MAX_0
#define MC_MIU7_PTSA_MAX_0                      _MK_ADDR_CONST(0x4b68)
#define MC_MIU7_PTSA_MAX_0_SECURE                       0x0
#define MC_MIU7_PTSA_MAX_0_DUAL                         0x0
#define MC_MIU7_PTSA_MAX_0_SCR                  0
#define MC_MIU7_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_MIU7_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MIU7_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU7_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MIU7_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU7_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MIU7_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU7_PTSA_MAX_0_PTSA_MAX_MIU7_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MIU7_PTSA_MAX_0_PTSA_MAX_MIU7_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MIU7_PTSA_MAX_0_PTSA_MAX_MIU7_SHIFT)
#define MC_MIU7_PTSA_MAX_0_PTSA_MAX_MIU7_RANGE                  10:0
#define MC_MIU7_PTSA_MAX_0_PTSA_MAX_MIU7_WOFFSET                        0x0
#define MC_MIU7_PTSA_MAX_0_PTSA_MAX_MIU7_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MIU7_PTSA_MAX_0_PTSA_MAX_MIU7_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU7_PTSA_MAX_0_PTSA_MAX_MIU7_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU7_PTSA_MAX_0_PTSA_MAX_MIU7_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU7_PTSA_MAX_0_PTSA_MAX_MIU7_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU7_PTSA_MAX_0_PTSA_MAX_MIU7_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PVA0XB_PTSA_MIN_0
#define MC_PVA0XB_PTSA_MIN_0                    _MK_ADDR_CONST(0x3558)
#define MC_PVA0XB_PTSA_MIN_0_SECURE                     0x0
#define MC_PVA0XB_PTSA_MIN_0_DUAL                       0x0
#define MC_PVA0XB_PTSA_MIN_0_SCR                        0
#define MC_PVA0XB_PTSA_MIN_0_WORD_COUNT                         0x1
#define MC_PVA0XB_PTSA_MIN_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB_PTSA_MIN_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB_PTSA_MIN_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_PVA0XB_PTSA_MIN_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA0XB_PTSA_MIN_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB_PTSA_MIN_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB_PTSA_MIN_0_PTSA_MIN_PVA0XB_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_PVA0XB_PTSA_MIN_0_PTSA_MIN_PVA0XB_FIELD                      _MK_FIELD_CONST(0x7ff, MC_PVA0XB_PTSA_MIN_0_PTSA_MIN_PVA0XB_SHIFT)
#define MC_PVA0XB_PTSA_MIN_0_PTSA_MIN_PVA0XB_RANGE                      10:0
#define MC_PVA0XB_PTSA_MIN_0_PTSA_MIN_PVA0XB_WOFFSET                    0x0
#define MC_PVA0XB_PTSA_MIN_0_PTSA_MIN_PVA0XB_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB_PTSA_MIN_0_PTSA_MIN_PVA0XB_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB_PTSA_MIN_0_PTSA_MIN_PVA0XB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PVA0XB_PTSA_MIN_0_PTSA_MIN_PVA0XB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA0XB_PTSA_MIN_0_PTSA_MIN_PVA0XB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PVA0XB_PTSA_MIN_0_PTSA_MIN_PVA0XB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_DIS_PTSA_MIN_0
#define MC_DIS_PTSA_MIN_0                       _MK_ADDR_CONST(0x420)
#define MC_DIS_PTSA_MIN_0_SECURE                        0x0
#define MC_DIS_PTSA_MIN_0_DUAL                  0x0
#define MC_DIS_PTSA_MIN_0_SCR                   0
#define MC_DIS_PTSA_MIN_0_WORD_COUNT                    0x1
#define MC_DIS_PTSA_MIN_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_DIS_PTSA_MIN_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_DIS_PTSA_MIN_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_DIS_PTSA_MIN_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_DIS_PTSA_MIN_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_DIS_PTSA_MIN_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_DIS_PTSA_MIN_0_PTSA_MIN_DIS_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_DIS_PTSA_MIN_0_PTSA_MIN_DIS_FIELD                    _MK_FIELD_CONST(0x7ff, MC_DIS_PTSA_MIN_0_PTSA_MIN_DIS_SHIFT)
#define MC_DIS_PTSA_MIN_0_PTSA_MIN_DIS_RANGE                    10:0
#define MC_DIS_PTSA_MIN_0_PTSA_MIN_DIS_WOFFSET                  0x0
#define MC_DIS_PTSA_MIN_0_PTSA_MIN_DIS_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_DIS_PTSA_MIN_0_PTSA_MIN_DIS_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_DIS_PTSA_MIN_0_PTSA_MIN_DIS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_DIS_PTSA_MIN_0_PTSA_MIN_DIS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DIS_PTSA_MIN_0_PTSA_MIN_DIS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_DIS_PTSA_MIN_0_PTSA_MIN_DIS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_NVD2_PTSA_MIN_0
#define MC_NVD2_PTSA_MIN_0                      _MK_ADDR_CONST(0x3a1c)
#define MC_NVD2_PTSA_MIN_0_SECURE                       0x0
#define MC_NVD2_PTSA_MIN_0_DUAL                         0x0
#define MC_NVD2_PTSA_MIN_0_SCR                  0
#define MC_NVD2_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_NVD2_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_NVD2_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD2_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_NVD2_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_NVD2_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_NVD2_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD2_PTSA_MIN_0_PTSA_MIN_NVD2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_NVD2_PTSA_MIN_0_PTSA_MIN_NVD2_FIELD                  _MK_FIELD_CONST(0x7ff, MC_NVD2_PTSA_MIN_0_PTSA_MIN_NVD2_SHIFT)
#define MC_NVD2_PTSA_MIN_0_PTSA_MIN_NVD2_RANGE                  10:0
#define MC_NVD2_PTSA_MIN_0_PTSA_MIN_NVD2_WOFFSET                        0x0
#define MC_NVD2_PTSA_MIN_0_PTSA_MIN_NVD2_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_NVD2_PTSA_MIN_0_PTSA_MIN_NVD2_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD2_PTSA_MIN_0_PTSA_MIN_NVD2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_NVD2_PTSA_MIN_0_PTSA_MIN_NVD2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_NVD2_PTSA_MIN_0_PTSA_MIN_NVD2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_NVD2_PTSA_MIN_0_PTSA_MIN_NVD2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_SD_PTSA_MAX_0
#define MC_SD_PTSA_MAX_0                        _MK_ADDR_CONST(0x4d8)
#define MC_SD_PTSA_MAX_0_SECURE                         0x0
#define MC_SD_PTSA_MAX_0_DUAL                   0x0
#define MC_SD_PTSA_MAX_0_SCR                    0
#define MC_SD_PTSA_MAX_0_WORD_COUNT                     0x1
#define MC_SD_PTSA_MAX_0_RESET_VAL                      _MK_MASK_CONST(0x7ff)
#define MC_SD_PTSA_MAX_0_RESET_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_SD_PTSA_MAX_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_SD_PTSA_MAX_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SD_PTSA_MAX_0_READ_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_SD_PTSA_MAX_0_WRITE_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_SD_PTSA_MAX_0_PTSA_MAX_SD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SD_PTSA_MAX_0_PTSA_MAX_SD_FIELD                      _MK_FIELD_CONST(0x7ff, MC_SD_PTSA_MAX_0_PTSA_MAX_SD_SHIFT)
#define MC_SD_PTSA_MAX_0_PTSA_MAX_SD_RANGE                      10:0
#define MC_SD_PTSA_MAX_0_PTSA_MAX_SD_WOFFSET                    0x0
#define MC_SD_PTSA_MAX_0_PTSA_MAX_SD_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_SD_PTSA_MAX_0_PTSA_MAX_SD_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_SD_PTSA_MAX_0_PTSA_MAX_SD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SD_PTSA_MAX_0_PTSA_MAX_SD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SD_PTSA_MAX_0_PTSA_MAX_SD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SD_PTSA_MAX_0_PTSA_MAX_SD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_MSE_PTSA_RATE_0
#define MC_MSE_PTSA_RATE_0                      _MK_ADDR_CONST(0x4c4)
#define MC_MSE_PTSA_RATE_0_SECURE                       0x0
#define MC_MSE_PTSA_RATE_0_DUAL                         0x0
#define MC_MSE_PTSA_RATE_0_SCR                  0
#define MC_MSE_PTSA_RATE_0_WORD_COUNT                   0x1
#define MC_MSE_PTSA_RATE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MSE_PTSA_RATE_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_MSE_PTSA_RATE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MSE_PTSA_RATE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSE_PTSA_RATE_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_MSE_PTSA_RATE_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_MSE_PTSA_RATE_0_PTSA_RATE_MSE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MSE_PTSA_RATE_0_PTSA_RATE_MSE_FIELD                  _MK_FIELD_CONST(0xfff, MC_MSE_PTSA_RATE_0_PTSA_RATE_MSE_SHIFT)
#define MC_MSE_PTSA_RATE_0_PTSA_RATE_MSE_RANGE                  11:0
#define MC_MSE_PTSA_RATE_0_PTSA_RATE_MSE_WOFFSET                        0x0
#define MC_MSE_PTSA_RATE_0_PTSA_RATE_MSE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSE_PTSA_RATE_0_PTSA_RATE_MSE_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_MSE_PTSA_RATE_0_PTSA_RATE_MSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSE_PTSA_RATE_0_PTSA_RATE_MSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSE_PTSA_RATE_0_PTSA_RATE_MSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSE_PTSA_RATE_0_PTSA_RATE_MSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_MSE3_PTSA_MIN_0
#define MC_MSE3_PTSA_MIN_0                      _MK_ADDR_CONST(0x3134)
#define MC_MSE3_PTSA_MIN_0_SECURE                       0x0
#define MC_MSE3_PTSA_MIN_0_DUAL                         0x0
#define MC_MSE3_PTSA_MIN_0_SCR                  0
#define MC_MSE3_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_MSE3_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MSE3_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSE3_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MSE3_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSE3_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MSE3_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSE3_PTSA_MIN_0_PTSA_MIN_MSE3_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MSE3_PTSA_MIN_0_PTSA_MIN_MSE3_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MSE3_PTSA_MIN_0_PTSA_MIN_MSE3_SHIFT)
#define MC_MSE3_PTSA_MIN_0_PTSA_MIN_MSE3_RANGE                  10:0
#define MC_MSE3_PTSA_MIN_0_PTSA_MIN_MSE3_WOFFSET                        0x0
#define MC_MSE3_PTSA_MIN_0_PTSA_MIN_MSE3_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MSE3_PTSA_MIN_0_PTSA_MIN_MSE3_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSE3_PTSA_MIN_0_PTSA_MIN_MSE3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSE3_PTSA_MIN_0_PTSA_MIN_MSE3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSE3_PTSA_MIN_0_PTSA_MIN_MSE3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSE3_PTSA_MIN_0_PTSA_MIN_MSE3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_DLA0XA_PTSA_MIN_0
#define MC_DLA0XA_PTSA_MIN_0                    _MK_ADDR_CONST(0x7e4)
#define MC_DLA0XA_PTSA_MIN_0_SECURE                     0x0
#define MC_DLA0XA_PTSA_MIN_0_DUAL                       0x0
#define MC_DLA0XA_PTSA_MIN_0_SCR                        0
#define MC_DLA0XA_PTSA_MIN_0_WORD_COUNT                         0x1
#define MC_DLA0XA_PTSA_MIN_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA_PTSA_MIN_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA_PTSA_MIN_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_DLA0XA_PTSA_MIN_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_DLA0XA_PTSA_MIN_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA_PTSA_MIN_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA_PTSA_MIN_0_PTSA_MIN_DLA0XA_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_DLA0XA_PTSA_MIN_0_PTSA_MIN_DLA0XA_FIELD                      _MK_FIELD_CONST(0x7ff, MC_DLA0XA_PTSA_MIN_0_PTSA_MIN_DLA0XA_SHIFT)
#define MC_DLA0XA_PTSA_MIN_0_PTSA_MIN_DLA0XA_RANGE                      10:0
#define MC_DLA0XA_PTSA_MIN_0_PTSA_MIN_DLA0XA_WOFFSET                    0x0
#define MC_DLA0XA_PTSA_MIN_0_PTSA_MIN_DLA0XA_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA_PTSA_MIN_0_PTSA_MIN_DLA0XA_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA_PTSA_MIN_0_PTSA_MIN_DLA0XA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_DLA0XA_PTSA_MIN_0_PTSA_MIN_DLA0XA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_DLA0XA_PTSA_MIN_0_PTSA_MIN_DLA0XA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_DLA0XA_PTSA_MIN_0_PTSA_MIN_DLA0XA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_ISP_PTSA_RATE_0
#define MC_ISP_PTSA_RATE_0                      _MK_ADDR_CONST(0x4a0)
#define MC_ISP_PTSA_RATE_0_SECURE                       0x0
#define MC_ISP_PTSA_RATE_0_DUAL                         0x0
#define MC_ISP_PTSA_RATE_0_SCR                  0
#define MC_ISP_PTSA_RATE_0_WORD_COUNT                   0x1
#define MC_ISP_PTSA_RATE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_ISP_PTSA_RATE_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_ISP_PTSA_RATE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_ISP_PTSA_RATE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ISP_PTSA_RATE_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_ISP_PTSA_RATE_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_ISP_PTSA_RATE_0_PTSA_RATE_ISP_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_ISP_PTSA_RATE_0_PTSA_RATE_ISP_FIELD                  _MK_FIELD_CONST(0xfff, MC_ISP_PTSA_RATE_0_PTSA_RATE_ISP_SHIFT)
#define MC_ISP_PTSA_RATE_0_PTSA_RATE_ISP_RANGE                  11:0
#define MC_ISP_PTSA_RATE_0_PTSA_RATE_ISP_WOFFSET                        0x0
#define MC_ISP_PTSA_RATE_0_PTSA_RATE_ISP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ISP_PTSA_RATE_0_PTSA_RATE_ISP_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_ISP_PTSA_RATE_0_PTSA_RATE_ISP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ISP_PTSA_RATE_0_PTSA_RATE_ISP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ISP_PTSA_RATE_0_PTSA_RATE_ISP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_ISP_PTSA_RATE_0_PTSA_RATE_ISP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_MIU6_PTSA_MAX_0
#define MC_MIU6_PTSA_MAX_0                      _MK_ADDR_CONST(0x4b5c)
#define MC_MIU6_PTSA_MAX_0_SECURE                       0x0
#define MC_MIU6_PTSA_MAX_0_DUAL                         0x0
#define MC_MIU6_PTSA_MAX_0_SCR                  0
#define MC_MIU6_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_MIU6_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MIU6_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU6_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MIU6_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU6_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MIU6_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU6_PTSA_MAX_0_PTSA_MAX_MIU6_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MIU6_PTSA_MAX_0_PTSA_MAX_MIU6_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MIU6_PTSA_MAX_0_PTSA_MAX_MIU6_SHIFT)
#define MC_MIU6_PTSA_MAX_0_PTSA_MAX_MIU6_RANGE                  10:0
#define MC_MIU6_PTSA_MAX_0_PTSA_MAX_MIU6_WOFFSET                        0x0
#define MC_MIU6_PTSA_MAX_0_PTSA_MAX_MIU6_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MIU6_PTSA_MAX_0_PTSA_MAX_MIU6_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU6_PTSA_MAX_0_PTSA_MAX_MIU6_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU6_PTSA_MAX_0_PTSA_MAX_MIU6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU6_PTSA_MAX_0_PTSA_MAX_MIU6_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU6_PTSA_MAX_0_PTSA_MAX_MIU6_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_UFSHCPC2_PTSA_RATE_0
#define MC_UFSHCPC2_PTSA_RATE_0                 _MK_ADDR_CONST(0x3a24)
#define MC_UFSHCPC2_PTSA_RATE_0_SECURE                  0x0
#define MC_UFSHCPC2_PTSA_RATE_0_DUAL                    0x0
#define MC_UFSHCPC2_PTSA_RATE_0_SCR                     0
#define MC_UFSHCPC2_PTSA_RATE_0_WORD_COUNT                      0x1
#define MC_UFSHCPC2_PTSA_RATE_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_PTSA_RATE_0_RESET_MASK                      _MK_MASK_CONST(0xfff)
#define MC_UFSHCPC2_PTSA_RATE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_PTSA_RATE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_PTSA_RATE_0_READ_MASK                       _MK_MASK_CONST(0xfff)
#define MC_UFSHCPC2_PTSA_RATE_0_WRITE_MASK                      _MK_MASK_CONST(0xfff)
#define MC_UFSHCPC2_PTSA_RATE_0_PTSA_RATE_UFSHCPC2_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_UFSHCPC2_PTSA_RATE_0_PTSA_RATE_UFSHCPC2_FIELD                        _MK_FIELD_CONST(0xfff, MC_UFSHCPC2_PTSA_RATE_0_PTSA_RATE_UFSHCPC2_SHIFT)
#define MC_UFSHCPC2_PTSA_RATE_0_PTSA_RATE_UFSHCPC2_RANGE                        11:0
#define MC_UFSHCPC2_PTSA_RATE_0_PTSA_RATE_UFSHCPC2_WOFFSET                      0x0
#define MC_UFSHCPC2_PTSA_RATE_0_PTSA_RATE_UFSHCPC2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_PTSA_RATE_0_PTSA_RATE_UFSHCPC2_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_UFSHCPC2_PTSA_RATE_0_PTSA_RATE_UFSHCPC2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_PTSA_RATE_0_PTSA_RATE_UFSHCPC2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_PTSA_RATE_0_PTSA_RATE_UFSHCPC2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_PTSA_RATE_0_PTSA_RATE_UFSHCPC2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_PCIE5X2_PTSA_RATE_0
#define MC_PCIE5X2_PTSA_RATE_0                  _MK_ADDR_CONST(0x3a00)
#define MC_PCIE5X2_PTSA_RATE_0_SECURE                   0x0
#define MC_PCIE5X2_PTSA_RATE_0_DUAL                     0x0
#define MC_PCIE5X2_PTSA_RATE_0_SCR                      0
#define MC_PCIE5X2_PTSA_RATE_0_WORD_COUNT                       0x1
#define MC_PCIE5X2_PTSA_RATE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_PTSA_RATE_0_RESET_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PCIE5X2_PTSA_RATE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_PTSA_RATE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_PTSA_RATE_0_READ_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PCIE5X2_PTSA_RATE_0_WRITE_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PCIE5X2_PTSA_RATE_0_PTSA_RATE_PCIE5X2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_PCIE5X2_PTSA_RATE_0_PTSA_RATE_PCIE5X2_FIELD                  _MK_FIELD_CONST(0xfff, MC_PCIE5X2_PTSA_RATE_0_PTSA_RATE_PCIE5X2_SHIFT)
#define MC_PCIE5X2_PTSA_RATE_0_PTSA_RATE_PCIE5X2_RANGE                  11:0
#define MC_PCIE5X2_PTSA_RATE_0_PTSA_RATE_PCIE5X2_WOFFSET                        0x0
#define MC_PCIE5X2_PTSA_RATE_0_PTSA_RATE_PCIE5X2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_PTSA_RATE_0_PTSA_RATE_PCIE5X2_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_PCIE5X2_PTSA_RATE_0_PTSA_RATE_PCIE5X2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_PTSA_RATE_0_PTSA_RATE_PCIE5X2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_PTSA_RATE_0_PTSA_RATE_PCIE5X2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_PTSA_RATE_0_PTSA_RATE_PCIE5X2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PVA0XB2_PTSA_MIN_0
#define MC_PVA0XB2_PTSA_MIN_0                   _MK_ADDR_CONST(0x3958)
#define MC_PVA0XB2_PTSA_MIN_0_SECURE                    0x0
#define MC_PVA0XB2_PTSA_MIN_0_DUAL                      0x0
#define MC_PVA0XB2_PTSA_MIN_0_SCR                       0
#define MC_PVA0XB2_PTSA_MIN_0_WORD_COUNT                        0x1
#define MC_PVA0XB2_PTSA_MIN_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB2_PTSA_MIN_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB2_PTSA_MIN_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_PTSA_MIN_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_PTSA_MIN_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB2_PTSA_MIN_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB2_PTSA_MIN_0_PTSA_MIN_PVA0XB2_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA0XB2_PTSA_MIN_0_PTSA_MIN_PVA0XB2_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PVA0XB2_PTSA_MIN_0_PTSA_MIN_PVA0XB2_SHIFT)
#define MC_PVA0XB2_PTSA_MIN_0_PTSA_MIN_PVA0XB2_RANGE                    10:0
#define MC_PVA0XB2_PTSA_MIN_0_PTSA_MIN_PVA0XB2_WOFFSET                  0x0
#define MC_PVA0XB2_PTSA_MIN_0_PTSA_MIN_PVA0XB2_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB2_PTSA_MIN_0_PTSA_MIN_PVA0XB2_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB2_PTSA_MIN_0_PTSA_MIN_PVA0XB2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_PTSA_MIN_0_PTSA_MIN_PVA0XB2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_PTSA_MIN_0_PTSA_MIN_PVA0XB2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_PTSA_MIN_0_PTSA_MIN_PVA0XB2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_HOST_PTSA_MIN_0
#define MC_HOST_PTSA_MIN_0                      _MK_ADDR_CONST(0x51c)
#define MC_HOST_PTSA_MIN_0_SECURE                       0x0
#define MC_HOST_PTSA_MIN_0_DUAL                         0x0
#define MC_HOST_PTSA_MIN_0_SCR                  0
#define MC_HOST_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_HOST_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_HOST_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_HOST_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_HOST_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HOST_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_HOST_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_HOST_PTSA_MIN_0_PTSA_MIN_HOST_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_HOST_PTSA_MIN_0_PTSA_MIN_HOST_FIELD                  _MK_FIELD_CONST(0x7ff, MC_HOST_PTSA_MIN_0_PTSA_MIN_HOST_SHIFT)
#define MC_HOST_PTSA_MIN_0_PTSA_MIN_HOST_RANGE                  10:0
#define MC_HOST_PTSA_MIN_0_PTSA_MIN_HOST_WOFFSET                        0x0
#define MC_HOST_PTSA_MIN_0_PTSA_MIN_HOST_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_HOST_PTSA_MIN_0_PTSA_MIN_HOST_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_HOST_PTSA_MIN_0_PTSA_MIN_HOST_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HOST_PTSA_MIN_0_PTSA_MIN_HOST_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HOST_PTSA_MIN_0_PTSA_MIN_HOST_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HOST_PTSA_MIN_0_PTSA_MIN_HOST_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_DLA1XA3_PTSA_MIN_0
#define MC_DLA1XA3_PTSA_MIN_0                   _MK_ADDR_CONST(0x3370)
#define MC_DLA1XA3_PTSA_MIN_0_SECURE                    0x0
#define MC_DLA1XA3_PTSA_MIN_0_DUAL                      0x0
#define MC_DLA1XA3_PTSA_MIN_0_SCR                       0
#define MC_DLA1XA3_PTSA_MIN_0_WORD_COUNT                        0x1
#define MC_DLA1XA3_PTSA_MIN_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA3_PTSA_MIN_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA3_PTSA_MIN_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_PTSA_MIN_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_PTSA_MIN_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA3_PTSA_MIN_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA3_PTSA_MIN_0_PTSA_MIN_DLA1XA3_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_DLA1XA3_PTSA_MIN_0_PTSA_MIN_DLA1XA3_FIELD                    _MK_FIELD_CONST(0x7ff, MC_DLA1XA3_PTSA_MIN_0_PTSA_MIN_DLA1XA3_SHIFT)
#define MC_DLA1XA3_PTSA_MIN_0_PTSA_MIN_DLA1XA3_RANGE                    10:0
#define MC_DLA1XA3_PTSA_MIN_0_PTSA_MIN_DLA1XA3_WOFFSET                  0x0
#define MC_DLA1XA3_PTSA_MIN_0_PTSA_MIN_DLA1XA3_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA3_PTSA_MIN_0_PTSA_MIN_DLA1XA3_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA3_PTSA_MIN_0_PTSA_MIN_DLA1XA3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_PTSA_MIN_0_PTSA_MIN_DLA1XA3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_PTSA_MIN_0_PTSA_MIN_DLA1XA3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_PTSA_MIN_0_PTSA_MIN_DLA1XA3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MLL_MPCORER_PTSA_MAX_0
#define MC_MLL_MPCORER_PTSA_MAX_0                       _MK_ADDR_CONST(0x454)
#define MC_MLL_MPCORER_PTSA_MAX_0_SECURE                        0x0
#define MC_MLL_MPCORER_PTSA_MAX_0_DUAL                  0x0
#define MC_MLL_MPCORER_PTSA_MAX_0_SCR                   0
#define MC_MLL_MPCORER_PTSA_MAX_0_WORD_COUNT                    0x1
#define MC_MLL_MPCORER_PTSA_MAX_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_MLL_MPCORER_PTSA_MAX_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MLL_MPCORER_PTSA_MAX_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MLL_MPCORER_PTSA_MAX_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MLL_MPCORER_PTSA_MAX_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_MLL_MPCORER_PTSA_MAX_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MLL_MPCORER_PTSA_MAX_0_PTSA_MAX_MLL_MPCORER_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MLL_MPCORER_PTSA_MAX_0_PTSA_MAX_MLL_MPCORER_FIELD                    _MK_FIELD_CONST(0x7ff, MC_MLL_MPCORER_PTSA_MAX_0_PTSA_MAX_MLL_MPCORER_SHIFT)
#define MC_MLL_MPCORER_PTSA_MAX_0_PTSA_MAX_MLL_MPCORER_RANGE                    10:0
#define MC_MLL_MPCORER_PTSA_MAX_0_PTSA_MAX_MLL_MPCORER_WOFFSET                  0x0
#define MC_MLL_MPCORER_PTSA_MAX_0_PTSA_MAX_MLL_MPCORER_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_MLL_MPCORER_PTSA_MAX_0_PTSA_MAX_MLL_MPCORER_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_MLL_MPCORER_PTSA_MAX_0_PTSA_MAX_MLL_MPCORER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MLL_MPCORER_PTSA_MAX_0_PTSA_MAX_MLL_MPCORER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MLL_MPCORER_PTSA_MAX_0_PTSA_MAX_MLL_MPCORER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MLL_MPCORER_PTSA_MAX_0_PTSA_MAX_MLL_MPCORER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_SD_PTSA_MIN_0
#define MC_SD_PTSA_MIN_0                        _MK_ADDR_CONST(0x4d4)
#define MC_SD_PTSA_MIN_0_SECURE                         0x0
#define MC_SD_PTSA_MIN_0_DUAL                   0x0
#define MC_SD_PTSA_MIN_0_SCR                    0
#define MC_SD_PTSA_MIN_0_WORD_COUNT                     0x1
#define MC_SD_PTSA_MIN_0_RESET_VAL                      _MK_MASK_CONST(0x7ff)
#define MC_SD_PTSA_MIN_0_RESET_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_SD_PTSA_MIN_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_SD_PTSA_MIN_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SD_PTSA_MIN_0_READ_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_SD_PTSA_MIN_0_WRITE_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_SD_PTSA_MIN_0_PTSA_MIN_SD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SD_PTSA_MIN_0_PTSA_MIN_SD_FIELD                      _MK_FIELD_CONST(0x7ff, MC_SD_PTSA_MIN_0_PTSA_MIN_SD_SHIFT)
#define MC_SD_PTSA_MIN_0_PTSA_MIN_SD_RANGE                      10:0
#define MC_SD_PTSA_MIN_0_PTSA_MIN_SD_WOFFSET                    0x0
#define MC_SD_PTSA_MIN_0_PTSA_MIN_SD_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_SD_PTSA_MIN_0_PTSA_MIN_SD_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_SD_PTSA_MIN_0_PTSA_MIN_SD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SD_PTSA_MIN_0_PTSA_MIN_SD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SD_PTSA_MIN_0_PTSA_MIN_SD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SD_PTSA_MIN_0_PTSA_MIN_SD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_PVA1XB2_PTSA_MAX_0
#define MC_PVA1XB2_PTSA_MAX_0                   _MK_ADDR_CONST(0x3974)
#define MC_PVA1XB2_PTSA_MAX_0_SECURE                    0x0
#define MC_PVA1XB2_PTSA_MAX_0_DUAL                      0x0
#define MC_PVA1XB2_PTSA_MAX_0_SCR                       0
#define MC_PVA1XB2_PTSA_MAX_0_WORD_COUNT                        0x1
#define MC_PVA1XB2_PTSA_MAX_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB2_PTSA_MAX_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB2_PTSA_MAX_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_PTSA_MAX_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_PTSA_MAX_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB2_PTSA_MAX_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB2_PTSA_MAX_0_PTSA_MAX_PVA1XB2_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA1XB2_PTSA_MAX_0_PTSA_MAX_PVA1XB2_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PVA1XB2_PTSA_MAX_0_PTSA_MAX_PVA1XB2_SHIFT)
#define MC_PVA1XB2_PTSA_MAX_0_PTSA_MAX_PVA1XB2_RANGE                    10:0
#define MC_PVA1XB2_PTSA_MAX_0_PTSA_MAX_PVA1XB2_WOFFSET                  0x0
#define MC_PVA1XB2_PTSA_MAX_0_PTSA_MAX_PVA1XB2_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB2_PTSA_MAX_0_PTSA_MAX_PVA1XB2_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB2_PTSA_MAX_0_PTSA_MAX_PVA1XB2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_PTSA_MAX_0_PTSA_MAX_PVA1XB2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_PTSA_MAX_0_PTSA_MAX_PVA1XB2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_PTSA_MAX_0_PTSA_MAX_PVA1XB2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_DLA0XA_PTSA_MAX_0
#define MC_DLA0XA_PTSA_MAX_0                    _MK_ADDR_CONST(0x7e8)
#define MC_DLA0XA_PTSA_MAX_0_SECURE                     0x0
#define MC_DLA0XA_PTSA_MAX_0_DUAL                       0x0
#define MC_DLA0XA_PTSA_MAX_0_SCR                        0
#define MC_DLA0XA_PTSA_MAX_0_WORD_COUNT                         0x1
#define MC_DLA0XA_PTSA_MAX_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA_PTSA_MAX_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA_PTSA_MAX_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_DLA0XA_PTSA_MAX_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_DLA0XA_PTSA_MAX_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA_PTSA_MAX_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA_PTSA_MAX_0_PTSA_MAX_DLA0XA_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_DLA0XA_PTSA_MAX_0_PTSA_MAX_DLA0XA_FIELD                      _MK_FIELD_CONST(0x7ff, MC_DLA0XA_PTSA_MAX_0_PTSA_MAX_DLA0XA_SHIFT)
#define MC_DLA0XA_PTSA_MAX_0_PTSA_MAX_DLA0XA_RANGE                      10:0
#define MC_DLA0XA_PTSA_MAX_0_PTSA_MAX_DLA0XA_WOFFSET                    0x0
#define MC_DLA0XA_PTSA_MAX_0_PTSA_MAX_DLA0XA_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA_PTSA_MAX_0_PTSA_MAX_DLA0XA_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA_PTSA_MAX_0_PTSA_MAX_DLA0XA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_DLA0XA_PTSA_MAX_0_PTSA_MAX_DLA0XA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_DLA0XA_PTSA_MAX_0_PTSA_MAX_DLA0XA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_DLA0XA_PTSA_MAX_0_PTSA_MAX_DLA0XA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_RING1_PTSA_RATE_0
#define MC_RING1_PTSA_RATE_0                    _MK_ADDR_CONST(0x47c)
#define MC_RING1_PTSA_RATE_0_SECURE                     0x0
#define MC_RING1_PTSA_RATE_0_DUAL                       0x0
#define MC_RING1_PTSA_RATE_0_SCR                        0
#define MC_RING1_PTSA_RATE_0_WORD_COUNT                         0x1
#define MC_RING1_PTSA_RATE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_RING1_PTSA_RATE_0_RESET_MASK                         _MK_MASK_CONST(0xfff)
#define MC_RING1_PTSA_RATE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_RING1_PTSA_RATE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_RING1_PTSA_RATE_0_READ_MASK                  _MK_MASK_CONST(0xfff)
#define MC_RING1_PTSA_RATE_0_WRITE_MASK                         _MK_MASK_CONST(0xfff)
#define MC_RING1_PTSA_RATE_0_PTSA_RATE_RING1_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_RING1_PTSA_RATE_0_PTSA_RATE_RING1_FIELD                      _MK_FIELD_CONST(0xfff, MC_RING1_PTSA_RATE_0_PTSA_RATE_RING1_SHIFT)
#define MC_RING1_PTSA_RATE_0_PTSA_RATE_RING1_RANGE                      11:0
#define MC_RING1_PTSA_RATE_0_PTSA_RATE_RING1_WOFFSET                    0x0
#define MC_RING1_PTSA_RATE_0_PTSA_RATE_RING1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_RING1_PTSA_RATE_0_PTSA_RATE_RING1_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_RING1_PTSA_RATE_0_PTSA_RATE_RING1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_RING1_PTSA_RATE_0_PTSA_RATE_RING1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_RING1_PTSA_RATE_0_PTSA_RATE_RING1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_RING1_PTSA_RATE_0_PTSA_RATE_RING1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_NVD2_PTSA_RATE_0
#define MC_NVD2_PTSA_RATE_0                     _MK_ADDR_CONST(0x3a18)
#define MC_NVD2_PTSA_RATE_0_SECURE                      0x0
#define MC_NVD2_PTSA_RATE_0_DUAL                        0x0
#define MC_NVD2_PTSA_RATE_0_SCR                         0
#define MC_NVD2_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_NVD2_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_NVD2_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_NVD2_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_NVD2_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_NVD2_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_NVD2_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_NVD2_PTSA_RATE_0_PTSA_RATE_NVD2_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_NVD2_PTSA_RATE_0_PTSA_RATE_NVD2_FIELD                        _MK_FIELD_CONST(0xfff, MC_NVD2_PTSA_RATE_0_PTSA_RATE_NVD2_SHIFT)
#define MC_NVD2_PTSA_RATE_0_PTSA_RATE_NVD2_RANGE                        11:0
#define MC_NVD2_PTSA_RATE_0_PTSA_RATE_NVD2_WOFFSET                      0x0
#define MC_NVD2_PTSA_RATE_0_PTSA_RATE_NVD2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_NVD2_PTSA_RATE_0_PTSA_RATE_NVD2_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_NVD2_PTSA_RATE_0_PTSA_RATE_NVD2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_NVD2_PTSA_RATE_0_PTSA_RATE_NVD2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_NVD2_PTSA_RATE_0_PTSA_RATE_NVD2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_NVD2_PTSA_RATE_0_PTSA_RATE_NVD2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_PVA1XC_PTSA_MAX_0
#define MC_PVA1XC_PTSA_MAX_0                    _MK_ADDR_CONST(0x392c)
#define MC_PVA1XC_PTSA_MAX_0_SECURE                     0x0
#define MC_PVA1XC_PTSA_MAX_0_DUAL                       0x0
#define MC_PVA1XC_PTSA_MAX_0_SCR                        0
#define MC_PVA1XC_PTSA_MAX_0_WORD_COUNT                         0x1
#define MC_PVA1XC_PTSA_MAX_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_PVA1XC_PTSA_MAX_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XC_PTSA_MAX_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_PVA1XC_PTSA_MAX_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA1XC_PTSA_MAX_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_PVA1XC_PTSA_MAX_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XC_PTSA_MAX_0_PTSA_MAX_PVA1XC_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_PVA1XC_PTSA_MAX_0_PTSA_MAX_PVA1XC_FIELD                      _MK_FIELD_CONST(0x7ff, MC_PVA1XC_PTSA_MAX_0_PTSA_MAX_PVA1XC_SHIFT)
#define MC_PVA1XC_PTSA_MAX_0_PTSA_MAX_PVA1XC_RANGE                      10:0
#define MC_PVA1XC_PTSA_MAX_0_PTSA_MAX_PVA1XC_WOFFSET                    0x0
#define MC_PVA1XC_PTSA_MAX_0_PTSA_MAX_PVA1XC_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_PVA1XC_PTSA_MAX_0_PTSA_MAX_PVA1XC_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_PVA1XC_PTSA_MAX_0_PTSA_MAX_PVA1XC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PVA1XC_PTSA_MAX_0_PTSA_MAX_PVA1XC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA1XC_PTSA_MAX_0_PTSA_MAX_PVA1XC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PVA1XC_PTSA_MAX_0_PTSA_MAX_PVA1XC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_DLA1FALPC_PTSA_MIN_0
#define MC_DLA1FALPC_PTSA_MIN_0                 _MK_ADDR_CONST(0x3304)
#define MC_DLA1FALPC_PTSA_MIN_0_SECURE                  0x0
#define MC_DLA1FALPC_PTSA_MIN_0_DUAL                    0x0
#define MC_DLA1FALPC_PTSA_MIN_0_SCR                     0
#define MC_DLA1FALPC_PTSA_MIN_0_WORD_COUNT                      0x1
#define MC_DLA1FALPC_PTSA_MIN_0_RESET_VAL                       _MK_MASK_CONST(0x7ff)
#define MC_DLA1FALPC_PTSA_MIN_0_RESET_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_DLA1FALPC_PTSA_MIN_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_PTSA_MIN_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_PTSA_MIN_0_READ_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_DLA1FALPC_PTSA_MIN_0_WRITE_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_DLA1FALPC_PTSA_MIN_0_PTSA_MIN_DLA1FALPC_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_DLA1FALPC_PTSA_MIN_0_PTSA_MIN_DLA1FALPC_FIELD                        _MK_FIELD_CONST(0x7ff, MC_DLA1FALPC_PTSA_MIN_0_PTSA_MIN_DLA1FALPC_SHIFT)
#define MC_DLA1FALPC_PTSA_MIN_0_PTSA_MIN_DLA1FALPC_RANGE                        10:0
#define MC_DLA1FALPC_PTSA_MIN_0_PTSA_MIN_DLA1FALPC_WOFFSET                      0x0
#define MC_DLA1FALPC_PTSA_MIN_0_PTSA_MIN_DLA1FALPC_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_DLA1FALPC_PTSA_MIN_0_PTSA_MIN_DLA1FALPC_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_DLA1FALPC_PTSA_MIN_0_PTSA_MIN_DLA1FALPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_PTSA_MIN_0_PTSA_MIN_DLA1FALPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_PTSA_MIN_0_PTSA_MIN_DLA1FALPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_PTSA_MIN_0_PTSA_MIN_DLA1FALPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_PCIE1XA_PTSA_MIN_0
#define MC_PCIE1XA_PTSA_MIN_0                   _MK_ADDR_CONST(0x3510)
#define MC_PCIE1XA_PTSA_MIN_0_SECURE                    0x0
#define MC_PCIE1XA_PTSA_MIN_0_DUAL                      0x0
#define MC_PCIE1XA_PTSA_MIN_0_SCR                       0
#define MC_PCIE1XA_PTSA_MIN_0_WORD_COUNT                        0x1
#define MC_PCIE1XA_PTSA_MIN_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE1XA_PTSA_MIN_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE1XA_PTSA_MIN_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_PTSA_MIN_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_PTSA_MIN_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE1XA_PTSA_MIN_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE1XA_PTSA_MIN_0_PTSA_MIN_PCIE1XA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PCIE1XA_PTSA_MIN_0_PTSA_MIN_PCIE1XA_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PCIE1XA_PTSA_MIN_0_PTSA_MIN_PCIE1XA_SHIFT)
#define MC_PCIE1XA_PTSA_MIN_0_PTSA_MIN_PCIE1XA_RANGE                    10:0
#define MC_PCIE1XA_PTSA_MIN_0_PTSA_MIN_PCIE1XA_WOFFSET                  0x0
#define MC_PCIE1XA_PTSA_MIN_0_PTSA_MIN_PCIE1XA_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE1XA_PTSA_MIN_0_PTSA_MIN_PCIE1XA_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PCIE1XA_PTSA_MIN_0_PTSA_MIN_PCIE1XA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_PTSA_MIN_0_PTSA_MIN_PCIE1XA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_PTSA_MIN_0_PTSA_MIN_PCIE1XA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_PTSA_MIN_0_PTSA_MIN_PCIE1XA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MIU1_PTSA_MAX_0
#define MC_MIU1_PTSA_MAX_0                      _MK_ADDR_CONST(0x3150)
#define MC_MIU1_PTSA_MAX_0_SECURE                       0x0
#define MC_MIU1_PTSA_MAX_0_DUAL                         0x0
#define MC_MIU1_PTSA_MAX_0_SCR                  0
#define MC_MIU1_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_MIU1_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MIU1_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU1_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MIU1_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU1_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MIU1_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU1_PTSA_MAX_0_PTSA_MAX_MIU1_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MIU1_PTSA_MAX_0_PTSA_MAX_MIU1_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MIU1_PTSA_MAX_0_PTSA_MAX_MIU1_SHIFT)
#define MC_MIU1_PTSA_MAX_0_PTSA_MAX_MIU1_RANGE                  10:0
#define MC_MIU1_PTSA_MAX_0_PTSA_MAX_MIU1_WOFFSET                        0x0
#define MC_MIU1_PTSA_MAX_0_PTSA_MAX_MIU1_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MIU1_PTSA_MAX_0_PTSA_MAX_MIU1_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU1_PTSA_MAX_0_PTSA_MAX_MIU1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU1_PTSA_MAX_0_PTSA_MAX_MIU1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU1_PTSA_MAX_0_PTSA_MAX_MIU1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU1_PTSA_MAX_0_PTSA_MAX_MIU1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_MIU0_PTSA_RATE_0
#define MC_MIU0_PTSA_RATE_0                     _MK_ADDR_CONST(0x313c)
#define MC_MIU0_PTSA_RATE_0_SECURE                      0x0
#define MC_MIU0_PTSA_RATE_0_DUAL                        0x0
#define MC_MIU0_PTSA_RATE_0_SCR                         0
#define MC_MIU0_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_MIU0_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MIU0_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MIU0_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MIU0_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MIU0_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_MIU0_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MIU0_PTSA_RATE_0_PTSA_RATE_MIU0_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MIU0_PTSA_RATE_0_PTSA_RATE_MIU0_FIELD                        _MK_FIELD_CONST(0xfff, MC_MIU0_PTSA_RATE_0_PTSA_RATE_MIU0_SHIFT)
#define MC_MIU0_PTSA_RATE_0_PTSA_RATE_MIU0_RANGE                        11:0
#define MC_MIU0_PTSA_RATE_0_PTSA_RATE_MIU0_WOFFSET                      0x0
#define MC_MIU0_PTSA_RATE_0_PTSA_RATE_MIU0_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MIU0_PTSA_RATE_0_PTSA_RATE_MIU0_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_MIU0_PTSA_RATE_0_PTSA_RATE_MIU0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MIU0_PTSA_RATE_0_PTSA_RATE_MIU0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU0_PTSA_RATE_0_PTSA_RATE_MIU0_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MIU0_PTSA_RATE_0_PTSA_RATE_MIU0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_JPG_PTSA_MAX_0
#define MC_JPG_PTSA_MAX_0                       _MK_ADDR_CONST(0x58c)
#define MC_JPG_PTSA_MAX_0_SECURE                        0x0
#define MC_JPG_PTSA_MAX_0_DUAL                  0x0
#define MC_JPG_PTSA_MAX_0_SCR                   0
#define MC_JPG_PTSA_MAX_0_WORD_COUNT                    0x1
#define MC_JPG_PTSA_MAX_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_JPG_PTSA_MAX_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_JPG_PTSA_MAX_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_JPG_PTSA_MAX_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_JPG_PTSA_MAX_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_JPG_PTSA_MAX_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_JPG_PTSA_MAX_0_PTSA_MAX_JPG_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_JPG_PTSA_MAX_0_PTSA_MAX_JPG_FIELD                    _MK_FIELD_CONST(0x7ff, MC_JPG_PTSA_MAX_0_PTSA_MAX_JPG_SHIFT)
#define MC_JPG_PTSA_MAX_0_PTSA_MAX_JPG_RANGE                    10:0
#define MC_JPG_PTSA_MAX_0_PTSA_MAX_JPG_WOFFSET                  0x0
#define MC_JPG_PTSA_MAX_0_PTSA_MAX_JPG_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_JPG_PTSA_MAX_0_PTSA_MAX_JPG_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_JPG_PTSA_MAX_0_PTSA_MAX_JPG_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_JPG_PTSA_MAX_0_PTSA_MAX_JPG_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_JPG_PTSA_MAX_0_PTSA_MAX_JPG_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_JPG_PTSA_MAX_0_PTSA_MAX_JPG_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_UFSHCPC_PTSA_MAX_0
#define MC_UFSHCPC_PTSA_MAX_0                   _MK_ADDR_CONST(0x74c)
#define MC_UFSHCPC_PTSA_MAX_0_SECURE                    0x0
#define MC_UFSHCPC_PTSA_MAX_0_DUAL                      0x0
#define MC_UFSHCPC_PTSA_MAX_0_SCR                       0
#define MC_UFSHCPC_PTSA_MAX_0_WORD_COUNT                        0x1
#define MC_UFSHCPC_PTSA_MAX_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC_PTSA_MAX_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC_PTSA_MAX_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_PTSA_MAX_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_PTSA_MAX_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC_PTSA_MAX_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC_PTSA_MAX_0_PTSA_MAX_UFSHCPC_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_UFSHCPC_PTSA_MAX_0_PTSA_MAX_UFSHCPC_FIELD                    _MK_FIELD_CONST(0x7ff, MC_UFSHCPC_PTSA_MAX_0_PTSA_MAX_UFSHCPC_SHIFT)
#define MC_UFSHCPC_PTSA_MAX_0_PTSA_MAX_UFSHCPC_RANGE                    10:0
#define MC_UFSHCPC_PTSA_MAX_0_PTSA_MAX_UFSHCPC_WOFFSET                  0x0
#define MC_UFSHCPC_PTSA_MAX_0_PTSA_MAX_UFSHCPC_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC_PTSA_MAX_0_PTSA_MAX_UFSHCPC_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC_PTSA_MAX_0_PTSA_MAX_UFSHCPC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_PTSA_MAX_0_PTSA_MAX_UFSHCPC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_PTSA_MAX_0_PTSA_MAX_UFSHCPC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_PTSA_MAX_0_PTSA_MAX_UFSHCPC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_NVD5_PTSA_MAX_0
#define MC_NVD5_PTSA_MAX_0                      _MK_ADDR_CONST(0x4b2c)
#define MC_NVD5_PTSA_MAX_0_SECURE                       0x0
#define MC_NVD5_PTSA_MAX_0_DUAL                         0x0
#define MC_NVD5_PTSA_MAX_0_SCR                  0
#define MC_NVD5_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_NVD5_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_NVD5_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD5_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_NVD5_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_NVD5_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_NVD5_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD5_PTSA_MAX_0_PTSA_MAX_NVD5_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_NVD5_PTSA_MAX_0_PTSA_MAX_NVD5_FIELD                  _MK_FIELD_CONST(0x7ff, MC_NVD5_PTSA_MAX_0_PTSA_MAX_NVD5_SHIFT)
#define MC_NVD5_PTSA_MAX_0_PTSA_MAX_NVD5_RANGE                  10:0
#define MC_NVD5_PTSA_MAX_0_PTSA_MAX_NVD5_WOFFSET                        0x0
#define MC_NVD5_PTSA_MAX_0_PTSA_MAX_NVD5_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_NVD5_PTSA_MAX_0_PTSA_MAX_NVD5_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD5_PTSA_MAX_0_PTSA_MAX_NVD5_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_NVD5_PTSA_MAX_0_PTSA_MAX_NVD5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_NVD5_PTSA_MAX_0_PTSA_MAX_NVD5_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_NVD5_PTSA_MAX_0_PTSA_MAX_NVD5_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_VICPC2_PTSA_MIN_0
#define MC_VICPC2_PTSA_MIN_0                    _MK_ADDR_CONST(0x3a10)
#define MC_VICPC2_PTSA_MIN_0_SECURE                     0x0
#define MC_VICPC2_PTSA_MIN_0_DUAL                       0x0
#define MC_VICPC2_PTSA_MIN_0_SCR                        0
#define MC_VICPC2_PTSA_MIN_0_WORD_COUNT                         0x1
#define MC_VICPC2_PTSA_MIN_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_VICPC2_PTSA_MIN_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_VICPC2_PTSA_MIN_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_VICPC2_PTSA_MIN_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VICPC2_PTSA_MIN_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_VICPC2_PTSA_MIN_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_VICPC2_PTSA_MIN_0_PTSA_MIN_VICPC2_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_VICPC2_PTSA_MIN_0_PTSA_MIN_VICPC2_FIELD                      _MK_FIELD_CONST(0x7ff, MC_VICPC2_PTSA_MIN_0_PTSA_MIN_VICPC2_SHIFT)
#define MC_VICPC2_PTSA_MIN_0_PTSA_MIN_VICPC2_RANGE                      10:0
#define MC_VICPC2_PTSA_MIN_0_PTSA_MIN_VICPC2_WOFFSET                    0x0
#define MC_VICPC2_PTSA_MIN_0_PTSA_MIN_VICPC2_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_VICPC2_PTSA_MIN_0_PTSA_MIN_VICPC2_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_VICPC2_PTSA_MIN_0_PTSA_MIN_VICPC2_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VICPC2_PTSA_MIN_0_PTSA_MIN_VICPC2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VICPC2_PTSA_MIN_0_PTSA_MIN_VICPC2_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VICPC2_PTSA_MIN_0_PTSA_MIN_VICPC2_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_VICPC_PTSA_MAX_0
#define MC_VICPC_PTSA_MAX_0                     _MK_ADDR_CONST(0x55c)
#define MC_VICPC_PTSA_MAX_0_SECURE                      0x0
#define MC_VICPC_PTSA_MAX_0_DUAL                        0x0
#define MC_VICPC_PTSA_MAX_0_SCR                         0
#define MC_VICPC_PTSA_MAX_0_WORD_COUNT                  0x1
#define MC_VICPC_PTSA_MAX_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_VICPC_PTSA_MAX_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_VICPC_PTSA_MAX_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_VICPC_PTSA_MAX_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_VICPC_PTSA_MAX_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_VICPC_PTSA_MAX_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_VICPC_PTSA_MAX_0_PTSA_MAX_VICPC_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_VICPC_PTSA_MAX_0_PTSA_MAX_VICPC_FIELD                        _MK_FIELD_CONST(0x7ff, MC_VICPC_PTSA_MAX_0_PTSA_MAX_VICPC_SHIFT)
#define MC_VICPC_PTSA_MAX_0_PTSA_MAX_VICPC_RANGE                        10:0
#define MC_VICPC_PTSA_MAX_0_PTSA_MAX_VICPC_WOFFSET                      0x0
#define MC_VICPC_PTSA_MAX_0_PTSA_MAX_VICPC_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_VICPC_PTSA_MAX_0_PTSA_MAX_VICPC_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_VICPC_PTSA_MAX_0_PTSA_MAX_VICPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_VICPC_PTSA_MAX_0_PTSA_MAX_VICPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_VICPC_PTSA_MAX_0_PTSA_MAX_VICPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_VICPC_PTSA_MAX_0_PTSA_MAX_VICPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_DLA1FALPC_PTSA_MAX_0
#define MC_DLA1FALPC_PTSA_MAX_0                 _MK_ADDR_CONST(0x3308)
#define MC_DLA1FALPC_PTSA_MAX_0_SECURE                  0x0
#define MC_DLA1FALPC_PTSA_MAX_0_DUAL                    0x0
#define MC_DLA1FALPC_PTSA_MAX_0_SCR                     0
#define MC_DLA1FALPC_PTSA_MAX_0_WORD_COUNT                      0x1
#define MC_DLA1FALPC_PTSA_MAX_0_RESET_VAL                       _MK_MASK_CONST(0x7ff)
#define MC_DLA1FALPC_PTSA_MAX_0_RESET_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_DLA1FALPC_PTSA_MAX_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_PTSA_MAX_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_PTSA_MAX_0_READ_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_DLA1FALPC_PTSA_MAX_0_WRITE_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_DLA1FALPC_PTSA_MAX_0_PTSA_MAX_DLA1FALPC_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_DLA1FALPC_PTSA_MAX_0_PTSA_MAX_DLA1FALPC_FIELD                        _MK_FIELD_CONST(0x7ff, MC_DLA1FALPC_PTSA_MAX_0_PTSA_MAX_DLA1FALPC_SHIFT)
#define MC_DLA1FALPC_PTSA_MAX_0_PTSA_MAX_DLA1FALPC_RANGE                        10:0
#define MC_DLA1FALPC_PTSA_MAX_0_PTSA_MAX_DLA1FALPC_WOFFSET                      0x0
#define MC_DLA1FALPC_PTSA_MAX_0_PTSA_MAX_DLA1FALPC_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_DLA1FALPC_PTSA_MAX_0_PTSA_MAX_DLA1FALPC_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_DLA1FALPC_PTSA_MAX_0_PTSA_MAX_DLA1FALPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_PTSA_MAX_0_PTSA_MAX_DLA1FALPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_PTSA_MAX_0_PTSA_MAX_DLA1FALPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_PTSA_MAX_0_PTSA_MAX_DLA1FALPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_NVD2_PTSA_MAX_0
#define MC_NVD2_PTSA_MAX_0                      _MK_ADDR_CONST(0x3a20)
#define MC_NVD2_PTSA_MAX_0_SECURE                       0x0
#define MC_NVD2_PTSA_MAX_0_DUAL                         0x0
#define MC_NVD2_PTSA_MAX_0_SCR                  0
#define MC_NVD2_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_NVD2_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_NVD2_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD2_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_NVD2_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_NVD2_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_NVD2_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD2_PTSA_MAX_0_PTSA_MAX_NVD2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_NVD2_PTSA_MAX_0_PTSA_MAX_NVD2_FIELD                  _MK_FIELD_CONST(0x7ff, MC_NVD2_PTSA_MAX_0_PTSA_MAX_NVD2_SHIFT)
#define MC_NVD2_PTSA_MAX_0_PTSA_MAX_NVD2_RANGE                  10:0
#define MC_NVD2_PTSA_MAX_0_PTSA_MAX_NVD2_WOFFSET                        0x0
#define MC_NVD2_PTSA_MAX_0_PTSA_MAX_NVD2_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_NVD2_PTSA_MAX_0_PTSA_MAX_NVD2_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD2_PTSA_MAX_0_PTSA_MAX_NVD2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_NVD2_PTSA_MAX_0_PTSA_MAX_NVD2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_NVD2_PTSA_MAX_0_PTSA_MAX_NVD2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_NVD2_PTSA_MAX_0_PTSA_MAX_NVD2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_NVD_PTSA_RATE_0
#define MC_NVD_PTSA_RATE_0                      _MK_ADDR_CONST(0x578)
#define MC_NVD_PTSA_RATE_0_SECURE                       0x0
#define MC_NVD_PTSA_RATE_0_DUAL                         0x0
#define MC_NVD_PTSA_RATE_0_SCR                  0
#define MC_NVD_PTSA_RATE_0_WORD_COUNT                   0x1
#define MC_NVD_PTSA_RATE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_NVD_PTSA_RATE_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_NVD_PTSA_RATE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_NVD_PTSA_RATE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_NVD_PTSA_RATE_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_NVD_PTSA_RATE_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_NVD_PTSA_RATE_0_PTSA_RATE_NVD_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_NVD_PTSA_RATE_0_PTSA_RATE_NVD_FIELD                  _MK_FIELD_CONST(0xfff, MC_NVD_PTSA_RATE_0_PTSA_RATE_NVD_SHIFT)
#define MC_NVD_PTSA_RATE_0_PTSA_RATE_NVD_RANGE                  11:0
#define MC_NVD_PTSA_RATE_0_PTSA_RATE_NVD_WOFFSET                        0x0
#define MC_NVD_PTSA_RATE_0_PTSA_RATE_NVD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_NVD_PTSA_RATE_0_PTSA_RATE_NVD_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_NVD_PTSA_RATE_0_PTSA_RATE_NVD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_NVD_PTSA_RATE_0_PTSA_RATE_NVD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_NVD_PTSA_RATE_0_PTSA_RATE_NVD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_NVD_PTSA_RATE_0_PTSA_RATE_NVD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_MIU1_PTSA_RATE_0
#define MC_MIU1_PTSA_RATE_0                     _MK_ADDR_CONST(0x3148)
#define MC_MIU1_PTSA_RATE_0_SECURE                      0x0
#define MC_MIU1_PTSA_RATE_0_DUAL                        0x0
#define MC_MIU1_PTSA_RATE_0_SCR                         0
#define MC_MIU1_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_MIU1_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MIU1_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MIU1_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MIU1_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MIU1_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_MIU1_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MIU1_PTSA_RATE_0_PTSA_RATE_MIU1_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MIU1_PTSA_RATE_0_PTSA_RATE_MIU1_FIELD                        _MK_FIELD_CONST(0xfff, MC_MIU1_PTSA_RATE_0_PTSA_RATE_MIU1_SHIFT)
#define MC_MIU1_PTSA_RATE_0_PTSA_RATE_MIU1_RANGE                        11:0
#define MC_MIU1_PTSA_RATE_0_PTSA_RATE_MIU1_WOFFSET                      0x0
#define MC_MIU1_PTSA_RATE_0_PTSA_RATE_MIU1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MIU1_PTSA_RATE_0_PTSA_RATE_MIU1_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_MIU1_PTSA_RATE_0_PTSA_RATE_MIU1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MIU1_PTSA_RATE_0_PTSA_RATE_MIU1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU1_PTSA_RATE_0_PTSA_RATE_MIU1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MIU1_PTSA_RATE_0_PTSA_RATE_MIU1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_SCEPC_PTSA_RATE_0
#define MC_SCEPC_PTSA_RATE_0                    _MK_ADDR_CONST(0x78c)
#define MC_SCEPC_PTSA_RATE_0_SECURE                     0x0
#define MC_SCEPC_PTSA_RATE_0_DUAL                       0x0
#define MC_SCEPC_PTSA_RATE_0_SCR                        0
#define MC_SCEPC_PTSA_RATE_0_WORD_COUNT                         0x1
#define MC_SCEPC_PTSA_RATE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SCEPC_PTSA_RATE_0_RESET_MASK                         _MK_MASK_CONST(0xfff)
#define MC_SCEPC_PTSA_RATE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SCEPC_PTSA_RATE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SCEPC_PTSA_RATE_0_READ_MASK                  _MK_MASK_CONST(0xfff)
#define MC_SCEPC_PTSA_RATE_0_WRITE_MASK                         _MK_MASK_CONST(0xfff)
#define MC_SCEPC_PTSA_RATE_0_PTSA_RATE_SCEPC_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SCEPC_PTSA_RATE_0_PTSA_RATE_SCEPC_FIELD                      _MK_FIELD_CONST(0xfff, MC_SCEPC_PTSA_RATE_0_PTSA_RATE_SCEPC_SHIFT)
#define MC_SCEPC_PTSA_RATE_0_PTSA_RATE_SCEPC_RANGE                      11:0
#define MC_SCEPC_PTSA_RATE_0_PTSA_RATE_SCEPC_WOFFSET                    0x0
#define MC_SCEPC_PTSA_RATE_0_PTSA_RATE_SCEPC_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SCEPC_PTSA_RATE_0_PTSA_RATE_SCEPC_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_SCEPC_PTSA_RATE_0_PTSA_RATE_SCEPC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SCEPC_PTSA_RATE_0_PTSA_RATE_SCEPC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SCEPC_PTSA_RATE_0_PTSA_RATE_SCEPC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SCEPC_PTSA_RATE_0_PTSA_RATE_SCEPC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_MIU3_PTSA_MIN_0
#define MC_MIU3_PTSA_MIN_0                      _MK_ADDR_CONST(0x3164)
#define MC_MIU3_PTSA_MIN_0_SECURE                       0x0
#define MC_MIU3_PTSA_MIN_0_DUAL                         0x0
#define MC_MIU3_PTSA_MIN_0_SCR                  0
#define MC_MIU3_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_MIU3_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MIU3_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU3_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MIU3_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU3_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MIU3_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU3_PTSA_MIN_0_PTSA_MIN_MIU3_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MIU3_PTSA_MIN_0_PTSA_MIN_MIU3_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MIU3_PTSA_MIN_0_PTSA_MIN_MIU3_SHIFT)
#define MC_MIU3_PTSA_MIN_0_PTSA_MIN_MIU3_RANGE                  10:0
#define MC_MIU3_PTSA_MIN_0_PTSA_MIN_MIU3_WOFFSET                        0x0
#define MC_MIU3_PTSA_MIN_0_PTSA_MIN_MIU3_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MIU3_PTSA_MIN_0_PTSA_MIN_MIU3_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU3_PTSA_MIN_0_PTSA_MIN_MIU3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU3_PTSA_MIN_0_PTSA_MIN_MIU3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU3_PTSA_MIN_0_PTSA_MIN_MIU3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU3_PTSA_MIN_0_PTSA_MIN_MIU3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_EQOSPC_PTSA_MIN_0
#define MC_EQOSPC_PTSA_MIN_0                    _MK_ADDR_CONST(0x754)
#define MC_EQOSPC_PTSA_MIN_0_SECURE                     0x0
#define MC_EQOSPC_PTSA_MIN_0_DUAL                       0x0
#define MC_EQOSPC_PTSA_MIN_0_SCR                        0
#define MC_EQOSPC_PTSA_MIN_0_WORD_COUNT                         0x1
#define MC_EQOSPC_PTSA_MIN_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_EQOSPC_PTSA_MIN_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_EQOSPC_PTSA_MIN_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_EQOSPC_PTSA_MIN_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EQOSPC_PTSA_MIN_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_EQOSPC_PTSA_MIN_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_EQOSPC_PTSA_MIN_0_PTSA_MIN_EQOSPC_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EQOSPC_PTSA_MIN_0_PTSA_MIN_EQOSPC_FIELD                      _MK_FIELD_CONST(0x7ff, MC_EQOSPC_PTSA_MIN_0_PTSA_MIN_EQOSPC_SHIFT)
#define MC_EQOSPC_PTSA_MIN_0_PTSA_MIN_EQOSPC_RANGE                      10:0
#define MC_EQOSPC_PTSA_MIN_0_PTSA_MIN_EQOSPC_WOFFSET                    0x0
#define MC_EQOSPC_PTSA_MIN_0_PTSA_MIN_EQOSPC_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_EQOSPC_PTSA_MIN_0_PTSA_MIN_EQOSPC_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_EQOSPC_PTSA_MIN_0_PTSA_MIN_EQOSPC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EQOSPC_PTSA_MIN_0_PTSA_MIN_EQOSPC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EQOSPC_PTSA_MIN_0_PTSA_MIN_EQOSPC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EQOSPC_PTSA_MIN_0_PTSA_MIN_EQOSPC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_PVA1XB3_PTSA_MAX_0
#define MC_PVA1XB3_PTSA_MAX_0                   _MK_ADDR_CONST(0x3920)
#define MC_PVA1XB3_PTSA_MAX_0_SECURE                    0x0
#define MC_PVA1XB3_PTSA_MAX_0_DUAL                      0x0
#define MC_PVA1XB3_PTSA_MAX_0_SCR                       0
#define MC_PVA1XB3_PTSA_MAX_0_WORD_COUNT                        0x1
#define MC_PVA1XB3_PTSA_MAX_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB3_PTSA_MAX_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB3_PTSA_MAX_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_PTSA_MAX_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_PTSA_MAX_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB3_PTSA_MAX_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB3_PTSA_MAX_0_PTSA_MAX_PVA1XB3_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA1XB3_PTSA_MAX_0_PTSA_MAX_PVA1XB3_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PVA1XB3_PTSA_MAX_0_PTSA_MAX_PVA1XB3_SHIFT)
#define MC_PVA1XB3_PTSA_MAX_0_PTSA_MAX_PVA1XB3_RANGE                    10:0
#define MC_PVA1XB3_PTSA_MAX_0_PTSA_MAX_PVA1XB3_WOFFSET                  0x0
#define MC_PVA1XB3_PTSA_MAX_0_PTSA_MAX_PVA1XB3_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB3_PTSA_MAX_0_PTSA_MAX_PVA1XB3_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB3_PTSA_MAX_0_PTSA_MAX_PVA1XB3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_PTSA_MAX_0_PTSA_MAX_PVA1XB3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_PTSA_MAX_0_PTSA_MAX_PVA1XB3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_PTSA_MAX_0_PTSA_MAX_PVA1XB3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PVA0XA2_PTSA_RATE_0
#define MC_PVA0XA2_PTSA_RATE_0                  _MK_ADDR_CONST(0x3948)
#define MC_PVA0XA2_PTSA_RATE_0_SECURE                   0x0
#define MC_PVA0XA2_PTSA_RATE_0_DUAL                     0x0
#define MC_PVA0XA2_PTSA_RATE_0_SCR                      0
#define MC_PVA0XA2_PTSA_RATE_0_WORD_COUNT                       0x1
#define MC_PVA0XA2_PTSA_RATE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_PTSA_RATE_0_RESET_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PVA0XA2_PTSA_RATE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_PTSA_RATE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_PTSA_RATE_0_READ_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PVA0XA2_PTSA_RATE_0_WRITE_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PVA0XA2_PTSA_RATE_0_PTSA_RATE_PVA0XA2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_PVA0XA2_PTSA_RATE_0_PTSA_RATE_PVA0XA2_FIELD                  _MK_FIELD_CONST(0xfff, MC_PVA0XA2_PTSA_RATE_0_PTSA_RATE_PVA0XA2_SHIFT)
#define MC_PVA0XA2_PTSA_RATE_0_PTSA_RATE_PVA0XA2_RANGE                  11:0
#define MC_PVA0XA2_PTSA_RATE_0_PTSA_RATE_PVA0XA2_WOFFSET                        0x0
#define MC_PVA0XA2_PTSA_RATE_0_PTSA_RATE_PVA0XA2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_PTSA_RATE_0_PTSA_RATE_PVA0XA2_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_PVA0XA2_PTSA_RATE_0_PTSA_RATE_PVA0XA2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_PTSA_RATE_0_PTSA_RATE_PVA0XA2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_PTSA_RATE_0_PTSA_RATE_PVA0XA2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_PTSA_RATE_0_PTSA_RATE_PVA0XA2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_EQOSPC_PTSA_RATE_0
#define MC_EQOSPC_PTSA_RATE_0                   _MK_ADDR_CONST(0x750)
#define MC_EQOSPC_PTSA_RATE_0_SECURE                    0x0
#define MC_EQOSPC_PTSA_RATE_0_DUAL                      0x0
#define MC_EQOSPC_PTSA_RATE_0_SCR                       0
#define MC_EQOSPC_PTSA_RATE_0_WORD_COUNT                        0x1
#define MC_EQOSPC_PTSA_RATE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_EQOSPC_PTSA_RATE_0_RESET_MASK                        _MK_MASK_CONST(0xfff)
#define MC_EQOSPC_PTSA_RATE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_EQOSPC_PTSA_RATE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_EQOSPC_PTSA_RATE_0_READ_MASK                         _MK_MASK_CONST(0xfff)
#define MC_EQOSPC_PTSA_RATE_0_WRITE_MASK                        _MK_MASK_CONST(0xfff)
#define MC_EQOSPC_PTSA_RATE_0_PTSA_RATE_EQOSPC_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_EQOSPC_PTSA_RATE_0_PTSA_RATE_EQOSPC_FIELD                    _MK_FIELD_CONST(0xfff, MC_EQOSPC_PTSA_RATE_0_PTSA_RATE_EQOSPC_SHIFT)
#define MC_EQOSPC_PTSA_RATE_0_PTSA_RATE_EQOSPC_RANGE                    11:0
#define MC_EQOSPC_PTSA_RATE_0_PTSA_RATE_EQOSPC_WOFFSET                  0x0
#define MC_EQOSPC_PTSA_RATE_0_PTSA_RATE_EQOSPC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EQOSPC_PTSA_RATE_0_PTSA_RATE_EQOSPC_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_EQOSPC_PTSA_RATE_0_PTSA_RATE_EQOSPC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_EQOSPC_PTSA_RATE_0_PTSA_RATE_EQOSPC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_EQOSPC_PTSA_RATE_0_PTSA_RATE_EQOSPC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_EQOSPC_PTSA_RATE_0_PTSA_RATE_EQOSPC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_USBX2_PTSA_MAX_0
#define MC_USBX2_PTSA_MAX_0                     _MK_ADDR_CONST(0x3a38)
#define MC_USBX2_PTSA_MAX_0_SECURE                      0x0
#define MC_USBX2_PTSA_MAX_0_DUAL                        0x0
#define MC_USBX2_PTSA_MAX_0_SCR                         0
#define MC_USBX2_PTSA_MAX_0_WORD_COUNT                  0x1
#define MC_USBX2_PTSA_MAX_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_USBX2_PTSA_MAX_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_USBX2_PTSA_MAX_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_USBX2_PTSA_MAX_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_USBX2_PTSA_MAX_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_USBX2_PTSA_MAX_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_USBX2_PTSA_MAX_0_PTSA_MAX_USBX2_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_USBX2_PTSA_MAX_0_PTSA_MAX_USBX2_FIELD                        _MK_FIELD_CONST(0x7ff, MC_USBX2_PTSA_MAX_0_PTSA_MAX_USBX2_SHIFT)
#define MC_USBX2_PTSA_MAX_0_PTSA_MAX_USBX2_RANGE                        10:0
#define MC_USBX2_PTSA_MAX_0_PTSA_MAX_USBX2_WOFFSET                      0x0
#define MC_USBX2_PTSA_MAX_0_PTSA_MAX_USBX2_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_USBX2_PTSA_MAX_0_PTSA_MAX_USBX2_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_USBX2_PTSA_MAX_0_PTSA_MAX_USBX2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_USBX2_PTSA_MAX_0_PTSA_MAX_USBX2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_USBX2_PTSA_MAX_0_PTSA_MAX_USBX2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_USBX2_PTSA_MAX_0_PTSA_MAX_USBX2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_VICPC3_PTSA_MIN_0
#define MC_VICPC3_PTSA_MIN_0                    _MK_ADDR_CONST(0x7b4)
#define MC_VICPC3_PTSA_MIN_0_SECURE                     0x0
#define MC_VICPC3_PTSA_MIN_0_DUAL                       0x0
#define MC_VICPC3_PTSA_MIN_0_SCR                        0
#define MC_VICPC3_PTSA_MIN_0_WORD_COUNT                         0x1
#define MC_VICPC3_PTSA_MIN_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_VICPC3_PTSA_MIN_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_VICPC3_PTSA_MIN_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_VICPC3_PTSA_MIN_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VICPC3_PTSA_MIN_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_VICPC3_PTSA_MIN_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_VICPC3_PTSA_MIN_0_PTSA_MIN_VICPC3_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_VICPC3_PTSA_MIN_0_PTSA_MIN_VICPC3_FIELD                      _MK_FIELD_CONST(0x7ff, MC_VICPC3_PTSA_MIN_0_PTSA_MIN_VICPC3_SHIFT)
#define MC_VICPC3_PTSA_MIN_0_PTSA_MIN_VICPC3_RANGE                      10:0
#define MC_VICPC3_PTSA_MIN_0_PTSA_MIN_VICPC3_WOFFSET                    0x0
#define MC_VICPC3_PTSA_MIN_0_PTSA_MIN_VICPC3_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_VICPC3_PTSA_MIN_0_PTSA_MIN_VICPC3_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_VICPC3_PTSA_MIN_0_PTSA_MIN_VICPC3_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VICPC3_PTSA_MIN_0_PTSA_MIN_VICPC3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VICPC3_PTSA_MIN_0_PTSA_MIN_VICPC3_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VICPC3_PTSA_MIN_0_PTSA_MIN_VICPC3_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_MLL_MPCORER_PTSA_MIN_0
#define MC_MLL_MPCORER_PTSA_MIN_0                       _MK_ADDR_CONST(0x450)
#define MC_MLL_MPCORER_PTSA_MIN_0_SECURE                        0x0
#define MC_MLL_MPCORER_PTSA_MIN_0_DUAL                  0x0
#define MC_MLL_MPCORER_PTSA_MIN_0_SCR                   0
#define MC_MLL_MPCORER_PTSA_MIN_0_WORD_COUNT                    0x1
#define MC_MLL_MPCORER_PTSA_MIN_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_MLL_MPCORER_PTSA_MIN_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MLL_MPCORER_PTSA_MIN_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MLL_MPCORER_PTSA_MIN_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MLL_MPCORER_PTSA_MIN_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_MLL_MPCORER_PTSA_MIN_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MLL_MPCORER_PTSA_MIN_0_PTSA_MIN_MLL_MPCORER_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MLL_MPCORER_PTSA_MIN_0_PTSA_MIN_MLL_MPCORER_FIELD                    _MK_FIELD_CONST(0x7ff, MC_MLL_MPCORER_PTSA_MIN_0_PTSA_MIN_MLL_MPCORER_SHIFT)
#define MC_MLL_MPCORER_PTSA_MIN_0_PTSA_MIN_MLL_MPCORER_RANGE                    10:0
#define MC_MLL_MPCORER_PTSA_MIN_0_PTSA_MIN_MLL_MPCORER_WOFFSET                  0x0
#define MC_MLL_MPCORER_PTSA_MIN_0_PTSA_MIN_MLL_MPCORER_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_MLL_MPCORER_PTSA_MIN_0_PTSA_MIN_MLL_MPCORER_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_MLL_MPCORER_PTSA_MIN_0_PTSA_MIN_MLL_MPCORER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MLL_MPCORER_PTSA_MIN_0_PTSA_MIN_MLL_MPCORER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MLL_MPCORER_PTSA_MIN_0_PTSA_MIN_MLL_MPCORER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MLL_MPCORER_PTSA_MIN_0_PTSA_MIN_MLL_MPCORER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_ISP_PTSA_MAX_0
#define MC_ISP_PTSA_MAX_0                       _MK_ADDR_CONST(0x4a8)
#define MC_ISP_PTSA_MAX_0_SECURE                        0x0
#define MC_ISP_PTSA_MAX_0_DUAL                  0x0
#define MC_ISP_PTSA_MAX_0_SCR                   0
#define MC_ISP_PTSA_MAX_0_WORD_COUNT                    0x1
#define MC_ISP_PTSA_MAX_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_ISP_PTSA_MAX_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_ISP_PTSA_MAX_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_ISP_PTSA_MAX_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ISP_PTSA_MAX_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_ISP_PTSA_MAX_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_ISP_PTSA_MAX_0_PTSA_MAX_ISP_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_ISP_PTSA_MAX_0_PTSA_MAX_ISP_FIELD                    _MK_FIELD_CONST(0x7ff, MC_ISP_PTSA_MAX_0_PTSA_MAX_ISP_SHIFT)
#define MC_ISP_PTSA_MAX_0_PTSA_MAX_ISP_RANGE                    10:0
#define MC_ISP_PTSA_MAX_0_PTSA_MAX_ISP_WOFFSET                  0x0
#define MC_ISP_PTSA_MAX_0_PTSA_MAX_ISP_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_ISP_PTSA_MAX_0_PTSA_MAX_ISP_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_ISP_PTSA_MAX_0_PTSA_MAX_ISP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ISP_PTSA_MAX_0_PTSA_MAX_ISP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ISP_PTSA_MAX_0_PTSA_MAX_ISP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ISP_PTSA_MAX_0_PTSA_MAX_ISP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PCIE4XA_PTSA_MAX_0
#define MC_PCIE4XA_PTSA_MAX_0                   _MK_ADDR_CONST(0x3538)
#define MC_PCIE4XA_PTSA_MAX_0_SECURE                    0x0
#define MC_PCIE4XA_PTSA_MAX_0_DUAL                      0x0
#define MC_PCIE4XA_PTSA_MAX_0_SCR                       0
#define MC_PCIE4XA_PTSA_MAX_0_WORD_COUNT                        0x1
#define MC_PCIE4XA_PTSA_MAX_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE4XA_PTSA_MAX_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE4XA_PTSA_MAX_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_PTSA_MAX_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_PTSA_MAX_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE4XA_PTSA_MAX_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE4XA_PTSA_MAX_0_PTSA_MAX_PCIE4XA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PCIE4XA_PTSA_MAX_0_PTSA_MAX_PCIE4XA_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PCIE4XA_PTSA_MAX_0_PTSA_MAX_PCIE4XA_SHIFT)
#define MC_PCIE4XA_PTSA_MAX_0_PTSA_MAX_PCIE4XA_RANGE                    10:0
#define MC_PCIE4XA_PTSA_MAX_0_PTSA_MAX_PCIE4XA_WOFFSET                  0x0
#define MC_PCIE4XA_PTSA_MAX_0_PTSA_MAX_PCIE4XA_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE4XA_PTSA_MAX_0_PTSA_MAX_PCIE4XA_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PCIE4XA_PTSA_MAX_0_PTSA_MAX_PCIE4XA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_PTSA_MAX_0_PTSA_MAX_PCIE4XA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_PTSA_MAX_0_PTSA_MAX_PCIE4XA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_PTSA_MAX_0_PTSA_MAX_PCIE4XA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_UFSHCPC_PTSA_MIN_0
#define MC_UFSHCPC_PTSA_MIN_0                   _MK_ADDR_CONST(0x748)
#define MC_UFSHCPC_PTSA_MIN_0_SECURE                    0x0
#define MC_UFSHCPC_PTSA_MIN_0_DUAL                      0x0
#define MC_UFSHCPC_PTSA_MIN_0_SCR                       0
#define MC_UFSHCPC_PTSA_MIN_0_WORD_COUNT                        0x1
#define MC_UFSHCPC_PTSA_MIN_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC_PTSA_MIN_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC_PTSA_MIN_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_PTSA_MIN_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_PTSA_MIN_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC_PTSA_MIN_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC_PTSA_MIN_0_PTSA_MIN_UFSHCPC_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_UFSHCPC_PTSA_MIN_0_PTSA_MIN_UFSHCPC_FIELD                    _MK_FIELD_CONST(0x7ff, MC_UFSHCPC_PTSA_MIN_0_PTSA_MIN_UFSHCPC_SHIFT)
#define MC_UFSHCPC_PTSA_MIN_0_PTSA_MIN_UFSHCPC_RANGE                    10:0
#define MC_UFSHCPC_PTSA_MIN_0_PTSA_MIN_UFSHCPC_WOFFSET                  0x0
#define MC_UFSHCPC_PTSA_MIN_0_PTSA_MIN_UFSHCPC_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC_PTSA_MIN_0_PTSA_MIN_UFSHCPC_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC_PTSA_MIN_0_PTSA_MIN_UFSHCPC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_PTSA_MIN_0_PTSA_MIN_UFSHCPC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_PTSA_MIN_0_PTSA_MIN_UFSHCPC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_PTSA_MIN_0_PTSA_MIN_UFSHCPC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PVA0XC_PTSA_MIN_0
#define MC_PVA0XC_PTSA_MIN_0                    _MK_ADDR_CONST(0x3570)
#define MC_PVA0XC_PTSA_MIN_0_SECURE                     0x0
#define MC_PVA0XC_PTSA_MIN_0_DUAL                       0x0
#define MC_PVA0XC_PTSA_MIN_0_SCR                        0
#define MC_PVA0XC_PTSA_MIN_0_WORD_COUNT                         0x1
#define MC_PVA0XC_PTSA_MIN_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_PVA0XC_PTSA_MIN_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XC_PTSA_MIN_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_PVA0XC_PTSA_MIN_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA0XC_PTSA_MIN_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_PVA0XC_PTSA_MIN_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XC_PTSA_MIN_0_PTSA_MIN_PVA0XC_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_PVA0XC_PTSA_MIN_0_PTSA_MIN_PVA0XC_FIELD                      _MK_FIELD_CONST(0x7ff, MC_PVA0XC_PTSA_MIN_0_PTSA_MIN_PVA0XC_SHIFT)
#define MC_PVA0XC_PTSA_MIN_0_PTSA_MIN_PVA0XC_RANGE                      10:0
#define MC_PVA0XC_PTSA_MIN_0_PTSA_MIN_PVA0XC_WOFFSET                    0x0
#define MC_PVA0XC_PTSA_MIN_0_PTSA_MIN_PVA0XC_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_PVA0XC_PTSA_MIN_0_PTSA_MIN_PVA0XC_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_PVA0XC_PTSA_MIN_0_PTSA_MIN_PVA0XC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PVA0XC_PTSA_MIN_0_PTSA_MIN_PVA0XC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA0XC_PTSA_MIN_0_PTSA_MIN_PVA0XC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PVA0XC_PTSA_MIN_0_PTSA_MIN_PVA0XC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_FTOP_PTSA_RATE_0
#define MC_FTOP_PTSA_RATE_0                     _MK_ADDR_CONST(0x50c)
#define MC_FTOP_PTSA_RATE_0_SECURE                      0x0
#define MC_FTOP_PTSA_RATE_0_DUAL                        0x0
#define MC_FTOP_PTSA_RATE_0_SCR                         0
#define MC_FTOP_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_FTOP_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_FTOP_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_FTOP_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_FTOP_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_FTOP_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_FTOP_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_FTOP_PTSA_RATE_0_PTSA_RATE_FTOP_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_FTOP_PTSA_RATE_0_PTSA_RATE_FTOP_FIELD                        _MK_FIELD_CONST(0xfff, MC_FTOP_PTSA_RATE_0_PTSA_RATE_FTOP_SHIFT)
#define MC_FTOP_PTSA_RATE_0_PTSA_RATE_FTOP_RANGE                        11:0
#define MC_FTOP_PTSA_RATE_0_PTSA_RATE_FTOP_WOFFSET                      0x0
#define MC_FTOP_PTSA_RATE_0_PTSA_RATE_FTOP_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_FTOP_PTSA_RATE_0_PTSA_RATE_FTOP_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_FTOP_PTSA_RATE_0_PTSA_RATE_FTOP_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_FTOP_PTSA_RATE_0_PTSA_RATE_FTOP_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_FTOP_PTSA_RATE_0_PTSA_RATE_FTOP_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_FTOP_PTSA_RATE_0_PTSA_RATE_FTOP_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_VICPC2_PTSA_MAX_0
#define MC_VICPC2_PTSA_MAX_0                    _MK_ADDR_CONST(0x3a14)
#define MC_VICPC2_PTSA_MAX_0_SECURE                     0x0
#define MC_VICPC2_PTSA_MAX_0_DUAL                       0x0
#define MC_VICPC2_PTSA_MAX_0_SCR                        0
#define MC_VICPC2_PTSA_MAX_0_WORD_COUNT                         0x1
#define MC_VICPC2_PTSA_MAX_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_VICPC2_PTSA_MAX_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_VICPC2_PTSA_MAX_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_VICPC2_PTSA_MAX_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VICPC2_PTSA_MAX_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_VICPC2_PTSA_MAX_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_VICPC2_PTSA_MAX_0_PTSA_MAX_VICPC2_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_VICPC2_PTSA_MAX_0_PTSA_MAX_VICPC2_FIELD                      _MK_FIELD_CONST(0x7ff, MC_VICPC2_PTSA_MAX_0_PTSA_MAX_VICPC2_SHIFT)
#define MC_VICPC2_PTSA_MAX_0_PTSA_MAX_VICPC2_RANGE                      10:0
#define MC_VICPC2_PTSA_MAX_0_PTSA_MAX_VICPC2_WOFFSET                    0x0
#define MC_VICPC2_PTSA_MAX_0_PTSA_MAX_VICPC2_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_VICPC2_PTSA_MAX_0_PTSA_MAX_VICPC2_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_VICPC2_PTSA_MAX_0_PTSA_MAX_VICPC2_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VICPC2_PTSA_MAX_0_PTSA_MAX_VICPC2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VICPC2_PTSA_MAX_0_PTSA_MAX_VICPC2_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VICPC2_PTSA_MAX_0_PTSA_MAX_VICPC2_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_PCIE4XA_PTSA_RATE_0
#define MC_PCIE4XA_PTSA_RATE_0                  _MK_ADDR_CONST(0x3530)
#define MC_PCIE4XA_PTSA_RATE_0_SECURE                   0x0
#define MC_PCIE4XA_PTSA_RATE_0_DUAL                     0x0
#define MC_PCIE4XA_PTSA_RATE_0_SCR                      0
#define MC_PCIE4XA_PTSA_RATE_0_WORD_COUNT                       0x1
#define MC_PCIE4XA_PTSA_RATE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_PTSA_RATE_0_RESET_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PCIE4XA_PTSA_RATE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_PTSA_RATE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_PTSA_RATE_0_READ_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PCIE4XA_PTSA_RATE_0_WRITE_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PCIE4XA_PTSA_RATE_0_PTSA_RATE_PCIE4XA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_PCIE4XA_PTSA_RATE_0_PTSA_RATE_PCIE4XA_FIELD                  _MK_FIELD_CONST(0xfff, MC_PCIE4XA_PTSA_RATE_0_PTSA_RATE_PCIE4XA_SHIFT)
#define MC_PCIE4XA_PTSA_RATE_0_PTSA_RATE_PCIE4XA_RANGE                  11:0
#define MC_PCIE4XA_PTSA_RATE_0_PTSA_RATE_PCIE4XA_WOFFSET                        0x0
#define MC_PCIE4XA_PTSA_RATE_0_PTSA_RATE_PCIE4XA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_PTSA_RATE_0_PTSA_RATE_PCIE4XA_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_PCIE4XA_PTSA_RATE_0_PTSA_RATE_PCIE4XA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_PTSA_RATE_0_PTSA_RATE_PCIE4XA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_PTSA_RATE_0_PTSA_RATE_PCIE4XA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_PTSA_RATE_0_PTSA_RATE_PCIE4XA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_DLA0XA2_PTSA_RATE_0
#define MC_DLA0XA2_PTSA_RATE_0                  _MK_ADDR_CONST(0x3930)
#define MC_DLA0XA2_PTSA_RATE_0_SECURE                   0x0
#define MC_DLA0XA2_PTSA_RATE_0_DUAL                     0x0
#define MC_DLA0XA2_PTSA_RATE_0_SCR                      0
#define MC_DLA0XA2_PTSA_RATE_0_WORD_COUNT                       0x1
#define MC_DLA0XA2_PTSA_RATE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_PTSA_RATE_0_RESET_MASK                       _MK_MASK_CONST(0xfff)
#define MC_DLA0XA2_PTSA_RATE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_PTSA_RATE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_PTSA_RATE_0_READ_MASK                        _MK_MASK_CONST(0xfff)
#define MC_DLA0XA2_PTSA_RATE_0_WRITE_MASK                       _MK_MASK_CONST(0xfff)
#define MC_DLA0XA2_PTSA_RATE_0_PTSA_RATE_DLA0XA2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_DLA0XA2_PTSA_RATE_0_PTSA_RATE_DLA0XA2_FIELD                  _MK_FIELD_CONST(0xfff, MC_DLA0XA2_PTSA_RATE_0_PTSA_RATE_DLA0XA2_SHIFT)
#define MC_DLA0XA2_PTSA_RATE_0_PTSA_RATE_DLA0XA2_RANGE                  11:0
#define MC_DLA0XA2_PTSA_RATE_0_PTSA_RATE_DLA0XA2_WOFFSET                        0x0
#define MC_DLA0XA2_PTSA_RATE_0_PTSA_RATE_DLA0XA2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_PTSA_RATE_0_PTSA_RATE_DLA0XA2_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_DLA0XA2_PTSA_RATE_0_PTSA_RATE_DLA0XA2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_PTSA_RATE_0_PTSA_RATE_DLA0XA2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_PTSA_RATE_0_PTSA_RATE_DLA0XA2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_PTSA_RATE_0_PTSA_RATE_DLA0XA2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_NVD3_PTSA_MIN_0
#define MC_NVD3_PTSA_MIN_0                      _MK_ADDR_CONST(0x7c0)
#define MC_NVD3_PTSA_MIN_0_SECURE                       0x0
#define MC_NVD3_PTSA_MIN_0_DUAL                         0x0
#define MC_NVD3_PTSA_MIN_0_SCR                  0
#define MC_NVD3_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_NVD3_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_NVD3_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD3_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_NVD3_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_NVD3_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_NVD3_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD3_PTSA_MIN_0_PTSA_MIN_NVD3_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_NVD3_PTSA_MIN_0_PTSA_MIN_NVD3_FIELD                  _MK_FIELD_CONST(0x7ff, MC_NVD3_PTSA_MIN_0_PTSA_MIN_NVD3_SHIFT)
#define MC_NVD3_PTSA_MIN_0_PTSA_MIN_NVD3_RANGE                  10:0
#define MC_NVD3_PTSA_MIN_0_PTSA_MIN_NVD3_WOFFSET                        0x0
#define MC_NVD3_PTSA_MIN_0_PTSA_MIN_NVD3_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_NVD3_PTSA_MIN_0_PTSA_MIN_NVD3_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD3_PTSA_MIN_0_PTSA_MIN_NVD3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_NVD3_PTSA_MIN_0_PTSA_MIN_NVD3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_NVD3_PTSA_MIN_0_PTSA_MIN_NVD3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_NVD3_PTSA_MIN_0_PTSA_MIN_NVD3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PCIE5X2_PTSA_MIN_0
#define MC_PCIE5X2_PTSA_MIN_0                   _MK_ADDR_CONST(0x3a04)
#define MC_PCIE5X2_PTSA_MIN_0_SECURE                    0x0
#define MC_PCIE5X2_PTSA_MIN_0_DUAL                      0x0
#define MC_PCIE5X2_PTSA_MIN_0_SCR                       0
#define MC_PCIE5X2_PTSA_MIN_0_WORD_COUNT                        0x1
#define MC_PCIE5X2_PTSA_MIN_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X2_PTSA_MIN_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X2_PTSA_MIN_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_PTSA_MIN_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_PTSA_MIN_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X2_PTSA_MIN_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X2_PTSA_MIN_0_PTSA_MIN_PCIE5X2_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PCIE5X2_PTSA_MIN_0_PTSA_MIN_PCIE5X2_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PCIE5X2_PTSA_MIN_0_PTSA_MIN_PCIE5X2_SHIFT)
#define MC_PCIE5X2_PTSA_MIN_0_PTSA_MIN_PCIE5X2_RANGE                    10:0
#define MC_PCIE5X2_PTSA_MIN_0_PTSA_MIN_PCIE5X2_WOFFSET                  0x0
#define MC_PCIE5X2_PTSA_MIN_0_PTSA_MIN_PCIE5X2_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X2_PTSA_MIN_0_PTSA_MIN_PCIE5X2_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X2_PTSA_MIN_0_PTSA_MIN_PCIE5X2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_PTSA_MIN_0_PTSA_MIN_PCIE5X2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_PTSA_MIN_0_PTSA_MIN_PCIE5X2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_PTSA_MIN_0_PTSA_MIN_PCIE5X2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_DLA0FALPC_PTSA_MAX_0
#define MC_DLA0FALPC_PTSA_MAX_0                 _MK_ADDR_CONST(0x3174)
#define MC_DLA0FALPC_PTSA_MAX_0_SECURE                  0x0
#define MC_DLA0FALPC_PTSA_MAX_0_DUAL                    0x0
#define MC_DLA0FALPC_PTSA_MAX_0_SCR                     0
#define MC_DLA0FALPC_PTSA_MAX_0_WORD_COUNT                      0x1
#define MC_DLA0FALPC_PTSA_MAX_0_RESET_VAL                       _MK_MASK_CONST(0x7ff)
#define MC_DLA0FALPC_PTSA_MAX_0_RESET_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_DLA0FALPC_PTSA_MAX_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_PTSA_MAX_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_PTSA_MAX_0_READ_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_DLA0FALPC_PTSA_MAX_0_WRITE_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_DLA0FALPC_PTSA_MAX_0_PTSA_MAX_DLA0FALPC_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_DLA0FALPC_PTSA_MAX_0_PTSA_MAX_DLA0FALPC_FIELD                        _MK_FIELD_CONST(0x7ff, MC_DLA0FALPC_PTSA_MAX_0_PTSA_MAX_DLA0FALPC_SHIFT)
#define MC_DLA0FALPC_PTSA_MAX_0_PTSA_MAX_DLA0FALPC_RANGE                        10:0
#define MC_DLA0FALPC_PTSA_MAX_0_PTSA_MAX_DLA0FALPC_WOFFSET                      0x0
#define MC_DLA0FALPC_PTSA_MAX_0_PTSA_MAX_DLA0FALPC_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_DLA0FALPC_PTSA_MAX_0_PTSA_MAX_DLA0FALPC_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_DLA0FALPC_PTSA_MAX_0_PTSA_MAX_DLA0FALPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_PTSA_MAX_0_PTSA_MAX_DLA0FALPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_PTSA_MAX_0_PTSA_MAX_DLA0FALPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_PTSA_MAX_0_PTSA_MAX_DLA0FALPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_MIU0_PTSA_MIN_0
#define MC_MIU0_PTSA_MIN_0                      _MK_ADDR_CONST(0x3140)
#define MC_MIU0_PTSA_MIN_0_SECURE                       0x0
#define MC_MIU0_PTSA_MIN_0_DUAL                         0x0
#define MC_MIU0_PTSA_MIN_0_SCR                  0
#define MC_MIU0_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_MIU0_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MIU0_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU0_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MIU0_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU0_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MIU0_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU0_PTSA_MIN_0_PTSA_MIN_MIU0_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MIU0_PTSA_MIN_0_PTSA_MIN_MIU0_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MIU0_PTSA_MIN_0_PTSA_MIN_MIU0_SHIFT)
#define MC_MIU0_PTSA_MIN_0_PTSA_MIN_MIU0_RANGE                  10:0
#define MC_MIU0_PTSA_MIN_0_PTSA_MIN_MIU0_WOFFSET                        0x0
#define MC_MIU0_PTSA_MIN_0_PTSA_MIN_MIU0_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MIU0_PTSA_MIN_0_PTSA_MIN_MIU0_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU0_PTSA_MIN_0_PTSA_MIN_MIU0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU0_PTSA_MIN_0_PTSA_MIN_MIU0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU0_PTSA_MIN_0_PTSA_MIN_MIU0_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU0_PTSA_MIN_0_PTSA_MIN_MIU0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_MIU2_PTSA_MAX_0
#define MC_MIU2_PTSA_MAX_0                      _MK_ADDR_CONST(0x315c)
#define MC_MIU2_PTSA_MAX_0_SECURE                       0x0
#define MC_MIU2_PTSA_MAX_0_DUAL                         0x0
#define MC_MIU2_PTSA_MAX_0_SCR                  0
#define MC_MIU2_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_MIU2_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MIU2_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU2_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MIU2_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU2_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MIU2_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU2_PTSA_MAX_0_PTSA_MAX_MIU2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MIU2_PTSA_MAX_0_PTSA_MAX_MIU2_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MIU2_PTSA_MAX_0_PTSA_MAX_MIU2_SHIFT)
#define MC_MIU2_PTSA_MAX_0_PTSA_MAX_MIU2_RANGE                  10:0
#define MC_MIU2_PTSA_MAX_0_PTSA_MAX_MIU2_WOFFSET                        0x0
#define MC_MIU2_PTSA_MAX_0_PTSA_MAX_MIU2_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MIU2_PTSA_MAX_0_PTSA_MAX_MIU2_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU2_PTSA_MAX_0_PTSA_MAX_MIU2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU2_PTSA_MAX_0_PTSA_MAX_MIU2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU2_PTSA_MAX_0_PTSA_MAX_MIU2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU2_PTSA_MAX_0_PTSA_MAX_MIU2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_ISP2PC_PTSA_MIN_0
#define MC_ISP2PC_PTSA_MIN_0                    _MK_ADDR_CONST(0x4b04)
#define MC_ISP2PC_PTSA_MIN_0_SECURE                     0x0
#define MC_ISP2PC_PTSA_MIN_0_DUAL                       0x0
#define MC_ISP2PC_PTSA_MIN_0_SCR                        0
#define MC_ISP2PC_PTSA_MIN_0_WORD_COUNT                         0x1
#define MC_ISP2PC_PTSA_MIN_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_ISP2PC_PTSA_MIN_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_ISP2PC_PTSA_MIN_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_ISP2PC_PTSA_MIN_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ISP2PC_PTSA_MIN_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_ISP2PC_PTSA_MIN_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_ISP2PC_PTSA_MIN_0_PTSA_MIN_ISP2PC_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_ISP2PC_PTSA_MIN_0_PTSA_MIN_ISP2PC_FIELD                      _MK_FIELD_CONST(0x7ff, MC_ISP2PC_PTSA_MIN_0_PTSA_MIN_ISP2PC_SHIFT)
#define MC_ISP2PC_PTSA_MIN_0_PTSA_MIN_ISP2PC_RANGE                      10:0
#define MC_ISP2PC_PTSA_MIN_0_PTSA_MIN_ISP2PC_WOFFSET                    0x0
#define MC_ISP2PC_PTSA_MIN_0_PTSA_MIN_ISP2PC_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_ISP2PC_PTSA_MIN_0_PTSA_MIN_ISP2PC_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_ISP2PC_PTSA_MIN_0_PTSA_MIN_ISP2PC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ISP2PC_PTSA_MIN_0_PTSA_MIN_ISP2PC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ISP2PC_PTSA_MIN_0_PTSA_MIN_ISP2PC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ISP2PC_PTSA_MIN_0_PTSA_MIN_ISP2PC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_USBX_PTSA_MAX_0
#define MC_USBX_PTSA_MAX_0                      _MK_ADDR_CONST(0x52c)
#define MC_USBX_PTSA_MAX_0_SECURE                       0x0
#define MC_USBX_PTSA_MAX_0_DUAL                         0x0
#define MC_USBX_PTSA_MAX_0_SCR                  0
#define MC_USBX_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_USBX_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_USBX_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_USBX_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_USBX_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_USBX_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_USBX_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_USBX_PTSA_MAX_0_PTSA_MAX_USBX_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_USBX_PTSA_MAX_0_PTSA_MAX_USBX_FIELD                  _MK_FIELD_CONST(0x7ff, MC_USBX_PTSA_MAX_0_PTSA_MAX_USBX_SHIFT)
#define MC_USBX_PTSA_MAX_0_PTSA_MAX_USBX_RANGE                  10:0
#define MC_USBX_PTSA_MAX_0_PTSA_MAX_USBX_WOFFSET                        0x0
#define MC_USBX_PTSA_MAX_0_PTSA_MAX_USBX_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_USBX_PTSA_MAX_0_PTSA_MAX_USBX_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_USBX_PTSA_MAX_0_PTSA_MAX_USBX_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_USBX_PTSA_MAX_0_PTSA_MAX_USBX_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_USBX_PTSA_MAX_0_PTSA_MAX_USBX_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_USBX_PTSA_MAX_0_PTSA_MAX_USBX_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_USBD_PTSA_MAX_0
#define MC_USBD_PTSA_MAX_0                      _MK_ADDR_CONST(0x538)
#define MC_USBD_PTSA_MAX_0_SECURE                       0x0
#define MC_USBD_PTSA_MAX_0_DUAL                         0x0
#define MC_USBD_PTSA_MAX_0_SCR                  0
#define MC_USBD_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_USBD_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_USBD_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_USBD_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_USBD_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_USBD_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_USBD_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_USBD_PTSA_MAX_0_PTSA_MAX_USBD_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_USBD_PTSA_MAX_0_PTSA_MAX_USBD_FIELD                  _MK_FIELD_CONST(0x7ff, MC_USBD_PTSA_MAX_0_PTSA_MAX_USBD_SHIFT)
#define MC_USBD_PTSA_MAX_0_PTSA_MAX_USBD_RANGE                  10:0
#define MC_USBD_PTSA_MAX_0_PTSA_MAX_USBD_WOFFSET                        0x0
#define MC_USBD_PTSA_MAX_0_PTSA_MAX_USBD_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_USBD_PTSA_MAX_0_PTSA_MAX_USBD_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_USBD_PTSA_MAX_0_PTSA_MAX_USBD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_USBD_PTSA_MAX_0_PTSA_MAX_USBD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_USBD_PTSA_MAX_0_PTSA_MAX_USBD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_USBD_PTSA_MAX_0_PTSA_MAX_USBD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_MIU5_PTSA_MIN_0
#define MC_MIU5_PTSA_MIN_0                      _MK_ADDR_CONST(0x4b4c)
#define MC_MIU5_PTSA_MIN_0_SECURE                       0x0
#define MC_MIU5_PTSA_MIN_0_DUAL                         0x0
#define MC_MIU5_PTSA_MIN_0_SCR                  0
#define MC_MIU5_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_MIU5_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MIU5_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU5_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MIU5_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU5_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MIU5_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU5_PTSA_MIN_0_PTSA_MIN_MIU5_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MIU5_PTSA_MIN_0_PTSA_MIN_MIU5_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MIU5_PTSA_MIN_0_PTSA_MIN_MIU5_SHIFT)
#define MC_MIU5_PTSA_MIN_0_PTSA_MIN_MIU5_RANGE                  10:0
#define MC_MIU5_PTSA_MIN_0_PTSA_MIN_MIU5_WOFFSET                        0x0
#define MC_MIU5_PTSA_MIN_0_PTSA_MIN_MIU5_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MIU5_PTSA_MIN_0_PTSA_MIN_MIU5_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU5_PTSA_MIN_0_PTSA_MIN_MIU5_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU5_PTSA_MIN_0_PTSA_MIN_MIU5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU5_PTSA_MIN_0_PTSA_MIN_MIU5_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU5_PTSA_MIN_0_PTSA_MIN_MIU5_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_USBX_PTSA_RATE_0
#define MC_USBX_PTSA_RATE_0                     _MK_ADDR_CONST(0x524)
#define MC_USBX_PTSA_RATE_0_SECURE                      0x0
#define MC_USBX_PTSA_RATE_0_DUAL                        0x0
#define MC_USBX_PTSA_RATE_0_SCR                         0
#define MC_USBX_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_USBX_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_USBX_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_USBX_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_USBX_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_USBX_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_USBX_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_USBX_PTSA_RATE_0_PTSA_RATE_USBX_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_USBX_PTSA_RATE_0_PTSA_RATE_USBX_FIELD                        _MK_FIELD_CONST(0xfff, MC_USBX_PTSA_RATE_0_PTSA_RATE_USBX_SHIFT)
#define MC_USBX_PTSA_RATE_0_PTSA_RATE_USBX_RANGE                        11:0
#define MC_USBX_PTSA_RATE_0_PTSA_RATE_USBX_WOFFSET                      0x0
#define MC_USBX_PTSA_RATE_0_PTSA_RATE_USBX_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_USBX_PTSA_RATE_0_PTSA_RATE_USBX_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_USBX_PTSA_RATE_0_PTSA_RATE_USBX_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_USBX_PTSA_RATE_0_PTSA_RATE_USBX_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_USBX_PTSA_RATE_0_PTSA_RATE_USBX_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_USBX_PTSA_RATE_0_PTSA_RATE_USBX_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_PCIE0X_PTSA_MAX_0
#define MC_PCIE0X_PTSA_MAX_0                    _MK_ADDR_CONST(0x3314)
#define MC_PCIE0X_PTSA_MAX_0_SECURE                     0x0
#define MC_PCIE0X_PTSA_MAX_0_DUAL                       0x0
#define MC_PCIE0X_PTSA_MAX_0_SCR                        0
#define MC_PCIE0X_PTSA_MAX_0_WORD_COUNT                         0x1
#define MC_PCIE0X_PTSA_MAX_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X_PTSA_MAX_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X_PTSA_MAX_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_PCIE0X_PTSA_MAX_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCIE0X_PTSA_MAX_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X_PTSA_MAX_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X_PTSA_MAX_0_PTSA_MAX_PCIE0X_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_PCIE0X_PTSA_MAX_0_PTSA_MAX_PCIE0X_FIELD                      _MK_FIELD_CONST(0x7ff, MC_PCIE0X_PTSA_MAX_0_PTSA_MAX_PCIE0X_SHIFT)
#define MC_PCIE0X_PTSA_MAX_0_PTSA_MAX_PCIE0X_RANGE                      10:0
#define MC_PCIE0X_PTSA_MAX_0_PTSA_MAX_PCIE0X_WOFFSET                    0x0
#define MC_PCIE0X_PTSA_MAX_0_PTSA_MAX_PCIE0X_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X_PTSA_MAX_0_PTSA_MAX_PCIE0X_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X_PTSA_MAX_0_PTSA_MAX_PCIE0X_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCIE0X_PTSA_MAX_0_PTSA_MAX_PCIE0X_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCIE0X_PTSA_MAX_0_PTSA_MAX_PCIE0X_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PCIE0X_PTSA_MAX_0_PTSA_MAX_PCIE0X_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_MSEA_PTSA_MIN_0
#define MC_MSEA_PTSA_MIN_0                      _MK_ADDR_CONST(0x3a4c)
#define MC_MSEA_PTSA_MIN_0_SECURE                       0x0
#define MC_MSEA_PTSA_MIN_0_DUAL                         0x0
#define MC_MSEA_PTSA_MIN_0_SCR                  0
#define MC_MSEA_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_MSEA_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MSEA_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSEA_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MSEA_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSEA_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MSEA_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSEA_PTSA_MIN_0_PTSA_MIN_MSEA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MSEA_PTSA_MIN_0_PTSA_MIN_MSEA_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MSEA_PTSA_MIN_0_PTSA_MIN_MSEA_SHIFT)
#define MC_MSEA_PTSA_MIN_0_PTSA_MIN_MSEA_RANGE                  10:0
#define MC_MSEA_PTSA_MIN_0_PTSA_MIN_MSEA_WOFFSET                        0x0
#define MC_MSEA_PTSA_MIN_0_PTSA_MIN_MSEA_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MSEA_PTSA_MIN_0_PTSA_MIN_MSEA_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSEA_PTSA_MIN_0_PTSA_MIN_MSEA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSEA_PTSA_MIN_0_PTSA_MIN_MSEA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSEA_PTSA_MIN_0_PTSA_MIN_MSEA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSEA_PTSA_MIN_0_PTSA_MIN_MSEA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_FTOP_PTSA_MAX_0
#define MC_FTOP_PTSA_MAX_0                      _MK_ADDR_CONST(0x514)
#define MC_FTOP_PTSA_MAX_0_SECURE                       0x0
#define MC_FTOP_PTSA_MAX_0_DUAL                         0x0
#define MC_FTOP_PTSA_MAX_0_SCR                  0
#define MC_FTOP_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_FTOP_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_FTOP_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_FTOP_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_FTOP_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_FTOP_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_FTOP_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_FTOP_PTSA_MAX_0_PTSA_MAX_FTOP_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_FTOP_PTSA_MAX_0_PTSA_MAX_FTOP_FIELD                  _MK_FIELD_CONST(0x7ff, MC_FTOP_PTSA_MAX_0_PTSA_MAX_FTOP_SHIFT)
#define MC_FTOP_PTSA_MAX_0_PTSA_MAX_FTOP_RANGE                  10:0
#define MC_FTOP_PTSA_MAX_0_PTSA_MAX_FTOP_WOFFSET                        0x0
#define MC_FTOP_PTSA_MAX_0_PTSA_MAX_FTOP_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_FTOP_PTSA_MAX_0_PTSA_MAX_FTOP_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_FTOP_PTSA_MAX_0_PTSA_MAX_FTOP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_FTOP_PTSA_MAX_0_PTSA_MAX_FTOP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_FTOP_PTSA_MAX_0_PTSA_MAX_FTOP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_FTOP_PTSA_MAX_0_PTSA_MAX_FTOP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PVA0XA3_PTSA_MAX_0
#define MC_PVA0XA3_PTSA_MAX_0                   _MK_ADDR_CONST(0x3550)
#define MC_PVA0XA3_PTSA_MAX_0_SECURE                    0x0
#define MC_PVA0XA3_PTSA_MAX_0_DUAL                      0x0
#define MC_PVA0XA3_PTSA_MAX_0_SCR                       0
#define MC_PVA0XA3_PTSA_MAX_0_WORD_COUNT                        0x1
#define MC_PVA0XA3_PTSA_MAX_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA3_PTSA_MAX_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA3_PTSA_MAX_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_PTSA_MAX_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_PTSA_MAX_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA3_PTSA_MAX_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA3_PTSA_MAX_0_PTSA_MAX_PVA0XA3_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA0XA3_PTSA_MAX_0_PTSA_MAX_PVA0XA3_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PVA0XA3_PTSA_MAX_0_PTSA_MAX_PVA0XA3_SHIFT)
#define MC_PVA0XA3_PTSA_MAX_0_PTSA_MAX_PVA0XA3_RANGE                    10:0
#define MC_PVA0XA3_PTSA_MAX_0_PTSA_MAX_PVA0XA3_WOFFSET                  0x0
#define MC_PVA0XA3_PTSA_MAX_0_PTSA_MAX_PVA0XA3_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA3_PTSA_MAX_0_PTSA_MAX_PVA0XA3_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA3_PTSA_MAX_0_PTSA_MAX_PVA0XA3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_PTSA_MAX_0_PTSA_MAX_PVA0XA3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_PTSA_MAX_0_PTSA_MAX_PVA0XA3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_PTSA_MAX_0_PTSA_MAX_PVA0XA3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_ISP2PC_PTSA_MAX_0
#define MC_ISP2PC_PTSA_MAX_0                    _MK_ADDR_CONST(0x4b08)
#define MC_ISP2PC_PTSA_MAX_0_SECURE                     0x0
#define MC_ISP2PC_PTSA_MAX_0_DUAL                       0x0
#define MC_ISP2PC_PTSA_MAX_0_SCR                        0
#define MC_ISP2PC_PTSA_MAX_0_WORD_COUNT                         0x1
#define MC_ISP2PC_PTSA_MAX_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_ISP2PC_PTSA_MAX_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_ISP2PC_PTSA_MAX_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_ISP2PC_PTSA_MAX_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ISP2PC_PTSA_MAX_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_ISP2PC_PTSA_MAX_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_ISP2PC_PTSA_MAX_0_PTSA_MAX_ISP2PC_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_ISP2PC_PTSA_MAX_0_PTSA_MAX_ISP2PC_FIELD                      _MK_FIELD_CONST(0x7ff, MC_ISP2PC_PTSA_MAX_0_PTSA_MAX_ISP2PC_SHIFT)
#define MC_ISP2PC_PTSA_MAX_0_PTSA_MAX_ISP2PC_RANGE                      10:0
#define MC_ISP2PC_PTSA_MAX_0_PTSA_MAX_ISP2PC_WOFFSET                    0x0
#define MC_ISP2PC_PTSA_MAX_0_PTSA_MAX_ISP2PC_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_ISP2PC_PTSA_MAX_0_PTSA_MAX_ISP2PC_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_ISP2PC_PTSA_MAX_0_PTSA_MAX_ISP2PC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ISP2PC_PTSA_MAX_0_PTSA_MAX_ISP2PC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ISP2PC_PTSA_MAX_0_PTSA_MAX_ISP2PC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ISP2PC_PTSA_MAX_0_PTSA_MAX_ISP2PC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_HDAPC_PTSA_MAX_0
#define MC_HDAPC_PTSA_MAX_0                     _MK_ADDR_CONST(0x630)
#define MC_HDAPC_PTSA_MAX_0_SECURE                      0x0
#define MC_HDAPC_PTSA_MAX_0_DUAL                        0x0
#define MC_HDAPC_PTSA_MAX_0_SCR                         0
#define MC_HDAPC_PTSA_MAX_0_WORD_COUNT                  0x1
#define MC_HDAPC_PTSA_MAX_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_HDAPC_PTSA_MAX_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_HDAPC_PTSA_MAX_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_HDAPC_PTSA_MAX_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HDAPC_PTSA_MAX_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_HDAPC_PTSA_MAX_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_HDAPC_PTSA_MAX_0_PTSA_MAX_HDAPC_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_HDAPC_PTSA_MAX_0_PTSA_MAX_HDAPC_FIELD                        _MK_FIELD_CONST(0x7ff, MC_HDAPC_PTSA_MAX_0_PTSA_MAX_HDAPC_SHIFT)
#define MC_HDAPC_PTSA_MAX_0_PTSA_MAX_HDAPC_RANGE                        10:0
#define MC_HDAPC_PTSA_MAX_0_PTSA_MAX_HDAPC_WOFFSET                      0x0
#define MC_HDAPC_PTSA_MAX_0_PTSA_MAX_HDAPC_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_HDAPC_PTSA_MAX_0_PTSA_MAX_HDAPC_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_HDAPC_PTSA_MAX_0_PTSA_MAX_HDAPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HDAPC_PTSA_MAX_0_PTSA_MAX_HDAPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HDAPC_PTSA_MAX_0_PTSA_MAX_HDAPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HDAPC_PTSA_MAX_0_PTSA_MAX_HDAPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_SD_PTSA_RATE_0
#define MC_SD_PTSA_RATE_0                       _MK_ADDR_CONST(0x4d0)
#define MC_SD_PTSA_RATE_0_SECURE                        0x0
#define MC_SD_PTSA_RATE_0_DUAL                  0x0
#define MC_SD_PTSA_RATE_0_SCR                   0
#define MC_SD_PTSA_RATE_0_WORD_COUNT                    0x1
#define MC_SD_PTSA_RATE_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_SD_PTSA_RATE_0_RESET_MASK                    _MK_MASK_CONST(0xfff)
#define MC_SD_PTSA_RATE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_SD_PTSA_RATE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SD_PTSA_RATE_0_READ_MASK                     _MK_MASK_CONST(0xfff)
#define MC_SD_PTSA_RATE_0_WRITE_MASK                    _MK_MASK_CONST(0xfff)
#define MC_SD_PTSA_RATE_0_PTSA_RATE_SD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SD_PTSA_RATE_0_PTSA_RATE_SD_FIELD                    _MK_FIELD_CONST(0xfff, MC_SD_PTSA_RATE_0_PTSA_RATE_SD_SHIFT)
#define MC_SD_PTSA_RATE_0_PTSA_RATE_SD_RANGE                    11:0
#define MC_SD_PTSA_RATE_0_PTSA_RATE_SD_WOFFSET                  0x0
#define MC_SD_PTSA_RATE_0_PTSA_RATE_SD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SD_PTSA_RATE_0_PTSA_RATE_SD_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_SD_PTSA_RATE_0_PTSA_RATE_SD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SD_PTSA_RATE_0_PTSA_RATE_SD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SD_PTSA_RATE_0_PTSA_RATE_SD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SD_PTSA_RATE_0_PTSA_RATE_SD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MSEA_PTSA_MAX_0
#define MC_MSEA_PTSA_MAX_0                      _MK_ADDR_CONST(0x3a50)
#define MC_MSEA_PTSA_MAX_0_SECURE                       0x0
#define MC_MSEA_PTSA_MAX_0_DUAL                         0x0
#define MC_MSEA_PTSA_MAX_0_SCR                  0
#define MC_MSEA_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_MSEA_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MSEA_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSEA_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MSEA_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSEA_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MSEA_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSEA_PTSA_MAX_0_PTSA_MAX_MSEA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MSEA_PTSA_MAX_0_PTSA_MAX_MSEA_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MSEA_PTSA_MAX_0_PTSA_MAX_MSEA_SHIFT)
#define MC_MSEA_PTSA_MAX_0_PTSA_MAX_MSEA_RANGE                  10:0
#define MC_MSEA_PTSA_MAX_0_PTSA_MAX_MSEA_WOFFSET                        0x0
#define MC_MSEA_PTSA_MAX_0_PTSA_MAX_MSEA_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MSEA_PTSA_MAX_0_PTSA_MAX_MSEA_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSEA_PTSA_MAX_0_PTSA_MAX_MSEA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSEA_PTSA_MAX_0_PTSA_MAX_MSEA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSEA_PTSA_MAX_0_PTSA_MAX_MSEA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSEA_PTSA_MAX_0_PTSA_MAX_MSEA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PCIE1X_PTSA_MAX_0
#define MC_PCIE1X_PTSA_MAX_0                    _MK_ADDR_CONST(0x3320)
#define MC_PCIE1X_PTSA_MAX_0_SECURE                     0x0
#define MC_PCIE1X_PTSA_MAX_0_DUAL                       0x0
#define MC_PCIE1X_PTSA_MAX_0_SCR                        0
#define MC_PCIE1X_PTSA_MAX_0_WORD_COUNT                         0x1
#define MC_PCIE1X_PTSA_MAX_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE1X_PTSA_MAX_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE1X_PTSA_MAX_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_PCIE1X_PTSA_MAX_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCIE1X_PTSA_MAX_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE1X_PTSA_MAX_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE1X_PTSA_MAX_0_PTSA_MAX_PCIE1X_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_PCIE1X_PTSA_MAX_0_PTSA_MAX_PCIE1X_FIELD                      _MK_FIELD_CONST(0x7ff, MC_PCIE1X_PTSA_MAX_0_PTSA_MAX_PCIE1X_SHIFT)
#define MC_PCIE1X_PTSA_MAX_0_PTSA_MAX_PCIE1X_RANGE                      10:0
#define MC_PCIE1X_PTSA_MAX_0_PTSA_MAX_PCIE1X_WOFFSET                    0x0
#define MC_PCIE1X_PTSA_MAX_0_PTSA_MAX_PCIE1X_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_PCIE1X_PTSA_MAX_0_PTSA_MAX_PCIE1X_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_PCIE1X_PTSA_MAX_0_PTSA_MAX_PCIE1X_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCIE1X_PTSA_MAX_0_PTSA_MAX_PCIE1X_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCIE1X_PTSA_MAX_0_PTSA_MAX_PCIE1X_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PCIE1X_PTSA_MAX_0_PTSA_MAX_PCIE1X_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_PCIE0X2_PTSA_MAX_0
#define MC_PCIE0X2_PTSA_MAX_0                   _MK_ADDR_CONST(0x4b14)
#define MC_PCIE0X2_PTSA_MAX_0_SECURE                    0x0
#define MC_PCIE0X2_PTSA_MAX_0_DUAL                      0x0
#define MC_PCIE0X2_PTSA_MAX_0_SCR                       0
#define MC_PCIE0X2_PTSA_MAX_0_WORD_COUNT                        0x1
#define MC_PCIE0X2_PTSA_MAX_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X2_PTSA_MAX_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X2_PTSA_MAX_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_PTSA_MAX_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_PTSA_MAX_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X2_PTSA_MAX_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X2_PTSA_MAX_0_PTSA_MAX_PCIE0X2_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PCIE0X2_PTSA_MAX_0_PTSA_MAX_PCIE0X2_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PCIE0X2_PTSA_MAX_0_PTSA_MAX_PCIE0X2_SHIFT)
#define MC_PCIE0X2_PTSA_MAX_0_PTSA_MAX_PCIE0X2_RANGE                    10:0
#define MC_PCIE0X2_PTSA_MAX_0_PTSA_MAX_PCIE0X2_WOFFSET                  0x0
#define MC_PCIE0X2_PTSA_MAX_0_PTSA_MAX_PCIE0X2_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X2_PTSA_MAX_0_PTSA_MAX_PCIE0X2_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X2_PTSA_MAX_0_PTSA_MAX_PCIE0X2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_PTSA_MAX_0_PTSA_MAX_PCIE0X2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_PTSA_MAX_0_PTSA_MAX_PCIE0X2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_PTSA_MAX_0_PTSA_MAX_PCIE0X2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PCIE5XA_PTSA_RATE_0
#define MC_PCIE5XA_PTSA_RATE_0                  _MK_ADDR_CONST(0x353c)
#define MC_PCIE5XA_PTSA_RATE_0_SECURE                   0x0
#define MC_PCIE5XA_PTSA_RATE_0_DUAL                     0x0
#define MC_PCIE5XA_PTSA_RATE_0_SCR                      0
#define MC_PCIE5XA_PTSA_RATE_0_WORD_COUNT                       0x1
#define MC_PCIE5XA_PTSA_RATE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_PTSA_RATE_0_RESET_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PCIE5XA_PTSA_RATE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_PTSA_RATE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_PTSA_RATE_0_READ_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PCIE5XA_PTSA_RATE_0_WRITE_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PCIE5XA_PTSA_RATE_0_PTSA_RATE_PCIE5XA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_PCIE5XA_PTSA_RATE_0_PTSA_RATE_PCIE5XA_FIELD                  _MK_FIELD_CONST(0xfff, MC_PCIE5XA_PTSA_RATE_0_PTSA_RATE_PCIE5XA_SHIFT)
#define MC_PCIE5XA_PTSA_RATE_0_PTSA_RATE_PCIE5XA_RANGE                  11:0
#define MC_PCIE5XA_PTSA_RATE_0_PTSA_RATE_PCIE5XA_WOFFSET                        0x0
#define MC_PCIE5XA_PTSA_RATE_0_PTSA_RATE_PCIE5XA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_PTSA_RATE_0_PTSA_RATE_PCIE5XA_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_PCIE5XA_PTSA_RATE_0_PTSA_RATE_PCIE5XA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_PTSA_RATE_0_PTSA_RATE_PCIE5XA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_PTSA_RATE_0_PTSA_RATE_PCIE5XA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_PTSA_RATE_0_PTSA_RATE_PCIE5XA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PVA0XA_PTSA_MIN_0
#define MC_PVA0XA_PTSA_MIN_0                    _MK_ADDR_CONST(0x3104)
#define MC_PVA0XA_PTSA_MIN_0_SECURE                     0x0
#define MC_PVA0XA_PTSA_MIN_0_DUAL                       0x0
#define MC_PVA0XA_PTSA_MIN_0_SCR                        0
#define MC_PVA0XA_PTSA_MIN_0_WORD_COUNT                         0x1
#define MC_PVA0XA_PTSA_MIN_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA_PTSA_MIN_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA_PTSA_MIN_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_PVA0XA_PTSA_MIN_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA0XA_PTSA_MIN_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA_PTSA_MIN_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA_PTSA_MIN_0_PTSA_MIN_PVA0XA_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_PVA0XA_PTSA_MIN_0_PTSA_MIN_PVA0XA_FIELD                      _MK_FIELD_CONST(0x7ff, MC_PVA0XA_PTSA_MIN_0_PTSA_MIN_PVA0XA_SHIFT)
#define MC_PVA0XA_PTSA_MIN_0_PTSA_MIN_PVA0XA_RANGE                      10:0
#define MC_PVA0XA_PTSA_MIN_0_PTSA_MIN_PVA0XA_WOFFSET                    0x0
#define MC_PVA0XA_PTSA_MIN_0_PTSA_MIN_PVA0XA_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA_PTSA_MIN_0_PTSA_MIN_PVA0XA_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA_PTSA_MIN_0_PTSA_MIN_PVA0XA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PVA0XA_PTSA_MIN_0_PTSA_MIN_PVA0XA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA0XA_PTSA_MIN_0_PTSA_MIN_PVA0XA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PVA0XA_PTSA_MIN_0_PTSA_MIN_PVA0XA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_FTOP_PTSA_MIN_0
#define MC_FTOP_PTSA_MIN_0                      _MK_ADDR_CONST(0x510)
#define MC_FTOP_PTSA_MIN_0_SECURE                       0x0
#define MC_FTOP_PTSA_MIN_0_DUAL                         0x0
#define MC_FTOP_PTSA_MIN_0_SCR                  0
#define MC_FTOP_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_FTOP_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_FTOP_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_FTOP_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_FTOP_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_FTOP_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_FTOP_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_FTOP_PTSA_MIN_0_PTSA_MIN_FTOP_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_FTOP_PTSA_MIN_0_PTSA_MIN_FTOP_FIELD                  _MK_FIELD_CONST(0x7ff, MC_FTOP_PTSA_MIN_0_PTSA_MIN_FTOP_SHIFT)
#define MC_FTOP_PTSA_MIN_0_PTSA_MIN_FTOP_RANGE                  10:0
#define MC_FTOP_PTSA_MIN_0_PTSA_MIN_FTOP_WOFFSET                        0x0
#define MC_FTOP_PTSA_MIN_0_PTSA_MIN_FTOP_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_FTOP_PTSA_MIN_0_PTSA_MIN_FTOP_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_FTOP_PTSA_MIN_0_PTSA_MIN_FTOP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_FTOP_PTSA_MIN_0_PTSA_MIN_FTOP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_FTOP_PTSA_MIN_0_PTSA_MIN_FTOP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_FTOP_PTSA_MIN_0_PTSA_MIN_FTOP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_DLA1XA3_PTSA_RATE_0
#define MC_DLA1XA3_PTSA_RATE_0                  _MK_ADDR_CONST(0x336c)
#define MC_DLA1XA3_PTSA_RATE_0_SECURE                   0x0
#define MC_DLA1XA3_PTSA_RATE_0_DUAL                     0x0
#define MC_DLA1XA3_PTSA_RATE_0_SCR                      0
#define MC_DLA1XA3_PTSA_RATE_0_WORD_COUNT                       0x1
#define MC_DLA1XA3_PTSA_RATE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_PTSA_RATE_0_RESET_MASK                       _MK_MASK_CONST(0xfff)
#define MC_DLA1XA3_PTSA_RATE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_PTSA_RATE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_PTSA_RATE_0_READ_MASK                        _MK_MASK_CONST(0xfff)
#define MC_DLA1XA3_PTSA_RATE_0_WRITE_MASK                       _MK_MASK_CONST(0xfff)
#define MC_DLA1XA3_PTSA_RATE_0_PTSA_RATE_DLA1XA3_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_DLA1XA3_PTSA_RATE_0_PTSA_RATE_DLA1XA3_FIELD                  _MK_FIELD_CONST(0xfff, MC_DLA1XA3_PTSA_RATE_0_PTSA_RATE_DLA1XA3_SHIFT)
#define MC_DLA1XA3_PTSA_RATE_0_PTSA_RATE_DLA1XA3_RANGE                  11:0
#define MC_DLA1XA3_PTSA_RATE_0_PTSA_RATE_DLA1XA3_WOFFSET                        0x0
#define MC_DLA1XA3_PTSA_RATE_0_PTSA_RATE_DLA1XA3_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_PTSA_RATE_0_PTSA_RATE_DLA1XA3_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_DLA1XA3_PTSA_RATE_0_PTSA_RATE_DLA1XA3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_PTSA_RATE_0_PTSA_RATE_DLA1XA3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_PTSA_RATE_0_PTSA_RATE_DLA1XA3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_PTSA_RATE_0_PTSA_RATE_DLA1XA3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_BPMPPC_PTSA_MAX_0
#define MC_BPMPPC_PTSA_MAX_0                    _MK_ADDR_CONST(0x764)
#define MC_BPMPPC_PTSA_MAX_0_SECURE                     0x0
#define MC_BPMPPC_PTSA_MAX_0_DUAL                       0x0
#define MC_BPMPPC_PTSA_MAX_0_SCR                        0
#define MC_BPMPPC_PTSA_MAX_0_WORD_COUNT                         0x1
#define MC_BPMPPC_PTSA_MAX_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_BPMPPC_PTSA_MAX_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_BPMPPC_PTSA_MAX_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_BPMPPC_PTSA_MAX_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_BPMPPC_PTSA_MAX_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_BPMPPC_PTSA_MAX_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_BPMPPC_PTSA_MAX_0_PTSA_MAX_BPMPPC_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_BPMPPC_PTSA_MAX_0_PTSA_MAX_BPMPPC_FIELD                      _MK_FIELD_CONST(0x7ff, MC_BPMPPC_PTSA_MAX_0_PTSA_MAX_BPMPPC_SHIFT)
#define MC_BPMPPC_PTSA_MAX_0_PTSA_MAX_BPMPPC_RANGE                      10:0
#define MC_BPMPPC_PTSA_MAX_0_PTSA_MAX_BPMPPC_WOFFSET                    0x0
#define MC_BPMPPC_PTSA_MAX_0_PTSA_MAX_BPMPPC_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_BPMPPC_PTSA_MAX_0_PTSA_MAX_BPMPPC_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_BPMPPC_PTSA_MAX_0_PTSA_MAX_BPMPPC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_BPMPPC_PTSA_MAX_0_PTSA_MAX_BPMPPC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_BPMPPC_PTSA_MAX_0_PTSA_MAX_BPMPPC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_BPMPPC_PTSA_MAX_0_PTSA_MAX_BPMPPC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_MSE_PTSA_MIN_0
#define MC_MSE_PTSA_MIN_0                       _MK_ADDR_CONST(0x4c8)
#define MC_MSE_PTSA_MIN_0_SECURE                        0x0
#define MC_MSE_PTSA_MIN_0_DUAL                  0x0
#define MC_MSE_PTSA_MIN_0_SCR                   0
#define MC_MSE_PTSA_MIN_0_WORD_COUNT                    0x1
#define MC_MSE_PTSA_MIN_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_MSE_PTSA_MIN_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MSE_PTSA_MIN_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MSE_PTSA_MIN_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSE_PTSA_MIN_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_MSE_PTSA_MIN_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MSE_PTSA_MIN_0_PTSA_MIN_MSE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MSE_PTSA_MIN_0_PTSA_MIN_MSE_FIELD                    _MK_FIELD_CONST(0x7ff, MC_MSE_PTSA_MIN_0_PTSA_MIN_MSE_SHIFT)
#define MC_MSE_PTSA_MIN_0_PTSA_MIN_MSE_RANGE                    10:0
#define MC_MSE_PTSA_MIN_0_PTSA_MIN_MSE_WOFFSET                  0x0
#define MC_MSE_PTSA_MIN_0_PTSA_MIN_MSE_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_MSE_PTSA_MIN_0_PTSA_MIN_MSE_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_MSE_PTSA_MIN_0_PTSA_MIN_MSE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSE_PTSA_MIN_0_PTSA_MIN_MSE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSE_PTSA_MIN_0_PTSA_MIN_MSE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MSE_PTSA_MIN_0_PTSA_MIN_MSE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PCIE0X2_PTSA_MIN_0
#define MC_PCIE0X2_PTSA_MIN_0                   _MK_ADDR_CONST(0x4b10)
#define MC_PCIE0X2_PTSA_MIN_0_SECURE                    0x0
#define MC_PCIE0X2_PTSA_MIN_0_DUAL                      0x0
#define MC_PCIE0X2_PTSA_MIN_0_SCR                       0
#define MC_PCIE0X2_PTSA_MIN_0_WORD_COUNT                        0x1
#define MC_PCIE0X2_PTSA_MIN_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X2_PTSA_MIN_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X2_PTSA_MIN_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_PTSA_MIN_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_PTSA_MIN_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X2_PTSA_MIN_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X2_PTSA_MIN_0_PTSA_MIN_PCIE0X2_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PCIE0X2_PTSA_MIN_0_PTSA_MIN_PCIE0X2_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PCIE0X2_PTSA_MIN_0_PTSA_MIN_PCIE0X2_SHIFT)
#define MC_PCIE0X2_PTSA_MIN_0_PTSA_MIN_PCIE0X2_RANGE                    10:0
#define MC_PCIE0X2_PTSA_MIN_0_PTSA_MIN_PCIE0X2_WOFFSET                  0x0
#define MC_PCIE0X2_PTSA_MIN_0_PTSA_MIN_PCIE0X2_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X2_PTSA_MIN_0_PTSA_MIN_PCIE0X2_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X2_PTSA_MIN_0_PTSA_MIN_PCIE0X2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_PTSA_MIN_0_PTSA_MIN_PCIE0X2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_PTSA_MIN_0_PTSA_MIN_PCIE0X2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_PTSA_MIN_0_PTSA_MIN_PCIE0X2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PVA0XB3_PTSA_RATE_0
#define MC_PVA0XB3_PTSA_RATE_0                  _MK_ADDR_CONST(0x3560)
#define MC_PVA0XB3_PTSA_RATE_0_SECURE                   0x0
#define MC_PVA0XB3_PTSA_RATE_0_DUAL                     0x0
#define MC_PVA0XB3_PTSA_RATE_0_SCR                      0
#define MC_PVA0XB3_PTSA_RATE_0_WORD_COUNT                       0x1
#define MC_PVA0XB3_PTSA_RATE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_PTSA_RATE_0_RESET_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PVA0XB3_PTSA_RATE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_PTSA_RATE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_PTSA_RATE_0_READ_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PVA0XB3_PTSA_RATE_0_WRITE_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PVA0XB3_PTSA_RATE_0_PTSA_RATE_PVA0XB3_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_PVA0XB3_PTSA_RATE_0_PTSA_RATE_PVA0XB3_FIELD                  _MK_FIELD_CONST(0xfff, MC_PVA0XB3_PTSA_RATE_0_PTSA_RATE_PVA0XB3_SHIFT)
#define MC_PVA0XB3_PTSA_RATE_0_PTSA_RATE_PVA0XB3_RANGE                  11:0
#define MC_PVA0XB3_PTSA_RATE_0_PTSA_RATE_PVA0XB3_WOFFSET                        0x0
#define MC_PVA0XB3_PTSA_RATE_0_PTSA_RATE_PVA0XB3_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_PTSA_RATE_0_PTSA_RATE_PVA0XB3_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_PVA0XB3_PTSA_RATE_0_PTSA_RATE_PVA0XB3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_PTSA_RATE_0_PTSA_RATE_PVA0XB3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_PTSA_RATE_0_PTSA_RATE_PVA0XB3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_PTSA_RATE_0_PTSA_RATE_PVA0XB3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PVA0XA_PTSA_RATE_0
#define MC_PVA0XA_PTSA_RATE_0                   _MK_ADDR_CONST(0x3100)
#define MC_PVA0XA_PTSA_RATE_0_SECURE                    0x0
#define MC_PVA0XA_PTSA_RATE_0_DUAL                      0x0
#define MC_PVA0XA_PTSA_RATE_0_SCR                       0
#define MC_PVA0XA_PTSA_RATE_0_WORD_COUNT                        0x1
#define MC_PVA0XA_PTSA_RATE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_PVA0XA_PTSA_RATE_0_RESET_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PVA0XA_PTSA_RATE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA0XA_PTSA_RATE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA0XA_PTSA_RATE_0_READ_MASK                         _MK_MASK_CONST(0xfff)
#define MC_PVA0XA_PTSA_RATE_0_WRITE_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PVA0XA_PTSA_RATE_0_PTSA_RATE_PVA0XA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA0XA_PTSA_RATE_0_PTSA_RATE_PVA0XA_FIELD                    _MK_FIELD_CONST(0xfff, MC_PVA0XA_PTSA_RATE_0_PTSA_RATE_PVA0XA_SHIFT)
#define MC_PVA0XA_PTSA_RATE_0_PTSA_RATE_PVA0XA_RANGE                    11:0
#define MC_PVA0XA_PTSA_RATE_0_PTSA_RATE_PVA0XA_WOFFSET                  0x0
#define MC_PVA0XA_PTSA_RATE_0_PTSA_RATE_PVA0XA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PVA0XA_PTSA_RATE_0_PTSA_RATE_PVA0XA_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_PVA0XA_PTSA_RATE_0_PTSA_RATE_PVA0XA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA0XA_PTSA_RATE_0_PTSA_RATE_PVA0XA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XA_PTSA_RATE_0_PTSA_RATE_PVA0XA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA0XA_PTSA_RATE_0_PTSA_RATE_PVA0XA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_NVD5_PTSA_MIN_0
#define MC_NVD5_PTSA_MIN_0                      _MK_ADDR_CONST(0x4b28)
#define MC_NVD5_PTSA_MIN_0_SECURE                       0x0
#define MC_NVD5_PTSA_MIN_0_DUAL                         0x0
#define MC_NVD5_PTSA_MIN_0_SCR                  0
#define MC_NVD5_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_NVD5_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_NVD5_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD5_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_NVD5_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_NVD5_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_NVD5_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD5_PTSA_MIN_0_PTSA_MIN_NVD5_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_NVD5_PTSA_MIN_0_PTSA_MIN_NVD5_FIELD                  _MK_FIELD_CONST(0x7ff, MC_NVD5_PTSA_MIN_0_PTSA_MIN_NVD5_SHIFT)
#define MC_NVD5_PTSA_MIN_0_PTSA_MIN_NVD5_RANGE                  10:0
#define MC_NVD5_PTSA_MIN_0_PTSA_MIN_NVD5_WOFFSET                        0x0
#define MC_NVD5_PTSA_MIN_0_PTSA_MIN_NVD5_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_NVD5_PTSA_MIN_0_PTSA_MIN_NVD5_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD5_PTSA_MIN_0_PTSA_MIN_NVD5_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_NVD5_PTSA_MIN_0_PTSA_MIN_NVD5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_NVD5_PTSA_MIN_0_PTSA_MIN_NVD5_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_NVD5_PTSA_MIN_0_PTSA_MIN_NVD5_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_VE_PTSA_RATE_0
#define MC_VE_PTSA_RATE_0                       _MK_ADDR_CONST(0x434)
#define MC_VE_PTSA_RATE_0_SECURE                        0x0
#define MC_VE_PTSA_RATE_0_DUAL                  0x0
#define MC_VE_PTSA_RATE_0_SCR                   0
#define MC_VE_PTSA_RATE_0_WORD_COUNT                    0x1
#define MC_VE_PTSA_RATE_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_VE_PTSA_RATE_0_RESET_MASK                    _MK_MASK_CONST(0xfff)
#define MC_VE_PTSA_RATE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_VE_PTSA_RATE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_VE_PTSA_RATE_0_READ_MASK                     _MK_MASK_CONST(0xfff)
#define MC_VE_PTSA_RATE_0_WRITE_MASK                    _MK_MASK_CONST(0xfff)
#define MC_VE_PTSA_RATE_0_PTSA_RATE_VE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_VE_PTSA_RATE_0_PTSA_RATE_VE_FIELD                    _MK_FIELD_CONST(0xfff, MC_VE_PTSA_RATE_0_PTSA_RATE_VE_SHIFT)
#define MC_VE_PTSA_RATE_0_PTSA_RATE_VE_RANGE                    11:0
#define MC_VE_PTSA_RATE_0_PTSA_RATE_VE_WOFFSET                  0x0
#define MC_VE_PTSA_RATE_0_PTSA_RATE_VE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VE_PTSA_RATE_0_PTSA_RATE_VE_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_VE_PTSA_RATE_0_PTSA_RATE_VE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_VE_PTSA_RATE_0_PTSA_RATE_VE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_VE_PTSA_RATE_0_PTSA_RATE_VE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_VE_PTSA_RATE_0_PTSA_RATE_VE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_DLA1XA2_PTSA_RATE_0
#define MC_DLA1XA2_PTSA_RATE_0                  _MK_ADDR_CONST(0x393c)
#define MC_DLA1XA2_PTSA_RATE_0_SECURE                   0x0
#define MC_DLA1XA2_PTSA_RATE_0_DUAL                     0x0
#define MC_DLA1XA2_PTSA_RATE_0_SCR                      0
#define MC_DLA1XA2_PTSA_RATE_0_WORD_COUNT                       0x1
#define MC_DLA1XA2_PTSA_RATE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_PTSA_RATE_0_RESET_MASK                       _MK_MASK_CONST(0xfff)
#define MC_DLA1XA2_PTSA_RATE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_PTSA_RATE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_PTSA_RATE_0_READ_MASK                        _MK_MASK_CONST(0xfff)
#define MC_DLA1XA2_PTSA_RATE_0_WRITE_MASK                       _MK_MASK_CONST(0xfff)
#define MC_DLA1XA2_PTSA_RATE_0_PTSA_RATE_DLA1XA2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_DLA1XA2_PTSA_RATE_0_PTSA_RATE_DLA1XA2_FIELD                  _MK_FIELD_CONST(0xfff, MC_DLA1XA2_PTSA_RATE_0_PTSA_RATE_DLA1XA2_SHIFT)
#define MC_DLA1XA2_PTSA_RATE_0_PTSA_RATE_DLA1XA2_RANGE                  11:0
#define MC_DLA1XA2_PTSA_RATE_0_PTSA_RATE_DLA1XA2_WOFFSET                        0x0
#define MC_DLA1XA2_PTSA_RATE_0_PTSA_RATE_DLA1XA2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_PTSA_RATE_0_PTSA_RATE_DLA1XA2_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_DLA1XA2_PTSA_RATE_0_PTSA_RATE_DLA1XA2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_PTSA_RATE_0_PTSA_RATE_DLA1XA2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_PTSA_RATE_0_PTSA_RATE_DLA1XA2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_PTSA_RATE_0_PTSA_RATE_DLA1XA2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_AONPC_PTSA_RATE_0
#define MC_AONPC_PTSA_RATE_0                    _MK_ADDR_CONST(0x774)
#define MC_AONPC_PTSA_RATE_0_SECURE                     0x0
#define MC_AONPC_PTSA_RATE_0_DUAL                       0x0
#define MC_AONPC_PTSA_RATE_0_SCR                        0
#define MC_AONPC_PTSA_RATE_0_WORD_COUNT                         0x1
#define MC_AONPC_PTSA_RATE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_AONPC_PTSA_RATE_0_RESET_MASK                         _MK_MASK_CONST(0xfff)
#define MC_AONPC_PTSA_RATE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_AONPC_PTSA_RATE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_AONPC_PTSA_RATE_0_READ_MASK                  _MK_MASK_CONST(0xfff)
#define MC_AONPC_PTSA_RATE_0_WRITE_MASK                         _MK_MASK_CONST(0xfff)
#define MC_AONPC_PTSA_RATE_0_PTSA_RATE_AONPC_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_AONPC_PTSA_RATE_0_PTSA_RATE_AONPC_FIELD                      _MK_FIELD_CONST(0xfff, MC_AONPC_PTSA_RATE_0_PTSA_RATE_AONPC_SHIFT)
#define MC_AONPC_PTSA_RATE_0_PTSA_RATE_AONPC_RANGE                      11:0
#define MC_AONPC_PTSA_RATE_0_PTSA_RATE_AONPC_WOFFSET                    0x0
#define MC_AONPC_PTSA_RATE_0_PTSA_RATE_AONPC_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_AONPC_PTSA_RATE_0_PTSA_RATE_AONPC_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_AONPC_PTSA_RATE_0_PTSA_RATE_AONPC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_AONPC_PTSA_RATE_0_PTSA_RATE_AONPC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_AONPC_PTSA_RATE_0_PTSA_RATE_AONPC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_AONPC_PTSA_RATE_0_PTSA_RATE_AONPC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_DLA0FALPC_PTSA_MIN_0
#define MC_DLA0FALPC_PTSA_MIN_0                 _MK_ADDR_CONST(0x3170)
#define MC_DLA0FALPC_PTSA_MIN_0_SECURE                  0x0
#define MC_DLA0FALPC_PTSA_MIN_0_DUAL                    0x0
#define MC_DLA0FALPC_PTSA_MIN_0_SCR                     0
#define MC_DLA0FALPC_PTSA_MIN_0_WORD_COUNT                      0x1
#define MC_DLA0FALPC_PTSA_MIN_0_RESET_VAL                       _MK_MASK_CONST(0x7ff)
#define MC_DLA0FALPC_PTSA_MIN_0_RESET_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_DLA0FALPC_PTSA_MIN_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_PTSA_MIN_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_PTSA_MIN_0_READ_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_DLA0FALPC_PTSA_MIN_0_WRITE_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_DLA0FALPC_PTSA_MIN_0_PTSA_MIN_DLA0FALPC_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_DLA0FALPC_PTSA_MIN_0_PTSA_MIN_DLA0FALPC_FIELD                        _MK_FIELD_CONST(0x7ff, MC_DLA0FALPC_PTSA_MIN_0_PTSA_MIN_DLA0FALPC_SHIFT)
#define MC_DLA0FALPC_PTSA_MIN_0_PTSA_MIN_DLA0FALPC_RANGE                        10:0
#define MC_DLA0FALPC_PTSA_MIN_0_PTSA_MIN_DLA0FALPC_WOFFSET                      0x0
#define MC_DLA0FALPC_PTSA_MIN_0_PTSA_MIN_DLA0FALPC_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_DLA0FALPC_PTSA_MIN_0_PTSA_MIN_DLA0FALPC_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_DLA0FALPC_PTSA_MIN_0_PTSA_MIN_DLA0FALPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_PTSA_MIN_0_PTSA_MIN_DLA0FALPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_PTSA_MIN_0_PTSA_MIN_DLA0FALPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_PTSA_MIN_0_PTSA_MIN_DLA0FALPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_MIU4_PTSA_RATE_0
#define MC_MIU4_PTSA_RATE_0                     _MK_ADDR_CONST(0x4b3c)
#define MC_MIU4_PTSA_RATE_0_SECURE                      0x0
#define MC_MIU4_PTSA_RATE_0_DUAL                        0x0
#define MC_MIU4_PTSA_RATE_0_SCR                         0
#define MC_MIU4_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_MIU4_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MIU4_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MIU4_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MIU4_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MIU4_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_MIU4_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MIU4_PTSA_RATE_0_PTSA_RATE_MIU4_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MIU4_PTSA_RATE_0_PTSA_RATE_MIU4_FIELD                        _MK_FIELD_CONST(0xfff, MC_MIU4_PTSA_RATE_0_PTSA_RATE_MIU4_SHIFT)
#define MC_MIU4_PTSA_RATE_0_PTSA_RATE_MIU4_RANGE                        11:0
#define MC_MIU4_PTSA_RATE_0_PTSA_RATE_MIU4_WOFFSET                      0x0
#define MC_MIU4_PTSA_RATE_0_PTSA_RATE_MIU4_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MIU4_PTSA_RATE_0_PTSA_RATE_MIU4_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_MIU4_PTSA_RATE_0_PTSA_RATE_MIU4_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MIU4_PTSA_RATE_0_PTSA_RATE_MIU4_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU4_PTSA_RATE_0_PTSA_RATE_MIU4_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MIU4_PTSA_RATE_0_PTSA_RATE_MIU4_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_MIU4_PTSA_MAX_0
#define MC_MIU4_PTSA_MAX_0                      _MK_ADDR_CONST(0x4b44)
#define MC_MIU4_PTSA_MAX_0_SECURE                       0x0
#define MC_MIU4_PTSA_MAX_0_DUAL                         0x0
#define MC_MIU4_PTSA_MAX_0_SCR                  0
#define MC_MIU4_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_MIU4_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MIU4_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU4_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MIU4_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU4_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MIU4_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU4_PTSA_MAX_0_PTSA_MAX_MIU4_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MIU4_PTSA_MAX_0_PTSA_MAX_MIU4_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MIU4_PTSA_MAX_0_PTSA_MAX_MIU4_SHIFT)
#define MC_MIU4_PTSA_MAX_0_PTSA_MAX_MIU4_RANGE                  10:0
#define MC_MIU4_PTSA_MAX_0_PTSA_MAX_MIU4_WOFFSET                        0x0
#define MC_MIU4_PTSA_MAX_0_PTSA_MAX_MIU4_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MIU4_PTSA_MAX_0_PTSA_MAX_MIU4_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU4_PTSA_MAX_0_PTSA_MAX_MIU4_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU4_PTSA_MAX_0_PTSA_MAX_MIU4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU4_PTSA_MAX_0_PTSA_MAX_MIU4_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU4_PTSA_MAX_0_PTSA_MAX_MIU4_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_SAX_PTSA_MIN_0
#define MC_SAX_PTSA_MIN_0                       _MK_ADDR_CONST(0x4bc)
#define MC_SAX_PTSA_MIN_0_SECURE                        0x0
#define MC_SAX_PTSA_MIN_0_DUAL                  0x0
#define MC_SAX_PTSA_MIN_0_SCR                   0
#define MC_SAX_PTSA_MIN_0_WORD_COUNT                    0x1
#define MC_SAX_PTSA_MIN_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_SAX_PTSA_MIN_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_SAX_PTSA_MIN_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_SAX_PTSA_MIN_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SAX_PTSA_MIN_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_SAX_PTSA_MIN_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_SAX_PTSA_MIN_0_PTSA_MIN_SAX_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SAX_PTSA_MIN_0_PTSA_MIN_SAX_FIELD                    _MK_FIELD_CONST(0x7ff, MC_SAX_PTSA_MIN_0_PTSA_MIN_SAX_SHIFT)
#define MC_SAX_PTSA_MIN_0_PTSA_MIN_SAX_RANGE                    10:0
#define MC_SAX_PTSA_MIN_0_PTSA_MIN_SAX_WOFFSET                  0x0
#define MC_SAX_PTSA_MIN_0_PTSA_MIN_SAX_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_SAX_PTSA_MIN_0_PTSA_MIN_SAX_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_SAX_PTSA_MIN_0_PTSA_MIN_SAX_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SAX_PTSA_MIN_0_PTSA_MIN_SAX_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SAX_PTSA_MIN_0_PTSA_MIN_SAX_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SAX_PTSA_MIN_0_PTSA_MIN_SAX_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PVA0XB2_PTSA_MAX_0
#define MC_PVA0XB2_PTSA_MAX_0                   _MK_ADDR_CONST(0x395c)
#define MC_PVA0XB2_PTSA_MAX_0_SECURE                    0x0
#define MC_PVA0XB2_PTSA_MAX_0_DUAL                      0x0
#define MC_PVA0XB2_PTSA_MAX_0_SCR                       0
#define MC_PVA0XB2_PTSA_MAX_0_WORD_COUNT                        0x1
#define MC_PVA0XB2_PTSA_MAX_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB2_PTSA_MAX_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB2_PTSA_MAX_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_PTSA_MAX_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_PTSA_MAX_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB2_PTSA_MAX_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB2_PTSA_MAX_0_PTSA_MAX_PVA0XB2_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA0XB2_PTSA_MAX_0_PTSA_MAX_PVA0XB2_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PVA0XB2_PTSA_MAX_0_PTSA_MAX_PVA0XB2_SHIFT)
#define MC_PVA0XB2_PTSA_MAX_0_PTSA_MAX_PVA0XB2_RANGE                    10:0
#define MC_PVA0XB2_PTSA_MAX_0_PTSA_MAX_PVA0XB2_WOFFSET                  0x0
#define MC_PVA0XB2_PTSA_MAX_0_PTSA_MAX_PVA0XB2_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB2_PTSA_MAX_0_PTSA_MAX_PVA0XB2_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB2_PTSA_MAX_0_PTSA_MAX_PVA0XB2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_PTSA_MAX_0_PTSA_MAX_PVA0XB2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_PTSA_MAX_0_PTSA_MAX_PVA0XB2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_PTSA_MAX_0_PTSA_MAX_PVA0XB2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PVA0XA3_PTSA_MIN_0
#define MC_PVA0XA3_PTSA_MIN_0                   _MK_ADDR_CONST(0x354c)
#define MC_PVA0XA3_PTSA_MIN_0_SECURE                    0x0
#define MC_PVA0XA3_PTSA_MIN_0_DUAL                      0x0
#define MC_PVA0XA3_PTSA_MIN_0_SCR                       0
#define MC_PVA0XA3_PTSA_MIN_0_WORD_COUNT                        0x1
#define MC_PVA0XA3_PTSA_MIN_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA3_PTSA_MIN_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA3_PTSA_MIN_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_PTSA_MIN_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_PTSA_MIN_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA3_PTSA_MIN_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA3_PTSA_MIN_0_PTSA_MIN_PVA0XA3_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA0XA3_PTSA_MIN_0_PTSA_MIN_PVA0XA3_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PVA0XA3_PTSA_MIN_0_PTSA_MIN_PVA0XA3_SHIFT)
#define MC_PVA0XA3_PTSA_MIN_0_PTSA_MIN_PVA0XA3_RANGE                    10:0
#define MC_PVA0XA3_PTSA_MIN_0_PTSA_MIN_PVA0XA3_WOFFSET                  0x0
#define MC_PVA0XA3_PTSA_MIN_0_PTSA_MIN_PVA0XA3_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA3_PTSA_MIN_0_PTSA_MIN_PVA0XA3_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA3_PTSA_MIN_0_PTSA_MIN_PVA0XA3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_PTSA_MIN_0_PTSA_MIN_PVA0XA3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_PTSA_MIN_0_PTSA_MIN_PVA0XA3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_PTSA_MIN_0_PTSA_MIN_PVA0XA3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_ISP_PTSA_MIN_0
#define MC_ISP_PTSA_MIN_0                       _MK_ADDR_CONST(0x4a4)
#define MC_ISP_PTSA_MIN_0_SECURE                        0x0
#define MC_ISP_PTSA_MIN_0_DUAL                  0x0
#define MC_ISP_PTSA_MIN_0_SCR                   0
#define MC_ISP_PTSA_MIN_0_WORD_COUNT                    0x1
#define MC_ISP_PTSA_MIN_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_ISP_PTSA_MIN_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_ISP_PTSA_MIN_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_ISP_PTSA_MIN_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ISP_PTSA_MIN_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_ISP_PTSA_MIN_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_ISP_PTSA_MIN_0_PTSA_MIN_ISP_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_ISP_PTSA_MIN_0_PTSA_MIN_ISP_FIELD                    _MK_FIELD_CONST(0x7ff, MC_ISP_PTSA_MIN_0_PTSA_MIN_ISP_SHIFT)
#define MC_ISP_PTSA_MIN_0_PTSA_MIN_ISP_RANGE                    10:0
#define MC_ISP_PTSA_MIN_0_PTSA_MIN_ISP_WOFFSET                  0x0
#define MC_ISP_PTSA_MIN_0_PTSA_MIN_ISP_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_ISP_PTSA_MIN_0_PTSA_MIN_ISP_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_ISP_PTSA_MIN_0_PTSA_MIN_ISP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ISP_PTSA_MIN_0_PTSA_MIN_ISP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ISP_PTSA_MIN_0_PTSA_MIN_ISP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ISP_PTSA_MIN_0_PTSA_MIN_ISP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_HOST_PTSA_MAX_0
#define MC_HOST_PTSA_MAX_0                      _MK_ADDR_CONST(0x520)
#define MC_HOST_PTSA_MAX_0_SECURE                       0x0
#define MC_HOST_PTSA_MAX_0_DUAL                         0x0
#define MC_HOST_PTSA_MAX_0_SCR                  0
#define MC_HOST_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_HOST_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_HOST_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_HOST_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_HOST_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HOST_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_HOST_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_HOST_PTSA_MAX_0_PTSA_MAX_HOST_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_HOST_PTSA_MAX_0_PTSA_MAX_HOST_FIELD                  _MK_FIELD_CONST(0x7ff, MC_HOST_PTSA_MAX_0_PTSA_MAX_HOST_SHIFT)
#define MC_HOST_PTSA_MAX_0_PTSA_MAX_HOST_RANGE                  10:0
#define MC_HOST_PTSA_MAX_0_PTSA_MAX_HOST_WOFFSET                        0x0
#define MC_HOST_PTSA_MAX_0_PTSA_MAX_HOST_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_HOST_PTSA_MAX_0_PTSA_MAX_HOST_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_HOST_PTSA_MAX_0_PTSA_MAX_HOST_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HOST_PTSA_MAX_0_PTSA_MAX_HOST_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HOST_PTSA_MAX_0_PTSA_MAX_HOST_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HOST_PTSA_MAX_0_PTSA_MAX_HOST_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_BPMPPC_PTSA_MIN_0
#define MC_BPMPPC_PTSA_MIN_0                    _MK_ADDR_CONST(0x760)
#define MC_BPMPPC_PTSA_MIN_0_SECURE                     0x0
#define MC_BPMPPC_PTSA_MIN_0_DUAL                       0x0
#define MC_BPMPPC_PTSA_MIN_0_SCR                        0
#define MC_BPMPPC_PTSA_MIN_0_WORD_COUNT                         0x1
#define MC_BPMPPC_PTSA_MIN_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_BPMPPC_PTSA_MIN_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_BPMPPC_PTSA_MIN_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_BPMPPC_PTSA_MIN_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_BPMPPC_PTSA_MIN_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_BPMPPC_PTSA_MIN_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_BPMPPC_PTSA_MIN_0_PTSA_MIN_BPMPPC_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_BPMPPC_PTSA_MIN_0_PTSA_MIN_BPMPPC_FIELD                      _MK_FIELD_CONST(0x7ff, MC_BPMPPC_PTSA_MIN_0_PTSA_MIN_BPMPPC_SHIFT)
#define MC_BPMPPC_PTSA_MIN_0_PTSA_MIN_BPMPPC_RANGE                      10:0
#define MC_BPMPPC_PTSA_MIN_0_PTSA_MIN_BPMPPC_WOFFSET                    0x0
#define MC_BPMPPC_PTSA_MIN_0_PTSA_MIN_BPMPPC_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_BPMPPC_PTSA_MIN_0_PTSA_MIN_BPMPPC_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_BPMPPC_PTSA_MIN_0_PTSA_MIN_BPMPPC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_BPMPPC_PTSA_MIN_0_PTSA_MIN_BPMPPC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_BPMPPC_PTSA_MIN_0_PTSA_MIN_BPMPPC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_BPMPPC_PTSA_MIN_0_PTSA_MIN_BPMPPC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_PCIE1X_PTSA_RATE_0
#define MC_PCIE1X_PTSA_RATE_0                   _MK_ADDR_CONST(0x3318)
#define MC_PCIE1X_PTSA_RATE_0_SECURE                    0x0
#define MC_PCIE1X_PTSA_RATE_0_DUAL                      0x0
#define MC_PCIE1X_PTSA_RATE_0_SCR                       0
#define MC_PCIE1X_PTSA_RATE_0_WORD_COUNT                        0x1
#define MC_PCIE1X_PTSA_RATE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_PCIE1X_PTSA_RATE_0_RESET_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PCIE1X_PTSA_RATE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PCIE1X_PTSA_RATE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCIE1X_PTSA_RATE_0_READ_MASK                         _MK_MASK_CONST(0xfff)
#define MC_PCIE1X_PTSA_RATE_0_WRITE_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PCIE1X_PTSA_RATE_0_PTSA_RATE_PCIE1X_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PCIE1X_PTSA_RATE_0_PTSA_RATE_PCIE1X_FIELD                    _MK_FIELD_CONST(0xfff, MC_PCIE1X_PTSA_RATE_0_PTSA_RATE_PCIE1X_SHIFT)
#define MC_PCIE1X_PTSA_RATE_0_PTSA_RATE_PCIE1X_RANGE                    11:0
#define MC_PCIE1X_PTSA_RATE_0_PTSA_RATE_PCIE1X_WOFFSET                  0x0
#define MC_PCIE1X_PTSA_RATE_0_PTSA_RATE_PCIE1X_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCIE1X_PTSA_RATE_0_PTSA_RATE_PCIE1X_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_PCIE1X_PTSA_RATE_0_PTSA_RATE_PCIE1X_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE1X_PTSA_RATE_0_PTSA_RATE_PCIE1X_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE1X_PTSA_RATE_0_PTSA_RATE_PCIE1X_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE1X_PTSA_RATE_0_PTSA_RATE_PCIE1X_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_NVD6_PTSA_RATE_0
#define MC_NVD6_PTSA_RATE_0                     _MK_ADDR_CONST(0x4b30)
#define MC_NVD6_PTSA_RATE_0_SECURE                      0x0
#define MC_NVD6_PTSA_RATE_0_DUAL                        0x0
#define MC_NVD6_PTSA_RATE_0_SCR                         0
#define MC_NVD6_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_NVD6_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_NVD6_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_NVD6_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_NVD6_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_NVD6_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_NVD6_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_NVD6_PTSA_RATE_0_PTSA_RATE_NVD6_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_NVD6_PTSA_RATE_0_PTSA_RATE_NVD6_FIELD                        _MK_FIELD_CONST(0xfff, MC_NVD6_PTSA_RATE_0_PTSA_RATE_NVD6_SHIFT)
#define MC_NVD6_PTSA_RATE_0_PTSA_RATE_NVD6_RANGE                        11:0
#define MC_NVD6_PTSA_RATE_0_PTSA_RATE_NVD6_WOFFSET                      0x0
#define MC_NVD6_PTSA_RATE_0_PTSA_RATE_NVD6_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_NVD6_PTSA_RATE_0_PTSA_RATE_NVD6_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_NVD6_PTSA_RATE_0_PTSA_RATE_NVD6_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_NVD6_PTSA_RATE_0_PTSA_RATE_NVD6_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_NVD6_PTSA_RATE_0_PTSA_RATE_NVD6_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_NVD6_PTSA_RATE_0_PTSA_RATE_NVD6_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_DLA0XA2_PTSA_MIN_0
#define MC_DLA0XA2_PTSA_MIN_0                   _MK_ADDR_CONST(0x3934)
#define MC_DLA0XA2_PTSA_MIN_0_SECURE                    0x0
#define MC_DLA0XA2_PTSA_MIN_0_DUAL                      0x0
#define MC_DLA0XA2_PTSA_MIN_0_SCR                       0
#define MC_DLA0XA2_PTSA_MIN_0_WORD_COUNT                        0x1
#define MC_DLA0XA2_PTSA_MIN_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA2_PTSA_MIN_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA2_PTSA_MIN_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_PTSA_MIN_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_PTSA_MIN_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA2_PTSA_MIN_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA2_PTSA_MIN_0_PTSA_MIN_DLA0XA2_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_DLA0XA2_PTSA_MIN_0_PTSA_MIN_DLA0XA2_FIELD                    _MK_FIELD_CONST(0x7ff, MC_DLA0XA2_PTSA_MIN_0_PTSA_MIN_DLA0XA2_SHIFT)
#define MC_DLA0XA2_PTSA_MIN_0_PTSA_MIN_DLA0XA2_RANGE                    10:0
#define MC_DLA0XA2_PTSA_MIN_0_PTSA_MIN_DLA0XA2_WOFFSET                  0x0
#define MC_DLA0XA2_PTSA_MIN_0_PTSA_MIN_DLA0XA2_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA2_PTSA_MIN_0_PTSA_MIN_DLA0XA2_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA2_PTSA_MIN_0_PTSA_MIN_DLA0XA2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_PTSA_MIN_0_PTSA_MIN_DLA0XA2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_PTSA_MIN_0_PTSA_MIN_DLA0XA2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_PTSA_MIN_0_PTSA_MIN_DLA0XA2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_ISP2PC_PTSA_RATE_0
#define MC_ISP2PC_PTSA_RATE_0                   _MK_ADDR_CONST(0x4b00)
#define MC_ISP2PC_PTSA_RATE_0_SECURE                    0x0
#define MC_ISP2PC_PTSA_RATE_0_DUAL                      0x0
#define MC_ISP2PC_PTSA_RATE_0_SCR                       0
#define MC_ISP2PC_PTSA_RATE_0_WORD_COUNT                        0x1
#define MC_ISP2PC_PTSA_RATE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_ISP2PC_PTSA_RATE_0_RESET_MASK                        _MK_MASK_CONST(0xfff)
#define MC_ISP2PC_PTSA_RATE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_ISP2PC_PTSA_RATE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ISP2PC_PTSA_RATE_0_READ_MASK                         _MK_MASK_CONST(0xfff)
#define MC_ISP2PC_PTSA_RATE_0_WRITE_MASK                        _MK_MASK_CONST(0xfff)
#define MC_ISP2PC_PTSA_RATE_0_PTSA_RATE_ISP2PC_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_ISP2PC_PTSA_RATE_0_PTSA_RATE_ISP2PC_FIELD                    _MK_FIELD_CONST(0xfff, MC_ISP2PC_PTSA_RATE_0_PTSA_RATE_ISP2PC_SHIFT)
#define MC_ISP2PC_PTSA_RATE_0_PTSA_RATE_ISP2PC_RANGE                    11:0
#define MC_ISP2PC_PTSA_RATE_0_PTSA_RATE_ISP2PC_WOFFSET                  0x0
#define MC_ISP2PC_PTSA_RATE_0_PTSA_RATE_ISP2PC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ISP2PC_PTSA_RATE_0_PTSA_RATE_ISP2PC_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_ISP2PC_PTSA_RATE_0_PTSA_RATE_ISP2PC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ISP2PC_PTSA_RATE_0_PTSA_RATE_ISP2PC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ISP2PC_PTSA_RATE_0_PTSA_RATE_ISP2PC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ISP2PC_PTSA_RATE_0_PTSA_RATE_ISP2PC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PVA0XB3_PTSA_MIN_0
#define MC_PVA0XB3_PTSA_MIN_0                   _MK_ADDR_CONST(0x3564)
#define MC_PVA0XB3_PTSA_MIN_0_SECURE                    0x0
#define MC_PVA0XB3_PTSA_MIN_0_DUAL                      0x0
#define MC_PVA0XB3_PTSA_MIN_0_SCR                       0
#define MC_PVA0XB3_PTSA_MIN_0_WORD_COUNT                        0x1
#define MC_PVA0XB3_PTSA_MIN_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB3_PTSA_MIN_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB3_PTSA_MIN_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_PTSA_MIN_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_PTSA_MIN_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB3_PTSA_MIN_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB3_PTSA_MIN_0_PTSA_MIN_PVA0XB3_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA0XB3_PTSA_MIN_0_PTSA_MIN_PVA0XB3_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PVA0XB3_PTSA_MIN_0_PTSA_MIN_PVA0XB3_SHIFT)
#define MC_PVA0XB3_PTSA_MIN_0_PTSA_MIN_PVA0XB3_RANGE                    10:0
#define MC_PVA0XB3_PTSA_MIN_0_PTSA_MIN_PVA0XB3_WOFFSET                  0x0
#define MC_PVA0XB3_PTSA_MIN_0_PTSA_MIN_PVA0XB3_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB3_PTSA_MIN_0_PTSA_MIN_PVA0XB3_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB3_PTSA_MIN_0_PTSA_MIN_PVA0XB3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_PTSA_MIN_0_PTSA_MIN_PVA0XB3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_PTSA_MIN_0_PTSA_MIN_PVA0XB3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_PTSA_MIN_0_PTSA_MIN_PVA0XB3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MSE3_PTSA_MAX_0
#define MC_MSE3_PTSA_MAX_0                      _MK_ADDR_CONST(0x3138)
#define MC_MSE3_PTSA_MAX_0_SECURE                       0x0
#define MC_MSE3_PTSA_MAX_0_DUAL                         0x0
#define MC_MSE3_PTSA_MAX_0_SCR                  0
#define MC_MSE3_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_MSE3_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MSE3_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSE3_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MSE3_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSE3_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MSE3_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSE3_PTSA_MAX_0_PTSA_MAX_MSE3_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MSE3_PTSA_MAX_0_PTSA_MAX_MSE3_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MSE3_PTSA_MAX_0_PTSA_MAX_MSE3_SHIFT)
#define MC_MSE3_PTSA_MAX_0_PTSA_MAX_MSE3_RANGE                  10:0
#define MC_MSE3_PTSA_MAX_0_PTSA_MAX_MSE3_WOFFSET                        0x0
#define MC_MSE3_PTSA_MAX_0_PTSA_MAX_MSE3_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MSE3_PTSA_MAX_0_PTSA_MAX_MSE3_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSE3_PTSA_MAX_0_PTSA_MAX_MSE3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSE3_PTSA_MAX_0_PTSA_MAX_MSE3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSE3_PTSA_MAX_0_PTSA_MAX_MSE3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSE3_PTSA_MAX_0_PTSA_MAX_MSE3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_SMMU_SMMU_PTSA_RATE_0
#define MC_SMMU_SMMU_PTSA_RATE_0                        _MK_ADDR_CONST(0x458)
#define MC_SMMU_SMMU_PTSA_RATE_0_SECURE                         0x0
#define MC_SMMU_SMMU_PTSA_RATE_0_DUAL                   0x0
#define MC_SMMU_SMMU_PTSA_RATE_0_SCR                    0
#define MC_SMMU_SMMU_PTSA_RATE_0_WORD_COUNT                     0x1
#define MC_SMMU_SMMU_PTSA_RATE_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_SMMU_SMMU_PTSA_RATE_0_RESET_MASK                     _MK_MASK_CONST(0xfff)
#define MC_SMMU_SMMU_PTSA_RATE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_SMMU_PTSA_RATE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_SMMU_PTSA_RATE_0_READ_MASK                      _MK_MASK_CONST(0xfff)
#define MC_SMMU_SMMU_PTSA_RATE_0_WRITE_MASK                     _MK_MASK_CONST(0xfff)
#define MC_SMMU_SMMU_PTSA_RATE_0_PTSA_RATE_SMMU_SMMU_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SMMU_SMMU_PTSA_RATE_0_PTSA_RATE_SMMU_SMMU_FIELD                      _MK_FIELD_CONST(0xfff, MC_SMMU_SMMU_PTSA_RATE_0_PTSA_RATE_SMMU_SMMU_SHIFT)
#define MC_SMMU_SMMU_PTSA_RATE_0_PTSA_RATE_SMMU_SMMU_RANGE                      11:0
#define MC_SMMU_SMMU_PTSA_RATE_0_PTSA_RATE_SMMU_SMMU_WOFFSET                    0x0
#define MC_SMMU_SMMU_PTSA_RATE_0_PTSA_RATE_SMMU_SMMU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_SMMU_PTSA_RATE_0_PTSA_RATE_SMMU_SMMU_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_SMMU_SMMU_PTSA_RATE_0_PTSA_RATE_SMMU_SMMU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_SMMU_PTSA_RATE_0_PTSA_RATE_SMMU_SMMU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_SMMU_PTSA_RATE_0_PTSA_RATE_SMMU_SMMU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_SMMU_PTSA_RATE_0_PTSA_RATE_SMMU_SMMU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_NVD5_PTSA_RATE_0
#define MC_NVD5_PTSA_RATE_0                     _MK_ADDR_CONST(0x4b24)
#define MC_NVD5_PTSA_RATE_0_SECURE                      0x0
#define MC_NVD5_PTSA_RATE_0_DUAL                        0x0
#define MC_NVD5_PTSA_RATE_0_SCR                         0
#define MC_NVD5_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_NVD5_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_NVD5_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_NVD5_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_NVD5_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_NVD5_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_NVD5_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_NVD5_PTSA_RATE_0_PTSA_RATE_NVD5_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_NVD5_PTSA_RATE_0_PTSA_RATE_NVD5_FIELD                        _MK_FIELD_CONST(0xfff, MC_NVD5_PTSA_RATE_0_PTSA_RATE_NVD5_SHIFT)
#define MC_NVD5_PTSA_RATE_0_PTSA_RATE_NVD5_RANGE                        11:0
#define MC_NVD5_PTSA_RATE_0_PTSA_RATE_NVD5_WOFFSET                      0x0
#define MC_NVD5_PTSA_RATE_0_PTSA_RATE_NVD5_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_NVD5_PTSA_RATE_0_PTSA_RATE_NVD5_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_NVD5_PTSA_RATE_0_PTSA_RATE_NVD5_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_NVD5_PTSA_RATE_0_PTSA_RATE_NVD5_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_NVD5_PTSA_RATE_0_PTSA_RATE_NVD5_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_NVD5_PTSA_RATE_0_PTSA_RATE_NVD5_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_MSEB1_PTSA_MIN_0
#define MC_MSEB1_PTSA_MIN_0                     _MK_ADDR_CONST(0x3a64)
#define MC_MSEB1_PTSA_MIN_0_SECURE                      0x0
#define MC_MSEB1_PTSA_MIN_0_DUAL                        0x0
#define MC_MSEB1_PTSA_MIN_0_SCR                         0
#define MC_MSEB1_PTSA_MIN_0_WORD_COUNT                  0x1
#define MC_MSEB1_PTSA_MIN_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_MSEB1_PTSA_MIN_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_MSEB1_PTSA_MIN_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSEB1_PTSA_MIN_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSEB1_PTSA_MIN_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSEB1_PTSA_MIN_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_MSEB1_PTSA_MIN_0_PTSA_MIN_MSEB1_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MSEB1_PTSA_MIN_0_PTSA_MIN_MSEB1_FIELD                        _MK_FIELD_CONST(0x7ff, MC_MSEB1_PTSA_MIN_0_PTSA_MIN_MSEB1_SHIFT)
#define MC_MSEB1_PTSA_MIN_0_PTSA_MIN_MSEB1_RANGE                        10:0
#define MC_MSEB1_PTSA_MIN_0_PTSA_MIN_MSEB1_WOFFSET                      0x0
#define MC_MSEB1_PTSA_MIN_0_PTSA_MIN_MSEB1_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_MSEB1_PTSA_MIN_0_PTSA_MIN_MSEB1_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_MSEB1_PTSA_MIN_0_PTSA_MIN_MSEB1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSEB1_PTSA_MIN_0_PTSA_MIN_MSEB1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSEB1_PTSA_MIN_0_PTSA_MIN_MSEB1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSEB1_PTSA_MIN_0_PTSA_MIN_MSEB1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_PVA0XB2_PTSA_RATE_0
#define MC_PVA0XB2_PTSA_RATE_0                  _MK_ADDR_CONST(0x3954)
#define MC_PVA0XB2_PTSA_RATE_0_SECURE                   0x0
#define MC_PVA0XB2_PTSA_RATE_0_DUAL                     0x0
#define MC_PVA0XB2_PTSA_RATE_0_SCR                      0
#define MC_PVA0XB2_PTSA_RATE_0_WORD_COUNT                       0x1
#define MC_PVA0XB2_PTSA_RATE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_PTSA_RATE_0_RESET_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PVA0XB2_PTSA_RATE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_PTSA_RATE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_PTSA_RATE_0_READ_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PVA0XB2_PTSA_RATE_0_WRITE_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PVA0XB2_PTSA_RATE_0_PTSA_RATE_PVA0XB2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_PVA0XB2_PTSA_RATE_0_PTSA_RATE_PVA0XB2_FIELD                  _MK_FIELD_CONST(0xfff, MC_PVA0XB2_PTSA_RATE_0_PTSA_RATE_PVA0XB2_SHIFT)
#define MC_PVA0XB2_PTSA_RATE_0_PTSA_RATE_PVA0XB2_RANGE                  11:0
#define MC_PVA0XB2_PTSA_RATE_0_PTSA_RATE_PVA0XB2_WOFFSET                        0x0
#define MC_PVA0XB2_PTSA_RATE_0_PTSA_RATE_PVA0XB2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_PTSA_RATE_0_PTSA_RATE_PVA0XB2_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_PVA0XB2_PTSA_RATE_0_PTSA_RATE_PVA0XB2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_PTSA_RATE_0_PTSA_RATE_PVA0XB2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_PTSA_RATE_0_PTSA_RATE_PVA0XB2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PVA0XB2_PTSA_RATE_0_PTSA_RATE_PVA0XB2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_EQOSPC_PTSA_MAX_0
#define MC_EQOSPC_PTSA_MAX_0                    _MK_ADDR_CONST(0x758)
#define MC_EQOSPC_PTSA_MAX_0_SECURE                     0x0
#define MC_EQOSPC_PTSA_MAX_0_DUAL                       0x0
#define MC_EQOSPC_PTSA_MAX_0_SCR                        0
#define MC_EQOSPC_PTSA_MAX_0_WORD_COUNT                         0x1
#define MC_EQOSPC_PTSA_MAX_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_EQOSPC_PTSA_MAX_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_EQOSPC_PTSA_MAX_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_EQOSPC_PTSA_MAX_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EQOSPC_PTSA_MAX_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_EQOSPC_PTSA_MAX_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_EQOSPC_PTSA_MAX_0_PTSA_MAX_EQOSPC_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_EQOSPC_PTSA_MAX_0_PTSA_MAX_EQOSPC_FIELD                      _MK_FIELD_CONST(0x7ff, MC_EQOSPC_PTSA_MAX_0_PTSA_MAX_EQOSPC_SHIFT)
#define MC_EQOSPC_PTSA_MAX_0_PTSA_MAX_EQOSPC_RANGE                      10:0
#define MC_EQOSPC_PTSA_MAX_0_PTSA_MAX_EQOSPC_WOFFSET                    0x0
#define MC_EQOSPC_PTSA_MAX_0_PTSA_MAX_EQOSPC_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_EQOSPC_PTSA_MAX_0_PTSA_MAX_EQOSPC_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_EQOSPC_PTSA_MAX_0_PTSA_MAX_EQOSPC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EQOSPC_PTSA_MAX_0_PTSA_MAX_EQOSPC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_EQOSPC_PTSA_MAX_0_PTSA_MAX_EQOSPC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_EQOSPC_PTSA_MAX_0_PTSA_MAX_EQOSPC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_MSEB_PTSA_RATE_0
#define MC_MSEB_PTSA_RATE_0                     _MK_ADDR_CONST(0x3a54)
#define MC_MSEB_PTSA_RATE_0_SECURE                      0x0
#define MC_MSEB_PTSA_RATE_0_DUAL                        0x0
#define MC_MSEB_PTSA_RATE_0_SCR                         0
#define MC_MSEB_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_MSEB_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MSEB_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MSEB_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSEB_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSEB_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_MSEB_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MSEB_PTSA_RATE_0_PTSA_RATE_MSEB_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MSEB_PTSA_RATE_0_PTSA_RATE_MSEB_FIELD                        _MK_FIELD_CONST(0xfff, MC_MSEB_PTSA_RATE_0_PTSA_RATE_MSEB_SHIFT)
#define MC_MSEB_PTSA_RATE_0_PTSA_RATE_MSEB_RANGE                        11:0
#define MC_MSEB_PTSA_RATE_0_PTSA_RATE_MSEB_WOFFSET                      0x0
#define MC_MSEB_PTSA_RATE_0_PTSA_RATE_MSEB_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSEB_PTSA_RATE_0_PTSA_RATE_MSEB_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_MSEB_PTSA_RATE_0_PTSA_RATE_MSEB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSEB_PTSA_RATE_0_PTSA_RATE_MSEB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSEB_PTSA_RATE_0_PTSA_RATE_MSEB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSEB_PTSA_RATE_0_PTSA_RATE_MSEB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_USBX_PTSA_MIN_0
#define MC_USBX_PTSA_MIN_0                      _MK_ADDR_CONST(0x528)
#define MC_USBX_PTSA_MIN_0_SECURE                       0x0
#define MC_USBX_PTSA_MIN_0_DUAL                         0x0
#define MC_USBX_PTSA_MIN_0_SCR                  0
#define MC_USBX_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_USBX_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_USBX_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_USBX_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_USBX_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_USBX_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_USBX_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_USBX_PTSA_MIN_0_PTSA_MIN_USBX_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_USBX_PTSA_MIN_0_PTSA_MIN_USBX_FIELD                  _MK_FIELD_CONST(0x7ff, MC_USBX_PTSA_MIN_0_PTSA_MIN_USBX_SHIFT)
#define MC_USBX_PTSA_MIN_0_PTSA_MIN_USBX_RANGE                  10:0
#define MC_USBX_PTSA_MIN_0_PTSA_MIN_USBX_WOFFSET                        0x0
#define MC_USBX_PTSA_MIN_0_PTSA_MIN_USBX_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_USBX_PTSA_MIN_0_PTSA_MIN_USBX_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_USBX_PTSA_MIN_0_PTSA_MIN_USBX_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_USBX_PTSA_MIN_0_PTSA_MIN_USBX_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_USBX_PTSA_MIN_0_PTSA_MIN_USBX_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_USBX_PTSA_MIN_0_PTSA_MIN_USBX_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PCIE4X_PTSA_RATE_0
#define MC_PCIE4X_PTSA_RATE_0                   _MK_ADDR_CONST(0x333c)
#define MC_PCIE4X_PTSA_RATE_0_SECURE                    0x0
#define MC_PCIE4X_PTSA_RATE_0_DUAL                      0x0
#define MC_PCIE4X_PTSA_RATE_0_SCR                       0
#define MC_PCIE4X_PTSA_RATE_0_WORD_COUNT                        0x1
#define MC_PCIE4X_PTSA_RATE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_PCIE4X_PTSA_RATE_0_RESET_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PCIE4X_PTSA_RATE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PCIE4X_PTSA_RATE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCIE4X_PTSA_RATE_0_READ_MASK                         _MK_MASK_CONST(0xfff)
#define MC_PCIE4X_PTSA_RATE_0_WRITE_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PCIE4X_PTSA_RATE_0_PTSA_RATE_PCIE4X_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PCIE4X_PTSA_RATE_0_PTSA_RATE_PCIE4X_FIELD                    _MK_FIELD_CONST(0xfff, MC_PCIE4X_PTSA_RATE_0_PTSA_RATE_PCIE4X_SHIFT)
#define MC_PCIE4X_PTSA_RATE_0_PTSA_RATE_PCIE4X_RANGE                    11:0
#define MC_PCIE4X_PTSA_RATE_0_PTSA_RATE_PCIE4X_WOFFSET                  0x0
#define MC_PCIE4X_PTSA_RATE_0_PTSA_RATE_PCIE4X_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCIE4X_PTSA_RATE_0_PTSA_RATE_PCIE4X_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_PCIE4X_PTSA_RATE_0_PTSA_RATE_PCIE4X_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE4X_PTSA_RATE_0_PTSA_RATE_PCIE4X_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE4X_PTSA_RATE_0_PTSA_RATE_PCIE4X_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE4X_PTSA_RATE_0_PTSA_RATE_PCIE4X_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_USBD_PTSA_MIN_0
#define MC_USBD_PTSA_MIN_0                      _MK_ADDR_CONST(0x534)
#define MC_USBD_PTSA_MIN_0_SECURE                       0x0
#define MC_USBD_PTSA_MIN_0_DUAL                         0x0
#define MC_USBD_PTSA_MIN_0_SCR                  0
#define MC_USBD_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_USBD_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_USBD_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_USBD_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_USBD_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_USBD_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_USBD_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_USBD_PTSA_MIN_0_PTSA_MIN_USBD_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_USBD_PTSA_MIN_0_PTSA_MIN_USBD_FIELD                  _MK_FIELD_CONST(0x7ff, MC_USBD_PTSA_MIN_0_PTSA_MIN_USBD_SHIFT)
#define MC_USBD_PTSA_MIN_0_PTSA_MIN_USBD_RANGE                  10:0
#define MC_USBD_PTSA_MIN_0_PTSA_MIN_USBD_WOFFSET                        0x0
#define MC_USBD_PTSA_MIN_0_PTSA_MIN_USBD_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_USBD_PTSA_MIN_0_PTSA_MIN_USBD_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_USBD_PTSA_MIN_0_PTSA_MIN_USBD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_USBD_PTSA_MIN_0_PTSA_MIN_USBD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_USBD_PTSA_MIN_0_PTSA_MIN_USBD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_USBD_PTSA_MIN_0_PTSA_MIN_USBD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PCIE5X_PTSA_MIN_0
#define MC_PCIE5X_PTSA_MIN_0                    _MK_ADDR_CONST(0x334c)
#define MC_PCIE5X_PTSA_MIN_0_SECURE                     0x0
#define MC_PCIE5X_PTSA_MIN_0_DUAL                       0x0
#define MC_PCIE5X_PTSA_MIN_0_SCR                        0
#define MC_PCIE5X_PTSA_MIN_0_WORD_COUNT                         0x1
#define MC_PCIE5X_PTSA_MIN_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X_PTSA_MIN_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X_PTSA_MIN_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_PCIE5X_PTSA_MIN_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCIE5X_PTSA_MIN_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X_PTSA_MIN_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X_PTSA_MIN_0_PTSA_MIN_PCIE5X_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_PCIE5X_PTSA_MIN_0_PTSA_MIN_PCIE5X_FIELD                      _MK_FIELD_CONST(0x7ff, MC_PCIE5X_PTSA_MIN_0_PTSA_MIN_PCIE5X_SHIFT)
#define MC_PCIE5X_PTSA_MIN_0_PTSA_MIN_PCIE5X_RANGE                      10:0
#define MC_PCIE5X_PTSA_MIN_0_PTSA_MIN_PCIE5X_WOFFSET                    0x0
#define MC_PCIE5X_PTSA_MIN_0_PTSA_MIN_PCIE5X_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X_PTSA_MIN_0_PTSA_MIN_PCIE5X_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X_PTSA_MIN_0_PTSA_MIN_PCIE5X_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCIE5X_PTSA_MIN_0_PTSA_MIN_PCIE5X_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCIE5X_PTSA_MIN_0_PTSA_MIN_PCIE5X_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PCIE5X_PTSA_MIN_0_PTSA_MIN_PCIE5X_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_MIU3_PTSA_MAX_0
#define MC_MIU3_PTSA_MAX_0                      _MK_ADDR_CONST(0x3168)
#define MC_MIU3_PTSA_MAX_0_SECURE                       0x0
#define MC_MIU3_PTSA_MAX_0_DUAL                         0x0
#define MC_MIU3_PTSA_MAX_0_SCR                  0
#define MC_MIU3_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_MIU3_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MIU3_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU3_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MIU3_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU3_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MIU3_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU3_PTSA_MAX_0_PTSA_MAX_MIU3_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MIU3_PTSA_MAX_0_PTSA_MAX_MIU3_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MIU3_PTSA_MAX_0_PTSA_MAX_MIU3_SHIFT)
#define MC_MIU3_PTSA_MAX_0_PTSA_MAX_MIU3_RANGE                  10:0
#define MC_MIU3_PTSA_MAX_0_PTSA_MAX_MIU3_WOFFSET                        0x0
#define MC_MIU3_PTSA_MAX_0_PTSA_MAX_MIU3_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MIU3_PTSA_MAX_0_PTSA_MAX_MIU3_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU3_PTSA_MAX_0_PTSA_MAX_MIU3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU3_PTSA_MAX_0_PTSA_MAX_MIU3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU3_PTSA_MAX_0_PTSA_MAX_MIU3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU3_PTSA_MAX_0_PTSA_MAX_MIU3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_DLA1FALPC_PTSA_RATE_0
#define MC_DLA1FALPC_PTSA_RATE_0                        _MK_ADDR_CONST(0x3300)
#define MC_DLA1FALPC_PTSA_RATE_0_SECURE                         0x0
#define MC_DLA1FALPC_PTSA_RATE_0_DUAL                   0x0
#define MC_DLA1FALPC_PTSA_RATE_0_SCR                    0
#define MC_DLA1FALPC_PTSA_RATE_0_WORD_COUNT                     0x1
#define MC_DLA1FALPC_PTSA_RATE_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_PTSA_RATE_0_RESET_MASK                     _MK_MASK_CONST(0xfff)
#define MC_DLA1FALPC_PTSA_RATE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_PTSA_RATE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_PTSA_RATE_0_READ_MASK                      _MK_MASK_CONST(0xfff)
#define MC_DLA1FALPC_PTSA_RATE_0_WRITE_MASK                     _MK_MASK_CONST(0xfff)
#define MC_DLA1FALPC_PTSA_RATE_0_PTSA_RATE_DLA1FALPC_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_DLA1FALPC_PTSA_RATE_0_PTSA_RATE_DLA1FALPC_FIELD                      _MK_FIELD_CONST(0xfff, MC_DLA1FALPC_PTSA_RATE_0_PTSA_RATE_DLA1FALPC_SHIFT)
#define MC_DLA1FALPC_PTSA_RATE_0_PTSA_RATE_DLA1FALPC_RANGE                      11:0
#define MC_DLA1FALPC_PTSA_RATE_0_PTSA_RATE_DLA1FALPC_WOFFSET                    0x0
#define MC_DLA1FALPC_PTSA_RATE_0_PTSA_RATE_DLA1FALPC_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_PTSA_RATE_0_PTSA_RATE_DLA1FALPC_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_DLA1FALPC_PTSA_RATE_0_PTSA_RATE_DLA1FALPC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_PTSA_RATE_0_PTSA_RATE_DLA1FALPC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_PTSA_RATE_0_PTSA_RATE_DLA1FALPC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_DLA1FALPC_PTSA_RATE_0_PTSA_RATE_DLA1FALPC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_PVA1XB3_PTSA_RATE_0
#define MC_PVA1XB3_PTSA_RATE_0                  _MK_ADDR_CONST(0x3918)
#define MC_PVA1XB3_PTSA_RATE_0_SECURE                   0x0
#define MC_PVA1XB3_PTSA_RATE_0_DUAL                     0x0
#define MC_PVA1XB3_PTSA_RATE_0_SCR                      0
#define MC_PVA1XB3_PTSA_RATE_0_WORD_COUNT                       0x1
#define MC_PVA1XB3_PTSA_RATE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_PTSA_RATE_0_RESET_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PVA1XB3_PTSA_RATE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_PTSA_RATE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_PTSA_RATE_0_READ_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PVA1XB3_PTSA_RATE_0_WRITE_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PVA1XB3_PTSA_RATE_0_PTSA_RATE_PVA1XB3_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_PVA1XB3_PTSA_RATE_0_PTSA_RATE_PVA1XB3_FIELD                  _MK_FIELD_CONST(0xfff, MC_PVA1XB3_PTSA_RATE_0_PTSA_RATE_PVA1XB3_SHIFT)
#define MC_PVA1XB3_PTSA_RATE_0_PTSA_RATE_PVA1XB3_RANGE                  11:0
#define MC_PVA1XB3_PTSA_RATE_0_PTSA_RATE_PVA1XB3_WOFFSET                        0x0
#define MC_PVA1XB3_PTSA_RATE_0_PTSA_RATE_PVA1XB3_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_PTSA_RATE_0_PTSA_RATE_PVA1XB3_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_PVA1XB3_PTSA_RATE_0_PTSA_RATE_PVA1XB3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_PTSA_RATE_0_PTSA_RATE_PVA1XB3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_PTSA_RATE_0_PTSA_RATE_PVA1XB3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_PTSA_RATE_0_PTSA_RATE_PVA1XB3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_DLA1XA3_PTSA_MAX_0
#define MC_DLA1XA3_PTSA_MAX_0                   _MK_ADDR_CONST(0x3374)
#define MC_DLA1XA3_PTSA_MAX_0_SECURE                    0x0
#define MC_DLA1XA3_PTSA_MAX_0_DUAL                      0x0
#define MC_DLA1XA3_PTSA_MAX_0_SCR                       0
#define MC_DLA1XA3_PTSA_MAX_0_WORD_COUNT                        0x1
#define MC_DLA1XA3_PTSA_MAX_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA3_PTSA_MAX_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA3_PTSA_MAX_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_PTSA_MAX_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_PTSA_MAX_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA3_PTSA_MAX_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA3_PTSA_MAX_0_PTSA_MAX_DLA1XA3_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_DLA1XA3_PTSA_MAX_0_PTSA_MAX_DLA1XA3_FIELD                    _MK_FIELD_CONST(0x7ff, MC_DLA1XA3_PTSA_MAX_0_PTSA_MAX_DLA1XA3_SHIFT)
#define MC_DLA1XA3_PTSA_MAX_0_PTSA_MAX_DLA1XA3_RANGE                    10:0
#define MC_DLA1XA3_PTSA_MAX_0_PTSA_MAX_DLA1XA3_WOFFSET                  0x0
#define MC_DLA1XA3_PTSA_MAX_0_PTSA_MAX_DLA1XA3_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA3_PTSA_MAX_0_PTSA_MAX_DLA1XA3_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA3_PTSA_MAX_0_PTSA_MAX_DLA1XA3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_PTSA_MAX_0_PTSA_MAX_DLA1XA3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_PTSA_MAX_0_PTSA_MAX_DLA1XA3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_DLA1XA3_PTSA_MAX_0_PTSA_MAX_DLA1XA3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MIU1_PTSA_MIN_0
#define MC_MIU1_PTSA_MIN_0                      _MK_ADDR_CONST(0x314c)
#define MC_MIU1_PTSA_MIN_0_SECURE                       0x0
#define MC_MIU1_PTSA_MIN_0_DUAL                         0x0
#define MC_MIU1_PTSA_MIN_0_SCR                  0
#define MC_MIU1_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_MIU1_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MIU1_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU1_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MIU1_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU1_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MIU1_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU1_PTSA_MIN_0_PTSA_MIN_MIU1_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MIU1_PTSA_MIN_0_PTSA_MIN_MIU1_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MIU1_PTSA_MIN_0_PTSA_MIN_MIU1_SHIFT)
#define MC_MIU1_PTSA_MIN_0_PTSA_MIN_MIU1_RANGE                  10:0
#define MC_MIU1_PTSA_MIN_0_PTSA_MIN_MIU1_WOFFSET                        0x0
#define MC_MIU1_PTSA_MIN_0_PTSA_MIN_MIU1_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MIU1_PTSA_MIN_0_PTSA_MIN_MIU1_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU1_PTSA_MIN_0_PTSA_MIN_MIU1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU1_PTSA_MIN_0_PTSA_MIN_MIU1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU1_PTSA_MIN_0_PTSA_MIN_MIU1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU1_PTSA_MIN_0_PTSA_MIN_MIU1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PCIE5XA_PTSA_MAX_0
#define MC_PCIE5XA_PTSA_MAX_0                   _MK_ADDR_CONST(0x3544)
#define MC_PCIE5XA_PTSA_MAX_0_SECURE                    0x0
#define MC_PCIE5XA_PTSA_MAX_0_DUAL                      0x0
#define MC_PCIE5XA_PTSA_MAX_0_SCR                       0
#define MC_PCIE5XA_PTSA_MAX_0_WORD_COUNT                        0x1
#define MC_PCIE5XA_PTSA_MAX_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE5XA_PTSA_MAX_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE5XA_PTSA_MAX_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_PTSA_MAX_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_PTSA_MAX_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE5XA_PTSA_MAX_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE5XA_PTSA_MAX_0_PTSA_MAX_PCIE5XA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PCIE5XA_PTSA_MAX_0_PTSA_MAX_PCIE5XA_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PCIE5XA_PTSA_MAX_0_PTSA_MAX_PCIE5XA_SHIFT)
#define MC_PCIE5XA_PTSA_MAX_0_PTSA_MAX_PCIE5XA_RANGE                    10:0
#define MC_PCIE5XA_PTSA_MAX_0_PTSA_MAX_PCIE5XA_WOFFSET                  0x0
#define MC_PCIE5XA_PTSA_MAX_0_PTSA_MAX_PCIE5XA_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE5XA_PTSA_MAX_0_PTSA_MAX_PCIE5XA_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PCIE5XA_PTSA_MAX_0_PTSA_MAX_PCIE5XA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_PTSA_MAX_0_PTSA_MAX_PCIE5XA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_PTSA_MAX_0_PTSA_MAX_PCIE5XA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_PTSA_MAX_0_PTSA_MAX_PCIE5XA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_DLA0XA3_PTSA_MIN_0
#define MC_DLA0XA3_PTSA_MIN_0                   _MK_ADDR_CONST(0x3364)
#define MC_DLA0XA3_PTSA_MIN_0_SECURE                    0x0
#define MC_DLA0XA3_PTSA_MIN_0_DUAL                      0x0
#define MC_DLA0XA3_PTSA_MIN_0_SCR                       0
#define MC_DLA0XA3_PTSA_MIN_0_WORD_COUNT                        0x1
#define MC_DLA0XA3_PTSA_MIN_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA3_PTSA_MIN_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA3_PTSA_MIN_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_PTSA_MIN_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_PTSA_MIN_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA3_PTSA_MIN_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA3_PTSA_MIN_0_PTSA_MIN_DLA0XA3_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_DLA0XA3_PTSA_MIN_0_PTSA_MIN_DLA0XA3_FIELD                    _MK_FIELD_CONST(0x7ff, MC_DLA0XA3_PTSA_MIN_0_PTSA_MIN_DLA0XA3_SHIFT)
#define MC_DLA0XA3_PTSA_MIN_0_PTSA_MIN_DLA0XA3_RANGE                    10:0
#define MC_DLA0XA3_PTSA_MIN_0_PTSA_MIN_DLA0XA3_WOFFSET                  0x0
#define MC_DLA0XA3_PTSA_MIN_0_PTSA_MIN_DLA0XA3_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA3_PTSA_MIN_0_PTSA_MIN_DLA0XA3_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA3_PTSA_MIN_0_PTSA_MIN_DLA0XA3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_PTSA_MIN_0_PTSA_MIN_DLA0XA3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_PTSA_MIN_0_PTSA_MIN_DLA0XA3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_PTSA_MIN_0_PTSA_MIN_DLA0XA3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_DIS_PTSA_MAX_0
#define MC_DIS_PTSA_MAX_0                       _MK_ADDR_CONST(0x424)
#define MC_DIS_PTSA_MAX_0_SECURE                        0x0
#define MC_DIS_PTSA_MAX_0_DUAL                  0x0
#define MC_DIS_PTSA_MAX_0_SCR                   0
#define MC_DIS_PTSA_MAX_0_WORD_COUNT                    0x1
#define MC_DIS_PTSA_MAX_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_DIS_PTSA_MAX_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_DIS_PTSA_MAX_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_DIS_PTSA_MAX_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_DIS_PTSA_MAX_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_DIS_PTSA_MAX_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_DIS_PTSA_MAX_0_PTSA_MAX_DIS_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_DIS_PTSA_MAX_0_PTSA_MAX_DIS_FIELD                    _MK_FIELD_CONST(0x7ff, MC_DIS_PTSA_MAX_0_PTSA_MAX_DIS_SHIFT)
#define MC_DIS_PTSA_MAX_0_PTSA_MAX_DIS_RANGE                    10:0
#define MC_DIS_PTSA_MAX_0_PTSA_MAX_DIS_WOFFSET                  0x0
#define MC_DIS_PTSA_MAX_0_PTSA_MAX_DIS_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_DIS_PTSA_MAX_0_PTSA_MAX_DIS_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_DIS_PTSA_MAX_0_PTSA_MAX_DIS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_DIS_PTSA_MAX_0_PTSA_MAX_DIS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DIS_PTSA_MAX_0_PTSA_MAX_DIS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_DIS_PTSA_MAX_0_PTSA_MAX_DIS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_RING1_PTSA_MIN_0
#define MC_RING1_PTSA_MIN_0                     _MK_ADDR_CONST(0x480)
#define MC_RING1_PTSA_MIN_0_SECURE                      0x0
#define MC_RING1_PTSA_MIN_0_DUAL                        0x0
#define MC_RING1_PTSA_MIN_0_SCR                         0
#define MC_RING1_PTSA_MIN_0_WORD_COUNT                  0x1
#define MC_RING1_PTSA_MIN_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_RING1_PTSA_MIN_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_RING1_PTSA_MIN_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_RING1_PTSA_MIN_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_RING1_PTSA_MIN_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_RING1_PTSA_MIN_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_RING1_PTSA_MIN_0_PTSA_MIN_RING1_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_RING1_PTSA_MIN_0_PTSA_MIN_RING1_FIELD                        _MK_FIELD_CONST(0x7ff, MC_RING1_PTSA_MIN_0_PTSA_MIN_RING1_SHIFT)
#define MC_RING1_PTSA_MIN_0_PTSA_MIN_RING1_RANGE                        10:0
#define MC_RING1_PTSA_MIN_0_PTSA_MIN_RING1_WOFFSET                      0x0
#define MC_RING1_PTSA_MIN_0_PTSA_MIN_RING1_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_RING1_PTSA_MIN_0_PTSA_MIN_RING1_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_RING1_PTSA_MIN_0_PTSA_MIN_RING1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_RING1_PTSA_MIN_0_PTSA_MIN_RING1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_RING1_PTSA_MIN_0_PTSA_MIN_RING1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_RING1_PTSA_MIN_0_PTSA_MIN_RING1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_UFSHCPC2_PTSA_MAX_0
#define MC_UFSHCPC2_PTSA_MAX_0                  _MK_ADDR_CONST(0x3a2c)
#define MC_UFSHCPC2_PTSA_MAX_0_SECURE                   0x0
#define MC_UFSHCPC2_PTSA_MAX_0_DUAL                     0x0
#define MC_UFSHCPC2_PTSA_MAX_0_SCR                      0
#define MC_UFSHCPC2_PTSA_MAX_0_WORD_COUNT                       0x1
#define MC_UFSHCPC2_PTSA_MAX_0_RESET_VAL                        _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC2_PTSA_MAX_0_RESET_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC2_PTSA_MAX_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_PTSA_MAX_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_PTSA_MAX_0_READ_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC2_PTSA_MAX_0_WRITE_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC2_PTSA_MAX_0_PTSA_MAX_UFSHCPC2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_UFSHCPC2_PTSA_MAX_0_PTSA_MAX_UFSHCPC2_FIELD                  _MK_FIELD_CONST(0x7ff, MC_UFSHCPC2_PTSA_MAX_0_PTSA_MAX_UFSHCPC2_SHIFT)
#define MC_UFSHCPC2_PTSA_MAX_0_PTSA_MAX_UFSHCPC2_RANGE                  10:0
#define MC_UFSHCPC2_PTSA_MAX_0_PTSA_MAX_UFSHCPC2_WOFFSET                        0x0
#define MC_UFSHCPC2_PTSA_MAX_0_PTSA_MAX_UFSHCPC2_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC2_PTSA_MAX_0_PTSA_MAX_UFSHCPC2_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC2_PTSA_MAX_0_PTSA_MAX_UFSHCPC2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_PTSA_MAX_0_PTSA_MAX_UFSHCPC2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_PTSA_MAX_0_PTSA_MAX_UFSHCPC2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_PTSA_MAX_0_PTSA_MAX_UFSHCPC2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_VICPC_PTSA_MIN_0
#define MC_VICPC_PTSA_MIN_0                     _MK_ADDR_CONST(0x558)
#define MC_VICPC_PTSA_MIN_0_SECURE                      0x0
#define MC_VICPC_PTSA_MIN_0_DUAL                        0x0
#define MC_VICPC_PTSA_MIN_0_SCR                         0
#define MC_VICPC_PTSA_MIN_0_WORD_COUNT                  0x1
#define MC_VICPC_PTSA_MIN_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_VICPC_PTSA_MIN_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_VICPC_PTSA_MIN_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_VICPC_PTSA_MIN_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_VICPC_PTSA_MIN_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_VICPC_PTSA_MIN_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_VICPC_PTSA_MIN_0_PTSA_MIN_VICPC_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_VICPC_PTSA_MIN_0_PTSA_MIN_VICPC_FIELD                        _MK_FIELD_CONST(0x7ff, MC_VICPC_PTSA_MIN_0_PTSA_MIN_VICPC_SHIFT)
#define MC_VICPC_PTSA_MIN_0_PTSA_MIN_VICPC_RANGE                        10:0
#define MC_VICPC_PTSA_MIN_0_PTSA_MIN_VICPC_WOFFSET                      0x0
#define MC_VICPC_PTSA_MIN_0_PTSA_MIN_VICPC_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_VICPC_PTSA_MIN_0_PTSA_MIN_VICPC_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_VICPC_PTSA_MIN_0_PTSA_MIN_VICPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_VICPC_PTSA_MIN_0_PTSA_MIN_VICPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_VICPC_PTSA_MIN_0_PTSA_MIN_VICPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_VICPC_PTSA_MIN_0_PTSA_MIN_VICPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_MSEB_PTSA_MAX_0
#define MC_MSEB_PTSA_MAX_0                      _MK_ADDR_CONST(0x3a5c)
#define MC_MSEB_PTSA_MAX_0_SECURE                       0x0
#define MC_MSEB_PTSA_MAX_0_DUAL                         0x0
#define MC_MSEB_PTSA_MAX_0_SCR                  0
#define MC_MSEB_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_MSEB_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MSEB_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSEB_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MSEB_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSEB_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MSEB_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSEB_PTSA_MAX_0_PTSA_MAX_MSEB_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MSEB_PTSA_MAX_0_PTSA_MAX_MSEB_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MSEB_PTSA_MAX_0_PTSA_MAX_MSEB_SHIFT)
#define MC_MSEB_PTSA_MAX_0_PTSA_MAX_MSEB_RANGE                  10:0
#define MC_MSEB_PTSA_MAX_0_PTSA_MAX_MSEB_WOFFSET                        0x0
#define MC_MSEB_PTSA_MAX_0_PTSA_MAX_MSEB_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MSEB_PTSA_MAX_0_PTSA_MAX_MSEB_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSEB_PTSA_MAX_0_PTSA_MAX_MSEB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSEB_PTSA_MAX_0_PTSA_MAX_MSEB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSEB_PTSA_MAX_0_PTSA_MAX_MSEB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSEB_PTSA_MAX_0_PTSA_MAX_MSEB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PVA0XB_PTSA_MAX_0
#define MC_PVA0XB_PTSA_MAX_0                    _MK_ADDR_CONST(0x355c)
#define MC_PVA0XB_PTSA_MAX_0_SECURE                     0x0
#define MC_PVA0XB_PTSA_MAX_0_DUAL                       0x0
#define MC_PVA0XB_PTSA_MAX_0_SCR                        0
#define MC_PVA0XB_PTSA_MAX_0_WORD_COUNT                         0x1
#define MC_PVA0XB_PTSA_MAX_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB_PTSA_MAX_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB_PTSA_MAX_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_PVA0XB_PTSA_MAX_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA0XB_PTSA_MAX_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB_PTSA_MAX_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB_PTSA_MAX_0_PTSA_MAX_PVA0XB_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_PVA0XB_PTSA_MAX_0_PTSA_MAX_PVA0XB_FIELD                      _MK_FIELD_CONST(0x7ff, MC_PVA0XB_PTSA_MAX_0_PTSA_MAX_PVA0XB_SHIFT)
#define MC_PVA0XB_PTSA_MAX_0_PTSA_MAX_PVA0XB_RANGE                      10:0
#define MC_PVA0XB_PTSA_MAX_0_PTSA_MAX_PVA0XB_WOFFSET                    0x0
#define MC_PVA0XB_PTSA_MAX_0_PTSA_MAX_PVA0XB_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB_PTSA_MAX_0_PTSA_MAX_PVA0XB_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB_PTSA_MAX_0_PTSA_MAX_PVA0XB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PVA0XB_PTSA_MAX_0_PTSA_MAX_PVA0XB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA0XB_PTSA_MAX_0_PTSA_MAX_PVA0XB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PVA0XB_PTSA_MAX_0_PTSA_MAX_PVA0XB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_USBX2_PTSA_MIN_0
#define MC_USBX2_PTSA_MIN_0                     _MK_ADDR_CONST(0x3a34)
#define MC_USBX2_PTSA_MIN_0_SECURE                      0x0
#define MC_USBX2_PTSA_MIN_0_DUAL                        0x0
#define MC_USBX2_PTSA_MIN_0_SCR                         0
#define MC_USBX2_PTSA_MIN_0_WORD_COUNT                  0x1
#define MC_USBX2_PTSA_MIN_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_USBX2_PTSA_MIN_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_USBX2_PTSA_MIN_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_USBX2_PTSA_MIN_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_USBX2_PTSA_MIN_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_USBX2_PTSA_MIN_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_USBX2_PTSA_MIN_0_PTSA_MIN_USBX2_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_USBX2_PTSA_MIN_0_PTSA_MIN_USBX2_FIELD                        _MK_FIELD_CONST(0x7ff, MC_USBX2_PTSA_MIN_0_PTSA_MIN_USBX2_SHIFT)
#define MC_USBX2_PTSA_MIN_0_PTSA_MIN_USBX2_RANGE                        10:0
#define MC_USBX2_PTSA_MIN_0_PTSA_MIN_USBX2_WOFFSET                      0x0
#define MC_USBX2_PTSA_MIN_0_PTSA_MIN_USBX2_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_USBX2_PTSA_MIN_0_PTSA_MIN_USBX2_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_USBX2_PTSA_MIN_0_PTSA_MIN_USBX2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_USBX2_PTSA_MIN_0_PTSA_MIN_USBX2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_USBX2_PTSA_MIN_0_PTSA_MIN_USBX2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_USBX2_PTSA_MIN_0_PTSA_MIN_USBX2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_RING2_PTSA_MAX_0
#define MC_RING2_PTSA_MAX_0                     _MK_ADDR_CONST(0x448)
#define MC_RING2_PTSA_MAX_0_SECURE                      0x0
#define MC_RING2_PTSA_MAX_0_DUAL                        0x0
#define MC_RING2_PTSA_MAX_0_SCR                         0
#define MC_RING2_PTSA_MAX_0_WORD_COUNT                  0x1
#define MC_RING2_PTSA_MAX_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_RING2_PTSA_MAX_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_RING2_PTSA_MAX_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_RING2_PTSA_MAX_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_RING2_PTSA_MAX_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_RING2_PTSA_MAX_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_RING2_PTSA_MAX_0_PTSA_MAX_RING2_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_RING2_PTSA_MAX_0_PTSA_MAX_RING2_FIELD                        _MK_FIELD_CONST(0x7ff, MC_RING2_PTSA_MAX_0_PTSA_MAX_RING2_SHIFT)
#define MC_RING2_PTSA_MAX_0_PTSA_MAX_RING2_RANGE                        10:0
#define MC_RING2_PTSA_MAX_0_PTSA_MAX_RING2_WOFFSET                      0x0
#define MC_RING2_PTSA_MAX_0_PTSA_MAX_RING2_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_RING2_PTSA_MAX_0_PTSA_MAX_RING2_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_RING2_PTSA_MAX_0_PTSA_MAX_RING2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_RING2_PTSA_MAX_0_PTSA_MAX_RING2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_RING2_PTSA_MAX_0_PTSA_MAX_RING2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_RING2_PTSA_MAX_0_PTSA_MAX_RING2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_AUD_PTSA_RATE_0
#define MC_AUD_PTSA_RATE_0                      _MK_ADDR_CONST(0x548)
#define MC_AUD_PTSA_RATE_0_SECURE                       0x0
#define MC_AUD_PTSA_RATE_0_DUAL                         0x0
#define MC_AUD_PTSA_RATE_0_SCR                  0
#define MC_AUD_PTSA_RATE_0_WORD_COUNT                   0x1
#define MC_AUD_PTSA_RATE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_AUD_PTSA_RATE_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_AUD_PTSA_RATE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_AUD_PTSA_RATE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_AUD_PTSA_RATE_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_AUD_PTSA_RATE_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_AUD_PTSA_RATE_0_PTSA_RATE_AUD_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_AUD_PTSA_RATE_0_PTSA_RATE_AUD_FIELD                  _MK_FIELD_CONST(0xfff, MC_AUD_PTSA_RATE_0_PTSA_RATE_AUD_SHIFT)
#define MC_AUD_PTSA_RATE_0_PTSA_RATE_AUD_RANGE                  11:0
#define MC_AUD_PTSA_RATE_0_PTSA_RATE_AUD_WOFFSET                        0x0
#define MC_AUD_PTSA_RATE_0_PTSA_RATE_AUD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_AUD_PTSA_RATE_0_PTSA_RATE_AUD_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_AUD_PTSA_RATE_0_PTSA_RATE_AUD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_AUD_PTSA_RATE_0_PTSA_RATE_AUD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_AUD_PTSA_RATE_0_PTSA_RATE_AUD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_AUD_PTSA_RATE_0_PTSA_RATE_AUD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PCIE0XA_PTSA_MIN_0
#define MC_PCIE0XA_PTSA_MIN_0                   _MK_ADDR_CONST(0x3504)
#define MC_PCIE0XA_PTSA_MIN_0_SECURE                    0x0
#define MC_PCIE0XA_PTSA_MIN_0_DUAL                      0x0
#define MC_PCIE0XA_PTSA_MIN_0_SCR                       0
#define MC_PCIE0XA_PTSA_MIN_0_WORD_COUNT                        0x1
#define MC_PCIE0XA_PTSA_MIN_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE0XA_PTSA_MIN_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE0XA_PTSA_MIN_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_PTSA_MIN_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_PTSA_MIN_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE0XA_PTSA_MIN_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE0XA_PTSA_MIN_0_PTSA_MIN_PCIE0XA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PCIE0XA_PTSA_MIN_0_PTSA_MIN_PCIE0XA_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PCIE0XA_PTSA_MIN_0_PTSA_MIN_PCIE0XA_SHIFT)
#define MC_PCIE0XA_PTSA_MIN_0_PTSA_MIN_PCIE0XA_RANGE                    10:0
#define MC_PCIE0XA_PTSA_MIN_0_PTSA_MIN_PCIE0XA_WOFFSET                  0x0
#define MC_PCIE0XA_PTSA_MIN_0_PTSA_MIN_PCIE0XA_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE0XA_PTSA_MIN_0_PTSA_MIN_PCIE0XA_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PCIE0XA_PTSA_MIN_0_PTSA_MIN_PCIE0XA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_PTSA_MIN_0_PTSA_MIN_PCIE0XA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_PTSA_MIN_0_PTSA_MIN_PCIE0XA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_PTSA_MIN_0_PTSA_MIN_PCIE0XA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PCIE0XA_PTSA_RATE_0
#define MC_PCIE0XA_PTSA_RATE_0                  _MK_ADDR_CONST(0x3500)
#define MC_PCIE0XA_PTSA_RATE_0_SECURE                   0x0
#define MC_PCIE0XA_PTSA_RATE_0_DUAL                     0x0
#define MC_PCIE0XA_PTSA_RATE_0_SCR                      0
#define MC_PCIE0XA_PTSA_RATE_0_WORD_COUNT                       0x1
#define MC_PCIE0XA_PTSA_RATE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_PTSA_RATE_0_RESET_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PCIE0XA_PTSA_RATE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_PTSA_RATE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_PTSA_RATE_0_READ_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PCIE0XA_PTSA_RATE_0_WRITE_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PCIE0XA_PTSA_RATE_0_PTSA_RATE_PCIE0XA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_PCIE0XA_PTSA_RATE_0_PTSA_RATE_PCIE0XA_FIELD                  _MK_FIELD_CONST(0xfff, MC_PCIE0XA_PTSA_RATE_0_PTSA_RATE_PCIE0XA_SHIFT)
#define MC_PCIE0XA_PTSA_RATE_0_PTSA_RATE_PCIE0XA_RANGE                  11:0
#define MC_PCIE0XA_PTSA_RATE_0_PTSA_RATE_PCIE0XA_WOFFSET                        0x0
#define MC_PCIE0XA_PTSA_RATE_0_PTSA_RATE_PCIE0XA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_PTSA_RATE_0_PTSA_RATE_PCIE0XA_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_PCIE0XA_PTSA_RATE_0_PTSA_RATE_PCIE0XA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_PTSA_RATE_0_PTSA_RATE_PCIE0XA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_PTSA_RATE_0_PTSA_RATE_PCIE0XA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_PTSA_RATE_0_PTSA_RATE_PCIE0XA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_DLA1XA2_PTSA_MIN_0
#define MC_DLA1XA2_PTSA_MIN_0                   _MK_ADDR_CONST(0x3940)
#define MC_DLA1XA2_PTSA_MIN_0_SECURE                    0x0
#define MC_DLA1XA2_PTSA_MIN_0_DUAL                      0x0
#define MC_DLA1XA2_PTSA_MIN_0_SCR                       0
#define MC_DLA1XA2_PTSA_MIN_0_WORD_COUNT                        0x1
#define MC_DLA1XA2_PTSA_MIN_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA2_PTSA_MIN_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA2_PTSA_MIN_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_PTSA_MIN_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_PTSA_MIN_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA2_PTSA_MIN_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA2_PTSA_MIN_0_PTSA_MIN_DLA1XA2_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_DLA1XA2_PTSA_MIN_0_PTSA_MIN_DLA1XA2_FIELD                    _MK_FIELD_CONST(0x7ff, MC_DLA1XA2_PTSA_MIN_0_PTSA_MIN_DLA1XA2_SHIFT)
#define MC_DLA1XA2_PTSA_MIN_0_PTSA_MIN_DLA1XA2_RANGE                    10:0
#define MC_DLA1XA2_PTSA_MIN_0_PTSA_MIN_DLA1XA2_WOFFSET                  0x0
#define MC_DLA1XA2_PTSA_MIN_0_PTSA_MIN_DLA1XA2_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA2_PTSA_MIN_0_PTSA_MIN_DLA1XA2_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA2_PTSA_MIN_0_PTSA_MIN_DLA1XA2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_PTSA_MIN_0_PTSA_MIN_DLA1XA2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_PTSA_MIN_0_PTSA_MIN_DLA1XA2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_PTSA_MIN_0_PTSA_MIN_DLA1XA2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PVA1XB2_PTSA_RATE_0
#define MC_PVA1XB2_PTSA_RATE_0                  _MK_ADDR_CONST(0x396c)
#define MC_PVA1XB2_PTSA_RATE_0_SECURE                   0x0
#define MC_PVA1XB2_PTSA_RATE_0_DUAL                     0x0
#define MC_PVA1XB2_PTSA_RATE_0_SCR                      0
#define MC_PVA1XB2_PTSA_RATE_0_WORD_COUNT                       0x1
#define MC_PVA1XB2_PTSA_RATE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_PTSA_RATE_0_RESET_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PVA1XB2_PTSA_RATE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_PTSA_RATE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_PTSA_RATE_0_READ_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PVA1XB2_PTSA_RATE_0_WRITE_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PVA1XB2_PTSA_RATE_0_PTSA_RATE_PVA1XB2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_PVA1XB2_PTSA_RATE_0_PTSA_RATE_PVA1XB2_FIELD                  _MK_FIELD_CONST(0xfff, MC_PVA1XB2_PTSA_RATE_0_PTSA_RATE_PVA1XB2_SHIFT)
#define MC_PVA1XB2_PTSA_RATE_0_PTSA_RATE_PVA1XB2_RANGE                  11:0
#define MC_PVA1XB2_PTSA_RATE_0_PTSA_RATE_PVA1XB2_WOFFSET                        0x0
#define MC_PVA1XB2_PTSA_RATE_0_PTSA_RATE_PVA1XB2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_PTSA_RATE_0_PTSA_RATE_PVA1XB2_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_PVA1XB2_PTSA_RATE_0_PTSA_RATE_PVA1XB2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_PTSA_RATE_0_PTSA_RATE_PVA1XB2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_PTSA_RATE_0_PTSA_RATE_PVA1XB2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_PTSA_RATE_0_PTSA_RATE_PVA1XB2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_RCEPC_PTSA_MIN_0
#define MC_RCEPC_PTSA_MIN_0                     _MK_ADDR_CONST(0x311c)
#define MC_RCEPC_PTSA_MIN_0_SECURE                      0x0
#define MC_RCEPC_PTSA_MIN_0_DUAL                        0x0
#define MC_RCEPC_PTSA_MIN_0_SCR                         0
#define MC_RCEPC_PTSA_MIN_0_WORD_COUNT                  0x1
#define MC_RCEPC_PTSA_MIN_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_RCEPC_PTSA_MIN_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_RCEPC_PTSA_MIN_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_RCEPC_PTSA_MIN_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_RCEPC_PTSA_MIN_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_RCEPC_PTSA_MIN_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_RCEPC_PTSA_MIN_0_PTSA_MIN_RCEPC_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_RCEPC_PTSA_MIN_0_PTSA_MIN_RCEPC_FIELD                        _MK_FIELD_CONST(0x7ff, MC_RCEPC_PTSA_MIN_0_PTSA_MIN_RCEPC_SHIFT)
#define MC_RCEPC_PTSA_MIN_0_PTSA_MIN_RCEPC_RANGE                        10:0
#define MC_RCEPC_PTSA_MIN_0_PTSA_MIN_RCEPC_WOFFSET                      0x0
#define MC_RCEPC_PTSA_MIN_0_PTSA_MIN_RCEPC_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_RCEPC_PTSA_MIN_0_PTSA_MIN_RCEPC_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_RCEPC_PTSA_MIN_0_PTSA_MIN_RCEPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_RCEPC_PTSA_MIN_0_PTSA_MIN_RCEPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_RCEPC_PTSA_MIN_0_PTSA_MIN_RCEPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_RCEPC_PTSA_MIN_0_PTSA_MIN_RCEPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_PVA1XA_PTSA_MIN_0
#define MC_PVA1XA_PTSA_MIN_0                    _MK_ADDR_CONST(0x3110)
#define MC_PVA1XA_PTSA_MIN_0_SECURE                     0x0
#define MC_PVA1XA_PTSA_MIN_0_DUAL                       0x0
#define MC_PVA1XA_PTSA_MIN_0_SCR                        0
#define MC_PVA1XA_PTSA_MIN_0_WORD_COUNT                         0x1
#define MC_PVA1XA_PTSA_MIN_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA_PTSA_MIN_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA_PTSA_MIN_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_PVA1XA_PTSA_MIN_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA1XA_PTSA_MIN_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA_PTSA_MIN_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA_PTSA_MIN_0_PTSA_MIN_PVA1XA_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_PVA1XA_PTSA_MIN_0_PTSA_MIN_PVA1XA_FIELD                      _MK_FIELD_CONST(0x7ff, MC_PVA1XA_PTSA_MIN_0_PTSA_MIN_PVA1XA_SHIFT)
#define MC_PVA1XA_PTSA_MIN_0_PTSA_MIN_PVA1XA_RANGE                      10:0
#define MC_PVA1XA_PTSA_MIN_0_PTSA_MIN_PVA1XA_WOFFSET                    0x0
#define MC_PVA1XA_PTSA_MIN_0_PTSA_MIN_PVA1XA_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA_PTSA_MIN_0_PTSA_MIN_PVA1XA_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA_PTSA_MIN_0_PTSA_MIN_PVA1XA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PVA1XA_PTSA_MIN_0_PTSA_MIN_PVA1XA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA1XA_PTSA_MIN_0_PTSA_MIN_PVA1XA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PVA1XA_PTSA_MIN_0_PTSA_MIN_PVA1XA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_DLA0XA3_PTSA_RATE_0
#define MC_DLA0XA3_PTSA_RATE_0                  _MK_ADDR_CONST(0x3360)
#define MC_DLA0XA3_PTSA_RATE_0_SECURE                   0x0
#define MC_DLA0XA3_PTSA_RATE_0_DUAL                     0x0
#define MC_DLA0XA3_PTSA_RATE_0_SCR                      0
#define MC_DLA0XA3_PTSA_RATE_0_WORD_COUNT                       0x1
#define MC_DLA0XA3_PTSA_RATE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_PTSA_RATE_0_RESET_MASK                       _MK_MASK_CONST(0xfff)
#define MC_DLA0XA3_PTSA_RATE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_PTSA_RATE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_PTSA_RATE_0_READ_MASK                        _MK_MASK_CONST(0xfff)
#define MC_DLA0XA3_PTSA_RATE_0_WRITE_MASK                       _MK_MASK_CONST(0xfff)
#define MC_DLA0XA3_PTSA_RATE_0_PTSA_RATE_DLA0XA3_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_DLA0XA3_PTSA_RATE_0_PTSA_RATE_DLA0XA3_FIELD                  _MK_FIELD_CONST(0xfff, MC_DLA0XA3_PTSA_RATE_0_PTSA_RATE_DLA0XA3_SHIFT)
#define MC_DLA0XA3_PTSA_RATE_0_PTSA_RATE_DLA0XA3_RANGE                  11:0
#define MC_DLA0XA3_PTSA_RATE_0_PTSA_RATE_DLA0XA3_WOFFSET                        0x0
#define MC_DLA0XA3_PTSA_RATE_0_PTSA_RATE_DLA0XA3_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_PTSA_RATE_0_PTSA_RATE_DLA0XA3_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_DLA0XA3_PTSA_RATE_0_PTSA_RATE_DLA0XA3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_PTSA_RATE_0_PTSA_RATE_DLA0XA3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_PTSA_RATE_0_PTSA_RATE_DLA0XA3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_PTSA_RATE_0_PTSA_RATE_DLA0XA3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_NIC_PTSA_MAX_0
#define MC_NIC_PTSA_MAX_0                       _MK_ADDR_CONST(0x740)
#define MC_NIC_PTSA_MAX_0_SECURE                        0x0
#define MC_NIC_PTSA_MAX_0_DUAL                  0x0
#define MC_NIC_PTSA_MAX_0_SCR                   0
#define MC_NIC_PTSA_MAX_0_WORD_COUNT                    0x1
#define MC_NIC_PTSA_MAX_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_NIC_PTSA_MAX_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_NIC_PTSA_MAX_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_NIC_PTSA_MAX_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_NIC_PTSA_MAX_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_NIC_PTSA_MAX_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_NIC_PTSA_MAX_0_PTSA_MAX_NIC_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_NIC_PTSA_MAX_0_PTSA_MAX_NIC_FIELD                    _MK_FIELD_CONST(0x7ff, MC_NIC_PTSA_MAX_0_PTSA_MAX_NIC_SHIFT)
#define MC_NIC_PTSA_MAX_0_PTSA_MAX_NIC_RANGE                    10:0
#define MC_NIC_PTSA_MAX_0_PTSA_MAX_NIC_WOFFSET                  0x0
#define MC_NIC_PTSA_MAX_0_PTSA_MAX_NIC_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_NIC_PTSA_MAX_0_PTSA_MAX_NIC_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_NIC_PTSA_MAX_0_PTSA_MAX_NIC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_NIC_PTSA_MAX_0_PTSA_MAX_NIC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_NIC_PTSA_MAX_0_PTSA_MAX_NIC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_NIC_PTSA_MAX_0_PTSA_MAX_NIC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_NVD_PTSA_MAX_0
#define MC_NVD_PTSA_MAX_0                       _MK_ADDR_CONST(0x580)
#define MC_NVD_PTSA_MAX_0_SECURE                        0x0
#define MC_NVD_PTSA_MAX_0_DUAL                  0x0
#define MC_NVD_PTSA_MAX_0_SCR                   0
#define MC_NVD_PTSA_MAX_0_WORD_COUNT                    0x1
#define MC_NVD_PTSA_MAX_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_NVD_PTSA_MAX_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_NVD_PTSA_MAX_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_NVD_PTSA_MAX_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_NVD_PTSA_MAX_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_NVD_PTSA_MAX_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_NVD_PTSA_MAX_0_PTSA_MAX_NVD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_NVD_PTSA_MAX_0_PTSA_MAX_NVD_FIELD                    _MK_FIELD_CONST(0x7ff, MC_NVD_PTSA_MAX_0_PTSA_MAX_NVD_SHIFT)
#define MC_NVD_PTSA_MAX_0_PTSA_MAX_NVD_RANGE                    10:0
#define MC_NVD_PTSA_MAX_0_PTSA_MAX_NVD_WOFFSET                  0x0
#define MC_NVD_PTSA_MAX_0_PTSA_MAX_NVD_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_NVD_PTSA_MAX_0_PTSA_MAX_NVD_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_NVD_PTSA_MAX_0_PTSA_MAX_NVD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_NVD_PTSA_MAX_0_PTSA_MAX_NVD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_NVD_PTSA_MAX_0_PTSA_MAX_NVD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_NVD_PTSA_MAX_0_PTSA_MAX_NVD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MIU6_PTSA_MIN_0
#define MC_MIU6_PTSA_MIN_0                      _MK_ADDR_CONST(0x4b58)
#define MC_MIU6_PTSA_MIN_0_SECURE                       0x0
#define MC_MIU6_PTSA_MIN_0_DUAL                         0x0
#define MC_MIU6_PTSA_MIN_0_SCR                  0
#define MC_MIU6_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_MIU6_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MIU6_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU6_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MIU6_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU6_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MIU6_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU6_PTSA_MIN_0_PTSA_MIN_MIU6_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MIU6_PTSA_MIN_0_PTSA_MIN_MIU6_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MIU6_PTSA_MIN_0_PTSA_MIN_MIU6_SHIFT)
#define MC_MIU6_PTSA_MIN_0_PTSA_MIN_MIU6_RANGE                  10:0
#define MC_MIU6_PTSA_MIN_0_PTSA_MIN_MIU6_WOFFSET                        0x0
#define MC_MIU6_PTSA_MIN_0_PTSA_MIN_MIU6_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MIU6_PTSA_MIN_0_PTSA_MIN_MIU6_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU6_PTSA_MIN_0_PTSA_MIN_MIU6_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU6_PTSA_MIN_0_PTSA_MIN_MIU6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU6_PTSA_MIN_0_PTSA_MIN_MIU6_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU6_PTSA_MIN_0_PTSA_MIN_MIU6_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PCIE0X_PTSA_RATE_0
#define MC_PCIE0X_PTSA_RATE_0                   _MK_ADDR_CONST(0x330c)
#define MC_PCIE0X_PTSA_RATE_0_SECURE                    0x0
#define MC_PCIE0X_PTSA_RATE_0_DUAL                      0x0
#define MC_PCIE0X_PTSA_RATE_0_SCR                       0
#define MC_PCIE0X_PTSA_RATE_0_WORD_COUNT                        0x1
#define MC_PCIE0X_PTSA_RATE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_PCIE0X_PTSA_RATE_0_RESET_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PCIE0X_PTSA_RATE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PCIE0X_PTSA_RATE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCIE0X_PTSA_RATE_0_READ_MASK                         _MK_MASK_CONST(0xfff)
#define MC_PCIE0X_PTSA_RATE_0_WRITE_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PCIE0X_PTSA_RATE_0_PTSA_RATE_PCIE0X_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PCIE0X_PTSA_RATE_0_PTSA_RATE_PCIE0X_FIELD                    _MK_FIELD_CONST(0xfff, MC_PCIE0X_PTSA_RATE_0_PTSA_RATE_PCIE0X_SHIFT)
#define MC_PCIE0X_PTSA_RATE_0_PTSA_RATE_PCIE0X_RANGE                    11:0
#define MC_PCIE0X_PTSA_RATE_0_PTSA_RATE_PCIE0X_WOFFSET                  0x0
#define MC_PCIE0X_PTSA_RATE_0_PTSA_RATE_PCIE0X_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCIE0X_PTSA_RATE_0_PTSA_RATE_PCIE0X_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_PCIE0X_PTSA_RATE_0_PTSA_RATE_PCIE0X_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE0X_PTSA_RATE_0_PTSA_RATE_PCIE0X_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE0X_PTSA_RATE_0_PTSA_RATE_PCIE0X_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE0X_PTSA_RATE_0_PTSA_RATE_PCIE0X_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_AONPC_PTSA_MAX_0
#define MC_AONPC_PTSA_MAX_0                     _MK_ADDR_CONST(0x77c)
#define MC_AONPC_PTSA_MAX_0_SECURE                      0x0
#define MC_AONPC_PTSA_MAX_0_DUAL                        0x0
#define MC_AONPC_PTSA_MAX_0_SCR                         0
#define MC_AONPC_PTSA_MAX_0_WORD_COUNT                  0x1
#define MC_AONPC_PTSA_MAX_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_AONPC_PTSA_MAX_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_AONPC_PTSA_MAX_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_AONPC_PTSA_MAX_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_AONPC_PTSA_MAX_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_AONPC_PTSA_MAX_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_AONPC_PTSA_MAX_0_PTSA_MAX_AONPC_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_AONPC_PTSA_MAX_0_PTSA_MAX_AONPC_FIELD                        _MK_FIELD_CONST(0x7ff, MC_AONPC_PTSA_MAX_0_PTSA_MAX_AONPC_SHIFT)
#define MC_AONPC_PTSA_MAX_0_PTSA_MAX_AONPC_RANGE                        10:0
#define MC_AONPC_PTSA_MAX_0_PTSA_MAX_AONPC_WOFFSET                      0x0
#define MC_AONPC_PTSA_MAX_0_PTSA_MAX_AONPC_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_AONPC_PTSA_MAX_0_PTSA_MAX_AONPC_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_AONPC_PTSA_MAX_0_PTSA_MAX_AONPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_AONPC_PTSA_MAX_0_PTSA_MAX_AONPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_AONPC_PTSA_MAX_0_PTSA_MAX_AONPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_AONPC_PTSA_MAX_0_PTSA_MAX_AONPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_JPG_PTSA_MIN_0
#define MC_JPG_PTSA_MIN_0                       _MK_ADDR_CONST(0x588)
#define MC_JPG_PTSA_MIN_0_SECURE                        0x0
#define MC_JPG_PTSA_MIN_0_DUAL                  0x0
#define MC_JPG_PTSA_MIN_0_SCR                   0
#define MC_JPG_PTSA_MIN_0_WORD_COUNT                    0x1
#define MC_JPG_PTSA_MIN_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_JPG_PTSA_MIN_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_JPG_PTSA_MIN_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_JPG_PTSA_MIN_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_JPG_PTSA_MIN_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_JPG_PTSA_MIN_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_JPG_PTSA_MIN_0_PTSA_MIN_JPG_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_JPG_PTSA_MIN_0_PTSA_MIN_JPG_FIELD                    _MK_FIELD_CONST(0x7ff, MC_JPG_PTSA_MIN_0_PTSA_MIN_JPG_SHIFT)
#define MC_JPG_PTSA_MIN_0_PTSA_MIN_JPG_RANGE                    10:0
#define MC_JPG_PTSA_MIN_0_PTSA_MIN_JPG_WOFFSET                  0x0
#define MC_JPG_PTSA_MIN_0_PTSA_MIN_JPG_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_JPG_PTSA_MIN_0_PTSA_MIN_JPG_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_JPG_PTSA_MIN_0_PTSA_MIN_JPG_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_JPG_PTSA_MIN_0_PTSA_MIN_JPG_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_JPG_PTSA_MIN_0_PTSA_MIN_JPG_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_JPG_PTSA_MIN_0_PTSA_MIN_JPG_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_UFSHCPC2_PTSA_MIN_0
#define MC_UFSHCPC2_PTSA_MIN_0                  _MK_ADDR_CONST(0x3a28)
#define MC_UFSHCPC2_PTSA_MIN_0_SECURE                   0x0
#define MC_UFSHCPC2_PTSA_MIN_0_DUAL                     0x0
#define MC_UFSHCPC2_PTSA_MIN_0_SCR                      0
#define MC_UFSHCPC2_PTSA_MIN_0_WORD_COUNT                       0x1
#define MC_UFSHCPC2_PTSA_MIN_0_RESET_VAL                        _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC2_PTSA_MIN_0_RESET_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC2_PTSA_MIN_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_PTSA_MIN_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_PTSA_MIN_0_READ_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC2_PTSA_MIN_0_WRITE_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC2_PTSA_MIN_0_PTSA_MIN_UFSHCPC2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_UFSHCPC2_PTSA_MIN_0_PTSA_MIN_UFSHCPC2_FIELD                  _MK_FIELD_CONST(0x7ff, MC_UFSHCPC2_PTSA_MIN_0_PTSA_MIN_UFSHCPC2_SHIFT)
#define MC_UFSHCPC2_PTSA_MIN_0_PTSA_MIN_UFSHCPC2_RANGE                  10:0
#define MC_UFSHCPC2_PTSA_MIN_0_PTSA_MIN_UFSHCPC2_WOFFSET                        0x0
#define MC_UFSHCPC2_PTSA_MIN_0_PTSA_MIN_UFSHCPC2_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC2_PTSA_MIN_0_PTSA_MIN_UFSHCPC2_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_UFSHCPC2_PTSA_MIN_0_PTSA_MIN_UFSHCPC2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_PTSA_MIN_0_PTSA_MIN_UFSHCPC2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_PTSA_MIN_0_PTSA_MIN_UFSHCPC2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_UFSHCPC2_PTSA_MIN_0_PTSA_MIN_UFSHCPC2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_HDAPC_PTSA_MIN_0
#define MC_HDAPC_PTSA_MIN_0                     _MK_ADDR_CONST(0x62c)
#define MC_HDAPC_PTSA_MIN_0_SECURE                      0x0
#define MC_HDAPC_PTSA_MIN_0_DUAL                        0x0
#define MC_HDAPC_PTSA_MIN_0_SCR                         0
#define MC_HDAPC_PTSA_MIN_0_WORD_COUNT                  0x1
#define MC_HDAPC_PTSA_MIN_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_HDAPC_PTSA_MIN_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_HDAPC_PTSA_MIN_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_HDAPC_PTSA_MIN_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HDAPC_PTSA_MIN_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_HDAPC_PTSA_MIN_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_HDAPC_PTSA_MIN_0_PTSA_MIN_HDAPC_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_HDAPC_PTSA_MIN_0_PTSA_MIN_HDAPC_FIELD                        _MK_FIELD_CONST(0x7ff, MC_HDAPC_PTSA_MIN_0_PTSA_MIN_HDAPC_SHIFT)
#define MC_HDAPC_PTSA_MIN_0_PTSA_MIN_HDAPC_RANGE                        10:0
#define MC_HDAPC_PTSA_MIN_0_PTSA_MIN_HDAPC_WOFFSET                      0x0
#define MC_HDAPC_PTSA_MIN_0_PTSA_MIN_HDAPC_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_HDAPC_PTSA_MIN_0_PTSA_MIN_HDAPC_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_HDAPC_PTSA_MIN_0_PTSA_MIN_HDAPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HDAPC_PTSA_MIN_0_PTSA_MIN_HDAPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HDAPC_PTSA_MIN_0_PTSA_MIN_HDAPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HDAPC_PTSA_MIN_0_PTSA_MIN_HDAPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_DLA1XA_PTSA_MAX_0
#define MC_DLA1XA_PTSA_MAX_0                    _MK_ADDR_CONST(0x7f4)
#define MC_DLA1XA_PTSA_MAX_0_SECURE                     0x0
#define MC_DLA1XA_PTSA_MAX_0_DUAL                       0x0
#define MC_DLA1XA_PTSA_MAX_0_SCR                        0
#define MC_DLA1XA_PTSA_MAX_0_WORD_COUNT                         0x1
#define MC_DLA1XA_PTSA_MAX_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA_PTSA_MAX_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA_PTSA_MAX_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_DLA1XA_PTSA_MAX_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_DLA1XA_PTSA_MAX_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA_PTSA_MAX_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA_PTSA_MAX_0_PTSA_MAX_DLA1XA_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_DLA1XA_PTSA_MAX_0_PTSA_MAX_DLA1XA_FIELD                      _MK_FIELD_CONST(0x7ff, MC_DLA1XA_PTSA_MAX_0_PTSA_MAX_DLA1XA_SHIFT)
#define MC_DLA1XA_PTSA_MAX_0_PTSA_MAX_DLA1XA_RANGE                      10:0
#define MC_DLA1XA_PTSA_MAX_0_PTSA_MAX_DLA1XA_WOFFSET                    0x0
#define MC_DLA1XA_PTSA_MAX_0_PTSA_MAX_DLA1XA_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA_PTSA_MAX_0_PTSA_MAX_DLA1XA_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA_PTSA_MAX_0_PTSA_MAX_DLA1XA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_DLA1XA_PTSA_MAX_0_PTSA_MAX_DLA1XA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_DLA1XA_PTSA_MAX_0_PTSA_MAX_DLA1XA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_DLA1XA_PTSA_MAX_0_PTSA_MAX_DLA1XA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_MSE2_PTSA_MAX_0
#define MC_MSE2_PTSA_MAX_0                      _MK_ADDR_CONST(0x7d0)
#define MC_MSE2_PTSA_MAX_0_SECURE                       0x0
#define MC_MSE2_PTSA_MAX_0_DUAL                         0x0
#define MC_MSE2_PTSA_MAX_0_SCR                  0
#define MC_MSE2_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_MSE2_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MSE2_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSE2_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MSE2_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSE2_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MSE2_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSE2_PTSA_MAX_0_PTSA_MAX_MSE2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MSE2_PTSA_MAX_0_PTSA_MAX_MSE2_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MSE2_PTSA_MAX_0_PTSA_MAX_MSE2_SHIFT)
#define MC_MSE2_PTSA_MAX_0_PTSA_MAX_MSE2_RANGE                  10:0
#define MC_MSE2_PTSA_MAX_0_PTSA_MAX_MSE2_WOFFSET                        0x0
#define MC_MSE2_PTSA_MAX_0_PTSA_MAX_MSE2_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MSE2_PTSA_MAX_0_PTSA_MAX_MSE2_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSE2_PTSA_MAX_0_PTSA_MAX_MSE2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSE2_PTSA_MAX_0_PTSA_MAX_MSE2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSE2_PTSA_MAX_0_PTSA_MAX_MSE2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSE2_PTSA_MAX_0_PTSA_MAX_MSE2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_NVD4_PTSA_MAX_0
#define MC_NVD4_PTSA_MAX_0                      _MK_ADDR_CONST(0x4b20)
#define MC_NVD4_PTSA_MAX_0_SECURE                       0x0
#define MC_NVD4_PTSA_MAX_0_DUAL                         0x0
#define MC_NVD4_PTSA_MAX_0_SCR                  0
#define MC_NVD4_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_NVD4_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_NVD4_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD4_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_NVD4_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_NVD4_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_NVD4_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD4_PTSA_MAX_0_PTSA_MAX_NVD4_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_NVD4_PTSA_MAX_0_PTSA_MAX_NVD4_FIELD                  _MK_FIELD_CONST(0x7ff, MC_NVD4_PTSA_MAX_0_PTSA_MAX_NVD4_SHIFT)
#define MC_NVD4_PTSA_MAX_0_PTSA_MAX_NVD4_RANGE                  10:0
#define MC_NVD4_PTSA_MAX_0_PTSA_MAX_NVD4_WOFFSET                        0x0
#define MC_NVD4_PTSA_MAX_0_PTSA_MAX_NVD4_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_NVD4_PTSA_MAX_0_PTSA_MAX_NVD4_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD4_PTSA_MAX_0_PTSA_MAX_NVD4_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_NVD4_PTSA_MAX_0_PTSA_MAX_NVD4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_NVD4_PTSA_MAX_0_PTSA_MAX_NVD4_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_NVD4_PTSA_MAX_0_PTSA_MAX_NVD4_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PVA1XA_PTSA_MAX_0
#define MC_PVA1XA_PTSA_MAX_0                    _MK_ADDR_CONST(0x3114)
#define MC_PVA1XA_PTSA_MAX_0_SECURE                     0x0
#define MC_PVA1XA_PTSA_MAX_0_DUAL                       0x0
#define MC_PVA1XA_PTSA_MAX_0_SCR                        0
#define MC_PVA1XA_PTSA_MAX_0_WORD_COUNT                         0x1
#define MC_PVA1XA_PTSA_MAX_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA_PTSA_MAX_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA_PTSA_MAX_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_PVA1XA_PTSA_MAX_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA1XA_PTSA_MAX_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA_PTSA_MAX_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA_PTSA_MAX_0_PTSA_MAX_PVA1XA_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_PVA1XA_PTSA_MAX_0_PTSA_MAX_PVA1XA_FIELD                      _MK_FIELD_CONST(0x7ff, MC_PVA1XA_PTSA_MAX_0_PTSA_MAX_PVA1XA_SHIFT)
#define MC_PVA1XA_PTSA_MAX_0_PTSA_MAX_PVA1XA_RANGE                      10:0
#define MC_PVA1XA_PTSA_MAX_0_PTSA_MAX_PVA1XA_WOFFSET                    0x0
#define MC_PVA1XA_PTSA_MAX_0_PTSA_MAX_PVA1XA_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA_PTSA_MAX_0_PTSA_MAX_PVA1XA_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA_PTSA_MAX_0_PTSA_MAX_PVA1XA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PVA1XA_PTSA_MAX_0_PTSA_MAX_PVA1XA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA1XA_PTSA_MAX_0_PTSA_MAX_PVA1XA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PVA1XA_PTSA_MAX_0_PTSA_MAX_PVA1XA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_VE_PTSA_MAX_0
#define MC_VE_PTSA_MAX_0                        _MK_ADDR_CONST(0x43c)
#define MC_VE_PTSA_MAX_0_SECURE                         0x0
#define MC_VE_PTSA_MAX_0_DUAL                   0x0
#define MC_VE_PTSA_MAX_0_SCR                    0
#define MC_VE_PTSA_MAX_0_WORD_COUNT                     0x1
#define MC_VE_PTSA_MAX_0_RESET_VAL                      _MK_MASK_CONST(0x7ff)
#define MC_VE_PTSA_MAX_0_RESET_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_VE_PTSA_MAX_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_VE_PTSA_MAX_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_VE_PTSA_MAX_0_READ_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_VE_PTSA_MAX_0_WRITE_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_VE_PTSA_MAX_0_PTSA_MAX_VE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_VE_PTSA_MAX_0_PTSA_MAX_VE_FIELD                      _MK_FIELD_CONST(0x7ff, MC_VE_PTSA_MAX_0_PTSA_MAX_VE_SHIFT)
#define MC_VE_PTSA_MAX_0_PTSA_MAX_VE_RANGE                      10:0
#define MC_VE_PTSA_MAX_0_PTSA_MAX_VE_WOFFSET                    0x0
#define MC_VE_PTSA_MAX_0_PTSA_MAX_VE_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_VE_PTSA_MAX_0_PTSA_MAX_VE_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_VE_PTSA_MAX_0_PTSA_MAX_VE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VE_PTSA_MAX_0_PTSA_MAX_VE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VE_PTSA_MAX_0_PTSA_MAX_VE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VE_PTSA_MAX_0_PTSA_MAX_VE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_DLA0XA2_PTSA_MAX_0
#define MC_DLA0XA2_PTSA_MAX_0                   _MK_ADDR_CONST(0x3938)
#define MC_DLA0XA2_PTSA_MAX_0_SECURE                    0x0
#define MC_DLA0XA2_PTSA_MAX_0_DUAL                      0x0
#define MC_DLA0XA2_PTSA_MAX_0_SCR                       0
#define MC_DLA0XA2_PTSA_MAX_0_WORD_COUNT                        0x1
#define MC_DLA0XA2_PTSA_MAX_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA2_PTSA_MAX_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA2_PTSA_MAX_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_PTSA_MAX_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_PTSA_MAX_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA2_PTSA_MAX_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA2_PTSA_MAX_0_PTSA_MAX_DLA0XA2_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_DLA0XA2_PTSA_MAX_0_PTSA_MAX_DLA0XA2_FIELD                    _MK_FIELD_CONST(0x7ff, MC_DLA0XA2_PTSA_MAX_0_PTSA_MAX_DLA0XA2_SHIFT)
#define MC_DLA0XA2_PTSA_MAX_0_PTSA_MAX_DLA0XA2_RANGE                    10:0
#define MC_DLA0XA2_PTSA_MAX_0_PTSA_MAX_DLA0XA2_WOFFSET                  0x0
#define MC_DLA0XA2_PTSA_MAX_0_PTSA_MAX_DLA0XA2_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA2_PTSA_MAX_0_PTSA_MAX_DLA0XA2_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA2_PTSA_MAX_0_PTSA_MAX_DLA0XA2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_PTSA_MAX_0_PTSA_MAX_DLA0XA2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_PTSA_MAX_0_PTSA_MAX_DLA0XA2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_DLA0XA2_PTSA_MAX_0_PTSA_MAX_DLA0XA2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PVA0XB_PTSA_RATE_0
#define MC_PVA0XB_PTSA_RATE_0                   _MK_ADDR_CONST(0x3554)
#define MC_PVA0XB_PTSA_RATE_0_SECURE                    0x0
#define MC_PVA0XB_PTSA_RATE_0_DUAL                      0x0
#define MC_PVA0XB_PTSA_RATE_0_SCR                       0
#define MC_PVA0XB_PTSA_RATE_0_WORD_COUNT                        0x1
#define MC_PVA0XB_PTSA_RATE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_PVA0XB_PTSA_RATE_0_RESET_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PVA0XB_PTSA_RATE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA0XB_PTSA_RATE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA0XB_PTSA_RATE_0_READ_MASK                         _MK_MASK_CONST(0xfff)
#define MC_PVA0XB_PTSA_RATE_0_WRITE_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PVA0XB_PTSA_RATE_0_PTSA_RATE_PVA0XB_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA0XB_PTSA_RATE_0_PTSA_RATE_PVA0XB_FIELD                    _MK_FIELD_CONST(0xfff, MC_PVA0XB_PTSA_RATE_0_PTSA_RATE_PVA0XB_SHIFT)
#define MC_PVA0XB_PTSA_RATE_0_PTSA_RATE_PVA0XB_RANGE                    11:0
#define MC_PVA0XB_PTSA_RATE_0_PTSA_RATE_PVA0XB_WOFFSET                  0x0
#define MC_PVA0XB_PTSA_RATE_0_PTSA_RATE_PVA0XB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PVA0XB_PTSA_RATE_0_PTSA_RATE_PVA0XB_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_PVA0XB_PTSA_RATE_0_PTSA_RATE_PVA0XB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA0XB_PTSA_RATE_0_PTSA_RATE_PVA0XB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XB_PTSA_RATE_0_PTSA_RATE_PVA0XB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA0XB_PTSA_RATE_0_PTSA_RATE_PVA0XB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MSEB1_PTSA_RATE_0
#define MC_MSEB1_PTSA_RATE_0                    _MK_ADDR_CONST(0x3a60)
#define MC_MSEB1_PTSA_RATE_0_SECURE                     0x0
#define MC_MSEB1_PTSA_RATE_0_DUAL                       0x0
#define MC_MSEB1_PTSA_RATE_0_SCR                        0
#define MC_MSEB1_PTSA_RATE_0_WORD_COUNT                         0x1
#define MC_MSEB1_PTSA_RATE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_MSEB1_PTSA_RATE_0_RESET_MASK                         _MK_MASK_CONST(0xfff)
#define MC_MSEB1_PTSA_RATE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MSEB1_PTSA_RATE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSEB1_PTSA_RATE_0_READ_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MSEB1_PTSA_RATE_0_WRITE_MASK                         _MK_MASK_CONST(0xfff)
#define MC_MSEB1_PTSA_RATE_0_PTSA_RATE_MSEB1_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_MSEB1_PTSA_RATE_0_PTSA_RATE_MSEB1_FIELD                      _MK_FIELD_CONST(0xfff, MC_MSEB1_PTSA_RATE_0_PTSA_RATE_MSEB1_SHIFT)
#define MC_MSEB1_PTSA_RATE_0_PTSA_RATE_MSEB1_RANGE                      11:0
#define MC_MSEB1_PTSA_RATE_0_PTSA_RATE_MSEB1_WOFFSET                    0x0
#define MC_MSEB1_PTSA_RATE_0_PTSA_RATE_MSEB1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSEB1_PTSA_RATE_0_PTSA_RATE_MSEB1_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_MSEB1_PTSA_RATE_0_PTSA_RATE_MSEB1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSEB1_PTSA_RATE_0_PTSA_RATE_MSEB1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSEB1_PTSA_RATE_0_PTSA_RATE_MSEB1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MSEB1_PTSA_RATE_0_PTSA_RATE_MSEB1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_PVA0XC_PTSA_MAX_0
#define MC_PVA0XC_PTSA_MAX_0                    _MK_ADDR_CONST(0x3574)
#define MC_PVA0XC_PTSA_MAX_0_SECURE                     0x0
#define MC_PVA0XC_PTSA_MAX_0_DUAL                       0x0
#define MC_PVA0XC_PTSA_MAX_0_SCR                        0
#define MC_PVA0XC_PTSA_MAX_0_WORD_COUNT                         0x1
#define MC_PVA0XC_PTSA_MAX_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_PVA0XC_PTSA_MAX_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XC_PTSA_MAX_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_PVA0XC_PTSA_MAX_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA0XC_PTSA_MAX_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_PVA0XC_PTSA_MAX_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XC_PTSA_MAX_0_PTSA_MAX_PVA0XC_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_PVA0XC_PTSA_MAX_0_PTSA_MAX_PVA0XC_FIELD                      _MK_FIELD_CONST(0x7ff, MC_PVA0XC_PTSA_MAX_0_PTSA_MAX_PVA0XC_SHIFT)
#define MC_PVA0XC_PTSA_MAX_0_PTSA_MAX_PVA0XC_RANGE                      10:0
#define MC_PVA0XC_PTSA_MAX_0_PTSA_MAX_PVA0XC_WOFFSET                    0x0
#define MC_PVA0XC_PTSA_MAX_0_PTSA_MAX_PVA0XC_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_PVA0XC_PTSA_MAX_0_PTSA_MAX_PVA0XC_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_PVA0XC_PTSA_MAX_0_PTSA_MAX_PVA0XC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PVA0XC_PTSA_MAX_0_PTSA_MAX_PVA0XC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA0XC_PTSA_MAX_0_PTSA_MAX_PVA0XC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PVA0XC_PTSA_MAX_0_PTSA_MAX_PVA0XC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_VICPC_PTSA_RATE_0
#define MC_VICPC_PTSA_RATE_0                    _MK_ADDR_CONST(0x554)
#define MC_VICPC_PTSA_RATE_0_SECURE                     0x0
#define MC_VICPC_PTSA_RATE_0_DUAL                       0x0
#define MC_VICPC_PTSA_RATE_0_SCR                        0
#define MC_VICPC_PTSA_RATE_0_WORD_COUNT                         0x1
#define MC_VICPC_PTSA_RATE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_VICPC_PTSA_RATE_0_RESET_MASK                         _MK_MASK_CONST(0xfff)
#define MC_VICPC_PTSA_RATE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_VICPC_PTSA_RATE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VICPC_PTSA_RATE_0_READ_MASK                  _MK_MASK_CONST(0xfff)
#define MC_VICPC_PTSA_RATE_0_WRITE_MASK                         _MK_MASK_CONST(0xfff)
#define MC_VICPC_PTSA_RATE_0_PTSA_RATE_VICPC_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_VICPC_PTSA_RATE_0_PTSA_RATE_VICPC_FIELD                      _MK_FIELD_CONST(0xfff, MC_VICPC_PTSA_RATE_0_PTSA_RATE_VICPC_SHIFT)
#define MC_VICPC_PTSA_RATE_0_PTSA_RATE_VICPC_RANGE                      11:0
#define MC_VICPC_PTSA_RATE_0_PTSA_RATE_VICPC_WOFFSET                    0x0
#define MC_VICPC_PTSA_RATE_0_PTSA_RATE_VICPC_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_VICPC_PTSA_RATE_0_PTSA_RATE_VICPC_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_VICPC_PTSA_RATE_0_PTSA_RATE_VICPC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VICPC_PTSA_RATE_0_PTSA_RATE_VICPC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VICPC_PTSA_RATE_0_PTSA_RATE_VICPC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VICPC_PTSA_RATE_0_PTSA_RATE_VICPC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_BPMPPC_PTSA_RATE_0
#define MC_BPMPPC_PTSA_RATE_0                   _MK_ADDR_CONST(0x75c)
#define MC_BPMPPC_PTSA_RATE_0_SECURE                    0x0
#define MC_BPMPPC_PTSA_RATE_0_DUAL                      0x0
#define MC_BPMPPC_PTSA_RATE_0_SCR                       0
#define MC_BPMPPC_PTSA_RATE_0_WORD_COUNT                        0x1
#define MC_BPMPPC_PTSA_RATE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_BPMPPC_PTSA_RATE_0_RESET_MASK                        _MK_MASK_CONST(0xfff)
#define MC_BPMPPC_PTSA_RATE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_BPMPPC_PTSA_RATE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_BPMPPC_PTSA_RATE_0_READ_MASK                         _MK_MASK_CONST(0xfff)
#define MC_BPMPPC_PTSA_RATE_0_WRITE_MASK                        _MK_MASK_CONST(0xfff)
#define MC_BPMPPC_PTSA_RATE_0_PTSA_RATE_BPMPPC_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_BPMPPC_PTSA_RATE_0_PTSA_RATE_BPMPPC_FIELD                    _MK_FIELD_CONST(0xfff, MC_BPMPPC_PTSA_RATE_0_PTSA_RATE_BPMPPC_SHIFT)
#define MC_BPMPPC_PTSA_RATE_0_PTSA_RATE_BPMPPC_RANGE                    11:0
#define MC_BPMPPC_PTSA_RATE_0_PTSA_RATE_BPMPPC_WOFFSET                  0x0
#define MC_BPMPPC_PTSA_RATE_0_PTSA_RATE_BPMPPC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_BPMPPC_PTSA_RATE_0_PTSA_RATE_BPMPPC_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_BPMPPC_PTSA_RATE_0_PTSA_RATE_BPMPPC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_BPMPPC_PTSA_RATE_0_PTSA_RATE_BPMPPC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_BPMPPC_PTSA_RATE_0_PTSA_RATE_BPMPPC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_BPMPPC_PTSA_RATE_0_PTSA_RATE_BPMPPC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_ISPPC_PTSA_MAX_0
#define MC_ISPPC_PTSA_MAX_0                     _MK_ADDR_CONST(0x3a74)
#define MC_ISPPC_PTSA_MAX_0_SECURE                      0x0
#define MC_ISPPC_PTSA_MAX_0_DUAL                        0x0
#define MC_ISPPC_PTSA_MAX_0_SCR                         0
#define MC_ISPPC_PTSA_MAX_0_WORD_COUNT                  0x1
#define MC_ISPPC_PTSA_MAX_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_ISPPC_PTSA_MAX_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_ISPPC_PTSA_MAX_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_ISPPC_PTSA_MAX_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ISPPC_PTSA_MAX_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_ISPPC_PTSA_MAX_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_ISPPC_PTSA_MAX_0_PTSA_MAX_ISPPC_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_ISPPC_PTSA_MAX_0_PTSA_MAX_ISPPC_FIELD                        _MK_FIELD_CONST(0x7ff, MC_ISPPC_PTSA_MAX_0_PTSA_MAX_ISPPC_SHIFT)
#define MC_ISPPC_PTSA_MAX_0_PTSA_MAX_ISPPC_RANGE                        10:0
#define MC_ISPPC_PTSA_MAX_0_PTSA_MAX_ISPPC_WOFFSET                      0x0
#define MC_ISPPC_PTSA_MAX_0_PTSA_MAX_ISPPC_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_ISPPC_PTSA_MAX_0_PTSA_MAX_ISPPC_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_ISPPC_PTSA_MAX_0_PTSA_MAX_ISPPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ISPPC_PTSA_MAX_0_PTSA_MAX_ISPPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ISPPC_PTSA_MAX_0_PTSA_MAX_ISPPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_ISPPC_PTSA_MAX_0_PTSA_MAX_ISPPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_SCEPC_PTSA_MAX_0
#define MC_SCEPC_PTSA_MAX_0                     _MK_ADDR_CONST(0x794)
#define MC_SCEPC_PTSA_MAX_0_SECURE                      0x0
#define MC_SCEPC_PTSA_MAX_0_DUAL                        0x0
#define MC_SCEPC_PTSA_MAX_0_SCR                         0
#define MC_SCEPC_PTSA_MAX_0_WORD_COUNT                  0x1
#define MC_SCEPC_PTSA_MAX_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_SCEPC_PTSA_MAX_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_SCEPC_PTSA_MAX_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SCEPC_PTSA_MAX_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SCEPC_PTSA_MAX_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_SCEPC_PTSA_MAX_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_SCEPC_PTSA_MAX_0_PTSA_MAX_SCEPC_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_SCEPC_PTSA_MAX_0_PTSA_MAX_SCEPC_FIELD                        _MK_FIELD_CONST(0x7ff, MC_SCEPC_PTSA_MAX_0_PTSA_MAX_SCEPC_SHIFT)
#define MC_SCEPC_PTSA_MAX_0_PTSA_MAX_SCEPC_RANGE                        10:0
#define MC_SCEPC_PTSA_MAX_0_PTSA_MAX_SCEPC_WOFFSET                      0x0
#define MC_SCEPC_PTSA_MAX_0_PTSA_MAX_SCEPC_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_SCEPC_PTSA_MAX_0_PTSA_MAX_SCEPC_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_SCEPC_PTSA_MAX_0_PTSA_MAX_SCEPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SCEPC_PTSA_MAX_0_PTSA_MAX_SCEPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SCEPC_PTSA_MAX_0_PTSA_MAX_SCEPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SCEPC_PTSA_MAX_0_PTSA_MAX_SCEPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_DLA0XA_PTSA_RATE_0
#define MC_DLA0XA_PTSA_RATE_0                   _MK_ADDR_CONST(0x7e0)
#define MC_DLA0XA_PTSA_RATE_0_SECURE                    0x0
#define MC_DLA0XA_PTSA_RATE_0_DUAL                      0x0
#define MC_DLA0XA_PTSA_RATE_0_SCR                       0
#define MC_DLA0XA_PTSA_RATE_0_WORD_COUNT                        0x1
#define MC_DLA0XA_PTSA_RATE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_DLA0XA_PTSA_RATE_0_RESET_MASK                        _MK_MASK_CONST(0xfff)
#define MC_DLA0XA_PTSA_RATE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_DLA0XA_PTSA_RATE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_DLA0XA_PTSA_RATE_0_READ_MASK                         _MK_MASK_CONST(0xfff)
#define MC_DLA0XA_PTSA_RATE_0_WRITE_MASK                        _MK_MASK_CONST(0xfff)
#define MC_DLA0XA_PTSA_RATE_0_PTSA_RATE_DLA0XA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_DLA0XA_PTSA_RATE_0_PTSA_RATE_DLA0XA_FIELD                    _MK_FIELD_CONST(0xfff, MC_DLA0XA_PTSA_RATE_0_PTSA_RATE_DLA0XA_SHIFT)
#define MC_DLA0XA_PTSA_RATE_0_PTSA_RATE_DLA0XA_RANGE                    11:0
#define MC_DLA0XA_PTSA_RATE_0_PTSA_RATE_DLA0XA_WOFFSET                  0x0
#define MC_DLA0XA_PTSA_RATE_0_PTSA_RATE_DLA0XA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_DLA0XA_PTSA_RATE_0_PTSA_RATE_DLA0XA_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_DLA0XA_PTSA_RATE_0_PTSA_RATE_DLA0XA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_DLA0XA_PTSA_RATE_0_PTSA_RATE_DLA0XA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA0XA_PTSA_RATE_0_PTSA_RATE_DLA0XA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_DLA0XA_PTSA_RATE_0_PTSA_RATE_DLA0XA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_DLA0XA3_PTSA_MAX_0
#define MC_DLA0XA3_PTSA_MAX_0                   _MK_ADDR_CONST(0x3368)
#define MC_DLA0XA3_PTSA_MAX_0_SECURE                    0x0
#define MC_DLA0XA3_PTSA_MAX_0_DUAL                      0x0
#define MC_DLA0XA3_PTSA_MAX_0_SCR                       0
#define MC_DLA0XA3_PTSA_MAX_0_WORD_COUNT                        0x1
#define MC_DLA0XA3_PTSA_MAX_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA3_PTSA_MAX_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA3_PTSA_MAX_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_PTSA_MAX_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_PTSA_MAX_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA3_PTSA_MAX_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA3_PTSA_MAX_0_PTSA_MAX_DLA0XA3_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_DLA0XA3_PTSA_MAX_0_PTSA_MAX_DLA0XA3_FIELD                    _MK_FIELD_CONST(0x7ff, MC_DLA0XA3_PTSA_MAX_0_PTSA_MAX_DLA0XA3_SHIFT)
#define MC_DLA0XA3_PTSA_MAX_0_PTSA_MAX_DLA0XA3_RANGE                    10:0
#define MC_DLA0XA3_PTSA_MAX_0_PTSA_MAX_DLA0XA3_WOFFSET                  0x0
#define MC_DLA0XA3_PTSA_MAX_0_PTSA_MAX_DLA0XA3_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA3_PTSA_MAX_0_PTSA_MAX_DLA0XA3_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_DLA0XA3_PTSA_MAX_0_PTSA_MAX_DLA0XA3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_PTSA_MAX_0_PTSA_MAX_DLA0XA3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_PTSA_MAX_0_PTSA_MAX_DLA0XA3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_DLA0XA3_PTSA_MAX_0_PTSA_MAX_DLA0XA3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MIU7_PTSA_RATE_0
#define MC_MIU7_PTSA_RATE_0                     _MK_ADDR_CONST(0x4b60)
#define MC_MIU7_PTSA_RATE_0_SECURE                      0x0
#define MC_MIU7_PTSA_RATE_0_DUAL                        0x0
#define MC_MIU7_PTSA_RATE_0_SCR                         0
#define MC_MIU7_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_MIU7_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MIU7_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MIU7_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MIU7_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MIU7_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_MIU7_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MIU7_PTSA_RATE_0_PTSA_RATE_MIU7_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MIU7_PTSA_RATE_0_PTSA_RATE_MIU7_FIELD                        _MK_FIELD_CONST(0xfff, MC_MIU7_PTSA_RATE_0_PTSA_RATE_MIU7_SHIFT)
#define MC_MIU7_PTSA_RATE_0_PTSA_RATE_MIU7_RANGE                        11:0
#define MC_MIU7_PTSA_RATE_0_PTSA_RATE_MIU7_WOFFSET                      0x0
#define MC_MIU7_PTSA_RATE_0_PTSA_RATE_MIU7_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MIU7_PTSA_RATE_0_PTSA_RATE_MIU7_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_MIU7_PTSA_RATE_0_PTSA_RATE_MIU7_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MIU7_PTSA_RATE_0_PTSA_RATE_MIU7_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU7_PTSA_RATE_0_PTSA_RATE_MIU7_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MIU7_PTSA_RATE_0_PTSA_RATE_MIU7_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_PCIE4X_PTSA_MIN_0
#define MC_PCIE4X_PTSA_MIN_0                    _MK_ADDR_CONST(0x3340)
#define MC_PCIE4X_PTSA_MIN_0_SECURE                     0x0
#define MC_PCIE4X_PTSA_MIN_0_DUAL                       0x0
#define MC_PCIE4X_PTSA_MIN_0_SCR                        0
#define MC_PCIE4X_PTSA_MIN_0_WORD_COUNT                         0x1
#define MC_PCIE4X_PTSA_MIN_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE4X_PTSA_MIN_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE4X_PTSA_MIN_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_PCIE4X_PTSA_MIN_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCIE4X_PTSA_MIN_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE4X_PTSA_MIN_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE4X_PTSA_MIN_0_PTSA_MIN_PCIE4X_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_PCIE4X_PTSA_MIN_0_PTSA_MIN_PCIE4X_FIELD                      _MK_FIELD_CONST(0x7ff, MC_PCIE4X_PTSA_MIN_0_PTSA_MIN_PCIE4X_SHIFT)
#define MC_PCIE4X_PTSA_MIN_0_PTSA_MIN_PCIE4X_RANGE                      10:0
#define MC_PCIE4X_PTSA_MIN_0_PTSA_MIN_PCIE4X_WOFFSET                    0x0
#define MC_PCIE4X_PTSA_MIN_0_PTSA_MIN_PCIE4X_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_PCIE4X_PTSA_MIN_0_PTSA_MIN_PCIE4X_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_PCIE4X_PTSA_MIN_0_PTSA_MIN_PCIE4X_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCIE4X_PTSA_MIN_0_PTSA_MIN_PCIE4X_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCIE4X_PTSA_MIN_0_PTSA_MIN_PCIE4X_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PCIE4X_PTSA_MIN_0_PTSA_MIN_PCIE4X_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_PCIE5X_PTSA_RATE_0
#define MC_PCIE5X_PTSA_RATE_0                   _MK_ADDR_CONST(0x3348)
#define MC_PCIE5X_PTSA_RATE_0_SECURE                    0x0
#define MC_PCIE5X_PTSA_RATE_0_DUAL                      0x0
#define MC_PCIE5X_PTSA_RATE_0_SCR                       0
#define MC_PCIE5X_PTSA_RATE_0_WORD_COUNT                        0x1
#define MC_PCIE5X_PTSA_RATE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_PCIE5X_PTSA_RATE_0_RESET_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PCIE5X_PTSA_RATE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PCIE5X_PTSA_RATE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCIE5X_PTSA_RATE_0_READ_MASK                         _MK_MASK_CONST(0xfff)
#define MC_PCIE5X_PTSA_RATE_0_WRITE_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PCIE5X_PTSA_RATE_0_PTSA_RATE_PCIE5X_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PCIE5X_PTSA_RATE_0_PTSA_RATE_PCIE5X_FIELD                    _MK_FIELD_CONST(0xfff, MC_PCIE5X_PTSA_RATE_0_PTSA_RATE_PCIE5X_SHIFT)
#define MC_PCIE5X_PTSA_RATE_0_PTSA_RATE_PCIE5X_RANGE                    11:0
#define MC_PCIE5X_PTSA_RATE_0_PTSA_RATE_PCIE5X_WOFFSET                  0x0
#define MC_PCIE5X_PTSA_RATE_0_PTSA_RATE_PCIE5X_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PCIE5X_PTSA_RATE_0_PTSA_RATE_PCIE5X_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_PCIE5X_PTSA_RATE_0_PTSA_RATE_PCIE5X_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE5X_PTSA_RATE_0_PTSA_RATE_PCIE5X_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE5X_PTSA_RATE_0_PTSA_RATE_PCIE5X_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE5X_PTSA_RATE_0_PTSA_RATE_PCIE5X_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_SDM_PTSA_MAX_0
#define MC_SDM_PTSA_MAX_0                       _MK_ADDR_CONST(0x624)
#define MC_SDM_PTSA_MAX_0_SECURE                        0x0
#define MC_SDM_PTSA_MAX_0_DUAL                  0x0
#define MC_SDM_PTSA_MAX_0_SCR                   0
#define MC_SDM_PTSA_MAX_0_WORD_COUNT                    0x1
#define MC_SDM_PTSA_MAX_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_SDM_PTSA_MAX_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_SDM_PTSA_MAX_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_SDM_PTSA_MAX_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SDM_PTSA_MAX_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_SDM_PTSA_MAX_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_SDM_PTSA_MAX_0_PTSA_MAX_SDM_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SDM_PTSA_MAX_0_PTSA_MAX_SDM_FIELD                    _MK_FIELD_CONST(0x7ff, MC_SDM_PTSA_MAX_0_PTSA_MAX_SDM_SHIFT)
#define MC_SDM_PTSA_MAX_0_PTSA_MAX_SDM_RANGE                    10:0
#define MC_SDM_PTSA_MAX_0_PTSA_MAX_SDM_WOFFSET                  0x0
#define MC_SDM_PTSA_MAX_0_PTSA_MAX_SDM_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_SDM_PTSA_MAX_0_PTSA_MAX_SDM_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_SDM_PTSA_MAX_0_PTSA_MAX_SDM_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SDM_PTSA_MAX_0_PTSA_MAX_SDM_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SDM_PTSA_MAX_0_PTSA_MAX_SDM_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SDM_PTSA_MAX_0_PTSA_MAX_SDM_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_VICPC2_PTSA_RATE_0
#define MC_VICPC2_PTSA_RATE_0                   _MK_ADDR_CONST(0x3a0c)
#define MC_VICPC2_PTSA_RATE_0_SECURE                    0x0
#define MC_VICPC2_PTSA_RATE_0_DUAL                      0x0
#define MC_VICPC2_PTSA_RATE_0_SCR                       0
#define MC_VICPC2_PTSA_RATE_0_WORD_COUNT                        0x1
#define MC_VICPC2_PTSA_RATE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_VICPC2_PTSA_RATE_0_RESET_MASK                        _MK_MASK_CONST(0xfff)
#define MC_VICPC2_PTSA_RATE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_VICPC2_PTSA_RATE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_VICPC2_PTSA_RATE_0_READ_MASK                         _MK_MASK_CONST(0xfff)
#define MC_VICPC2_PTSA_RATE_0_WRITE_MASK                        _MK_MASK_CONST(0xfff)
#define MC_VICPC2_PTSA_RATE_0_PTSA_RATE_VICPC2_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_VICPC2_PTSA_RATE_0_PTSA_RATE_VICPC2_FIELD                    _MK_FIELD_CONST(0xfff, MC_VICPC2_PTSA_RATE_0_PTSA_RATE_VICPC2_SHIFT)
#define MC_VICPC2_PTSA_RATE_0_PTSA_RATE_VICPC2_RANGE                    11:0
#define MC_VICPC2_PTSA_RATE_0_PTSA_RATE_VICPC2_WOFFSET                  0x0
#define MC_VICPC2_PTSA_RATE_0_PTSA_RATE_VICPC2_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VICPC2_PTSA_RATE_0_PTSA_RATE_VICPC2_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_VICPC2_PTSA_RATE_0_PTSA_RATE_VICPC2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_VICPC2_PTSA_RATE_0_PTSA_RATE_VICPC2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_VICPC2_PTSA_RATE_0_PTSA_RATE_VICPC2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_VICPC2_PTSA_RATE_0_PTSA_RATE_VICPC2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PCIE5XA_PTSA_MIN_0
#define MC_PCIE5XA_PTSA_MIN_0                   _MK_ADDR_CONST(0x3540)
#define MC_PCIE5XA_PTSA_MIN_0_SECURE                    0x0
#define MC_PCIE5XA_PTSA_MIN_0_DUAL                      0x0
#define MC_PCIE5XA_PTSA_MIN_0_SCR                       0
#define MC_PCIE5XA_PTSA_MIN_0_WORD_COUNT                        0x1
#define MC_PCIE5XA_PTSA_MIN_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE5XA_PTSA_MIN_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE5XA_PTSA_MIN_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_PTSA_MIN_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_PTSA_MIN_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE5XA_PTSA_MIN_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE5XA_PTSA_MIN_0_PTSA_MIN_PCIE5XA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PCIE5XA_PTSA_MIN_0_PTSA_MIN_PCIE5XA_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PCIE5XA_PTSA_MIN_0_PTSA_MIN_PCIE5XA_SHIFT)
#define MC_PCIE5XA_PTSA_MIN_0_PTSA_MIN_PCIE5XA_RANGE                    10:0
#define MC_PCIE5XA_PTSA_MIN_0_PTSA_MIN_PCIE5XA_WOFFSET                  0x0
#define MC_PCIE5XA_PTSA_MIN_0_PTSA_MIN_PCIE5XA_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE5XA_PTSA_MIN_0_PTSA_MIN_PCIE5XA_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PCIE5XA_PTSA_MIN_0_PTSA_MIN_PCIE5XA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_PTSA_MIN_0_PTSA_MIN_PCIE5XA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_PTSA_MIN_0_PTSA_MIN_PCIE5XA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE5XA_PTSA_MIN_0_PTSA_MIN_PCIE5XA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_NVD4_PTSA_RATE_0
#define MC_NVD4_PTSA_RATE_0                     _MK_ADDR_CONST(0x4b18)
#define MC_NVD4_PTSA_RATE_0_SECURE                      0x0
#define MC_NVD4_PTSA_RATE_0_DUAL                        0x0
#define MC_NVD4_PTSA_RATE_0_SCR                         0
#define MC_NVD4_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_NVD4_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_NVD4_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_NVD4_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_NVD4_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_NVD4_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_NVD4_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_NVD4_PTSA_RATE_0_PTSA_RATE_NVD4_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_NVD4_PTSA_RATE_0_PTSA_RATE_NVD4_FIELD                        _MK_FIELD_CONST(0xfff, MC_NVD4_PTSA_RATE_0_PTSA_RATE_NVD4_SHIFT)
#define MC_NVD4_PTSA_RATE_0_PTSA_RATE_NVD4_RANGE                        11:0
#define MC_NVD4_PTSA_RATE_0_PTSA_RATE_NVD4_WOFFSET                      0x0
#define MC_NVD4_PTSA_RATE_0_PTSA_RATE_NVD4_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_NVD4_PTSA_RATE_0_PTSA_RATE_NVD4_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_NVD4_PTSA_RATE_0_PTSA_RATE_NVD4_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_NVD4_PTSA_RATE_0_PTSA_RATE_NVD4_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_NVD4_PTSA_RATE_0_PTSA_RATE_NVD4_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_NVD4_PTSA_RATE_0_PTSA_RATE_NVD4_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_PVA0XA_PTSA_MAX_0
#define MC_PVA0XA_PTSA_MAX_0                    _MK_ADDR_CONST(0x3108)
#define MC_PVA0XA_PTSA_MAX_0_SECURE                     0x0
#define MC_PVA0XA_PTSA_MAX_0_DUAL                       0x0
#define MC_PVA0XA_PTSA_MAX_0_SCR                        0
#define MC_PVA0XA_PTSA_MAX_0_WORD_COUNT                         0x1
#define MC_PVA0XA_PTSA_MAX_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA_PTSA_MAX_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA_PTSA_MAX_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_PVA0XA_PTSA_MAX_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA0XA_PTSA_MAX_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA_PTSA_MAX_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA_PTSA_MAX_0_PTSA_MAX_PVA0XA_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_PVA0XA_PTSA_MAX_0_PTSA_MAX_PVA0XA_FIELD                      _MK_FIELD_CONST(0x7ff, MC_PVA0XA_PTSA_MAX_0_PTSA_MAX_PVA0XA_SHIFT)
#define MC_PVA0XA_PTSA_MAX_0_PTSA_MAX_PVA0XA_RANGE                      10:0
#define MC_PVA0XA_PTSA_MAX_0_PTSA_MAX_PVA0XA_WOFFSET                    0x0
#define MC_PVA0XA_PTSA_MAX_0_PTSA_MAX_PVA0XA_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA_PTSA_MAX_0_PTSA_MAX_PVA0XA_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA_PTSA_MAX_0_PTSA_MAX_PVA0XA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PVA0XA_PTSA_MAX_0_PTSA_MAX_PVA0XA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA0XA_PTSA_MAX_0_PTSA_MAX_PVA0XA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PVA0XA_PTSA_MAX_0_PTSA_MAX_PVA0XA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_MSE2_PTSA_MIN_0
#define MC_MSE2_PTSA_MIN_0                      _MK_ADDR_CONST(0x7cc)
#define MC_MSE2_PTSA_MIN_0_SECURE                       0x0
#define MC_MSE2_PTSA_MIN_0_DUAL                         0x0
#define MC_MSE2_PTSA_MIN_0_SCR                  0
#define MC_MSE2_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_MSE2_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MSE2_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSE2_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MSE2_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSE2_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MSE2_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSE2_PTSA_MIN_0_PTSA_MIN_MSE2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MSE2_PTSA_MIN_0_PTSA_MIN_MSE2_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MSE2_PTSA_MIN_0_PTSA_MIN_MSE2_SHIFT)
#define MC_MSE2_PTSA_MIN_0_PTSA_MIN_MSE2_RANGE                  10:0
#define MC_MSE2_PTSA_MIN_0_PTSA_MIN_MSE2_WOFFSET                        0x0
#define MC_MSE2_PTSA_MIN_0_PTSA_MIN_MSE2_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MSE2_PTSA_MIN_0_PTSA_MIN_MSE2_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSE2_PTSA_MIN_0_PTSA_MIN_MSE2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSE2_PTSA_MIN_0_PTSA_MIN_MSE2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSE2_PTSA_MIN_0_PTSA_MIN_MSE2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSE2_PTSA_MIN_0_PTSA_MIN_MSE2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_USBD2_PTSA_MAX_0
#define MC_USBD2_PTSA_MAX_0                     _MK_ADDR_CONST(0x3a44)
#define MC_USBD2_PTSA_MAX_0_SECURE                      0x0
#define MC_USBD2_PTSA_MAX_0_DUAL                        0x0
#define MC_USBD2_PTSA_MAX_0_SCR                         0
#define MC_USBD2_PTSA_MAX_0_WORD_COUNT                  0x1
#define MC_USBD2_PTSA_MAX_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_USBD2_PTSA_MAX_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_USBD2_PTSA_MAX_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_USBD2_PTSA_MAX_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_USBD2_PTSA_MAX_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_USBD2_PTSA_MAX_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_USBD2_PTSA_MAX_0_PTSA_MAX_USBD2_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_USBD2_PTSA_MAX_0_PTSA_MAX_USBD2_FIELD                        _MK_FIELD_CONST(0x7ff, MC_USBD2_PTSA_MAX_0_PTSA_MAX_USBD2_SHIFT)
#define MC_USBD2_PTSA_MAX_0_PTSA_MAX_USBD2_RANGE                        10:0
#define MC_USBD2_PTSA_MAX_0_PTSA_MAX_USBD2_WOFFSET                      0x0
#define MC_USBD2_PTSA_MAX_0_PTSA_MAX_USBD2_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_USBD2_PTSA_MAX_0_PTSA_MAX_USBD2_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_USBD2_PTSA_MAX_0_PTSA_MAX_USBD2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_USBD2_PTSA_MAX_0_PTSA_MAX_USBD2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_USBD2_PTSA_MAX_0_PTSA_MAX_USBD2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_USBD2_PTSA_MAX_0_PTSA_MAX_USBD2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_SAX_PTSA_RATE_0
#define MC_SAX_PTSA_RATE_0                      _MK_ADDR_CONST(0x4b8)
#define MC_SAX_PTSA_RATE_0_SECURE                       0x0
#define MC_SAX_PTSA_RATE_0_DUAL                         0x0
#define MC_SAX_PTSA_RATE_0_SCR                  0
#define MC_SAX_PTSA_RATE_0_WORD_COUNT                   0x1
#define MC_SAX_PTSA_RATE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SAX_PTSA_RATE_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_SAX_PTSA_RATE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SAX_PTSA_RATE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SAX_PTSA_RATE_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_SAX_PTSA_RATE_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_SAX_PTSA_RATE_0_PTSA_RATE_SAX_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SAX_PTSA_RATE_0_PTSA_RATE_SAX_FIELD                  _MK_FIELD_CONST(0xfff, MC_SAX_PTSA_RATE_0_PTSA_RATE_SAX_SHIFT)
#define MC_SAX_PTSA_RATE_0_PTSA_RATE_SAX_RANGE                  11:0
#define MC_SAX_PTSA_RATE_0_PTSA_RATE_SAX_WOFFSET                        0x0
#define MC_SAX_PTSA_RATE_0_PTSA_RATE_SAX_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SAX_PTSA_RATE_0_PTSA_RATE_SAX_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_SAX_PTSA_RATE_0_PTSA_RATE_SAX_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SAX_PTSA_RATE_0_PTSA_RATE_SAX_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SAX_PTSA_RATE_0_PTSA_RATE_SAX_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SAX_PTSA_RATE_0_PTSA_RATE_SAX_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_APB_PTSA_MIN_0
#define MC_APB_PTSA_MIN_0                       _MK_ADDR_CONST(0x4ec)
#define MC_APB_PTSA_MIN_0_SECURE                        0x0
#define MC_APB_PTSA_MIN_0_DUAL                  0x0
#define MC_APB_PTSA_MIN_0_SCR                   0
#define MC_APB_PTSA_MIN_0_WORD_COUNT                    0x1
#define MC_APB_PTSA_MIN_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_APB_PTSA_MIN_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_APB_PTSA_MIN_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_APB_PTSA_MIN_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_APB_PTSA_MIN_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_APB_PTSA_MIN_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_APB_PTSA_MIN_0_PTSA_MIN_APB_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_APB_PTSA_MIN_0_PTSA_MIN_APB_FIELD                    _MK_FIELD_CONST(0x7ff, MC_APB_PTSA_MIN_0_PTSA_MIN_APB_SHIFT)
#define MC_APB_PTSA_MIN_0_PTSA_MIN_APB_RANGE                    10:0
#define MC_APB_PTSA_MIN_0_PTSA_MIN_APB_WOFFSET                  0x0
#define MC_APB_PTSA_MIN_0_PTSA_MIN_APB_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_APB_PTSA_MIN_0_PTSA_MIN_APB_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_APB_PTSA_MIN_0_PTSA_MIN_APB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_APB_PTSA_MIN_0_PTSA_MIN_APB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_APB_PTSA_MIN_0_PTSA_MIN_APB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_APB_PTSA_MIN_0_PTSA_MIN_APB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_ISPPC_PTSA_RATE_0
#define MC_ISPPC_PTSA_RATE_0                    _MK_ADDR_CONST(0x3a6c)
#define MC_ISPPC_PTSA_RATE_0_SECURE                     0x0
#define MC_ISPPC_PTSA_RATE_0_DUAL                       0x0
#define MC_ISPPC_PTSA_RATE_0_SCR                        0
#define MC_ISPPC_PTSA_RATE_0_WORD_COUNT                         0x1
#define MC_ISPPC_PTSA_RATE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_ISPPC_PTSA_RATE_0_RESET_MASK                         _MK_MASK_CONST(0xfff)
#define MC_ISPPC_PTSA_RATE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_ISPPC_PTSA_RATE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ISPPC_PTSA_RATE_0_READ_MASK                  _MK_MASK_CONST(0xfff)
#define MC_ISPPC_PTSA_RATE_0_WRITE_MASK                         _MK_MASK_CONST(0xfff)
#define MC_ISPPC_PTSA_RATE_0_PTSA_RATE_ISPPC_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_ISPPC_PTSA_RATE_0_PTSA_RATE_ISPPC_FIELD                      _MK_FIELD_CONST(0xfff, MC_ISPPC_PTSA_RATE_0_PTSA_RATE_ISPPC_SHIFT)
#define MC_ISPPC_PTSA_RATE_0_PTSA_RATE_ISPPC_RANGE                      11:0
#define MC_ISPPC_PTSA_RATE_0_PTSA_RATE_ISPPC_WOFFSET                    0x0
#define MC_ISPPC_PTSA_RATE_0_PTSA_RATE_ISPPC_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ISPPC_PTSA_RATE_0_PTSA_RATE_ISPPC_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_ISPPC_PTSA_RATE_0_PTSA_RATE_ISPPC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ISPPC_PTSA_RATE_0_PTSA_RATE_ISPPC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ISPPC_PTSA_RATE_0_PTSA_RATE_ISPPC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ISPPC_PTSA_RATE_0_PTSA_RATE_ISPPC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_PVA1XA2_PTSA_RATE_0
#define MC_PVA1XA2_PTSA_RATE_0                  _MK_ADDR_CONST(0x3960)
#define MC_PVA1XA2_PTSA_RATE_0_SECURE                   0x0
#define MC_PVA1XA2_PTSA_RATE_0_DUAL                     0x0
#define MC_PVA1XA2_PTSA_RATE_0_SCR                      0
#define MC_PVA1XA2_PTSA_RATE_0_WORD_COUNT                       0x1
#define MC_PVA1XA2_PTSA_RATE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_PTSA_RATE_0_RESET_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PVA1XA2_PTSA_RATE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_PTSA_RATE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_PTSA_RATE_0_READ_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PVA1XA2_PTSA_RATE_0_WRITE_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PVA1XA2_PTSA_RATE_0_PTSA_RATE_PVA1XA2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_PVA1XA2_PTSA_RATE_0_PTSA_RATE_PVA1XA2_FIELD                  _MK_FIELD_CONST(0xfff, MC_PVA1XA2_PTSA_RATE_0_PTSA_RATE_PVA1XA2_SHIFT)
#define MC_PVA1XA2_PTSA_RATE_0_PTSA_RATE_PVA1XA2_RANGE                  11:0
#define MC_PVA1XA2_PTSA_RATE_0_PTSA_RATE_PVA1XA2_WOFFSET                        0x0
#define MC_PVA1XA2_PTSA_RATE_0_PTSA_RATE_PVA1XA2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_PTSA_RATE_0_PTSA_RATE_PVA1XA2_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_PVA1XA2_PTSA_RATE_0_PTSA_RATE_PVA1XA2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_PTSA_RATE_0_PTSA_RATE_PVA1XA2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_PTSA_RATE_0_PTSA_RATE_PVA1XA2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_PTSA_RATE_0_PTSA_RATE_PVA1XA2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PCIE5X2_PTSA_MAX_0
#define MC_PCIE5X2_PTSA_MAX_0                   _MK_ADDR_CONST(0x3a08)
#define MC_PCIE5X2_PTSA_MAX_0_SECURE                    0x0
#define MC_PCIE5X2_PTSA_MAX_0_DUAL                      0x0
#define MC_PCIE5X2_PTSA_MAX_0_SCR                       0
#define MC_PCIE5X2_PTSA_MAX_0_WORD_COUNT                        0x1
#define MC_PCIE5X2_PTSA_MAX_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X2_PTSA_MAX_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X2_PTSA_MAX_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_PTSA_MAX_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_PTSA_MAX_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X2_PTSA_MAX_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X2_PTSA_MAX_0_PTSA_MAX_PCIE5X2_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PCIE5X2_PTSA_MAX_0_PTSA_MAX_PCIE5X2_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PCIE5X2_PTSA_MAX_0_PTSA_MAX_PCIE5X2_SHIFT)
#define MC_PCIE5X2_PTSA_MAX_0_PTSA_MAX_PCIE5X2_RANGE                    10:0
#define MC_PCIE5X2_PTSA_MAX_0_PTSA_MAX_PCIE5X2_WOFFSET                  0x0
#define MC_PCIE5X2_PTSA_MAX_0_PTSA_MAX_PCIE5X2_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X2_PTSA_MAX_0_PTSA_MAX_PCIE5X2_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PCIE5X2_PTSA_MAX_0_PTSA_MAX_PCIE5X2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_PTSA_MAX_0_PTSA_MAX_PCIE5X2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_PTSA_MAX_0_PTSA_MAX_PCIE5X2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE5X2_PTSA_MAX_0_PTSA_MAX_PCIE5X2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PCIE4XA_PTSA_MIN_0
#define MC_PCIE4XA_PTSA_MIN_0                   _MK_ADDR_CONST(0x3534)
#define MC_PCIE4XA_PTSA_MIN_0_SECURE                    0x0
#define MC_PCIE4XA_PTSA_MIN_0_DUAL                      0x0
#define MC_PCIE4XA_PTSA_MIN_0_SCR                       0
#define MC_PCIE4XA_PTSA_MIN_0_WORD_COUNT                        0x1
#define MC_PCIE4XA_PTSA_MIN_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE4XA_PTSA_MIN_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE4XA_PTSA_MIN_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_PTSA_MIN_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_PTSA_MIN_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE4XA_PTSA_MIN_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE4XA_PTSA_MIN_0_PTSA_MIN_PCIE4XA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PCIE4XA_PTSA_MIN_0_PTSA_MIN_PCIE4XA_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PCIE4XA_PTSA_MIN_0_PTSA_MIN_PCIE4XA_SHIFT)
#define MC_PCIE4XA_PTSA_MIN_0_PTSA_MIN_PCIE4XA_RANGE                    10:0
#define MC_PCIE4XA_PTSA_MIN_0_PTSA_MIN_PCIE4XA_WOFFSET                  0x0
#define MC_PCIE4XA_PTSA_MIN_0_PTSA_MIN_PCIE4XA_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE4XA_PTSA_MIN_0_PTSA_MIN_PCIE4XA_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PCIE4XA_PTSA_MIN_0_PTSA_MIN_PCIE4XA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_PTSA_MIN_0_PTSA_MIN_PCIE4XA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_PTSA_MIN_0_PTSA_MIN_PCIE4XA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE4XA_PTSA_MIN_0_PTSA_MIN_PCIE4XA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_RCEPC_PTSA_MAX_0
#define MC_RCEPC_PTSA_MAX_0                     _MK_ADDR_CONST(0x3120)
#define MC_RCEPC_PTSA_MAX_0_SECURE                      0x0
#define MC_RCEPC_PTSA_MAX_0_DUAL                        0x0
#define MC_RCEPC_PTSA_MAX_0_SCR                         0
#define MC_RCEPC_PTSA_MAX_0_WORD_COUNT                  0x1
#define MC_RCEPC_PTSA_MAX_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_RCEPC_PTSA_MAX_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_RCEPC_PTSA_MAX_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_RCEPC_PTSA_MAX_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_RCEPC_PTSA_MAX_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_RCEPC_PTSA_MAX_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_RCEPC_PTSA_MAX_0_PTSA_MAX_RCEPC_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_RCEPC_PTSA_MAX_0_PTSA_MAX_RCEPC_FIELD                        _MK_FIELD_CONST(0x7ff, MC_RCEPC_PTSA_MAX_0_PTSA_MAX_RCEPC_SHIFT)
#define MC_RCEPC_PTSA_MAX_0_PTSA_MAX_RCEPC_RANGE                        10:0
#define MC_RCEPC_PTSA_MAX_0_PTSA_MAX_RCEPC_WOFFSET                      0x0
#define MC_RCEPC_PTSA_MAX_0_PTSA_MAX_RCEPC_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_RCEPC_PTSA_MAX_0_PTSA_MAX_RCEPC_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_RCEPC_PTSA_MAX_0_PTSA_MAX_RCEPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_RCEPC_PTSA_MAX_0_PTSA_MAX_RCEPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_RCEPC_PTSA_MAX_0_PTSA_MAX_RCEPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_RCEPC_PTSA_MAX_0_PTSA_MAX_RCEPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_PVA0XA3_PTSA_RATE_0
#define MC_PVA0XA3_PTSA_RATE_0                  _MK_ADDR_CONST(0x3548)
#define MC_PVA0XA3_PTSA_RATE_0_SECURE                   0x0
#define MC_PVA0XA3_PTSA_RATE_0_DUAL                     0x0
#define MC_PVA0XA3_PTSA_RATE_0_SCR                      0
#define MC_PVA0XA3_PTSA_RATE_0_WORD_COUNT                       0x1
#define MC_PVA0XA3_PTSA_RATE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_PTSA_RATE_0_RESET_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PVA0XA3_PTSA_RATE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_PTSA_RATE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_PTSA_RATE_0_READ_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PVA0XA3_PTSA_RATE_0_WRITE_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PVA0XA3_PTSA_RATE_0_PTSA_RATE_PVA0XA3_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_PVA0XA3_PTSA_RATE_0_PTSA_RATE_PVA0XA3_FIELD                  _MK_FIELD_CONST(0xfff, MC_PVA0XA3_PTSA_RATE_0_PTSA_RATE_PVA0XA3_SHIFT)
#define MC_PVA0XA3_PTSA_RATE_0_PTSA_RATE_PVA0XA3_RANGE                  11:0
#define MC_PVA0XA3_PTSA_RATE_0_PTSA_RATE_PVA0XA3_WOFFSET                        0x0
#define MC_PVA0XA3_PTSA_RATE_0_PTSA_RATE_PVA0XA3_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_PTSA_RATE_0_PTSA_RATE_PVA0XA3_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_PVA0XA3_PTSA_RATE_0_PTSA_RATE_PVA0XA3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_PTSA_RATE_0_PTSA_RATE_PVA0XA3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_PTSA_RATE_0_PTSA_RATE_PVA0XA3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PVA0XA3_PTSA_RATE_0_PTSA_RATE_PVA0XA3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_AONPC_PTSA_MIN_0
#define MC_AONPC_PTSA_MIN_0                     _MK_ADDR_CONST(0x778)
#define MC_AONPC_PTSA_MIN_0_SECURE                      0x0
#define MC_AONPC_PTSA_MIN_0_DUAL                        0x0
#define MC_AONPC_PTSA_MIN_0_SCR                         0
#define MC_AONPC_PTSA_MIN_0_WORD_COUNT                  0x1
#define MC_AONPC_PTSA_MIN_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_AONPC_PTSA_MIN_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_AONPC_PTSA_MIN_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_AONPC_PTSA_MIN_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_AONPC_PTSA_MIN_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_AONPC_PTSA_MIN_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_AONPC_PTSA_MIN_0_PTSA_MIN_AONPC_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_AONPC_PTSA_MIN_0_PTSA_MIN_AONPC_FIELD                        _MK_FIELD_CONST(0x7ff, MC_AONPC_PTSA_MIN_0_PTSA_MIN_AONPC_SHIFT)
#define MC_AONPC_PTSA_MIN_0_PTSA_MIN_AONPC_RANGE                        10:0
#define MC_AONPC_PTSA_MIN_0_PTSA_MIN_AONPC_WOFFSET                      0x0
#define MC_AONPC_PTSA_MIN_0_PTSA_MIN_AONPC_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_AONPC_PTSA_MIN_0_PTSA_MIN_AONPC_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_AONPC_PTSA_MIN_0_PTSA_MIN_AONPC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_AONPC_PTSA_MIN_0_PTSA_MIN_AONPC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_AONPC_PTSA_MIN_0_PTSA_MIN_AONPC_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_AONPC_PTSA_MIN_0_PTSA_MIN_AONPC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_PCIE0X2_PTSA_RATE_0
#define MC_PCIE0X2_PTSA_RATE_0                  _MK_ADDR_CONST(0x4b0c)
#define MC_PCIE0X2_PTSA_RATE_0_SECURE                   0x0
#define MC_PCIE0X2_PTSA_RATE_0_DUAL                     0x0
#define MC_PCIE0X2_PTSA_RATE_0_SCR                      0
#define MC_PCIE0X2_PTSA_RATE_0_WORD_COUNT                       0x1
#define MC_PCIE0X2_PTSA_RATE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_PTSA_RATE_0_RESET_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PCIE0X2_PTSA_RATE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_PTSA_RATE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_PTSA_RATE_0_READ_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PCIE0X2_PTSA_RATE_0_WRITE_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PCIE0X2_PTSA_RATE_0_PTSA_RATE_PCIE0X2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_PCIE0X2_PTSA_RATE_0_PTSA_RATE_PCIE0X2_FIELD                  _MK_FIELD_CONST(0xfff, MC_PCIE0X2_PTSA_RATE_0_PTSA_RATE_PCIE0X2_SHIFT)
#define MC_PCIE0X2_PTSA_RATE_0_PTSA_RATE_PCIE0X2_RANGE                  11:0
#define MC_PCIE0X2_PTSA_RATE_0_PTSA_RATE_PCIE0X2_WOFFSET                        0x0
#define MC_PCIE0X2_PTSA_RATE_0_PTSA_RATE_PCIE0X2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_PTSA_RATE_0_PTSA_RATE_PCIE0X2_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_PCIE0X2_PTSA_RATE_0_PTSA_RATE_PCIE0X2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_PTSA_RATE_0_PTSA_RATE_PCIE0X2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_PTSA_RATE_0_PTSA_RATE_PCIE0X2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCIE0X2_PTSA_RATE_0_PTSA_RATE_PCIE0X2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_MSE3_PTSA_RATE_0
#define MC_MSE3_PTSA_RATE_0                     _MK_ADDR_CONST(0x3130)
#define MC_MSE3_PTSA_RATE_0_SECURE                      0x0
#define MC_MSE3_PTSA_RATE_0_DUAL                        0x0
#define MC_MSE3_PTSA_RATE_0_SCR                         0
#define MC_MSE3_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_MSE3_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MSE3_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MSE3_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSE3_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSE3_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_MSE3_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MSE3_PTSA_RATE_0_PTSA_RATE_MSE3_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MSE3_PTSA_RATE_0_PTSA_RATE_MSE3_FIELD                        _MK_FIELD_CONST(0xfff, MC_MSE3_PTSA_RATE_0_PTSA_RATE_MSE3_SHIFT)
#define MC_MSE3_PTSA_RATE_0_PTSA_RATE_MSE3_RANGE                        11:0
#define MC_MSE3_PTSA_RATE_0_PTSA_RATE_MSE3_WOFFSET                      0x0
#define MC_MSE3_PTSA_RATE_0_PTSA_RATE_MSE3_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSE3_PTSA_RATE_0_PTSA_RATE_MSE3_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_MSE3_PTSA_RATE_0_PTSA_RATE_MSE3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSE3_PTSA_RATE_0_PTSA_RATE_MSE3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSE3_PTSA_RATE_0_PTSA_RATE_MSE3_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSE3_PTSA_RATE_0_PTSA_RATE_MSE3_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_RCEPC_PTSA_RATE_0
#define MC_RCEPC_PTSA_RATE_0                    _MK_ADDR_CONST(0x3118)
#define MC_RCEPC_PTSA_RATE_0_SECURE                     0x0
#define MC_RCEPC_PTSA_RATE_0_DUAL                       0x0
#define MC_RCEPC_PTSA_RATE_0_SCR                        0
#define MC_RCEPC_PTSA_RATE_0_WORD_COUNT                         0x1
#define MC_RCEPC_PTSA_RATE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_RCEPC_PTSA_RATE_0_RESET_MASK                         _MK_MASK_CONST(0xfff)
#define MC_RCEPC_PTSA_RATE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_RCEPC_PTSA_RATE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_RCEPC_PTSA_RATE_0_READ_MASK                  _MK_MASK_CONST(0xfff)
#define MC_RCEPC_PTSA_RATE_0_WRITE_MASK                         _MK_MASK_CONST(0xfff)
#define MC_RCEPC_PTSA_RATE_0_PTSA_RATE_RCEPC_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_RCEPC_PTSA_RATE_0_PTSA_RATE_RCEPC_FIELD                      _MK_FIELD_CONST(0xfff, MC_RCEPC_PTSA_RATE_0_PTSA_RATE_RCEPC_SHIFT)
#define MC_RCEPC_PTSA_RATE_0_PTSA_RATE_RCEPC_RANGE                      11:0
#define MC_RCEPC_PTSA_RATE_0_PTSA_RATE_RCEPC_WOFFSET                    0x0
#define MC_RCEPC_PTSA_RATE_0_PTSA_RATE_RCEPC_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_RCEPC_PTSA_RATE_0_PTSA_RATE_RCEPC_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_RCEPC_PTSA_RATE_0_PTSA_RATE_RCEPC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_RCEPC_PTSA_RATE_0_PTSA_RATE_RCEPC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_RCEPC_PTSA_RATE_0_PTSA_RATE_RCEPC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_RCEPC_PTSA_RATE_0_PTSA_RATE_RCEPC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_RING1_PTSA_MAX_0
#define MC_RING1_PTSA_MAX_0                     _MK_ADDR_CONST(0x484)
#define MC_RING1_PTSA_MAX_0_SECURE                      0x0
#define MC_RING1_PTSA_MAX_0_DUAL                        0x0
#define MC_RING1_PTSA_MAX_0_SCR                         0
#define MC_RING1_PTSA_MAX_0_WORD_COUNT                  0x1
#define MC_RING1_PTSA_MAX_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_RING1_PTSA_MAX_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_RING1_PTSA_MAX_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_RING1_PTSA_MAX_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_RING1_PTSA_MAX_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_RING1_PTSA_MAX_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_RING1_PTSA_MAX_0_PTSA_MAX_RING1_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_RING1_PTSA_MAX_0_PTSA_MAX_RING1_FIELD                        _MK_FIELD_CONST(0x7ff, MC_RING1_PTSA_MAX_0_PTSA_MAX_RING1_SHIFT)
#define MC_RING1_PTSA_MAX_0_PTSA_MAX_RING1_RANGE                        10:0
#define MC_RING1_PTSA_MAX_0_PTSA_MAX_RING1_WOFFSET                      0x0
#define MC_RING1_PTSA_MAX_0_PTSA_MAX_RING1_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_RING1_PTSA_MAX_0_PTSA_MAX_RING1_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_RING1_PTSA_MAX_0_PTSA_MAX_RING1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_RING1_PTSA_MAX_0_PTSA_MAX_RING1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_RING1_PTSA_MAX_0_PTSA_MAX_RING1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_RING1_PTSA_MAX_0_PTSA_MAX_RING1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_HDAPC_PTSA_RATE_0
#define MC_HDAPC_PTSA_RATE_0                    _MK_ADDR_CONST(0x628)
#define MC_HDAPC_PTSA_RATE_0_SECURE                     0x0
#define MC_HDAPC_PTSA_RATE_0_DUAL                       0x0
#define MC_HDAPC_PTSA_RATE_0_SCR                        0
#define MC_HDAPC_PTSA_RATE_0_WORD_COUNT                         0x1
#define MC_HDAPC_PTSA_RATE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_HDAPC_PTSA_RATE_0_RESET_MASK                         _MK_MASK_CONST(0xfff)
#define MC_HDAPC_PTSA_RATE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_HDAPC_PTSA_RATE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HDAPC_PTSA_RATE_0_READ_MASK                  _MK_MASK_CONST(0xfff)
#define MC_HDAPC_PTSA_RATE_0_WRITE_MASK                         _MK_MASK_CONST(0xfff)
#define MC_HDAPC_PTSA_RATE_0_PTSA_RATE_HDAPC_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HDAPC_PTSA_RATE_0_PTSA_RATE_HDAPC_FIELD                      _MK_FIELD_CONST(0xfff, MC_HDAPC_PTSA_RATE_0_PTSA_RATE_HDAPC_SHIFT)
#define MC_HDAPC_PTSA_RATE_0_PTSA_RATE_HDAPC_RANGE                      11:0
#define MC_HDAPC_PTSA_RATE_0_PTSA_RATE_HDAPC_WOFFSET                    0x0
#define MC_HDAPC_PTSA_RATE_0_PTSA_RATE_HDAPC_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HDAPC_PTSA_RATE_0_PTSA_RATE_HDAPC_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_HDAPC_PTSA_RATE_0_PTSA_RATE_HDAPC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HDAPC_PTSA_RATE_0_PTSA_RATE_HDAPC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HDAPC_PTSA_RATE_0_PTSA_RATE_HDAPC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HDAPC_PTSA_RATE_0_PTSA_RATE_HDAPC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_MIU0_PTSA_MAX_0
#define MC_MIU0_PTSA_MAX_0                      _MK_ADDR_CONST(0x3144)
#define MC_MIU0_PTSA_MAX_0_SECURE                       0x0
#define MC_MIU0_PTSA_MAX_0_DUAL                         0x0
#define MC_MIU0_PTSA_MAX_0_SCR                  0
#define MC_MIU0_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_MIU0_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MIU0_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU0_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MIU0_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU0_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MIU0_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU0_PTSA_MAX_0_PTSA_MAX_MIU0_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MIU0_PTSA_MAX_0_PTSA_MAX_MIU0_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MIU0_PTSA_MAX_0_PTSA_MAX_MIU0_SHIFT)
#define MC_MIU0_PTSA_MAX_0_PTSA_MAX_MIU0_RANGE                  10:0
#define MC_MIU0_PTSA_MAX_0_PTSA_MAX_MIU0_WOFFSET                        0x0
#define MC_MIU0_PTSA_MAX_0_PTSA_MAX_MIU0_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MIU0_PTSA_MAX_0_PTSA_MAX_MIU0_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU0_PTSA_MAX_0_PTSA_MAX_MIU0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU0_PTSA_MAX_0_PTSA_MAX_MIU0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU0_PTSA_MAX_0_PTSA_MAX_MIU0_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU0_PTSA_MAX_0_PTSA_MAX_MIU0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PVA1XB2_PTSA_MIN_0
#define MC_PVA1XB2_PTSA_MIN_0                   _MK_ADDR_CONST(0x3970)
#define MC_PVA1XB2_PTSA_MIN_0_SECURE                    0x0
#define MC_PVA1XB2_PTSA_MIN_0_DUAL                      0x0
#define MC_PVA1XB2_PTSA_MIN_0_SCR                       0
#define MC_PVA1XB2_PTSA_MIN_0_WORD_COUNT                        0x1
#define MC_PVA1XB2_PTSA_MIN_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB2_PTSA_MIN_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB2_PTSA_MIN_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_PTSA_MIN_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_PTSA_MIN_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB2_PTSA_MIN_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB2_PTSA_MIN_0_PTSA_MIN_PVA1XB2_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA1XB2_PTSA_MIN_0_PTSA_MIN_PVA1XB2_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PVA1XB2_PTSA_MIN_0_PTSA_MIN_PVA1XB2_SHIFT)
#define MC_PVA1XB2_PTSA_MIN_0_PTSA_MIN_PVA1XB2_RANGE                    10:0
#define MC_PVA1XB2_PTSA_MIN_0_PTSA_MIN_PVA1XB2_WOFFSET                  0x0
#define MC_PVA1XB2_PTSA_MIN_0_PTSA_MIN_PVA1XB2_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB2_PTSA_MIN_0_PTSA_MIN_PVA1XB2_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB2_PTSA_MIN_0_PTSA_MIN_PVA1XB2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_PTSA_MIN_0_PTSA_MIN_PVA1XB2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_PTSA_MIN_0_PTSA_MIN_PVA1XB2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA1XB2_PTSA_MIN_0_PTSA_MIN_PVA1XB2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_VICPC3_PTSA_RATE_0
#define MC_VICPC3_PTSA_RATE_0                   _MK_ADDR_CONST(0x7b0)
#define MC_VICPC3_PTSA_RATE_0_SECURE                    0x0
#define MC_VICPC3_PTSA_RATE_0_DUAL                      0x0
#define MC_VICPC3_PTSA_RATE_0_SCR                       0
#define MC_VICPC3_PTSA_RATE_0_WORD_COUNT                        0x1
#define MC_VICPC3_PTSA_RATE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_VICPC3_PTSA_RATE_0_RESET_MASK                        _MK_MASK_CONST(0xfff)
#define MC_VICPC3_PTSA_RATE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_VICPC3_PTSA_RATE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_VICPC3_PTSA_RATE_0_READ_MASK                         _MK_MASK_CONST(0xfff)
#define MC_VICPC3_PTSA_RATE_0_WRITE_MASK                        _MK_MASK_CONST(0xfff)
#define MC_VICPC3_PTSA_RATE_0_PTSA_RATE_VICPC3_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_VICPC3_PTSA_RATE_0_PTSA_RATE_VICPC3_FIELD                    _MK_FIELD_CONST(0xfff, MC_VICPC3_PTSA_RATE_0_PTSA_RATE_VICPC3_SHIFT)
#define MC_VICPC3_PTSA_RATE_0_PTSA_RATE_VICPC3_RANGE                    11:0
#define MC_VICPC3_PTSA_RATE_0_PTSA_RATE_VICPC3_WOFFSET                  0x0
#define MC_VICPC3_PTSA_RATE_0_PTSA_RATE_VICPC3_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VICPC3_PTSA_RATE_0_PTSA_RATE_VICPC3_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_VICPC3_PTSA_RATE_0_PTSA_RATE_VICPC3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_VICPC3_PTSA_RATE_0_PTSA_RATE_VICPC3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_VICPC3_PTSA_RATE_0_PTSA_RATE_VICPC3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_VICPC3_PTSA_RATE_0_PTSA_RATE_VICPC3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_AUD_PTSA_MAX_0
#define MC_AUD_PTSA_MAX_0                       _MK_ADDR_CONST(0x550)
#define MC_AUD_PTSA_MAX_0_SECURE                        0x0
#define MC_AUD_PTSA_MAX_0_DUAL                  0x0
#define MC_AUD_PTSA_MAX_0_SCR                   0
#define MC_AUD_PTSA_MAX_0_WORD_COUNT                    0x1
#define MC_AUD_PTSA_MAX_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_AUD_PTSA_MAX_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_AUD_PTSA_MAX_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_AUD_PTSA_MAX_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_AUD_PTSA_MAX_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_AUD_PTSA_MAX_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_AUD_PTSA_MAX_0_PTSA_MAX_AUD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_AUD_PTSA_MAX_0_PTSA_MAX_AUD_FIELD                    _MK_FIELD_CONST(0x7ff, MC_AUD_PTSA_MAX_0_PTSA_MAX_AUD_SHIFT)
#define MC_AUD_PTSA_MAX_0_PTSA_MAX_AUD_RANGE                    10:0
#define MC_AUD_PTSA_MAX_0_PTSA_MAX_AUD_WOFFSET                  0x0
#define MC_AUD_PTSA_MAX_0_PTSA_MAX_AUD_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_AUD_PTSA_MAX_0_PTSA_MAX_AUD_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_AUD_PTSA_MAX_0_PTSA_MAX_AUD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_AUD_PTSA_MAX_0_PTSA_MAX_AUD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_AUD_PTSA_MAX_0_PTSA_MAX_AUD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_AUD_PTSA_MAX_0_PTSA_MAX_AUD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MIU2_PTSA_MIN_0
#define MC_MIU2_PTSA_MIN_0                      _MK_ADDR_CONST(0x3158)
#define MC_MIU2_PTSA_MIN_0_SECURE                       0x0
#define MC_MIU2_PTSA_MIN_0_DUAL                         0x0
#define MC_MIU2_PTSA_MIN_0_SCR                  0
#define MC_MIU2_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_MIU2_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MIU2_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU2_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MIU2_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU2_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MIU2_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU2_PTSA_MIN_0_PTSA_MIN_MIU2_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MIU2_PTSA_MIN_0_PTSA_MIN_MIU2_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MIU2_PTSA_MIN_0_PTSA_MIN_MIU2_SHIFT)
#define MC_MIU2_PTSA_MIN_0_PTSA_MIN_MIU2_RANGE                  10:0
#define MC_MIU2_PTSA_MIN_0_PTSA_MIN_MIU2_WOFFSET                        0x0
#define MC_MIU2_PTSA_MIN_0_PTSA_MIN_MIU2_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MIU2_PTSA_MIN_0_PTSA_MIN_MIU2_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU2_PTSA_MIN_0_PTSA_MIN_MIU2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU2_PTSA_MIN_0_PTSA_MIN_MIU2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU2_PTSA_MIN_0_PTSA_MIN_MIU2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU2_PTSA_MIN_0_PTSA_MIN_MIU2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_NVD3_PTSA_MAX_0
#define MC_NVD3_PTSA_MAX_0                      _MK_ADDR_CONST(0x7c4)
#define MC_NVD3_PTSA_MAX_0_SECURE                       0x0
#define MC_NVD3_PTSA_MAX_0_DUAL                         0x0
#define MC_NVD3_PTSA_MAX_0_SCR                  0
#define MC_NVD3_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_NVD3_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_NVD3_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD3_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_NVD3_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_NVD3_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_NVD3_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD3_PTSA_MAX_0_PTSA_MAX_NVD3_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_NVD3_PTSA_MAX_0_PTSA_MAX_NVD3_FIELD                  _MK_FIELD_CONST(0x7ff, MC_NVD3_PTSA_MAX_0_PTSA_MAX_NVD3_SHIFT)
#define MC_NVD3_PTSA_MAX_0_PTSA_MAX_NVD3_RANGE                  10:0
#define MC_NVD3_PTSA_MAX_0_PTSA_MAX_NVD3_WOFFSET                        0x0
#define MC_NVD3_PTSA_MAX_0_PTSA_MAX_NVD3_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_NVD3_PTSA_MAX_0_PTSA_MAX_NVD3_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD3_PTSA_MAX_0_PTSA_MAX_NVD3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_NVD3_PTSA_MAX_0_PTSA_MAX_NVD3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_NVD3_PTSA_MAX_0_PTSA_MAX_NVD3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_NVD3_PTSA_MAX_0_PTSA_MAX_NVD3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_MIU6_PTSA_RATE_0
#define MC_MIU6_PTSA_RATE_0                     _MK_ADDR_CONST(0x4b54)
#define MC_MIU6_PTSA_RATE_0_SECURE                      0x0
#define MC_MIU6_PTSA_RATE_0_DUAL                        0x0
#define MC_MIU6_PTSA_RATE_0_SCR                         0
#define MC_MIU6_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_MIU6_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MIU6_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MIU6_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MIU6_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MIU6_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_MIU6_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MIU6_PTSA_RATE_0_PTSA_RATE_MIU6_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MIU6_PTSA_RATE_0_PTSA_RATE_MIU6_FIELD                        _MK_FIELD_CONST(0xfff, MC_MIU6_PTSA_RATE_0_PTSA_RATE_MIU6_SHIFT)
#define MC_MIU6_PTSA_RATE_0_PTSA_RATE_MIU6_RANGE                        11:0
#define MC_MIU6_PTSA_RATE_0_PTSA_RATE_MIU6_WOFFSET                      0x0
#define MC_MIU6_PTSA_RATE_0_PTSA_RATE_MIU6_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MIU6_PTSA_RATE_0_PTSA_RATE_MIU6_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_MIU6_PTSA_RATE_0_PTSA_RATE_MIU6_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MIU6_PTSA_RATE_0_PTSA_RATE_MIU6_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU6_PTSA_RATE_0_PTSA_RATE_MIU6_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MIU6_PTSA_RATE_0_PTSA_RATE_MIU6_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_NVD_PTSA_MIN_0
#define MC_NVD_PTSA_MIN_0                       _MK_ADDR_CONST(0x57c)
#define MC_NVD_PTSA_MIN_0_SECURE                        0x0
#define MC_NVD_PTSA_MIN_0_DUAL                  0x0
#define MC_NVD_PTSA_MIN_0_SCR                   0
#define MC_NVD_PTSA_MIN_0_WORD_COUNT                    0x1
#define MC_NVD_PTSA_MIN_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_NVD_PTSA_MIN_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_NVD_PTSA_MIN_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_NVD_PTSA_MIN_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_NVD_PTSA_MIN_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_NVD_PTSA_MIN_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_NVD_PTSA_MIN_0_PTSA_MIN_NVD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_NVD_PTSA_MIN_0_PTSA_MIN_NVD_FIELD                    _MK_FIELD_CONST(0x7ff, MC_NVD_PTSA_MIN_0_PTSA_MIN_NVD_SHIFT)
#define MC_NVD_PTSA_MIN_0_PTSA_MIN_NVD_RANGE                    10:0
#define MC_NVD_PTSA_MIN_0_PTSA_MIN_NVD_WOFFSET                  0x0
#define MC_NVD_PTSA_MIN_0_PTSA_MIN_NVD_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_NVD_PTSA_MIN_0_PTSA_MIN_NVD_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_NVD_PTSA_MIN_0_PTSA_MIN_NVD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_NVD_PTSA_MIN_0_PTSA_MIN_NVD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_NVD_PTSA_MIN_0_PTSA_MIN_NVD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_NVD_PTSA_MIN_0_PTSA_MIN_NVD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PVA0XA2_PTSA_MIN_0
#define MC_PVA0XA2_PTSA_MIN_0                   _MK_ADDR_CONST(0x394c)
#define MC_PVA0XA2_PTSA_MIN_0_SECURE                    0x0
#define MC_PVA0XA2_PTSA_MIN_0_DUAL                      0x0
#define MC_PVA0XA2_PTSA_MIN_0_SCR                       0
#define MC_PVA0XA2_PTSA_MIN_0_WORD_COUNT                        0x1
#define MC_PVA0XA2_PTSA_MIN_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA2_PTSA_MIN_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA2_PTSA_MIN_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_PTSA_MIN_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_PTSA_MIN_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA2_PTSA_MIN_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA2_PTSA_MIN_0_PTSA_MIN_PVA0XA2_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA0XA2_PTSA_MIN_0_PTSA_MIN_PVA0XA2_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PVA0XA2_PTSA_MIN_0_PTSA_MIN_PVA0XA2_SHIFT)
#define MC_PVA0XA2_PTSA_MIN_0_PTSA_MIN_PVA0XA2_RANGE                    10:0
#define MC_PVA0XA2_PTSA_MIN_0_PTSA_MIN_PVA0XA2_WOFFSET                  0x0
#define MC_PVA0XA2_PTSA_MIN_0_PTSA_MIN_PVA0XA2_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA2_PTSA_MIN_0_PTSA_MIN_PVA0XA2_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA2_PTSA_MIN_0_PTSA_MIN_PVA0XA2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_PTSA_MIN_0_PTSA_MIN_PVA0XA2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_PTSA_MIN_0_PTSA_MIN_PVA0XA2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_PTSA_MIN_0_PTSA_MIN_PVA0XA2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_VICPC3_PTSA_MAX_0
#define MC_VICPC3_PTSA_MAX_0                    _MK_ADDR_CONST(0x7b8)
#define MC_VICPC3_PTSA_MAX_0_SECURE                     0x0
#define MC_VICPC3_PTSA_MAX_0_DUAL                       0x0
#define MC_VICPC3_PTSA_MAX_0_SCR                        0
#define MC_VICPC3_PTSA_MAX_0_WORD_COUNT                         0x1
#define MC_VICPC3_PTSA_MAX_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_VICPC3_PTSA_MAX_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_VICPC3_PTSA_MAX_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_VICPC3_PTSA_MAX_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VICPC3_PTSA_MAX_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_VICPC3_PTSA_MAX_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_VICPC3_PTSA_MAX_0_PTSA_MAX_VICPC3_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_VICPC3_PTSA_MAX_0_PTSA_MAX_VICPC3_FIELD                      _MK_FIELD_CONST(0x7ff, MC_VICPC3_PTSA_MAX_0_PTSA_MAX_VICPC3_SHIFT)
#define MC_VICPC3_PTSA_MAX_0_PTSA_MAX_VICPC3_RANGE                      10:0
#define MC_VICPC3_PTSA_MAX_0_PTSA_MAX_VICPC3_WOFFSET                    0x0
#define MC_VICPC3_PTSA_MAX_0_PTSA_MAX_VICPC3_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_VICPC3_PTSA_MAX_0_PTSA_MAX_VICPC3_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_VICPC3_PTSA_MAX_0_PTSA_MAX_VICPC3_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VICPC3_PTSA_MAX_0_PTSA_MAX_VICPC3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VICPC3_PTSA_MAX_0_PTSA_MAX_VICPC3_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VICPC3_PTSA_MAX_0_PTSA_MAX_VICPC3_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_PVA1XA2_PTSA_MIN_0
#define MC_PVA1XA2_PTSA_MIN_0                   _MK_ADDR_CONST(0x3964)
#define MC_PVA1XA2_PTSA_MIN_0_SECURE                    0x0
#define MC_PVA1XA2_PTSA_MIN_0_DUAL                      0x0
#define MC_PVA1XA2_PTSA_MIN_0_SCR                       0
#define MC_PVA1XA2_PTSA_MIN_0_WORD_COUNT                        0x1
#define MC_PVA1XA2_PTSA_MIN_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA2_PTSA_MIN_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA2_PTSA_MIN_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_PTSA_MIN_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_PTSA_MIN_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA2_PTSA_MIN_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA2_PTSA_MIN_0_PTSA_MIN_PVA1XA2_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA1XA2_PTSA_MIN_0_PTSA_MIN_PVA1XA2_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PVA1XA2_PTSA_MIN_0_PTSA_MIN_PVA1XA2_SHIFT)
#define MC_PVA1XA2_PTSA_MIN_0_PTSA_MIN_PVA1XA2_RANGE                    10:0
#define MC_PVA1XA2_PTSA_MIN_0_PTSA_MIN_PVA1XA2_WOFFSET                  0x0
#define MC_PVA1XA2_PTSA_MIN_0_PTSA_MIN_PVA1XA2_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA2_PTSA_MIN_0_PTSA_MIN_PVA1XA2_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA2_PTSA_MIN_0_PTSA_MIN_PVA1XA2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_PTSA_MIN_0_PTSA_MIN_PVA1XA2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_PTSA_MIN_0_PTSA_MIN_PVA1XA2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_PTSA_MIN_0_PTSA_MIN_PVA1XA2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PVA0XB3_PTSA_MAX_0
#define MC_PVA0XB3_PTSA_MAX_0                   _MK_ADDR_CONST(0x3568)
#define MC_PVA0XB3_PTSA_MAX_0_SECURE                    0x0
#define MC_PVA0XB3_PTSA_MAX_0_DUAL                      0x0
#define MC_PVA0XB3_PTSA_MAX_0_SCR                       0
#define MC_PVA0XB3_PTSA_MAX_0_WORD_COUNT                        0x1
#define MC_PVA0XB3_PTSA_MAX_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB3_PTSA_MAX_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB3_PTSA_MAX_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_PTSA_MAX_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_PTSA_MAX_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB3_PTSA_MAX_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB3_PTSA_MAX_0_PTSA_MAX_PVA0XB3_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA0XB3_PTSA_MAX_0_PTSA_MAX_PVA0XB3_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PVA0XB3_PTSA_MAX_0_PTSA_MAX_PVA0XB3_SHIFT)
#define MC_PVA0XB3_PTSA_MAX_0_PTSA_MAX_PVA0XB3_RANGE                    10:0
#define MC_PVA0XB3_PTSA_MAX_0_PTSA_MAX_PVA0XB3_WOFFSET                  0x0
#define MC_PVA0XB3_PTSA_MAX_0_PTSA_MAX_PVA0XB3_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB3_PTSA_MAX_0_PTSA_MAX_PVA0XB3_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PVA0XB3_PTSA_MAX_0_PTSA_MAX_PVA0XB3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_PTSA_MAX_0_PTSA_MAX_PVA0XB3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_PTSA_MAX_0_PTSA_MAX_PVA0XB3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA0XB3_PTSA_MAX_0_PTSA_MAX_PVA0XB3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PVA1XA3_PTSA_RATE_0
#define MC_PVA1XA3_PTSA_RATE_0                  _MK_ADDR_CONST(0x3900)
#define MC_PVA1XA3_PTSA_RATE_0_SECURE                   0x0
#define MC_PVA1XA3_PTSA_RATE_0_DUAL                     0x0
#define MC_PVA1XA3_PTSA_RATE_0_SCR                      0
#define MC_PVA1XA3_PTSA_RATE_0_WORD_COUNT                       0x1
#define MC_PVA1XA3_PTSA_RATE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_PTSA_RATE_0_RESET_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PVA1XA3_PTSA_RATE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_PTSA_RATE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_PTSA_RATE_0_READ_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PVA1XA3_PTSA_RATE_0_WRITE_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PVA1XA3_PTSA_RATE_0_PTSA_RATE_PVA1XA3_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_PVA1XA3_PTSA_RATE_0_PTSA_RATE_PVA1XA3_FIELD                  _MK_FIELD_CONST(0xfff, MC_PVA1XA3_PTSA_RATE_0_PTSA_RATE_PVA1XA3_SHIFT)
#define MC_PVA1XA3_PTSA_RATE_0_PTSA_RATE_PVA1XA3_RANGE                  11:0
#define MC_PVA1XA3_PTSA_RATE_0_PTSA_RATE_PVA1XA3_WOFFSET                        0x0
#define MC_PVA1XA3_PTSA_RATE_0_PTSA_RATE_PVA1XA3_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_PTSA_RATE_0_PTSA_RATE_PVA1XA3_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_PVA1XA3_PTSA_RATE_0_PTSA_RATE_PVA1XA3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_PTSA_RATE_0_PTSA_RATE_PVA1XA3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_PTSA_RATE_0_PTSA_RATE_PVA1XA3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_PTSA_RATE_0_PTSA_RATE_PVA1XA3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PCIE0X_PTSA_MIN_0
#define MC_PCIE0X_PTSA_MIN_0                    _MK_ADDR_CONST(0x3310)
#define MC_PCIE0X_PTSA_MIN_0_SECURE                     0x0
#define MC_PCIE0X_PTSA_MIN_0_DUAL                       0x0
#define MC_PCIE0X_PTSA_MIN_0_SCR                        0
#define MC_PCIE0X_PTSA_MIN_0_WORD_COUNT                         0x1
#define MC_PCIE0X_PTSA_MIN_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X_PTSA_MIN_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X_PTSA_MIN_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_PCIE0X_PTSA_MIN_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCIE0X_PTSA_MIN_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X_PTSA_MIN_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X_PTSA_MIN_0_PTSA_MIN_PCIE0X_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_PCIE0X_PTSA_MIN_0_PTSA_MIN_PCIE0X_FIELD                      _MK_FIELD_CONST(0x7ff, MC_PCIE0X_PTSA_MIN_0_PTSA_MIN_PCIE0X_SHIFT)
#define MC_PCIE0X_PTSA_MIN_0_PTSA_MIN_PCIE0X_RANGE                      10:0
#define MC_PCIE0X_PTSA_MIN_0_PTSA_MIN_PCIE0X_WOFFSET                    0x0
#define MC_PCIE0X_PTSA_MIN_0_PTSA_MIN_PCIE0X_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X_PTSA_MIN_0_PTSA_MIN_PCIE0X_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_PCIE0X_PTSA_MIN_0_PTSA_MIN_PCIE0X_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCIE0X_PTSA_MIN_0_PTSA_MIN_PCIE0X_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCIE0X_PTSA_MIN_0_PTSA_MIN_PCIE0X_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PCIE0X_PTSA_MIN_0_PTSA_MIN_PCIE0X_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_PCIE1XA_PTSA_RATE_0
#define MC_PCIE1XA_PTSA_RATE_0                  _MK_ADDR_CONST(0x350c)
#define MC_PCIE1XA_PTSA_RATE_0_SECURE                   0x0
#define MC_PCIE1XA_PTSA_RATE_0_DUAL                     0x0
#define MC_PCIE1XA_PTSA_RATE_0_SCR                      0
#define MC_PCIE1XA_PTSA_RATE_0_WORD_COUNT                       0x1
#define MC_PCIE1XA_PTSA_RATE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_PTSA_RATE_0_RESET_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PCIE1XA_PTSA_RATE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_PTSA_RATE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_PTSA_RATE_0_READ_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PCIE1XA_PTSA_RATE_0_WRITE_MASK                       _MK_MASK_CONST(0xfff)
#define MC_PCIE1XA_PTSA_RATE_0_PTSA_RATE_PCIE1XA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_PCIE1XA_PTSA_RATE_0_PTSA_RATE_PCIE1XA_FIELD                  _MK_FIELD_CONST(0xfff, MC_PCIE1XA_PTSA_RATE_0_PTSA_RATE_PCIE1XA_SHIFT)
#define MC_PCIE1XA_PTSA_RATE_0_PTSA_RATE_PCIE1XA_RANGE                  11:0
#define MC_PCIE1XA_PTSA_RATE_0_PTSA_RATE_PCIE1XA_WOFFSET                        0x0
#define MC_PCIE1XA_PTSA_RATE_0_PTSA_RATE_PCIE1XA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_PTSA_RATE_0_PTSA_RATE_PCIE1XA_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_PCIE1XA_PTSA_RATE_0_PTSA_RATE_PCIE1XA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_PTSA_RATE_0_PTSA_RATE_PCIE1XA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_PTSA_RATE_0_PTSA_RATE_PCIE1XA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_PTSA_RATE_0_PTSA_RATE_PCIE1XA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_DIS_PTSA_RATE_0
#define MC_DIS_PTSA_RATE_0                      _MK_ADDR_CONST(0x41c)
#define MC_DIS_PTSA_RATE_0_SECURE                       0x0
#define MC_DIS_PTSA_RATE_0_DUAL                         0x0
#define MC_DIS_PTSA_RATE_0_SCR                  0
#define MC_DIS_PTSA_RATE_0_WORD_COUNT                   0x1
#define MC_DIS_PTSA_RATE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_DIS_PTSA_RATE_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_DIS_PTSA_RATE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_DIS_PTSA_RATE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_DIS_PTSA_RATE_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_DIS_PTSA_RATE_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_DIS_PTSA_RATE_0_PTSA_RATE_DIS_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_DIS_PTSA_RATE_0_PTSA_RATE_DIS_FIELD                  _MK_FIELD_CONST(0xfff, MC_DIS_PTSA_RATE_0_PTSA_RATE_DIS_SHIFT)
#define MC_DIS_PTSA_RATE_0_PTSA_RATE_DIS_RANGE                  11:0
#define MC_DIS_PTSA_RATE_0_PTSA_RATE_DIS_WOFFSET                        0x0
#define MC_DIS_PTSA_RATE_0_PTSA_RATE_DIS_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_DIS_PTSA_RATE_0_PTSA_RATE_DIS_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_DIS_PTSA_RATE_0_PTSA_RATE_DIS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_DIS_PTSA_RATE_0_PTSA_RATE_DIS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_DIS_PTSA_RATE_0_PTSA_RATE_DIS_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_DIS_PTSA_RATE_0_PTSA_RATE_DIS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_USBX2_PTSA_RATE_0
#define MC_USBX2_PTSA_RATE_0                    _MK_ADDR_CONST(0x3a30)
#define MC_USBX2_PTSA_RATE_0_SECURE                     0x0
#define MC_USBX2_PTSA_RATE_0_DUAL                       0x0
#define MC_USBX2_PTSA_RATE_0_SCR                        0
#define MC_USBX2_PTSA_RATE_0_WORD_COUNT                         0x1
#define MC_USBX2_PTSA_RATE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_USBX2_PTSA_RATE_0_RESET_MASK                         _MK_MASK_CONST(0xfff)
#define MC_USBX2_PTSA_RATE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_USBX2_PTSA_RATE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_USBX2_PTSA_RATE_0_READ_MASK                  _MK_MASK_CONST(0xfff)
#define MC_USBX2_PTSA_RATE_0_WRITE_MASK                         _MK_MASK_CONST(0xfff)
#define MC_USBX2_PTSA_RATE_0_PTSA_RATE_USBX2_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_USBX2_PTSA_RATE_0_PTSA_RATE_USBX2_FIELD                      _MK_FIELD_CONST(0xfff, MC_USBX2_PTSA_RATE_0_PTSA_RATE_USBX2_SHIFT)
#define MC_USBX2_PTSA_RATE_0_PTSA_RATE_USBX2_RANGE                      11:0
#define MC_USBX2_PTSA_RATE_0_PTSA_RATE_USBX2_WOFFSET                    0x0
#define MC_USBX2_PTSA_RATE_0_PTSA_RATE_USBX2_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_USBX2_PTSA_RATE_0_PTSA_RATE_USBX2_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_USBX2_PTSA_RATE_0_PTSA_RATE_USBX2_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_USBX2_PTSA_RATE_0_PTSA_RATE_USBX2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_USBX2_PTSA_RATE_0_PTSA_RATE_USBX2_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_USBX2_PTSA_RATE_0_PTSA_RATE_USBX2_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_DLA1XA_PTSA_MIN_0
#define MC_DLA1XA_PTSA_MIN_0                    _MK_ADDR_CONST(0x7f0)
#define MC_DLA1XA_PTSA_MIN_0_SECURE                     0x0
#define MC_DLA1XA_PTSA_MIN_0_DUAL                       0x0
#define MC_DLA1XA_PTSA_MIN_0_SCR                        0
#define MC_DLA1XA_PTSA_MIN_0_WORD_COUNT                         0x1
#define MC_DLA1XA_PTSA_MIN_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA_PTSA_MIN_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA_PTSA_MIN_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_DLA1XA_PTSA_MIN_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_DLA1XA_PTSA_MIN_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA_PTSA_MIN_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA_PTSA_MIN_0_PTSA_MIN_DLA1XA_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_DLA1XA_PTSA_MIN_0_PTSA_MIN_DLA1XA_FIELD                      _MK_FIELD_CONST(0x7ff, MC_DLA1XA_PTSA_MIN_0_PTSA_MIN_DLA1XA_SHIFT)
#define MC_DLA1XA_PTSA_MIN_0_PTSA_MIN_DLA1XA_RANGE                      10:0
#define MC_DLA1XA_PTSA_MIN_0_PTSA_MIN_DLA1XA_WOFFSET                    0x0
#define MC_DLA1XA_PTSA_MIN_0_PTSA_MIN_DLA1XA_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA_PTSA_MIN_0_PTSA_MIN_DLA1XA_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA_PTSA_MIN_0_PTSA_MIN_DLA1XA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_DLA1XA_PTSA_MIN_0_PTSA_MIN_DLA1XA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_DLA1XA_PTSA_MIN_0_PTSA_MIN_DLA1XA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_DLA1XA_PTSA_MIN_0_PTSA_MIN_DLA1XA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_PVA1XA3_PTSA_MAX_0
#define MC_PVA1XA3_PTSA_MAX_0                   _MK_ADDR_CONST(0x3908)
#define MC_PVA1XA3_PTSA_MAX_0_SECURE                    0x0
#define MC_PVA1XA3_PTSA_MAX_0_DUAL                      0x0
#define MC_PVA1XA3_PTSA_MAX_0_SCR                       0
#define MC_PVA1XA3_PTSA_MAX_0_WORD_COUNT                        0x1
#define MC_PVA1XA3_PTSA_MAX_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA3_PTSA_MAX_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA3_PTSA_MAX_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_PTSA_MAX_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_PTSA_MAX_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA3_PTSA_MAX_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA3_PTSA_MAX_0_PTSA_MAX_PVA1XA3_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA1XA3_PTSA_MAX_0_PTSA_MAX_PVA1XA3_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PVA1XA3_PTSA_MAX_0_PTSA_MAX_PVA1XA3_SHIFT)
#define MC_PVA1XA3_PTSA_MAX_0_PTSA_MAX_PVA1XA3_RANGE                    10:0
#define MC_PVA1XA3_PTSA_MAX_0_PTSA_MAX_PVA1XA3_WOFFSET                  0x0
#define MC_PVA1XA3_PTSA_MAX_0_PTSA_MAX_PVA1XA3_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA3_PTSA_MAX_0_PTSA_MAX_PVA1XA3_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA3_PTSA_MAX_0_PTSA_MAX_PVA1XA3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_PTSA_MAX_0_PTSA_MAX_PVA1XA3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_PTSA_MAX_0_PTSA_MAX_PVA1XA3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_PTSA_MAX_0_PTSA_MAX_PVA1XA3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PVA1XB_PTSA_RATE_0
#define MC_PVA1XB_PTSA_RATE_0                   _MK_ADDR_CONST(0x390c)
#define MC_PVA1XB_PTSA_RATE_0_SECURE                    0x0
#define MC_PVA1XB_PTSA_RATE_0_DUAL                      0x0
#define MC_PVA1XB_PTSA_RATE_0_SCR                       0
#define MC_PVA1XB_PTSA_RATE_0_WORD_COUNT                        0x1
#define MC_PVA1XB_PTSA_RATE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_PVA1XB_PTSA_RATE_0_RESET_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PVA1XB_PTSA_RATE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA1XB_PTSA_RATE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA1XB_PTSA_RATE_0_READ_MASK                         _MK_MASK_CONST(0xfff)
#define MC_PVA1XB_PTSA_RATE_0_WRITE_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PVA1XB_PTSA_RATE_0_PTSA_RATE_PVA1XB_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA1XB_PTSA_RATE_0_PTSA_RATE_PVA1XB_FIELD                    _MK_FIELD_CONST(0xfff, MC_PVA1XB_PTSA_RATE_0_PTSA_RATE_PVA1XB_SHIFT)
#define MC_PVA1XB_PTSA_RATE_0_PTSA_RATE_PVA1XB_RANGE                    11:0
#define MC_PVA1XB_PTSA_RATE_0_PTSA_RATE_PVA1XB_WOFFSET                  0x0
#define MC_PVA1XB_PTSA_RATE_0_PTSA_RATE_PVA1XB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PVA1XB_PTSA_RATE_0_PTSA_RATE_PVA1XB_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_PVA1XB_PTSA_RATE_0_PTSA_RATE_PVA1XB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA1XB_PTSA_RATE_0_PTSA_RATE_PVA1XB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XB_PTSA_RATE_0_PTSA_RATE_PVA1XB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA1XB_PTSA_RATE_0_PTSA_RATE_PVA1XB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_DLA1XA2_PTSA_MAX_0
#define MC_DLA1XA2_PTSA_MAX_0                   _MK_ADDR_CONST(0x3944)
#define MC_DLA1XA2_PTSA_MAX_0_SECURE                    0x0
#define MC_DLA1XA2_PTSA_MAX_0_DUAL                      0x0
#define MC_DLA1XA2_PTSA_MAX_0_SCR                       0
#define MC_DLA1XA2_PTSA_MAX_0_WORD_COUNT                        0x1
#define MC_DLA1XA2_PTSA_MAX_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA2_PTSA_MAX_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA2_PTSA_MAX_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_PTSA_MAX_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_PTSA_MAX_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA2_PTSA_MAX_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA2_PTSA_MAX_0_PTSA_MAX_DLA1XA2_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_DLA1XA2_PTSA_MAX_0_PTSA_MAX_DLA1XA2_FIELD                    _MK_FIELD_CONST(0x7ff, MC_DLA1XA2_PTSA_MAX_0_PTSA_MAX_DLA1XA2_SHIFT)
#define MC_DLA1XA2_PTSA_MAX_0_PTSA_MAX_DLA1XA2_RANGE                    10:0
#define MC_DLA1XA2_PTSA_MAX_0_PTSA_MAX_DLA1XA2_WOFFSET                  0x0
#define MC_DLA1XA2_PTSA_MAX_0_PTSA_MAX_DLA1XA2_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA2_PTSA_MAX_0_PTSA_MAX_DLA1XA2_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_DLA1XA2_PTSA_MAX_0_PTSA_MAX_DLA1XA2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_PTSA_MAX_0_PTSA_MAX_DLA1XA2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_PTSA_MAX_0_PTSA_MAX_DLA1XA2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_DLA1XA2_PTSA_MAX_0_PTSA_MAX_DLA1XA2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MSEA_PTSA_RATE_0
#define MC_MSEA_PTSA_RATE_0                     _MK_ADDR_CONST(0x3a48)
#define MC_MSEA_PTSA_RATE_0_SECURE                      0x0
#define MC_MSEA_PTSA_RATE_0_DUAL                        0x0
#define MC_MSEA_PTSA_RATE_0_SCR                         0
#define MC_MSEA_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_MSEA_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MSEA_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MSEA_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSEA_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSEA_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_MSEA_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MSEA_PTSA_RATE_0_PTSA_RATE_MSEA_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MSEA_PTSA_RATE_0_PTSA_RATE_MSEA_FIELD                        _MK_FIELD_CONST(0xfff, MC_MSEA_PTSA_RATE_0_PTSA_RATE_MSEA_SHIFT)
#define MC_MSEA_PTSA_RATE_0_PTSA_RATE_MSEA_RANGE                        11:0
#define MC_MSEA_PTSA_RATE_0_PTSA_RATE_MSEA_WOFFSET                      0x0
#define MC_MSEA_PTSA_RATE_0_PTSA_RATE_MSEA_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSEA_PTSA_RATE_0_PTSA_RATE_MSEA_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_MSEA_PTSA_RATE_0_PTSA_RATE_MSEA_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSEA_PTSA_RATE_0_PTSA_RATE_MSEA_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSEA_PTSA_RATE_0_PTSA_RATE_MSEA_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSEA_PTSA_RATE_0_PTSA_RATE_MSEA_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_MIU2_PTSA_RATE_0
#define MC_MIU2_PTSA_RATE_0                     _MK_ADDR_CONST(0x3154)
#define MC_MIU2_PTSA_RATE_0_SECURE                      0x0
#define MC_MIU2_PTSA_RATE_0_DUAL                        0x0
#define MC_MIU2_PTSA_RATE_0_SCR                         0
#define MC_MIU2_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_MIU2_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MIU2_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MIU2_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MIU2_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MIU2_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_MIU2_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MIU2_PTSA_RATE_0_PTSA_RATE_MIU2_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MIU2_PTSA_RATE_0_PTSA_RATE_MIU2_FIELD                        _MK_FIELD_CONST(0xfff, MC_MIU2_PTSA_RATE_0_PTSA_RATE_MIU2_SHIFT)
#define MC_MIU2_PTSA_RATE_0_PTSA_RATE_MIU2_RANGE                        11:0
#define MC_MIU2_PTSA_RATE_0_PTSA_RATE_MIU2_WOFFSET                      0x0
#define MC_MIU2_PTSA_RATE_0_PTSA_RATE_MIU2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MIU2_PTSA_RATE_0_PTSA_RATE_MIU2_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_MIU2_PTSA_RATE_0_PTSA_RATE_MIU2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MIU2_PTSA_RATE_0_PTSA_RATE_MIU2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU2_PTSA_RATE_0_PTSA_RATE_MIU2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MIU2_PTSA_RATE_0_PTSA_RATE_MIU2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_NVD6_PTSA_MAX_0
#define MC_NVD6_PTSA_MAX_0                      _MK_ADDR_CONST(0x4b38)
#define MC_NVD6_PTSA_MAX_0_SECURE                       0x0
#define MC_NVD6_PTSA_MAX_0_DUAL                         0x0
#define MC_NVD6_PTSA_MAX_0_SCR                  0
#define MC_NVD6_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_NVD6_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_NVD6_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD6_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_NVD6_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_NVD6_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_NVD6_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD6_PTSA_MAX_0_PTSA_MAX_NVD6_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_NVD6_PTSA_MAX_0_PTSA_MAX_NVD6_FIELD                  _MK_FIELD_CONST(0x7ff, MC_NVD6_PTSA_MAX_0_PTSA_MAX_NVD6_SHIFT)
#define MC_NVD6_PTSA_MAX_0_PTSA_MAX_NVD6_RANGE                  10:0
#define MC_NVD6_PTSA_MAX_0_PTSA_MAX_NVD6_WOFFSET                        0x0
#define MC_NVD6_PTSA_MAX_0_PTSA_MAX_NVD6_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_NVD6_PTSA_MAX_0_PTSA_MAX_NVD6_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD6_PTSA_MAX_0_PTSA_MAX_NVD6_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_NVD6_PTSA_MAX_0_PTSA_MAX_NVD6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_NVD6_PTSA_MAX_0_PTSA_MAX_NVD6_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_NVD6_PTSA_MAX_0_PTSA_MAX_NVD6_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PCIE1XA_PTSA_MAX_0
#define MC_PCIE1XA_PTSA_MAX_0                   _MK_ADDR_CONST(0x3514)
#define MC_PCIE1XA_PTSA_MAX_0_SECURE                    0x0
#define MC_PCIE1XA_PTSA_MAX_0_DUAL                      0x0
#define MC_PCIE1XA_PTSA_MAX_0_SCR                       0
#define MC_PCIE1XA_PTSA_MAX_0_WORD_COUNT                        0x1
#define MC_PCIE1XA_PTSA_MAX_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE1XA_PTSA_MAX_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE1XA_PTSA_MAX_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_PTSA_MAX_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_PTSA_MAX_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE1XA_PTSA_MAX_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE1XA_PTSA_MAX_0_PTSA_MAX_PCIE1XA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PCIE1XA_PTSA_MAX_0_PTSA_MAX_PCIE1XA_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PCIE1XA_PTSA_MAX_0_PTSA_MAX_PCIE1XA_SHIFT)
#define MC_PCIE1XA_PTSA_MAX_0_PTSA_MAX_PCIE1XA_RANGE                    10:0
#define MC_PCIE1XA_PTSA_MAX_0_PTSA_MAX_PCIE1XA_WOFFSET                  0x0
#define MC_PCIE1XA_PTSA_MAX_0_PTSA_MAX_PCIE1XA_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE1XA_PTSA_MAX_0_PTSA_MAX_PCIE1XA_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PCIE1XA_PTSA_MAX_0_PTSA_MAX_PCIE1XA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_PTSA_MAX_0_PTSA_MAX_PCIE1XA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_PTSA_MAX_0_PTSA_MAX_PCIE1XA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE1XA_PTSA_MAX_0_PTSA_MAX_PCIE1XA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MIU3_PTSA_RATE_0
#define MC_MIU3_PTSA_RATE_0                     _MK_ADDR_CONST(0x3160)
#define MC_MIU3_PTSA_RATE_0_SECURE                      0x0
#define MC_MIU3_PTSA_RATE_0_DUAL                        0x0
#define MC_MIU3_PTSA_RATE_0_SCR                         0
#define MC_MIU3_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_MIU3_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MIU3_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MIU3_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MIU3_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MIU3_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_MIU3_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MIU3_PTSA_RATE_0_PTSA_RATE_MIU3_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MIU3_PTSA_RATE_0_PTSA_RATE_MIU3_FIELD                        _MK_FIELD_CONST(0xfff, MC_MIU3_PTSA_RATE_0_PTSA_RATE_MIU3_SHIFT)
#define MC_MIU3_PTSA_RATE_0_PTSA_RATE_MIU3_RANGE                        11:0
#define MC_MIU3_PTSA_RATE_0_PTSA_RATE_MIU3_WOFFSET                      0x0
#define MC_MIU3_PTSA_RATE_0_PTSA_RATE_MIU3_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MIU3_PTSA_RATE_0_PTSA_RATE_MIU3_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_MIU3_PTSA_RATE_0_PTSA_RATE_MIU3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MIU3_PTSA_RATE_0_PTSA_RATE_MIU3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU3_PTSA_RATE_0_PTSA_RATE_MIU3_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MIU3_PTSA_RATE_0_PTSA_RATE_MIU3_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_MIU5_PTSA_MAX_0
#define MC_MIU5_PTSA_MAX_0                      _MK_ADDR_CONST(0x4b50)
#define MC_MIU5_PTSA_MAX_0_SECURE                       0x0
#define MC_MIU5_PTSA_MAX_0_DUAL                         0x0
#define MC_MIU5_PTSA_MAX_0_SCR                  0
#define MC_MIU5_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_MIU5_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MIU5_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU5_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MIU5_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU5_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MIU5_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU5_PTSA_MAX_0_PTSA_MAX_MIU5_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MIU5_PTSA_MAX_0_PTSA_MAX_MIU5_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MIU5_PTSA_MAX_0_PTSA_MAX_MIU5_SHIFT)
#define MC_MIU5_PTSA_MAX_0_PTSA_MAX_MIU5_RANGE                  10:0
#define MC_MIU5_PTSA_MAX_0_PTSA_MAX_MIU5_WOFFSET                        0x0
#define MC_MIU5_PTSA_MAX_0_PTSA_MAX_MIU5_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MIU5_PTSA_MAX_0_PTSA_MAX_MIU5_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU5_PTSA_MAX_0_PTSA_MAX_MIU5_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU5_PTSA_MAX_0_PTSA_MAX_MIU5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU5_PTSA_MAX_0_PTSA_MAX_MIU5_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU5_PTSA_MAX_0_PTSA_MAX_MIU5_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_SDM_PTSA_RATE_0
#define MC_SDM_PTSA_RATE_0                      _MK_ADDR_CONST(0x61c)
#define MC_SDM_PTSA_RATE_0_SECURE                       0x0
#define MC_SDM_PTSA_RATE_0_DUAL                         0x0
#define MC_SDM_PTSA_RATE_0_SCR                  0
#define MC_SDM_PTSA_RATE_0_WORD_COUNT                   0x1
#define MC_SDM_PTSA_RATE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SDM_PTSA_RATE_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_SDM_PTSA_RATE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SDM_PTSA_RATE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SDM_PTSA_RATE_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_SDM_PTSA_RATE_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_SDM_PTSA_RATE_0_PTSA_RATE_SDM_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SDM_PTSA_RATE_0_PTSA_RATE_SDM_FIELD                  _MK_FIELD_CONST(0xfff, MC_SDM_PTSA_RATE_0_PTSA_RATE_SDM_SHIFT)
#define MC_SDM_PTSA_RATE_0_PTSA_RATE_SDM_RANGE                  11:0
#define MC_SDM_PTSA_RATE_0_PTSA_RATE_SDM_WOFFSET                        0x0
#define MC_SDM_PTSA_RATE_0_PTSA_RATE_SDM_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SDM_PTSA_RATE_0_PTSA_RATE_SDM_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_SDM_PTSA_RATE_0_PTSA_RATE_SDM_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SDM_PTSA_RATE_0_PTSA_RATE_SDM_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SDM_PTSA_RATE_0_PTSA_RATE_SDM_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SDM_PTSA_RATE_0_PTSA_RATE_SDM_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_SDM_PTSA_MIN_0
#define MC_SDM_PTSA_MIN_0                       _MK_ADDR_CONST(0x620)
#define MC_SDM_PTSA_MIN_0_SECURE                        0x0
#define MC_SDM_PTSA_MIN_0_DUAL                  0x0
#define MC_SDM_PTSA_MIN_0_SCR                   0
#define MC_SDM_PTSA_MIN_0_WORD_COUNT                    0x1
#define MC_SDM_PTSA_MIN_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_SDM_PTSA_MIN_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_SDM_PTSA_MIN_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_SDM_PTSA_MIN_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SDM_PTSA_MIN_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_SDM_PTSA_MIN_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_SDM_PTSA_MIN_0_PTSA_MIN_SDM_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SDM_PTSA_MIN_0_PTSA_MIN_SDM_FIELD                    _MK_FIELD_CONST(0x7ff, MC_SDM_PTSA_MIN_0_PTSA_MIN_SDM_SHIFT)
#define MC_SDM_PTSA_MIN_0_PTSA_MIN_SDM_RANGE                    10:0
#define MC_SDM_PTSA_MIN_0_PTSA_MIN_SDM_WOFFSET                  0x0
#define MC_SDM_PTSA_MIN_0_PTSA_MIN_SDM_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_SDM_PTSA_MIN_0_PTSA_MIN_SDM_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_SDM_PTSA_MIN_0_PTSA_MIN_SDM_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SDM_PTSA_MIN_0_PTSA_MIN_SDM_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SDM_PTSA_MIN_0_PTSA_MIN_SDM_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SDM_PTSA_MIN_0_PTSA_MIN_SDM_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_APB_PTSA_RATE_0
#define MC_APB_PTSA_RATE_0                      _MK_ADDR_CONST(0x4e8)
#define MC_APB_PTSA_RATE_0_SECURE                       0x0
#define MC_APB_PTSA_RATE_0_DUAL                         0x0
#define MC_APB_PTSA_RATE_0_SCR                  0
#define MC_APB_PTSA_RATE_0_WORD_COUNT                   0x1
#define MC_APB_PTSA_RATE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_APB_PTSA_RATE_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_APB_PTSA_RATE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_APB_PTSA_RATE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_APB_PTSA_RATE_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_APB_PTSA_RATE_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_APB_PTSA_RATE_0_PTSA_RATE_APB_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_APB_PTSA_RATE_0_PTSA_RATE_APB_FIELD                  _MK_FIELD_CONST(0xfff, MC_APB_PTSA_RATE_0_PTSA_RATE_APB_SHIFT)
#define MC_APB_PTSA_RATE_0_PTSA_RATE_APB_RANGE                  11:0
#define MC_APB_PTSA_RATE_0_PTSA_RATE_APB_WOFFSET                        0x0
#define MC_APB_PTSA_RATE_0_PTSA_RATE_APB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_APB_PTSA_RATE_0_PTSA_RATE_APB_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_APB_PTSA_RATE_0_PTSA_RATE_APB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_APB_PTSA_RATE_0_PTSA_RATE_APB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_APB_PTSA_RATE_0_PTSA_RATE_APB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_APB_PTSA_RATE_0_PTSA_RATE_APB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_SMMU_SMMU_PTSA_MAX_0
#define MC_SMMU_SMMU_PTSA_MAX_0                 _MK_ADDR_CONST(0x460)
#define MC_SMMU_SMMU_PTSA_MAX_0_SECURE                  0x0
#define MC_SMMU_SMMU_PTSA_MAX_0_DUAL                    0x0
#define MC_SMMU_SMMU_PTSA_MAX_0_SCR                     0
#define MC_SMMU_SMMU_PTSA_MAX_0_WORD_COUNT                      0x1
#define MC_SMMU_SMMU_PTSA_MAX_0_RESET_VAL                       _MK_MASK_CONST(0x7ff)
#define MC_SMMU_SMMU_PTSA_MAX_0_RESET_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_SMMU_SMMU_PTSA_MAX_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_SMMU_PTSA_MAX_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SMMU_SMMU_PTSA_MAX_0_READ_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_SMMU_SMMU_PTSA_MAX_0_WRITE_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_SMMU_SMMU_PTSA_MAX_0_PTSA_MAX_SMMU_SMMU_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_SMMU_SMMU_PTSA_MAX_0_PTSA_MAX_SMMU_SMMU_FIELD                        _MK_FIELD_CONST(0x7ff, MC_SMMU_SMMU_PTSA_MAX_0_PTSA_MAX_SMMU_SMMU_SHIFT)
#define MC_SMMU_SMMU_PTSA_MAX_0_PTSA_MAX_SMMU_SMMU_RANGE                        10:0
#define MC_SMMU_SMMU_PTSA_MAX_0_PTSA_MAX_SMMU_SMMU_WOFFSET                      0x0
#define MC_SMMU_SMMU_PTSA_MAX_0_PTSA_MAX_SMMU_SMMU_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_SMMU_SMMU_PTSA_MAX_0_PTSA_MAX_SMMU_SMMU_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_SMMU_SMMU_PTSA_MAX_0_PTSA_MAX_SMMU_SMMU_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SMMU_PTSA_MAX_0_PTSA_MAX_SMMU_SMMU_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_SMMU_PTSA_MAX_0_PTSA_MAX_SMMU_SMMU_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_SMMU_PTSA_MAX_0_PTSA_MAX_SMMU_SMMU_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_RING2_PTSA_MIN_0
#define MC_RING2_PTSA_MIN_0                     _MK_ADDR_CONST(0x444)
#define MC_RING2_PTSA_MIN_0_SECURE                      0x0
#define MC_RING2_PTSA_MIN_0_DUAL                        0x0
#define MC_RING2_PTSA_MIN_0_SCR                         0
#define MC_RING2_PTSA_MIN_0_WORD_COUNT                  0x1
#define MC_RING2_PTSA_MIN_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_RING2_PTSA_MIN_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_RING2_PTSA_MIN_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_RING2_PTSA_MIN_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_RING2_PTSA_MIN_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_RING2_PTSA_MIN_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_RING2_PTSA_MIN_0_PTSA_MIN_RING2_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_RING2_PTSA_MIN_0_PTSA_MIN_RING2_FIELD                        _MK_FIELD_CONST(0x7ff, MC_RING2_PTSA_MIN_0_PTSA_MIN_RING2_SHIFT)
#define MC_RING2_PTSA_MIN_0_PTSA_MIN_RING2_RANGE                        10:0
#define MC_RING2_PTSA_MIN_0_PTSA_MIN_RING2_WOFFSET                      0x0
#define MC_RING2_PTSA_MIN_0_PTSA_MIN_RING2_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_RING2_PTSA_MIN_0_PTSA_MIN_RING2_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_RING2_PTSA_MIN_0_PTSA_MIN_RING2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_RING2_PTSA_MIN_0_PTSA_MIN_RING2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_RING2_PTSA_MIN_0_PTSA_MIN_RING2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_RING2_PTSA_MIN_0_PTSA_MIN_RING2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_UFSHCPC_PTSA_RATE_0
#define MC_UFSHCPC_PTSA_RATE_0                  _MK_ADDR_CONST(0x744)
#define MC_UFSHCPC_PTSA_RATE_0_SECURE                   0x0
#define MC_UFSHCPC_PTSA_RATE_0_DUAL                     0x0
#define MC_UFSHCPC_PTSA_RATE_0_SCR                      0
#define MC_UFSHCPC_PTSA_RATE_0_WORD_COUNT                       0x1
#define MC_UFSHCPC_PTSA_RATE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_PTSA_RATE_0_RESET_MASK                       _MK_MASK_CONST(0xfff)
#define MC_UFSHCPC_PTSA_RATE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_PTSA_RATE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_PTSA_RATE_0_READ_MASK                        _MK_MASK_CONST(0xfff)
#define MC_UFSHCPC_PTSA_RATE_0_WRITE_MASK                       _MK_MASK_CONST(0xfff)
#define MC_UFSHCPC_PTSA_RATE_0_PTSA_RATE_UFSHCPC_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_UFSHCPC_PTSA_RATE_0_PTSA_RATE_UFSHCPC_FIELD                  _MK_FIELD_CONST(0xfff, MC_UFSHCPC_PTSA_RATE_0_PTSA_RATE_UFSHCPC_SHIFT)
#define MC_UFSHCPC_PTSA_RATE_0_PTSA_RATE_UFSHCPC_RANGE                  11:0
#define MC_UFSHCPC_PTSA_RATE_0_PTSA_RATE_UFSHCPC_WOFFSET                        0x0
#define MC_UFSHCPC_PTSA_RATE_0_PTSA_RATE_UFSHCPC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_PTSA_RATE_0_PTSA_RATE_UFSHCPC_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_UFSHCPC_PTSA_RATE_0_PTSA_RATE_UFSHCPC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_PTSA_RATE_0_PTSA_RATE_UFSHCPC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_PTSA_RATE_0_PTSA_RATE_UFSHCPC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_UFSHCPC_PTSA_RATE_0_PTSA_RATE_UFSHCPC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PVA0XC_PTSA_RATE_0
#define MC_PVA0XC_PTSA_RATE_0                   _MK_ADDR_CONST(0x356c)
#define MC_PVA0XC_PTSA_RATE_0_SECURE                    0x0
#define MC_PVA0XC_PTSA_RATE_0_DUAL                      0x0
#define MC_PVA0XC_PTSA_RATE_0_SCR                       0
#define MC_PVA0XC_PTSA_RATE_0_WORD_COUNT                        0x1
#define MC_PVA0XC_PTSA_RATE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_PVA0XC_PTSA_RATE_0_RESET_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PVA0XC_PTSA_RATE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA0XC_PTSA_RATE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA0XC_PTSA_RATE_0_READ_MASK                         _MK_MASK_CONST(0xfff)
#define MC_PVA0XC_PTSA_RATE_0_WRITE_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PVA0XC_PTSA_RATE_0_PTSA_RATE_PVA0XC_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA0XC_PTSA_RATE_0_PTSA_RATE_PVA0XC_FIELD                    _MK_FIELD_CONST(0xfff, MC_PVA0XC_PTSA_RATE_0_PTSA_RATE_PVA0XC_SHIFT)
#define MC_PVA0XC_PTSA_RATE_0_PTSA_RATE_PVA0XC_RANGE                    11:0
#define MC_PVA0XC_PTSA_RATE_0_PTSA_RATE_PVA0XC_WOFFSET                  0x0
#define MC_PVA0XC_PTSA_RATE_0_PTSA_RATE_PVA0XC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PVA0XC_PTSA_RATE_0_PTSA_RATE_PVA0XC_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_PVA0XC_PTSA_RATE_0_PTSA_RATE_PVA0XC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA0XC_PTSA_RATE_0_PTSA_RATE_PVA0XC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XC_PTSA_RATE_0_PTSA_RATE_PVA0XC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA0XC_PTSA_RATE_0_PTSA_RATE_PVA0XC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MSE2_PTSA_RATE_0
#define MC_MSE2_PTSA_RATE_0                     _MK_ADDR_CONST(0x7c8)
#define MC_MSE2_PTSA_RATE_0_SECURE                      0x0
#define MC_MSE2_PTSA_RATE_0_DUAL                        0x0
#define MC_MSE2_PTSA_RATE_0_SCR                         0
#define MC_MSE2_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_MSE2_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MSE2_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MSE2_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSE2_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSE2_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_MSE2_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MSE2_PTSA_RATE_0_PTSA_RATE_MSE2_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MSE2_PTSA_RATE_0_PTSA_RATE_MSE2_FIELD                        _MK_FIELD_CONST(0xfff, MC_MSE2_PTSA_RATE_0_PTSA_RATE_MSE2_SHIFT)
#define MC_MSE2_PTSA_RATE_0_PTSA_RATE_MSE2_RANGE                        11:0
#define MC_MSE2_PTSA_RATE_0_PTSA_RATE_MSE2_WOFFSET                      0x0
#define MC_MSE2_PTSA_RATE_0_PTSA_RATE_MSE2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSE2_PTSA_RATE_0_PTSA_RATE_MSE2_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_MSE2_PTSA_RATE_0_PTSA_RATE_MSE2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSE2_PTSA_RATE_0_PTSA_RATE_MSE2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSE2_PTSA_RATE_0_PTSA_RATE_MSE2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSE2_PTSA_RATE_0_PTSA_RATE_MSE2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_PCIE0XA_PTSA_MAX_0
#define MC_PCIE0XA_PTSA_MAX_0                   _MK_ADDR_CONST(0x3508)
#define MC_PCIE0XA_PTSA_MAX_0_SECURE                    0x0
#define MC_PCIE0XA_PTSA_MAX_0_DUAL                      0x0
#define MC_PCIE0XA_PTSA_MAX_0_SCR                       0
#define MC_PCIE0XA_PTSA_MAX_0_WORD_COUNT                        0x1
#define MC_PCIE0XA_PTSA_MAX_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE0XA_PTSA_MAX_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE0XA_PTSA_MAX_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_PTSA_MAX_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_PTSA_MAX_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE0XA_PTSA_MAX_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PCIE0XA_PTSA_MAX_0_PTSA_MAX_PCIE0XA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PCIE0XA_PTSA_MAX_0_PTSA_MAX_PCIE0XA_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PCIE0XA_PTSA_MAX_0_PTSA_MAX_PCIE0XA_SHIFT)
#define MC_PCIE0XA_PTSA_MAX_0_PTSA_MAX_PCIE0XA_RANGE                    10:0
#define MC_PCIE0XA_PTSA_MAX_0_PTSA_MAX_PCIE0XA_WOFFSET                  0x0
#define MC_PCIE0XA_PTSA_MAX_0_PTSA_MAX_PCIE0XA_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE0XA_PTSA_MAX_0_PTSA_MAX_PCIE0XA_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PCIE0XA_PTSA_MAX_0_PTSA_MAX_PCIE0XA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_PTSA_MAX_0_PTSA_MAX_PCIE0XA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_PTSA_MAX_0_PTSA_MAX_PCIE0XA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PCIE0XA_PTSA_MAX_0_PTSA_MAX_PCIE0XA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MSEB_PTSA_MIN_0
#define MC_MSEB_PTSA_MIN_0                      _MK_ADDR_CONST(0x3a58)
#define MC_MSEB_PTSA_MIN_0_SECURE                       0x0
#define MC_MSEB_PTSA_MIN_0_DUAL                         0x0
#define MC_MSEB_PTSA_MIN_0_SCR                  0
#define MC_MSEB_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_MSEB_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MSEB_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSEB_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MSEB_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSEB_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MSEB_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSEB_PTSA_MIN_0_PTSA_MIN_MSEB_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MSEB_PTSA_MIN_0_PTSA_MIN_MSEB_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MSEB_PTSA_MIN_0_PTSA_MIN_MSEB_SHIFT)
#define MC_MSEB_PTSA_MIN_0_PTSA_MIN_MSEB_RANGE                  10:0
#define MC_MSEB_PTSA_MIN_0_PTSA_MIN_MSEB_WOFFSET                        0x0
#define MC_MSEB_PTSA_MIN_0_PTSA_MIN_MSEB_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MSEB_PTSA_MIN_0_PTSA_MIN_MSEB_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSEB_PTSA_MIN_0_PTSA_MIN_MSEB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSEB_PTSA_MIN_0_PTSA_MIN_MSEB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSEB_PTSA_MIN_0_PTSA_MIN_MSEB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSEB_PTSA_MIN_0_PTSA_MIN_MSEB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PVA1XB_PTSA_MAX_0
#define MC_PVA1XB_PTSA_MAX_0                    _MK_ADDR_CONST(0x3914)
#define MC_PVA1XB_PTSA_MAX_0_SECURE                     0x0
#define MC_PVA1XB_PTSA_MAX_0_DUAL                       0x0
#define MC_PVA1XB_PTSA_MAX_0_SCR                        0
#define MC_PVA1XB_PTSA_MAX_0_WORD_COUNT                         0x1
#define MC_PVA1XB_PTSA_MAX_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB_PTSA_MAX_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB_PTSA_MAX_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_PVA1XB_PTSA_MAX_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA1XB_PTSA_MAX_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB_PTSA_MAX_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB_PTSA_MAX_0_PTSA_MAX_PVA1XB_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_PVA1XB_PTSA_MAX_0_PTSA_MAX_PVA1XB_FIELD                      _MK_FIELD_CONST(0x7ff, MC_PVA1XB_PTSA_MAX_0_PTSA_MAX_PVA1XB_SHIFT)
#define MC_PVA1XB_PTSA_MAX_0_PTSA_MAX_PVA1XB_RANGE                      10:0
#define MC_PVA1XB_PTSA_MAX_0_PTSA_MAX_PVA1XB_WOFFSET                    0x0
#define MC_PVA1XB_PTSA_MAX_0_PTSA_MAX_PVA1XB_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB_PTSA_MAX_0_PTSA_MAX_PVA1XB_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB_PTSA_MAX_0_PTSA_MAX_PVA1XB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PVA1XB_PTSA_MAX_0_PTSA_MAX_PVA1XB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA1XB_PTSA_MAX_0_PTSA_MAX_PVA1XB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PVA1XB_PTSA_MAX_0_PTSA_MAX_PVA1XB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_HOST_PTSA_RATE_0
#define MC_HOST_PTSA_RATE_0                     _MK_ADDR_CONST(0x518)
#define MC_HOST_PTSA_RATE_0_SECURE                      0x0
#define MC_HOST_PTSA_RATE_0_DUAL                        0x0
#define MC_HOST_PTSA_RATE_0_SCR                         0
#define MC_HOST_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_HOST_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_HOST_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_HOST_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_HOST_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HOST_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_HOST_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_HOST_PTSA_RATE_0_PTSA_RATE_HOST_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_HOST_PTSA_RATE_0_PTSA_RATE_HOST_FIELD                        _MK_FIELD_CONST(0xfff, MC_HOST_PTSA_RATE_0_PTSA_RATE_HOST_SHIFT)
#define MC_HOST_PTSA_RATE_0_PTSA_RATE_HOST_RANGE                        11:0
#define MC_HOST_PTSA_RATE_0_PTSA_RATE_HOST_WOFFSET                      0x0
#define MC_HOST_PTSA_RATE_0_PTSA_RATE_HOST_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HOST_PTSA_RATE_0_PTSA_RATE_HOST_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_HOST_PTSA_RATE_0_PTSA_RATE_HOST_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HOST_PTSA_RATE_0_PTSA_RATE_HOST_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HOST_PTSA_RATE_0_PTSA_RATE_HOST_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HOST_PTSA_RATE_0_PTSA_RATE_HOST_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_NVD3_PTSA_RATE_0
#define MC_NVD3_PTSA_RATE_0                     _MK_ADDR_CONST(0x7bc)
#define MC_NVD3_PTSA_RATE_0_SECURE                      0x0
#define MC_NVD3_PTSA_RATE_0_DUAL                        0x0
#define MC_NVD3_PTSA_RATE_0_SCR                         0
#define MC_NVD3_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_NVD3_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_NVD3_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_NVD3_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_NVD3_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_NVD3_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_NVD3_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_NVD3_PTSA_RATE_0_PTSA_RATE_NVD3_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_NVD3_PTSA_RATE_0_PTSA_RATE_NVD3_FIELD                        _MK_FIELD_CONST(0xfff, MC_NVD3_PTSA_RATE_0_PTSA_RATE_NVD3_SHIFT)
#define MC_NVD3_PTSA_RATE_0_PTSA_RATE_NVD3_RANGE                        11:0
#define MC_NVD3_PTSA_RATE_0_PTSA_RATE_NVD3_WOFFSET                      0x0
#define MC_NVD3_PTSA_RATE_0_PTSA_RATE_NVD3_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_NVD3_PTSA_RATE_0_PTSA_RATE_NVD3_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_NVD3_PTSA_RATE_0_PTSA_RATE_NVD3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_NVD3_PTSA_RATE_0_PTSA_RATE_NVD3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_NVD3_PTSA_RATE_0_PTSA_RATE_NVD3_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_NVD3_PTSA_RATE_0_PTSA_RATE_NVD3_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_NVD6_PTSA_MIN_0
#define MC_NVD6_PTSA_MIN_0                      _MK_ADDR_CONST(0x4b34)
#define MC_NVD6_PTSA_MIN_0_SECURE                       0x0
#define MC_NVD6_PTSA_MIN_0_DUAL                         0x0
#define MC_NVD6_PTSA_MIN_0_SCR                  0
#define MC_NVD6_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_NVD6_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_NVD6_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD6_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_NVD6_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_NVD6_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_NVD6_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD6_PTSA_MIN_0_PTSA_MIN_NVD6_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_NVD6_PTSA_MIN_0_PTSA_MIN_NVD6_FIELD                  _MK_FIELD_CONST(0x7ff, MC_NVD6_PTSA_MIN_0_PTSA_MIN_NVD6_SHIFT)
#define MC_NVD6_PTSA_MIN_0_PTSA_MIN_NVD6_RANGE                  10:0
#define MC_NVD6_PTSA_MIN_0_PTSA_MIN_NVD6_WOFFSET                        0x0
#define MC_NVD6_PTSA_MIN_0_PTSA_MIN_NVD6_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_NVD6_PTSA_MIN_0_PTSA_MIN_NVD6_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD6_PTSA_MIN_0_PTSA_MIN_NVD6_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_NVD6_PTSA_MIN_0_PTSA_MIN_NVD6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_NVD6_PTSA_MIN_0_PTSA_MIN_NVD6_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_NVD6_PTSA_MIN_0_PTSA_MIN_NVD6_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_MIU5_PTSA_RATE_0
#define MC_MIU5_PTSA_RATE_0                     _MK_ADDR_CONST(0x4b48)
#define MC_MIU5_PTSA_RATE_0_SECURE                      0x0
#define MC_MIU5_PTSA_RATE_0_DUAL                        0x0
#define MC_MIU5_PTSA_RATE_0_SCR                         0
#define MC_MIU5_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_MIU5_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MIU5_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MIU5_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MIU5_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MIU5_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_MIU5_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MIU5_PTSA_RATE_0_PTSA_RATE_MIU5_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MIU5_PTSA_RATE_0_PTSA_RATE_MIU5_FIELD                        _MK_FIELD_CONST(0xfff, MC_MIU5_PTSA_RATE_0_PTSA_RATE_MIU5_SHIFT)
#define MC_MIU5_PTSA_RATE_0_PTSA_RATE_MIU5_RANGE                        11:0
#define MC_MIU5_PTSA_RATE_0_PTSA_RATE_MIU5_WOFFSET                      0x0
#define MC_MIU5_PTSA_RATE_0_PTSA_RATE_MIU5_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MIU5_PTSA_RATE_0_PTSA_RATE_MIU5_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_MIU5_PTSA_RATE_0_PTSA_RATE_MIU5_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MIU5_PTSA_RATE_0_PTSA_RATE_MIU5_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU5_PTSA_RATE_0_PTSA_RATE_MIU5_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MIU5_PTSA_RATE_0_PTSA_RATE_MIU5_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_PVA1XB_PTSA_MIN_0
#define MC_PVA1XB_PTSA_MIN_0                    _MK_ADDR_CONST(0x3910)
#define MC_PVA1XB_PTSA_MIN_0_SECURE                     0x0
#define MC_PVA1XB_PTSA_MIN_0_DUAL                       0x0
#define MC_PVA1XB_PTSA_MIN_0_SCR                        0
#define MC_PVA1XB_PTSA_MIN_0_WORD_COUNT                         0x1
#define MC_PVA1XB_PTSA_MIN_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB_PTSA_MIN_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB_PTSA_MIN_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_PVA1XB_PTSA_MIN_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA1XB_PTSA_MIN_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB_PTSA_MIN_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB_PTSA_MIN_0_PTSA_MIN_PVA1XB_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_PVA1XB_PTSA_MIN_0_PTSA_MIN_PVA1XB_FIELD                      _MK_FIELD_CONST(0x7ff, MC_PVA1XB_PTSA_MIN_0_PTSA_MIN_PVA1XB_SHIFT)
#define MC_PVA1XB_PTSA_MIN_0_PTSA_MIN_PVA1XB_RANGE                      10:0
#define MC_PVA1XB_PTSA_MIN_0_PTSA_MIN_PVA1XB_WOFFSET                    0x0
#define MC_PVA1XB_PTSA_MIN_0_PTSA_MIN_PVA1XB_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB_PTSA_MIN_0_PTSA_MIN_PVA1XB_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB_PTSA_MIN_0_PTSA_MIN_PVA1XB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PVA1XB_PTSA_MIN_0_PTSA_MIN_PVA1XB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA1XB_PTSA_MIN_0_PTSA_MIN_PVA1XB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PVA1XB_PTSA_MIN_0_PTSA_MIN_PVA1XB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_PVA1XA_PTSA_RATE_0
#define MC_PVA1XA_PTSA_RATE_0                   _MK_ADDR_CONST(0x310c)
#define MC_PVA1XA_PTSA_RATE_0_SECURE                    0x0
#define MC_PVA1XA_PTSA_RATE_0_DUAL                      0x0
#define MC_PVA1XA_PTSA_RATE_0_SCR                       0
#define MC_PVA1XA_PTSA_RATE_0_WORD_COUNT                        0x1
#define MC_PVA1XA_PTSA_RATE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_PVA1XA_PTSA_RATE_0_RESET_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PVA1XA_PTSA_RATE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA1XA_PTSA_RATE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA1XA_PTSA_RATE_0_READ_MASK                         _MK_MASK_CONST(0xfff)
#define MC_PVA1XA_PTSA_RATE_0_WRITE_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PVA1XA_PTSA_RATE_0_PTSA_RATE_PVA1XA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA1XA_PTSA_RATE_0_PTSA_RATE_PVA1XA_FIELD                    _MK_FIELD_CONST(0xfff, MC_PVA1XA_PTSA_RATE_0_PTSA_RATE_PVA1XA_SHIFT)
#define MC_PVA1XA_PTSA_RATE_0_PTSA_RATE_PVA1XA_RANGE                    11:0
#define MC_PVA1XA_PTSA_RATE_0_PTSA_RATE_PVA1XA_WOFFSET                  0x0
#define MC_PVA1XA_PTSA_RATE_0_PTSA_RATE_PVA1XA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PVA1XA_PTSA_RATE_0_PTSA_RATE_PVA1XA_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_PVA1XA_PTSA_RATE_0_PTSA_RATE_PVA1XA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA1XA_PTSA_RATE_0_PTSA_RATE_PVA1XA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XA_PTSA_RATE_0_PTSA_RATE_PVA1XA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA1XA_PTSA_RATE_0_PTSA_RATE_PVA1XA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MIU4_PTSA_MIN_0
#define MC_MIU4_PTSA_MIN_0                      _MK_ADDR_CONST(0x4b40)
#define MC_MIU4_PTSA_MIN_0_SECURE                       0x0
#define MC_MIU4_PTSA_MIN_0_DUAL                         0x0
#define MC_MIU4_PTSA_MIN_0_SCR                  0
#define MC_MIU4_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_MIU4_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MIU4_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU4_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MIU4_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU4_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MIU4_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU4_PTSA_MIN_0_PTSA_MIN_MIU4_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MIU4_PTSA_MIN_0_PTSA_MIN_MIU4_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MIU4_PTSA_MIN_0_PTSA_MIN_MIU4_SHIFT)
#define MC_MIU4_PTSA_MIN_0_PTSA_MIN_MIU4_RANGE                  10:0
#define MC_MIU4_PTSA_MIN_0_PTSA_MIN_MIU4_WOFFSET                        0x0
#define MC_MIU4_PTSA_MIN_0_PTSA_MIN_MIU4_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MIU4_PTSA_MIN_0_PTSA_MIN_MIU4_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU4_PTSA_MIN_0_PTSA_MIN_MIU4_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU4_PTSA_MIN_0_PTSA_MIN_MIU4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU4_PTSA_MIN_0_PTSA_MIN_MIU4_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU4_PTSA_MIN_0_PTSA_MIN_MIU4_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_SMMU_SMMU_PTSA_MIN_0
#define MC_SMMU_SMMU_PTSA_MIN_0                 _MK_ADDR_CONST(0x45c)
#define MC_SMMU_SMMU_PTSA_MIN_0_SECURE                  0x0
#define MC_SMMU_SMMU_PTSA_MIN_0_DUAL                    0x0
#define MC_SMMU_SMMU_PTSA_MIN_0_SCR                     0
#define MC_SMMU_SMMU_PTSA_MIN_0_WORD_COUNT                      0x1
#define MC_SMMU_SMMU_PTSA_MIN_0_RESET_VAL                       _MK_MASK_CONST(0x7ff)
#define MC_SMMU_SMMU_PTSA_MIN_0_RESET_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_SMMU_SMMU_PTSA_MIN_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_SMMU_PTSA_MIN_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SMMU_SMMU_PTSA_MIN_0_READ_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_SMMU_SMMU_PTSA_MIN_0_WRITE_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_SMMU_SMMU_PTSA_MIN_0_PTSA_MIN_SMMU_SMMU_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_SMMU_SMMU_PTSA_MIN_0_PTSA_MIN_SMMU_SMMU_FIELD                        _MK_FIELD_CONST(0x7ff, MC_SMMU_SMMU_PTSA_MIN_0_PTSA_MIN_SMMU_SMMU_SHIFT)
#define MC_SMMU_SMMU_PTSA_MIN_0_PTSA_MIN_SMMU_SMMU_RANGE                        10:0
#define MC_SMMU_SMMU_PTSA_MIN_0_PTSA_MIN_SMMU_SMMU_WOFFSET                      0x0
#define MC_SMMU_SMMU_PTSA_MIN_0_PTSA_MIN_SMMU_SMMU_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_SMMU_SMMU_PTSA_MIN_0_PTSA_MIN_SMMU_SMMU_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_SMMU_SMMU_PTSA_MIN_0_PTSA_MIN_SMMU_SMMU_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_SMMU_PTSA_MIN_0_PTSA_MIN_SMMU_SMMU_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_SMMU_PTSA_MIN_0_PTSA_MIN_SMMU_SMMU_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_SMMU_PTSA_MIN_0_PTSA_MIN_SMMU_SMMU_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_NIC_PTSA_RATE_0
#define MC_NIC_PTSA_RATE_0                      _MK_ADDR_CONST(0x738)
#define MC_NIC_PTSA_RATE_0_SECURE                       0x0
#define MC_NIC_PTSA_RATE_0_DUAL                         0x0
#define MC_NIC_PTSA_RATE_0_SCR                  0
#define MC_NIC_PTSA_RATE_0_WORD_COUNT                   0x1
#define MC_NIC_PTSA_RATE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_NIC_PTSA_RATE_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_NIC_PTSA_RATE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_NIC_PTSA_RATE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_NIC_PTSA_RATE_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_NIC_PTSA_RATE_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_NIC_PTSA_RATE_0_PTSA_RATE_NIC_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_NIC_PTSA_RATE_0_PTSA_RATE_NIC_FIELD                  _MK_FIELD_CONST(0xfff, MC_NIC_PTSA_RATE_0_PTSA_RATE_NIC_SHIFT)
#define MC_NIC_PTSA_RATE_0_PTSA_RATE_NIC_RANGE                  11:0
#define MC_NIC_PTSA_RATE_0_PTSA_RATE_NIC_WOFFSET                        0x0
#define MC_NIC_PTSA_RATE_0_PTSA_RATE_NIC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_NIC_PTSA_RATE_0_PTSA_RATE_NIC_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_NIC_PTSA_RATE_0_PTSA_RATE_NIC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_NIC_PTSA_RATE_0_PTSA_RATE_NIC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_NIC_PTSA_RATE_0_PTSA_RATE_NIC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_NIC_PTSA_RATE_0_PTSA_RATE_NIC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PVA1XB3_PTSA_MIN_0
#define MC_PVA1XB3_PTSA_MIN_0                   _MK_ADDR_CONST(0x391c)
#define MC_PVA1XB3_PTSA_MIN_0_SECURE                    0x0
#define MC_PVA1XB3_PTSA_MIN_0_DUAL                      0x0
#define MC_PVA1XB3_PTSA_MIN_0_SCR                       0
#define MC_PVA1XB3_PTSA_MIN_0_WORD_COUNT                        0x1
#define MC_PVA1XB3_PTSA_MIN_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB3_PTSA_MIN_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB3_PTSA_MIN_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_PTSA_MIN_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_PTSA_MIN_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB3_PTSA_MIN_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB3_PTSA_MIN_0_PTSA_MIN_PVA1XB3_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA1XB3_PTSA_MIN_0_PTSA_MIN_PVA1XB3_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PVA1XB3_PTSA_MIN_0_PTSA_MIN_PVA1XB3_SHIFT)
#define MC_PVA1XB3_PTSA_MIN_0_PTSA_MIN_PVA1XB3_RANGE                    10:0
#define MC_PVA1XB3_PTSA_MIN_0_PTSA_MIN_PVA1XB3_WOFFSET                  0x0
#define MC_PVA1XB3_PTSA_MIN_0_PTSA_MIN_PVA1XB3_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB3_PTSA_MIN_0_PTSA_MIN_PVA1XB3_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PVA1XB3_PTSA_MIN_0_PTSA_MIN_PVA1XB3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_PTSA_MIN_0_PTSA_MIN_PVA1XB3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_PTSA_MIN_0_PTSA_MIN_PVA1XB3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA1XB3_PTSA_MIN_0_PTSA_MIN_PVA1XB3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_NVD4_PTSA_MIN_0
#define MC_NVD4_PTSA_MIN_0                      _MK_ADDR_CONST(0x4b1c)
#define MC_NVD4_PTSA_MIN_0_SECURE                       0x0
#define MC_NVD4_PTSA_MIN_0_DUAL                         0x0
#define MC_NVD4_PTSA_MIN_0_SCR                  0
#define MC_NVD4_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_NVD4_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_NVD4_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD4_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_NVD4_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_NVD4_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_NVD4_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD4_PTSA_MIN_0_PTSA_MIN_NVD4_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_NVD4_PTSA_MIN_0_PTSA_MIN_NVD4_FIELD                  _MK_FIELD_CONST(0x7ff, MC_NVD4_PTSA_MIN_0_PTSA_MIN_NVD4_SHIFT)
#define MC_NVD4_PTSA_MIN_0_PTSA_MIN_NVD4_RANGE                  10:0
#define MC_NVD4_PTSA_MIN_0_PTSA_MIN_NVD4_WOFFSET                        0x0
#define MC_NVD4_PTSA_MIN_0_PTSA_MIN_NVD4_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_NVD4_PTSA_MIN_0_PTSA_MIN_NVD4_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_NVD4_PTSA_MIN_0_PTSA_MIN_NVD4_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_NVD4_PTSA_MIN_0_PTSA_MIN_NVD4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_NVD4_PTSA_MIN_0_PTSA_MIN_NVD4_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_NVD4_PTSA_MIN_0_PTSA_MIN_NVD4_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_SAX_PTSA_MAX_0
#define MC_SAX_PTSA_MAX_0                       _MK_ADDR_CONST(0x4c0)
#define MC_SAX_PTSA_MAX_0_SECURE                        0x0
#define MC_SAX_PTSA_MAX_0_DUAL                  0x0
#define MC_SAX_PTSA_MAX_0_SCR                   0
#define MC_SAX_PTSA_MAX_0_WORD_COUNT                    0x1
#define MC_SAX_PTSA_MAX_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_SAX_PTSA_MAX_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_SAX_PTSA_MAX_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_SAX_PTSA_MAX_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SAX_PTSA_MAX_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_SAX_PTSA_MAX_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_SAX_PTSA_MAX_0_PTSA_MAX_SAX_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SAX_PTSA_MAX_0_PTSA_MAX_SAX_FIELD                    _MK_FIELD_CONST(0x7ff, MC_SAX_PTSA_MAX_0_PTSA_MAX_SAX_SHIFT)
#define MC_SAX_PTSA_MAX_0_PTSA_MAX_SAX_RANGE                    10:0
#define MC_SAX_PTSA_MAX_0_PTSA_MAX_SAX_WOFFSET                  0x0
#define MC_SAX_PTSA_MAX_0_PTSA_MAX_SAX_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_SAX_PTSA_MAX_0_PTSA_MAX_SAX_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_SAX_PTSA_MAX_0_PTSA_MAX_SAX_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SAX_PTSA_MAX_0_PTSA_MAX_SAX_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SAX_PTSA_MAX_0_PTSA_MAX_SAX_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SAX_PTSA_MAX_0_PTSA_MAX_SAX_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MIU7_PTSA_MIN_0
#define MC_MIU7_PTSA_MIN_0                      _MK_ADDR_CONST(0x4b64)
#define MC_MIU7_PTSA_MIN_0_SECURE                       0x0
#define MC_MIU7_PTSA_MIN_0_DUAL                         0x0
#define MC_MIU7_PTSA_MIN_0_SCR                  0
#define MC_MIU7_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_MIU7_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_MIU7_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU7_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MIU7_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MIU7_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MIU7_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU7_PTSA_MIN_0_PTSA_MIN_MIU7_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MIU7_PTSA_MIN_0_PTSA_MIN_MIU7_FIELD                  _MK_FIELD_CONST(0x7ff, MC_MIU7_PTSA_MIN_0_PTSA_MIN_MIU7_SHIFT)
#define MC_MIU7_PTSA_MIN_0_PTSA_MIN_MIU7_RANGE                  10:0
#define MC_MIU7_PTSA_MIN_0_PTSA_MIN_MIU7_WOFFSET                        0x0
#define MC_MIU7_PTSA_MIN_0_PTSA_MIN_MIU7_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_MIU7_PTSA_MIN_0_PTSA_MIN_MIU7_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MIU7_PTSA_MIN_0_PTSA_MIN_MIU7_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MIU7_PTSA_MIN_0_PTSA_MIN_MIU7_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MIU7_PTSA_MIN_0_PTSA_MIN_MIU7_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MIU7_PTSA_MIN_0_PTSA_MIN_MIU7_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_PVA1XA3_PTSA_MIN_0
#define MC_PVA1XA3_PTSA_MIN_0                   _MK_ADDR_CONST(0x3904)
#define MC_PVA1XA3_PTSA_MIN_0_SECURE                    0x0
#define MC_PVA1XA3_PTSA_MIN_0_DUAL                      0x0
#define MC_PVA1XA3_PTSA_MIN_0_SCR                       0
#define MC_PVA1XA3_PTSA_MIN_0_WORD_COUNT                        0x1
#define MC_PVA1XA3_PTSA_MIN_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA3_PTSA_MIN_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA3_PTSA_MIN_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_PTSA_MIN_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_PTSA_MIN_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA3_PTSA_MIN_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA3_PTSA_MIN_0_PTSA_MIN_PVA1XA3_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA1XA3_PTSA_MIN_0_PTSA_MIN_PVA1XA3_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PVA1XA3_PTSA_MIN_0_PTSA_MIN_PVA1XA3_SHIFT)
#define MC_PVA1XA3_PTSA_MIN_0_PTSA_MIN_PVA1XA3_RANGE                    10:0
#define MC_PVA1XA3_PTSA_MIN_0_PTSA_MIN_PVA1XA3_WOFFSET                  0x0
#define MC_PVA1XA3_PTSA_MIN_0_PTSA_MIN_PVA1XA3_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA3_PTSA_MIN_0_PTSA_MIN_PVA1XA3_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA3_PTSA_MIN_0_PTSA_MIN_PVA1XA3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_PTSA_MIN_0_PTSA_MIN_PVA1XA3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_PTSA_MIN_0_PTSA_MIN_PVA1XA3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA1XA3_PTSA_MIN_0_PTSA_MIN_PVA1XA3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_VE_PTSA_MIN_0
#define MC_VE_PTSA_MIN_0                        _MK_ADDR_CONST(0x438)
#define MC_VE_PTSA_MIN_0_SECURE                         0x0
#define MC_VE_PTSA_MIN_0_DUAL                   0x0
#define MC_VE_PTSA_MIN_0_SCR                    0
#define MC_VE_PTSA_MIN_0_WORD_COUNT                     0x1
#define MC_VE_PTSA_MIN_0_RESET_VAL                      _MK_MASK_CONST(0x7ff)
#define MC_VE_PTSA_MIN_0_RESET_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_VE_PTSA_MIN_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_VE_PTSA_MIN_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_VE_PTSA_MIN_0_READ_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_VE_PTSA_MIN_0_WRITE_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_VE_PTSA_MIN_0_PTSA_MIN_VE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_VE_PTSA_MIN_0_PTSA_MIN_VE_FIELD                      _MK_FIELD_CONST(0x7ff, MC_VE_PTSA_MIN_0_PTSA_MIN_VE_SHIFT)
#define MC_VE_PTSA_MIN_0_PTSA_MIN_VE_RANGE                      10:0
#define MC_VE_PTSA_MIN_0_PTSA_MIN_VE_WOFFSET                    0x0
#define MC_VE_PTSA_MIN_0_PTSA_MIN_VE_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_VE_PTSA_MIN_0_PTSA_MIN_VE_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_VE_PTSA_MIN_0_PTSA_MIN_VE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_VE_PTSA_MIN_0_PTSA_MIN_VE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_VE_PTSA_MIN_0_PTSA_MIN_VE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_VE_PTSA_MIN_0_PTSA_MIN_VE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_USBD2_PTSA_RATE_0
#define MC_USBD2_PTSA_RATE_0                    _MK_ADDR_CONST(0x3a3c)
#define MC_USBD2_PTSA_RATE_0_SECURE                     0x0
#define MC_USBD2_PTSA_RATE_0_DUAL                       0x0
#define MC_USBD2_PTSA_RATE_0_SCR                        0
#define MC_USBD2_PTSA_RATE_0_WORD_COUNT                         0x1
#define MC_USBD2_PTSA_RATE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_USBD2_PTSA_RATE_0_RESET_MASK                         _MK_MASK_CONST(0xfff)
#define MC_USBD2_PTSA_RATE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_USBD2_PTSA_RATE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_USBD2_PTSA_RATE_0_READ_MASK                  _MK_MASK_CONST(0xfff)
#define MC_USBD2_PTSA_RATE_0_WRITE_MASK                         _MK_MASK_CONST(0xfff)
#define MC_USBD2_PTSA_RATE_0_PTSA_RATE_USBD2_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_USBD2_PTSA_RATE_0_PTSA_RATE_USBD2_FIELD                      _MK_FIELD_CONST(0xfff, MC_USBD2_PTSA_RATE_0_PTSA_RATE_USBD2_SHIFT)
#define MC_USBD2_PTSA_RATE_0_PTSA_RATE_USBD2_RANGE                      11:0
#define MC_USBD2_PTSA_RATE_0_PTSA_RATE_USBD2_WOFFSET                    0x0
#define MC_USBD2_PTSA_RATE_0_PTSA_RATE_USBD2_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_USBD2_PTSA_RATE_0_PTSA_RATE_USBD2_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_USBD2_PTSA_RATE_0_PTSA_RATE_USBD2_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_USBD2_PTSA_RATE_0_PTSA_RATE_USBD2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_USBD2_PTSA_RATE_0_PTSA_RATE_USBD2_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_USBD2_PTSA_RATE_0_PTSA_RATE_USBD2_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_DLA1XA_PTSA_RATE_0
#define MC_DLA1XA_PTSA_RATE_0                   _MK_ADDR_CONST(0x7ec)
#define MC_DLA1XA_PTSA_RATE_0_SECURE                    0x0
#define MC_DLA1XA_PTSA_RATE_0_DUAL                      0x0
#define MC_DLA1XA_PTSA_RATE_0_SCR                       0
#define MC_DLA1XA_PTSA_RATE_0_WORD_COUNT                        0x1
#define MC_DLA1XA_PTSA_RATE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_DLA1XA_PTSA_RATE_0_RESET_MASK                        _MK_MASK_CONST(0xfff)
#define MC_DLA1XA_PTSA_RATE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_DLA1XA_PTSA_RATE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_DLA1XA_PTSA_RATE_0_READ_MASK                         _MK_MASK_CONST(0xfff)
#define MC_DLA1XA_PTSA_RATE_0_WRITE_MASK                        _MK_MASK_CONST(0xfff)
#define MC_DLA1XA_PTSA_RATE_0_PTSA_RATE_DLA1XA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_DLA1XA_PTSA_RATE_0_PTSA_RATE_DLA1XA_FIELD                    _MK_FIELD_CONST(0xfff, MC_DLA1XA_PTSA_RATE_0_PTSA_RATE_DLA1XA_SHIFT)
#define MC_DLA1XA_PTSA_RATE_0_PTSA_RATE_DLA1XA_RANGE                    11:0
#define MC_DLA1XA_PTSA_RATE_0_PTSA_RATE_DLA1XA_WOFFSET                  0x0
#define MC_DLA1XA_PTSA_RATE_0_PTSA_RATE_DLA1XA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_DLA1XA_PTSA_RATE_0_PTSA_RATE_DLA1XA_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_DLA1XA_PTSA_RATE_0_PTSA_RATE_DLA1XA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_DLA1XA_PTSA_RATE_0_PTSA_RATE_DLA1XA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DLA1XA_PTSA_RATE_0_PTSA_RATE_DLA1XA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_DLA1XA_PTSA_RATE_0_PTSA_RATE_DLA1XA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PVA0XA2_PTSA_MAX_0
#define MC_PVA0XA2_PTSA_MAX_0                   _MK_ADDR_CONST(0x3950)
#define MC_PVA0XA2_PTSA_MAX_0_SECURE                    0x0
#define MC_PVA0XA2_PTSA_MAX_0_DUAL                      0x0
#define MC_PVA0XA2_PTSA_MAX_0_SCR                       0
#define MC_PVA0XA2_PTSA_MAX_0_WORD_COUNT                        0x1
#define MC_PVA0XA2_PTSA_MAX_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA2_PTSA_MAX_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA2_PTSA_MAX_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_PTSA_MAX_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_PTSA_MAX_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA2_PTSA_MAX_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA2_PTSA_MAX_0_PTSA_MAX_PVA0XA2_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA0XA2_PTSA_MAX_0_PTSA_MAX_PVA0XA2_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PVA0XA2_PTSA_MAX_0_PTSA_MAX_PVA0XA2_SHIFT)
#define MC_PVA0XA2_PTSA_MAX_0_PTSA_MAX_PVA0XA2_RANGE                    10:0
#define MC_PVA0XA2_PTSA_MAX_0_PTSA_MAX_PVA0XA2_WOFFSET                  0x0
#define MC_PVA0XA2_PTSA_MAX_0_PTSA_MAX_PVA0XA2_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA2_PTSA_MAX_0_PTSA_MAX_PVA0XA2_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PVA0XA2_PTSA_MAX_0_PTSA_MAX_PVA0XA2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_PTSA_MAX_0_PTSA_MAX_PVA0XA2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_PTSA_MAX_0_PTSA_MAX_PVA0XA2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA0XA2_PTSA_MAX_0_PTSA_MAX_PVA0XA2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_DLA0FALPC_PTSA_RATE_0
#define MC_DLA0FALPC_PTSA_RATE_0                        _MK_ADDR_CONST(0x316c)
#define MC_DLA0FALPC_PTSA_RATE_0_SECURE                         0x0
#define MC_DLA0FALPC_PTSA_RATE_0_DUAL                   0x0
#define MC_DLA0FALPC_PTSA_RATE_0_SCR                    0
#define MC_DLA0FALPC_PTSA_RATE_0_WORD_COUNT                     0x1
#define MC_DLA0FALPC_PTSA_RATE_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_PTSA_RATE_0_RESET_MASK                     _MK_MASK_CONST(0xfff)
#define MC_DLA0FALPC_PTSA_RATE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_PTSA_RATE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_PTSA_RATE_0_READ_MASK                      _MK_MASK_CONST(0xfff)
#define MC_DLA0FALPC_PTSA_RATE_0_WRITE_MASK                     _MK_MASK_CONST(0xfff)
#define MC_DLA0FALPC_PTSA_RATE_0_PTSA_RATE_DLA0FALPC_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_DLA0FALPC_PTSA_RATE_0_PTSA_RATE_DLA0FALPC_FIELD                      _MK_FIELD_CONST(0xfff, MC_DLA0FALPC_PTSA_RATE_0_PTSA_RATE_DLA0FALPC_SHIFT)
#define MC_DLA0FALPC_PTSA_RATE_0_PTSA_RATE_DLA0FALPC_RANGE                      11:0
#define MC_DLA0FALPC_PTSA_RATE_0_PTSA_RATE_DLA0FALPC_WOFFSET                    0x0
#define MC_DLA0FALPC_PTSA_RATE_0_PTSA_RATE_DLA0FALPC_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_PTSA_RATE_0_PTSA_RATE_DLA0FALPC_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_DLA0FALPC_PTSA_RATE_0_PTSA_RATE_DLA0FALPC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_PTSA_RATE_0_PTSA_RATE_DLA0FALPC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_PTSA_RATE_0_PTSA_RATE_DLA0FALPC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_DLA0FALPC_PTSA_RATE_0_PTSA_RATE_DLA0FALPC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_MSE_PTSA_MAX_0
#define MC_MSE_PTSA_MAX_0                       _MK_ADDR_CONST(0x4cc)
#define MC_MSE_PTSA_MAX_0_SECURE                        0x0
#define MC_MSE_PTSA_MAX_0_DUAL                  0x0
#define MC_MSE_PTSA_MAX_0_SCR                   0
#define MC_MSE_PTSA_MAX_0_WORD_COUNT                    0x1
#define MC_MSE_PTSA_MAX_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_MSE_PTSA_MAX_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MSE_PTSA_MAX_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MSE_PTSA_MAX_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSE_PTSA_MAX_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_MSE_PTSA_MAX_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MSE_PTSA_MAX_0_PTSA_MAX_MSE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MSE_PTSA_MAX_0_PTSA_MAX_MSE_FIELD                    _MK_FIELD_CONST(0x7ff, MC_MSE_PTSA_MAX_0_PTSA_MAX_MSE_SHIFT)
#define MC_MSE_PTSA_MAX_0_PTSA_MAX_MSE_RANGE                    10:0
#define MC_MSE_PTSA_MAX_0_PTSA_MAX_MSE_WOFFSET                  0x0
#define MC_MSE_PTSA_MAX_0_PTSA_MAX_MSE_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_MSE_PTSA_MAX_0_PTSA_MAX_MSE_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_MSE_PTSA_MAX_0_PTSA_MAX_MSE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSE_PTSA_MAX_0_PTSA_MAX_MSE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSE_PTSA_MAX_0_PTSA_MAX_MSE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MSE_PTSA_MAX_0_PTSA_MAX_MSE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PCIE4X_PTSA_MAX_0
#define MC_PCIE4X_PTSA_MAX_0                    _MK_ADDR_CONST(0x3344)
#define MC_PCIE4X_PTSA_MAX_0_SECURE                     0x0
#define MC_PCIE4X_PTSA_MAX_0_DUAL                       0x0
#define MC_PCIE4X_PTSA_MAX_0_SCR                        0
#define MC_PCIE4X_PTSA_MAX_0_WORD_COUNT                         0x1
#define MC_PCIE4X_PTSA_MAX_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE4X_PTSA_MAX_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE4X_PTSA_MAX_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_PCIE4X_PTSA_MAX_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCIE4X_PTSA_MAX_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE4X_PTSA_MAX_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE4X_PTSA_MAX_0_PTSA_MAX_PCIE4X_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_PCIE4X_PTSA_MAX_0_PTSA_MAX_PCIE4X_FIELD                      _MK_FIELD_CONST(0x7ff, MC_PCIE4X_PTSA_MAX_0_PTSA_MAX_PCIE4X_SHIFT)
#define MC_PCIE4X_PTSA_MAX_0_PTSA_MAX_PCIE4X_RANGE                      10:0
#define MC_PCIE4X_PTSA_MAX_0_PTSA_MAX_PCIE4X_WOFFSET                    0x0
#define MC_PCIE4X_PTSA_MAX_0_PTSA_MAX_PCIE4X_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_PCIE4X_PTSA_MAX_0_PTSA_MAX_PCIE4X_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_PCIE4X_PTSA_MAX_0_PTSA_MAX_PCIE4X_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCIE4X_PTSA_MAX_0_PTSA_MAX_PCIE4X_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCIE4X_PTSA_MAX_0_PTSA_MAX_PCIE4X_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PCIE4X_PTSA_MAX_0_PTSA_MAX_PCIE4X_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_MSEB1_PTSA_MAX_0
#define MC_MSEB1_PTSA_MAX_0                     _MK_ADDR_CONST(0x3a68)
#define MC_MSEB1_PTSA_MAX_0_SECURE                      0x0
#define MC_MSEB1_PTSA_MAX_0_DUAL                        0x0
#define MC_MSEB1_PTSA_MAX_0_SCR                         0
#define MC_MSEB1_PTSA_MAX_0_WORD_COUNT                  0x1
#define MC_MSEB1_PTSA_MAX_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_MSEB1_PTSA_MAX_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_MSEB1_PTSA_MAX_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSEB1_PTSA_MAX_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSEB1_PTSA_MAX_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSEB1_PTSA_MAX_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_MSEB1_PTSA_MAX_0_PTSA_MAX_MSEB1_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MSEB1_PTSA_MAX_0_PTSA_MAX_MSEB1_FIELD                        _MK_FIELD_CONST(0x7ff, MC_MSEB1_PTSA_MAX_0_PTSA_MAX_MSEB1_SHIFT)
#define MC_MSEB1_PTSA_MAX_0_PTSA_MAX_MSEB1_RANGE                        10:0
#define MC_MSEB1_PTSA_MAX_0_PTSA_MAX_MSEB1_WOFFSET                      0x0
#define MC_MSEB1_PTSA_MAX_0_PTSA_MAX_MSEB1_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_MSEB1_PTSA_MAX_0_PTSA_MAX_MSEB1_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_MSEB1_PTSA_MAX_0_PTSA_MAX_MSEB1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSEB1_PTSA_MAX_0_PTSA_MAX_MSEB1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSEB1_PTSA_MAX_0_PTSA_MAX_MSEB1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSEB1_PTSA_MAX_0_PTSA_MAX_MSEB1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_USBD2_PTSA_MIN_0
#define MC_USBD2_PTSA_MIN_0                     _MK_ADDR_CONST(0x3a40)
#define MC_USBD2_PTSA_MIN_0_SECURE                      0x0
#define MC_USBD2_PTSA_MIN_0_DUAL                        0x0
#define MC_USBD2_PTSA_MIN_0_SCR                         0
#define MC_USBD2_PTSA_MIN_0_WORD_COUNT                  0x1
#define MC_USBD2_PTSA_MIN_0_RESET_VAL                   _MK_MASK_CONST(0x7ff)
#define MC_USBD2_PTSA_MIN_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_USBD2_PTSA_MIN_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_USBD2_PTSA_MIN_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_USBD2_PTSA_MIN_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_USBD2_PTSA_MIN_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_USBD2_PTSA_MIN_0_PTSA_MIN_USBD2_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_USBD2_PTSA_MIN_0_PTSA_MIN_USBD2_FIELD                        _MK_FIELD_CONST(0x7ff, MC_USBD2_PTSA_MIN_0_PTSA_MIN_USBD2_SHIFT)
#define MC_USBD2_PTSA_MIN_0_PTSA_MIN_USBD2_RANGE                        10:0
#define MC_USBD2_PTSA_MIN_0_PTSA_MIN_USBD2_WOFFSET                      0x0
#define MC_USBD2_PTSA_MIN_0_PTSA_MIN_USBD2_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_USBD2_PTSA_MIN_0_PTSA_MIN_USBD2_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_USBD2_PTSA_MIN_0_PTSA_MIN_USBD2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_USBD2_PTSA_MIN_0_PTSA_MIN_USBD2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_USBD2_PTSA_MIN_0_PTSA_MIN_USBD2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_USBD2_PTSA_MIN_0_PTSA_MIN_USBD2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_PVA1XA2_PTSA_MAX_0
#define MC_PVA1XA2_PTSA_MAX_0                   _MK_ADDR_CONST(0x3968)
#define MC_PVA1XA2_PTSA_MAX_0_SECURE                    0x0
#define MC_PVA1XA2_PTSA_MAX_0_DUAL                      0x0
#define MC_PVA1XA2_PTSA_MAX_0_SCR                       0
#define MC_PVA1XA2_PTSA_MAX_0_WORD_COUNT                        0x1
#define MC_PVA1XA2_PTSA_MAX_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA2_PTSA_MAX_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA2_PTSA_MAX_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_PTSA_MAX_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_PTSA_MAX_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA2_PTSA_MAX_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA2_PTSA_MAX_0_PTSA_MAX_PVA1XA2_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_PVA1XA2_PTSA_MAX_0_PTSA_MAX_PVA1XA2_FIELD                    _MK_FIELD_CONST(0x7ff, MC_PVA1XA2_PTSA_MAX_0_PTSA_MAX_PVA1XA2_SHIFT)
#define MC_PVA1XA2_PTSA_MAX_0_PTSA_MAX_PVA1XA2_RANGE                    10:0
#define MC_PVA1XA2_PTSA_MAX_0_PTSA_MAX_PVA1XA2_WOFFSET                  0x0
#define MC_PVA1XA2_PTSA_MAX_0_PTSA_MAX_PVA1XA2_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA2_PTSA_MAX_0_PTSA_MAX_PVA1XA2_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_PVA1XA2_PTSA_MAX_0_PTSA_MAX_PVA1XA2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_PTSA_MAX_0_PTSA_MAX_PVA1XA2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_PTSA_MAX_0_PTSA_MAX_PVA1XA2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_PVA1XA2_PTSA_MAX_0_PTSA_MAX_PVA1XA2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PCIE1X_PTSA_MIN_0
#define MC_PCIE1X_PTSA_MIN_0                    _MK_ADDR_CONST(0x331c)
#define MC_PCIE1X_PTSA_MIN_0_SECURE                     0x0
#define MC_PCIE1X_PTSA_MIN_0_DUAL                       0x0
#define MC_PCIE1X_PTSA_MIN_0_SCR                        0
#define MC_PCIE1X_PTSA_MIN_0_WORD_COUNT                         0x1
#define MC_PCIE1X_PTSA_MIN_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE1X_PTSA_MIN_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE1X_PTSA_MIN_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_PCIE1X_PTSA_MIN_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCIE1X_PTSA_MIN_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_PCIE1X_PTSA_MIN_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PCIE1X_PTSA_MIN_0_PTSA_MIN_PCIE1X_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_PCIE1X_PTSA_MIN_0_PTSA_MIN_PCIE1X_FIELD                      _MK_FIELD_CONST(0x7ff, MC_PCIE1X_PTSA_MIN_0_PTSA_MIN_PCIE1X_SHIFT)
#define MC_PCIE1X_PTSA_MIN_0_PTSA_MIN_PCIE1X_RANGE                      10:0
#define MC_PCIE1X_PTSA_MIN_0_PTSA_MIN_PCIE1X_WOFFSET                    0x0
#define MC_PCIE1X_PTSA_MIN_0_PTSA_MIN_PCIE1X_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_PCIE1X_PTSA_MIN_0_PTSA_MIN_PCIE1X_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_PCIE1X_PTSA_MIN_0_PTSA_MIN_PCIE1X_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PCIE1X_PTSA_MIN_0_PTSA_MIN_PCIE1X_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PCIE1X_PTSA_MIN_0_PTSA_MIN_PCIE1X_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PCIE1X_PTSA_MIN_0_PTSA_MIN_PCIE1X_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_NIC_PTSA_MIN_0
#define MC_NIC_PTSA_MIN_0                       _MK_ADDR_CONST(0x73c)
#define MC_NIC_PTSA_MIN_0_SECURE                        0x0
#define MC_NIC_PTSA_MIN_0_DUAL                  0x0
#define MC_NIC_PTSA_MIN_0_SCR                   0
#define MC_NIC_PTSA_MIN_0_WORD_COUNT                    0x1
#define MC_NIC_PTSA_MIN_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_NIC_PTSA_MIN_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_NIC_PTSA_MIN_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_NIC_PTSA_MIN_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_NIC_PTSA_MIN_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_NIC_PTSA_MIN_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_NIC_PTSA_MIN_0_PTSA_MIN_NIC_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_NIC_PTSA_MIN_0_PTSA_MIN_NIC_FIELD                    _MK_FIELD_CONST(0x7ff, MC_NIC_PTSA_MIN_0_PTSA_MIN_NIC_SHIFT)
#define MC_NIC_PTSA_MIN_0_PTSA_MIN_NIC_RANGE                    10:0
#define MC_NIC_PTSA_MIN_0_PTSA_MIN_NIC_WOFFSET                  0x0
#define MC_NIC_PTSA_MIN_0_PTSA_MIN_NIC_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_NIC_PTSA_MIN_0_PTSA_MIN_NIC_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_NIC_PTSA_MIN_0_PTSA_MIN_NIC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_NIC_PTSA_MIN_0_PTSA_MIN_NIC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_NIC_PTSA_MIN_0_PTSA_MIN_NIC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_NIC_PTSA_MIN_0_PTSA_MIN_NIC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_PVA1XC_PTSA_MIN_0
#define MC_PVA1XC_PTSA_MIN_0                    _MK_ADDR_CONST(0x3928)
#define MC_PVA1XC_PTSA_MIN_0_SECURE                     0x0
#define MC_PVA1XC_PTSA_MIN_0_DUAL                       0x0
#define MC_PVA1XC_PTSA_MIN_0_SCR                        0
#define MC_PVA1XC_PTSA_MIN_0_WORD_COUNT                         0x1
#define MC_PVA1XC_PTSA_MIN_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_PVA1XC_PTSA_MIN_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XC_PTSA_MIN_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_PVA1XC_PTSA_MIN_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA1XC_PTSA_MIN_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_PVA1XC_PTSA_MIN_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_PVA1XC_PTSA_MIN_0_PTSA_MIN_PVA1XC_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_PVA1XC_PTSA_MIN_0_PTSA_MIN_PVA1XC_FIELD                      _MK_FIELD_CONST(0x7ff, MC_PVA1XC_PTSA_MIN_0_PTSA_MIN_PVA1XC_SHIFT)
#define MC_PVA1XC_PTSA_MIN_0_PTSA_MIN_PVA1XC_RANGE                      10:0
#define MC_PVA1XC_PTSA_MIN_0_PTSA_MIN_PVA1XC_WOFFSET                    0x0
#define MC_PVA1XC_PTSA_MIN_0_PTSA_MIN_PVA1XC_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_PVA1XC_PTSA_MIN_0_PTSA_MIN_PVA1XC_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_PVA1XC_PTSA_MIN_0_PTSA_MIN_PVA1XC_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_PVA1XC_PTSA_MIN_0_PTSA_MIN_PVA1XC_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_PVA1XC_PTSA_MIN_0_PTSA_MIN_PVA1XC_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_PVA1XC_PTSA_MIN_0_PTSA_MIN_PVA1XC_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_PTSA_GRANT_DECREMENT_0
#define MC_PTSA_GRANT_DECREMENT_0                       _MK_ADDR_CONST(0x960)
#define MC_PTSA_GRANT_DECREMENT_0_SECURE                        0x0
#define MC_PTSA_GRANT_DECREMENT_0_DUAL                  0x0
#define MC_PTSA_GRANT_DECREMENT_0_SCR                   0
#define MC_PTSA_GRANT_DECREMENT_0_WORD_COUNT                    0x1
#define MC_PTSA_GRANT_DECREMENT_0_RESET_VAL                     _MK_MASK_CONST(0x1000)
#define MC_PTSA_GRANT_DECREMENT_0_RESET_MASK                    _MK_MASK_CONST(0x1fff)
#define MC_PTSA_GRANT_DECREMENT_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x1000)
#define MC_PTSA_GRANT_DECREMENT_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1fff)
#define MC_PTSA_GRANT_DECREMENT_0_READ_MASK                     _MK_MASK_CONST(0x1fff)
#define MC_PTSA_GRANT_DECREMENT_0_WRITE_MASK                    _MK_MASK_CONST(0x1fff)
#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_INT_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_INT_FIELD                        _MK_FIELD_CONST(0x1, MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_INT_SHIFT)
#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_INT_RANGE                        12:12
#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_INT_WOFFSET                      0x0
#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_INT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_INT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_INT_SW_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_INT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_INT_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_INT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_INT__PROD                        _MK_MASK_CONST(0x1)

#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_FRAC_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_FRAC_FIELD                       _MK_FIELD_CONST(0xfff, MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_FRAC_SHIFT)
#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_FRAC_RANGE                       11:0
#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_FRAC_WOFFSET                     0x0
#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_FRAC_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_FRAC_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_FRAC_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_FRAC_SW_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_FRAC_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_FRAC_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_PTSA_GRANT_DECREMENT_0_PTSA_GRANT_DECREMENT_FRAC__PROD                       _MK_MASK_CONST(0x0)


// Register MC_LATENCY_ALLOWANCE_AON_0_0
#define MC_LATENCY_ALLOWANCE_AON_0_0                    _MK_ADDR_CONST(0x714)
#define MC_LATENCY_ALLOWANCE_AON_0_0_SECURE                     0x0
#define MC_LATENCY_ALLOWANCE_AON_0_0_DUAL                       0x0
#define MC_LATENCY_ALLOWANCE_AON_0_0_SCR                        0
#define MC_LATENCY_ALLOWANCE_AON_0_0_WORD_COUNT                         0x1
#define MC_LATENCY_ALLOWANCE_AON_0_0_RESET_VAL                  _MK_MASK_CONST(0x1000004)
#define MC_LATENCY_ALLOWANCE_AON_0_0_RESET_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_AON_0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AON_0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AON_0_0_READ_MASK                  _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_AON_0_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONR_FIELD                       _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONR_SHIFT)
#define MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONR_RANGE                       10:0
#define MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONR_WOFFSET                     0x0
#define MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONR_DEFAULT                     _MK_MASK_CONST(0x4)
#define MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONR_DEFAULT_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONW_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONW_FIELD                       _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONW_SHIFT)
#define MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONW_RANGE                       26:16
#define MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONW_WOFFSET                     0x0
#define MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONW_DEFAULT                     _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONW_DEFAULT_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AON_0_0_ALLOWANCE_AONW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_NVENC_1_0
#define MC_LATENCY_ALLOWANCE_NVENC_1_0                  _MK_ADDR_CONST(0x1050)
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_SECURE                   0x0
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_DUAL                     0x0
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_SCR                      0
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_WORD_COUNT                       0x1
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_RESET_VAL                        _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_RESET_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_READ_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_WRITE_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SRD_SHIFT)
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SRD_RANGE                        10:0
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SRD_WOFFSET                      0x0
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SWR_SHIFT)
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SWR_RANGE                        26:16
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SWR_WOFFSET                      0x0
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_1_0_ALLOWANCE_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_BPMP_0_0
#define MC_LATENCY_ALLOWANCE_BPMP_0_0                   _MK_ADDR_CONST(0x70c)
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_RESET_VAL                         _MK_MASK_CONST(0x1000004)
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPR_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPR_SHIFT)
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPR_RANGE                     10:0
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPR_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPR_DEFAULT                   _MK_MASK_CONST(0x4)
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPR_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPW_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPW_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPW_SHIFT)
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPW_RANGE                     26:16
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPW_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPW_DEFAULT                   _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPW_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_BPMP_0_0_ALLOWANCE_BPMPW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_MIU0_0_0
#define MC_LATENCY_ALLOWANCE_MIU0_0_0                   _MK_ADDR_CONST(0x1054)
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_RESET_VAL                         _MK_MASK_CONST(0xff00ff)
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0R_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0R_SHIFT)
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0R_RANGE                     10:0
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0R_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0R_DEFAULT                   _MK_MASK_CONST(0xff)
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0R_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0W_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0W_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0W_SHIFT)
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0W_RANGE                     26:16
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0W_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0W_DEFAULT                   _MK_MASK_CONST(0xff)
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0W_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU0_0_0_ALLOWANCE_MIU0W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_NVDEC_1_0
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0                  _MK_ADDR_CONST(0x72c)
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_SECURE                   0x0
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_DUAL                     0x0
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_SCR                      0
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_WORD_COUNT                       0x1
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_RESET_VAL                        _MK_MASK_CONST(0x800080)
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_RESET_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_READ_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_WRITE_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDECSRD1_SHIFT)
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDECSRD1_RANGE                        10:0
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDECSRD1_WOFFSET                      0x0
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDEC1SRD_SHIFT)
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDEC1SRD_RANGE                        26:16
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDEC1SRD_WOFFSET                      0x0
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_1_0_ALLOWANCE_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_XUSB_1_0
#define MC_LATENCY_ALLOWANCE_XUSB_1_0                   _MK_ADDR_CONST(0x380)
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_RESET_VAL                         _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVR_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVR_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVR_SHIFT)
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVR_RANGE                 10:0
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVR_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVR_DEFAULT                       _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVR_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVW_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVW_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVW_SHIFT)
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVW_RANGE                 26:16
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVW_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVW_DEFAULT                       _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVW_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_XUSB_1_0_ALLOWANCE_XUSB_DEVW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_NVENC_2_0
#define MC_LATENCY_ALLOWANCE_NVENC_2_0                  _MK_ADDR_CONST(0x1a28)
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_SECURE                   0x0
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_DUAL                     0x0
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_SCR                      0
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_WORD_COUNT                       0x1
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_RESET_VAL                        _MK_MASK_CONST(0x800080)
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_RESET_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_READ_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_WRITE_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENCSRD1_SHIFT)
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENCSRD1_RANGE                        10:0
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENCSRD1_WOFFSET                      0x0
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENC1SRD1_SHIFT)
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENC1SRD1_RANGE                       26:16
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENC1SRD1_WOFFSET                     0x0
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_2_0_ALLOWANCE_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_SE_0_0
#define MC_LATENCY_ALLOWANCE_SE_0_0                     _MK_ADDR_CONST(0x3e0)
#define MC_LATENCY_ALLOWANCE_SE_0_0_SECURE                      0x0
#define MC_LATENCY_ALLOWANCE_SE_0_0_DUAL                        0x0
#define MC_LATENCY_ALLOWANCE_SE_0_0_SCR                         0
#define MC_LATENCY_ALLOWANCE_SE_0_0_WORD_COUNT                  0x1
#define MC_LATENCY_ALLOWANCE_SE_0_0_RESET_VAL                   _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_SE_0_0_RESET_MASK                  _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_SE_0_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SE_0_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SE_0_0_READ_MASK                   _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_SE_0_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESRD_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESRD_FIELD                       _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESRD_SHIFT)
#define MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESRD_RANGE                       10:0
#define MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESRD_WOFFSET                     0x0
#define MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESRD_DEFAULT                     _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESRD_DEFAULT_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESRD_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESRD_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESRD_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESRD_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESWR_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESWR_FIELD                       _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESWR_SHIFT)
#define MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESWR_RANGE                       26:16
#define MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESWR_WOFFSET                     0x0
#define MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESWR_DEFAULT                     _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESWR_DEFAULT_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESWR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESWR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESWR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SE_0_0_ALLOWANCE_SESWR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_PCIE2_0_0
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0                  _MK_ADDR_CONST(0x1a04)
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_SECURE                   0x0
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_DUAL                     0x0
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_SCR                      0
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_WORD_COUNT                       0x1
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_RESET_VAL                        _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_RESET_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_READ_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_WRITE_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AR_SHIFT)
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AR_RANGE                  10:0
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AR_WOFFSET                        0x0
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AW_SHIFT)
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AW_RANGE                  26:16
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AW_WOFFSET                        0x0
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE2_0_0_ALLOWANCE_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_PCIE1_0_0
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0                  _MK_ADDR_CONST(0x1a00)
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_SECURE                   0x0
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_DUAL                     0x0
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_SCR                      0
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_WORD_COUNT                       0x1
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_RESET_VAL                        _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_RESET_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_READ_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_WRITE_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1R_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1R_SHIFT)
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1R_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1R_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1W_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1W_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1W_SHIFT)
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1W_RANGE                   26:16
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1W_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE1_0_0_ALLOWANCE_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_DLA1_0_0
#define MC_LATENCY_ALLOWANCE_DLA1_0_0                   _MK_ADDR_CONST(0x1028)
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_RESET_VAL                         _MK_MASK_CONST(0x40080)
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1RDA_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1RDA_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1RDA_SHIFT)
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1RDA_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1RDA_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1RDA_DEFAULT                 _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1RDA_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1RDA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1RDA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1RDA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1RDA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1FALRDB_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1FALRDB_FIELD                        _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1FALRDB_SHIFT)
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1FALRDB_RANGE                        26:16
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1FALRDB_WOFFSET                      0x0
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1FALRDB_DEFAULT                      _MK_MASK_CONST(0x4)
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1FALRDB_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1FALRDB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1FALRDB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1FALRDB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA1_0_0_ALLOWANCE_DLA1FALRDB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_APEDMA_0_0
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0                 _MK_ADDR_CONST(0x724)
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_SECURE                  0x0
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_DUAL                    0x0
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_SCR                     0
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_WORD_COUNT                      0x1
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_RESET_VAL                       _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_RESET_MASK                      _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_READ_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_WRITE_MASK                      _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAR_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAR_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAR_SHIFT)
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAR_RANGE                 10:0
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAR_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAR_DEFAULT                       _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAW_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAW_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAW_SHIFT)
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAW_RANGE                 26:16
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAW_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAW_DEFAULT                       _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_APEDMA_0_0_ALLOWANCE_APEDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_NVDEC_0_0
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0                  _MK_ADDR_CONST(0x3d8)
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_SECURE                   0x0
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_DUAL                     0x0
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_SCR                      0
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_WORD_COUNT                       0x1
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_RESET_VAL                        _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_RESET_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_READ_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_WRITE_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSRD_SHIFT)
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSRD_RANGE                 10:0
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSRD_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSWR_SHIFT)
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSWR_RANGE                 26:16
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSWR_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_0_0_ALLOWANCE_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_ISP3_0_0
#define MC_LATENCY_ALLOWANCE_ISP3_0_0                   _MK_ADDR_CONST(0x1a14)
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_RESET_VAL                         _MK_MASK_CONST(0x800100)
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPFALW_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPFALW_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPFALW_SHIFT)
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPFALW_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPFALW_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPFALW_DEFAULT                 _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPRA1_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPRA1_FIELD                    _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPRA1_SHIFT)
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPRA1_RANGE                    26:16
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPRA1_WOFFSET                  0x0
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPRA1_DEFAULT                  _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPRA1_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPRA1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPRA1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPRA1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP3_0_0_ALLOWANCE_ISPRA1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_MIU2_0_0
#define MC_LATENCY_ALLOWANCE_MIU2_0_0                   _MK_ADDR_CONST(0x105c)
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_RESET_VAL                         _MK_MASK_CONST(0xff00ff)
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2R_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2R_SHIFT)
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2R_RANGE                     10:0
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2R_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2R_DEFAULT                   _MK_MASK_CONST(0xff)
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2R_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2W_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2W_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2W_SHIFT)
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2W_RANGE                     26:16
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2W_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2W_DEFAULT                   _MK_MASK_CONST(0xff)
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2W_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU2_0_0_ALLOWANCE_MIU2W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_MIU5_0_0
#define MC_LATENCY_ALLOWANCE_MIU5_0_0                   _MK_ADDR_CONST(0x1a38)
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_RESET_VAL                         _MK_MASK_CONST(0xff00ff)
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5R_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5R_SHIFT)
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5R_RANGE                     10:0
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5R_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5R_DEFAULT                   _MK_MASK_CONST(0xff)
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5R_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5W_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5W_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5W_SHIFT)
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5W_RANGE                     26:16
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5W_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5W_DEFAULT                   _MK_MASK_CONST(0xff)
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5W_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU5_0_0_ALLOWANCE_MIU5W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_DLA0_2_0
#define MC_LATENCY_ALLOWANCE_DLA0_2_0                   _MK_ADDR_CONST(0x1a18)
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_RESET_VAL                         _MK_MASK_CONST(0x800080)
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA0RDA1_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA0RDA1_FIELD                  _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA0RDA1_SHIFT)
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA0RDA1_RANGE                  10:0
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA0RDA1_WOFFSET                        0x0
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA0RDA1_DEFAULT                        _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA0RDA1_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA0RDA1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA0RDA1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA0RDA1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA0RDA1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA1RDA1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA1RDA1_FIELD                  _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA1RDA1_SHIFT)
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA1RDA1_RANGE                  26:16
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA1RDA1_WOFFSET                        0x0
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA1RDA1_DEFAULT                        _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA1RDA1_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA1RDA1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA1RDA1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA1RDA1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_2_0_ALLOWANCE_DLA1RDA1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_PCIE0_0_0
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0                  _MK_ADDR_CONST(0x1064)
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_SECURE                   0x0
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_DUAL                     0x0
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_SCR                      0
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_WORD_COUNT                       0x1
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_RESET_VAL                        _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_RESET_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_READ_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_WRITE_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0R_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0R_SHIFT)
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0R_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0R_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0W_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0W_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0W_SHIFT)
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0W_RANGE                   26:16
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0W_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE0_0_0_ALLOWANCE_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_PVA0_2_0
#define MC_LATENCY_ALLOWANCE_PVA0_2_0                   _MK_ADDR_CONST(0x1038)
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_RESET_VAL                         _MK_MASK_CONST(0x1000100)
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRB_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRB_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRB_SHIFT)
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRB_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRB_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRB_DEFAULT                 _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRB_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRC_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRC_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRC_SHIFT)
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRC_RANGE                   26:16
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRC_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRC_DEFAULT                 _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRC_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRC_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRC_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRC_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_2_0_ALLOWANCE_PVA0WRC_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_MIU3_0_0
#define MC_LATENCY_ALLOWANCE_MIU3_0_0                   _MK_ADDR_CONST(0x1060)
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_RESET_VAL                         _MK_MASK_CONST(0xff00ff)
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3R_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3R_SHIFT)
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3R_RANGE                     10:0
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3R_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3R_DEFAULT                   _MK_MASK_CONST(0xff)
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3R_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3W_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3W_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3W_SHIFT)
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3W_RANGE                     26:16
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3W_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3W_DEFAULT                   _MK_MASK_CONST(0xff)
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3W_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU3_0_0_ALLOWANCE_MIU3W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_MIU1_0_0
#define MC_LATENCY_ALLOWANCE_MIU1_0_0                   _MK_ADDR_CONST(0x1058)
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_RESET_VAL                         _MK_MASK_CONST(0xff00ff)
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1R_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1R_SHIFT)
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1R_RANGE                     10:0
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1R_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1R_DEFAULT                   _MK_MASK_CONST(0xff)
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1R_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1W_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1W_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1W_SHIFT)
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1W_RANGE                     26:16
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1W_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1W_DEFAULT                   _MK_MASK_CONST(0xff)
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1W_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU1_0_0_ALLOWANCE_MIU1W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_DLA1_1_0
#define MC_LATENCY_ALLOWANCE_DLA1_1_0                   _MK_ADDR_CONST(0x102c)
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_RESET_VAL                         _MK_MASK_CONST(0x1000100)
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1WRA_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1WRA_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1WRA_SHIFT)
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1WRA_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1WRA_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1WRA_DEFAULT                 _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1WRA_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1WRA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1WRA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1WRA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1WRA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1FALWRB_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1FALWRB_FIELD                        _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1FALWRB_SHIFT)
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1FALWRB_RANGE                        26:16
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1FALWRB_WOFFSET                      0x0
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1FALWRB_DEFAULT                      _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1FALWRB_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1FALWRB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1FALWRB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1FALWRB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA1_1_0_ALLOWANCE_DLA1FALWRB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_PVA1_0_0
#define MC_LATENCY_ALLOWANCE_PVA1_0_0                   _MK_ADDR_CONST(0x103c)
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_RESET_VAL                         _MK_MASK_CONST(0x800080)
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDA_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDA_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDA_SHIFT)
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDA_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDA_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDA_DEFAULT                 _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDA_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDB_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDB_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDB_SHIFT)
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDB_RANGE                   26:16
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDB_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDB_DEFAULT                 _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDB_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_0_0_ALLOWANCE_PVA1RDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_SDMMC_0_0
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0                  _MK_ADDR_CONST(0x3c0)
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_SECURE                   0x0
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_DUAL                     0x0
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_SCR                      0
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_WORD_COUNT                       0x1
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_RESET_VAL                        _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_RESET_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_READ_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_WRITE_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCR_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCR_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCR_SHIFT)
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCR_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCR_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCW_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCW_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCW_SHIFT)
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCW_RANGE                   26:16
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCW_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMC_0_0_ALLOWANCE_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_DLA0_1_0
#define MC_LATENCY_ALLOWANCE_DLA0_1_0                   _MK_ADDR_CONST(0x1024)
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_RESET_VAL                         _MK_MASK_CONST(0x1000100)
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0WRA_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0WRA_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0WRA_SHIFT)
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0WRA_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0WRA_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0WRA_DEFAULT                 _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0WRA_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0WRA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0WRA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0WRA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0WRA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0FALWRB_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0FALWRB_FIELD                        _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0FALWRB_SHIFT)
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0FALWRB_RANGE                        26:16
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0FALWRB_WOFFSET                      0x0
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0FALWRB_DEFAULT                      _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0FALWRB_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0FALWRB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0FALWRB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0FALWRB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_1_0_ALLOWANCE_DLA0FALWRB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_DLA0_0_0
#define MC_LATENCY_ALLOWANCE_DLA0_0_0                   _MK_ADDR_CONST(0x1020)
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_RESET_VAL                         _MK_MASK_CONST(0x40080)
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0RDA_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0RDA_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0RDA_SHIFT)
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0RDA_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0RDA_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0RDA_DEFAULT                 _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0RDA_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0RDA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0RDA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0RDA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0RDA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0FALRDB_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0FALRDB_FIELD                        _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0FALRDB_SHIFT)
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0FALRDB_RANGE                        26:16
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0FALRDB_WOFFSET                      0x0
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0FALRDB_DEFAULT                      _MK_MASK_CONST(0x4)
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0FALRDB_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0FALRDB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0FALRDB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0FALRDB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_DLA0_0_0_ALLOWANCE_DLA0FALRDB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_NVJPG_0_0
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0                  _MK_ADDR_CONST(0x3e4)
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_SECURE                   0x0
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_DUAL                     0x0
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_SCR                      0
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_WORD_COUNT                       0x1
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_RESET_VAL                        _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_RESET_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_READ_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_WRITE_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSRD_SHIFT)
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSRD_RANGE                 10:0
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSRD_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSWR_SHIFT)
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSWR_RANGE                 26:16
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSWR_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVJPG_0_0_ALLOWANCE_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_MPCORE_0_0
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0                 _MK_ADDR_CONST(0x320)
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_SECURE                  0x0
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_DUAL                    0x0
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_SCR                     0
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_WORD_COUNT                      0x1
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_RESET_VAL                       _MK_MASK_CONST(0x1000004)
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_RESET_MASK                      _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_READ_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_WRITE_MASK                      _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCORER_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCORER_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCORER_SHIFT)
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCORER_RANGE                 10:0
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCORER_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCORER_DEFAULT                       _MK_MASK_CONST(0x4)
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCORER_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCORER_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCORER_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCORER_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCORER_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCOREW_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCOREW_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCOREW_SHIFT)
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCOREW_RANGE                 26:16
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCOREW_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCOREW_DEFAULT                       _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCOREW_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCOREW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCOREW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCOREW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MPCORE_0_0_ALLOWANCE_MPCOREW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_VI2_0_0
#define MC_LATENCY_ALLOWANCE_VI2_0_0                    _MK_ADDR_CONST(0x398)
#define MC_LATENCY_ALLOWANCE_VI2_0_0_SECURE                     0x0
#define MC_LATENCY_ALLOWANCE_VI2_0_0_DUAL                       0x0
#define MC_LATENCY_ALLOWANCE_VI2_0_0_SCR                        0
#define MC_LATENCY_ALLOWANCE_VI2_0_0_WORD_COUNT                         0x1
#define MC_LATENCY_ALLOWANCE_VI2_0_0_RESET_VAL                  _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_VI2_0_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_VI2_0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VI2_0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VI2_0_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_VI2_0_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_VI2_0_0_ALLOWANCE_VIW_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_VI2_0_0_ALLOWANCE_VIW_FIELD                        _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_VI2_0_0_ALLOWANCE_VIW_SHIFT)
#define MC_LATENCY_ALLOWANCE_VI2_0_0_ALLOWANCE_VIW_RANGE                        10:0
#define MC_LATENCY_ALLOWANCE_VI2_0_0_ALLOWANCE_VIW_WOFFSET                      0x0
#define MC_LATENCY_ALLOWANCE_VI2_0_0_ALLOWANCE_VIW_DEFAULT                      _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_VI2_0_0_ALLOWANCE_VIW_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_VI2_0_0_ALLOWANCE_VIW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VI2_0_0_ALLOWANCE_VIW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VI2_0_0_ALLOWANCE_VIW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VI2_0_0_ALLOWANCE_VIW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_MIU7_0_0
#define MC_LATENCY_ALLOWANCE_MIU7_0_0                   _MK_ADDR_CONST(0x1a40)
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_RESET_VAL                         _MK_MASK_CONST(0xff00ff)
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7R_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7R_SHIFT)
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7R_RANGE                     10:0
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7R_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7R_DEFAULT                   _MK_MASK_CONST(0xff)
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7R_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7W_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7W_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7W_SHIFT)
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7W_RANGE                     26:16
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7W_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7W_DEFAULT                   _MK_MASK_CONST(0xff)
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7W_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU7_0_0_ALLOWANCE_MIU7W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_SCEDMA_0_0
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0                 _MK_ADDR_CONST(0x720)
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_SECURE                  0x0
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_DUAL                    0x0
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_SCR                     0
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_WORD_COUNT                      0x1
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_RESET_VAL                       _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_RESET_MASK                      _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_READ_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_WRITE_MASK                      _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAR_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAR_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAR_SHIFT)
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAR_RANGE                 10:0
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAR_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAR_DEFAULT                       _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAW_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAW_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAW_SHIFT)
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAW_RANGE                 26:16
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAW_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAW_DEFAULT                       _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SCEDMA_0_0_ALLOWANCE_SCEDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_PVA1_1_0
#define MC_LATENCY_ALLOWANCE_PVA1_1_0                   _MK_ADDR_CONST(0x1040)
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_RESET_VAL                         _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1RDC_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1RDC_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1RDC_SHIFT)
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1RDC_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1RDC_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1RDC_DEFAULT                 _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1RDC_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1RDC_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1RDC_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1RDC_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1RDC_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1WRA_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1WRA_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1WRA_SHIFT)
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1WRA_RANGE                   26:16
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1WRA_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1WRA_DEFAULT                 _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1WRA_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1WRA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1WRA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1WRA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_1_0_ALLOWANCE_PVA1WRA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_SATA_0_0
#define MC_LATENCY_ALLOWANCE_SATA_0_0                   _MK_ADDR_CONST(0x350)
#define MC_LATENCY_ALLOWANCE_SATA_0_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_SATA_0_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_SATA_0_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_SATA_0_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_SATA_0_0_RESET_VAL                         _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_SATA_0_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_SATA_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SATA_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SATA_0_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_SATA_0_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAR_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAR_SHIFT)
#define MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAR_RANGE                     10:0
#define MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAR_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAR_DEFAULT                   _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAR_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAW_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAW_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAW_SHIFT)
#define MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAW_RANGE                     26:16
#define MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAW_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAW_DEFAULT                   _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAW_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SATA_0_0_ALLOWANCE_SATAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_AONDMA_0_0
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0                 _MK_ADDR_CONST(0x718)
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_SECURE                  0x0
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_DUAL                    0x0
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_SCR                     0
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_WORD_COUNT                      0x1
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_RESET_VAL                       _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_RESET_MASK                      _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_READ_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_WRITE_MASK                      _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAR_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAR_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAR_SHIFT)
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAR_RANGE                 10:0
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAR_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAR_DEFAULT                       _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAW_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAW_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAW_SHIFT)
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAW_RANGE                 26:16
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAW_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAW_DEFAULT                       _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AONDMA_0_0_ALLOWANCE_AONDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_HC_0_0
#define MC_LATENCY_ALLOWANCE_HC_0_0                     _MK_ADDR_CONST(0x310)
#define MC_LATENCY_ALLOWANCE_HC_0_0_SECURE                      0x0
#define MC_LATENCY_ALLOWANCE_HC_0_0_DUAL                        0x0
#define MC_LATENCY_ALLOWANCE_HC_0_0_SCR                         0
#define MC_LATENCY_ALLOWANCE_HC_0_0_WORD_COUNT                  0x1
#define MC_LATENCY_ALLOWANCE_HC_0_0_RESET_VAL                   _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_HC_0_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_HC_0_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_HC_0_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_HC_0_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_HC_0_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_HC_0_0_ALLOWANCE_HOST1XDMAR_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_HC_0_0_ALLOWANCE_HOST1XDMAR_FIELD                  _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_HC_0_0_ALLOWANCE_HOST1XDMAR_SHIFT)
#define MC_LATENCY_ALLOWANCE_HC_0_0_ALLOWANCE_HOST1XDMAR_RANGE                  10:0
#define MC_LATENCY_ALLOWANCE_HC_0_0_ALLOWANCE_HOST1XDMAR_WOFFSET                        0x0
#define MC_LATENCY_ALLOWANCE_HC_0_0_ALLOWANCE_HOST1XDMAR_DEFAULT                        _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_HC_0_0_ALLOWANCE_HOST1XDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_HC_0_0_ALLOWANCE_HOST1XDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_HC_0_0_ALLOWANCE_HOST1XDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_HC_0_0_ALLOWANCE_HOST1XDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_HC_0_0_ALLOWANCE_HOST1XDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_UFSHC_0_0
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0                  _MK_ADDR_CONST(0x704)
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_SECURE                   0x0
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_DUAL                     0x0
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_SCR                      0
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_WORD_COUNT                       0x1
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_RESET_VAL                        _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_RESET_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_READ_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_WRITE_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCR_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCR_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCR_SHIFT)
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCR_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCR_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCW_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCW_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCW_SHIFT)
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCW_RANGE                   26:16
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCW_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_UFSHC_0_0_ALLOWANCE_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_NVDEC_2_0
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0                  _MK_ADDR_CONST(0x1a30)
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_SECURE                   0x0
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_DUAL                     0x0
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_SCR                      0
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_WORD_COUNT                       0x1
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_RESET_VAL                        _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_RESET_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_READ_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_WRITE_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SRD1_SHIFT)
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SRD1_RANGE                       10:0
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SRD1_WOFFSET                     0x0
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SWR_SHIFT)
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SWR_RANGE                        26:16
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SWR_WOFFSET                      0x0
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDEC_2_0_ALLOWANCE_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_VIC_1_0
#define MC_LATENCY_ALLOWANCE_VIC_1_0                    _MK_ADDR_CONST(0x728)
#define MC_LATENCY_ALLOWANCE_VIC_1_0_SECURE                     0x0
#define MC_LATENCY_ALLOWANCE_VIC_1_0_DUAL                       0x0
#define MC_LATENCY_ALLOWANCE_VIC_1_0_SCR                        0
#define MC_LATENCY_ALLOWANCE_VIC_1_0_WORD_COUNT                         0x1
#define MC_LATENCY_ALLOWANCE_VIC_1_0_RESET_VAL                  _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_VIC_1_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_VIC_1_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VIC_1_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VIC_1_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_VIC_1_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_VIC_1_0_ALLOWANCE_VICSRD1_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_VIC_1_0_ALLOWANCE_VICSRD1_FIELD                    _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_VIC_1_0_ALLOWANCE_VICSRD1_SHIFT)
#define MC_LATENCY_ALLOWANCE_VIC_1_0_ALLOWANCE_VICSRD1_RANGE                    10:0
#define MC_LATENCY_ALLOWANCE_VIC_1_0_ALLOWANCE_VICSRD1_WOFFSET                  0x0
#define MC_LATENCY_ALLOWANCE_VIC_1_0_ALLOWANCE_VICSRD1_DEFAULT                  _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_VIC_1_0_ALLOWANCE_VICSRD1_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_VIC_1_0_ALLOWANCE_VICSRD1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VIC_1_0_ALLOWANCE_VICSRD1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VIC_1_0_ALLOWANCE_VICSRD1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VIC_1_0_ALLOWANCE_VICSRD1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_SDMMCAB_0_0
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0                        _MK_ADDR_CONST(0x3c4)
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_SECURE                         0x0
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_DUAL                   0x0
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_SCR                    0
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_WORD_COUNT                     0x1
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_RESET_VAL                      _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_RESET_MASK                     _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_READ_MASK                      _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_WRITE_MASK                     _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCRAB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCRAB_FIELD                       _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCRAB_SHIFT)
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCRAB_RANGE                       10:0
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCRAB_WOFFSET                     0x0
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCRAB_DEFAULT                     _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCRAB_DEFAULT_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCRAB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCRAB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCRAB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCRAB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCWAB_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCWAB_FIELD                       _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCWAB_SHIFT)
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCWAB_RANGE                       26:16
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCWAB_WOFFSET                     0x0
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCWAB_DEFAULT                     _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCWAB_DEFAULT_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCWAB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCWAB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCWAB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0_0_ALLOWANCE_SDMMCWAB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_RCEDMA_0_0
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0                 _MK_ADDR_CONST(0x104c)
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_SECURE                  0x0
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_DUAL                    0x0
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_SCR                     0
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_WORD_COUNT                      0x1
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_RESET_VAL                       _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_RESET_MASK                      _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_READ_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_WRITE_MASK                      _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAR_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAR_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAR_SHIFT)
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAR_RANGE                 10:0
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAR_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAR_DEFAULT                       _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAW_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAW_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAW_SHIFT)
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAW_RANGE                 26:16
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAW_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAW_DEFAULT                       _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_RCEDMA_0_0_ALLOWANCE_RCEDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_HDA_0_0
#define MC_LATENCY_ALLOWANCE_HDA_0_0                    _MK_ADDR_CONST(0x318)
#define MC_LATENCY_ALLOWANCE_HDA_0_0_SECURE                     0x0
#define MC_LATENCY_ALLOWANCE_HDA_0_0_DUAL                       0x0
#define MC_LATENCY_ALLOWANCE_HDA_0_0_SCR                        0
#define MC_LATENCY_ALLOWANCE_HDA_0_0_WORD_COUNT                         0x1
#define MC_LATENCY_ALLOWANCE_HDA_0_0_RESET_VAL                  _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_HDA_0_0_RESET_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_HDA_0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_HDA_0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_HDA_0_0_READ_MASK                  _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_HDA_0_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAR_FIELD                       _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAR_SHIFT)
#define MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAR_RANGE                       10:0
#define MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAR_WOFFSET                     0x0
#define MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAR_DEFAULT                     _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAR_DEFAULT_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAW_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAW_FIELD                       _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAW_SHIFT)
#define MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAW_RANGE                       26:16
#define MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAW_WOFFSET                     0x0
#define MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAW_DEFAULT                     _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAW_DEFAULT_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_HDA_0_0_ALLOWANCE_HDAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_BPMPDMA_0_0
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0                        _MK_ADDR_CONST(0x710)
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_SECURE                         0x0
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_DUAL                   0x0
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_SCR                    0
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_WORD_COUNT                     0x1
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_RESET_VAL                      _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_RESET_MASK                     _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_READ_MASK                      _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_WRITE_MASK                     _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAR_FIELD                       _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAR_SHIFT)
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAR_RANGE                       10:0
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAR_WOFFSET                     0x0
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAR_DEFAULT                     _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAW_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAW_FIELD                       _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAW_SHIFT)
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAW_RANGE                       26:16
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAW_WOFFSET                     0x0
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAW_DEFAULT                     _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAW_DEFAULT_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0_0_ALLOWANCE_BPMPDMAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_PCIE3_0_0
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0                  _MK_ADDR_CONST(0x1a08)
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_SECURE                   0x0
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_DUAL                     0x0
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_SCR                      0
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_WORD_COUNT                       0x1
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_RESET_VAL                        _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_RESET_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_READ_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_WRITE_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3R_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3R_SHIFT)
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3R_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3R_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3W_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3W_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3W_SHIFT)
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3W_RANGE                   26:16
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3W_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE3_0_0_ALLOWANCE_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_AXIAP_0_0
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0                  _MK_ADDR_CONST(0x3a0)
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_SECURE                   0x0
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_DUAL                     0x0
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_SCR                      0
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_WORD_COUNT                       0x1
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_RESET_VAL                        _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_RESET_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_READ_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_WRITE_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPR_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPR_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPR_SHIFT)
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPR_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPR_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPW_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPW_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPW_SHIFT)
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPW_RANGE                   26:16
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPW_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AXIAP_0_0_ALLOWANCE_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_SDMMCA_0_0
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0                 _MK_ADDR_CONST(0x3b8)
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_SECURE                  0x0
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_DUAL                    0x0
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_SCR                     0
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_WORD_COUNT                      0x1
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_RESET_VAL                       _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_RESET_MASK                      _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_READ_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_WRITE_MASK                      _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCRA_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCRA_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCRA_SHIFT)
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCRA_RANGE                 10:0
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCRA_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCRA_DEFAULT                       _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCRA_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCWA_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCWA_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCWA_SHIFT)
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCWA_RANGE                 26:16
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCWA_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCWA_DEFAULT                       _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCWA_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCWA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCWA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCWA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SDMMCA_0_0_ALLOWANCE_SDMMCWA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_PVA0_3_0
#define MC_LATENCY_ALLOWANCE_PVA0_3_0                   _MK_ADDR_CONST(0x1a1c)
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_RESET_VAL                         _MK_MASK_CONST(0x800080)
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDA1_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDA1_FIELD                  _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDA1_SHIFT)
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDA1_RANGE                  10:0
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDA1_WOFFSET                        0x0
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDA1_DEFAULT                        _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDA1_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDA1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDA1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDA1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDA1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDB1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDB1_FIELD                  _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDB1_SHIFT)
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDB1_RANGE                  26:16
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDB1_WOFFSET                        0x0
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDB1_DEFAULT                        _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDB1_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDB1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDB1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDB1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_3_0_ALLOWANCE_PVA0RDB1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_ISP2_0_0
#define MC_LATENCY_ALLOWANCE_ISP2_0_0                   _MK_ADDR_CONST(0x370)
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_RESET_VAL                         _MK_MASK_CONST(0x800080)
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPRA_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPRA_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPRA_SHIFT)
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPRA_RANGE                     10:0
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPRA_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPRA_DEFAULT                   _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPRA_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPRA_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPRA_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPRA_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPRA_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPFALR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPFALR_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPFALR_SHIFT)
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPFALR_RANGE                   26:16
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPFALR_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPFALR_DEFAULT                 _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP2_0_0_ALLOWANCE_ISPFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0                      _MK_ADDR_CONST(0x708)
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0_SECURE                       0x0
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0_DUAL                         0x0
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0_SCR                  0
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0_WORD_COUNT                   0x1
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0_RESET_VAL                    _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0_ALLOWANCE_NVDISPLAYR_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0_ALLOWANCE_NVDISPLAYR_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0_ALLOWANCE_NVDISPLAYR_SHIFT)
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0_ALLOWANCE_NVDISPLAYR_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0_ALLOWANCE_NVDISPLAYR_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0_ALLOWANCE_NVDISPLAYR_DEFAULT                 _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0_ALLOWANCE_NVDISPLAYR_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0_ALLOWANCE_NVDISPLAYR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0_ALLOWANCE_NVDISPLAYR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0_ALLOWANCE_NVDISPLAYR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0_ALLOWANCE_NVDISPLAYR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_ISP2_1_0
#define MC_LATENCY_ALLOWANCE_ISP2_1_0                   _MK_ADDR_CONST(0x374)
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_RESET_VAL                         _MK_MASK_CONST(0x1000100)
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWA_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWA_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWA_SHIFT)
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWA_RANGE                     10:0
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWA_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWA_DEFAULT                   _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWA_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWA_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWA_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWA_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWA_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWB_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWB_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWB_SHIFT)
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWB_RANGE                     26:16
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWB_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWB_DEFAULT                   _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWB_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWB_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWB_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWB_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ISP2_1_0_ALLOWANCE_ISPWB_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_PVA1_3_0
#define MC_LATENCY_ALLOWANCE_PVA1_3_0                   _MK_ADDR_CONST(0x1a20)
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_RESET_VAL                         _MK_MASK_CONST(0x800080)
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDA1_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDA1_FIELD                  _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDA1_SHIFT)
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDA1_RANGE                  10:0
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDA1_WOFFSET                        0x0
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDA1_DEFAULT                        _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDA1_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDA1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDA1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDA1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDA1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDB1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDB1_FIELD                  _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDB1_SHIFT)
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDB1_RANGE                  26:16
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDB1_WOFFSET                        0x0
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDB1_DEFAULT                        _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDB1_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDB1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDB1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDB1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_3_0_ALLOWANCE_PVA1RDB1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_VIC_0_0
#define MC_LATENCY_ALLOWANCE_VIC_0_0                    _MK_ADDR_CONST(0x394)
#define MC_LATENCY_ALLOWANCE_VIC_0_0_SECURE                     0x0
#define MC_LATENCY_ALLOWANCE_VIC_0_0_DUAL                       0x0
#define MC_LATENCY_ALLOWANCE_VIC_0_0_SCR                        0
#define MC_LATENCY_ALLOWANCE_VIC_0_0_WORD_COUNT                         0x1
#define MC_LATENCY_ALLOWANCE_VIC_0_0_RESET_VAL                  _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_VIC_0_0_RESET_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_VIC_0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VIC_0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VIC_0_0_READ_MASK                  _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_VIC_0_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSRD_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSRD_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSRD_SHIFT)
#define MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSRD_RANGE                     10:0
#define MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSRD_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSRD_DEFAULT                   _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSRD_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSWR_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSWR_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSWR_SHIFT)
#define MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSWR_RANGE                     26:16
#define MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSWR_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSWR_DEFAULT                   _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSWR_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VIC_0_0_ALLOWANCE_VICSWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_PCIE4_0_0
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0                  _MK_ADDR_CONST(0x1a0c)
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_SECURE                   0x0
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_DUAL                     0x0
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_SCR                      0
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_WORD_COUNT                       0x1
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_RESET_VAL                        _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_RESET_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_READ_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_WRITE_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4R_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4R_SHIFT)
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4R_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4R_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4W_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4W_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4W_SHIFT)
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4W_RANGE                   26:16
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4W_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE4_0_0_ALLOWANCE_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_PVA1_2_0
#define MC_LATENCY_ALLOWANCE_PVA1_2_0                   _MK_ADDR_CONST(0x1044)
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_RESET_VAL                         _MK_MASK_CONST(0x1000100)
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRB_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRB_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRB_SHIFT)
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRB_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRB_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRB_DEFAULT                 _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRB_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRC_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRC_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRC_SHIFT)
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRC_RANGE                   26:16
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRC_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRC_DEFAULT                 _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRC_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRC_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRC_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRC_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA1_2_0_ALLOWANCE_PVA1WRC_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_EQOS_0_0
#define MC_LATENCY_ALLOWANCE_EQOS_0_0                   _MK_ADDR_CONST(0x700)
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_RESET_VAL                         _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSR_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSR_SHIFT)
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSR_RANGE                     10:0
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSR_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSR_DEFAULT                   _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSR_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSW_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSW_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSW_SHIFT)
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSW_RANGE                     26:16
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSW_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSW_DEFAULT                   _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSW_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_EQOS_0_0_ALLOWANCE_EQOSW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_TSEC_0_0
#define MC_LATENCY_ALLOWANCE_TSEC_0_0                   _MK_ADDR_CONST(0x390)
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_RESET_VAL                         _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSRD_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSRD_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSRD_SHIFT)
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSRD_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSRD_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSRD_DEFAULT                 _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSWR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSWR_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSWR_SHIFT)
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSWR_RANGE                   26:16
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSWR_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSWR_DEFAULT                 _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_TSEC_0_0_ALLOWANCE_TSECSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_VIFAL_0_0
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0                  _MK_ADDR_CONST(0x101c)
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_SECURE                   0x0
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_DUAL                     0x0
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_SCR                      0
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_WORD_COUNT                       0x1
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_RESET_VAL                        _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_RESET_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_READ_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_WRITE_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALR_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALR_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALR_SHIFT)
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALR_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALR_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALR_DEFAULT                 _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALW_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALW_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALW_SHIFT)
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALW_RANGE                   26:16
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALW_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALW_DEFAULT                 _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_VIFAL_0_0_ALLOWANCE_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_PVA0_1_0
#define MC_LATENCY_ALLOWANCE_PVA0_1_0                   _MK_ADDR_CONST(0x1034)
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_RESET_VAL                         _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0RDC_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0RDC_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0RDC_SHIFT)
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0RDC_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0RDC_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0RDC_DEFAULT                 _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0RDC_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0RDC_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0RDC_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0RDC_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0RDC_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0WRA_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0WRA_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0WRA_SHIFT)
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0WRA_RANGE                   26:16
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0WRA_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0WRA_DEFAULT                 _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0WRA_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0WRA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0WRA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0WRA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_1_0_ALLOWANCE_PVA0WRA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_XUSB_0_0
#define MC_LATENCY_ALLOWANCE_XUSB_0_0                   _MK_ADDR_CONST(0x37c)
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_RESET_VAL                         _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTR_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTR_FIELD                        _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTR_SHIFT)
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTR_RANGE                        10:0
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTR_WOFFSET                      0x0
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTR_DEFAULT                      _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTR_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTW_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTW_FIELD                        _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTW_SHIFT)
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTW_RANGE                        26:16
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTW_WOFFSET                      0x0
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTW_DEFAULT                      _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTW_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_XUSB_0_0_ALLOWANCE_XUSB_HOSTW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_MIU4_0_0
#define MC_LATENCY_ALLOWANCE_MIU4_0_0                   _MK_ADDR_CONST(0x1a34)
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_RESET_VAL                         _MK_MASK_CONST(0xff00ff)
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4R_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4R_SHIFT)
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4R_RANGE                     10:0
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4R_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4R_DEFAULT                   _MK_MASK_CONST(0xff)
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4R_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4W_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4W_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4W_SHIFT)
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4W_RANGE                     26:16
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4W_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4W_DEFAULT                   _MK_MASK_CONST(0xff)
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4W_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU4_0_0_ALLOWANCE_MIU4W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_TSECB_0_0
#define MC_LATENCY_ALLOWANCE_TSECB_0_0                  _MK_ADDR_CONST(0x3f0)
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_SECURE                   0x0
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_DUAL                     0x0
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_SCR                      0
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_WORD_COUNT                       0x1
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_RESET_VAL                        _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_RESET_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_READ_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_WRITE_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSRDB_SHIFT)
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSRDB_RANGE                 10:0
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSRDB_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSWRB_SHIFT)
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSWRB_RANGE                 26:16
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSWRB_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_TSECB_0_0_ALLOWANCE_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_SCE_0_0
#define MC_LATENCY_ALLOWANCE_SCE_0_0                    _MK_ADDR_CONST(0x71c)
#define MC_LATENCY_ALLOWANCE_SCE_0_0_SECURE                     0x0
#define MC_LATENCY_ALLOWANCE_SCE_0_0_DUAL                       0x0
#define MC_LATENCY_ALLOWANCE_SCE_0_0_SCR                        0
#define MC_LATENCY_ALLOWANCE_SCE_0_0_WORD_COUNT                         0x1
#define MC_LATENCY_ALLOWANCE_SCE_0_0_RESET_VAL                  _MK_MASK_CONST(0x1000004)
#define MC_LATENCY_ALLOWANCE_SCE_0_0_RESET_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_SCE_0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SCE_0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SCE_0_0_READ_MASK                  _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_SCE_0_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCER_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCER_FIELD                       _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCER_SHIFT)
#define MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCER_RANGE                       10:0
#define MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCER_WOFFSET                     0x0
#define MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCER_DEFAULT                     _MK_MASK_CONST(0x4)
#define MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCER_DEFAULT_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCEW_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCEW_FIELD                       _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCEW_SHIFT)
#define MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCEW_RANGE                       26:16
#define MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCEW_WOFFSET                     0x0
#define MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCEW_DEFAULT                     _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_SCE_0_0_ALLOWANCE_SCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_APE_0_0
#define MC_LATENCY_ALLOWANCE_APE_0_0                    _MK_ADDR_CONST(0x3dc)
#define MC_LATENCY_ALLOWANCE_APE_0_0_SECURE                     0x0
#define MC_LATENCY_ALLOWANCE_APE_0_0_DUAL                       0x0
#define MC_LATENCY_ALLOWANCE_APE_0_0_SCR                        0
#define MC_LATENCY_ALLOWANCE_APE_0_0_WORD_COUNT                         0x1
#define MC_LATENCY_ALLOWANCE_APE_0_0_RESET_VAL                  _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_APE_0_0_RESET_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_APE_0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_APE_0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_APE_0_0_READ_MASK                  _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_APE_0_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APER_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APER_FIELD                       _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APER_SHIFT)
#define MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APER_RANGE                       10:0
#define MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APER_WOFFSET                     0x0
#define MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APER_DEFAULT                     _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APER_DEFAULT_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APEW_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APEW_FIELD                       _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APEW_SHIFT)
#define MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APEW_RANGE                       26:16
#define MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APEW_WOFFSET                     0x0
#define MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APEW_DEFAULT                     _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APEW_DEFAULT_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_APE_0_0_ALLOWANCE_APEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_RCE_0_0
#define MC_LATENCY_ALLOWANCE_RCE_0_0                    _MK_ADDR_CONST(0x1048)
#define MC_LATENCY_ALLOWANCE_RCE_0_0_SECURE                     0x0
#define MC_LATENCY_ALLOWANCE_RCE_0_0_DUAL                       0x0
#define MC_LATENCY_ALLOWANCE_RCE_0_0_SCR                        0
#define MC_LATENCY_ALLOWANCE_RCE_0_0_WORD_COUNT                         0x1
#define MC_LATENCY_ALLOWANCE_RCE_0_0_RESET_VAL                  _MK_MASK_CONST(0x1000004)
#define MC_LATENCY_ALLOWANCE_RCE_0_0_RESET_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_RCE_0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_RCE_0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_RCE_0_0_READ_MASK                  _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_RCE_0_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCER_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCER_FIELD                       _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCER_SHIFT)
#define MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCER_RANGE                       10:0
#define MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCER_WOFFSET                     0x0
#define MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCER_DEFAULT                     _MK_MASK_CONST(0x4)
#define MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCER_DEFAULT_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCEW_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCEW_FIELD                       _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCEW_SHIFT)
#define MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCEW_RANGE                       26:16
#define MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCEW_WOFFSET                     0x0
#define MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCEW_DEFAULT                     _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_RCE_0_0_ALLOWANCE_RCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_PVA0_0_0
#define MC_LATENCY_ALLOWANCE_PVA0_0_0                   _MK_ADDR_CONST(0x1030)
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_RESET_VAL                         _MK_MASK_CONST(0x800080)
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDA_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDA_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDA_SHIFT)
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDA_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDA_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDA_DEFAULT                 _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDA_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDA_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDA_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDB_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDB_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDB_SHIFT)
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDB_RANGE                   26:16
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDB_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDB_DEFAULT                 _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDB_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PVA0_0_0_ALLOWANCE_PVA0RDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_ETR_0_0
#define MC_LATENCY_ALLOWANCE_ETR_0_0                    _MK_ADDR_CONST(0x3ec)
#define MC_LATENCY_ALLOWANCE_ETR_0_0_SECURE                     0x0
#define MC_LATENCY_ALLOWANCE_ETR_0_0_DUAL                       0x0
#define MC_LATENCY_ALLOWANCE_ETR_0_0_SCR                        0
#define MC_LATENCY_ALLOWANCE_ETR_0_0_WORD_COUNT                         0x1
#define MC_LATENCY_ALLOWANCE_ETR_0_0_RESET_VAL                  _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_ETR_0_0_RESET_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_ETR_0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ETR_0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ETR_0_0_READ_MASK                  _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_ETR_0_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRR_FIELD                       _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRR_SHIFT)
#define MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRR_RANGE                       10:0
#define MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRR_WOFFSET                     0x0
#define MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRR_DEFAULT                     _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRR_DEFAULT_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRW_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRW_FIELD                       _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRW_SHIFT)
#define MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRW_RANGE                       26:16
#define MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRW_WOFFSET                     0x0
#define MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRW_DEFAULT                     _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRW_DEFAULT_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ETR_0_0_ALLOWANCE_ETRW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_PCIE5_0_0
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0                  _MK_ADDR_CONST(0x1a10)
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_SECURE                   0x0
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_DUAL                     0x0
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_SCR                      0
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_WORD_COUNT                       0x1
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_RESET_VAL                        _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_RESET_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_READ_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_WRITE_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5R_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5R_SHIFT)
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5R_RANGE                   10:0
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5R_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5W_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5W_FIELD                   _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5W_SHIFT)
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5W_RANGE                   26:16
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5W_WOFFSET                 0x0
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE5_0_0_ALLOWANCE_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_AXIS_0_0
#define MC_LATENCY_ALLOWANCE_AXIS_0_0                   _MK_ADDR_CONST(0x3f8)
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_RESET_VAL                         _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISR_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISR_SHIFT)
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISR_RANGE                     10:0
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISR_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISR_DEFAULT                   _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISR_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISW_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISW_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISW_SHIFT)
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISW_RANGE                     26:16
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISW_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISW_DEFAULT                   _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISW_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_AXIS_0_0_ALLOWANCE_AXISW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_NVENC_0_0
#define MC_LATENCY_ALLOWANCE_NVENC_0_0                  _MK_ADDR_CONST(0x328)
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_SECURE                   0x0
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_DUAL                     0x0
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_SCR                      0
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_WORD_COUNT                       0x1
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_RESET_VAL                        _MK_MASK_CONST(0x1000080)
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_RESET_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_READ_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_WRITE_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSRD_SHIFT)
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSRD_RANGE                 10:0
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSRD_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSWR_SHIFT)
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSWR_RANGE                 26:16
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSWR_WOFFSET                       0x0
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x100)
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_NVENC_0_0_ALLOWANCE_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_MIU6_0_0
#define MC_LATENCY_ALLOWANCE_MIU6_0_0                   _MK_ADDR_CONST(0x1a3c)
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_SECURE                    0x0
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_DUAL                      0x0
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_SCR                       0
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_WORD_COUNT                        0x1
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_RESET_VAL                         _MK_MASK_CONST(0xff00ff)
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_RESET_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_READ_MASK                         _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6R_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6R_SHIFT)
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6R_RANGE                     10:0
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6R_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6R_DEFAULT                   _MK_MASK_CONST(0xff)
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6R_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6W_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6W_FIELD                     _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6W_SHIFT)
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6W_RANGE                     26:16
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6W_WOFFSET                   0x0
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6W_DEFAULT                   _MK_MASK_CONST(0xff)
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6W_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_MIU6_0_0_ALLOWANCE_MIU6W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_PCIE5_1_0
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0                  _MK_ADDR_CONST(0x1a24)
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_SECURE                   0x0
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_DUAL                     0x0
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_SCR                      0
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_WORD_COUNT                       0x1
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_RESET_VAL                        _MK_MASK_CONST(0x800080)
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_RESET_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_READ_MASK                        _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_WRITE_MASK                       _MK_MASK_CONST(0x7ff07ff)
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE5R1_SHIFT)
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE5R1_RANGE                  10:0
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE5R1_WOFFSET                        0x0
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE0R1_SHIFT)
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE0R1_RANGE                  26:16
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE0R1_WOFFSET                        0x0
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_PCIE5_1_0_ALLOWANCE_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_EMEM_ARB_OVERRIDE_1_0
#define MC_EMEM_ARB_OVERRIDE_1_0                        _MK_ADDR_CONST(0x968)
#define MC_EMEM_ARB_OVERRIDE_1_0_SECURE                         0x0
#define MC_EMEM_ARB_OVERRIDE_1_0_DUAL                   0x0
#define MC_EMEM_ARB_OVERRIDE_1_0_SCR                    0
#define MC_EMEM_ARB_OVERRIDE_1_0_WORD_COUNT                     0x1
#define MC_EMEM_ARB_OVERRIDE_1_0_RESET_VAL                      _MK_MASK_CONST(0x80)
#define MC_EMEM_ARB_OVERRIDE_1_0_RESET_MASK                     _MK_MASK_CONST(0xfffff8a0)
#define MC_EMEM_ARB_OVERRIDE_1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x80)
#define MC_EMEM_ARB_OVERRIDE_1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x18a0)
#define MC_EMEM_ARB_OVERRIDE_1_0_READ_MASK                      _MK_MASK_CONST(0xfffff8a0)
#define MC_EMEM_ARB_OVERRIDE_1_0_WRITE_MASK                     _MK_MASK_CONST(0xfffff8a0)
#define MC_EMEM_ARB_OVERRIDE_1_0_EXPIRE_UPDATE_DEADLOCK_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_EMEM_ARB_OVERRIDE_1_0_EXPIRE_UPDATE_DEADLOCK_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_1_0_EXPIRE_UPDATE_DEADLOCK_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_1_0_EXPIRE_UPDATE_DEADLOCK_OVERRIDE_RANGE                  5:5
#define MC_EMEM_ARB_OVERRIDE_1_0_EXPIRE_UPDATE_DEADLOCK_OVERRIDE_WOFFSET                        0x0
#define MC_EMEM_ARB_OVERRIDE_1_0_EXPIRE_UPDATE_DEADLOCK_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_1_0_EXPIRE_UPDATE_DEADLOCK_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_1_0_EXPIRE_UPDATE_DEADLOCK_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_1_0_EXPIRE_UPDATE_DEADLOCK_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_1_0_EXPIRE_UPDATE_DEADLOCK_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_1_0_EXPIRE_UPDATE_DEADLOCK_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_1_0_EXPIRE_UPDATE_DEADLOCK_OVERRIDE_INIT_ENUM                      DISABLE
#define MC_EMEM_ARB_OVERRIDE_1_0_EXPIRE_UPDATE_DEADLOCK_OVERRIDE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_1_0_EXPIRE_UPDATE_DEADLOCK_OVERRIDE_ENABLE                 _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_1_0_EXPIRE_UPDATE_DEADLOCK_OVERRIDE_OVERRIDE                       _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_1_0_EXPIRE_UPDATE_DEADLOCK_OVERRIDE__PROD                  _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_1_0_ISO_PRIINV_INCLUDES_CLOSED_BANKS_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_EMEM_ARB_OVERRIDE_1_0_ISO_PRIINV_INCLUDES_CLOSED_BANKS_FIELD                 _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_1_0_ISO_PRIINV_INCLUDES_CLOSED_BANKS_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_1_0_ISO_PRIINV_INCLUDES_CLOSED_BANKS_RANGE                 7:7
#define MC_EMEM_ARB_OVERRIDE_1_0_ISO_PRIINV_INCLUDES_CLOSED_BANKS_WOFFSET                       0x0
#define MC_EMEM_ARB_OVERRIDE_1_0_ISO_PRIINV_INCLUDES_CLOSED_BANKS_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_1_0_ISO_PRIINV_INCLUDES_CLOSED_BANKS_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_1_0_ISO_PRIINV_INCLUDES_CLOSED_BANKS_SW_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_1_0_ISO_PRIINV_INCLUDES_CLOSED_BANKS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_1_0_ISO_PRIINV_INCLUDES_CLOSED_BANKS_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_1_0_ISO_PRIINV_INCLUDES_CLOSED_BANKS_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_1_0_ISO_PRIINV_INCLUDES_CLOSED_BANKS_INIT_ENUM                     ENABLE
#define MC_EMEM_ARB_OVERRIDE_1_0_ISO_PRIINV_INCLUDES_CLOSED_BANKS_DISABLE                       _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_1_0_ISO_PRIINV_INCLUDES_CLOSED_BANKS_ENABLE                        _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_1_0_ISO_PRIINV_INCLUDES_CLOSED_BANKS__PROD                 _MK_MASK_CONST(0x1)

#define MC_EMEM_ARB_OVERRIDE_1_0_MULTI_BANK_REPLAY_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_EMEM_ARB_OVERRIDE_1_0_MULTI_BANK_REPLAY_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_1_0_MULTI_BANK_REPLAY_OVERRIDE_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_1_0_MULTI_BANK_REPLAY_OVERRIDE_RANGE                       11:11
#define MC_EMEM_ARB_OVERRIDE_1_0_MULTI_BANK_REPLAY_OVERRIDE_WOFFSET                     0x0
#define MC_EMEM_ARB_OVERRIDE_1_0_MULTI_BANK_REPLAY_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_1_0_MULTI_BANK_REPLAY_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_1_0_MULTI_BANK_REPLAY_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_1_0_MULTI_BANK_REPLAY_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_1_0_MULTI_BANK_REPLAY_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_1_0_MULTI_BANK_REPLAY_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_1_0_MULTI_BANK_REPLAY_OVERRIDE_INIT_ENUM                   DISABLE
#define MC_EMEM_ARB_OVERRIDE_1_0_MULTI_BANK_REPLAY_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_1_0_MULTI_BANK_REPLAY_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_1_0_MULTI_BANK_REPLAY_OVERRIDE_OVERRIDE                    _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_1_0_MULTI_BANK_REPLAY_OVERRIDE__PROD                       _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_1_0_LATE_WRITE_ACK_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_EMEM_ARB_OVERRIDE_1_0_LATE_WRITE_ACK_FIELD                   _MK_FIELD_CONST(0x1, MC_EMEM_ARB_OVERRIDE_1_0_LATE_WRITE_ACK_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_1_0_LATE_WRITE_ACK_RANGE                   12:12
#define MC_EMEM_ARB_OVERRIDE_1_0_LATE_WRITE_ACK_WOFFSET                 0x0
#define MC_EMEM_ARB_OVERRIDE_1_0_LATE_WRITE_ACK_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_1_0_LATE_WRITE_ACK_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_1_0_LATE_WRITE_ACK_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_1_0_LATE_WRITE_ACK_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_1_0_LATE_WRITE_ACK_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_1_0_LATE_WRITE_ACK_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_1_0_LATE_WRITE_ACK_INIT_ENUM                       DISABLE
#define MC_EMEM_ARB_OVERRIDE_1_0_LATE_WRITE_ACK_DISABLE                 _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_OVERRIDE_1_0_LATE_WRITE_ACK_ENABLE                  _MK_ENUM_CONST(1)
#define MC_EMEM_ARB_OVERRIDE_1_0_LATE_WRITE_ACK__PROD                   _MK_MASK_CONST(0x0)

#define MC_EMEM_ARB_OVERRIDE_1_0_EMEM_ARB_OVERRIDE_RESERVED_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_EMEM_ARB_OVERRIDE_1_0_EMEM_ARB_OVERRIDE_RESERVED_FIELD                       _MK_FIELD_CONST(0x7ffff, MC_EMEM_ARB_OVERRIDE_1_0_EMEM_ARB_OVERRIDE_RESERVED_SHIFT)
#define MC_EMEM_ARB_OVERRIDE_1_0_EMEM_ARB_OVERRIDE_RESERVED_RANGE                       31:13
#define MC_EMEM_ARB_OVERRIDE_1_0_EMEM_ARB_OVERRIDE_RESERVED_WOFFSET                     0x0
#define MC_EMEM_ARB_OVERRIDE_1_0_EMEM_ARB_OVERRIDE_RESERVED_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_1_0_EMEM_ARB_OVERRIDE_RESERVED_DEFAULT_MASK                        _MK_MASK_CONST(0x7ffff)
#define MC_EMEM_ARB_OVERRIDE_1_0_EMEM_ARB_OVERRIDE_RESERVED_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_1_0_EMEM_ARB_OVERRIDE_RESERVED_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_OVERRIDE_1_0_EMEM_ARB_OVERRIDE_RESERVED_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_OVERRIDE_1_0_EMEM_ARB_OVERRIDE_RESERVED_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0                       _MK_ADDR_CONST(0x984)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_SECURE                        0x0
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_DUAL                  0x0
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_SCR                   0
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_WORD_COUNT                    0x1
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_VIDEO_PROTECT_GPU_OVERRIDE_0_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_VIDEO_PROTECT_GPU_OVERRIDE_0_FIELD                    _MK_FIELD_CONST(0xffffffff, MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_VIDEO_PROTECT_GPU_OVERRIDE_0_SHIFT)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_VIDEO_PROTECT_GPU_OVERRIDE_0_RANGE                    31:0
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_VIDEO_PROTECT_GPU_OVERRIDE_0_WOFFSET                  0x0
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_VIDEO_PROTECT_GPU_OVERRIDE_0_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_VIDEO_PROTECT_GPU_OVERRIDE_0_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_VIDEO_PROTECT_GPU_OVERRIDE_0_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_VIDEO_PROTECT_GPU_OVERRIDE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_VIDEO_PROTECT_GPU_OVERRIDE_0_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_VIDEO_PROTECT_GPU_OVERRIDE_0_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0_VIDEO_PROTECT_GPU_OVERRIDE_0__PROD                    _MK_MASK_CONST(0x0)


// Register MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0                       _MK_ADDR_CONST(0x988)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_SECURE                        0x0
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_DUAL                  0x0
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_SCR                   0
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_WORD_COUNT                    0x1
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_RESET_MASK                    _MK_MASK_CONST(0xffff)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0xffff)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_READ_MASK                     _MK_MASK_CONST(0xffff)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_WRITE_MASK                    _MK_MASK_CONST(0xffff)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_VIDEO_PROTECT_GPU_OVERRIDE_1_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_VIDEO_PROTECT_GPU_OVERRIDE_1_FIELD                    _MK_FIELD_CONST(0xffff, MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_VIDEO_PROTECT_GPU_OVERRIDE_1_SHIFT)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_VIDEO_PROTECT_GPU_OVERRIDE_1_RANGE                    15:0
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_VIDEO_PROTECT_GPU_OVERRIDE_1_WOFFSET                  0x0
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_VIDEO_PROTECT_GPU_OVERRIDE_1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_VIDEO_PROTECT_GPU_OVERRIDE_1_DEFAULT_MASK                     _MK_MASK_CONST(0xffff)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_VIDEO_PROTECT_GPU_OVERRIDE_1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_VIDEO_PROTECT_GPU_OVERRIDE_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0xffff)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_VIDEO_PROTECT_GPU_OVERRIDE_1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_VIDEO_PROTECT_GPU_OVERRIDE_1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0_VIDEO_PROTECT_GPU_OVERRIDE_1__PROD                    _MK_MASK_CONST(0x0)


// Register MC_EMEM_ARB_STATS_0_0
#define MC_EMEM_ARB_STATS_0_0                   _MK_ADDR_CONST(0x990)
#define MC_EMEM_ARB_STATS_0_0_SECURE                    0x0
#define MC_EMEM_ARB_STATS_0_0_DUAL                      0x0
#define MC_EMEM_ARB_STATS_0_0_SCR                       0
#define MC_EMEM_ARB_STATS_0_0_WORD_COUNT                        0x1
#define MC_EMEM_ARB_STATS_0_0_RESET_VAL                         _MK_MASK_CONST(0x3f0004)
#define MC_EMEM_ARB_STATS_0_0_RESET_MASK                        _MK_MASK_CONST(0x3f003f)
#define MC_EMEM_ARB_STATS_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x3f0004)
#define MC_EMEM_ARB_STATS_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3f003f)
#define MC_EMEM_ARB_STATS_0_0_READ_MASK                         _MK_MASK_CONST(0x3f003f)
#define MC_EMEM_ARB_STATS_0_0_WRITE_MASK                        _MK_MASK_CONST(0x3f003f)
#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_LOW_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_LOW_FIELD                       _MK_FIELD_CONST(0x3f, MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_LOW_SHIFT)
#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_LOW_RANGE                       5:0
#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_LOW_WOFFSET                     0x0
#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_LOW_DEFAULT                     _MK_MASK_CONST(0x4)
#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_LOW_DEFAULT_MASK                        _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_LOW_SW_DEFAULT                  _MK_MASK_CONST(0x4)
#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_LOW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_LOW_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_LOW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_LOW__PROD                       _MK_MASK_CONST(0x4)

#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_HIGH_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_HIGH_FIELD                      _MK_FIELD_CONST(0x3f, MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_HIGH_SHIFT)
#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_HIGH_RANGE                      21:16
#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_HIGH_WOFFSET                    0x0
#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_HIGH_DEFAULT                    _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_HIGH_DEFAULT_MASK                       _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_HIGH_SW_DEFAULT                 _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_HIGH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_HIGH_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_HIGH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_STATS_0_0_PM_ACCESS_PER_ACT_HIGH__PROD                      _MK_MASK_CONST(0x3f)


// Register MC_EMEM_ARB_STATS_1_0
#define MC_EMEM_ARB_STATS_1_0                   _MK_ADDR_CONST(0x994)
#define MC_EMEM_ARB_STATS_1_0_SECURE                    0x0
#define MC_EMEM_ARB_STATS_1_0_DUAL                      0x0
#define MC_EMEM_ARB_STATS_1_0_SCR                       0
#define MC_EMEM_ARB_STATS_1_0_WORD_COUNT                        0x1
#define MC_EMEM_ARB_STATS_1_0_RESET_VAL                         _MK_MASK_CONST(0x3f0004)
#define MC_EMEM_ARB_STATS_1_0_RESET_MASK                        _MK_MASK_CONST(0x3f003f)
#define MC_EMEM_ARB_STATS_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x3f0004)
#define MC_EMEM_ARB_STATS_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3f003f)
#define MC_EMEM_ARB_STATS_1_0_READ_MASK                         _MK_MASK_CONST(0x3f003f)
#define MC_EMEM_ARB_STATS_1_0_WRITE_MASK                        _MK_MASK_CONST(0x3f003f)
#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_LOW_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_LOW_FIELD                     _MK_FIELD_CONST(0x3f, MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_LOW_SHIFT)
#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_LOW_RANGE                     5:0
#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_LOW_WOFFSET                   0x0
#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_LOW_DEFAULT                   _MK_MASK_CONST(0x4)
#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_LOW_DEFAULT_MASK                      _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_LOW_SW_DEFAULT                        _MK_MASK_CONST(0x4)
#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_LOW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_LOW_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_LOW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_LOW__PROD                     _MK_MASK_CONST(0x4)

#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_HIGH_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_HIGH_FIELD                    _MK_FIELD_CONST(0x3f, MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_HIGH_SHIFT)
#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_HIGH_RANGE                    21:16
#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_HIGH_WOFFSET                  0x0
#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_HIGH_DEFAULT                  _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_HIGH_DEFAULT_MASK                     _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_HIGH_SW_DEFAULT                       _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_HIGH_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3f)
#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_HIGH_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_HIGH_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_STATS_1_0_PM_NUM_ACTIVE_LISTS_HIGH__PROD                    _MK_MASK_CONST(0x3f)


// Register MC_MTS_CARVEOUT_BOM_0
#define MC_MTS_CARVEOUT_BOM_0                   _MK_ADDR_CONST(0x9a0)
#define MC_MTS_CARVEOUT_BOM_0_SECURE                    0x0
#define MC_MTS_CARVEOUT_BOM_0_DUAL                      0x0
#define MC_MTS_CARVEOUT_BOM_0_SCR                       0
#define MC_MTS_CARVEOUT_BOM_0_WORD_COUNT                        0x1
#define MC_MTS_CARVEOUT_BOM_0_RESET_VAL                         _MK_MASK_CONST(0xfff00000)
#define MC_MTS_CARVEOUT_BOM_0_RESET_MASK                        _MK_MASK_CONST(0xfff00000)
#define MC_MTS_CARVEOUT_BOM_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_BOM_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_BOM_0_READ_MASK                         _MK_MASK_CONST(0xfff00000)
#define MC_MTS_CARVEOUT_BOM_0_WRITE_MASK                        _MK_MASK_CONST(0xfff00000)
#define MC_MTS_CARVEOUT_BOM_0_MTS_CARVEOUT_BOM_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_MTS_CARVEOUT_BOM_0_MTS_CARVEOUT_BOM_FIELD                    _MK_FIELD_CONST(0xfff, MC_MTS_CARVEOUT_BOM_0_MTS_CARVEOUT_BOM_SHIFT)
#define MC_MTS_CARVEOUT_BOM_0_MTS_CARVEOUT_BOM_RANGE                    31:20
#define MC_MTS_CARVEOUT_BOM_0_MTS_CARVEOUT_BOM_WOFFSET                  0x0
#define MC_MTS_CARVEOUT_BOM_0_MTS_CARVEOUT_BOM_DEFAULT                  _MK_MASK_CONST(0xfff)
#define MC_MTS_CARVEOUT_BOM_0_MTS_CARVEOUT_BOM_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_MTS_CARVEOUT_BOM_0_MTS_CARVEOUT_BOM_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_BOM_0_MTS_CARVEOUT_BOM_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_BOM_0_MTS_CARVEOUT_BOM_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_BOM_0_MTS_CARVEOUT_BOM_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MTS_CARVEOUT_SIZE_MB_0
#define MC_MTS_CARVEOUT_SIZE_MB_0                       _MK_ADDR_CONST(0x9a4)
#define MC_MTS_CARVEOUT_SIZE_MB_0_SECURE                        0x0
#define MC_MTS_CARVEOUT_SIZE_MB_0_DUAL                  0x0
#define MC_MTS_CARVEOUT_SIZE_MB_0_SCR                   0
#define MC_MTS_CARVEOUT_SIZE_MB_0_WORD_COUNT                    0x1
#define MC_MTS_CARVEOUT_SIZE_MB_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_SIZE_MB_0_RESET_MASK                    _MK_MASK_CONST(0xfff)
#define MC_MTS_CARVEOUT_SIZE_MB_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_SIZE_MB_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_MTS_CARVEOUT_SIZE_MB_0_READ_MASK                     _MK_MASK_CONST(0xfff)
#define MC_MTS_CARVEOUT_SIZE_MB_0_WRITE_MASK                    _MK_MASK_CONST(0xfff)
#define MC_MTS_CARVEOUT_SIZE_MB_0_MTS_CARVEOUT_SIZE_MB_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MTS_CARVEOUT_SIZE_MB_0_MTS_CARVEOUT_SIZE_MB_FIELD                    _MK_FIELD_CONST(0xfff, MC_MTS_CARVEOUT_SIZE_MB_0_MTS_CARVEOUT_SIZE_MB_SHIFT)
#define MC_MTS_CARVEOUT_SIZE_MB_0_MTS_CARVEOUT_SIZE_MB_RANGE                    11:0
#define MC_MTS_CARVEOUT_SIZE_MB_0_MTS_CARVEOUT_SIZE_MB_WOFFSET                  0x0
#define MC_MTS_CARVEOUT_SIZE_MB_0_MTS_CARVEOUT_SIZE_MB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_SIZE_MB_0_MTS_CARVEOUT_SIZE_MB_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_MTS_CARVEOUT_SIZE_MB_0_MTS_CARVEOUT_SIZE_MB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_SIZE_MB_0_MTS_CARVEOUT_SIZE_MB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0xfff)
#define MC_MTS_CARVEOUT_SIZE_MB_0_MTS_CARVEOUT_SIZE_MB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_SIZE_MB_0_MTS_CARVEOUT_SIZE_MB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_SIZE_MB_0_MTS_CARVEOUT_SIZE_MB__PROD                    _MK_MASK_CONST(0x0)


// Register MC_MTS_CARVEOUT_ADR_HI_0
#define MC_MTS_CARVEOUT_ADR_HI_0                        _MK_ADDR_CONST(0x9a8)
#define MC_MTS_CARVEOUT_ADR_HI_0_SECURE                         0x0
#define MC_MTS_CARVEOUT_ADR_HI_0_DUAL                   0x0
#define MC_MTS_CARVEOUT_ADR_HI_0_SCR                    0
#define MC_MTS_CARVEOUT_ADR_HI_0_WORD_COUNT                     0x1
#define MC_MTS_CARVEOUT_ADR_HI_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_ADR_HI_0_RESET_MASK                     _MK_MASK_CONST(0xff)
#define MC_MTS_CARVEOUT_ADR_HI_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_ADR_HI_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_ADR_HI_0_READ_MASK                      _MK_MASK_CONST(0xff)
#define MC_MTS_CARVEOUT_ADR_HI_0_WRITE_MASK                     _MK_MASK_CONST(0xff)
#define MC_MTS_CARVEOUT_ADR_HI_0_MTS_CARVEOUT_BOM_HI_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_MTS_CARVEOUT_ADR_HI_0_MTS_CARVEOUT_BOM_HI_FIELD                      _MK_FIELD_CONST(0xff, MC_MTS_CARVEOUT_ADR_HI_0_MTS_CARVEOUT_BOM_HI_SHIFT)
#define MC_MTS_CARVEOUT_ADR_HI_0_MTS_CARVEOUT_BOM_HI_RANGE                      7:0
#define MC_MTS_CARVEOUT_ADR_HI_0_MTS_CARVEOUT_BOM_HI_WOFFSET                    0x0
#define MC_MTS_CARVEOUT_ADR_HI_0_MTS_CARVEOUT_BOM_HI_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_ADR_HI_0_MTS_CARVEOUT_BOM_HI_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_MTS_CARVEOUT_ADR_HI_0_MTS_CARVEOUT_BOM_HI_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_ADR_HI_0_MTS_CARVEOUT_BOM_HI_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_ADR_HI_0_MTS_CARVEOUT_BOM_HI_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_ADR_HI_0_MTS_CARVEOUT_BOM_HI_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_MTS_CARVEOUT_REG_CTRL_0
#define MC_MTS_CARVEOUT_REG_CTRL_0                      _MK_ADDR_CONST(0x9ac)
#define MC_MTS_CARVEOUT_REG_CTRL_0_SECURE                       0x0
#define MC_MTS_CARVEOUT_REG_CTRL_0_DUAL                         0x0
#define MC_MTS_CARVEOUT_REG_CTRL_0_SCR                  0
#define MC_MTS_CARVEOUT_REG_CTRL_0_WORD_COUNT                   0x1
#define MC_MTS_CARVEOUT_REG_CTRL_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_REG_CTRL_0_RESET_MASK                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_REG_CTRL_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_REG_CTRL_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_REG_CTRL_0_READ_MASK                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_REG_CTRL_0_WRITE_MASK                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_REG_CTRL_0_MTS_CARVEOUT_WRITE_ACCESS_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_MTS_CARVEOUT_REG_CTRL_0_MTS_CARVEOUT_WRITE_ACCESS_FIELD                      _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_REG_CTRL_0_MTS_CARVEOUT_WRITE_ACCESS_SHIFT)
#define MC_MTS_CARVEOUT_REG_CTRL_0_MTS_CARVEOUT_WRITE_ACCESS_RANGE                      0:0
#define MC_MTS_CARVEOUT_REG_CTRL_0_MTS_CARVEOUT_WRITE_ACCESS_WOFFSET                    0x0
#define MC_MTS_CARVEOUT_REG_CTRL_0_MTS_CARVEOUT_WRITE_ACCESS_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_REG_CTRL_0_MTS_CARVEOUT_WRITE_ACCESS_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_REG_CTRL_0_MTS_CARVEOUT_WRITE_ACCESS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_REG_CTRL_0_MTS_CARVEOUT_WRITE_ACCESS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_REG_CTRL_0_MTS_CARVEOUT_WRITE_ACCESS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_REG_CTRL_0_MTS_CARVEOUT_WRITE_ACCESS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_REG_CTRL_0_MTS_CARVEOUT_WRITE_ACCESS_INIT_ENUM                  ENABLED
#define MC_MTS_CARVEOUT_REG_CTRL_0_MTS_CARVEOUT_WRITE_ACCESS_ENABLED                    _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_REG_CTRL_0_MTS_CARVEOUT_WRITE_ACCESS_DISABLED                   _MK_ENUM_CONST(1)


// Register MC_ERR_MTS_STATUS_0
#define MC_ERR_MTS_STATUS_0                     _MK_ADDR_CONST(0x9b0)
#define MC_ERR_MTS_STATUS_0_SECURE                      0x0
#define MC_ERR_MTS_STATUS_0_DUAL                        0x0
#define MC_ERR_MTS_STATUS_0_SCR                         0
#define MC_ERR_MTS_STATUS_0_WORD_COUNT                  0x1
#define MC_ERR_MTS_STATUS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_RESET_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_READ_MASK                   _MK_MASK_CONST(0xff770ff)
#define MC_ERR_MTS_STATUS_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ID_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ID_FIELD                    _MK_FIELD_CONST(0xff, MC_ERR_MTS_STATUS_0_ERR_MTS_ID_SHIFT)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ID_RANGE                    7:0
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ID_WOFFSET                  0x0
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_ERR_MTS_STATUS_0_ERR_MTS_ADR1_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ADR1_FIELD                  _MK_FIELD_CONST(0x7, MC_ERR_MTS_STATUS_0_ERR_MTS_ADR1_SHIFT)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ADR1_RANGE                  14:12
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ADR1_WOFFSET                        0x0
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ADR1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ADR1_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ADR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ADR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ADR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ADR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_ERR_MTS_STATUS_0_ERR_MTS_RW_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_RW_FIELD                    _MK_FIELD_CONST(0x1, MC_ERR_MTS_STATUS_0_ERR_MTS_RW_SHIFT)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_RW_RANGE                    16:16
#define MC_ERR_MTS_STATUS_0_ERR_MTS_RW_WOFFSET                  0x0
#define MC_ERR_MTS_STATUS_0_ERR_MTS_RW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_RW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_RW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_RW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_RW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_RW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_RW_READ                     _MK_ENUM_CONST(0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_RW_WRITE                    _MK_ENUM_CONST(1)

#define MC_ERR_MTS_STATUS_0_ERR_MTS_SECURITY_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_SECURITY_FIELD                      _MK_FIELD_CONST(0x1, MC_ERR_MTS_STATUS_0_ERR_MTS_SECURITY_SHIFT)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_SECURITY_RANGE                      17:17
#define MC_ERR_MTS_STATUS_0_ERR_MTS_SECURITY_WOFFSET                    0x0
#define MC_ERR_MTS_STATUS_0_ERR_MTS_SECURITY_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_SECURITY_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_SECURITY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_SECURITY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_SECURITY_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_SECURITY_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_SECURITY_NONSECURE                  _MK_ENUM_CONST(0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_SECURITY_SECURE                     _MK_ENUM_CONST(1)

#define MC_ERR_MTS_STATUS_0_ERR_MTS_SWAP_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_SWAP_FIELD                  _MK_FIELD_CONST(0x1, MC_ERR_MTS_STATUS_0_ERR_MTS_SWAP_SHIFT)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_SWAP_RANGE                  18:18
#define MC_ERR_MTS_STATUS_0_ERR_MTS_SWAP_WOFFSET                        0x0
#define MC_ERR_MTS_STATUS_0_ERR_MTS_SWAP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_SWAP_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_SWAP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_SWAP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_SWAP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_SWAP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_ERR_MTS_STATUS_0_ERR_MTS_ADR_HI_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ADR_HI_FIELD                        _MK_FIELD_CONST(0xff, MC_ERR_MTS_STATUS_0_ERR_MTS_ADR_HI_SHIFT)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ADR_HI_RANGE                        27:20
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ADR_HI_WOFFSET                      0x0
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ADR_HI_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ADR_HI_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ADR_HI_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ADR_HI_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ADR_HI_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_STATUS_0_ERR_MTS_ADR_HI_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_ERR_MTS_ADR_0
#define MC_ERR_MTS_ADR_0                        _MK_ADDR_CONST(0x9b4)
#define MC_ERR_MTS_ADR_0_SECURE                         0x0
#define MC_ERR_MTS_ADR_0_DUAL                   0x0
#define MC_ERR_MTS_ADR_0_SCR                    0
#define MC_ERR_MTS_ADR_0_WORD_COUNT                     0x1
#define MC_ERR_MTS_ADR_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_ADR_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_ADR_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_ADR_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_ADR_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_ERR_MTS_ADR_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_ADR_0_ERR_MTS_ADR_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_ERR_MTS_ADR_0_ERR_MTS_ADR_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_ERR_MTS_ADR_0_ERR_MTS_ADR_SHIFT)
#define MC_ERR_MTS_ADR_0_ERR_MTS_ADR_RANGE                      31:0
#define MC_ERR_MTS_ADR_0_ERR_MTS_ADR_WOFFSET                    0x0
#define MC_ERR_MTS_ADR_0_ERR_MTS_ADR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_ADR_0_ERR_MTS_ADR_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_ADR_0_ERR_MTS_ADR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_ADR_0_ERR_MTS_ADR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_ADR_0_ERR_MTS_ADR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ERR_MTS_ADR_0_ERR_MTS_ADR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_MTS_CARVEOUT_CLIENT_ACCESS6_0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0                        _MK_ADDR_CONST(0x1918)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_SECURE                         0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_DUAL                   0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_SCR                    0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_WORD_COUNT                     0x1
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0WRA_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0WRA_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0WRA_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0WRA_RANGE                       0:0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0WRA_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0WRA_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0WRA_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0WRA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0WRA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0WRA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0WRA_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0WRA_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0WRA_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0FALWRB_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0FALWRB_FIELD                    _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0FALWRB_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0FALWRB_RANGE                    1:1
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0FALWRB_WOFFSET                  0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0FALWRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0FALWRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0FALWRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0FALWRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0FALWRB_INIT_ENUM                        DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0FALWRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA0FALWRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1RDA_SHIFT                       _MK_SHIFT_CONST(2)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1RDA_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1RDA_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1RDA_RANGE                       2:2
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1RDA_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1RDA_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1RDA_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1RDA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1RDA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1RDA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1RDA_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1RDA_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1RDA_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALRDB_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALRDB_FIELD                    _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALRDB_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALRDB_RANGE                    3:3
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALRDB_WOFFSET                  0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALRDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALRDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALRDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALRDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALRDB_INIT_ENUM                        DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALRDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALRDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1WRA_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1WRA_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1WRA_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1WRA_RANGE                       4:4
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1WRA_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1WRA_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1WRA_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1WRA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1WRA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1WRA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1WRA_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1WRA_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1WRA_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALWRB_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALWRB_FIELD                    _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALWRB_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALWRB_RANGE                    5:5
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALWRB_WOFFSET                  0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALWRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALWRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALWRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALWRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALWRB_INIT_ENUM                        DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALWRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_DLA1FALWRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDA_SHIFT                       _MK_SHIFT_CONST(6)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDA_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDA_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDA_RANGE                       6:6
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDA_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDA_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDA_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDA_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDA_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDA_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDB_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDB_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDB_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDB_RANGE                       7:7
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDB_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDB_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDC_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDC_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDC_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDC_RANGE                       8:8
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDC_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDC_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDC_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDC_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDC_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDC_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDC_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDC_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0RDC_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRA_SHIFT                       _MK_SHIFT_CONST(9)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRA_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRA_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRA_RANGE                       9:9
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRA_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRA_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRA_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRA_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRA_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRA_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRB_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRB_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRB_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRB_RANGE                       10:10
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRB_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRB_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRC_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRC_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRC_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRC_RANGE                       11:11
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRC_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRC_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRC_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRC_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRC_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRC_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRC_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRC_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA0WRC_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDA_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDA_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDA_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDA_RANGE                       12:12
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDA_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDA_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDA_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDA_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDA_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDA_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDB_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDB_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDB_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDB_RANGE                       13:13
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDB_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDB_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDC_SHIFT                       _MK_SHIFT_CONST(14)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDC_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDC_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDC_RANGE                       14:14
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDC_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDC_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDC_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDC_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDC_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDC_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDC_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDC_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1RDC_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRA_SHIFT                       _MK_SHIFT_CONST(15)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRA_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRA_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRA_RANGE                       15:15
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRA_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRA_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRA_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRA_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRA_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRA_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRB_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRB_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRB_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRB_RANGE                       16:16
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRB_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRB_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRC_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRC_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRC_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRC_RANGE                       17:17
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRC_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRC_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRC_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRC_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRC_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRC_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRC_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRC_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PVA1WRC_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCER_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCER_FIELD                  _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCER_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCER_RANGE                  18:18
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCER_WOFFSET                        0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCER_INIT_ENUM                      DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEW_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEW_FIELD                  _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEW_RANGE                  19:19
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEW_WOFFSET                        0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEW_INIT_ENUM                      DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAR_SHIFT                       _MK_SHIFT_CONST(20)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAR_RANGE                       20:20
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAR_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAR_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAW_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAW_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAW_RANGE                       21:21
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAW_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAW_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_RCEDMAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SRD_SHIFT                     _MK_SHIFT_CONST(22)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SRD_FIELD                     _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SRD_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SRD_RANGE                     22:22
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SRD_WOFFSET                   0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SRD_INIT_ENUM                 DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SWR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SWR_FIELD                     _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SWR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SWR_RANGE                     23:23
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SWR_WOFFSET                   0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SWR_INIT_ENUM                 DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_NVENC1SWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0R_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0R_FIELD                        _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0R_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0R_RANGE                        24:24
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0R_WOFFSET                      0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0R_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0R_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0R_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0R_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0R_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0R_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0R_INIT_ENUM                    DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0R_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0R_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0W_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0W_FIELD                        _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0W_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0W_RANGE                        25:25
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0W_WOFFSET                      0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0W_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0W_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0W_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0W_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0W_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0W_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0W_INIT_ENUM                    DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0W_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE0W_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1R_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1R_FIELD                        _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1R_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1R_RANGE                        26:26
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1R_WOFFSET                      0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1R_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1R_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1R_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1R_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1R_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1R_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1R_INIT_ENUM                    DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1R_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1R_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1W_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1W_FIELD                        _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1W_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1W_RANGE                        27:27
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1W_WOFFSET                      0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1W_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1W_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1W_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1W_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1W_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1W_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1W_INIT_ENUM                    DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1W_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE1W_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AR_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AR_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AR_RANGE                       28:28
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AR_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AR_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AW_SHIFT                       _MK_SHIFT_CONST(29)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AW_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AW_RANGE                       29:29
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AW_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AW_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE2AW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3R_SHIFT                        _MK_SHIFT_CONST(30)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3R_FIELD                        _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3R_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3R_RANGE                        30:30
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3R_WOFFSET                      0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3R_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3R_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3R_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3R_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3R_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3R_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3R_INIT_ENUM                    DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3R_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3R_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3W_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3W_FIELD                        _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3W_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3W_RANGE                        31:31
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3W_WOFFSET                      0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3W_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3W_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3W_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3W_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3W_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3W_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3W_INIT_ENUM                    DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3W_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS6_0_MTS_CARVEOUT_ALLOW_PCIE3W_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_MTS_CARVEOUT_CLIENT_ACCESS4_0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0                        _MK_ADDR_CONST(0x1910)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_SECURE                         0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_DUAL                   0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_SCR                    0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_WORD_COUNT                     0x1
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_RESET_MASK                     _MK_MASK_CONST(0xfffff0ff)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_READ_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_WRITE_MASK                     _MK_MASK_CONST(0xfffff0ff)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESRD_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESRD_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESRD_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESRD_RANGE                 0:0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESRD_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESRD_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESWR_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESWR_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESWR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESWR_RANGE                 1:1
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESWR_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESWR_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SESWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPR_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPR_FIELD                        _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPR_RANGE                        2:2
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPR_WOFFSET                      0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPR_INIT_ENUM                    DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPW_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPW_FIELD                        _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPW_RANGE                        3:3
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPW_WOFFSET                      0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPW_INIT_ENUM                    DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXIAPW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRR_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRR_FIELD                  _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRR_RANGE                  4:4
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRR_WOFFSET                        0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRR_INIT_ENUM                      DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRW_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRW_FIELD                  _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRW_RANGE                  5:5
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRW_WOFFSET                        0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRW_INIT_ENUM                      DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_ETRW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSRDB_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSRDB_FIELD                      _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSRDB_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSRDB_RANGE                      6:6
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSRDB_WOFFSET                    0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSRDB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSRDB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSRDB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSRDB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSRDB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSRDB_INIT_ENUM                  DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSRDB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSRDB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSWRB_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSWRB_FIELD                      _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSWRB_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSWRB_RANGE                      7:7
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSWRB_WOFFSET                    0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSWRB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSWRB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSWRB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSWRB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSWRB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSWRB_INIT_ENUM                  DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSWRB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_TSECSWRB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISR_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISR_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISR_RANGE                 12:12
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISR_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISR_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISW_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISW_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISW_RANGE                 13:13
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISW_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISW_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AXISW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSR_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSR_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSR_RANGE                 14:14
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSR_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSR_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSW_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSW_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSW_RANGE                 15:15
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSW_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSW_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_EQOSW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCR_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCR_FIELD                        _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCR_RANGE                        16:16
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCR_WOFFSET                      0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCR_INIT_ENUM                    DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCW_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCW_FIELD                        _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCW_RANGE                        17:17
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCW_WOFFSET                      0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCW_INIT_ENUM                    DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_UFSHCW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR_FIELD                    _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR_RANGE                    18:18
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR_WOFFSET                  0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR_INIT_ENUM                        DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPR_SHIFT                 _MK_SHIFT_CONST(19)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPR_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPR_RANGE                 19:19
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPR_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPR_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPW_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPW_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPW_RANGE                 20:20
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPW_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPW_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAR_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAR_FIELD                      _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAR_RANGE                      21:21
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAR_WOFFSET                    0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAR_INIT_ENUM                  DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAW_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAW_FIELD                      _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAW_RANGE                      22:22
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAW_WOFFSET                    0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAW_INIT_ENUM                  DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_BPMPDMAW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONR_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONR_FIELD                  _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONR_RANGE                  23:23
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONR_WOFFSET                        0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONR_INIT_ENUM                      DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONW_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONW_FIELD                  _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONW_RANGE                  24:24
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONW_WOFFSET                        0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONW_INIT_ENUM                      DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAR_SHIFT                       _MK_SHIFT_CONST(25)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAR_RANGE                       25:25
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAR_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAR_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAW_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAW_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAW_RANGE                       26:26
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAW_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAW_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_AONDMAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCER_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCER_FIELD                  _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCER_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCER_RANGE                  27:27
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCER_WOFFSET                        0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCER_INIT_ENUM                      DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEW_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEW_FIELD                  _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEW_RANGE                  28:28
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEW_WOFFSET                        0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEW_INIT_ENUM                      DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAR_SHIFT                       _MK_SHIFT_CONST(29)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAR_RANGE                       29:29
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAR_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAR_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAW_SHIFT                       _MK_SHIFT_CONST(30)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAW_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAW_RANGE                       30:30
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAW_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAW_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_SCEDMAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_APEDMAR_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_APEDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_APEDMAR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_APEDMAR_RANGE                       31:31
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_APEDMAR_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_APEDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_APEDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_APEDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_APEDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_APEDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_APEDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_APEDMAR_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_APEDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS4_0_MTS_CARVEOUT_ALLOW_APEDMAR_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_MTS_CARVEOUT_CLIENT_ACCESS1_0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0                        _MK_ADDR_CONST(0x1904)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_SECURE                         0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_DUAL                   0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_SCR                    0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_WORD_COUNT                     0x1
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_RESET_MASK                     _MK_MASK_CONST(0x22200880)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_READ_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_WRITE_MASK                     _MK_MASK_CONST(0x22200880)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCORER_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCORER_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCORER_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCORER_RANGE                       7:7
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCORER_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCORER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCORER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCORER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCORER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCORER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCORER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCORER_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCORER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCORER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_NVENCSWR_SHIFT                      _MK_SHIFT_CONST(11)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_NVENCSWR_FIELD                      _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_NVENCSWR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_NVENCSWR_RANGE                      11:11
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_NVENCSWR_WOFFSET                    0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_NVENCSWR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_NVENCSWR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_NVENCSWR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_NVENCSWR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_NVENCSWR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_NVENCSWR_INIT_ENUM                  DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_NVENCSWR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_NVENCSWR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_HDAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_HDAW_FIELD                  _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_HDAW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_HDAW_RANGE                  21:21
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_HDAW_WOFFSET                        0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_HDAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_HDAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_HDAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_HDAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_HDAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_HDAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_HDAW_INIT_ENUM                      DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_HDAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_HDAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCOREW_SHIFT                       _MK_SHIFT_CONST(25)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCOREW_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCOREW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCOREW_RANGE                       25:25
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCOREW_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCOREW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCOREW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCOREW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCOREW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCOREW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCOREW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCOREW_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCOREW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_MPCOREW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_SATAW_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_SATAW_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_SATAW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_SATAW_RANGE                 29:29
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_SATAW_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_SATAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_SATAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_SATAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_SATAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_SATAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_SATAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_SATAW_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_SATAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS1_0_MTS_CARVEOUT_ALLOW_SATAW_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_MTS_CARVEOUT_CLIENT_ACCESS5_0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0                        _MK_ADDR_CONST(0x1914)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_SECURE                         0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_DUAL                   0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_SCR                    0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_WORD_COUNT                     0x1
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_RESET_MASK                     _MK_MASK_CONST(0xffffc3cf)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_READ_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_WRITE_MASK                     _MK_MASK_CONST(0xffffc3cf)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_APEDMAW_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_APEDMAW_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_APEDMAW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_APEDMAW_RANGE                       0:0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_APEDMAW_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_APEDMAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_APEDMAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_APEDMAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_APEDMAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_APEDMAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_APEDMAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_APEDMAW_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_APEDMAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_APEDMAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR1_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR1_FIELD                   _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR1_RANGE                   1:1
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR1_WOFFSET                 0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR1_INIT_ENUM                       DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDISPLAYR1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VICSRD1_SHIFT                       _MK_SHIFT_CONST(2)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VICSRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VICSRD1_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VICSRD1_RANGE                       2:2
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VICSRD1_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VICSRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VICSRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VICSRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VICSRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VICSRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VICSRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VICSRD1_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VICSRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VICSRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDECSRD1_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDECSRD1_FIELD                     _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDECSRD1_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDECSRD1_RANGE                     3:3
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDECSRD1_WOFFSET                   0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDECSRD1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDECSRD1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDECSRD1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDECSRD1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDECSRD1_INIT_ENUM                 DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDECSRD1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVDECSRD1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0R_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0R_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0R_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0R_RANGE                 6:6
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0R_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0R_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0R_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0R_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0R_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0R_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0R_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0R_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0R_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0R_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0W_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0W_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0W_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0W_RANGE                 7:7
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0W_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0W_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0W_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0W_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0W_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0W_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0W_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0W_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0W_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU0W_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1R_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1R_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1R_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1R_RANGE                 8:8
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1R_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1R_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1R_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1R_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1R_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1R_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1R_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1R_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1R_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1R_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1W_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1W_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1W_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1W_RANGE                 9:9
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1W_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1W_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1W_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1W_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1W_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1W_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1W_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1W_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1W_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU1W_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2R_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2R_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2R_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2R_RANGE                 14:14
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2R_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2R_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2R_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2R_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2R_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2R_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2R_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2R_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2R_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2R_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2W_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2W_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2W_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2W_RANGE                 15:15
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2W_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2W_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2W_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2W_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2W_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2W_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2W_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2W_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2W_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU2W_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3R_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3R_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3R_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3R_RANGE                 16:16
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3R_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3R_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3R_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3R_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3R_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3R_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3R_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3R_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3R_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3R_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3W_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3W_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3W_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3W_RANGE                 17:17
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3W_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3W_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3W_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3W_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3W_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3W_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3W_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3W_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3W_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU3W_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4R_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4R_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4R_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4R_RANGE                 18:18
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4R_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4R_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4R_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4R_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4R_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4R_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4R_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4R_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4R_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4R_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4W_SHIFT                 _MK_SHIFT_CONST(19)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4W_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4W_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4W_RANGE                 19:19
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4W_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4W_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4W_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4W_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4W_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4W_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4W_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4W_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4W_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_MIU4W_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUR_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUR_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUR_RANGE                 20:20
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUR_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUR_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUW_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUW_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUW_RANGE                 21:21
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUW_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUW_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DPMUW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0R_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0R_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0R_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0R_RANGE                 22:22
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0R_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0R_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0R_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0R_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0R_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0R_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0R_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0R_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0R_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0R_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0W_SHIFT                 _MK_SHIFT_CONST(23)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0W_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0W_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0W_RANGE                 23:23
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0W_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0W_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0W_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0W_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0W_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0W_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0W_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0W_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0W_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL0W_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1R_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1R_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1R_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1R_RANGE                 24:24
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1R_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1R_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1R_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1R_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1R_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1R_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1R_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1R_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1R_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1R_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1W_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1W_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1W_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1W_RANGE                 25:25
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1W_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1W_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1W_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1W_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1W_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1W_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1W_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1W_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1W_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL1W_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2R_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2R_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2R_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2R_RANGE                 26:26
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2R_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2R_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2R_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2R_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2R_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2R_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2R_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2R_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2R_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2R_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2W_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2W_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2W_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2W_RANGE                 27:27
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2W_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2W_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2W_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2W_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2W_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2W_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2W_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2W_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2W_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_NVL2W_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALR_SHIFT                        _MK_SHIFT_CONST(28)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALR_FIELD                        _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALR_RANGE                        28:28
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALR_WOFFSET                      0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALR_INIT_ENUM                    DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALW_SHIFT                        _MK_SHIFT_CONST(29)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALW_FIELD                        _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALW_RANGE                        29:29
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALW_WOFFSET                      0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALW_INIT_ENUM                    DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_VIFALW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0RDA_SHIFT                       _MK_SHIFT_CONST(30)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0RDA_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0RDA_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0RDA_RANGE                       30:30
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0RDA_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0RDA_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0RDA_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0RDA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0RDA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0RDA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0RDA_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0RDA_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0RDA_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0FALRDB_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0FALRDB_FIELD                    _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0FALRDB_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0FALRDB_RANGE                    31:31
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0FALRDB_WOFFSET                  0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0FALRDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0FALRDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0FALRDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0FALRDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0FALRDB_INIT_ENUM                        DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0FALRDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS5_0_MTS_CARVEOUT_ALLOW_DLA0FALRDB_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_MTS_CARVEOUT_CLIENT_ACCESS0_0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0                        _MK_ADDR_CONST(0x1900)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_SECURE                         0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_DUAL                   0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_SCR                    0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_WORD_COUNT                     0x1
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_RESET_MASK                     _MK_MASK_CONST(0x90600007)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_READ_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_WRITE_MASK                     _MK_MASK_CONST(0x90600007)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_PTCR_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_PTCR_FIELD                  _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_PTCR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_PTCR_RANGE                  0:0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_PTCR_WOFFSET                        0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_PTCR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_PTCR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_PTCR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_PTCR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_PTCR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_PTCR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_PTCR_INIT_ENUM                      DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_PTCR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_PTCR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7R_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7R_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7R_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7R_RANGE                 1:1
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7R_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7R_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7R_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7R_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7R_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7R_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7R_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7R_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7R_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7R_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7W_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7W_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7W_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7W_RANGE                 2:2
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7W_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7W_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7W_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7W_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7W_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7W_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7W_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7W_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7W_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_MIU7W_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HDAR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HDAR_FIELD                  _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HDAR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HDAR_RANGE                  21:21
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HDAR_WOFFSET                        0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HDAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HDAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HDAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HDAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HDAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HDAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HDAR_INIT_ENUM                      DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HDAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HDAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HOST1XDMAR_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HOST1XDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HOST1XDMAR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HOST1XDMAR_RANGE                    22:22
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HOST1XDMAR_WOFFSET                  0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HOST1XDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HOST1XDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HOST1XDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HOST1XDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HOST1XDMAR_INIT_ENUM                        DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HOST1XDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_HOST1XDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_NVENCSRD_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_NVENCSRD_FIELD                      _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_NVENCSRD_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_NVENCSRD_RANGE                      28:28
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_NVENCSRD_WOFFSET                    0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_NVENCSRD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_NVENCSRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_NVENCSRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_NVENCSRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_NVENCSRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_NVENCSRD_INIT_ENUM                  DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_NVENCSRD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_NVENCSRD_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_SATAR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_SATAR_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_SATAR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_SATAR_RANGE                 31:31
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_SATAR_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_SATAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_SATAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_SATAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_SATAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_SATAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_SATAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_SATAR_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_SATAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS0_0_MTS_CARVEOUT_ALLOW_SATAR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_MTS_CARVEOUT_CLIENT_ACCESS7_0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0                        _MK_ADDR_CONST(0x191c)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_SECURE                         0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_DUAL                   0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_SCR                    0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_WORD_COUNT                     0x1
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4R_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4R_FIELD                        _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4R_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4R_RANGE                        0:0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4R_WOFFSET                      0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4R_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4R_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4R_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4R_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4R_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4R_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4R_INIT_ENUM                    DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4R_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4R_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4W_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4W_FIELD                        _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4W_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4W_RANGE                        1:1
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4W_WOFFSET                      0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4W_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4W_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4W_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4W_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4W_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4W_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4W_INIT_ENUM                    DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4W_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE4W_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R_FIELD                        _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R_RANGE                        2:2
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R_WOFFSET                      0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R_INIT_ENUM                    DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5W_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5W_FIELD                        _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5W_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5W_RANGE                        3:3
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5W_WOFFSET                      0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5W_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5W_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5W_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5W_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5W_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5W_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5W_INIT_ENUM                    DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5W_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5W_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPFALW_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPFALW_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPFALW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPFALW_RANGE                       4:4
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPFALW_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPFALW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPFALW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPFALW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPFALW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPFALW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPFALW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPFALW_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPFALW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPFALW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3R_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3R_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3R_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3R_RANGE                 5:5
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3R_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3R_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3R_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3R_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3R_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3R_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3R_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3R_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3R_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3R_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3W_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3W_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3W_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3W_RANGE                 6:6
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3W_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3W_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3W_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3W_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3W_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3W_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3W_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3W_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3W_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3W_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4R_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4R_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4R_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4R_RANGE                 7:7
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4R_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4R_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4R_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4R_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4R_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4R_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4R_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4R_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4R_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4R_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4W_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4W_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4W_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4W_RANGE                 8:8
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4W_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4W_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4W_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4W_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4W_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4W_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4W_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4W_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4W_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4W_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA0RDA1_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA0RDA1_FIELD                      _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA0RDA1_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA0RDA1_RANGE                      9:9
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA0RDA1_WOFFSET                    0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA0RDA1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA0RDA1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA0RDA1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA0RDA1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA0RDA1_INIT_ENUM                  DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA0RDA1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA0RDA1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA1RDA1_SHIFT                      _MK_SHIFT_CONST(10)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA1RDA1_FIELD                      _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA1RDA1_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA1RDA1_RANGE                      10:10
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA1RDA1_WOFFSET                    0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA1RDA1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA1RDA1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA1RDA1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA1RDA1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA1RDA1_INIT_ENUM                  DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA1RDA1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_DLA1RDA1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDA1_SHIFT                      _MK_SHIFT_CONST(11)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDA1_FIELD                      _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDA1_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDA1_RANGE                      11:11
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDA1_WOFFSET                    0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDA1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDA1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDA1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDA1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDA1_INIT_ENUM                  DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDA1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDA1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDB1_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDB1_FIELD                      _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDB1_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDB1_RANGE                      12:12
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDB1_WOFFSET                    0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDB1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDB1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDB1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDB1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDB1_INIT_ENUM                  DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDB1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA0RDB1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDA1_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDA1_FIELD                      _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDA1_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDA1_RANGE                      13:13
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDA1_WOFFSET                    0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDA1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDA1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDA1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDA1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDA1_INIT_ENUM                  DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDA1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDA1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDB1_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDB1_FIELD                      _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDB1_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDB1_RANGE                      14:14
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDB1_WOFFSET                    0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDB1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDB1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDB1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDB1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDB1_INIT_ENUM                  DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDB1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PVA1RDB1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R1_SHIFT                       _MK_SHIFT_CONST(15)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R1_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R1_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R1_RANGE                       15:15
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R1_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R1_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE5R1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENCSRD1_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENCSRD1_FIELD                     _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENCSRD1_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENCSRD1_RANGE                     16:16
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENCSRD1_WOFFSET                   0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENCSRD1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENCSRD1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENCSRD1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENCSRD1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENCSRD1_INIT_ENUM                 DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENCSRD1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENCSRD1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENC1SRD1_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENC1SRD1_FIELD                    _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENC1SRD1_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENC1SRD1_RANGE                    17:17
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENC1SRD1_WOFFSET                  0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENC1SRD1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENC1SRD1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENC1SRD1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENC1SRD1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENC1SRD1_INIT_ENUM                        DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENC1SRD1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVENC1SRD1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPRA1_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPRA1_FIELD                        _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPRA1_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPRA1_RANGE                        18:18
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPRA1_WOFFSET                      0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPRA1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPRA1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPRA1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPRA1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPRA1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPRA1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPRA1_INIT_ENUM                    DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPRA1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_ISPRA1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE0R1_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE0R1_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE0R1_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE0R1_RANGE                       19:19
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE0R1_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE0R1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE0R1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE0R1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE0R1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE0R1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE0R1_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE0R1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_PCIE0R1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL0RHP_SHIFT                       _MK_SHIFT_CONST(20)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL0RHP_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL0RHP_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL0RHP_RANGE                       20:20
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL0RHP_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL0RHP_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL0RHP_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL0RHP_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL0RHP_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL0RHP_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL0RHP_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL0RHP_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL0RHP_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL1RHP_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL1RHP_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL1RHP_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL1RHP_RANGE                       21:21
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL1RHP_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL1RHP_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL1RHP_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL1RHP_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL1RHP_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL1RHP_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL1RHP_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL1RHP_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL1RHP_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL2RHP_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL2RHP_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL2RHP_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL2RHP_RANGE                       22:22
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL2RHP_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL2RHP_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL2RHP_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL2RHP_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL2RHP_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL2RHP_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL2RHP_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL2RHP_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL2RHP_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3RHP_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3RHP_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3RHP_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3RHP_RANGE                       23:23
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3RHP_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3RHP_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3RHP_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3RHP_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3RHP_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3RHP_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3RHP_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3RHP_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL3RHP_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4RHP_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4RHP_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4RHP_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4RHP_RANGE                       24:24
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4RHP_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4RHP_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4RHP_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4RHP_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4RHP_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4RHP_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4RHP_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4RHP_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVL4RHP_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD_FIELD                     _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD_RANGE                     25:25
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD_WOFFSET                   0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD_INIT_ENUM                 DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD1_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD1_FIELD                    _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD1_RANGE                    26:26
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD1_WOFFSET                  0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD1_INIT_ENUM                        DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SRD1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SWR_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SWR_FIELD                     _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SWR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SWR_RANGE                     27:27
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SWR_WOFFSET                   0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SWR_INIT_ENUM                 DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_NVDEC1SWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5R_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5R_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5R_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5R_RANGE                 28:28
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5R_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5R_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5R_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5R_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5R_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5R_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5R_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5R_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5R_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5R_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5W_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5W_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5W_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5W_RANGE                 29:29
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5W_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5W_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5W_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5W_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5W_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5W_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5W_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5W_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5W_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU5W_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6R_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6R_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6R_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6R_RANGE                 30:30
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6R_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6R_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6R_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6R_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6R_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6R_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6R_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6R_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6R_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6R_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6W_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6W_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6W_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6W_RANGE                 31:31
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6W_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6W_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6W_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6W_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6W_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6W_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6W_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6W_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6W_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS7_0_MTS_CARVEOUT_ALLOW_MIU6W_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_MTS_CARVEOUT_CLIENT_ACCESS3_0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0                        _MK_ADDR_CONST(0x190c)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_SECURE                         0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_DUAL                   0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_SCR                    0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_WORD_COUNT                     0x1
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_RESET_MASK                     _MK_MASK_CONST(0xcf0430dd)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_READ_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_WRITE_MASK                     _MK_MASK_CONST(0xcf0430dd)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRA_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRA_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRA_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRA_RANGE                       0:0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRA_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRA_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRA_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRA_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRA_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRA_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCR_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCR_FIELD                        _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCR_RANGE                        2:2
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCR_WOFFSET                      0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCR_INIT_ENUM                    DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRAB_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRAB_FIELD                      _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRAB_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRAB_RANGE                      3:3
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRAB_WOFFSET                    0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRAB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRAB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRAB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRAB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRAB_INIT_ENUM                  DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRAB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCRAB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWA_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWA_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWA_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWA_RANGE                       4:4
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWA_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWA_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWA_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWA_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWA_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWA_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWA_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWA_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWA_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCW_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCW_FIELD                        _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCW_RANGE                        6:6
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCW_WOFFSET                      0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCW_INIT_ENUM                    DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWAB_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWAB_FIELD                      _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWAB_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWAB_RANGE                      7:7
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWAB_WOFFSET                    0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWAB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWAB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWAB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWAB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWAB_INIT_ENUM                  DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWAB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_SDMMCWAB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSRD_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSRD_FIELD                        _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSRD_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSRD_RANGE                        12:12
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSRD_WOFFSET                      0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSRD_INIT_ENUM                    DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSWR_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSWR_FIELD                        _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSWR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSWR_RANGE                        13:13
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSWR_WOFFSET                      0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSWR_INIT_ENUM                    DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VICSWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VIW_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VIW_FIELD                   _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VIW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VIW_RANGE                   18:18
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VIW_WOFFSET                 0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VIW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VIW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VIW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VIW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VIW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VIW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VIW_INIT_ENUM                       DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VIW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_VIW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSRD_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSRD_FIELD                      _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSRD_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSRD_RANGE                      24:24
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSRD_WOFFSET                    0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSRD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSRD_INIT_ENUM                  DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSRD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSRD_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSWR_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSWR_FIELD                      _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSWR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSWR_RANGE                      25:25
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSWR_WOFFSET                    0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSWR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSWR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSWR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSWR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSWR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSWR_INIT_ENUM                  DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSWR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVDECSWR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APER_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APER_FIELD                  _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APER_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APER_RANGE                  26:26
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APER_WOFFSET                        0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APER_INIT_ENUM                      DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APEW_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APEW_FIELD                  _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APEW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APEW_RANGE                  27:27
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APEW_WOFFSET                        0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APEW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APEW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APEW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APEW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APEW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APEW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APEW_INIT_ENUM                      DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APEW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_APEW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSRD_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSRD_FIELD                      _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSRD_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSRD_RANGE                      30:30
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSRD_WOFFSET                    0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSRD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSRD_INIT_ENUM                  DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSRD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSRD_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSWR_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSWR_FIELD                      _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSWR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSWR_RANGE                      31:31
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSWR_WOFFSET                    0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSWR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSWR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSWR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSWR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSWR_INIT_ENUM                  DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSWR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS3_0_MTS_CARVEOUT_ALLOW_NVJPGSWR_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_MTS_CARVEOUT_CLIENT_ACCESS2_0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0                        _MK_ADDR_CONST(0x1908)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_SECURE                         0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_DUAL                   0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_SCR                    0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_WORD_COUNT                     0x1
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_RESET_MASK                     _MK_MASK_CONST(0x303cf0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_READ_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_WRITE_MASK                     _MK_MASK_CONST(0x303cf0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPRA_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPRA_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPRA_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPRA_RANGE                 4:4
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPRA_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPRA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPRA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPRA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPRA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPRA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPRA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPRA_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPRA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPRA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPFALR_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPFALR_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPFALR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPFALR_RANGE                       5:5
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPFALR_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPFALR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPFALR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPFALR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPFALR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPFALR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPFALR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPFALR_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPFALR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPFALR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWA_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWA_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWA_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWA_RANGE                 6:6
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWA_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWA_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWA_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWA_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWA_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWA_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWB_FIELD                 _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWB_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWB_RANGE                 7:7
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWB_WOFFSET                       0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWB_INIT_ENUM                     DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_ISPWB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTR_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTR_FIELD                    _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTR_RANGE                    10:10
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTR_WOFFSET                  0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTR_INIT_ENUM                        DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTW_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTW_FIELD                    _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTW_RANGE                    11:11
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTW_WOFFSET                  0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTW_INIT_ENUM                        DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_HOSTW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVR_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVR_FIELD                     _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVR_RANGE                     12:12
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVR_WOFFSET                   0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVR_INIT_ENUM                 DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVW_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVW_FIELD                     _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVW_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVW_RANGE                     13:13
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVW_WOFFSET                   0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVW_INIT_ENUM                 DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_XUSB_DEVW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSRD_SHIFT                       _MK_SHIFT_CONST(20)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSRD_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSRD_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSRD_RANGE                       20:20
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSRD_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSRD_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSRD_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSRD_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSRD_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSRD_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSRD_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSRD_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSRD_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSRD_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSWR_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSWR_FIELD                       _MK_FIELD_CONST(0x1, MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSWR_SHIFT)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSWR_RANGE                       21:21
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSWR_WOFFSET                     0x0
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSWR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSWR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSWR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSWR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSWR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSWR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSWR_INIT_ENUM                   DISABLE
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSWR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MTS_CARVEOUT_CLIENT_ACCESS2_0_MTS_CARVEOUT_ALLOW_TSECSWR_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_ERR_ROUTE_SANITY_STATUS_0
#define MC_ERR_ROUTE_SANITY_STATUS_0                    _MK_ADDR_CONST(0x9c0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_SECURE                     0x0
#define MC_ERR_ROUTE_SANITY_STATUS_0_DUAL                       0x0
#define MC_ERR_ROUTE_SANITY_STATUS_0_SCR                        0
#define MC_ERR_ROUTE_SANITY_STATUS_0_WORD_COUNT                         0x1
#define MC_ERR_ROUTE_SANITY_STATUS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_READ_MASK                  _MK_MASK_CONST(0xeff770ff)
#define MC_ERR_ROUTE_SANITY_STATUS_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ID_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ID_FIELD                  _MK_FIELD_CONST(0xff, MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ID_SHIFT)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ID_RANGE                  7:0
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ID_WOFFSET                        0x0
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR1_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR1_FIELD                        _MK_FIELD_CONST(0x7, MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR1_SHIFT)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR1_RANGE                        14:12
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR1_WOFFSET                      0x0
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR1_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_RW_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_RW_FIELD                  _MK_FIELD_CONST(0x1, MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_RW_SHIFT)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_RW_RANGE                  16:16
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_RW_WOFFSET                        0x0
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_RW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_RW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_RW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_RW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_RW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_RW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_RW_READ                   _MK_ENUM_CONST(0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_RW_WRITE                  _MK_ENUM_CONST(1)

#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SECURITY_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SECURITY_FIELD                    _MK_FIELD_CONST(0x1, MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SECURITY_SHIFT)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SECURITY_RANGE                    17:17
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SECURITY_WOFFSET                  0x0
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SECURITY_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SECURITY_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SECURITY_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SECURITY_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SECURITY_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SECURITY_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SECURITY_NONSECURE                        _MK_ENUM_CONST(0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SECURITY_SECURE                   _MK_ENUM_CONST(1)

#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SWAP_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SWAP_FIELD                        _MK_FIELD_CONST(0x1, MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SWAP_SHIFT)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SWAP_RANGE                        18:18
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SWAP_WOFFSET                      0x0
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SWAP_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SWAP_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SWAP_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SWAP_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SWAP_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_SWAP_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR_HI_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR_HI_FIELD                      _MK_FIELD_CONST(0xff, MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR_HI_SHIFT)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR_HI_RANGE                      27:20
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR_HI_WOFFSET                    0x0
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR_HI_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR_HI_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR_HI_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR_HI_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR_HI_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ADR_HI_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ERR_TYPE_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ERR_TYPE_FIELD                    _MK_FIELD_CONST(0x7, MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ERR_TYPE_SHIFT)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ERR_TYPE_RANGE                    31:29
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ERR_TYPE_WOFFSET                  0x0
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ERR_TYPE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ERR_TYPE_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ERR_TYPE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ERR_TYPE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ERR_TYPE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ERR_TYPE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ERR_TYPE_RSVD                     _MK_ENUM_CONST(0)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ERR_TYPE_DECERR_IGPU_RESTRICTED_ACCESS                    _MK_ENUM_CONST(1)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ERR_TYPE_DECERR_REMOTE_DEV_RESTRICTED_ACCESS                      _MK_ENUM_CONST(2)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ERR_TYPE_DECERR_GPU2REMOTE                        _MK_ENUM_CONST(3)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ERR_TYPE_DECERR_NISO_REMOTE                       _MK_ENUM_CONST(4)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ERR_TYPE_DECERR_COH_ISO                   _MK_ENUM_CONST(5)
#define MC_ERR_ROUTE_SANITY_STATUS_0_ERR_ROUTE_SANITY_ERR_TYPE_DECERR_COH_REMOTE                        _MK_ENUM_CONST(6)


// Register MC_ERR_ROUTE_SANITY_ADR_0
#define MC_ERR_ROUTE_SANITY_ADR_0                       _MK_ADDR_CONST(0x9c4)
#define MC_ERR_ROUTE_SANITY_ADR_0_SECURE                        0x0
#define MC_ERR_ROUTE_SANITY_ADR_0_DUAL                  0x0
#define MC_ERR_ROUTE_SANITY_ADR_0_SCR                   0
#define MC_ERR_ROUTE_SANITY_ADR_0_WORD_COUNT                    0x1
#define MC_ERR_ROUTE_SANITY_ADR_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_ADR_0_RESET_MASK                    _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_ADR_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_ADR_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_ADR_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_ERR_ROUTE_SANITY_ADR_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_ADR_0_ERR_ROUTE_SANITY_ADR_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_ERR_ROUTE_SANITY_ADR_0_ERR_ROUTE_SANITY_ADR_FIELD                    _MK_FIELD_CONST(0xffffffff, MC_ERR_ROUTE_SANITY_ADR_0_ERR_ROUTE_SANITY_ADR_SHIFT)
#define MC_ERR_ROUTE_SANITY_ADR_0_ERR_ROUTE_SANITY_ADR_RANGE                    31:0
#define MC_ERR_ROUTE_SANITY_ADR_0_ERR_ROUTE_SANITY_ADR_WOFFSET                  0x0
#define MC_ERR_ROUTE_SANITY_ADR_0_ERR_ROUTE_SANITY_ADR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_ADR_0_ERR_ROUTE_SANITY_ADR_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_ADR_0_ERR_ROUTE_SANITY_ADR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_ADR_0_ERR_ROUTE_SANITY_ADR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_ADR_0_ERR_ROUTE_SANITY_ADR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ERR_ROUTE_SANITY_ADR_0_ERR_ROUTE_SANITY_ADR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0                  _MK_ADDR_CONST(0x9c8)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_SECURE                   0x0
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_DUAL                     0x0
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_SCR                      0
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_WORD_COUNT                       0x1
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_RESET_MASK                       _MK_MASK_CONST(0x3)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_READ_MASK                        _MK_MASK_CONST(0x3)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_WRITE_MASK                       _MK_MASK_CONST(0x3)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_FIELD                     _MK_FIELD_CONST(0x1, MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_SHIFT)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_RANGE                     0:0
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_WOFFSET                   0x0
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_INIT_ENUM                 ENABLED
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_ENABLED                   _MK_ENUM_CONST(0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_DISABLED                  _MK_ENUM_CONST(1)

#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_FIELD                     _MK_FIELD_CONST(0x1, MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_SHIFT)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_RANGE                     1:1
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_WOFFSET                   0x0
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_INIT_ENUM                 ENABLED
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_ENABLED                   _MK_ENUM_CONST(0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0_IGPU_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_DISABLED                  _MK_ENUM_CONST(1)


// Register MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0                    _MK_ADDR_CONST(0x9cc)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_SECURE                     0x0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_DUAL                       0x0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_SCR                        0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_WORD_COUNT                         0x1
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_RESET_MASK                         _MK_MASK_CONST(0x3)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_READ_MASK                  _MK_MASK_CONST(0x3)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_WRITE_MASK                         _MK_MASK_CONST(0x3)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_FIELD                 _MK_FIELD_CONST(0x1, MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_SHIFT)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_RANGE                 0:0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_WOFFSET                       0x0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_INIT_ENUM                     ENABLED
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_ENABLED                       _MK_ENUM_CONST(0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_WRITE_ACCESS_DISABLED                      _MK_ENUM_CONST(1)

#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_FIELD                 _MK_FIELD_CONST(0x1, MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_SHIFT)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_RANGE                 1:1
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_WOFFSET                       0x0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_INIT_ENUM                     ENABLED
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_ENABLED                       _MK_ENUM_CONST(0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_WRITE_ACCESS_DISABLED                      _MK_ENUM_CONST(1)


// Register MC_IGPU_WPR_ACCESS_CTRL_0
#define MC_IGPU_WPR_ACCESS_CTRL_0                       _MK_ADDR_CONST(0x9d8)
#define MC_IGPU_WPR_ACCESS_CTRL_0_SECURE                        0x0
#define MC_IGPU_WPR_ACCESS_CTRL_0_DUAL                  0x0
#define MC_IGPU_WPR_ACCESS_CTRL_0_SCR                   0
#define MC_IGPU_WPR_ACCESS_CTRL_0_WORD_COUNT                    0x1
#define MC_IGPU_WPR_ACCESS_CTRL_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_IGPU_WPR_ACCESS_CTRL_0_RESET_MASK                    _MK_MASK_CONST(0x3)
#define MC_IGPU_WPR_ACCESS_CTRL_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_IGPU_WPR_ACCESS_CTRL_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_IGPU_WPR_ACCESS_CTRL_0_READ_MASK                     _MK_MASK_CONST(0x3)
#define MC_IGPU_WPR_ACCESS_CTRL_0_WRITE_MASK                    _MK_MASK_CONST(0x3)
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_BYPASS_PROT_FIREWALL_CHECK_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_BYPASS_PROT_FIREWALL_CHECK_FIELD                      _MK_FIELD_CONST(0x1, MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_BYPASS_PROT_FIREWALL_CHECK_SHIFT)
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_BYPASS_PROT_FIREWALL_CHECK_RANGE                      0:0
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_BYPASS_PROT_FIREWALL_CHECK_WOFFSET                    0x0
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_BYPASS_PROT_FIREWALL_CHECK_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_BYPASS_PROT_FIREWALL_CHECK_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_BYPASS_PROT_FIREWALL_CHECK_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_BYPASS_PROT_FIREWALL_CHECK_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_BYPASS_PROT_FIREWALL_CHECK_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_BYPASS_PROT_FIREWALL_CHECK_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_BYPASS_PROT_FIREWALL_CHECK_INIT_ENUM                  DISABLED
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_BYPASS_PROT_FIREWALL_CHECK_DISABLED                   _MK_ENUM_CONST(0)
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_BYPASS_PROT_FIREWALL_CHECK_ENABLED                    _MK_ENUM_CONST(1)

#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_REG_CTRL_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_REG_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_REG_CTRL_SHIFT)
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_REG_CTRL_RANGE                        1:1
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_REG_CTRL_WOFFSET                      0x0
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_REG_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_REG_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_REG_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_REG_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_REG_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_REG_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_REG_CTRL_INIT_ENUM                    ENABLED
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_REG_CTRL_ENABLED                      _MK_ENUM_CONST(0)
#define MC_IGPU_WPR_ACCESS_CTRL_0_IGPU_WPR_ACCESS_REG_CTRL_DISABLED                     _MK_ENUM_CONST(1)


// Register MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0                      _MK_ADDR_CONST(0x560)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0_SECURE                       0x0
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0_DUAL                         0x0
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0_SCR                  0
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0_WORD_COUNT                   0x1
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0_RESET_MASK                   _MK_MASK_CONST(0xfffffff)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0_READ_MASK                    _MK_MASK_CONST(0xfffffff)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0_WRITE_MASK                   _MK_MASK_CONST(0xfffffff)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0_IGPU_ACCESSIBLE_CARVEOUT1_BOM_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0_IGPU_ACCESSIBLE_CARVEOUT1_BOM_FIELD                  _MK_FIELD_CONST(0xfffffff, MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0_IGPU_ACCESSIBLE_CARVEOUT1_BOM_SHIFT)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0_IGPU_ACCESSIBLE_CARVEOUT1_BOM_RANGE                  27:0
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0_IGPU_ACCESSIBLE_CARVEOUT1_BOM_WOFFSET                        0x0
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0_IGPU_ACCESSIBLE_CARVEOUT1_BOM_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0_IGPU_ACCESSIBLE_CARVEOUT1_BOM_DEFAULT_MASK                   _MK_MASK_CONST(0xfffffff)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0_IGPU_ACCESSIBLE_CARVEOUT1_BOM_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0_IGPU_ACCESSIBLE_CARVEOUT1_BOM_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0_IGPU_ACCESSIBLE_CARVEOUT1_BOM_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0_IGPU_ACCESSIBLE_CARVEOUT1_BOM_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0                     _MK_ADDR_CONST(0x564)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_SECURE                      0x0
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_DUAL                        0x0
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_SCR                         0
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_WORD_COUNT                  0x1
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_RESET_MASK                  _MK_MASK_CONST(0xfffffff)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0xfffffff)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_READ_MASK                   _MK_MASK_CONST(0xfffffff)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_WRITE_MASK                  _MK_MASK_CONST(0xfffffff)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_4KB_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_4KB_FIELD                    _MK_FIELD_CONST(0xfffffff, MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_4KB_SHIFT)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_4KB_RANGE                    27:0
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_4KB_WOFFSET                  0x0
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_4KB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_4KB_DEFAULT_MASK                     _MK_MASK_CONST(0xfffffff)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_4KB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_4KB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0xfffffff)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_4KB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_4KB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_4KB__PROD                    _MK_MASK_CONST(0x0)


// Register MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0                      _MK_ADDR_CONST(0x568)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0_SECURE                       0x0
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0_DUAL                         0x0
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0_SCR                  0
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0_WORD_COUNT                   0x1
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0_RESET_MASK                   _MK_MASK_CONST(0xfffffff)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0_READ_MASK                    _MK_MASK_CONST(0xfffffff)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0_WRITE_MASK                   _MK_MASK_CONST(0xfffffff)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0_IGPU_ACCESSIBLE_CARVEOUT2_BOM_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0_IGPU_ACCESSIBLE_CARVEOUT2_BOM_FIELD                  _MK_FIELD_CONST(0xfffffff, MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0_IGPU_ACCESSIBLE_CARVEOUT2_BOM_SHIFT)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0_IGPU_ACCESSIBLE_CARVEOUT2_BOM_RANGE                  27:0
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0_IGPU_ACCESSIBLE_CARVEOUT2_BOM_WOFFSET                        0x0
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0_IGPU_ACCESSIBLE_CARVEOUT2_BOM_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0_IGPU_ACCESSIBLE_CARVEOUT2_BOM_DEFAULT_MASK                   _MK_MASK_CONST(0xfffffff)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0_IGPU_ACCESSIBLE_CARVEOUT2_BOM_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0_IGPU_ACCESSIBLE_CARVEOUT2_BOM_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0_IGPU_ACCESSIBLE_CARVEOUT2_BOM_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0_IGPU_ACCESSIBLE_CARVEOUT2_BOM_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0                     _MK_ADDR_CONST(0x56c)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_SECURE                      0x0
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_DUAL                        0x0
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_SCR                         0
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_WORD_COUNT                  0x1
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_RESET_MASK                  _MK_MASK_CONST(0xfffffff)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0xfffffff)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_READ_MASK                   _MK_MASK_CONST(0xfffffff)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_WRITE_MASK                  _MK_MASK_CONST(0xfffffff)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_4KB_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_4KB_FIELD                    _MK_FIELD_CONST(0xfffffff, MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_4KB_SHIFT)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_4KB_RANGE                    27:0
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_4KB_WOFFSET                  0x0
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_4KB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_4KB_DEFAULT_MASK                     _MK_MASK_CONST(0xfffffff)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_4KB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_4KB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0xfffffff)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_4KB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_4KB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_4KB__PROD                    _MK_MASK_CONST(0x0)


// Register MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0                        _MK_ADDR_CONST(0x5a0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0_SECURE                         0x0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0_DUAL                   0x0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0_SCR                    0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0_WORD_COUNT                     0x1
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0_RESET_MASK                     _MK_MASK_CONST(0xfffffff)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0_READ_MASK                      _MK_MASK_CONST(0xfffffff)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0_WRITE_MASK                     _MK_MASK_CONST(0xfffffff)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_FIELD                      _MK_FIELD_CONST(0xfffffff, MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_SHIFT)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_RANGE                      27:0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_WOFFSET                    0x0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_DEFAULT_MASK                       _MK_MASK_CONST(0xfffffff)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0                       _MK_ADDR_CONST(0x5a4)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_SECURE                        0x0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_DUAL                  0x0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_SCR                   0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_WORD_COUNT                    0x1
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_RESET_MASK                    _MK_MASK_CONST(0xfffffff)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0xfffffff)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_READ_MASK                     _MK_MASK_CONST(0xfffffff)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_WRITE_MASK                    _MK_MASK_CONST(0xfffffff)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_4KB_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_4KB_FIELD                        _MK_FIELD_CONST(0xfffffff, MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_4KB_SHIFT)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_4KB_RANGE                        27:0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_4KB_WOFFSET                      0x0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_4KB_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_4KB_DEFAULT_MASK                 _MK_MASK_CONST(0xfffffff)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_4KB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_4KB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xfffffff)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_4KB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_4KB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_4KB__PROD                        _MK_MASK_CONST(0x0)


// Register MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0                        _MK_ADDR_CONST(0x5a8)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0_SECURE                         0x0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0_DUAL                   0x0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0_SCR                    0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0_WORD_COUNT                     0x1
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0_RESET_MASK                     _MK_MASK_CONST(0xfffffff)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0_READ_MASK                      _MK_MASK_CONST(0xfffffff)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0_WRITE_MASK                     _MK_MASK_CONST(0xfffffff)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_FIELD                      _MK_FIELD_CONST(0xfffffff, MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_SHIFT)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_RANGE                      27:0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_WOFFSET                    0x0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_DEFAULT_MASK                       _MK_MASK_CONST(0xfffffff)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0                       _MK_ADDR_CONST(0x5ac)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_SECURE                        0x0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_DUAL                  0x0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_SCR                   0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_WORD_COUNT                    0x1
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_RESET_MASK                    _MK_MASK_CONST(0xfffffff)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0xfffffff)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_READ_MASK                     _MK_MASK_CONST(0xfffffff)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_WRITE_MASK                    _MK_MASK_CONST(0xfffffff)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_4KB_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_4KB_FIELD                        _MK_FIELD_CONST(0xfffffff, MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_4KB_SHIFT)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_4KB_RANGE                        27:0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_4KB_WOFFSET                      0x0
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_4KB_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_4KB_DEFAULT_MASK                 _MK_MASK_CONST(0xfffffff)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_4KB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_4KB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xfffffff)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_4KB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_4KB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_4KB__PROD                        _MK_MASK_CONST(0x0)


// Packet AXI_AR_USER_PKT
#define AXI_AR_USER_PKT_SIZE 29

#define AXI_AR_USER_PKT_STREAM_ID_SHIFT                 _MK_SHIFT_CONST(0)
#define AXI_AR_USER_PKT_STREAM_ID_FIELD                 _MK_FIELD_CONST(0xff, AXI_AR_USER_PKT_STREAM_ID_SHIFT)
#define AXI_AR_USER_PKT_STREAM_ID_RANGE                 _MK_SHIFT_CONST(7):_MK_SHIFT_CONST(0)
#define AXI_AR_USER_PKT_STREAM_ID_ROW                   0
#define AXI_AR_USER_PKT_STREAM_ID_INIT                  _MK_ENUM_CONST(0)

#define AXI_AR_USER_PKT_COH_IO_ACC_SHIFT                        _MK_SHIFT_CONST(8)
#define AXI_AR_USER_PKT_COH_IO_ACC_FIELD                        _MK_FIELD_CONST(0x1, AXI_AR_USER_PKT_COH_IO_ACC_SHIFT)
#define AXI_AR_USER_PKT_COH_IO_ACC_RANGE                        _MK_SHIFT_CONST(8):_MK_SHIFT_CONST(8)
#define AXI_AR_USER_PKT_COH_IO_ACC_ROW                  0
#define AXI_AR_USER_PKT_COH_IO_ACC_INIT                 _MK_ENUM_CONST(0)

#define AXI_AR_USER_PKT_RSB_NS_SHIFT                    _MK_SHIFT_CONST(9)
#define AXI_AR_USER_PKT_RSB_NS_FIELD                    _MK_FIELD_CONST(0x1, AXI_AR_USER_PKT_RSB_NS_SHIFT)
#define AXI_AR_USER_PKT_RSB_NS_RANGE                    _MK_SHIFT_CONST(9):_MK_SHIFT_CONST(9)
#define AXI_AR_USER_PKT_RSB_NS_ROW                      0
#define AXI_AR_USER_PKT_RSB_NS_INIT                     _MK_ENUM_CONST(1)

#define AXI_AR_USER_PKT_VPR_RD_SHIFT                    _MK_SHIFT_CONST(10)
#define AXI_AR_USER_PKT_VPR_RD_FIELD                    _MK_FIELD_CONST(0x1, AXI_AR_USER_PKT_VPR_RD_SHIFT)
#define AXI_AR_USER_PKT_VPR_RD_RANGE                    _MK_SHIFT_CONST(10):_MK_SHIFT_CONST(10)
#define AXI_AR_USER_PKT_VPR_RD_ROW                      0
#define AXI_AR_USER_PKT_VPR_RD_INIT                     _MK_ENUM_CONST(0)

#define AXI_AR_USER_PKT_GSC_AID_SHIFT                   _MK_SHIFT_CONST(11)
#define AXI_AR_USER_PKT_GSC_AID_FIELD                   _MK_FIELD_CONST(0x1f, AXI_AR_USER_PKT_GSC_AID_SHIFT)
#define AXI_AR_USER_PKT_GSC_AID_RANGE                   _MK_SHIFT_CONST(15):_MK_SHIFT_CONST(11)
#define AXI_AR_USER_PKT_GSC_AID_ROW                     0
#define AXI_AR_USER_PKT_GSC_AID_INIT                    _MK_ENUM_CONST(0)

#define AXI_AR_USER_PKT_GSC_AL_SHIFT                    _MK_SHIFT_CONST(16)
#define AXI_AR_USER_PKT_GSC_AL_FIELD                    _MK_FIELD_CONST(0x3, AXI_AR_USER_PKT_GSC_AL_SHIFT)
#define AXI_AR_USER_PKT_GSC_AL_RANGE                    _MK_SHIFT_CONST(17):_MK_SHIFT_CONST(16)
#define AXI_AR_USER_PKT_GSC_AL_ROW                      0
#define AXI_AR_USER_PKT_GSC_AL_INIT                     _MK_ENUM_CONST(0)

#define AXI_AR_USER_PKT_ADR5_SHIFT                      _MK_SHIFT_CONST(18)
#define AXI_AR_USER_PKT_ADR5_FIELD                      _MK_FIELD_CONST(0x1, AXI_AR_USER_PKT_ADR5_SHIFT)
#define AXI_AR_USER_PKT_ADR5_RANGE                      _MK_SHIFT_CONST(18):_MK_SHIFT_CONST(18)
#define AXI_AR_USER_PKT_ADR5_ROW                        0
#define AXI_AR_USER_PKT_ADR5_INIT                       _MK_ENUM_CONST(0)

#define AXI_AR_USER_PKT_ADR1_SHIFT                      _MK_SHIFT_CONST(19)
#define AXI_AR_USER_PKT_ADR1_FIELD                      _MK_FIELD_CONST(0x7, AXI_AR_USER_PKT_ADR1_SHIFT)
#define AXI_AR_USER_PKT_ADR1_RANGE                      _MK_SHIFT_CONST(21):_MK_SHIFT_CONST(19)
#define AXI_AR_USER_PKT_ADR1_ROW                        0
#define AXI_AR_USER_PKT_ADR1_INIT                       _MK_ENUM_CONST(0)

#define AXI_AR_USER_PKT_SP_AWARE_SHIFT                  _MK_SHIFT_CONST(22)
#define AXI_AR_USER_PKT_SP_AWARE_FIELD                  _MK_FIELD_CONST(0x1, AXI_AR_USER_PKT_SP_AWARE_SHIFT)
#define AXI_AR_USER_PKT_SP_AWARE_RANGE                  _MK_SHIFT_CONST(22):_MK_SHIFT_CONST(22)
#define AXI_AR_USER_PKT_SP_AWARE_ROW                    0
#define AXI_AR_USER_PKT_SP_AWARE_INIT                   _MK_ENUM_CONST(0)

#define AXI_AR_USER_PKT_RESERVED_SHIFT                  _MK_SHIFT_CONST(23)
#define AXI_AR_USER_PKT_RESERVED_FIELD                  _MK_FIELD_CONST(0x3f, AXI_AR_USER_PKT_RESERVED_SHIFT)
#define AXI_AR_USER_PKT_RESERVED_RANGE                  _MK_SHIFT_CONST(28):_MK_SHIFT_CONST(23)
#define AXI_AR_USER_PKT_RESERVED_ROW                    0
#define AXI_AR_USER_PKT_RESERVED_INIT                   _MK_ENUM_CONST(0)


// Packet AXI_AW_USER_PKT
#define AXI_AW_USER_PKT_SIZE 29

#define AXI_AW_USER_PKT_STREAM_ID_SHIFT                 _MK_SHIFT_CONST(0)
#define AXI_AW_USER_PKT_STREAM_ID_FIELD                 _MK_FIELD_CONST(0xff, AXI_AW_USER_PKT_STREAM_ID_SHIFT)
#define AXI_AW_USER_PKT_STREAM_ID_RANGE                 _MK_SHIFT_CONST(7):_MK_SHIFT_CONST(0)
#define AXI_AW_USER_PKT_STREAM_ID_ROW                   0
#define AXI_AW_USER_PKT_STREAM_ID_INIT                  _MK_ENUM_CONST(0)

#define AXI_AW_USER_PKT_COH_IO_ACC_SHIFT                        _MK_SHIFT_CONST(8)
#define AXI_AW_USER_PKT_COH_IO_ACC_FIELD                        _MK_FIELD_CONST(0x1, AXI_AW_USER_PKT_COH_IO_ACC_SHIFT)
#define AXI_AW_USER_PKT_COH_IO_ACC_RANGE                        _MK_SHIFT_CONST(8):_MK_SHIFT_CONST(8)
#define AXI_AW_USER_PKT_COH_IO_ACC_ROW                  0
#define AXI_AW_USER_PKT_COH_IO_ACC_INIT                 _MK_ENUM_CONST(0)

#define AXI_AW_USER_PKT_WSB_NS_SHIFT                    _MK_SHIFT_CONST(9)
#define AXI_AW_USER_PKT_WSB_NS_FIELD                    _MK_FIELD_CONST(0x1, AXI_AW_USER_PKT_WSB_NS_SHIFT)
#define AXI_AW_USER_PKT_WSB_NS_RANGE                    _MK_SHIFT_CONST(9):_MK_SHIFT_CONST(9)
#define AXI_AW_USER_PKT_WSB_NS_ROW                      0
#define AXI_AW_USER_PKT_WSB_NS_INIT                     _MK_ENUM_CONST(1)

#define AXI_AW_USER_PKT_VPR_WR_SHIFT                    _MK_SHIFT_CONST(10)
#define AXI_AW_USER_PKT_VPR_WR_FIELD                    _MK_FIELD_CONST(0x1, AXI_AW_USER_PKT_VPR_WR_SHIFT)
#define AXI_AW_USER_PKT_VPR_WR_RANGE                    _MK_SHIFT_CONST(10):_MK_SHIFT_CONST(10)
#define AXI_AW_USER_PKT_VPR_WR_ROW                      0
#define AXI_AW_USER_PKT_VPR_WR_INIT                     _MK_ENUM_CONST(0)

#define AXI_AW_USER_PKT_GSC_AID_SHIFT                   _MK_SHIFT_CONST(11)
#define AXI_AW_USER_PKT_GSC_AID_FIELD                   _MK_FIELD_CONST(0x1f, AXI_AW_USER_PKT_GSC_AID_SHIFT)
#define AXI_AW_USER_PKT_GSC_AID_RANGE                   _MK_SHIFT_CONST(15):_MK_SHIFT_CONST(11)
#define AXI_AW_USER_PKT_GSC_AID_ROW                     0
#define AXI_AW_USER_PKT_GSC_AID_INIT                    _MK_ENUM_CONST(0)

#define AXI_AW_USER_PKT_GSC_AL_SHIFT                    _MK_SHIFT_CONST(16)
#define AXI_AW_USER_PKT_GSC_AL_FIELD                    _MK_FIELD_CONST(0x3, AXI_AW_USER_PKT_GSC_AL_SHIFT)
#define AXI_AW_USER_PKT_GSC_AL_RANGE                    _MK_SHIFT_CONST(17):_MK_SHIFT_CONST(16)
#define AXI_AW_USER_PKT_GSC_AL_ROW                      0
#define AXI_AW_USER_PKT_GSC_AL_INIT                     _MK_ENUM_CONST(0)

#define AXI_AW_USER_PKT_ADR5_SHIFT                      _MK_SHIFT_CONST(18)
#define AXI_AW_USER_PKT_ADR5_FIELD                      _MK_FIELD_CONST(0x1, AXI_AW_USER_PKT_ADR5_SHIFT)
#define AXI_AW_USER_PKT_ADR5_RANGE                      _MK_SHIFT_CONST(18):_MK_SHIFT_CONST(18)
#define AXI_AW_USER_PKT_ADR5_ROW                        0
#define AXI_AW_USER_PKT_ADR5_INIT                       _MK_ENUM_CONST(0)

#define AXI_AW_USER_PKT_ADR1_SHIFT                      _MK_SHIFT_CONST(19)
#define AXI_AW_USER_PKT_ADR1_FIELD                      _MK_FIELD_CONST(0x7, AXI_AW_USER_PKT_ADR1_SHIFT)
#define AXI_AW_USER_PKT_ADR1_RANGE                      _MK_SHIFT_CONST(21):_MK_SHIFT_CONST(19)
#define AXI_AW_USER_PKT_ADR1_ROW                        0
#define AXI_AW_USER_PKT_ADR1_INIT                       _MK_ENUM_CONST(0)

#define AXI_AW_USER_PKT_SP_AWARE_SHIFT                  _MK_SHIFT_CONST(22)
#define AXI_AW_USER_PKT_SP_AWARE_FIELD                  _MK_FIELD_CONST(0x1, AXI_AW_USER_PKT_SP_AWARE_SHIFT)
#define AXI_AW_USER_PKT_SP_AWARE_RANGE                  _MK_SHIFT_CONST(22):_MK_SHIFT_CONST(22)
#define AXI_AW_USER_PKT_SP_AWARE_ROW                    0
#define AXI_AW_USER_PKT_SP_AWARE_INIT                   _MK_ENUM_CONST(0)

#define AXI_AW_USER_PKT_RESERVED_SHIFT                  _MK_SHIFT_CONST(23)
#define AXI_AW_USER_PKT_RESERVED_FIELD                  _MK_FIELD_CONST(0x3f, AXI_AW_USER_PKT_RESERVED_SHIFT)
#define AXI_AW_USER_PKT_RESERVED_RANGE                  _MK_SHIFT_CONST(28):_MK_SHIFT_CONST(23)
#define AXI_AW_USER_PKT_RESERVED_ROW                    0
#define AXI_AW_USER_PKT_RESERVED_INIT                   _MK_ENUM_CONST(0)


// Packet AXI_R_USER_PKT
#define AXI_R_USER_PKT_SIZE 2

#define AXI_R_USER_PKT_VPR_RD_SHIFT                     _MK_SHIFT_CONST(0)
#define AXI_R_USER_PKT_VPR_RD_FIELD                     _MK_FIELD_CONST(0x1, AXI_R_USER_PKT_VPR_RD_SHIFT)
#define AXI_R_USER_PKT_VPR_RD_RANGE                     _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define AXI_R_USER_PKT_VPR_RD_ROW                       0
#define AXI_R_USER_PKT_VPR_RD_INIT                      _MK_ENUM_CONST(0)

#define AXI_R_USER_PKT_VPR_ID_SHIFT                     _MK_SHIFT_CONST(1)
#define AXI_R_USER_PKT_VPR_ID_FIELD                     _MK_FIELD_CONST(0x1, AXI_R_USER_PKT_VPR_ID_SHIFT)
#define AXI_R_USER_PKT_VPR_ID_RANGE                     _MK_SHIFT_CONST(1):_MK_SHIFT_CONST(1)
#define AXI_R_USER_PKT_VPR_ID_ROW                       0
#define AXI_R_USER_PKT_VPR_ID_INIT                      _MK_ENUM_CONST(0)

#define NV_MC_EMEM_DFIFO_DEPTH  3
#define NV_MC_IMEM_DFIFO_DEPTH  5
#define NV_MC_EMEM_APFIFO_DEPTH 4
#define NV_MC_ARB_EMEM_REGLEVEL 3
#define NV_MC_EMEM_REQ_ID_WIDEREQ       8
#define NV_MC_EMEM_RDI_ID_WIDERDI       8
#define NV_MC_EMEM_REQ_ID_ILLEGALACC    7
#define NV_MC_EMEM_RDI_ID_ILLEGALACC    7
#define NV_MC_EMEM_REQ_ID_LLRAWDECR     6
#define NV_MC_EMEM_RDI_ID_LLRAWDECR     6
#define NV_MC_EMEM_REQ_ID_APCIGNORE     5
#define NV_MC_EMEM_RDI_ID_APCIGNORE     5

// Packet MC2EMC
#define MC2EMC_SIZE 375

#define MC2EMC_WDO_SHIFT                        _MK_SHIFT_CONST(0)
#define MC2EMC_WDO_FIELD                        _MK_FIELD_CONST(0xffffffff, MC2EMC_WDO_SHIFT)
#define MC2EMC_WDO_RANGE                        _MK_SHIFT_CONST(255):_MK_SHIFT_CONST(0)
#define MC2EMC_WDO_ROW                  0

#define MC2EMC_WDO_0_SHIFT                      _MK_SHIFT_CONST(0)
#define MC2EMC_WDO_0_FIELD                      _MK_FIELD_CONST(0xffffffff, MC2EMC_WDO_0_SHIFT)
#define MC2EMC_WDO_0_RANGE                      _MK_SHIFT_CONST(63):_MK_SHIFT_CONST(0)
#define MC2EMC_WDO_0_ROW                        0

#define MC2EMC_WDO_1_SHIFT                      _MK_SHIFT_CONST(64)
#define MC2EMC_WDO_1_FIELD                      _MK_FIELD_CONST(0xffffffff, MC2EMC_WDO_1_SHIFT)
#define MC2EMC_WDO_1_RANGE                      _MK_SHIFT_CONST(127):_MK_SHIFT_CONST(64)
#define MC2EMC_WDO_1_ROW                        0

#define MC2EMC_WDO_2_SHIFT                      _MK_SHIFT_CONST(128)
#define MC2EMC_WDO_2_FIELD                      _MK_FIELD_CONST(0xffffffff, MC2EMC_WDO_2_SHIFT)
#define MC2EMC_WDO_2_RANGE                      _MK_SHIFT_CONST(191):_MK_SHIFT_CONST(128)
#define MC2EMC_WDO_2_ROW                        0

#define MC2EMC_WDO_3_SHIFT                      _MK_SHIFT_CONST(192)
#define MC2EMC_WDO_3_FIELD                      _MK_FIELD_CONST(0xffffffff, MC2EMC_WDO_3_SHIFT)
#define MC2EMC_WDO_3_RANGE                      _MK_SHIFT_CONST(255):_MK_SHIFT_CONST(192)
#define MC2EMC_WDO_3_ROW                        0

#define MC2EMC_BE_SHIFT                 _MK_SHIFT_CONST(256)
#define MC2EMC_BE_FIELD                 _MK_FIELD_CONST(0xffffffff, MC2EMC_BE_SHIFT)
#define MC2EMC_BE_RANGE                 _MK_SHIFT_CONST(287):_MK_SHIFT_CONST(256)
#define MC2EMC_BE_ROW                   0

#define MC2EMC_DEV_SHIFT                        _MK_SHIFT_CONST(320)
#define MC2EMC_DEV_FIELD                        _MK_FIELD_CONST(0x1, MC2EMC_DEV_SHIFT)
#define MC2EMC_DEV_RANGE                        _MK_SHIFT_CONST(320):_MK_SHIFT_CONST(320)
#define MC2EMC_DEV_ROW                  0

#define MC2EMC_BANK_SHIFT                       _MK_SHIFT_CONST(321)
#define MC2EMC_BANK_FIELD                       _MK_FIELD_CONST(0x7, MC2EMC_BANK_SHIFT)
#define MC2EMC_BANK_RANGE                       _MK_SHIFT_CONST(323):_MK_SHIFT_CONST(321)
#define MC2EMC_BANK_ROW                 0

#define MC2EMC_ROW_SHIFT                        _MK_SHIFT_CONST(324)
#define MC2EMC_ROW_FIELD                        _MK_FIELD_CONST(0x1ffff, MC2EMC_ROW_SHIFT)
#define MC2EMC_ROW_RANGE                        _MK_SHIFT_CONST(340):_MK_SHIFT_CONST(324)
#define MC2EMC_ROW_ROW                  0

#define MC2EMC_COL_SHIFT                        _MK_SHIFT_CONST(341)
#define MC2EMC_COL_FIELD                        _MK_FIELD_CONST(0xfff, MC2EMC_COL_SHIFT)
#define MC2EMC_COL_RANGE                        _MK_SHIFT_CONST(352):_MK_SHIFT_CONST(341)
#define MC2EMC_COL_ROW                  0

#define MC2EMC_REQ_ID_SHIFT                     _MK_SHIFT_CONST(353)
#define MC2EMC_REQ_ID_FIELD                     _MK_FIELD_CONST(0x1ff, MC2EMC_REQ_ID_SHIFT)
#define MC2EMC_REQ_ID_RANGE                     _MK_SHIFT_CONST(361):_MK_SHIFT_CONST(353)
#define MC2EMC_REQ_ID_ROW                       0

#define MC2EMC_AP_SHIFT                 _MK_SHIFT_CONST(362)
#define MC2EMC_AP_FIELD                 _MK_FIELD_CONST(0x1, MC2EMC_AP_SHIFT)
#define MC2EMC_AP_RANGE                 _MK_SHIFT_CONST(362):_MK_SHIFT_CONST(362)
#define MC2EMC_AP_ROW                   0

#define MC2EMC_WE_SHIFT                 _MK_SHIFT_CONST(363)
#define MC2EMC_WE_FIELD                 _MK_FIELD_CONST(0x1, MC2EMC_WE_SHIFT)
#define MC2EMC_WE_RANGE                 _MK_SHIFT_CONST(363):_MK_SHIFT_CONST(363)
#define MC2EMC_WE_ROW                   0

#define MC2EMC_TAG_SHIFT                        _MK_SHIFT_CONST(364)
#define MC2EMC_TAG_FIELD                        _MK_FIELD_CONST(0x7ff, MC2EMC_TAG_SHIFT)
#define MC2EMC_TAG_RANGE                        _MK_SHIFT_CONST(374):_MK_SHIFT_CONST(364)
#define MC2EMC_TAG_ROW                  0


// Packet EMC2MC
#define EMC2MC_SIZE 265

#define EMC2MC_RDI_SHIFT                        _MK_SHIFT_CONST(0)
#define EMC2MC_RDI_FIELD                        _MK_FIELD_CONST(0xffffffff, EMC2MC_RDI_SHIFT)
#define EMC2MC_RDI_RANGE                        _MK_SHIFT_CONST(255):_MK_SHIFT_CONST(0)
#define EMC2MC_RDI_ROW                  0

#define EMC2MC_RDI_0_SHIFT                      _MK_SHIFT_CONST(0)
#define EMC2MC_RDI_0_FIELD                      _MK_FIELD_CONST(0xffffffff, EMC2MC_RDI_0_SHIFT)
#define EMC2MC_RDI_0_RANGE                      _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define EMC2MC_RDI_0_ROW                        0

#define EMC2MC_RDI_1_SHIFT                      _MK_SHIFT_CONST(32)
#define EMC2MC_RDI_1_FIELD                      _MK_FIELD_CONST(0xffffffff, EMC2MC_RDI_1_SHIFT)
#define EMC2MC_RDI_1_RANGE                      _MK_SHIFT_CONST(63):_MK_SHIFT_CONST(32)
#define EMC2MC_RDI_1_ROW                        0

#define EMC2MC_RDI_2_SHIFT                      _MK_SHIFT_CONST(64)
#define EMC2MC_RDI_2_FIELD                      _MK_FIELD_CONST(0xffffffff, EMC2MC_RDI_2_SHIFT)
#define EMC2MC_RDI_2_RANGE                      _MK_SHIFT_CONST(95):_MK_SHIFT_CONST(64)
#define EMC2MC_RDI_2_ROW                        0

#define EMC2MC_RDI_3_SHIFT                      _MK_SHIFT_CONST(96)
#define EMC2MC_RDI_3_FIELD                      _MK_FIELD_CONST(0xffffffff, EMC2MC_RDI_3_SHIFT)
#define EMC2MC_RDI_3_RANGE                      _MK_SHIFT_CONST(127):_MK_SHIFT_CONST(96)
#define EMC2MC_RDI_3_ROW                        0

#define EMC2MC_RDI_ID_SHIFT                     _MK_SHIFT_CONST(256)
#define EMC2MC_RDI_ID_FIELD                     _MK_FIELD_CONST(0x1ff, EMC2MC_RDI_ID_SHIFT)
#define EMC2MC_RDI_ID_RANGE                     _MK_SHIFT_CONST(264):_MK_SHIFT_CONST(256)
#define EMC2MC_RDI_ID_ROW                       0


// Packet MC2EMC_LL
#define MC2EMC_LL_SIZE 45

#define MC2EMC_LL_DEV_SHIFT                     _MK_SHIFT_CONST(0)
#define MC2EMC_LL_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC2EMC_LL_DEV_SHIFT)
#define MC2EMC_LL_DEV_RANGE                     _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define MC2EMC_LL_DEV_ROW                       0

#define MC2EMC_LL_BANK_SHIFT                    _MK_SHIFT_CONST(1)
#define MC2EMC_LL_BANK_FIELD                    _MK_FIELD_CONST(0x7, MC2EMC_LL_BANK_SHIFT)
#define MC2EMC_LL_BANK_RANGE                    _MK_SHIFT_CONST(3):_MK_SHIFT_CONST(1)
#define MC2EMC_LL_BANK_ROW                      0

#define MC2EMC_LL_ROW_SHIFT                     _MK_SHIFT_CONST(4)
#define MC2EMC_LL_ROW_FIELD                     _MK_FIELD_CONST(0x1ffff, MC2EMC_LL_ROW_SHIFT)
#define MC2EMC_LL_ROW_RANGE                     _MK_SHIFT_CONST(20):_MK_SHIFT_CONST(4)
#define MC2EMC_LL_ROW_ROW                       0

#define MC2EMC_LL_COL_SHIFT                     _MK_SHIFT_CONST(21)
#define MC2EMC_LL_COL_FIELD                     _MK_FIELD_CONST(0xfff, MC2EMC_LL_COL_SHIFT)
#define MC2EMC_LL_COL_RANGE                     _MK_SHIFT_CONST(32):_MK_SHIFT_CONST(21)
#define MC2EMC_LL_COL_ROW                       0

#define MC2EMC_LL_TAG_SHIFT                     _MK_SHIFT_CONST(33)
#define MC2EMC_LL_TAG_FIELD                     _MK_FIELD_CONST(0x7ff, MC2EMC_LL_TAG_SHIFT)
#define MC2EMC_LL_TAG_RANGE                     _MK_SHIFT_CONST(43):_MK_SHIFT_CONST(33)
#define MC2EMC_LL_TAG_ROW                       0

#define MC2EMC_LL_DOUBLEREQ_SHIFT                       _MK_SHIFT_CONST(44)
#define MC2EMC_LL_DOUBLEREQ_FIELD                       _MK_FIELD_CONST(0x1, MC2EMC_LL_DOUBLEREQ_SHIFT)
#define MC2EMC_LL_DOUBLEREQ_RANGE                       _MK_SHIFT_CONST(44):_MK_SHIFT_CONST(44)
#define MC2EMC_LL_DOUBLEREQ_ROW                 0


// Packet EMC2MC_LL
#define EMC2MC_LL_SIZE 256

#define EMC2MC_LL_RDI_SHIFT                     _MK_SHIFT_CONST(0)
#define EMC2MC_LL_RDI_FIELD                     _MK_FIELD_CONST(0xffffffff, EMC2MC_LL_RDI_SHIFT)
#define EMC2MC_LL_RDI_RANGE                     _MK_SHIFT_CONST(255):_MK_SHIFT_CONST(0)
#define EMC2MC_LL_RDI_ROW                       0


// Packet CMC2MC_AXI_A
#define CMC2MC_AXI_A_SIZE 63

#define CMC2MC_AXI_A_AADDR_SHIFT                        _MK_SHIFT_CONST(0)
#define CMC2MC_AXI_A_AADDR_FIELD                        _MK_FIELD_CONST(0xffffffff, CMC2MC_AXI_A_AADDR_SHIFT)
#define CMC2MC_AXI_A_AADDR_RANGE                        _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CMC2MC_AXI_A_AADDR_ROW                  0

#define CMC2MC_AXI_A_AID_SHIFT                  _MK_SHIFT_CONST(32)
#define CMC2MC_AXI_A_AID_FIELD                  _MK_FIELD_CONST(0x1fff, CMC2MC_AXI_A_AID_SHIFT)
#define CMC2MC_AXI_A_AID_RANGE                  _MK_SHIFT_CONST(44):_MK_SHIFT_CONST(32)
#define CMC2MC_AXI_A_AID_ROW                    0

#define CMC2MC_AXI_A_ALEN_SHIFT                 _MK_SHIFT_CONST(45)
#define CMC2MC_AXI_A_ALEN_FIELD                 _MK_FIELD_CONST(0xf, CMC2MC_AXI_A_ALEN_SHIFT)
#define CMC2MC_AXI_A_ALEN_RANGE                 _MK_SHIFT_CONST(48):_MK_SHIFT_CONST(45)
#define CMC2MC_AXI_A_ALEN_ROW                   0
#define CMC2MC_AXI_A_ALEN_ONEDATA                       _MK_ENUM_CONST(0)
#define CMC2MC_AXI_A_ALEN_TWODATA                       _MK_ENUM_CONST(1)
#define CMC2MC_AXI_A_ALEN_THREEDATA                     _MK_ENUM_CONST(2)
#define CMC2MC_AXI_A_ALEN_FOURDATA                      _MK_ENUM_CONST(3)
#define CMC2MC_AXI_A_ALEN_FIVEDATA                      _MK_ENUM_CONST(4)
#define CMC2MC_AXI_A_ALEN_SIXDATA                       _MK_ENUM_CONST(5)
#define CMC2MC_AXI_A_ALEN_SEVENDATA                     _MK_ENUM_CONST(6)
#define CMC2MC_AXI_A_ALEN_EIGHTDATA                     _MK_ENUM_CONST(7)
#define CMC2MC_AXI_A_ALEN_NINEDATA                      _MK_ENUM_CONST(8)
#define CMC2MC_AXI_A_ALEN_TENDATA                       _MK_ENUM_CONST(9)
#define CMC2MC_AXI_A_ALEN_ELEVENDATA                    _MK_ENUM_CONST(10)
#define CMC2MC_AXI_A_ALEN_TWELVEDATA                    _MK_ENUM_CONST(11)
#define CMC2MC_AXI_A_ALEN_THIRTEENDATA                  _MK_ENUM_CONST(12)
#define CMC2MC_AXI_A_ALEN_FOURTEENDATA                  _MK_ENUM_CONST(13)
#define CMC2MC_AXI_A_ALEN_FIFTHTEENDATA                 _MK_ENUM_CONST(14)
#define CMC2MC_AXI_A_ALEN_SIXTEENDATA                   _MK_ENUM_CONST(15)

#define CMC2MC_AXI_A_ASIZE_SHIFT                        _MK_SHIFT_CONST(49)
#define CMC2MC_AXI_A_ASIZE_FIELD                        _MK_FIELD_CONST(0x7, CMC2MC_AXI_A_ASIZE_SHIFT)
#define CMC2MC_AXI_A_ASIZE_RANGE                        _MK_SHIFT_CONST(51):_MK_SHIFT_CONST(49)
#define CMC2MC_AXI_A_ASIZE_ROW                  0
#define CMC2MC_AXI_A_ASIZE_ONEBYTE                      _MK_ENUM_CONST(0)
#define CMC2MC_AXI_A_ASIZE_TWOBYTES                     _MK_ENUM_CONST(1)
#define CMC2MC_AXI_A_ASIZE_FOURBYTES                    _MK_ENUM_CONST(2)
#define CMC2MC_AXI_A_ASIZE_EIGHTBYTES                   _MK_ENUM_CONST(3)
#define CMC2MC_AXI_A_ASIZE_SIXTEENBYTES                 _MK_ENUM_CONST(4)
#define CMC2MC_AXI_A_ASIZE_THIRTYTWOBYTES                       _MK_ENUM_CONST(5)
#define CMC2MC_AXI_A_ASIZE_SIXTYFOURBYTES                       _MK_ENUM_CONST(6)
#define CMC2MC_AXI_A_ASIZE_ONEHUNDREDTWENTYEIGHTBYTES                   _MK_ENUM_CONST(7)

#define CMC2MC_AXI_A_ABURST_SHIFT                       _MK_SHIFT_CONST(52)
#define CMC2MC_AXI_A_ABURST_FIELD                       _MK_FIELD_CONST(0x3, CMC2MC_AXI_A_ABURST_SHIFT)
#define CMC2MC_AXI_A_ABURST_RANGE                       _MK_SHIFT_CONST(53):_MK_SHIFT_CONST(52)
#define CMC2MC_AXI_A_ABURST_ROW                 0
#define CMC2MC_AXI_A_ABURST_FIXED                       _MK_ENUM_CONST(0)
#define CMC2MC_AXI_A_ABURST_INCR                        _MK_ENUM_CONST(1)
#define CMC2MC_AXI_A_ABURST_WRAP                        _MK_ENUM_CONST(2)
#define CMC2MC_AXI_A_ABURST_RSVD                        _MK_ENUM_CONST(3)

#define CMC2MC_AXI_A_ALOCK_SHIFT                        _MK_SHIFT_CONST(54)
#define CMC2MC_AXI_A_ALOCK_FIELD                        _MK_FIELD_CONST(0x3, CMC2MC_AXI_A_ALOCK_SHIFT)
#define CMC2MC_AXI_A_ALOCK_RANGE                        _MK_SHIFT_CONST(55):_MK_SHIFT_CONST(54)
#define CMC2MC_AXI_A_ALOCK_ROW                  0
#define CMC2MC_AXI_A_ALOCK_NORMAL                       _MK_ENUM_CONST(0)
#define CMC2MC_AXI_A_ALOCK_EXCLUSIVE                    _MK_ENUM_CONST(1)
#define CMC2MC_AXI_A_ALOCK_LOCKED                       _MK_ENUM_CONST(2)
#define CMC2MC_AXI_A_ALOCK_RSVD                 _MK_ENUM_CONST(3)

#define CMC2MC_AXI_A_ACACHE_SHIFT                       _MK_SHIFT_CONST(56)
#define CMC2MC_AXI_A_ACACHE_FIELD                       _MK_FIELD_CONST(0xf, CMC2MC_AXI_A_ACACHE_SHIFT)
#define CMC2MC_AXI_A_ACACHE_RANGE                       _MK_SHIFT_CONST(59):_MK_SHIFT_CONST(56)
#define CMC2MC_AXI_A_ACACHE_ROW                 0
#define CMC2MC_AXI_A_ACACHE_NONCACHEABLE_NONBUFFERABLE                  _MK_ENUM_CONST(0)
#define CMC2MC_AXI_A_ACACHE_BUFFERABLE                  _MK_ENUM_CONST(1)
#define CMC2MC_AXI_A_ACACHE_CACHEABLE_DONOTALLOCATE                     _MK_ENUM_CONST(2)
#define CMC2MC_AXI_A_ACACHE_CACHEABLE_BUFFERABLE_DONOTALLOCATE                  _MK_ENUM_CONST(3)
#define CMC2MC_AXI_A_ACACHE_CACHEABLEWRITETHROUGH_ALLOCATEONREAD                        _MK_ENUM_CONST(6)
#define CMC2MC_AXI_A_ACACHE_CACHEABLEWRITEBACK_ALLOCATEONREAD                   _MK_ENUM_CONST(7)
#define CMC2MC_AXI_A_ACACHE_CACHEABLEWRITETHROUGH_ALLOCATEONWRITE                       _MK_ENUM_CONST(10)
#define CMC2MC_AXI_A_ACACHE_CACHEABLEWRITEBACK_ALLOCATEONWRITE                  _MK_ENUM_CONST(11)
#define CMC2MC_AXI_A_ACACHE_CACHEABLEWRITETHROUGH_ALLOCATEONREADWRITE                   _MK_ENUM_CONST(14)
#define CMC2MC_AXI_A_ACACHE_CACHEABLEWRITEBACK_ALLOCATEONREADWRITE                      _MK_ENUM_CONST(15)

#define CMC2MC_AXI_A_APROT_SHIFT                        _MK_SHIFT_CONST(60)
#define CMC2MC_AXI_A_APROT_FIELD                        _MK_FIELD_CONST(0x7, CMC2MC_AXI_A_APROT_SHIFT)
#define CMC2MC_AXI_A_APROT_RANGE                        _MK_SHIFT_CONST(62):_MK_SHIFT_CONST(60)
#define CMC2MC_AXI_A_APROT_ROW                  0
#define CMC2MC_AXI_A_APROT_DATA_SECURE_NORMAL                   _MK_ENUM_CONST(0)
#define CMC2MC_AXI_A_APROT_DATA_SECURE_PRIVILEGED                       _MK_ENUM_CONST(1)
#define CMC2MC_AXI_A_APROT_DATA_NONSECURE_NORMAL                        _MK_ENUM_CONST(2)
#define CMC2MC_AXI_A_APROT_DATA_NONSECURE_PRIVILEGED                    _MK_ENUM_CONST(3)
#define CMC2MC_AXI_A_APROT_INST_SECURE_NORMAL                   _MK_ENUM_CONST(4)
#define CMC2MC_AXI_A_APROT_INST_SECURE_PRIVILEGED                       _MK_ENUM_CONST(5)
#define CMC2MC_AXI_A_APROT_INST_NONSECURE_NORMAL                        _MK_ENUM_CONST(6)
#define CMC2MC_AXI_A_APROT_INST_NONSECURE_PRIVILEGED                    _MK_ENUM_CONST(7)


// Packet CMC2MC_AXI_W
#define CMC2MC_AXI_W_SIZE 86

#define CMC2MC_AXI_W_WDATA_SHIFT                        _MK_SHIFT_CONST(0)
#define CMC2MC_AXI_W_WDATA_FIELD                        _MK_FIELD_CONST(0xffffffff, CMC2MC_AXI_W_WDATA_SHIFT)
#define CMC2MC_AXI_W_WDATA_RANGE                        _MK_SHIFT_CONST(63):_MK_SHIFT_CONST(0)
#define CMC2MC_AXI_W_WDATA_ROW                  0

#define CMC2MC_AXI_W_WID_SHIFT                  _MK_SHIFT_CONST(64)
#define CMC2MC_AXI_W_WID_FIELD                  _MK_FIELD_CONST(0x1fff, CMC2MC_AXI_W_WID_SHIFT)
#define CMC2MC_AXI_W_WID_RANGE                  _MK_SHIFT_CONST(76):_MK_SHIFT_CONST(64)
#define CMC2MC_AXI_W_WID_ROW                    0

#define CMC2MC_AXI_W_WSTRB_SHIFT                        _MK_SHIFT_CONST(77)
#define CMC2MC_AXI_W_WSTRB_FIELD                        _MK_FIELD_CONST(0xff, CMC2MC_AXI_W_WSTRB_SHIFT)
#define CMC2MC_AXI_W_WSTRB_RANGE                        _MK_SHIFT_CONST(84):_MK_SHIFT_CONST(77)
#define CMC2MC_AXI_W_WSTRB_ROW                  0

#define CMC2MC_AXI_W_WLAST_SHIFT                        _MK_SHIFT_CONST(85)
#define CMC2MC_AXI_W_WLAST_FIELD                        _MK_FIELD_CONST(0x1, CMC2MC_AXI_W_WLAST_SHIFT)
#define CMC2MC_AXI_W_WLAST_RANGE                        _MK_SHIFT_CONST(85):_MK_SHIFT_CONST(85)
#define CMC2MC_AXI_W_WLAST_ROW                  0
#define CMC2MC_AXI_W_WLAST_DISABLED                     _MK_ENUM_CONST(0)
#define CMC2MC_AXI_W_WLAST_ENABLED                      _MK_ENUM_CONST(1)


// Packet CMC2MC_AXI_B
#define CMC2MC_AXI_B_SIZE 15

#define CMC2MC_AXI_B_BID_SHIFT                  _MK_SHIFT_CONST(0)
#define CMC2MC_AXI_B_BID_FIELD                  _MK_FIELD_CONST(0x1fff, CMC2MC_AXI_B_BID_SHIFT)
#define CMC2MC_AXI_B_BID_RANGE                  _MK_SHIFT_CONST(12):_MK_SHIFT_CONST(0)
#define CMC2MC_AXI_B_BID_ROW                    0

#define CMC2MC_AXI_B_BRESP_SHIFT                        _MK_SHIFT_CONST(13)
#define CMC2MC_AXI_B_BRESP_FIELD                        _MK_FIELD_CONST(0x3, CMC2MC_AXI_B_BRESP_SHIFT)
#define CMC2MC_AXI_B_BRESP_RANGE                        _MK_SHIFT_CONST(14):_MK_SHIFT_CONST(13)
#define CMC2MC_AXI_B_BRESP_ROW                  0
#define CMC2MC_AXI_B_BRESP_OKAY                 _MK_ENUM_CONST(0)
#define CMC2MC_AXI_B_BRESP_EXOKAY                       _MK_ENUM_CONST(1)
#define CMC2MC_AXI_B_BRESP_SLVERR                       _MK_ENUM_CONST(2)
#define CMC2MC_AXI_B_BRESP_DECERR                       _MK_ENUM_CONST(3)


// Packet CMC2MC_AXI_R
#define CMC2MC_AXI_R_SIZE 80

#define CMC2MC_AXI_R_RDATA_SHIFT                        _MK_SHIFT_CONST(0)
#define CMC2MC_AXI_R_RDATA_FIELD                        _MK_FIELD_CONST(0xffffffff, CMC2MC_AXI_R_RDATA_SHIFT)
#define CMC2MC_AXI_R_RDATA_RANGE                        _MK_SHIFT_CONST(63):_MK_SHIFT_CONST(0)
#define CMC2MC_AXI_R_RDATA_ROW                  0

#define CMC2MC_AXI_R_RID_SHIFT                  _MK_SHIFT_CONST(64)
#define CMC2MC_AXI_R_RID_FIELD                  _MK_FIELD_CONST(0x1fff, CMC2MC_AXI_R_RID_SHIFT)
#define CMC2MC_AXI_R_RID_RANGE                  _MK_SHIFT_CONST(76):_MK_SHIFT_CONST(64)
#define CMC2MC_AXI_R_RID_ROW                    0

#define CMC2MC_AXI_R_RRESP_SHIFT                        _MK_SHIFT_CONST(77)
#define CMC2MC_AXI_R_RRESP_FIELD                        _MK_FIELD_CONST(0x3, CMC2MC_AXI_R_RRESP_SHIFT)
#define CMC2MC_AXI_R_RRESP_RANGE                        _MK_SHIFT_CONST(78):_MK_SHIFT_CONST(77)
#define CMC2MC_AXI_R_RRESP_ROW                  0
#define CMC2MC_AXI_R_RRESP_OKAY                 _MK_ENUM_CONST(0)
#define CMC2MC_AXI_R_RRESP_EXOKAY                       _MK_ENUM_CONST(1)
#define CMC2MC_AXI_R_RRESP_SLVERR                       _MK_ENUM_CONST(2)
#define CMC2MC_AXI_R_RRESP_DECERR                       _MK_ENUM_CONST(3)

#define CMC2MC_AXI_R_RLAST_SHIFT                        _MK_SHIFT_CONST(79)
#define CMC2MC_AXI_R_RLAST_FIELD                        _MK_FIELD_CONST(0x1, CMC2MC_AXI_R_RLAST_SHIFT)
#define CMC2MC_AXI_R_RLAST_RANGE                        _MK_SHIFT_CONST(79):_MK_SHIFT_CONST(79)
#define CMC2MC_AXI_R_RLAST_ROW                  0
#define CMC2MC_AXI_R_RLAST_DISABLED                     _MK_ENUM_CONST(0)
#define CMC2MC_AXI_R_RLAST_ENABLED                      _MK_ENUM_CONST(1)


// Packet MSELECT2MC_AXI_A
#define MSELECT2MC_AXI_A_SIZE 63

#define MSELECT2MC_AXI_A_AADDR_SHIFT                    _MK_SHIFT_CONST(0)
#define MSELECT2MC_AXI_A_AADDR_FIELD                    _MK_FIELD_CONST(0xffffffff, MSELECT2MC_AXI_A_AADDR_SHIFT)
#define MSELECT2MC_AXI_A_AADDR_RANGE                    _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define MSELECT2MC_AXI_A_AADDR_ROW                      0

#define MSELECT2MC_AXI_A_AID_SHIFT                      _MK_SHIFT_CONST(32)
#define MSELECT2MC_AXI_A_AID_FIELD                      _MK_FIELD_CONST(0x1fff, MSELECT2MC_AXI_A_AID_SHIFT)
#define MSELECT2MC_AXI_A_AID_RANGE                      _MK_SHIFT_CONST(44):_MK_SHIFT_CONST(32)
#define MSELECT2MC_AXI_A_AID_ROW                        0

#define MSELECT2MC_AXI_A_ALEN_SHIFT                     _MK_SHIFT_CONST(45)
#define MSELECT2MC_AXI_A_ALEN_FIELD                     _MK_FIELD_CONST(0xf, MSELECT2MC_AXI_A_ALEN_SHIFT)
#define MSELECT2MC_AXI_A_ALEN_RANGE                     _MK_SHIFT_CONST(48):_MK_SHIFT_CONST(45)
#define MSELECT2MC_AXI_A_ALEN_ROW                       0
#define MSELECT2MC_AXI_A_ALEN_ONEDATA                   _MK_ENUM_CONST(0)
#define MSELECT2MC_AXI_A_ALEN_TWODATA                   _MK_ENUM_CONST(1)
#define MSELECT2MC_AXI_A_ALEN_THREEDATA                 _MK_ENUM_CONST(2)
#define MSELECT2MC_AXI_A_ALEN_FOURDATA                  _MK_ENUM_CONST(3)
#define MSELECT2MC_AXI_A_ALEN_FIVEDATA                  _MK_ENUM_CONST(4)
#define MSELECT2MC_AXI_A_ALEN_SIXDATA                   _MK_ENUM_CONST(5)
#define MSELECT2MC_AXI_A_ALEN_SEVENDATA                 _MK_ENUM_CONST(6)
#define MSELECT2MC_AXI_A_ALEN_EIGHTDATA                 _MK_ENUM_CONST(7)
#define MSELECT2MC_AXI_A_ALEN_NINEDATA                  _MK_ENUM_CONST(8)
#define MSELECT2MC_AXI_A_ALEN_TENDATA                   _MK_ENUM_CONST(9)
#define MSELECT2MC_AXI_A_ALEN_ELEVENDATA                        _MK_ENUM_CONST(10)
#define MSELECT2MC_AXI_A_ALEN_TWELVEDATA                        _MK_ENUM_CONST(11)
#define MSELECT2MC_AXI_A_ALEN_THIRTEENDATA                      _MK_ENUM_CONST(12)
#define MSELECT2MC_AXI_A_ALEN_FOURTEENDATA                      _MK_ENUM_CONST(13)
#define MSELECT2MC_AXI_A_ALEN_FIFTHTEENDATA                     _MK_ENUM_CONST(14)
#define MSELECT2MC_AXI_A_ALEN_SIXTEENDATA                       _MK_ENUM_CONST(15)

#define MSELECT2MC_AXI_A_ASIZE_SHIFT                    _MK_SHIFT_CONST(49)
#define MSELECT2MC_AXI_A_ASIZE_FIELD                    _MK_FIELD_CONST(0x7, MSELECT2MC_AXI_A_ASIZE_SHIFT)
#define MSELECT2MC_AXI_A_ASIZE_RANGE                    _MK_SHIFT_CONST(51):_MK_SHIFT_CONST(49)
#define MSELECT2MC_AXI_A_ASIZE_ROW                      0
#define MSELECT2MC_AXI_A_ASIZE_ONEBYTE                  _MK_ENUM_CONST(0)
#define MSELECT2MC_AXI_A_ASIZE_TWOBYTES                 _MK_ENUM_CONST(1)
#define MSELECT2MC_AXI_A_ASIZE_FOURBYTES                        _MK_ENUM_CONST(2)
#define MSELECT2MC_AXI_A_ASIZE_EIGHTBYTES                       _MK_ENUM_CONST(3)
#define MSELECT2MC_AXI_A_ASIZE_SIXTEENBYTES                     _MK_ENUM_CONST(4)
#define MSELECT2MC_AXI_A_ASIZE_THIRTYTWOBYTES                   _MK_ENUM_CONST(5)
#define MSELECT2MC_AXI_A_ASIZE_SIXTYFOURBYTES                   _MK_ENUM_CONST(6)
#define MSELECT2MC_AXI_A_ASIZE_ONEHUNDREDTWENTYEIGHTBYTES                       _MK_ENUM_CONST(7)

#define MSELECT2MC_AXI_A_ABURST_SHIFT                   _MK_SHIFT_CONST(52)
#define MSELECT2MC_AXI_A_ABURST_FIELD                   _MK_FIELD_CONST(0x3, MSELECT2MC_AXI_A_ABURST_SHIFT)
#define MSELECT2MC_AXI_A_ABURST_RANGE                   _MK_SHIFT_CONST(53):_MK_SHIFT_CONST(52)
#define MSELECT2MC_AXI_A_ABURST_ROW                     0
#define MSELECT2MC_AXI_A_ABURST_FIXED                   _MK_ENUM_CONST(0)
#define MSELECT2MC_AXI_A_ABURST_INCR                    _MK_ENUM_CONST(1)
#define MSELECT2MC_AXI_A_ABURST_WRAP                    _MK_ENUM_CONST(2)
#define MSELECT2MC_AXI_A_ABURST_RSVD                    _MK_ENUM_CONST(3)

#define MSELECT2MC_AXI_A_ALOCK_SHIFT                    _MK_SHIFT_CONST(54)
#define MSELECT2MC_AXI_A_ALOCK_FIELD                    _MK_FIELD_CONST(0x3, MSELECT2MC_AXI_A_ALOCK_SHIFT)
#define MSELECT2MC_AXI_A_ALOCK_RANGE                    _MK_SHIFT_CONST(55):_MK_SHIFT_CONST(54)
#define MSELECT2MC_AXI_A_ALOCK_ROW                      0
#define MSELECT2MC_AXI_A_ALOCK_NORMAL                   _MK_ENUM_CONST(0)
#define MSELECT2MC_AXI_A_ALOCK_EXCLUSIVE                        _MK_ENUM_CONST(1)
#define MSELECT2MC_AXI_A_ALOCK_LOCKED                   _MK_ENUM_CONST(2)
#define MSELECT2MC_AXI_A_ALOCK_RSVD                     _MK_ENUM_CONST(3)

#define MSELECT2MC_AXI_A_ACACHE_SHIFT                   _MK_SHIFT_CONST(56)
#define MSELECT2MC_AXI_A_ACACHE_FIELD                   _MK_FIELD_CONST(0xf, MSELECT2MC_AXI_A_ACACHE_SHIFT)
#define MSELECT2MC_AXI_A_ACACHE_RANGE                   _MK_SHIFT_CONST(59):_MK_SHIFT_CONST(56)
#define MSELECT2MC_AXI_A_ACACHE_ROW                     0
#define MSELECT2MC_AXI_A_ACACHE_NONCACHEABLE_NONBUFFERABLE                      _MK_ENUM_CONST(0)
#define MSELECT2MC_AXI_A_ACACHE_BUFFERABLE                      _MK_ENUM_CONST(1)
#define MSELECT2MC_AXI_A_ACACHE_CACHEABLE_DONOTALLOCATE                 _MK_ENUM_CONST(2)
#define MSELECT2MC_AXI_A_ACACHE_CACHEABLE_BUFFERABLE_DONOTALLOCATE                      _MK_ENUM_CONST(3)
#define MSELECT2MC_AXI_A_ACACHE_CACHEABLEWRITETHROUGH_ALLOCATEONREAD                    _MK_ENUM_CONST(6)
#define MSELECT2MC_AXI_A_ACACHE_CACHEABLEWRITEBACK_ALLOCATEONREAD                       _MK_ENUM_CONST(7)
#define MSELECT2MC_AXI_A_ACACHE_CACHEABLEWRITETHROUGH_ALLOCATEONWRITE                   _MK_ENUM_CONST(10)
#define MSELECT2MC_AXI_A_ACACHE_CACHEABLEWRITEBACK_ALLOCATEONWRITE                      _MK_ENUM_CONST(11)
#define MSELECT2MC_AXI_A_ACACHE_CACHEABLEWRITETHROUGH_ALLOCATEONREADWRITE                       _MK_ENUM_CONST(14)
#define MSELECT2MC_AXI_A_ACACHE_CACHEABLEWRITEBACK_ALLOCATEONREADWRITE                  _MK_ENUM_CONST(15)

#define MSELECT2MC_AXI_A_APROT_SHIFT                    _MK_SHIFT_CONST(60)
#define MSELECT2MC_AXI_A_APROT_FIELD                    _MK_FIELD_CONST(0x7, MSELECT2MC_AXI_A_APROT_SHIFT)
#define MSELECT2MC_AXI_A_APROT_RANGE                    _MK_SHIFT_CONST(62):_MK_SHIFT_CONST(60)
#define MSELECT2MC_AXI_A_APROT_ROW                      0
#define MSELECT2MC_AXI_A_APROT_DATA_SECURE_NORMAL                       _MK_ENUM_CONST(0)
#define MSELECT2MC_AXI_A_APROT_DATA_SECURE_PRIVILEGED                   _MK_ENUM_CONST(1)
#define MSELECT2MC_AXI_A_APROT_DATA_NONSECURE_NORMAL                    _MK_ENUM_CONST(2)
#define MSELECT2MC_AXI_A_APROT_DATA_NONSECURE_PRIVILEGED                        _MK_ENUM_CONST(3)
#define MSELECT2MC_AXI_A_APROT_INST_SECURE_NORMAL                       _MK_ENUM_CONST(4)
#define MSELECT2MC_AXI_A_APROT_INST_SECURE_PRIVILEGED                   _MK_ENUM_CONST(5)
#define MSELECT2MC_AXI_A_APROT_INST_NONSECURE_NORMAL                    _MK_ENUM_CONST(6)
#define MSELECT2MC_AXI_A_APROT_INST_NONSECURE_PRIVILEGED                        _MK_ENUM_CONST(7)


// Packet MSELECT2MC_AXI_W
#define MSELECT2MC_AXI_W_SIZE 86

#define MSELECT2MC_AXI_W_WDATA_SHIFT                    _MK_SHIFT_CONST(0)
#define MSELECT2MC_AXI_W_WDATA_FIELD                    _MK_FIELD_CONST(0xffffffff, MSELECT2MC_AXI_W_WDATA_SHIFT)
#define MSELECT2MC_AXI_W_WDATA_RANGE                    _MK_SHIFT_CONST(63):_MK_SHIFT_CONST(0)
#define MSELECT2MC_AXI_W_WDATA_ROW                      0

#define MSELECT2MC_AXI_W_WID_SHIFT                      _MK_SHIFT_CONST(64)
#define MSELECT2MC_AXI_W_WID_FIELD                      _MK_FIELD_CONST(0x1fff, MSELECT2MC_AXI_W_WID_SHIFT)
#define MSELECT2MC_AXI_W_WID_RANGE                      _MK_SHIFT_CONST(76):_MK_SHIFT_CONST(64)
#define MSELECT2MC_AXI_W_WID_ROW                        0

#define MSELECT2MC_AXI_W_WSTRB_SHIFT                    _MK_SHIFT_CONST(77)
#define MSELECT2MC_AXI_W_WSTRB_FIELD                    _MK_FIELD_CONST(0xff, MSELECT2MC_AXI_W_WSTRB_SHIFT)
#define MSELECT2MC_AXI_W_WSTRB_RANGE                    _MK_SHIFT_CONST(84):_MK_SHIFT_CONST(77)
#define MSELECT2MC_AXI_W_WSTRB_ROW                      0

#define MSELECT2MC_AXI_W_WLAST_SHIFT                    _MK_SHIFT_CONST(85)
#define MSELECT2MC_AXI_W_WLAST_FIELD                    _MK_FIELD_CONST(0x1, MSELECT2MC_AXI_W_WLAST_SHIFT)
#define MSELECT2MC_AXI_W_WLAST_RANGE                    _MK_SHIFT_CONST(85):_MK_SHIFT_CONST(85)
#define MSELECT2MC_AXI_W_WLAST_ROW                      0
#define MSELECT2MC_AXI_W_WLAST_DISABLED                 _MK_ENUM_CONST(0)
#define MSELECT2MC_AXI_W_WLAST_ENABLED                  _MK_ENUM_CONST(1)


// Packet MSELECT2MC_AXI_B
#define MSELECT2MC_AXI_B_SIZE 15

#define MSELECT2MC_AXI_B_BID_SHIFT                      _MK_SHIFT_CONST(0)
#define MSELECT2MC_AXI_B_BID_FIELD                      _MK_FIELD_CONST(0x1fff, MSELECT2MC_AXI_B_BID_SHIFT)
#define MSELECT2MC_AXI_B_BID_RANGE                      _MK_SHIFT_CONST(12):_MK_SHIFT_CONST(0)
#define MSELECT2MC_AXI_B_BID_ROW                        0

#define MSELECT2MC_AXI_B_BRESP_SHIFT                    _MK_SHIFT_CONST(13)
#define MSELECT2MC_AXI_B_BRESP_FIELD                    _MK_FIELD_CONST(0x3, MSELECT2MC_AXI_B_BRESP_SHIFT)
#define MSELECT2MC_AXI_B_BRESP_RANGE                    _MK_SHIFT_CONST(14):_MK_SHIFT_CONST(13)
#define MSELECT2MC_AXI_B_BRESP_ROW                      0
#define MSELECT2MC_AXI_B_BRESP_OKAY                     _MK_ENUM_CONST(0)
#define MSELECT2MC_AXI_B_BRESP_EXOKAY                   _MK_ENUM_CONST(1)
#define MSELECT2MC_AXI_B_BRESP_SLVERR                   _MK_ENUM_CONST(2)
#define MSELECT2MC_AXI_B_BRESP_DECERR                   _MK_ENUM_CONST(3)


// Packet MSELECT2MC_AXI_R
#define MSELECT2MC_AXI_R_SIZE 80

#define MSELECT2MC_AXI_R_RDATA_SHIFT                    _MK_SHIFT_CONST(0)
#define MSELECT2MC_AXI_R_RDATA_FIELD                    _MK_FIELD_CONST(0xffffffff, MSELECT2MC_AXI_R_RDATA_SHIFT)
#define MSELECT2MC_AXI_R_RDATA_RANGE                    _MK_SHIFT_CONST(63):_MK_SHIFT_CONST(0)
#define MSELECT2MC_AXI_R_RDATA_ROW                      0

#define MSELECT2MC_AXI_R_RID_SHIFT                      _MK_SHIFT_CONST(64)
#define MSELECT2MC_AXI_R_RID_FIELD                      _MK_FIELD_CONST(0x1fff, MSELECT2MC_AXI_R_RID_SHIFT)
#define MSELECT2MC_AXI_R_RID_RANGE                      _MK_SHIFT_CONST(76):_MK_SHIFT_CONST(64)
#define MSELECT2MC_AXI_R_RID_ROW                        0

#define MSELECT2MC_AXI_R_RRESP_SHIFT                    _MK_SHIFT_CONST(77)
#define MSELECT2MC_AXI_R_RRESP_FIELD                    _MK_FIELD_CONST(0x3, MSELECT2MC_AXI_R_RRESP_SHIFT)
#define MSELECT2MC_AXI_R_RRESP_RANGE                    _MK_SHIFT_CONST(78):_MK_SHIFT_CONST(77)
#define MSELECT2MC_AXI_R_RRESP_ROW                      0
#define MSELECT2MC_AXI_R_RRESP_OKAY                     _MK_ENUM_CONST(0)
#define MSELECT2MC_AXI_R_RRESP_EXOKAY                   _MK_ENUM_CONST(1)
#define MSELECT2MC_AXI_R_RRESP_SLVERR                   _MK_ENUM_CONST(2)
#define MSELECT2MC_AXI_R_RRESP_DECERR                   _MK_ENUM_CONST(3)

#define MSELECT2MC_AXI_R_RLAST_SHIFT                    _MK_SHIFT_CONST(79)
#define MSELECT2MC_AXI_R_RLAST_FIELD                    _MK_FIELD_CONST(0x1, MSELECT2MC_AXI_R_RLAST_SHIFT)
#define MSELECT2MC_AXI_R_RLAST_RANGE                    _MK_SHIFT_CONST(79):_MK_SHIFT_CONST(79)
#define MSELECT2MC_AXI_R_RLAST_ROW                      0
#define MSELECT2MC_AXI_R_RLAST_DISABLED                 _MK_ENUM_CONST(0)
#define MSELECT2MC_AXI_R_RLAST_ENABLED                  _MK_ENUM_CONST(1)


// Packet AXI2MC_AXI_A
#define AXI2MC_AXI_A_SIZE 63

#define AXI2MC_AXI_A_AADDR_SHIFT                        _MK_SHIFT_CONST(0)
#define AXI2MC_AXI_A_AADDR_FIELD                        _MK_FIELD_CONST(0xffffffff, AXI2MC_AXI_A_AADDR_SHIFT)
#define AXI2MC_AXI_A_AADDR_RANGE                        _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define AXI2MC_AXI_A_AADDR_ROW                  0

#define AXI2MC_AXI_A_AID_SHIFT                  _MK_SHIFT_CONST(32)
#define AXI2MC_AXI_A_AID_FIELD                  _MK_FIELD_CONST(0x1fff, AXI2MC_AXI_A_AID_SHIFT)
#define AXI2MC_AXI_A_AID_RANGE                  _MK_SHIFT_CONST(44):_MK_SHIFT_CONST(32)
#define AXI2MC_AXI_A_AID_ROW                    0

#define AXI2MC_AXI_A_ALEN_SHIFT                 _MK_SHIFT_CONST(45)
#define AXI2MC_AXI_A_ALEN_FIELD                 _MK_FIELD_CONST(0xf, AXI2MC_AXI_A_ALEN_SHIFT)
#define AXI2MC_AXI_A_ALEN_RANGE                 _MK_SHIFT_CONST(48):_MK_SHIFT_CONST(45)
#define AXI2MC_AXI_A_ALEN_ROW                   0
#define AXI2MC_AXI_A_ALEN_ONEDATA                       _MK_ENUM_CONST(0)
#define AXI2MC_AXI_A_ALEN_TWODATA                       _MK_ENUM_CONST(1)
#define AXI2MC_AXI_A_ALEN_THREEDATA                     _MK_ENUM_CONST(2)
#define AXI2MC_AXI_A_ALEN_FOURDATA                      _MK_ENUM_CONST(3)
#define AXI2MC_AXI_A_ALEN_FIVEDATA                      _MK_ENUM_CONST(4)
#define AXI2MC_AXI_A_ALEN_SIXDATA                       _MK_ENUM_CONST(5)
#define AXI2MC_AXI_A_ALEN_SEVENDATA                     _MK_ENUM_CONST(6)
#define AXI2MC_AXI_A_ALEN_EIGHTDATA                     _MK_ENUM_CONST(7)
#define AXI2MC_AXI_A_ALEN_NINEDATA                      _MK_ENUM_CONST(8)
#define AXI2MC_AXI_A_ALEN_TENDATA                       _MK_ENUM_CONST(9)
#define AXI2MC_AXI_A_ALEN_ELEVENDATA                    _MK_ENUM_CONST(10)
#define AXI2MC_AXI_A_ALEN_TWELVEDATA                    _MK_ENUM_CONST(11)
#define AXI2MC_AXI_A_ALEN_THIRTEENDATA                  _MK_ENUM_CONST(12)
#define AXI2MC_AXI_A_ALEN_FOURTEENDATA                  _MK_ENUM_CONST(13)
#define AXI2MC_AXI_A_ALEN_FIFTHTEENDATA                 _MK_ENUM_CONST(14)
#define AXI2MC_AXI_A_ALEN_SIXTEENDATA                   _MK_ENUM_CONST(15)

#define AXI2MC_AXI_A_ASIZE_SHIFT                        _MK_SHIFT_CONST(49)
#define AXI2MC_AXI_A_ASIZE_FIELD                        _MK_FIELD_CONST(0x7, AXI2MC_AXI_A_ASIZE_SHIFT)
#define AXI2MC_AXI_A_ASIZE_RANGE                        _MK_SHIFT_CONST(51):_MK_SHIFT_CONST(49)
#define AXI2MC_AXI_A_ASIZE_ROW                  0
#define AXI2MC_AXI_A_ASIZE_ONEBYTE                      _MK_ENUM_CONST(0)
#define AXI2MC_AXI_A_ASIZE_TWOBYTES                     _MK_ENUM_CONST(1)
#define AXI2MC_AXI_A_ASIZE_FOURBYTES                    _MK_ENUM_CONST(2)
#define AXI2MC_AXI_A_ASIZE_EIGHTBYTES                   _MK_ENUM_CONST(3)
#define AXI2MC_AXI_A_ASIZE_SIXTEENBYTES                 _MK_ENUM_CONST(4)
#define AXI2MC_AXI_A_ASIZE_THIRTYTWOBYTES                       _MK_ENUM_CONST(5)
#define AXI2MC_AXI_A_ASIZE_SIXTYFOURBYTES                       _MK_ENUM_CONST(6)
#define AXI2MC_AXI_A_ASIZE_ONEHUNDREDTWENTYEIGHTBYTES                   _MK_ENUM_CONST(7)

#define AXI2MC_AXI_A_ABURST_SHIFT                       _MK_SHIFT_CONST(52)
#define AXI2MC_AXI_A_ABURST_FIELD                       _MK_FIELD_CONST(0x3, AXI2MC_AXI_A_ABURST_SHIFT)
#define AXI2MC_AXI_A_ABURST_RANGE                       _MK_SHIFT_CONST(53):_MK_SHIFT_CONST(52)
#define AXI2MC_AXI_A_ABURST_ROW                 0
#define AXI2MC_AXI_A_ABURST_FIXED                       _MK_ENUM_CONST(0)
#define AXI2MC_AXI_A_ABURST_INCR                        _MK_ENUM_CONST(1)
#define AXI2MC_AXI_A_ABURST_WRAP                        _MK_ENUM_CONST(2)
#define AXI2MC_AXI_A_ABURST_RSVD                        _MK_ENUM_CONST(3)

#define AXI2MC_AXI_A_ALOCK_SHIFT                        _MK_SHIFT_CONST(54)
#define AXI2MC_AXI_A_ALOCK_FIELD                        _MK_FIELD_CONST(0x3, AXI2MC_AXI_A_ALOCK_SHIFT)
#define AXI2MC_AXI_A_ALOCK_RANGE                        _MK_SHIFT_CONST(55):_MK_SHIFT_CONST(54)
#define AXI2MC_AXI_A_ALOCK_ROW                  0
#define AXI2MC_AXI_A_ALOCK_NORMAL                       _MK_ENUM_CONST(0)
#define AXI2MC_AXI_A_ALOCK_EXCLUSIVE                    _MK_ENUM_CONST(1)
#define AXI2MC_AXI_A_ALOCK_LOCKED                       _MK_ENUM_CONST(2)
#define AXI2MC_AXI_A_ALOCK_RSVD                 _MK_ENUM_CONST(3)

#define AXI2MC_AXI_A_ACACHE_SHIFT                       _MK_SHIFT_CONST(56)
#define AXI2MC_AXI_A_ACACHE_FIELD                       _MK_FIELD_CONST(0xf, AXI2MC_AXI_A_ACACHE_SHIFT)
#define AXI2MC_AXI_A_ACACHE_RANGE                       _MK_SHIFT_CONST(59):_MK_SHIFT_CONST(56)
#define AXI2MC_AXI_A_ACACHE_ROW                 0
#define AXI2MC_AXI_A_ACACHE_NONCACHEABLE_NONBUFFERABLE                  _MK_ENUM_CONST(0)
#define AXI2MC_AXI_A_ACACHE_BUFFERABLE                  _MK_ENUM_CONST(1)
#define AXI2MC_AXI_A_ACACHE_CACHEABLE_DONOTALLOCATE                     _MK_ENUM_CONST(2)
#define AXI2MC_AXI_A_ACACHE_CACHEABLE_BUFFERABLE_DONOTALLOCATE                  _MK_ENUM_CONST(3)
#define AXI2MC_AXI_A_ACACHE_CACHEABLEWRITETHROUGH_ALLOCATEONREAD                        _MK_ENUM_CONST(6)
#define AXI2MC_AXI_A_ACACHE_CACHEABLEWRITEBACK_ALLOCATEONREAD                   _MK_ENUM_CONST(7)
#define AXI2MC_AXI_A_ACACHE_CACHEABLEWRITETHROUGH_ALLOCATEONWRITE                       _MK_ENUM_CONST(10)
#define AXI2MC_AXI_A_ACACHE_CACHEABLEWRITEBACK_ALLOCATEONWRITE                  _MK_ENUM_CONST(11)
#define AXI2MC_AXI_A_ACACHE_CACHEABLEWRITETHROUGH_ALLOCATEONREADWRITE                   _MK_ENUM_CONST(14)
#define AXI2MC_AXI_A_ACACHE_CACHEABLEWRITEBACK_ALLOCATEONREADWRITE                      _MK_ENUM_CONST(15)

#define AXI2MC_AXI_A_APROT_SHIFT                        _MK_SHIFT_CONST(60)
#define AXI2MC_AXI_A_APROT_FIELD                        _MK_FIELD_CONST(0x7, AXI2MC_AXI_A_APROT_SHIFT)
#define AXI2MC_AXI_A_APROT_RANGE                        _MK_SHIFT_CONST(62):_MK_SHIFT_CONST(60)
#define AXI2MC_AXI_A_APROT_ROW                  0
#define AXI2MC_AXI_A_APROT_DATA_SECURE_NORMAL                   _MK_ENUM_CONST(0)
#define AXI2MC_AXI_A_APROT_DATA_SECURE_PRIVILEGED                       _MK_ENUM_CONST(1)
#define AXI2MC_AXI_A_APROT_DATA_NONSECURE_NORMAL                        _MK_ENUM_CONST(2)
#define AXI2MC_AXI_A_APROT_DATA_NONSECURE_PRIVILEGED                    _MK_ENUM_CONST(3)
#define AXI2MC_AXI_A_APROT_INST_SECURE_NORMAL                   _MK_ENUM_CONST(4)
#define AXI2MC_AXI_A_APROT_INST_SECURE_PRIVILEGED                       _MK_ENUM_CONST(5)
#define AXI2MC_AXI_A_APROT_INST_NONSECURE_NORMAL                        _MK_ENUM_CONST(6)
#define AXI2MC_AXI_A_APROT_INST_NONSECURE_PRIVILEGED                    _MK_ENUM_CONST(7)


// Packet AXI2MC_AXI_W
#define AXI2MC_AXI_W_SIZE 302

#define AXI2MC_AXI_W_WDATA_SHIFT                        _MK_SHIFT_CONST(0)
#define AXI2MC_AXI_W_WDATA_FIELD                        _MK_FIELD_CONST(0xffffffff, AXI2MC_AXI_W_WDATA_SHIFT)
#define AXI2MC_AXI_W_WDATA_RANGE                        _MK_SHIFT_CONST(255):_MK_SHIFT_CONST(0)
#define AXI2MC_AXI_W_WDATA_ROW                  0

#define AXI2MC_AXI_W_WID_SHIFT                  _MK_SHIFT_CONST(256)
#define AXI2MC_AXI_W_WID_FIELD                  _MK_FIELD_CONST(0x1fff, AXI2MC_AXI_W_WID_SHIFT)
#define AXI2MC_AXI_W_WID_RANGE                  _MK_SHIFT_CONST(268):_MK_SHIFT_CONST(256)
#define AXI2MC_AXI_W_WID_ROW                    0

#define AXI2MC_AXI_W_WSTRB_SHIFT                        _MK_SHIFT_CONST(269)
#define AXI2MC_AXI_W_WSTRB_FIELD                        _MK_FIELD_CONST(0xffffffff, AXI2MC_AXI_W_WSTRB_SHIFT)
#define AXI2MC_AXI_W_WSTRB_RANGE                        _MK_SHIFT_CONST(300):_MK_SHIFT_CONST(269)
#define AXI2MC_AXI_W_WSTRB_ROW                  0

#define AXI2MC_AXI_W_WLAST_SHIFT                        _MK_SHIFT_CONST(301)
#define AXI2MC_AXI_W_WLAST_FIELD                        _MK_FIELD_CONST(0x1, AXI2MC_AXI_W_WLAST_SHIFT)
#define AXI2MC_AXI_W_WLAST_RANGE                        _MK_SHIFT_CONST(301):_MK_SHIFT_CONST(301)
#define AXI2MC_AXI_W_WLAST_ROW                  0
#define AXI2MC_AXI_W_WLAST_DISABLED                     _MK_ENUM_CONST(0)
#define AXI2MC_AXI_W_WLAST_ENABLED                      _MK_ENUM_CONST(1)


// Packet AXI2MC_AXI_B
#define AXI2MC_AXI_B_SIZE 15

#define AXI2MC_AXI_B_BID_SHIFT                  _MK_SHIFT_CONST(0)
#define AXI2MC_AXI_B_BID_FIELD                  _MK_FIELD_CONST(0x1fff, AXI2MC_AXI_B_BID_SHIFT)
#define AXI2MC_AXI_B_BID_RANGE                  _MK_SHIFT_CONST(12):_MK_SHIFT_CONST(0)
#define AXI2MC_AXI_B_BID_ROW                    0

#define AXI2MC_AXI_B_BRESP_SHIFT                        _MK_SHIFT_CONST(13)
#define AXI2MC_AXI_B_BRESP_FIELD                        _MK_FIELD_CONST(0x3, AXI2MC_AXI_B_BRESP_SHIFT)
#define AXI2MC_AXI_B_BRESP_RANGE                        _MK_SHIFT_CONST(14):_MK_SHIFT_CONST(13)
#define AXI2MC_AXI_B_BRESP_ROW                  0
#define AXI2MC_AXI_B_BRESP_OKAY                 _MK_ENUM_CONST(0)
#define AXI2MC_AXI_B_BRESP_EXOKAY                       _MK_ENUM_CONST(1)
#define AXI2MC_AXI_B_BRESP_SLVERR                       _MK_ENUM_CONST(2)
#define AXI2MC_AXI_B_BRESP_DECERR                       _MK_ENUM_CONST(3)


// Packet AXI2MC_AXI_R
#define AXI2MC_AXI_R_SIZE 272

#define AXI2MC_AXI_R_RDATA_SHIFT                        _MK_SHIFT_CONST(0)
#define AXI2MC_AXI_R_RDATA_FIELD                        _MK_FIELD_CONST(0xffffffff, AXI2MC_AXI_R_RDATA_SHIFT)
#define AXI2MC_AXI_R_RDATA_RANGE                        _MK_SHIFT_CONST(255):_MK_SHIFT_CONST(0)
#define AXI2MC_AXI_R_RDATA_ROW                  0

#define AXI2MC_AXI_R_RID_SHIFT                  _MK_SHIFT_CONST(256)
#define AXI2MC_AXI_R_RID_FIELD                  _MK_FIELD_CONST(0x1fff, AXI2MC_AXI_R_RID_SHIFT)
#define AXI2MC_AXI_R_RID_RANGE                  _MK_SHIFT_CONST(268):_MK_SHIFT_CONST(256)
#define AXI2MC_AXI_R_RID_ROW                    0

#define AXI2MC_AXI_R_RRESP_SHIFT                        _MK_SHIFT_CONST(269)
#define AXI2MC_AXI_R_RRESP_FIELD                        _MK_FIELD_CONST(0x3, AXI2MC_AXI_R_RRESP_SHIFT)
#define AXI2MC_AXI_R_RRESP_RANGE                        _MK_SHIFT_CONST(270):_MK_SHIFT_CONST(269)
#define AXI2MC_AXI_R_RRESP_ROW                  0
#define AXI2MC_AXI_R_RRESP_OKAY                 _MK_ENUM_CONST(0)
#define AXI2MC_AXI_R_RRESP_EXOKAY                       _MK_ENUM_CONST(1)
#define AXI2MC_AXI_R_RRESP_SLVERR                       _MK_ENUM_CONST(2)
#define AXI2MC_AXI_R_RRESP_DECERR                       _MK_ENUM_CONST(3)

#define AXI2MC_AXI_R_RLAST_SHIFT                        _MK_SHIFT_CONST(271)
#define AXI2MC_AXI_R_RLAST_FIELD                        _MK_FIELD_CONST(0x1, AXI2MC_AXI_R_RLAST_SHIFT)
#define AXI2MC_AXI_R_RLAST_RANGE                        _MK_SHIFT_CONST(271):_MK_SHIFT_CONST(271)
#define AXI2MC_AXI_R_RLAST_ROW                  0
#define AXI2MC_AXI_R_RLAST_DISABLED                     _MK_ENUM_CONST(0)
#define AXI2MC_AXI_R_RLAST_ENABLED                      _MK_ENUM_CONST(1)


// Packet MC_AXI_RWREQ
#define MC_AXI_RWREQ_SIZE 118

#define MC_AXI_RWREQ_AADDR_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_AXI_RWREQ_AADDR_FIELD                        _MK_FIELD_CONST(0xffffffff, MC_AXI_RWREQ_AADDR_SHIFT)
#define MC_AXI_RWREQ_AADDR_RANGE                        _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define MC_AXI_RWREQ_AADDR_ROW                  0

#define MC_AXI_RWREQ_AID_SHIFT                  _MK_SHIFT_CONST(32)
#define MC_AXI_RWREQ_AID_FIELD                  _MK_FIELD_CONST(0x1fff, MC_AXI_RWREQ_AID_SHIFT)
#define MC_AXI_RWREQ_AID_RANGE                  _MK_SHIFT_CONST(44):_MK_SHIFT_CONST(32)
#define MC_AXI_RWREQ_AID_ROW                    0

#define MC_AXI_RWREQ_ALEN_SHIFT                 _MK_SHIFT_CONST(45)
#define MC_AXI_RWREQ_ALEN_FIELD                 _MK_FIELD_CONST(0xf, MC_AXI_RWREQ_ALEN_SHIFT)
#define MC_AXI_RWREQ_ALEN_RANGE                 _MK_SHIFT_CONST(48):_MK_SHIFT_CONST(45)
#define MC_AXI_RWREQ_ALEN_ROW                   0

#define MC_AXI_RWREQ_ASIZE_SHIFT                        _MK_SHIFT_CONST(49)
#define MC_AXI_RWREQ_ASIZE_FIELD                        _MK_FIELD_CONST(0x7, MC_AXI_RWREQ_ASIZE_SHIFT)
#define MC_AXI_RWREQ_ASIZE_RANGE                        _MK_SHIFT_CONST(51):_MK_SHIFT_CONST(49)
#define MC_AXI_RWREQ_ASIZE_ROW                  2

#define MC_AXI_RWREQ_ABURST_SHIFT                       _MK_SHIFT_CONST(52)
#define MC_AXI_RWREQ_ABURST_FIELD                       _MK_FIELD_CONST(0x3, MC_AXI_RWREQ_ABURST_SHIFT)
#define MC_AXI_RWREQ_ABURST_RANGE                       _MK_SHIFT_CONST(53):_MK_SHIFT_CONST(52)
#define MC_AXI_RWREQ_ABURST_ROW                 0
#define MC_AXI_RWREQ_ABURST_FIXED                       _MK_ENUM_CONST(0)
#define MC_AXI_RWREQ_ABURST_INCR                        _MK_ENUM_CONST(1)
#define MC_AXI_RWREQ_ABURST_WRAP                        _MK_ENUM_CONST(2)
#define MC_AXI_RWREQ_ABURST_RSVD                        _MK_ENUM_CONST(3)

#define MC_AXI_RWREQ_ALOCK_SHIFT                        _MK_SHIFT_CONST(54)
#define MC_AXI_RWREQ_ALOCK_FIELD                        _MK_FIELD_CONST(0x3, MC_AXI_RWREQ_ALOCK_SHIFT)
#define MC_AXI_RWREQ_ALOCK_RANGE                        _MK_SHIFT_CONST(55):_MK_SHIFT_CONST(54)
#define MC_AXI_RWREQ_ALOCK_ROW                  0

#define MC_AXI_RWREQ_ACACHE_SHIFT                       _MK_SHIFT_CONST(56)
#define MC_AXI_RWREQ_ACACHE_FIELD                       _MK_FIELD_CONST(0xf, MC_AXI_RWREQ_ACACHE_SHIFT)
#define MC_AXI_RWREQ_ACACHE_RANGE                       _MK_SHIFT_CONST(59):_MK_SHIFT_CONST(56)
#define MC_AXI_RWREQ_ACACHE_ROW                 0

#define MC_AXI_RWREQ_APROT_SHIFT                        _MK_SHIFT_CONST(60)
#define MC_AXI_RWREQ_APROT_FIELD                        _MK_FIELD_CONST(0x7, MC_AXI_RWREQ_APROT_SHIFT)
#define MC_AXI_RWREQ_APROT_RANGE                        _MK_SHIFT_CONST(62):_MK_SHIFT_CONST(60)
#define MC_AXI_RWREQ_APROT_ROW                  0

#define MC_AXI_RWREQ_ASB_SHIFT                  _MK_SHIFT_CONST(63)
#define MC_AXI_RWREQ_ASB_FIELD                  _MK_FIELD_CONST(0x3, MC_AXI_RWREQ_ASB_SHIFT)
#define MC_AXI_RWREQ_ASB_RANGE                  _MK_SHIFT_CONST(64):_MK_SHIFT_CONST(63)
#define MC_AXI_RWREQ_ASB_ROW                    0

#define MC_AXI_RWREQ_ARW_SHIFT                  _MK_SHIFT_CONST(65)
#define MC_AXI_RWREQ_ARW_FIELD                  _MK_FIELD_CONST(0x1, MC_AXI_RWREQ_ARW_SHIFT)
#define MC_AXI_RWREQ_ARW_RANGE                  _MK_SHIFT_CONST(65):_MK_SHIFT_CONST(65)
#define MC_AXI_RWREQ_ARW_ROW                    0

#define MC_AXI_RWREQ_ACT_AADDR_SHIFT                    _MK_SHIFT_CONST(66)
#define MC_AXI_RWREQ_ACT_AADDR_FIELD                    _MK_FIELD_CONST(0xffffffff, MC_AXI_RWREQ_ACT_AADDR_SHIFT)
#define MC_AXI_RWREQ_ACT_AADDR_RANGE                    _MK_SHIFT_CONST(97):_MK_SHIFT_CONST(66)
#define MC_AXI_RWREQ_ACT_AADDR_ROW                      0

#define MC_AXI_RWREQ_ACT_ALEN_SHIFT                     _MK_SHIFT_CONST(98)
#define MC_AXI_RWREQ_ACT_ALEN_FIELD                     _MK_FIELD_CONST(0xf, MC_AXI_RWREQ_ACT_ALEN_SHIFT)
#define MC_AXI_RWREQ_ACT_ALEN_RANGE                     _MK_SHIFT_CONST(101):_MK_SHIFT_CONST(98)
#define MC_AXI_RWREQ_ACT_ALEN_ROW                       0

#define MC_AXI_RWREQ_ACT_ASIZE_SHIFT                    _MK_SHIFT_CONST(102)
#define MC_AXI_RWREQ_ACT_ASIZE_FIELD                    _MK_FIELD_CONST(0x7, MC_AXI_RWREQ_ACT_ASIZE_SHIFT)
#define MC_AXI_RWREQ_ACT_ASIZE_RANGE                    _MK_SHIFT_CONST(104):_MK_SHIFT_CONST(102)
#define MC_AXI_RWREQ_ACT_ASIZE_ROW                      0

#define MC_AXI_RWREQ_DOUBLEREQ_SHIFT                    _MK_SHIFT_CONST(105)
#define MC_AXI_RWREQ_DOUBLEREQ_FIELD                    _MK_FIELD_CONST(0x1, MC_AXI_RWREQ_DOUBLEREQ_SHIFT)
#define MC_AXI_RWREQ_DOUBLEREQ_RANGE                    _MK_SHIFT_CONST(105):_MK_SHIFT_CONST(105)
#define MC_AXI_RWREQ_DOUBLEREQ_ROW                      0

#define MC_AXI_RWREQ_ILLEGALACC_SHIFT                   _MK_SHIFT_CONST(106)
#define MC_AXI_RWREQ_ILLEGALACC_FIELD                   _MK_FIELD_CONST(0x1, MC_AXI_RWREQ_ILLEGALACC_SHIFT)
#define MC_AXI_RWREQ_ILLEGALACC_RANGE                   _MK_SHIFT_CONST(106):_MK_SHIFT_CONST(106)
#define MC_AXI_RWREQ_ILLEGALACC_ROW                     0

#define MC_AXI_RWREQ_TAG_SHIFT                  _MK_SHIFT_CONST(107)
#define MC_AXI_RWREQ_TAG_FIELD                  _MK_FIELD_CONST(0x7ff, MC_AXI_RWREQ_TAG_SHIFT)
#define MC_AXI_RWREQ_TAG_RANGE                  _MK_SHIFT_CONST(117):_MK_SHIFT_CONST(107)
#define MC_AXI_RWREQ_TAG_ROW                    0


// Packet CSR_C2MC_CLKEN
#define CSR_C2MC_CLKEN_SIZE 1

#define CSR_C2MC_CLKEN_CLKEN_SHIFT                      _MK_SHIFT_CONST(0)
#define CSR_C2MC_CLKEN_CLKEN_FIELD                      _MK_FIELD_CONST(0x1, CSR_C2MC_CLKEN_CLKEN_SHIFT)
#define CSR_C2MC_CLKEN_CLKEN_RANGE                      _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CSR_C2MC_CLKEN_CLKEN_ROW                        0


// Packet CSR_C2MC_RESET
#define CSR_C2MC_RESET_SIZE 1

#define CSR_C2MC_RESET_RSTN_SHIFT                       _MK_SHIFT_CONST(0)
#define CSR_C2MC_RESET_RSTN_FIELD                       _MK_FIELD_CONST(0x1, CSR_C2MC_RESET_RSTN_SHIFT)
#define CSR_C2MC_RESET_RSTN_RANGE                       _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CSR_C2MC_RESET_RSTN_ROW                 0


// Packet C2MC_FLUSH_REQ
#define C2MC_FLUSH_REQ_SIZE 1

#define C2MC_FLUSH_REQ_FLUSH_REQ_SHIFT                  _MK_SHIFT_CONST(0)
#define C2MC_FLUSH_REQ_FLUSH_REQ_FIELD                  _MK_FIELD_CONST(0x1, C2MC_FLUSH_REQ_FLUSH_REQ_SHIFT)
#define C2MC_FLUSH_REQ_FLUSH_REQ_RANGE                  _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define C2MC_FLUSH_REQ_FLUSH_REQ_ROW                    0


// Packet C2MC_FLUSH_DONE
#define C2MC_FLUSH_DONE_SIZE 1

#define C2MC_FLUSH_DONE_FLUSH_DONE_SHIFT                        _MK_SHIFT_CONST(0)
#define C2MC_FLUSH_DONE_FLUSH_DONE_FIELD                        _MK_FIELD_CONST(0x1, C2MC_FLUSH_DONE_FLUSH_DONE_SHIFT)
#define C2MC_FLUSH_DONE_FLUSH_DONE_RANGE                        _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define C2MC_FLUSH_DONE_FLUSH_DONE_ROW                  0


// Packet CSR_C2MC_REQ
#define CSR_C2MC_REQ_SIZE 35

#define CSR_C2MC_REQ_ADR_SHIFT                  _MK_SHIFT_CONST(0)
#define CSR_C2MC_REQ_ADR_FIELD                  _MK_FIELD_CONST(0xffffffff, CSR_C2MC_REQ_ADR_SHIFT)
#define CSR_C2MC_REQ_ADR_RANGE                  _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CSR_C2MC_REQ_ADR_ROW                    0

#define CSR_C2MC_REQ_SWID_SHIFT                 _MK_SHIFT_CONST(32)
#define CSR_C2MC_REQ_SWID_FIELD                 _MK_FIELD_CONST(0x1, CSR_C2MC_REQ_SWID_SHIFT)
#define CSR_C2MC_REQ_SWID_RANGE                 _MK_SHIFT_CONST(32):_MK_SHIFT_CONST(32)
#define CSR_C2MC_REQ_SWID_ROW                   0

#define CSR_C2MC_REQ_VPR_SHIFT                  _MK_SHIFT_CONST(33)
#define CSR_C2MC_REQ_VPR_FIELD                  _MK_FIELD_CONST(0x1, CSR_C2MC_REQ_VPR_SHIFT)
#define CSR_C2MC_REQ_VPR_RANGE                  _MK_SHIFT_CONST(33):_MK_SHIFT_CONST(33)
#define CSR_C2MC_REQ_VPR_ROW                    0

#define CSR_C2MC_REQ_IPC_SHIFT                  _MK_SHIFT_CONST(34)
#define CSR_C2MC_REQ_IPC_FIELD                  _MK_FIELD_CONST(0x1, CSR_C2MC_REQ_IPC_SHIFT)
#define CSR_C2MC_REQ_IPC_RANGE                  _MK_SHIFT_CONST(34):_MK_SHIFT_CONST(34)
#define CSR_C2MC_REQ_IPC_ROW                    0


// Packet CSR_C2MC_REQ2
#define CSR_C2MC_REQ2_SIZE 68

#define CSR_C2MC_REQ2_ADR_SHIFT                 _MK_SHIFT_CONST(0)
#define CSR_C2MC_REQ2_ADR_FIELD                 _MK_FIELD_CONST(0xffffffff, CSR_C2MC_REQ2_ADR_SHIFT)
#define CSR_C2MC_REQ2_ADR_RANGE                 _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CSR_C2MC_REQ2_ADR_ROW                   0

#define CSR_C2MC_REQ2_ADRH_SHIFT                        _MK_SHIFT_CONST(32)
#define CSR_C2MC_REQ2_ADRH_FIELD                        _MK_FIELD_CONST(0xff, CSR_C2MC_REQ2_ADRH_SHIFT)
#define CSR_C2MC_REQ2_ADRH_RANGE                        _MK_SHIFT_CONST(39):_MK_SHIFT_CONST(32)
#define CSR_C2MC_REQ2_ADRH_ROW                  0

#define CSR_C2MC_REQ2_CSIZE_SHIFT                       _MK_SHIFT_CONST(40)
#define CSR_C2MC_REQ2_CSIZE_FIELD                       _MK_FIELD_CONST(0x3, CSR_C2MC_REQ2_CSIZE_SHIFT)
#define CSR_C2MC_REQ2_CSIZE_RANGE                       _MK_SHIFT_CONST(41):_MK_SHIFT_CONST(40)
#define CSR_C2MC_REQ2_CSIZE_ROW                 0

#define CSR_C2MC_REQ2_ADR1_SHIFT                        _MK_SHIFT_CONST(42)
#define CSR_C2MC_REQ2_ADR1_FIELD                        _MK_FIELD_CONST(0x7, CSR_C2MC_REQ2_ADR1_SHIFT)
#define CSR_C2MC_REQ2_ADR1_RANGE                        _MK_SHIFT_CONST(44):_MK_SHIFT_CONST(42)
#define CSR_C2MC_REQ2_ADR1_ROW                  0

#define CSR_C2MC_REQ2_SWID_SHIFT                        _MK_SHIFT_CONST(45)
#define CSR_C2MC_REQ2_SWID_FIELD                        _MK_FIELD_CONST(0x3, CSR_C2MC_REQ2_SWID_SHIFT)
#define CSR_C2MC_REQ2_SWID_RANGE                        _MK_SHIFT_CONST(46):_MK_SHIFT_CONST(45)
#define CSR_C2MC_REQ2_SWID_ROW                  0

#define CSR_C2MC_REQ2_VPR_SHIFT                 _MK_SHIFT_CONST(47)
#define CSR_C2MC_REQ2_VPR_FIELD                 _MK_FIELD_CONST(0x1, CSR_C2MC_REQ2_VPR_SHIFT)
#define CSR_C2MC_REQ2_VPR_RANGE                 _MK_SHIFT_CONST(47):_MK_SHIFT_CONST(47)
#define CSR_C2MC_REQ2_VPR_ROW                   0

#define CSR_C2MC_REQ2_IPC_SHIFT                 _MK_SHIFT_CONST(48)
#define CSR_C2MC_REQ2_IPC_FIELD                 _MK_FIELD_CONST(0x1, CSR_C2MC_REQ2_IPC_SHIFT)
#define CSR_C2MC_REQ2_IPC_RANGE                 _MK_SHIFT_CONST(48):_MK_SHIFT_CONST(48)
#define CSR_C2MC_REQ2_IPC_ROW                   0

#define CSR_C2MC_REQ2_STREAM_ID_SHIFT                   _MK_SHIFT_CONST(49)
#define CSR_C2MC_REQ2_STREAM_ID_FIELD                   _MK_FIELD_CONST(0xff, CSR_C2MC_REQ2_STREAM_ID_SHIFT)
#define CSR_C2MC_REQ2_STREAM_ID_RANGE                   _MK_SHIFT_CONST(56):_MK_SHIFT_CONST(49)
#define CSR_C2MC_REQ2_STREAM_ID_ROW                     0

#define CSR_C2MC_REQ2_SMMU_NS_SHIFT                     _MK_SHIFT_CONST(57)
#define CSR_C2MC_REQ2_SMMU_NS_FIELD                     _MK_FIELD_CONST(0x1, CSR_C2MC_REQ2_SMMU_NS_SHIFT)
#define CSR_C2MC_REQ2_SMMU_NS_RANGE                     _MK_SHIFT_CONST(57):_MK_SHIFT_CONST(57)
#define CSR_C2MC_REQ2_SMMU_NS_ROW                       0

#define CSR_C2MC_REQ2_COH_IO_ACC_SHIFT                  _MK_SHIFT_CONST(58)
#define CSR_C2MC_REQ2_COH_IO_ACC_FIELD                  _MK_FIELD_CONST(0x1, CSR_C2MC_REQ2_COH_IO_ACC_SHIFT)
#define CSR_C2MC_REQ2_COH_IO_ACC_RANGE                  _MK_SHIFT_CONST(58):_MK_SHIFT_CONST(58)
#define CSR_C2MC_REQ2_COH_IO_ACC_ROW                    0

#define CSR_C2MC_REQ2_AXI_ID_SHIFT                      _MK_SHIFT_CONST(59)
#define CSR_C2MC_REQ2_AXI_ID_FIELD                      _MK_FIELD_CONST(0xff, CSR_C2MC_REQ2_AXI_ID_SHIFT)
#define CSR_C2MC_REQ2_AXI_ID_RANGE                      _MK_SHIFT_CONST(66):_MK_SHIFT_CONST(59)
#define CSR_C2MC_REQ2_AXI_ID_ROW                        0

#define CSR_C2MC_REQ2_SO_DEV_SHIFT                      _MK_SHIFT_CONST(67)
#define CSR_C2MC_REQ2_SO_DEV_FIELD                      _MK_FIELD_CONST(0x1, CSR_C2MC_REQ2_SO_DEV_SHIFT)
#define CSR_C2MC_REQ2_SO_DEV_RANGE                      _MK_SHIFT_CONST(67):_MK_SHIFT_CONST(67)
#define CSR_C2MC_REQ2_SO_DEV_ROW                        0


// Packet CSR_C2MC_SIZE
#define CSR_C2MC_SIZE_SIZE 1

#define CSR_C2MC_SIZE_SIZE_SHIFT                        _MK_SHIFT_CONST(0)
#define CSR_C2MC_SIZE_SIZE_FIELD                        _MK_FIELD_CONST(0x1, CSR_C2MC_SIZE_SIZE_SHIFT)
#define CSR_C2MC_SIZE_SIZE_RANGE                        _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CSR_C2MC_SIZE_SIZE_ROW                  0


// Packet CSR_C2MC_SECURE
#define CSR_C2MC_SECURE_SIZE 1

#define CSR_C2MC_SECURE_SECURE_SHIFT                    _MK_SHIFT_CONST(0)
#define CSR_C2MC_SECURE_SECURE_FIELD                    _MK_FIELD_CONST(0x1, CSR_C2MC_SECURE_SECURE_SHIFT)
#define CSR_C2MC_SECURE_SECURE_RANGE                    _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CSR_C2MC_SECURE_SECURE_ROW                      0


// Packet CSR_C2MC_TAG
#define CSR_C2MC_TAG_SIZE 11

#define CSR_C2MC_TAG_TAG_SHIFT                  _MK_SHIFT_CONST(0)
#define CSR_C2MC_TAG_TAG_FIELD                  _MK_FIELD_CONST(0x7ff, CSR_C2MC_TAG_TAG_SHIFT)
#define CSR_C2MC_TAG_TAG_RANGE                  _MK_SHIFT_CONST(10):_MK_SHIFT_CONST(0)
#define CSR_C2MC_TAG_TAG_ROW                    0


// Packet CSR_C2MC_BP_REQ
#define CSR_C2MC_BP_REQ_SIZE 56

#define CSR_C2MC_BP_REQ_BASEADR_SHIFT                   _MK_SHIFT_CONST(0)
#define CSR_C2MC_BP_REQ_BASEADR_FIELD                   _MK_FIELD_CONST(0xff, CSR_C2MC_BP_REQ_BASEADR_SHIFT)
#define CSR_C2MC_BP_REQ_BASEADR_RANGE                   _MK_SHIFT_CONST(39):_MK_SHIFT_CONST(0)
#define CSR_C2MC_BP_REQ_BASEADR_ROW                     0

#define CSR_C2MC_BP_REQ_PITCH_SHIFT                     _MK_SHIFT_CONST(40)
#define CSR_C2MC_BP_REQ_PITCH_FIELD                     _MK_FIELD_CONST(0xffff, CSR_C2MC_BP_REQ_PITCH_SHIFT)
#define CSR_C2MC_BP_REQ_PITCH_RANGE                     _MK_SHIFT_CONST(55):_MK_SHIFT_CONST(40)
#define CSR_C2MC_BP_REQ_PITCH_ROW                       0


// Packet CSR_C2MC_ADRXY
#define CSR_C2MC_ADRXY_SIZE 30

#define CSR_C2MC_ADRXY_OFFX_SHIFT                       _MK_SHIFT_CONST(0)
#define CSR_C2MC_ADRXY_OFFX_FIELD                       _MK_FIELD_CONST(0xffff, CSR_C2MC_ADRXY_OFFX_SHIFT)
#define CSR_C2MC_ADRXY_OFFX_RANGE                       _MK_SHIFT_CONST(15):_MK_SHIFT_CONST(0)
#define CSR_C2MC_ADRXY_OFFX_ROW                 0

#define CSR_C2MC_ADRXY_OFFY_SHIFT                       _MK_SHIFT_CONST(16)
#define CSR_C2MC_ADRXY_OFFY_FIELD                       _MK_FIELD_CONST(0x3fff, CSR_C2MC_ADRXY_OFFY_SHIFT)
#define CSR_C2MC_ADRXY_OFFY_RANGE                       _MK_SHIFT_CONST(29):_MK_SHIFT_CONST(16)
#define CSR_C2MC_ADRXY_OFFY_ROW                 0


// Packet CSR_C2MC_TILE
#define CSR_C2MC_TILE_SIZE 42

#define CSR_C2MC_TILE_LINADR_SHIFT                      _MK_SHIFT_CONST(0)
#define CSR_C2MC_TILE_LINADR_FIELD                      _MK_FIELD_CONST(0xff, CSR_C2MC_TILE_LINADR_SHIFT)
#define CSR_C2MC_TILE_LINADR_RANGE                      _MK_SHIFT_CONST(39):_MK_SHIFT_CONST(0)
#define CSR_C2MC_TILE_LINADR_ROW                        0

#define CSR_C2MC_TILE_TMODE_SHIFT                       _MK_SHIFT_CONST(40)
#define CSR_C2MC_TILE_TMODE_FIELD                       _MK_FIELD_CONST(0x1, CSR_C2MC_TILE_TMODE_SHIFT)
#define CSR_C2MC_TILE_TMODE_RANGE                       _MK_SHIFT_CONST(40):_MK_SHIFT_CONST(40)
#define CSR_C2MC_TILE_TMODE_ROW                 0
#define CSR_C2MC_TILE_TMODE_LINEAR                      _MK_ENUM_CONST(0)
#define CSR_C2MC_TILE_TMODE_TILED                       _MK_ENUM_CONST(1)

#define CSR_C2MC_TILE_VPR_SHIFT                 _MK_SHIFT_CONST(41)
#define CSR_C2MC_TILE_VPR_FIELD                 _MK_FIELD_CONST(0x1, CSR_C2MC_TILE_VPR_SHIFT)
#define CSR_C2MC_TILE_VPR_RANGE                 _MK_SHIFT_CONST(41):_MK_SHIFT_CONST(41)
#define CSR_C2MC_TILE_VPR_ROW                   0


// Packet CSR_C2MC_RDI
#define CSR_C2MC_RDI_SIZE 257

#define CSR_C2MC_RDI_RDI_SHIFT                  _MK_SHIFT_CONST(0)
#define CSR_C2MC_RDI_RDI_FIELD                  _MK_FIELD_CONST(0xffffffff, CSR_C2MC_RDI_RDI_SHIFT)
#define CSR_C2MC_RDI_RDI_RANGE                  _MK_SHIFT_CONST(255):_MK_SHIFT_CONST(0)
#define CSR_C2MC_RDI_RDI_ROW                    0

#define CSR_C2MC_RDI_RVPR_SHIFT                 _MK_SHIFT_CONST(256)
#define CSR_C2MC_RDI_RVPR_FIELD                 _MK_FIELD_CONST(0x1, CSR_C2MC_RDI_RVPR_SHIFT)
#define CSR_C2MC_RDI_RVPR_RANGE                 _MK_SHIFT_CONST(256):_MK_SHIFT_CONST(256)
#define CSR_C2MC_RDI_RVPR_ROW                   0


// Packet CSR_C2MC_RDI2
#define CSR_C2MC_RDI2_SIZE 523

#define CSR_C2MC_RDI2_RDIL_SHIFT                        _MK_SHIFT_CONST(0)
#define CSR_C2MC_RDI2_RDIL_FIELD                        _MK_FIELD_CONST(0xffffffff, CSR_C2MC_RDI2_RDIL_SHIFT)
#define CSR_C2MC_RDI2_RDIL_RANGE                        _MK_SHIFT_CONST(255):_MK_SHIFT_CONST(0)
#define CSR_C2MC_RDI2_RDIL_ROW                  0

#define CSR_C2MC_RDI2_RDIH_SHIFT                        _MK_SHIFT_CONST(256)
#define CSR_C2MC_RDI2_RDIH_FIELD                        _MK_FIELD_CONST(0xffffffff, CSR_C2MC_RDI2_RDIH_SHIFT)
#define CSR_C2MC_RDI2_RDIH_RANGE                        _MK_SHIFT_CONST(511):_MK_SHIFT_CONST(256)
#define CSR_C2MC_RDI2_RDIH_ROW                  0

#define CSR_C2MC_RDI2_RSIZE_SHIFT                       _MK_SHIFT_CONST(512)
#define CSR_C2MC_RDI2_RSIZE_FIELD                       _MK_FIELD_CONST(0x3, CSR_C2MC_RDI2_RSIZE_SHIFT)
#define CSR_C2MC_RDI2_RSIZE_RANGE                       _MK_SHIFT_CONST(513):_MK_SHIFT_CONST(512)
#define CSR_C2MC_RDI2_RSIZE_ROW                 0

#define CSR_C2MC_RDI2_RVPR_SHIFT                        _MK_SHIFT_CONST(514)
#define CSR_C2MC_RDI2_RVPR_FIELD                        _MK_FIELD_CONST(0x1, CSR_C2MC_RDI2_RVPR_SHIFT)
#define CSR_C2MC_RDI2_RVPR_RANGE                        _MK_SHIFT_CONST(514):_MK_SHIFT_CONST(514)
#define CSR_C2MC_RDI2_RVPR_ROW                  0

#define CSR_C2MC_RDI2_RID_SHIFT                 _MK_SHIFT_CONST(515)
#define CSR_C2MC_RDI2_RID_FIELD                 _MK_FIELD_CONST(0xff, CSR_C2MC_RDI2_RID_SHIFT)
#define CSR_C2MC_RDI2_RID_RANGE                 _MK_SHIFT_CONST(522):_MK_SHIFT_CONST(515)
#define CSR_C2MC_RDI2_RID_ROW                   0


// Packet CSR_C2MC_HP
#define CSR_C2MC_HP_SIZE 38

#define CSR_C2MC_HP_HPTH_SHIFT                  _MK_SHIFT_CONST(0)
#define CSR_C2MC_HP_HPTH_FIELD                  _MK_FIELD_CONST(0xffffffff, CSR_C2MC_HP_HPTH_SHIFT)
#define CSR_C2MC_HP_HPTH_RANGE                  _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CSR_C2MC_HP_HPTH_ROW                    0

#define CSR_C2MC_HP_HPTM_SHIFT                  _MK_SHIFT_CONST(32)
#define CSR_C2MC_HP_HPTM_FIELD                  _MK_FIELD_CONST(0x3f, CSR_C2MC_HP_HPTM_SHIFT)
#define CSR_C2MC_HP_HPTM_RANGE                  _MK_SHIFT_CONST(37):_MK_SHIFT_CONST(32)
#define CSR_C2MC_HP_HPTM_ROW                    0


// Packet CSR_C2MC_HYST
#define CSR_C2MC_HYST_SIZE 32

#define CSR_C2MC_HYST_HYST_REQ_TM_SHIFT                 _MK_SHIFT_CONST(0)
#define CSR_C2MC_HYST_HYST_REQ_TM_FIELD                 _MK_FIELD_CONST(0xff, CSR_C2MC_HYST_HYST_REQ_TM_SHIFT)
#define CSR_C2MC_HYST_HYST_REQ_TM_RANGE                 _MK_SHIFT_CONST(7):_MK_SHIFT_CONST(0)
#define CSR_C2MC_HYST_HYST_REQ_TM_ROW                   0

#define CSR_C2MC_HYST_DHYST_TM_SHIFT                    _MK_SHIFT_CONST(8)
#define CSR_C2MC_HYST_DHYST_TM_FIELD                    _MK_FIELD_CONST(0xff, CSR_C2MC_HYST_DHYST_TM_SHIFT)
#define CSR_C2MC_HYST_DHYST_TM_RANGE                    _MK_SHIFT_CONST(15):_MK_SHIFT_CONST(8)
#define CSR_C2MC_HYST_DHYST_TM_ROW                      0

#define CSR_C2MC_HYST_DHYST_TH_SHIFT                    _MK_SHIFT_CONST(16)
#define CSR_C2MC_HYST_DHYST_TH_FIELD                    _MK_FIELD_CONST(0xff, CSR_C2MC_HYST_DHYST_TH_SHIFT)
#define CSR_C2MC_HYST_DHYST_TH_RANGE                    _MK_SHIFT_CONST(23):_MK_SHIFT_CONST(16)
#define CSR_C2MC_HYST_DHYST_TH_ROW                      0

#define CSR_C2MC_HYST_HYST_TM_SHIFT                     _MK_SHIFT_CONST(24)
#define CSR_C2MC_HYST_HYST_TM_FIELD                     _MK_FIELD_CONST(0xf, CSR_C2MC_HYST_HYST_TM_SHIFT)
#define CSR_C2MC_HYST_HYST_TM_RANGE                     _MK_SHIFT_CONST(27):_MK_SHIFT_CONST(24)
#define CSR_C2MC_HYST_HYST_TM_ROW                       0

#define CSR_C2MC_HYST_HYST_REQ_TH_SHIFT                 _MK_SHIFT_CONST(28)
#define CSR_C2MC_HYST_HYST_REQ_TH_FIELD                 _MK_FIELD_CONST(0x7, CSR_C2MC_HYST_HYST_REQ_TH_SHIFT)
#define CSR_C2MC_HYST_HYST_REQ_TH_RANGE                 _MK_SHIFT_CONST(30):_MK_SHIFT_CONST(28)
#define CSR_C2MC_HYST_HYST_REQ_TH_ROW                   0

#define CSR_C2MC_HYST_HYST_EN_SHIFT                     _MK_SHIFT_CONST(31)
#define CSR_C2MC_HYST_HYST_EN_FIELD                     _MK_FIELD_CONST(0x1, CSR_C2MC_HYST_HYST_EN_SHIFT)
#define CSR_C2MC_HYST_HYST_EN_RANGE                     _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(31)
#define CSR_C2MC_HYST_HYST_EN_ROW                       0


// Packet CSW_C2MC_CLKEN
#define CSW_C2MC_CLKEN_SIZE 1

#define CSW_C2MC_CLKEN_CLKEN_SHIFT                      _MK_SHIFT_CONST(0)
#define CSW_C2MC_CLKEN_CLKEN_FIELD                      _MK_FIELD_CONST(0x1, CSW_C2MC_CLKEN_CLKEN_SHIFT)
#define CSW_C2MC_CLKEN_CLKEN_RANGE                      _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CSW_C2MC_CLKEN_CLKEN_ROW                        0


// Packet CSW_C2MC_RESET
#define CSW_C2MC_RESET_SIZE 1

#define CSW_C2MC_RESET_RSTN_SHIFT                       _MK_SHIFT_CONST(0)
#define CSW_C2MC_RESET_RSTN_FIELD                       _MK_FIELD_CONST(0x1, CSW_C2MC_RESET_RSTN_SHIFT)
#define CSW_C2MC_RESET_RSTN_RANGE                       _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CSW_C2MC_RESET_RSTN_ROW                 0


// Packet CSW_C2MC_REQ
#define CSW_C2MC_REQ_SIZE 324

#define CSW_C2MC_REQ_ADR_SHIFT                  _MK_SHIFT_CONST(0)
#define CSW_C2MC_REQ_ADR_FIELD                  _MK_FIELD_CONST(0xffffffff, CSW_C2MC_REQ_ADR_SHIFT)
#define CSW_C2MC_REQ_ADR_RANGE                  _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CSW_C2MC_REQ_ADR_ROW                    0

#define CSW_C2MC_REQ_BE_SHIFT                   _MK_SHIFT_CONST(32)
#define CSW_C2MC_REQ_BE_FIELD                   _MK_FIELD_CONST(0xffffffff, CSW_C2MC_REQ_BE_SHIFT)
#define CSW_C2MC_REQ_BE_RANGE                   _MK_SHIFT_CONST(63):_MK_SHIFT_CONST(32)
#define CSW_C2MC_REQ_BE_ROW                     0

#define CSW_C2MC_REQ_WDO_SHIFT                  _MK_SHIFT_CONST(64)
#define CSW_C2MC_REQ_WDO_FIELD                  _MK_FIELD_CONST(0xffffffff, CSW_C2MC_REQ_WDO_SHIFT)
#define CSW_C2MC_REQ_WDO_RANGE                  _MK_SHIFT_CONST(319):_MK_SHIFT_CONST(64)
#define CSW_C2MC_REQ_WDO_ROW                    0

#define CSW_C2MC_REQ_TAG_SHIFT                  _MK_SHIFT_CONST(320)
#define CSW_C2MC_REQ_TAG_FIELD                  _MK_FIELD_CONST(0x1, CSW_C2MC_REQ_TAG_SHIFT)
#define CSW_C2MC_REQ_TAG_RANGE                  _MK_SHIFT_CONST(320):_MK_SHIFT_CONST(320)
#define CSW_C2MC_REQ_TAG_ROW                    0

#define CSW_C2MC_REQ_SWID_SHIFT                 _MK_SHIFT_CONST(321)
#define CSW_C2MC_REQ_SWID_FIELD                 _MK_FIELD_CONST(0x1, CSW_C2MC_REQ_SWID_SHIFT)
#define CSW_C2MC_REQ_SWID_RANGE                 _MK_SHIFT_CONST(321):_MK_SHIFT_CONST(321)
#define CSW_C2MC_REQ_SWID_ROW                   0

#define CSW_C2MC_REQ_VPR_SHIFT                  _MK_SHIFT_CONST(322)
#define CSW_C2MC_REQ_VPR_FIELD                  _MK_FIELD_CONST(0x1, CSW_C2MC_REQ_VPR_SHIFT)
#define CSW_C2MC_REQ_VPR_RANGE                  _MK_SHIFT_CONST(322):_MK_SHIFT_CONST(322)
#define CSW_C2MC_REQ_VPR_ROW                    0

#define CSW_C2MC_REQ_IPC_SHIFT                  _MK_SHIFT_CONST(323)
#define CSW_C2MC_REQ_IPC_FIELD                  _MK_FIELD_CONST(0x1, CSW_C2MC_REQ_IPC_SHIFT)
#define CSW_C2MC_REQ_IPC_RANGE                  _MK_SHIFT_CONST(323):_MK_SHIFT_CONST(323)
#define CSW_C2MC_REQ_IPC_ROW                    0


// Packet CSW_C2MC_REQ2
#define CSW_C2MC_REQ2_SIZE 645

#define CSW_C2MC_REQ2_ADR_SHIFT                 _MK_SHIFT_CONST(0)
#define CSW_C2MC_REQ2_ADR_FIELD                 _MK_FIELD_CONST(0xffffffff, CSW_C2MC_REQ2_ADR_SHIFT)
#define CSW_C2MC_REQ2_ADR_RANGE                 _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CSW_C2MC_REQ2_ADR_ROW                   0

#define CSW_C2MC_REQ2_ADRH_SHIFT                        _MK_SHIFT_CONST(32)
#define CSW_C2MC_REQ2_ADRH_FIELD                        _MK_FIELD_CONST(0xff, CSW_C2MC_REQ2_ADRH_SHIFT)
#define CSW_C2MC_REQ2_ADRH_RANGE                        _MK_SHIFT_CONST(39):_MK_SHIFT_CONST(32)
#define CSW_C2MC_REQ2_ADRH_ROW                  0

#define CSW_C2MC_REQ2_BEL_SHIFT                 _MK_SHIFT_CONST(40)
#define CSW_C2MC_REQ2_BEL_FIELD                 _MK_FIELD_CONST(0xffffffff, CSW_C2MC_REQ2_BEL_SHIFT)
#define CSW_C2MC_REQ2_BEL_RANGE                 _MK_SHIFT_CONST(71):_MK_SHIFT_CONST(40)
#define CSW_C2MC_REQ2_BEL_ROW                   0

#define CSW_C2MC_REQ2_BEH_SHIFT                 _MK_SHIFT_CONST(72)
#define CSW_C2MC_REQ2_BEH_FIELD                 _MK_FIELD_CONST(0xffffffff, CSW_C2MC_REQ2_BEH_SHIFT)
#define CSW_C2MC_REQ2_BEH_RANGE                 _MK_SHIFT_CONST(103):_MK_SHIFT_CONST(72)
#define CSW_C2MC_REQ2_BEH_ROW                   0

#define CSW_C2MC_REQ2_WDOL_SHIFT                        _MK_SHIFT_CONST(104)
#define CSW_C2MC_REQ2_WDOL_FIELD                        _MK_FIELD_CONST(0xffffffff, CSW_C2MC_REQ2_WDOL_SHIFT)
#define CSW_C2MC_REQ2_WDOL_RANGE                        _MK_SHIFT_CONST(359):_MK_SHIFT_CONST(104)
#define CSW_C2MC_REQ2_WDOL_ROW                  0

#define CSW_C2MC_REQ2_WDOH_SHIFT                        _MK_SHIFT_CONST(360)
#define CSW_C2MC_REQ2_WDOH_FIELD                        _MK_FIELD_CONST(0xffffffff, CSW_C2MC_REQ2_WDOH_SHIFT)
#define CSW_C2MC_REQ2_WDOH_RANGE                        _MK_SHIFT_CONST(615):_MK_SHIFT_CONST(360)
#define CSW_C2MC_REQ2_WDOH_ROW                  0

#define CSW_C2MC_REQ2_TAG_SHIFT                 _MK_SHIFT_CONST(616)
#define CSW_C2MC_REQ2_TAG_FIELD                 _MK_FIELD_CONST(0x1, CSW_C2MC_REQ2_TAG_SHIFT)
#define CSW_C2MC_REQ2_TAG_RANGE                 _MK_SHIFT_CONST(616):_MK_SHIFT_CONST(616)
#define CSW_C2MC_REQ2_TAG_ROW                   0

#define CSW_C2MC_REQ2_CSIZE_SHIFT                       _MK_SHIFT_CONST(617)
#define CSW_C2MC_REQ2_CSIZE_FIELD                       _MK_FIELD_CONST(0x3, CSW_C2MC_REQ2_CSIZE_SHIFT)
#define CSW_C2MC_REQ2_CSIZE_RANGE                       _MK_SHIFT_CONST(618):_MK_SHIFT_CONST(617)
#define CSW_C2MC_REQ2_CSIZE_ROW                 0

#define CSW_C2MC_REQ2_ADR1_SHIFT                        _MK_SHIFT_CONST(619)
#define CSW_C2MC_REQ2_ADR1_FIELD                        _MK_FIELD_CONST(0x7, CSW_C2MC_REQ2_ADR1_SHIFT)
#define CSW_C2MC_REQ2_ADR1_RANGE                        _MK_SHIFT_CONST(621):_MK_SHIFT_CONST(619)
#define CSW_C2MC_REQ2_ADR1_ROW                  0

#define CSW_C2MC_REQ2_SWID_SHIFT                        _MK_SHIFT_CONST(622)
#define CSW_C2MC_REQ2_SWID_FIELD                        _MK_FIELD_CONST(0x3, CSW_C2MC_REQ2_SWID_SHIFT)
#define CSW_C2MC_REQ2_SWID_RANGE                        _MK_SHIFT_CONST(623):_MK_SHIFT_CONST(622)
#define CSW_C2MC_REQ2_SWID_ROW                  0

#define CSW_C2MC_REQ2_VPR_SHIFT                 _MK_SHIFT_CONST(624)
#define CSW_C2MC_REQ2_VPR_FIELD                 _MK_FIELD_CONST(0x1, CSW_C2MC_REQ2_VPR_SHIFT)
#define CSW_C2MC_REQ2_VPR_RANGE                 _MK_SHIFT_CONST(624):_MK_SHIFT_CONST(624)
#define CSW_C2MC_REQ2_VPR_ROW                   0

#define CSW_C2MC_REQ2_IPC_SHIFT                 _MK_SHIFT_CONST(625)
#define CSW_C2MC_REQ2_IPC_FIELD                 _MK_FIELD_CONST(0x1, CSW_C2MC_REQ2_IPC_SHIFT)
#define CSW_C2MC_REQ2_IPC_RANGE                 _MK_SHIFT_CONST(625):_MK_SHIFT_CONST(625)
#define CSW_C2MC_REQ2_IPC_ROW                   0

#define CSW_C2MC_REQ2_STREAM_ID_SHIFT                   _MK_SHIFT_CONST(626)
#define CSW_C2MC_REQ2_STREAM_ID_FIELD                   _MK_FIELD_CONST(0xff, CSW_C2MC_REQ2_STREAM_ID_SHIFT)
#define CSW_C2MC_REQ2_STREAM_ID_RANGE                   _MK_SHIFT_CONST(633):_MK_SHIFT_CONST(626)
#define CSW_C2MC_REQ2_STREAM_ID_ROW                     0

#define CSW_C2MC_REQ2_SMMU_NS_SHIFT                     _MK_SHIFT_CONST(634)
#define CSW_C2MC_REQ2_SMMU_NS_FIELD                     _MK_FIELD_CONST(0x1, CSW_C2MC_REQ2_SMMU_NS_SHIFT)
#define CSW_C2MC_REQ2_SMMU_NS_RANGE                     _MK_SHIFT_CONST(634):_MK_SHIFT_CONST(634)
#define CSW_C2MC_REQ2_SMMU_NS_ROW                       0

#define CSW_C2MC_REQ2_COH_IO_ACC_SHIFT                  _MK_SHIFT_CONST(635)
#define CSW_C2MC_REQ2_COH_IO_ACC_FIELD                  _MK_FIELD_CONST(0x1, CSW_C2MC_REQ2_COH_IO_ACC_SHIFT)
#define CSW_C2MC_REQ2_COH_IO_ACC_RANGE                  _MK_SHIFT_CONST(635):_MK_SHIFT_CONST(635)
#define CSW_C2MC_REQ2_COH_IO_ACC_ROW                    0

#define CSW_C2MC_REQ2_AXI_ID_SHIFT                      _MK_SHIFT_CONST(636)
#define CSW_C2MC_REQ2_AXI_ID_FIELD                      _MK_FIELD_CONST(0xff, CSW_C2MC_REQ2_AXI_ID_SHIFT)
#define CSW_C2MC_REQ2_AXI_ID_RANGE                      _MK_SHIFT_CONST(643):_MK_SHIFT_CONST(636)
#define CSW_C2MC_REQ2_AXI_ID_ROW                        0

#define CSW_C2MC_REQ2_SO_DEV_SHIFT                      _MK_SHIFT_CONST(644)
#define CSW_C2MC_REQ2_SO_DEV_FIELD                      _MK_FIELD_CONST(0x1, CSW_C2MC_REQ2_SO_DEV_SHIFT)
#define CSW_C2MC_REQ2_SO_DEV_RANGE                      _MK_SHIFT_CONST(644):_MK_SHIFT_CONST(644)
#define CSW_C2MC_REQ2_SO_DEV_ROW                        0


// Packet CSW_C2MC_SECURE
#define CSW_C2MC_SECURE_SIZE 1

#define CSW_C2MC_SECURE_SECURE_SHIFT                    _MK_SHIFT_CONST(0)
#define CSW_C2MC_SECURE_SECURE_FIELD                    _MK_FIELD_CONST(0x1, CSW_C2MC_SECURE_SECURE_SHIFT)
#define CSW_C2MC_SECURE_SECURE_RANGE                    _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CSW_C2MC_SECURE_SECURE_ROW                      0


// Packet CSW_C2MC_BP_REQ
#define CSW_C2MC_BP_REQ_SIZE 345

#define CSW_C2MC_BP_REQ_BASEADR_SHIFT                   _MK_SHIFT_CONST(0)
#define CSW_C2MC_BP_REQ_BASEADR_FIELD                   _MK_FIELD_CONST(0xff, CSW_C2MC_BP_REQ_BASEADR_SHIFT)
#define CSW_C2MC_BP_REQ_BASEADR_RANGE                   _MK_SHIFT_CONST(39):_MK_SHIFT_CONST(0)
#define CSW_C2MC_BP_REQ_BASEADR_ROW                     0

#define CSW_C2MC_BP_REQ_PITCH_SHIFT                     _MK_SHIFT_CONST(40)
#define CSW_C2MC_BP_REQ_PITCH_FIELD                     _MK_FIELD_CONST(0xffff, CSW_C2MC_BP_REQ_PITCH_SHIFT)
#define CSW_C2MC_BP_REQ_PITCH_RANGE                     _MK_SHIFT_CONST(55):_MK_SHIFT_CONST(40)
#define CSW_C2MC_BP_REQ_PITCH_ROW                       0

#define CSW_C2MC_BP_REQ_BE_SHIFT                        _MK_SHIFT_CONST(56)
#define CSW_C2MC_BP_REQ_BE_FIELD                        _MK_FIELD_CONST(0xffffffff, CSW_C2MC_BP_REQ_BE_SHIFT)
#define CSW_C2MC_BP_REQ_BE_RANGE                        _MK_SHIFT_CONST(87):_MK_SHIFT_CONST(56)
#define CSW_C2MC_BP_REQ_BE_ROW                  0

#define CSW_C2MC_BP_REQ_WDO_SHIFT                       _MK_SHIFT_CONST(88)
#define CSW_C2MC_BP_REQ_WDO_FIELD                       _MK_FIELD_CONST(0xffffffff, CSW_C2MC_BP_REQ_WDO_SHIFT)
#define CSW_C2MC_BP_REQ_WDO_RANGE                       _MK_SHIFT_CONST(343):_MK_SHIFT_CONST(88)
#define CSW_C2MC_BP_REQ_WDO_ROW                 0

#define CSW_C2MC_BP_REQ_TAG_SHIFT                       _MK_SHIFT_CONST(344)
#define CSW_C2MC_BP_REQ_TAG_FIELD                       _MK_FIELD_CONST(0x1, CSW_C2MC_BP_REQ_TAG_SHIFT)
#define CSW_C2MC_BP_REQ_TAG_RANGE                       _MK_SHIFT_CONST(344):_MK_SHIFT_CONST(344)
#define CSW_C2MC_BP_REQ_TAG_ROW                 0


// Packet CSW_C2MC_ADRXY
#define CSW_C2MC_ADRXY_SIZE 30

#define CSW_C2MC_ADRXY_OFFX_SHIFT                       _MK_SHIFT_CONST(0)
#define CSW_C2MC_ADRXY_OFFX_FIELD                       _MK_FIELD_CONST(0xffff, CSW_C2MC_ADRXY_OFFX_SHIFT)
#define CSW_C2MC_ADRXY_OFFX_RANGE                       _MK_SHIFT_CONST(15):_MK_SHIFT_CONST(0)
#define CSW_C2MC_ADRXY_OFFX_ROW                 0

#define CSW_C2MC_ADRXY_OFFY_SHIFT                       _MK_SHIFT_CONST(16)
#define CSW_C2MC_ADRXY_OFFY_FIELD                       _MK_FIELD_CONST(0x3fff, CSW_C2MC_ADRXY_OFFY_SHIFT)
#define CSW_C2MC_ADRXY_OFFY_RANGE                       _MK_SHIFT_CONST(29):_MK_SHIFT_CONST(16)
#define CSW_C2MC_ADRXY_OFFY_ROW                 0


// Packet CSW_C2MC_TILE
#define CSW_C2MC_TILE_SIZE 41

#define CSW_C2MC_TILE_LINADR_SHIFT                      _MK_SHIFT_CONST(0)
#define CSW_C2MC_TILE_LINADR_FIELD                      _MK_FIELD_CONST(0xff, CSW_C2MC_TILE_LINADR_SHIFT)
#define CSW_C2MC_TILE_LINADR_RANGE                      _MK_SHIFT_CONST(39):_MK_SHIFT_CONST(0)
#define CSW_C2MC_TILE_LINADR_ROW                        0

#define CSW_C2MC_TILE_TMODE_SHIFT                       _MK_SHIFT_CONST(40)
#define CSW_C2MC_TILE_TMODE_FIELD                       _MK_FIELD_CONST(0x1, CSW_C2MC_TILE_TMODE_SHIFT)
#define CSW_C2MC_TILE_TMODE_RANGE                       _MK_SHIFT_CONST(40):_MK_SHIFT_CONST(40)
#define CSW_C2MC_TILE_TMODE_ROW                 0
#define CSW_C2MC_TILE_TMODE_LINEAR                      _MK_ENUM_CONST(0)
#define CSW_C2MC_TILE_TMODE_TILED                       _MK_ENUM_CONST(1)


// Packet CSW_C2MC_XDI
#define CSW_C2MC_XDI_SIZE 32

#define CSW_C2MC_XDI_XDI_SHIFT                  _MK_SHIFT_CONST(0)
#define CSW_C2MC_XDI_XDI_FIELD                  _MK_FIELD_CONST(0xffffffff, CSW_C2MC_XDI_XDI_SHIFT)
#define CSW_C2MC_XDI_XDI_RANGE                  _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CSW_C2MC_XDI_XDI_ROW                    0


// Packet CSW_C2MC_HP
#define CSW_C2MC_HP_SIZE 32

#define CSW_C2MC_HP_HPTH_SHIFT                  _MK_SHIFT_CONST(0)
#define CSW_C2MC_HP_HPTH_FIELD                  _MK_FIELD_CONST(0xffffffff, CSW_C2MC_HP_HPTH_SHIFT)
#define CSW_C2MC_HP_HPTH_RANGE                  _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CSW_C2MC_HP_HPTH_ROW                    0


// Packet CSW_C2MC_WCOAL
#define CSW_C2MC_WCOAL_SIZE 32

#define CSW_C2MC_WCOAL_WCOALTM_SHIFT                    _MK_SHIFT_CONST(0)
#define CSW_C2MC_WCOAL_WCOALTM_FIELD                    _MK_FIELD_CONST(0xffffffff, CSW_C2MC_WCOAL_WCOALTM_SHIFT)
#define CSW_C2MC_WCOAL_WCOALTM_RANGE                    _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CSW_C2MC_WCOAL_WCOALTM_ROW                      0


// Packet CSW_C2MC_HYST
#define CSW_C2MC_HYST_SIZE 32

#define CSW_C2MC_HYST_HYST_SHIFT                        _MK_SHIFT_CONST(0)
#define CSW_C2MC_HYST_HYST_FIELD                        _MK_FIELD_CONST(0xffffffff, CSW_C2MC_HYST_HYST_SHIFT)
#define CSW_C2MC_HYST_HYST_RANGE                        _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CSW_C2MC_HYST_HYST_ROW                  0


// Packet CBR_C2MC_CLKEN
#define CBR_C2MC_CLKEN_SIZE 1

#define CBR_C2MC_CLKEN_CLKEN_SHIFT                      _MK_SHIFT_CONST(0)
#define CBR_C2MC_CLKEN_CLKEN_FIELD                      _MK_FIELD_CONST(0x1, CBR_C2MC_CLKEN_CLKEN_SHIFT)
#define CBR_C2MC_CLKEN_CLKEN_RANGE                      _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CBR_C2MC_CLKEN_CLKEN_ROW                        0


// Packet CBR_C2MC_RESET
#define CBR_C2MC_RESET_SIZE 1

#define CBR_C2MC_RESET_RSTN_SHIFT                       _MK_SHIFT_CONST(0)
#define CBR_C2MC_RESET_RSTN_FIELD                       _MK_FIELD_CONST(0x1, CBR_C2MC_RESET_RSTN_SHIFT)
#define CBR_C2MC_RESET_RSTN_RANGE                       _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CBR_C2MC_RESET_RSTN_ROW                 0


// Packet CBR_C2MC_REQP
#define CBR_C2MC_REQP_SIZE 264

#define CBR_C2MC_REQP_ADR_SHIFT                 _MK_SHIFT_CONST(0)
#define CBR_C2MC_REQP_ADR_FIELD                 _MK_FIELD_CONST(0xffffffff, CBR_C2MC_REQP_ADR_SHIFT)
#define CBR_C2MC_REQP_ADR_RANGE                 _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CBR_C2MC_REQP_ADR_ROW                   0

#define CBR_C2MC_REQP_ADRU_SHIFT                        _MK_SHIFT_CONST(32)
#define CBR_C2MC_REQP_ADRU_FIELD                        _MK_FIELD_CONST(0xffffffff, CBR_C2MC_REQP_ADRU_SHIFT)
#define CBR_C2MC_REQP_ADRU_RANGE                        _MK_SHIFT_CONST(63):_MK_SHIFT_CONST(32)
#define CBR_C2MC_REQP_ADRU_ROW                  0

#define CBR_C2MC_REQP_ADRV_SHIFT                        _MK_SHIFT_CONST(64)
#define CBR_C2MC_REQP_ADRV_FIELD                        _MK_FIELD_CONST(0xffffffff, CBR_C2MC_REQP_ADRV_SHIFT)
#define CBR_C2MC_REQP_ADRV_RANGE                        _MK_SHIFT_CONST(95):_MK_SHIFT_CONST(64)
#define CBR_C2MC_REQP_ADRV_ROW                  0

#define CBR_C2MC_REQP_LS_SHIFT                  _MK_SHIFT_CONST(96)
#define CBR_C2MC_REQP_LS_FIELD                  _MK_FIELD_CONST(0xffffffff, CBR_C2MC_REQP_LS_SHIFT)
#define CBR_C2MC_REQP_LS_RANGE                  _MK_SHIFT_CONST(127):_MK_SHIFT_CONST(96)
#define CBR_C2MC_REQP_LS_ROW                    0

#define CBR_C2MC_REQP_LSUV_SHIFT                        _MK_SHIFT_CONST(128)
#define CBR_C2MC_REQP_LSUV_FIELD                        _MK_FIELD_CONST(0xffffffff, CBR_C2MC_REQP_LSUV_SHIFT)
#define CBR_C2MC_REQP_LSUV_RANGE                        _MK_SHIFT_CONST(159):_MK_SHIFT_CONST(128)
#define CBR_C2MC_REQP_LSUV_ROW                  0

#define CBR_C2MC_REQP_HS_SHIFT                  _MK_SHIFT_CONST(160)
#define CBR_C2MC_REQP_HS_FIELD                  _MK_FIELD_CONST(0xffffffff, CBR_C2MC_REQP_HS_SHIFT)
#define CBR_C2MC_REQP_HS_RANGE                  _MK_SHIFT_CONST(191):_MK_SHIFT_CONST(160)
#define CBR_C2MC_REQP_HS_ROW                    0

#define CBR_C2MC_REQP_VS_SHIFT                  _MK_SHIFT_CONST(192)
#define CBR_C2MC_REQP_VS_FIELD                  _MK_FIELD_CONST(0xffffffff, CBR_C2MC_REQP_VS_SHIFT)
#define CBR_C2MC_REQP_VS_RANGE                  _MK_SHIFT_CONST(223):_MK_SHIFT_CONST(192)
#define CBR_C2MC_REQP_VS_ROW                    0

#define CBR_C2MC_REQP_DL_SHIFT                  _MK_SHIFT_CONST(224)
#define CBR_C2MC_REQP_DL_FIELD                  _MK_FIELD_CONST(0xffffffff, CBR_C2MC_REQP_DL_SHIFT)
#define CBR_C2MC_REQP_DL_RANGE                  _MK_SHIFT_CONST(255):_MK_SHIFT_CONST(224)
#define CBR_C2MC_REQP_DL_ROW                    0

#define CBR_C2MC_REQP_HD_SHIFT                  _MK_SHIFT_CONST(256)
#define CBR_C2MC_REQP_HD_FIELD                  _MK_FIELD_CONST(0x1, CBR_C2MC_REQP_HD_SHIFT)
#define CBR_C2MC_REQP_HD_RANGE                  _MK_SHIFT_CONST(256):_MK_SHIFT_CONST(256)
#define CBR_C2MC_REQP_HD_ROW                    0

#define CBR_C2MC_REQP_VD_SHIFT                  _MK_SHIFT_CONST(257)
#define CBR_C2MC_REQP_VD_FIELD                  _MK_FIELD_CONST(0x1, CBR_C2MC_REQP_VD_SHIFT)
#define CBR_C2MC_REQP_VD_RANGE                  _MK_SHIFT_CONST(257):_MK_SHIFT_CONST(257)
#define CBR_C2MC_REQP_VD_ROW                    0

#define CBR_C2MC_REQP_VX2_SHIFT                 _MK_SHIFT_CONST(258)
#define CBR_C2MC_REQP_VX2_FIELD                 _MK_FIELD_CONST(0x1, CBR_C2MC_REQP_VX2_SHIFT)
#define CBR_C2MC_REQP_VX2_RANGE                 _MK_SHIFT_CONST(258):_MK_SHIFT_CONST(258)
#define CBR_C2MC_REQP_VX2_ROW                   0

#define CBR_C2MC_REQP_LP_SHIFT                  _MK_SHIFT_CONST(259)
#define CBR_C2MC_REQP_LP_FIELD                  _MK_FIELD_CONST(0x1, CBR_C2MC_REQP_LP_SHIFT)
#define CBR_C2MC_REQP_LP_RANGE                  _MK_SHIFT_CONST(259):_MK_SHIFT_CONST(259)
#define CBR_C2MC_REQP_LP_ROW                    0

#define CBR_C2MC_REQP_YUV_SHIFT                 _MK_SHIFT_CONST(260)
#define CBR_C2MC_REQP_YUV_FIELD                 _MK_FIELD_CONST(0x7, CBR_C2MC_REQP_YUV_SHIFT)
#define CBR_C2MC_REQP_YUV_RANGE                 _MK_SHIFT_CONST(262):_MK_SHIFT_CONST(260)
#define CBR_C2MC_REQP_YUV_ROW                   0

#define CBR_C2MC_REQP_VPR_SHIFT                 _MK_SHIFT_CONST(263)
#define CBR_C2MC_REQP_VPR_FIELD                 _MK_FIELD_CONST(0x1, CBR_C2MC_REQP_VPR_SHIFT)
#define CBR_C2MC_REQP_VPR_RANGE                 _MK_SHIFT_CONST(263):_MK_SHIFT_CONST(263)
#define CBR_C2MC_REQP_VPR_ROW                   0


// Packet CBR_C2MC_SECURE
#define CBR_C2MC_SECURE_SIZE 1

#define CBR_C2MC_SECURE_SECURE_SHIFT                    _MK_SHIFT_CONST(0)
#define CBR_C2MC_SECURE_SECURE_FIELD                    _MK_FIELD_CONST(0x1, CBR_C2MC_SECURE_SECURE_SHIFT)
#define CBR_C2MC_SECURE_SECURE_RANGE                    _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CBR_C2MC_SECURE_SECURE_ROW                      0


// Packet CBR_C2MC_ADRXY
#define CBR_C2MC_ADRXY_SIZE 44

#define CBR_C2MC_ADRXY_OFFX_SHIFT                       _MK_SHIFT_CONST(0)
#define CBR_C2MC_ADRXY_OFFX_FIELD                       _MK_FIELD_CONST(0xffff, CBR_C2MC_ADRXY_OFFX_SHIFT)
#define CBR_C2MC_ADRXY_OFFX_RANGE                       _MK_SHIFT_CONST(15):_MK_SHIFT_CONST(0)
#define CBR_C2MC_ADRXY_OFFX_ROW                 0

#define CBR_C2MC_ADRXY_OFFY_SHIFT                       _MK_SHIFT_CONST(16)
#define CBR_C2MC_ADRXY_OFFY_FIELD                       _MK_FIELD_CONST(0x3fff, CBR_C2MC_ADRXY_OFFY_SHIFT)
#define CBR_C2MC_ADRXY_OFFY_RANGE                       _MK_SHIFT_CONST(29):_MK_SHIFT_CONST(16)
#define CBR_C2MC_ADRXY_OFFY_ROW                 0

#define CBR_C2MC_ADRXY_OFFYUV_SHIFT                     _MK_SHIFT_CONST(30)
#define CBR_C2MC_ADRXY_OFFYUV_FIELD                     _MK_FIELD_CONST(0x3fff, CBR_C2MC_ADRXY_OFFYUV_SHIFT)
#define CBR_C2MC_ADRXY_OFFYUV_RANGE                     _MK_SHIFT_CONST(43):_MK_SHIFT_CONST(30)
#define CBR_C2MC_ADRXY_OFFYUV_ROW                       0


// Packet CBR_C2MC_TILE
#define CBR_C2MC_TILE_SIZE 122

#define CBR_C2MC_TILE_LINADR_SHIFT                      _MK_SHIFT_CONST(0)
#define CBR_C2MC_TILE_LINADR_FIELD                      _MK_FIELD_CONST(0xff, CBR_C2MC_TILE_LINADR_SHIFT)
#define CBR_C2MC_TILE_LINADR_RANGE                      _MK_SHIFT_CONST(39):_MK_SHIFT_CONST(0)
#define CBR_C2MC_TILE_LINADR_ROW                        0

#define CBR_C2MC_TILE_LINADRU_SHIFT                     _MK_SHIFT_CONST(40)
#define CBR_C2MC_TILE_LINADRU_FIELD                     _MK_FIELD_CONST(0xff, CBR_C2MC_TILE_LINADRU_SHIFT)
#define CBR_C2MC_TILE_LINADRU_RANGE                     _MK_SHIFT_CONST(79):_MK_SHIFT_CONST(40)
#define CBR_C2MC_TILE_LINADRU_ROW                       0

#define CBR_C2MC_TILE_LINADRV_SHIFT                     _MK_SHIFT_CONST(80)
#define CBR_C2MC_TILE_LINADRV_FIELD                     _MK_FIELD_CONST(0xff, CBR_C2MC_TILE_LINADRV_SHIFT)
#define CBR_C2MC_TILE_LINADRV_RANGE                     _MK_SHIFT_CONST(119):_MK_SHIFT_CONST(80)
#define CBR_C2MC_TILE_LINADRV_ROW                       0

#define CBR_C2MC_TILE_TMODE_SHIFT                       _MK_SHIFT_CONST(120)
#define CBR_C2MC_TILE_TMODE_FIELD                       _MK_FIELD_CONST(0x1, CBR_C2MC_TILE_TMODE_SHIFT)
#define CBR_C2MC_TILE_TMODE_RANGE                       _MK_SHIFT_CONST(120):_MK_SHIFT_CONST(120)
#define CBR_C2MC_TILE_TMODE_ROW                 0
#define CBR_C2MC_TILE_TMODE_LINEAR                      _MK_ENUM_CONST(0)
#define CBR_C2MC_TILE_TMODE_TILED                       _MK_ENUM_CONST(1)

#define CBR_C2MC_TILE_TMODEUV_SHIFT                     _MK_SHIFT_CONST(121)
#define CBR_C2MC_TILE_TMODEUV_FIELD                     _MK_FIELD_CONST(0x1, CBR_C2MC_TILE_TMODEUV_SHIFT)
#define CBR_C2MC_TILE_TMODEUV_RANGE                     _MK_SHIFT_CONST(121):_MK_SHIFT_CONST(121)
#define CBR_C2MC_TILE_TMODEUV_ROW                       0
#define CBR_C2MC_TILE_TMODEUV_LINEAR                    _MK_ENUM_CONST(0)
#define CBR_C2MC_TILE_TMODEUV_TILED                     _MK_ENUM_CONST(1)


// Packet CBR_C2MC_RDYP
#define CBR_C2MC_RDYP_SIZE 1

#define CBR_C2MC_RDYP_RDYP_SHIFT                        _MK_SHIFT_CONST(0)
#define CBR_C2MC_RDYP_RDYP_FIELD                        _MK_FIELD_CONST(0x1, CBR_C2MC_RDYP_RDYP_SHIFT)
#define CBR_C2MC_RDYP_RDYP_RANGE                        _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CBR_C2MC_RDYP_RDYP_ROW                  0


// Packet CBR_C2MC_OUTSTD
#define CBR_C2MC_OUTSTD_SIZE 1

#define CBR_C2MC_OUTSTD_OUTSTD_SHIFT                    _MK_SHIFT_CONST(0)
#define CBR_C2MC_OUTSTD_OUTSTD_FIELD                    _MK_FIELD_CONST(0x1, CBR_C2MC_OUTSTD_OUTSTD_SHIFT)
#define CBR_C2MC_OUTSTD_OUTSTD_RANGE                    _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CBR_C2MC_OUTSTD_OUTSTD_ROW                      0


// Packet CBR_C2MC_STOP
#define CBR_C2MC_STOP_SIZE 1

#define CBR_C2MC_STOP_STOP_SHIFT                        _MK_SHIFT_CONST(0)
#define CBR_C2MC_STOP_STOP_FIELD                        _MK_FIELD_CONST(0x1, CBR_C2MC_STOP_STOP_SHIFT)
#define CBR_C2MC_STOP_STOP_RANGE                        _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CBR_C2MC_STOP_STOP_ROW                  0


// Packet CBR_C2MC_RDI
#define CBR_C2MC_RDI_SIZE 263

#define CBR_C2MC_RDI_RDI_SHIFT                  _MK_SHIFT_CONST(0)
#define CBR_C2MC_RDI_RDI_FIELD                  _MK_FIELD_CONST(0xffffffff, CBR_C2MC_RDI_RDI_SHIFT)
#define CBR_C2MC_RDI_RDI_RANGE                  _MK_SHIFT_CONST(255):_MK_SHIFT_CONST(0)
#define CBR_C2MC_RDI_RDI_ROW                    0

#define CBR_C2MC_RDI_RDILST_SHIFT                       _MK_SHIFT_CONST(256)
#define CBR_C2MC_RDI_RDILST_FIELD                       _MK_FIELD_CONST(0x1, CBR_C2MC_RDI_RDILST_SHIFT)
#define CBR_C2MC_RDI_RDILST_RANGE                       _MK_SHIFT_CONST(256):_MK_SHIFT_CONST(256)
#define CBR_C2MC_RDI_RDILST_ROW                 0

#define CBR_C2MC_RDI_RDINB_SHIFT                        _MK_SHIFT_CONST(257)
#define CBR_C2MC_RDI_RDINB_FIELD                        _MK_FIELD_CONST(0x1f, CBR_C2MC_RDI_RDINB_SHIFT)
#define CBR_C2MC_RDI_RDINB_RANGE                        _MK_SHIFT_CONST(261):_MK_SHIFT_CONST(257)
#define CBR_C2MC_RDI_RDINB_ROW                  0

#define CBR_C2MC_RDI_RVPR_SHIFT                 _MK_SHIFT_CONST(262)
#define CBR_C2MC_RDI_RVPR_FIELD                 _MK_FIELD_CONST(0x1, CBR_C2MC_RDI_RVPR_SHIFT)
#define CBR_C2MC_RDI_RVPR_RANGE                 _MK_SHIFT_CONST(262):_MK_SHIFT_CONST(262)
#define CBR_C2MC_RDI_RVPR_ROW                   0


// Packet CBR_C2MC_DOREQ
#define CBR_C2MC_DOREQ_SIZE 65

#define CBR_C2MC_DOREQ_ADR_SHIFT                        _MK_SHIFT_CONST(0)
#define CBR_C2MC_DOREQ_ADR_FIELD                        _MK_FIELD_CONST(0xffffffff, CBR_C2MC_DOREQ_ADR_SHIFT)
#define CBR_C2MC_DOREQ_ADR_RANGE                        _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CBR_C2MC_DOREQ_ADR_ROW                  0

#define CBR_C2MC_DOREQ_LS_SHIFT                 _MK_SHIFT_CONST(32)
#define CBR_C2MC_DOREQ_LS_FIELD                 _MK_FIELD_CONST(0xffffffff, CBR_C2MC_DOREQ_LS_SHIFT)
#define CBR_C2MC_DOREQ_LS_RANGE                 _MK_SHIFT_CONST(63):_MK_SHIFT_CONST(32)
#define CBR_C2MC_DOREQ_LS_ROW                   0

#define CBR_C2MC_DOREQ_VPR_SHIFT                        _MK_SHIFT_CONST(64)
#define CBR_C2MC_DOREQ_VPR_FIELD                        _MK_FIELD_CONST(0x1, CBR_C2MC_DOREQ_VPR_SHIFT)
#define CBR_C2MC_DOREQ_VPR_RANGE                        _MK_SHIFT_CONST(64):_MK_SHIFT_CONST(64)
#define CBR_C2MC_DOREQ_VPR_ROW                  0


// Packet CBR_C2MC_HP
#define CBR_C2MC_HP_SIZE 71

#define CBR_C2MC_HP_HPTH_SHIFT                  _MK_SHIFT_CONST(0)
#define CBR_C2MC_HP_HPTH_FIELD                  _MK_FIELD_CONST(0xffffffff, CBR_C2MC_HP_HPTH_SHIFT)
#define CBR_C2MC_HP_HPTH_RANGE                  _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CBR_C2MC_HP_HPTH_ROW                    0

#define CBR_C2MC_HP_HPTM_SHIFT                  _MK_SHIFT_CONST(32)
#define CBR_C2MC_HP_HPTM_FIELD                  _MK_FIELD_CONST(0x3f, CBR_C2MC_HP_HPTM_SHIFT)
#define CBR_C2MC_HP_HPTM_RANGE                  _MK_SHIFT_CONST(37):_MK_SHIFT_CONST(32)
#define CBR_C2MC_HP_HPTM_ROW                    0

#define CBR_C2MC_HP_HPSOF_SHIFT                 _MK_SHIFT_CONST(38)
#define CBR_C2MC_HP_HPSOF_FIELD                 _MK_FIELD_CONST(0x1, CBR_C2MC_HP_HPSOF_SHIFT)
#define CBR_C2MC_HP_HPSOF_RANGE                 _MK_SHIFT_CONST(38):_MK_SHIFT_CONST(38)
#define CBR_C2MC_HP_HPSOF_ROW                   0

#define CBR_C2MC_HP_HPCPW_SHIFT                 _MK_SHIFT_CONST(39)
#define CBR_C2MC_HP_HPCPW_FIELD                 _MK_FIELD_CONST(0xffff, CBR_C2MC_HP_HPCPW_SHIFT)
#define CBR_C2MC_HP_HPCPW_RANGE                 _MK_SHIFT_CONST(54):_MK_SHIFT_CONST(39)
#define CBR_C2MC_HP_HPCPW_ROW                   0

#define CBR_C2MC_HP_HPCBNPW_SHIFT                       _MK_SHIFT_CONST(55)
#define CBR_C2MC_HP_HPCBNPW_FIELD                       _MK_FIELD_CONST(0xffff, CBR_C2MC_HP_HPCBNPW_SHIFT)
#define CBR_C2MC_HP_HPCBNPW_RANGE                       _MK_SHIFT_CONST(70):_MK_SHIFT_CONST(55)
#define CBR_C2MC_HP_HPCBNPW_ROW                 0


// Packet CBR_C2MC_HYST
#define CBR_C2MC_HYST_SIZE 32

#define CBR_C2MC_HYST_HYST_REQ_TM_SHIFT                 _MK_SHIFT_CONST(0)
#define CBR_C2MC_HYST_HYST_REQ_TM_FIELD                 _MK_FIELD_CONST(0xff, CBR_C2MC_HYST_HYST_REQ_TM_SHIFT)
#define CBR_C2MC_HYST_HYST_REQ_TM_RANGE                 _MK_SHIFT_CONST(7):_MK_SHIFT_CONST(0)
#define CBR_C2MC_HYST_HYST_REQ_TM_ROW                   0

#define CBR_C2MC_HYST_DHYST_TM_SHIFT                    _MK_SHIFT_CONST(8)
#define CBR_C2MC_HYST_DHYST_TM_FIELD                    _MK_FIELD_CONST(0xff, CBR_C2MC_HYST_DHYST_TM_SHIFT)
#define CBR_C2MC_HYST_DHYST_TM_RANGE                    _MK_SHIFT_CONST(15):_MK_SHIFT_CONST(8)
#define CBR_C2MC_HYST_DHYST_TM_ROW                      0

#define CBR_C2MC_HYST_DHYST_TH_SHIFT                    _MK_SHIFT_CONST(16)
#define CBR_C2MC_HYST_DHYST_TH_FIELD                    _MK_FIELD_CONST(0xff, CBR_C2MC_HYST_DHYST_TH_SHIFT)
#define CBR_C2MC_HYST_DHYST_TH_RANGE                    _MK_SHIFT_CONST(23):_MK_SHIFT_CONST(16)
#define CBR_C2MC_HYST_DHYST_TH_ROW                      0

#define CBR_C2MC_HYST_HYST_TM_SHIFT                     _MK_SHIFT_CONST(24)
#define CBR_C2MC_HYST_HYST_TM_FIELD                     _MK_FIELD_CONST(0xf, CBR_C2MC_HYST_HYST_TM_SHIFT)
#define CBR_C2MC_HYST_HYST_TM_RANGE                     _MK_SHIFT_CONST(27):_MK_SHIFT_CONST(24)
#define CBR_C2MC_HYST_HYST_TM_ROW                       0

#define CBR_C2MC_HYST_HYST_REQ_TH_SHIFT                 _MK_SHIFT_CONST(28)
#define CBR_C2MC_HYST_HYST_REQ_TH_FIELD                 _MK_FIELD_CONST(0x7, CBR_C2MC_HYST_HYST_REQ_TH_SHIFT)
#define CBR_C2MC_HYST_HYST_REQ_TH_RANGE                 _MK_SHIFT_CONST(30):_MK_SHIFT_CONST(28)
#define CBR_C2MC_HYST_HYST_REQ_TH_ROW                   0

#define CBR_C2MC_HYST_HYST_EN_SHIFT                     _MK_SHIFT_CONST(31)
#define CBR_C2MC_HYST_HYST_EN_FIELD                     _MK_FIELD_CONST(0x1, CBR_C2MC_HYST_HYST_EN_SHIFT)
#define CBR_C2MC_HYST_HYST_EN_RANGE                     _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(31)
#define CBR_C2MC_HYST_HYST_EN_ROW                       0


// Packet CBW_C2MC_CLKEN
#define CBW_C2MC_CLKEN_SIZE 1

#define CBW_C2MC_CLKEN_CLKEN_SHIFT                      _MK_SHIFT_CONST(0)
#define CBW_C2MC_CLKEN_CLKEN_FIELD                      _MK_FIELD_CONST(0x1, CBW_C2MC_CLKEN_CLKEN_SHIFT)
#define CBW_C2MC_CLKEN_CLKEN_RANGE                      _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CBW_C2MC_CLKEN_CLKEN_ROW                        0


// Packet CBW_C2MC_RESET
#define CBW_C2MC_RESET_SIZE 1

#define CBW_C2MC_RESET_RSTN_SHIFT                       _MK_SHIFT_CONST(0)
#define CBW_C2MC_RESET_RSTN_FIELD                       _MK_FIELD_CONST(0x1, CBW_C2MC_RESET_RSTN_SHIFT)
#define CBW_C2MC_RESET_RSTN_RANGE                       _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CBW_C2MC_RESET_RSTN_ROW                 0


// Packet CBW_C2MC_REQP
#define CBW_C2MC_REQP_SIZE 135

#define CBW_C2MC_REQP_ADR_SHIFT                 _MK_SHIFT_CONST(0)
#define CBW_C2MC_REQP_ADR_FIELD                 _MK_FIELD_CONST(0xffffffff, CBW_C2MC_REQP_ADR_SHIFT)
#define CBW_C2MC_REQP_ADR_RANGE                 _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CBW_C2MC_REQP_ADR_ROW                   0

#define CBW_C2MC_REQP_LS_SHIFT                  _MK_SHIFT_CONST(32)
#define CBW_C2MC_REQP_LS_FIELD                  _MK_FIELD_CONST(0xffffffff, CBW_C2MC_REQP_LS_SHIFT)
#define CBW_C2MC_REQP_LS_RANGE                  _MK_SHIFT_CONST(63):_MK_SHIFT_CONST(32)
#define CBW_C2MC_REQP_LS_ROW                    0

#define CBW_C2MC_REQP_HS_SHIFT                  _MK_SHIFT_CONST(64)
#define CBW_C2MC_REQP_HS_FIELD                  _MK_FIELD_CONST(0xffffffff, CBW_C2MC_REQP_HS_SHIFT)
#define CBW_C2MC_REQP_HS_RANGE                  _MK_SHIFT_CONST(95):_MK_SHIFT_CONST(64)
#define CBW_C2MC_REQP_HS_ROW                    0

#define CBW_C2MC_REQP_VS_SHIFT                  _MK_SHIFT_CONST(96)
#define CBW_C2MC_REQP_VS_FIELD                  _MK_FIELD_CONST(0xffffffff, CBW_C2MC_REQP_VS_SHIFT)
#define CBW_C2MC_REQP_VS_RANGE                  _MK_SHIFT_CONST(127):_MK_SHIFT_CONST(96)
#define CBW_C2MC_REQP_VS_ROW                    0

#define CBW_C2MC_REQP_HD_SHIFT                  _MK_SHIFT_CONST(128)
#define CBW_C2MC_REQP_HD_FIELD                  _MK_FIELD_CONST(0x1, CBW_C2MC_REQP_HD_SHIFT)
#define CBW_C2MC_REQP_HD_RANGE                  _MK_SHIFT_CONST(128):_MK_SHIFT_CONST(128)
#define CBW_C2MC_REQP_HD_ROW                    0

#define CBW_C2MC_REQP_VD_SHIFT                  _MK_SHIFT_CONST(129)
#define CBW_C2MC_REQP_VD_FIELD                  _MK_FIELD_CONST(0x1, CBW_C2MC_REQP_VD_SHIFT)
#define CBW_C2MC_REQP_VD_RANGE                  _MK_SHIFT_CONST(129):_MK_SHIFT_CONST(129)
#define CBW_C2MC_REQP_VD_ROW                    0

#define CBW_C2MC_REQP_BPP_SHIFT                 _MK_SHIFT_CONST(130)
#define CBW_C2MC_REQP_BPP_FIELD                 _MK_FIELD_CONST(0x3, CBW_C2MC_REQP_BPP_SHIFT)
#define CBW_C2MC_REQP_BPP_RANGE                 _MK_SHIFT_CONST(131):_MK_SHIFT_CONST(130)
#define CBW_C2MC_REQP_BPP_ROW                   0

#define CBW_C2MC_REQP_XY_SHIFT                  _MK_SHIFT_CONST(132)
#define CBW_C2MC_REQP_XY_FIELD                  _MK_FIELD_CONST(0x1, CBW_C2MC_REQP_XY_SHIFT)
#define CBW_C2MC_REQP_XY_RANGE                  _MK_SHIFT_CONST(132):_MK_SHIFT_CONST(132)
#define CBW_C2MC_REQP_XY_ROW                    0

#define CBW_C2MC_REQP_PK_SHIFT                  _MK_SHIFT_CONST(133)
#define CBW_C2MC_REQP_PK_FIELD                  _MK_FIELD_CONST(0x1, CBW_C2MC_REQP_PK_SHIFT)
#define CBW_C2MC_REQP_PK_RANGE                  _MK_SHIFT_CONST(133):_MK_SHIFT_CONST(133)
#define CBW_C2MC_REQP_PK_ROW                    0

#define CBW_C2MC_REQP_VPR_SHIFT                 _MK_SHIFT_CONST(134)
#define CBW_C2MC_REQP_VPR_FIELD                 _MK_FIELD_CONST(0x1, CBW_C2MC_REQP_VPR_SHIFT)
#define CBW_C2MC_REQP_VPR_RANGE                 _MK_SHIFT_CONST(134):_MK_SHIFT_CONST(134)
#define CBW_C2MC_REQP_VPR_ROW                   0


// Packet CBW_C2MC_SECURE
#define CBW_C2MC_SECURE_SIZE 1

#define CBW_C2MC_SECURE_SECURE_SHIFT                    _MK_SHIFT_CONST(0)
#define CBW_C2MC_SECURE_SECURE_FIELD                    _MK_FIELD_CONST(0x1, CBW_C2MC_SECURE_SECURE_SHIFT)
#define CBW_C2MC_SECURE_SECURE_RANGE                    _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CBW_C2MC_SECURE_SECURE_ROW                      0


// Packet CBW_C2MC_ADRXY
#define CBW_C2MC_ADRXY_SIZE 30

#define CBW_C2MC_ADRXY_OFFX_SHIFT                       _MK_SHIFT_CONST(0)
#define CBW_C2MC_ADRXY_OFFX_FIELD                       _MK_FIELD_CONST(0xffff, CBW_C2MC_ADRXY_OFFX_SHIFT)
#define CBW_C2MC_ADRXY_OFFX_RANGE                       _MK_SHIFT_CONST(15):_MK_SHIFT_CONST(0)
#define CBW_C2MC_ADRXY_OFFX_ROW                 0

#define CBW_C2MC_ADRXY_OFFY_SHIFT                       _MK_SHIFT_CONST(16)
#define CBW_C2MC_ADRXY_OFFY_FIELD                       _MK_FIELD_CONST(0x3fff, CBW_C2MC_ADRXY_OFFY_SHIFT)
#define CBW_C2MC_ADRXY_OFFY_RANGE                       _MK_SHIFT_CONST(29):_MK_SHIFT_CONST(16)
#define CBW_C2MC_ADRXY_OFFY_ROW                 0


// Packet CBW_C2MC_TILE
#define CBW_C2MC_TILE_SIZE 41

#define CBW_C2MC_TILE_LINADR_SHIFT                      _MK_SHIFT_CONST(0)
#define CBW_C2MC_TILE_LINADR_FIELD                      _MK_FIELD_CONST(0xff, CBW_C2MC_TILE_LINADR_SHIFT)
#define CBW_C2MC_TILE_LINADR_RANGE                      _MK_SHIFT_CONST(39):_MK_SHIFT_CONST(0)
#define CBW_C2MC_TILE_LINADR_ROW                        0

#define CBW_C2MC_TILE_TMODE_SHIFT                       _MK_SHIFT_CONST(40)
#define CBW_C2MC_TILE_TMODE_FIELD                       _MK_FIELD_CONST(0x1, CBW_C2MC_TILE_TMODE_SHIFT)
#define CBW_C2MC_TILE_TMODE_RANGE                       _MK_SHIFT_CONST(40):_MK_SHIFT_CONST(40)
#define CBW_C2MC_TILE_TMODE_ROW                 0
#define CBW_C2MC_TILE_TMODE_LINEAR                      _MK_ENUM_CONST(0)
#define CBW_C2MC_TILE_TMODE_TILED                       _MK_ENUM_CONST(1)


// Packet CBW_C2MC_RDYP
#define CBW_C2MC_RDYP_SIZE 1

#define CBW_C2MC_RDYP_RDYP_SHIFT                        _MK_SHIFT_CONST(0)
#define CBW_C2MC_RDYP_RDYP_FIELD                        _MK_FIELD_CONST(0x1, CBW_C2MC_RDYP_RDYP_SHIFT)
#define CBW_C2MC_RDYP_RDYP_RANGE                        _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CBW_C2MC_RDYP_RDYP_ROW                  0


// Packet CBW_C2MC_STOP
#define CBW_C2MC_STOP_SIZE 1

#define CBW_C2MC_STOP_STOP_SHIFT                        _MK_SHIFT_CONST(0)
#define CBW_C2MC_STOP_STOP_FIELD                        _MK_FIELD_CONST(0x1, CBW_C2MC_STOP_STOP_SHIFT)
#define CBW_C2MC_STOP_STOP_RANGE                        _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CBW_C2MC_STOP_STOP_ROW                  0


// Packet CBW_C2MC_XDI
#define CBW_C2MC_XDI_SIZE 1

#define CBW_C2MC_XDI_XDI_SHIFT                  _MK_SHIFT_CONST(0)
#define CBW_C2MC_XDI_XDI_FIELD                  _MK_FIELD_CONST(0x1, CBW_C2MC_XDI_XDI_SHIFT)
#define CBW_C2MC_XDI_XDI_RANGE                  _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CBW_C2MC_XDI_XDI_ROW                    0


// Packet CBW_C2MC_DOREQ
#define CBW_C2MC_DOREQ_SIZE 322

#define CBW_C2MC_DOREQ_ADR_SHIFT                        _MK_SHIFT_CONST(0)
#define CBW_C2MC_DOREQ_ADR_FIELD                        _MK_FIELD_CONST(0xffffffff, CBW_C2MC_DOREQ_ADR_SHIFT)
#define CBW_C2MC_DOREQ_ADR_RANGE                        _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CBW_C2MC_DOREQ_ADR_ROW                  0

#define CBW_C2MC_DOREQ_BE_SHIFT                 _MK_SHIFT_CONST(32)
#define CBW_C2MC_DOREQ_BE_FIELD                 _MK_FIELD_CONST(0xffffffff, CBW_C2MC_DOREQ_BE_SHIFT)
#define CBW_C2MC_DOREQ_BE_RANGE                 _MK_SHIFT_CONST(63):_MK_SHIFT_CONST(32)
#define CBW_C2MC_DOREQ_BE_ROW                   0

#define CBW_C2MC_DOREQ_WDO_SHIFT                        _MK_SHIFT_CONST(64)
#define CBW_C2MC_DOREQ_WDO_FIELD                        _MK_FIELD_CONST(0xffffffff, CBW_C2MC_DOREQ_WDO_SHIFT)
#define CBW_C2MC_DOREQ_WDO_RANGE                        _MK_SHIFT_CONST(319):_MK_SHIFT_CONST(64)
#define CBW_C2MC_DOREQ_WDO_ROW                  0

#define CBW_C2MC_DOREQ_TAG_SHIFT                        _MK_SHIFT_CONST(320)
#define CBW_C2MC_DOREQ_TAG_FIELD                        _MK_FIELD_CONST(0x1, CBW_C2MC_DOREQ_TAG_SHIFT)
#define CBW_C2MC_DOREQ_TAG_RANGE                        _MK_SHIFT_CONST(320):_MK_SHIFT_CONST(320)
#define CBW_C2MC_DOREQ_TAG_ROW                  0

#define CBW_C2MC_DOREQ_VPR_SHIFT                        _MK_SHIFT_CONST(321)
#define CBW_C2MC_DOREQ_VPR_FIELD                        _MK_FIELD_CONST(0x1, CBW_C2MC_DOREQ_VPR_SHIFT)
#define CBW_C2MC_DOREQ_VPR_RANGE                        _MK_SHIFT_CONST(321):_MK_SHIFT_CONST(321)
#define CBW_C2MC_DOREQ_VPR_ROW                  0


// Packet CBW_C2MC_HP
#define CBW_C2MC_HP_SIZE 32

#define CBW_C2MC_HP_HPTH_SHIFT                  _MK_SHIFT_CONST(0)
#define CBW_C2MC_HP_HPTH_FIELD                  _MK_FIELD_CONST(0xffffffff, CBW_C2MC_HP_HPTH_SHIFT)
#define CBW_C2MC_HP_HPTH_RANGE                  _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CBW_C2MC_HP_HPTH_ROW                    0


// Packet CBW_C2MC_WCOAL
#define CBW_C2MC_WCOAL_SIZE 32

#define CBW_C2MC_WCOAL_WCOALTM_SHIFT                    _MK_SHIFT_CONST(0)
#define CBW_C2MC_WCOAL_WCOALTM_FIELD                    _MK_FIELD_CONST(0xffffffff, CBW_C2MC_WCOAL_WCOALTM_SHIFT)
#define CBW_C2MC_WCOAL_WCOALTM_RANGE                    _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CBW_C2MC_WCOAL_WCOALTM_ROW                      0


// Packet CBW_C2MC_HYST
#define CBW_C2MC_HYST_SIZE 32

#define CBW_C2MC_HYST_HYST_REQ_TM_SHIFT                 _MK_SHIFT_CONST(0)
#define CBW_C2MC_HYST_HYST_REQ_TM_FIELD                 _MK_FIELD_CONST(0xfff, CBW_C2MC_HYST_HYST_REQ_TM_SHIFT)
#define CBW_C2MC_HYST_HYST_REQ_TM_RANGE                 _MK_SHIFT_CONST(11):_MK_SHIFT_CONST(0)
#define CBW_C2MC_HYST_HYST_REQ_TM_ROW                   0

#define CBW_C2MC_HYST_HYST_REQ_TH_SHIFT                 _MK_SHIFT_CONST(28)
#define CBW_C2MC_HYST_HYST_REQ_TH_FIELD                 _MK_FIELD_CONST(0x7, CBW_C2MC_HYST_HYST_REQ_TH_SHIFT)
#define CBW_C2MC_HYST_HYST_REQ_TH_RANGE                 _MK_SHIFT_CONST(30):_MK_SHIFT_CONST(28)
#define CBW_C2MC_HYST_HYST_REQ_TH_ROW                   0

#define CBW_C2MC_HYST_HYST_EN_SHIFT                     _MK_SHIFT_CONST(31)
#define CBW_C2MC_HYST_HYST_EN_FIELD                     _MK_FIELD_CONST(0x1, CBW_C2MC_HYST_HYST_EN_SHIFT)
#define CBW_C2MC_HYST_HYST_EN_RANGE                     _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(31)
#define CBW_C2MC_HYST_HYST_EN_ROW                       0


// Packet CCR_C2MC_CLKEN
#define CCR_C2MC_CLKEN_SIZE 1

#define CCR_C2MC_CLKEN_CLKEN_SHIFT                      _MK_SHIFT_CONST(0)
#define CCR_C2MC_CLKEN_CLKEN_FIELD                      _MK_FIELD_CONST(0x1, CCR_C2MC_CLKEN_CLKEN_SHIFT)
#define CCR_C2MC_CLKEN_CLKEN_RANGE                      _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CCR_C2MC_CLKEN_CLKEN_ROW                        0


// Packet CCR_C2MC_RESET
#define CCR_C2MC_RESET_SIZE 1

#define CCR_C2MC_RESET_RSTN_SHIFT                       _MK_SHIFT_CONST(0)
#define CCR_C2MC_RESET_RSTN_FIELD                       _MK_FIELD_CONST(0x1, CCR_C2MC_RESET_RSTN_SHIFT)
#define CCR_C2MC_RESET_RSTN_RANGE                       _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CCR_C2MC_RESET_RSTN_ROW                 0


// Packet CCR_C2MC_REQ
#define CCR_C2MC_REQ_SIZE 101

#define CCR_C2MC_REQ_ADR_SHIFT                  _MK_SHIFT_CONST(0)
#define CCR_C2MC_REQ_ADR_FIELD                  _MK_FIELD_CONST(0xffffffff, CCR_C2MC_REQ_ADR_SHIFT)
#define CCR_C2MC_REQ_ADR_RANGE                  _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CCR_C2MC_REQ_ADR_ROW                    0

#define CCR_C2MC_REQ_LS_SHIFT                   _MK_SHIFT_CONST(32)
#define CCR_C2MC_REQ_LS_FIELD                   _MK_FIELD_CONST(0xffffffff, CCR_C2MC_REQ_LS_SHIFT)
#define CCR_C2MC_REQ_LS_RANGE                   _MK_SHIFT_CONST(63):_MK_SHIFT_CONST(32)
#define CCR_C2MC_REQ_LS_ROW                     0

#define CCR_C2MC_REQ_HINC_SHIFT                 _MK_SHIFT_CONST(64)
#define CCR_C2MC_REQ_HINC_FIELD                 _MK_FIELD_CONST(0xffffffff, CCR_C2MC_REQ_HINC_SHIFT)
#define CCR_C2MC_REQ_HINC_RANGE                 _MK_SHIFT_CONST(95):_MK_SHIFT_CONST(64)
#define CCR_C2MC_REQ_HINC_ROW                   0

#define CCR_C2MC_REQ_ACMD_SHIFT                 _MK_SHIFT_CONST(96)
#define CCR_C2MC_REQ_ACMD_FIELD                 _MK_FIELD_CONST(0x3, CCR_C2MC_REQ_ACMD_SHIFT)
#define CCR_C2MC_REQ_ACMD_RANGE                 _MK_SHIFT_CONST(97):_MK_SHIFT_CONST(96)
#define CCR_C2MC_REQ_ACMD_ROW                   0

#define CCR_C2MC_REQ_LN_SHIFT                   _MK_SHIFT_CONST(98)
#define CCR_C2MC_REQ_LN_FIELD                   _MK_FIELD_CONST(0x1, CCR_C2MC_REQ_LN_SHIFT)
#define CCR_C2MC_REQ_LN_RANGE                   _MK_SHIFT_CONST(98):_MK_SHIFT_CONST(98)
#define CCR_C2MC_REQ_LN_ROW                     0

#define CCR_C2MC_REQ_HD_SHIFT                   _MK_SHIFT_CONST(99)
#define CCR_C2MC_REQ_HD_FIELD                   _MK_FIELD_CONST(0x1, CCR_C2MC_REQ_HD_SHIFT)
#define CCR_C2MC_REQ_HD_RANGE                   _MK_SHIFT_CONST(99):_MK_SHIFT_CONST(99)
#define CCR_C2MC_REQ_HD_ROW                     0

#define CCR_C2MC_REQ_VD_SHIFT                   _MK_SHIFT_CONST(100)
#define CCR_C2MC_REQ_VD_FIELD                   _MK_FIELD_CONST(0x1, CCR_C2MC_REQ_VD_SHIFT)
#define CCR_C2MC_REQ_VD_RANGE                   _MK_SHIFT_CONST(100):_MK_SHIFT_CONST(100)
#define CCR_C2MC_REQ_VD_ROW                     0


// Packet CCR_C2MC_SECURE
#define CCR_C2MC_SECURE_SIZE 1

#define CCR_C2MC_SECURE_SECURE_SHIFT                    _MK_SHIFT_CONST(0)
#define CCR_C2MC_SECURE_SECURE_FIELD                    _MK_FIELD_CONST(0x1, CCR_C2MC_SECURE_SECURE_SHIFT)
#define CCR_C2MC_SECURE_SECURE_RANGE                    _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CCR_C2MC_SECURE_SECURE_ROW                      0


// Packet CCR_C2MC_RDI
#define CCR_C2MC_RDI_SIZE 256

#define CCR_C2MC_RDI_RDI_SHIFT                  _MK_SHIFT_CONST(0)
#define CCR_C2MC_RDI_RDI_FIELD                  _MK_FIELD_CONST(0xffffffff, CCR_C2MC_RDI_RDI_SHIFT)
#define CCR_C2MC_RDI_RDI_RANGE                  _MK_SHIFT_CONST(255):_MK_SHIFT_CONST(0)
#define CCR_C2MC_RDI_RDI_ROW                    0


// Packet CCR_C2MC_HP
#define CCR_C2MC_HP_SIZE 38

#define CCR_C2MC_HP_HPTH_SHIFT                  _MK_SHIFT_CONST(0)
#define CCR_C2MC_HP_HPTH_FIELD                  _MK_FIELD_CONST(0xffffffff, CCR_C2MC_HP_HPTH_SHIFT)
#define CCR_C2MC_HP_HPTH_RANGE                  _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CCR_C2MC_HP_HPTH_ROW                    0

#define CCR_C2MC_HP_HPTM_SHIFT                  _MK_SHIFT_CONST(32)
#define CCR_C2MC_HP_HPTM_FIELD                  _MK_FIELD_CONST(0x3f, CCR_C2MC_HP_HPTM_SHIFT)
#define CCR_C2MC_HP_HPTM_RANGE                  _MK_SHIFT_CONST(37):_MK_SHIFT_CONST(32)
#define CCR_C2MC_HP_HPTM_ROW                    0


// Packet CCR_C2MC_HYST
#define CCR_C2MC_HYST_SIZE 32

#define CCR_C2MC_HYST_HYST_SHIFT                        _MK_SHIFT_CONST(0)
#define CCR_C2MC_HYST_HYST_FIELD                        _MK_FIELD_CONST(0xffffffff, CCR_C2MC_HYST_HYST_SHIFT)
#define CCR_C2MC_HYST_HYST_RANGE                        _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CCR_C2MC_HYST_HYST_ROW                  0


// Packet CCW_C2MC_CLKEN
#define CCW_C2MC_CLKEN_SIZE 1

#define CCW_C2MC_CLKEN_CLKEN_SHIFT                      _MK_SHIFT_CONST(0)
#define CCW_C2MC_CLKEN_CLKEN_FIELD                      _MK_FIELD_CONST(0x1, CCW_C2MC_CLKEN_CLKEN_SHIFT)
#define CCW_C2MC_CLKEN_CLKEN_RANGE                      _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CCW_C2MC_CLKEN_CLKEN_ROW                        0


// Packet CCW_C2MC_RESET
#define CCW_C2MC_RESET_SIZE 1

#define CCW_C2MC_RESET_RSTN_SHIFT                       _MK_SHIFT_CONST(0)
#define CCW_C2MC_RESET_RSTN_FIELD                       _MK_FIELD_CONST(0x1, CCW_C2MC_RESET_RSTN_SHIFT)
#define CCW_C2MC_RESET_RSTN_RANGE                       _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CCW_C2MC_RESET_RSTN_ROW                 0


// Packet CCW_C2MC_REQ
#define CCW_C2MC_REQ_SIZE 418

#define CCW_C2MC_REQ_ADR_SHIFT                  _MK_SHIFT_CONST(0)
#define CCW_C2MC_REQ_ADR_FIELD                  _MK_FIELD_CONST(0xffffffff, CCW_C2MC_REQ_ADR_SHIFT)
#define CCW_C2MC_REQ_ADR_RANGE                  _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CCW_C2MC_REQ_ADR_ROW                    0

#define CCW_C2MC_REQ_LS_SHIFT                   _MK_SHIFT_CONST(32)
#define CCW_C2MC_REQ_LS_FIELD                   _MK_FIELD_CONST(0xffffffff, CCW_C2MC_REQ_LS_SHIFT)
#define CCW_C2MC_REQ_LS_RANGE                   _MK_SHIFT_CONST(63):_MK_SHIFT_CONST(32)
#define CCW_C2MC_REQ_LS_ROW                     0

#define CCW_C2MC_REQ_HINC_SHIFT                 _MK_SHIFT_CONST(64)
#define CCW_C2MC_REQ_HINC_FIELD                 _MK_FIELD_CONST(0xffffffff, CCW_C2MC_REQ_HINC_SHIFT)
#define CCW_C2MC_REQ_HINC_RANGE                 _MK_SHIFT_CONST(95):_MK_SHIFT_CONST(64)
#define CCW_C2MC_REQ_HINC_ROW                   0

#define CCW_C2MC_REQ_ACMD_SHIFT                 _MK_SHIFT_CONST(96)
#define CCW_C2MC_REQ_ACMD_FIELD                 _MK_FIELD_CONST(0x3, CCW_C2MC_REQ_ACMD_SHIFT)
#define CCW_C2MC_REQ_ACMD_RANGE                 _MK_SHIFT_CONST(97):_MK_SHIFT_CONST(96)
#define CCW_C2MC_REQ_ACMD_ROW                   0

#define CCW_C2MC_REQ_LN_SHIFT                   _MK_SHIFT_CONST(98)
#define CCW_C2MC_REQ_LN_FIELD                   _MK_FIELD_CONST(0x1, CCW_C2MC_REQ_LN_SHIFT)
#define CCW_C2MC_REQ_LN_RANGE                   _MK_SHIFT_CONST(98):_MK_SHIFT_CONST(98)
#define CCW_C2MC_REQ_LN_ROW                     0

#define CCW_C2MC_REQ_HD_SHIFT                   _MK_SHIFT_CONST(99)
#define CCW_C2MC_REQ_HD_FIELD                   _MK_FIELD_CONST(0x1, CCW_C2MC_REQ_HD_SHIFT)
#define CCW_C2MC_REQ_HD_RANGE                   _MK_SHIFT_CONST(99):_MK_SHIFT_CONST(99)
#define CCW_C2MC_REQ_HD_ROW                     0

#define CCW_C2MC_REQ_VD_SHIFT                   _MK_SHIFT_CONST(100)
#define CCW_C2MC_REQ_VD_FIELD                   _MK_FIELD_CONST(0x1, CCW_C2MC_REQ_VD_SHIFT)
#define CCW_C2MC_REQ_VD_RANGE                   _MK_SHIFT_CONST(100):_MK_SHIFT_CONST(100)
#define CCW_C2MC_REQ_VD_ROW                     0

#define CCW_C2MC_REQ_BPP_SHIFT                  _MK_SHIFT_CONST(101)
#define CCW_C2MC_REQ_BPP_FIELD                  _MK_FIELD_CONST(0x3, CCW_C2MC_REQ_BPP_SHIFT)
#define CCW_C2MC_REQ_BPP_RANGE                  _MK_SHIFT_CONST(102):_MK_SHIFT_CONST(101)
#define CCW_C2MC_REQ_BPP_ROW                    0

#define CCW_C2MC_REQ_XY_SHIFT                   _MK_SHIFT_CONST(103)
#define CCW_C2MC_REQ_XY_FIELD                   _MK_FIELD_CONST(0x1, CCW_C2MC_REQ_XY_SHIFT)
#define CCW_C2MC_REQ_XY_RANGE                   _MK_SHIFT_CONST(103):_MK_SHIFT_CONST(103)
#define CCW_C2MC_REQ_XY_ROW                     0

#define CCW_C2MC_REQ_BE_SHIFT                   _MK_SHIFT_CONST(128)
#define CCW_C2MC_REQ_BE_FIELD                   _MK_FIELD_CONST(0xffffffff, CCW_C2MC_REQ_BE_SHIFT)
#define CCW_C2MC_REQ_BE_RANGE                   _MK_SHIFT_CONST(159):_MK_SHIFT_CONST(128)
#define CCW_C2MC_REQ_BE_ROW                     0

#define CCW_C2MC_REQ_WDO_SHIFT                  _MK_SHIFT_CONST(160)
#define CCW_C2MC_REQ_WDO_FIELD                  _MK_FIELD_CONST(0xffffffff, CCW_C2MC_REQ_WDO_SHIFT)
#define CCW_C2MC_REQ_WDO_RANGE                  _MK_SHIFT_CONST(415):_MK_SHIFT_CONST(160)
#define CCW_C2MC_REQ_WDO_ROW                    0

#define CCW_C2MC_REQ_TAG_SHIFT                  _MK_SHIFT_CONST(416)
#define CCW_C2MC_REQ_TAG_FIELD                  _MK_FIELD_CONST(0x1, CCW_C2MC_REQ_TAG_SHIFT)
#define CCW_C2MC_REQ_TAG_RANGE                  _MK_SHIFT_CONST(416):_MK_SHIFT_CONST(416)
#define CCW_C2MC_REQ_TAG_ROW                    0

#define CCW_C2MC_REQ_VPR_SHIFT                  _MK_SHIFT_CONST(417)
#define CCW_C2MC_REQ_VPR_FIELD                  _MK_FIELD_CONST(0x1, CCW_C2MC_REQ_VPR_SHIFT)
#define CCW_C2MC_REQ_VPR_RANGE                  _MK_SHIFT_CONST(417):_MK_SHIFT_CONST(417)
#define CCW_C2MC_REQ_VPR_ROW                    0


// Packet CCW_C2MC_SECURE
#define CCW_C2MC_SECURE_SIZE 1

#define CCW_C2MC_SECURE_SECURE_SHIFT                    _MK_SHIFT_CONST(0)
#define CCW_C2MC_SECURE_SECURE_FIELD                    _MK_FIELD_CONST(0x1, CCW_C2MC_SECURE_SECURE_SHIFT)
#define CCW_C2MC_SECURE_SECURE_RANGE                    _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CCW_C2MC_SECURE_SECURE_ROW                      0


// Packet CCW_C2MC_ADRXY
#define CCW_C2MC_ADRXY_SIZE 30

#define CCW_C2MC_ADRXY_OFFX_SHIFT                       _MK_SHIFT_CONST(0)
#define CCW_C2MC_ADRXY_OFFX_FIELD                       _MK_FIELD_CONST(0xffff, CCW_C2MC_ADRXY_OFFX_SHIFT)
#define CCW_C2MC_ADRXY_OFFX_RANGE                       _MK_SHIFT_CONST(15):_MK_SHIFT_CONST(0)
#define CCW_C2MC_ADRXY_OFFX_ROW                 0

#define CCW_C2MC_ADRXY_OFFY_SHIFT                       _MK_SHIFT_CONST(16)
#define CCW_C2MC_ADRXY_OFFY_FIELD                       _MK_FIELD_CONST(0x3fff, CCW_C2MC_ADRXY_OFFY_SHIFT)
#define CCW_C2MC_ADRXY_OFFY_RANGE                       _MK_SHIFT_CONST(29):_MK_SHIFT_CONST(16)
#define CCW_C2MC_ADRXY_OFFY_ROW                 0


// Packet CCW_C2MC_TILE
#define CCW_C2MC_TILE_SIZE 41

#define CCW_C2MC_TILE_LINADR_SHIFT                      _MK_SHIFT_CONST(0)
#define CCW_C2MC_TILE_LINADR_FIELD                      _MK_FIELD_CONST(0xff, CCW_C2MC_TILE_LINADR_SHIFT)
#define CCW_C2MC_TILE_LINADR_RANGE                      _MK_SHIFT_CONST(39):_MK_SHIFT_CONST(0)
#define CCW_C2MC_TILE_LINADR_ROW                        0

#define CCW_C2MC_TILE_TMODE_SHIFT                       _MK_SHIFT_CONST(40)
#define CCW_C2MC_TILE_TMODE_FIELD                       _MK_FIELD_CONST(0x1, CCW_C2MC_TILE_TMODE_SHIFT)
#define CCW_C2MC_TILE_TMODE_RANGE                       _MK_SHIFT_CONST(40):_MK_SHIFT_CONST(40)
#define CCW_C2MC_TILE_TMODE_ROW                 0
#define CCW_C2MC_TILE_TMODE_LINEAR                      _MK_ENUM_CONST(0)
#define CCW_C2MC_TILE_TMODE_TILED                       _MK_ENUM_CONST(1)


// Packet CCW_C2MC_XDI
#define CCW_C2MC_XDI_SIZE 1

#define CCW_C2MC_XDI_XDI_SHIFT                  _MK_SHIFT_CONST(0)
#define CCW_C2MC_XDI_XDI_FIELD                  _MK_FIELD_CONST(0x1, CCW_C2MC_XDI_XDI_SHIFT)
#define CCW_C2MC_XDI_XDI_RANGE                  _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CCW_C2MC_XDI_XDI_ROW                    0


// Packet CCW_C2MC_HP
#define CCW_C2MC_HP_SIZE 32

#define CCW_C2MC_HP_HPTH_SHIFT                  _MK_SHIFT_CONST(0)
#define CCW_C2MC_HP_HPTH_FIELD                  _MK_FIELD_CONST(0xffffffff, CCW_C2MC_HP_HPTH_SHIFT)
#define CCW_C2MC_HP_HPTH_RANGE                  _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CCW_C2MC_HP_HPTH_ROW                    0


// Packet CCW_C2MC_WCOAL
#define CCW_C2MC_WCOAL_SIZE 32

#define CCW_C2MC_WCOAL_WCOALTM_SHIFT                    _MK_SHIFT_CONST(0)
#define CCW_C2MC_WCOAL_WCOALTM_FIELD                    _MK_FIELD_CONST(0xffffffff, CCW_C2MC_WCOAL_WCOALTM_SHIFT)
#define CCW_C2MC_WCOAL_WCOALTM_RANGE                    _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define CCW_C2MC_WCOAL_WCOALTM_ROW                      0


// Packet CCW_C2MC_HYST
#define CCW_C2MC_HYST_SIZE 32

#define CCW_C2MC_HYST_HYST_REQ_TM_SHIFT                 _MK_SHIFT_CONST(0)
#define CCW_C2MC_HYST_HYST_REQ_TM_FIELD                 _MK_FIELD_CONST(0xfff, CCW_C2MC_HYST_HYST_REQ_TM_SHIFT)
#define CCW_C2MC_HYST_HYST_REQ_TM_RANGE                 _MK_SHIFT_CONST(11):_MK_SHIFT_CONST(0)
#define CCW_C2MC_HYST_HYST_REQ_TM_ROW                   0

#define CCW_C2MC_HYST_HYST_REQ_TH_SHIFT                 _MK_SHIFT_CONST(28)
#define CCW_C2MC_HYST_HYST_REQ_TH_FIELD                 _MK_FIELD_CONST(0x7, CCW_C2MC_HYST_HYST_REQ_TH_SHIFT)
#define CCW_C2MC_HYST_HYST_REQ_TH_RANGE                 _MK_SHIFT_CONST(30):_MK_SHIFT_CONST(28)
#define CCW_C2MC_HYST_HYST_REQ_TH_ROW                   0

#define CCW_C2MC_HYST_HYST_EN_SHIFT                     _MK_SHIFT_CONST(31)
#define CCW_C2MC_HYST_HYST_EN_FIELD                     _MK_FIELD_CONST(0x1, CCW_C2MC_HYST_HYST_EN_SHIFT)
#define CCW_C2MC_HYST_HYST_EN_RANGE                     _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(31)
#define CCW_C2MC_HYST_HYST_EN_ROW                       0


// Packet SC_MCCIF_ASYNC
#define SC_MCCIF_ASYNC_SIZE 4

#define SC_MCCIF_ASYNC_RDCL_RDFAST_SHIFT                        _MK_SHIFT_CONST(0)
#define SC_MCCIF_ASYNC_RDCL_RDFAST_FIELD                        _MK_FIELD_CONST(0x1, SC_MCCIF_ASYNC_RDCL_RDFAST_SHIFT)
#define SC_MCCIF_ASYNC_RDCL_RDFAST_RANGE                        _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define SC_MCCIF_ASYNC_RDCL_RDFAST_ROW                  0

#define SC_MCCIF_ASYNC_RDMC_RDFAST_SHIFT                        _MK_SHIFT_CONST(1)
#define SC_MCCIF_ASYNC_RDMC_RDFAST_FIELD                        _MK_FIELD_CONST(0x1, SC_MCCIF_ASYNC_RDMC_RDFAST_SHIFT)
#define SC_MCCIF_ASYNC_RDMC_RDFAST_RANGE                        _MK_SHIFT_CONST(1):_MK_SHIFT_CONST(1)
#define SC_MCCIF_ASYNC_RDMC_RDFAST_ROW                  0

#define SC_MCCIF_ASYNC_WRCL_MCLE2X_SHIFT                        _MK_SHIFT_CONST(2)
#define SC_MCCIF_ASYNC_WRCL_MCLE2X_FIELD                        _MK_FIELD_CONST(0x1, SC_MCCIF_ASYNC_WRCL_MCLE2X_SHIFT)
#define SC_MCCIF_ASYNC_WRCL_MCLE2X_RANGE                        _MK_SHIFT_CONST(2):_MK_SHIFT_CONST(2)
#define SC_MCCIF_ASYNC_WRCL_MCLE2X_ROW                  0

#define SC_MCCIF_ASYNC_WRMC_CLLE2X_SHIFT                        _MK_SHIFT_CONST(3)
#define SC_MCCIF_ASYNC_WRMC_CLLE2X_FIELD                        _MK_FIELD_CONST(0x1, SC_MCCIF_ASYNC_WRMC_CLLE2X_SHIFT)
#define SC_MCCIF_ASYNC_WRMC_CLLE2X_RANGE                        _MK_SHIFT_CONST(3):_MK_SHIFT_CONST(3)
#define SC_MCCIF_ASYNC_WRMC_CLLE2X_ROW                  0


// Packet SMMU_PTE
#define SMMU_PTE_SIZE 32

#define SMMU_PTE_PA_SHIFT                       _MK_SHIFT_CONST(0)
#define SMMU_PTE_PA_FIELD                       _MK_FIELD_CONST(0xfffffff, SMMU_PTE_PA_SHIFT)
#define SMMU_PTE_PA_RANGE                       _MK_SHIFT_CONST(27):_MK_SHIFT_CONST(0)
#define SMMU_PTE_PA_ROW                 0

#define SMMU_PTE_NONSECURE_SHIFT                        _MK_SHIFT_CONST(29)
#define SMMU_PTE_NONSECURE_FIELD                        _MK_FIELD_CONST(0x1, SMMU_PTE_NONSECURE_SHIFT)
#define SMMU_PTE_NONSECURE_RANGE                        _MK_SHIFT_CONST(29):_MK_SHIFT_CONST(29)
#define SMMU_PTE_NONSECURE_ROW                  0

#define SMMU_PTE_WRITABLE_SHIFT                 _MK_SHIFT_CONST(30)
#define SMMU_PTE_WRITABLE_FIELD                 _MK_FIELD_CONST(0x1, SMMU_PTE_WRITABLE_SHIFT)
#define SMMU_PTE_WRITABLE_RANGE                 _MK_SHIFT_CONST(30):_MK_SHIFT_CONST(30)
#define SMMU_PTE_WRITABLE_ROW                   0

#define SMMU_PTE_READABLE_SHIFT                 _MK_SHIFT_CONST(31)
#define SMMU_PTE_READABLE_FIELD                 _MK_FIELD_CONST(0x1, SMMU_PTE_READABLE_SHIFT)
#define SMMU_PTE_READABLE_RANGE                 _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(31)
#define SMMU_PTE_READABLE_ROW                   0


// Packet SMMU_PDE
#define SMMU_PDE_SIZE 32

#define SMMU_PDE_PTE_BASE_SHIFT                 _MK_SHIFT_CONST(0)
#define SMMU_PDE_PTE_BASE_FIELD                 _MK_FIELD_CONST(0xfffffff, SMMU_PDE_PTE_BASE_SHIFT)
#define SMMU_PDE_PTE_BASE_RANGE                 _MK_SHIFT_CONST(27):_MK_SHIFT_CONST(0)
#define SMMU_PDE_PTE_BASE_ROW                   0

#define SMMU_PDE_PA_SHIFT                       _MK_SHIFT_CONST(10)
#define SMMU_PDE_PA_FIELD                       _MK_FIELD_CONST(0x3ffff, SMMU_PDE_PA_SHIFT)
#define SMMU_PDE_PA_RANGE                       _MK_SHIFT_CONST(27):_MK_SHIFT_CONST(10)
#define SMMU_PDE_PA_ROW                 0

#define SMMU_PDE_NEXT_SHIFT                     _MK_SHIFT_CONST(28)
#define SMMU_PDE_NEXT_FIELD                     _MK_FIELD_CONST(0x1, SMMU_PDE_NEXT_SHIFT)
#define SMMU_PDE_NEXT_RANGE                     _MK_SHIFT_CONST(28):_MK_SHIFT_CONST(28)
#define SMMU_PDE_NEXT_ROW                       0

#define SMMU_PDE_NONSECURE_SHIFT                        _MK_SHIFT_CONST(29)
#define SMMU_PDE_NONSECURE_FIELD                        _MK_FIELD_CONST(0x1, SMMU_PDE_NONSECURE_SHIFT)
#define SMMU_PDE_NONSECURE_RANGE                        _MK_SHIFT_CONST(29):_MK_SHIFT_CONST(29)
#define SMMU_PDE_NONSECURE_ROW                  0

#define SMMU_PDE_WRITABLE_SHIFT                 _MK_SHIFT_CONST(30)
#define SMMU_PDE_WRITABLE_FIELD                 _MK_FIELD_CONST(0x1, SMMU_PDE_WRITABLE_SHIFT)
#define SMMU_PDE_WRITABLE_RANGE                 _MK_SHIFT_CONST(30):_MK_SHIFT_CONST(30)
#define SMMU_PDE_WRITABLE_ROW                   0

#define SMMU_PDE_READABLE_SHIFT                 _MK_SHIFT_CONST(31)
#define SMMU_PDE_READABLE_FIELD                 _MK_FIELD_CONST(0x1, SMMU_PDE_READABLE_SHIFT)
#define SMMU_PDE_READABLE_RANGE                 _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(31)
#define SMMU_PDE_READABLE_ROW                   0


// Packet SMMU_HW_PTE
#define SMMU_HW_PTE_SIZE 31

#define SMMU_HW_PTE_PA_SHIFT                    _MK_SHIFT_CONST(0)
#define SMMU_HW_PTE_PA_FIELD                    _MK_FIELD_CONST(0xfffffff, SMMU_HW_PTE_PA_SHIFT)
#define SMMU_HW_PTE_PA_RANGE                    _MK_SHIFT_CONST(27):_MK_SHIFT_CONST(0)
#define SMMU_HW_PTE_PA_ROW                      0

#define SMMU_HW_PTE_NONSECURE_SHIFT                     _MK_SHIFT_CONST(28)
#define SMMU_HW_PTE_NONSECURE_FIELD                     _MK_FIELD_CONST(0x1, SMMU_HW_PTE_NONSECURE_SHIFT)
#define SMMU_HW_PTE_NONSECURE_RANGE                     _MK_SHIFT_CONST(28):_MK_SHIFT_CONST(28)
#define SMMU_HW_PTE_NONSECURE_ROW                       0

#define SMMU_HW_PTE_WRITABLE_SHIFT                      _MK_SHIFT_CONST(29)
#define SMMU_HW_PTE_WRITABLE_FIELD                      _MK_FIELD_CONST(0x1, SMMU_HW_PTE_WRITABLE_SHIFT)
#define SMMU_HW_PTE_WRITABLE_RANGE                      _MK_SHIFT_CONST(29):_MK_SHIFT_CONST(29)
#define SMMU_HW_PTE_WRITABLE_ROW                        0

#define SMMU_HW_PTE_READABLE_SHIFT                      _MK_SHIFT_CONST(30)
#define SMMU_HW_PTE_READABLE_FIELD                      _MK_FIELD_CONST(0x1, SMMU_HW_PTE_READABLE_SHIFT)
#define SMMU_HW_PTE_READABLE_RANGE                      _MK_SHIFT_CONST(30):_MK_SHIFT_CONST(30)
#define SMMU_HW_PTE_READABLE_ROW                        0


// Packet SMMU_HW_PDE
#define SMMU_HW_PDE_SIZE 32

#define SMMU_HW_PDE_PTE_BASE_SHIFT                      _MK_SHIFT_CONST(0)
#define SMMU_HW_PDE_PTE_BASE_FIELD                      _MK_FIELD_CONST(0xfffffff, SMMU_HW_PDE_PTE_BASE_SHIFT)
#define SMMU_HW_PDE_PTE_BASE_RANGE                      _MK_SHIFT_CONST(27):_MK_SHIFT_CONST(0)
#define SMMU_HW_PDE_PTE_BASE_ROW                        0

#define SMMU_HW_PDE_PA_SHIFT                    _MK_SHIFT_CONST(10)
#define SMMU_HW_PDE_PA_FIELD                    _MK_FIELD_CONST(0x3ffff, SMMU_HW_PDE_PA_SHIFT)
#define SMMU_HW_PDE_PA_RANGE                    _MK_SHIFT_CONST(27):_MK_SHIFT_CONST(10)
#define SMMU_HW_PDE_PA_ROW                      0

#define SMMU_HW_PDE_NEXT_SHIFT                  _MK_SHIFT_CONST(28)
#define SMMU_HW_PDE_NEXT_FIELD                  _MK_FIELD_CONST(0x1, SMMU_HW_PDE_NEXT_SHIFT)
#define SMMU_HW_PDE_NEXT_RANGE                  _MK_SHIFT_CONST(28):_MK_SHIFT_CONST(28)
#define SMMU_HW_PDE_NEXT_ROW                    0

#define SMMU_HW_PDE_NONSECURE_SHIFT                     _MK_SHIFT_CONST(29)
#define SMMU_HW_PDE_NONSECURE_FIELD                     _MK_FIELD_CONST(0x1, SMMU_HW_PDE_NONSECURE_SHIFT)
#define SMMU_HW_PDE_NONSECURE_RANGE                     _MK_SHIFT_CONST(29):_MK_SHIFT_CONST(29)
#define SMMU_HW_PDE_NONSECURE_ROW                       0

#define SMMU_HW_PDE_WRITABLE_SHIFT                      _MK_SHIFT_CONST(30)
#define SMMU_HW_PDE_WRITABLE_FIELD                      _MK_FIELD_CONST(0x1, SMMU_HW_PDE_WRITABLE_SHIFT)
#define SMMU_HW_PDE_WRITABLE_RANGE                      _MK_SHIFT_CONST(30):_MK_SHIFT_CONST(30)
#define SMMU_HW_PDE_WRITABLE_ROW                        0

#define SMMU_HW_PDE_READABLE_SHIFT                      _MK_SHIFT_CONST(31)
#define SMMU_HW_PDE_READABLE_FIELD                      _MK_FIELD_CONST(0x1, SMMU_HW_PDE_READABLE_SHIFT)
#define SMMU_HW_PDE_READABLE_RANGE                      _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(31)
#define SMMU_HW_PDE_READABLE_ROW                        0


// Register MC_ECC_REGION0_SIZE_0
#define MC_ECC_REGION0_SIZE_0                   _MK_ADDR_CONST(0x2b0c)
#define MC_ECC_REGION0_SIZE_0_SECURE                    0x0
#define MC_ECC_REGION0_SIZE_0_DUAL                      0x0
#define MC_ECC_REGION0_SIZE_0_SCR                       0
#define MC_ECC_REGION0_SIZE_0_WORD_COUNT                        0x1
#define MC_ECC_REGION0_SIZE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_SIZE_0_RESET_MASK                        _MK_MASK_CONST(0xffff)
#define MC_ECC_REGION0_SIZE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_SIZE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_SIZE_0_READ_MASK                         _MK_MASK_CONST(0xffff)
#define MC_ECC_REGION0_SIZE_0_WRITE_MASK                        _MK_MASK_CONST(0xffff)
#define MC_ECC_REGION0_SIZE_0_ECC_REGION0_SIZE_RANGE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_ECC_REGION0_SIZE_0_ECC_REGION0_SIZE_RANGE_FIELD                      _MK_FIELD_CONST(0xffff, MC_ECC_REGION0_SIZE_0_ECC_REGION0_SIZE_RANGE_SHIFT)
#define MC_ECC_REGION0_SIZE_0_ECC_REGION0_SIZE_RANGE_RANGE                      15:0
#define MC_ECC_REGION0_SIZE_0_ECC_REGION0_SIZE_RANGE_WOFFSET                    0x0
#define MC_ECC_REGION0_SIZE_0_ECC_REGION0_SIZE_RANGE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_SIZE_0_ECC_REGION0_SIZE_RANGE_DEFAULT_MASK                       _MK_MASK_CONST(0xffff)
#define MC_ECC_REGION0_SIZE_0_ECC_REGION0_SIZE_RANGE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_SIZE_0_ECC_REGION0_SIZE_RANGE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_SIZE_0_ECC_REGION0_SIZE_RANGE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_SIZE_0_ECC_REGION0_SIZE_RANGE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_ECC_REGION0_CFG0_0
#define MC_ECC_REGION0_CFG0_0                   _MK_ADDR_CONST(0x2b00)
#define MC_ECC_REGION0_CFG0_0_SECURE                    0x0
#define MC_ECC_REGION0_CFG0_0_DUAL                      0x0
#define MC_ECC_REGION0_CFG0_0_SCR                       0
#define MC_ECC_REGION0_CFG0_0_WORD_COUNT                        0x1
#define MC_ECC_REGION0_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0x3)
#define MC_ECC_REGION0_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_CFG0_0_READ_MASK                         _MK_MASK_CONST(0x3)
#define MC_ECC_REGION0_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0x3)
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_ECC_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_ECC_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x1, MC_ECC_REGION0_CFG0_0_ECC_REGION0_ECC_OVERRIDE_SHIFT)
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_ECC_OVERRIDE_RANGE                    0:0
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_ECC_OVERRIDE_WOFFSET                  0x0
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_ECC_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_ECC_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_ECC_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_ECC_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_ECC_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_ECC_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_ECC_OVERRIDE_INIT_ENUM                        ECC_ENABLED
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_ECC_OVERRIDE_ECC_ENABLED                      _MK_ENUM_CONST(0)
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_ECC_OVERRIDE_ECC_DISABLED                     _MK_ENUM_CONST(1)

#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_LOCK_MODE_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_LOCK_MODE_FIELD                       _MK_FIELD_CONST(0x1, MC_ECC_REGION0_CFG0_0_ECC_REGION0_LOCK_MODE_SHIFT)
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_LOCK_MODE_RANGE                       1:1
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_LOCK_MODE_WOFFSET                     0x0
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_LOCK_MODE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_LOCK_MODE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_LOCK_MODE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_LOCK_MODE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_LOCK_MODE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_LOCK_MODE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_LOCK_MODE_INIT_ENUM                   UNLOCKED
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_LOCK_MODE_UNLOCKED                    _MK_ENUM_CONST(0)
#define MC_ECC_REGION0_CFG0_0_ECC_REGION0_LOCK_MODE_LOCKED                      _MK_ENUM_CONST(1)


// Register MC_ECC_REGION3_BOM_0
#define MC_ECC_REGION3_BOM_0                    _MK_ADDR_CONST(0x2b34)
#define MC_ECC_REGION3_BOM_0_SECURE                     0x0
#define MC_ECC_REGION3_BOM_0_DUAL                       0x0
#define MC_ECC_REGION3_BOM_0_SCR                        0
#define MC_ECC_REGION3_BOM_0_WORD_COUNT                         0x1
#define MC_ECC_REGION3_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfff00000)
#define MC_ECC_REGION3_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfff00000)
#define MC_ECC_REGION3_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfff00000)
#define MC_ECC_REGION3_BOM_0_ECC_REGION3_BOM_RANGE_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_ECC_REGION3_BOM_0_ECC_REGION3_BOM_RANGE_FIELD                        _MK_FIELD_CONST(0xfff, MC_ECC_REGION3_BOM_0_ECC_REGION3_BOM_RANGE_SHIFT)
#define MC_ECC_REGION3_BOM_0_ECC_REGION3_BOM_RANGE_RANGE                        31:20
#define MC_ECC_REGION3_BOM_0_ECC_REGION3_BOM_RANGE_WOFFSET                      0x0
#define MC_ECC_REGION3_BOM_0_ECC_REGION3_BOM_RANGE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_BOM_0_ECC_REGION3_BOM_RANGE_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_ECC_REGION3_BOM_0_ECC_REGION3_BOM_RANGE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_BOM_0_ECC_REGION3_BOM_RANGE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_BOM_0_ECC_REGION3_BOM_RANGE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_BOM_0_ECC_REGION3_BOM_RANGE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_ECC_REGION2_BOM_0
#define MC_ECC_REGION2_BOM_0                    _MK_ADDR_CONST(0x2b24)
#define MC_ECC_REGION2_BOM_0_SECURE                     0x0
#define MC_ECC_REGION2_BOM_0_DUAL                       0x0
#define MC_ECC_REGION2_BOM_0_SCR                        0
#define MC_ECC_REGION2_BOM_0_WORD_COUNT                         0x1
#define MC_ECC_REGION2_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfff00000)
#define MC_ECC_REGION2_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfff00000)
#define MC_ECC_REGION2_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfff00000)
#define MC_ECC_REGION2_BOM_0_ECC_REGION2_BOM_RANGE_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_ECC_REGION2_BOM_0_ECC_REGION2_BOM_RANGE_FIELD                        _MK_FIELD_CONST(0xfff, MC_ECC_REGION2_BOM_0_ECC_REGION2_BOM_RANGE_SHIFT)
#define MC_ECC_REGION2_BOM_0_ECC_REGION2_BOM_RANGE_RANGE                        31:20
#define MC_ECC_REGION2_BOM_0_ECC_REGION2_BOM_RANGE_WOFFSET                      0x0
#define MC_ECC_REGION2_BOM_0_ECC_REGION2_BOM_RANGE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_BOM_0_ECC_REGION2_BOM_RANGE_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_ECC_REGION2_BOM_0_ECC_REGION2_BOM_RANGE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_BOM_0_ECC_REGION2_BOM_RANGE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_BOM_0_ECC_REGION2_BOM_RANGE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_BOM_0_ECC_REGION2_BOM_RANGE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_ECC_REGION1_SIZE_0
#define MC_ECC_REGION1_SIZE_0                   _MK_ADDR_CONST(0x2b1c)
#define MC_ECC_REGION1_SIZE_0_SECURE                    0x0
#define MC_ECC_REGION1_SIZE_0_DUAL                      0x0
#define MC_ECC_REGION1_SIZE_0_SCR                       0
#define MC_ECC_REGION1_SIZE_0_WORD_COUNT                        0x1
#define MC_ECC_REGION1_SIZE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_SIZE_0_RESET_MASK                        _MK_MASK_CONST(0xffff)
#define MC_ECC_REGION1_SIZE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_SIZE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_SIZE_0_READ_MASK                         _MK_MASK_CONST(0xffff)
#define MC_ECC_REGION1_SIZE_0_WRITE_MASK                        _MK_MASK_CONST(0xffff)
#define MC_ECC_REGION1_SIZE_0_ECC_REGION1_SIZE_RANGE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_ECC_REGION1_SIZE_0_ECC_REGION1_SIZE_RANGE_FIELD                      _MK_FIELD_CONST(0xffff, MC_ECC_REGION1_SIZE_0_ECC_REGION1_SIZE_RANGE_SHIFT)
#define MC_ECC_REGION1_SIZE_0_ECC_REGION1_SIZE_RANGE_RANGE                      15:0
#define MC_ECC_REGION1_SIZE_0_ECC_REGION1_SIZE_RANGE_WOFFSET                    0x0
#define MC_ECC_REGION1_SIZE_0_ECC_REGION1_SIZE_RANGE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_SIZE_0_ECC_REGION1_SIZE_RANGE_DEFAULT_MASK                       _MK_MASK_CONST(0xffff)
#define MC_ECC_REGION1_SIZE_0_ECC_REGION1_SIZE_RANGE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_SIZE_0_ECC_REGION1_SIZE_RANGE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_SIZE_0_ECC_REGION1_SIZE_RANGE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_SIZE_0_ECC_REGION1_SIZE_RANGE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_ECC_REGION1_BOM_0
#define MC_ECC_REGION1_BOM_0                    _MK_ADDR_CONST(0x2b14)
#define MC_ECC_REGION1_BOM_0_SECURE                     0x0
#define MC_ECC_REGION1_BOM_0_DUAL                       0x0
#define MC_ECC_REGION1_BOM_0_SCR                        0
#define MC_ECC_REGION1_BOM_0_WORD_COUNT                         0x1
#define MC_ECC_REGION1_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfff00000)
#define MC_ECC_REGION1_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfff00000)
#define MC_ECC_REGION1_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfff00000)
#define MC_ECC_REGION1_BOM_0_ECC_REGION1_BOM_RANGE_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_ECC_REGION1_BOM_0_ECC_REGION1_BOM_RANGE_FIELD                        _MK_FIELD_CONST(0xfff, MC_ECC_REGION1_BOM_0_ECC_REGION1_BOM_RANGE_SHIFT)
#define MC_ECC_REGION1_BOM_0_ECC_REGION1_BOM_RANGE_RANGE                        31:20
#define MC_ECC_REGION1_BOM_0_ECC_REGION1_BOM_RANGE_WOFFSET                      0x0
#define MC_ECC_REGION1_BOM_0_ECC_REGION1_BOM_RANGE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_BOM_0_ECC_REGION1_BOM_RANGE_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_ECC_REGION1_BOM_0_ECC_REGION1_BOM_RANGE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_BOM_0_ECC_REGION1_BOM_RANGE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_BOM_0_ECC_REGION1_BOM_RANGE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_BOM_0_ECC_REGION1_BOM_RANGE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_ECC_REGION2_CFG0_0
#define MC_ECC_REGION2_CFG0_0                   _MK_ADDR_CONST(0x2b20)
#define MC_ECC_REGION2_CFG0_0_SECURE                    0x0
#define MC_ECC_REGION2_CFG0_0_DUAL                      0x0
#define MC_ECC_REGION2_CFG0_0_SCR                       0
#define MC_ECC_REGION2_CFG0_0_WORD_COUNT                        0x1
#define MC_ECC_REGION2_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0x3)
#define MC_ECC_REGION2_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_CFG0_0_READ_MASK                         _MK_MASK_CONST(0x3)
#define MC_ECC_REGION2_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0x3)
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_ECC_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_ECC_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x1, MC_ECC_REGION2_CFG0_0_ECC_REGION2_ECC_OVERRIDE_SHIFT)
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_ECC_OVERRIDE_RANGE                    0:0
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_ECC_OVERRIDE_WOFFSET                  0x0
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_ECC_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_ECC_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_ECC_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_ECC_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_ECC_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_ECC_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_ECC_OVERRIDE_INIT_ENUM                        ECC_ENABLED
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_ECC_OVERRIDE_ECC_ENABLED                      _MK_ENUM_CONST(0)
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_ECC_OVERRIDE_ECC_DISABLED                     _MK_ENUM_CONST(1)

#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_LOCK_MODE_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_LOCK_MODE_FIELD                       _MK_FIELD_CONST(0x1, MC_ECC_REGION2_CFG0_0_ECC_REGION2_LOCK_MODE_SHIFT)
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_LOCK_MODE_RANGE                       1:1
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_LOCK_MODE_WOFFSET                     0x0
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_LOCK_MODE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_LOCK_MODE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_LOCK_MODE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_LOCK_MODE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_LOCK_MODE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_LOCK_MODE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_LOCK_MODE_INIT_ENUM                   UNLOCKED
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_LOCK_MODE_UNLOCKED                    _MK_ENUM_CONST(0)
#define MC_ECC_REGION2_CFG0_0_ECC_REGION2_LOCK_MODE_LOCKED                      _MK_ENUM_CONST(1)


// Register MC_ECC_REGION3_BOM_HI_0
#define MC_ECC_REGION3_BOM_HI_0                 _MK_ADDR_CONST(0x2b38)
#define MC_ECC_REGION3_BOM_HI_0_SECURE                  0x0
#define MC_ECC_REGION3_BOM_HI_0_DUAL                    0x0
#define MC_ECC_REGION3_BOM_HI_0_SCR                     0
#define MC_ECC_REGION3_BOM_HI_0_WORD_COUNT                      0x1
#define MC_ECC_REGION3_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_ECC_REGION3_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_ECC_REGION3_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_ECC_REGION3_BOM_HI_0_ECC_REGION3_BOM_HI_RANGE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_ECC_REGION3_BOM_HI_0_ECC_REGION3_BOM_HI_RANGE_FIELD                  _MK_FIELD_CONST(0xff, MC_ECC_REGION3_BOM_HI_0_ECC_REGION3_BOM_HI_RANGE_SHIFT)
#define MC_ECC_REGION3_BOM_HI_0_ECC_REGION3_BOM_HI_RANGE_RANGE                  7:0
#define MC_ECC_REGION3_BOM_HI_0_ECC_REGION3_BOM_HI_RANGE_WOFFSET                        0x0
#define MC_ECC_REGION3_BOM_HI_0_ECC_REGION3_BOM_HI_RANGE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_BOM_HI_0_ECC_REGION3_BOM_HI_RANGE_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_ECC_REGION3_BOM_HI_0_ECC_REGION3_BOM_HI_RANGE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_BOM_HI_0_ECC_REGION3_BOM_HI_RANGE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_BOM_HI_0_ECC_REGION3_BOM_HI_RANGE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_BOM_HI_0_ECC_REGION3_BOM_HI_RANGE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_ECC_REGION1_BOM_HI_0
#define MC_ECC_REGION1_BOM_HI_0                 _MK_ADDR_CONST(0x2b18)
#define MC_ECC_REGION1_BOM_HI_0_SECURE                  0x0
#define MC_ECC_REGION1_BOM_HI_0_DUAL                    0x0
#define MC_ECC_REGION1_BOM_HI_0_SCR                     0
#define MC_ECC_REGION1_BOM_HI_0_WORD_COUNT                      0x1
#define MC_ECC_REGION1_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_ECC_REGION1_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_ECC_REGION1_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_ECC_REGION1_BOM_HI_0_ECC_REGION1_BOM_HI_RANGE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_ECC_REGION1_BOM_HI_0_ECC_REGION1_BOM_HI_RANGE_FIELD                  _MK_FIELD_CONST(0xff, MC_ECC_REGION1_BOM_HI_0_ECC_REGION1_BOM_HI_RANGE_SHIFT)
#define MC_ECC_REGION1_BOM_HI_0_ECC_REGION1_BOM_HI_RANGE_RANGE                  7:0
#define MC_ECC_REGION1_BOM_HI_0_ECC_REGION1_BOM_HI_RANGE_WOFFSET                        0x0
#define MC_ECC_REGION1_BOM_HI_0_ECC_REGION1_BOM_HI_RANGE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_BOM_HI_0_ECC_REGION1_BOM_HI_RANGE_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_ECC_REGION1_BOM_HI_0_ECC_REGION1_BOM_HI_RANGE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_BOM_HI_0_ECC_REGION1_BOM_HI_RANGE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_BOM_HI_0_ECC_REGION1_BOM_HI_RANGE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_BOM_HI_0_ECC_REGION1_BOM_HI_RANGE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_ECC_REGION1_CFG0_0
#define MC_ECC_REGION1_CFG0_0                   _MK_ADDR_CONST(0x2b10)
#define MC_ECC_REGION1_CFG0_0_SECURE                    0x0
#define MC_ECC_REGION1_CFG0_0_DUAL                      0x0
#define MC_ECC_REGION1_CFG0_0_SCR                       0
#define MC_ECC_REGION1_CFG0_0_WORD_COUNT                        0x1
#define MC_ECC_REGION1_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0x3)
#define MC_ECC_REGION1_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_CFG0_0_READ_MASK                         _MK_MASK_CONST(0x3)
#define MC_ECC_REGION1_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0x3)
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_ECC_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_ECC_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x1, MC_ECC_REGION1_CFG0_0_ECC_REGION1_ECC_OVERRIDE_SHIFT)
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_ECC_OVERRIDE_RANGE                    0:0
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_ECC_OVERRIDE_WOFFSET                  0x0
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_ECC_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_ECC_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_ECC_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_ECC_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_ECC_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_ECC_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_ECC_OVERRIDE_INIT_ENUM                        ECC_ENABLED
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_ECC_OVERRIDE_ECC_ENABLED                      _MK_ENUM_CONST(0)
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_ECC_OVERRIDE_ECC_DISABLED                     _MK_ENUM_CONST(1)

#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_LOCK_MODE_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_LOCK_MODE_FIELD                       _MK_FIELD_CONST(0x1, MC_ECC_REGION1_CFG0_0_ECC_REGION1_LOCK_MODE_SHIFT)
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_LOCK_MODE_RANGE                       1:1
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_LOCK_MODE_WOFFSET                     0x0
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_LOCK_MODE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_LOCK_MODE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_LOCK_MODE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_LOCK_MODE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_LOCK_MODE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_LOCK_MODE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_LOCK_MODE_INIT_ENUM                   UNLOCKED
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_LOCK_MODE_UNLOCKED                    _MK_ENUM_CONST(0)
#define MC_ECC_REGION1_CFG0_0_ECC_REGION1_LOCK_MODE_LOCKED                      _MK_ENUM_CONST(1)


// Register MC_ECC_REGION0_BOM_HI_0
#define MC_ECC_REGION0_BOM_HI_0                 _MK_ADDR_CONST(0x2b08)
#define MC_ECC_REGION0_BOM_HI_0_SECURE                  0x0
#define MC_ECC_REGION0_BOM_HI_0_DUAL                    0x0
#define MC_ECC_REGION0_BOM_HI_0_SCR                     0
#define MC_ECC_REGION0_BOM_HI_0_WORD_COUNT                      0x1
#define MC_ECC_REGION0_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_ECC_REGION0_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_ECC_REGION0_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_ECC_REGION0_BOM_HI_0_ECC_REGION0_BOM_HI_RANGE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_ECC_REGION0_BOM_HI_0_ECC_REGION0_BOM_HI_RANGE_FIELD                  _MK_FIELD_CONST(0xff, MC_ECC_REGION0_BOM_HI_0_ECC_REGION0_BOM_HI_RANGE_SHIFT)
#define MC_ECC_REGION0_BOM_HI_0_ECC_REGION0_BOM_HI_RANGE_RANGE                  7:0
#define MC_ECC_REGION0_BOM_HI_0_ECC_REGION0_BOM_HI_RANGE_WOFFSET                        0x0
#define MC_ECC_REGION0_BOM_HI_0_ECC_REGION0_BOM_HI_RANGE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_BOM_HI_0_ECC_REGION0_BOM_HI_RANGE_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_ECC_REGION0_BOM_HI_0_ECC_REGION0_BOM_HI_RANGE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_BOM_HI_0_ECC_REGION0_BOM_HI_RANGE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_BOM_HI_0_ECC_REGION0_BOM_HI_RANGE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_BOM_HI_0_ECC_REGION0_BOM_HI_RANGE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_ECC_REGION2_SIZE_0
#define MC_ECC_REGION2_SIZE_0                   _MK_ADDR_CONST(0x2b2c)
#define MC_ECC_REGION2_SIZE_0_SECURE                    0x0
#define MC_ECC_REGION2_SIZE_0_DUAL                      0x0
#define MC_ECC_REGION2_SIZE_0_SCR                       0
#define MC_ECC_REGION2_SIZE_0_WORD_COUNT                        0x1
#define MC_ECC_REGION2_SIZE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_SIZE_0_RESET_MASK                        _MK_MASK_CONST(0xffff)
#define MC_ECC_REGION2_SIZE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_SIZE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_SIZE_0_READ_MASK                         _MK_MASK_CONST(0xffff)
#define MC_ECC_REGION2_SIZE_0_WRITE_MASK                        _MK_MASK_CONST(0xffff)
#define MC_ECC_REGION2_SIZE_0_ECC_REGION2_SIZE_RANGE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_ECC_REGION2_SIZE_0_ECC_REGION2_SIZE_RANGE_FIELD                      _MK_FIELD_CONST(0xffff, MC_ECC_REGION2_SIZE_0_ECC_REGION2_SIZE_RANGE_SHIFT)
#define MC_ECC_REGION2_SIZE_0_ECC_REGION2_SIZE_RANGE_RANGE                      15:0
#define MC_ECC_REGION2_SIZE_0_ECC_REGION2_SIZE_RANGE_WOFFSET                    0x0
#define MC_ECC_REGION2_SIZE_0_ECC_REGION2_SIZE_RANGE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_SIZE_0_ECC_REGION2_SIZE_RANGE_DEFAULT_MASK                       _MK_MASK_CONST(0xffff)
#define MC_ECC_REGION2_SIZE_0_ECC_REGION2_SIZE_RANGE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_SIZE_0_ECC_REGION2_SIZE_RANGE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_SIZE_0_ECC_REGION2_SIZE_RANGE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_SIZE_0_ECC_REGION2_SIZE_RANGE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_ECC_REGION3_CFG0_0
#define MC_ECC_REGION3_CFG0_0                   _MK_ADDR_CONST(0x2b30)
#define MC_ECC_REGION3_CFG0_0_SECURE                    0x0
#define MC_ECC_REGION3_CFG0_0_DUAL                      0x0
#define MC_ECC_REGION3_CFG0_0_SCR                       0
#define MC_ECC_REGION3_CFG0_0_WORD_COUNT                        0x1
#define MC_ECC_REGION3_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0x3)
#define MC_ECC_REGION3_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_CFG0_0_READ_MASK                         _MK_MASK_CONST(0x3)
#define MC_ECC_REGION3_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0x3)
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_ECC_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_ECC_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x1, MC_ECC_REGION3_CFG0_0_ECC_REGION3_ECC_OVERRIDE_SHIFT)
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_ECC_OVERRIDE_RANGE                    0:0
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_ECC_OVERRIDE_WOFFSET                  0x0
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_ECC_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_ECC_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_ECC_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_ECC_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_ECC_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_ECC_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_ECC_OVERRIDE_INIT_ENUM                        ECC_ENABLED
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_ECC_OVERRIDE_ECC_ENABLED                      _MK_ENUM_CONST(0)
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_ECC_OVERRIDE_ECC_DISABLED                     _MK_ENUM_CONST(1)

#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_LOCK_MODE_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_LOCK_MODE_FIELD                       _MK_FIELD_CONST(0x1, MC_ECC_REGION3_CFG0_0_ECC_REGION3_LOCK_MODE_SHIFT)
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_LOCK_MODE_RANGE                       1:1
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_LOCK_MODE_WOFFSET                     0x0
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_LOCK_MODE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_LOCK_MODE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_LOCK_MODE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_LOCK_MODE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_LOCK_MODE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_LOCK_MODE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_LOCK_MODE_INIT_ENUM                   UNLOCKED
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_LOCK_MODE_UNLOCKED                    _MK_ENUM_CONST(0)
#define MC_ECC_REGION3_CFG0_0_ECC_REGION3_LOCK_MODE_LOCKED                      _MK_ENUM_CONST(1)


// Register MC_ECC_REGION2_BOM_HI_0
#define MC_ECC_REGION2_BOM_HI_0                 _MK_ADDR_CONST(0x2b28)
#define MC_ECC_REGION2_BOM_HI_0_SECURE                  0x0
#define MC_ECC_REGION2_BOM_HI_0_DUAL                    0x0
#define MC_ECC_REGION2_BOM_HI_0_SCR                     0
#define MC_ECC_REGION2_BOM_HI_0_WORD_COUNT                      0x1
#define MC_ECC_REGION2_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_ECC_REGION2_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_ECC_REGION2_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_ECC_REGION2_BOM_HI_0_ECC_REGION2_BOM_HI_RANGE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_ECC_REGION2_BOM_HI_0_ECC_REGION2_BOM_HI_RANGE_FIELD                  _MK_FIELD_CONST(0xff, MC_ECC_REGION2_BOM_HI_0_ECC_REGION2_BOM_HI_RANGE_SHIFT)
#define MC_ECC_REGION2_BOM_HI_0_ECC_REGION2_BOM_HI_RANGE_RANGE                  7:0
#define MC_ECC_REGION2_BOM_HI_0_ECC_REGION2_BOM_HI_RANGE_WOFFSET                        0x0
#define MC_ECC_REGION2_BOM_HI_0_ECC_REGION2_BOM_HI_RANGE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_BOM_HI_0_ECC_REGION2_BOM_HI_RANGE_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_ECC_REGION2_BOM_HI_0_ECC_REGION2_BOM_HI_RANGE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_BOM_HI_0_ECC_REGION2_BOM_HI_RANGE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_BOM_HI_0_ECC_REGION2_BOM_HI_RANGE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_ECC_REGION2_BOM_HI_0_ECC_REGION2_BOM_HI_RANGE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_ECC_REGION0_BOM_0
#define MC_ECC_REGION0_BOM_0                    _MK_ADDR_CONST(0x2b04)
#define MC_ECC_REGION0_BOM_0_SECURE                     0x0
#define MC_ECC_REGION0_BOM_0_DUAL                       0x0
#define MC_ECC_REGION0_BOM_0_SCR                        0
#define MC_ECC_REGION0_BOM_0_WORD_COUNT                         0x1
#define MC_ECC_REGION0_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfff00000)
#define MC_ECC_REGION0_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfff00000)
#define MC_ECC_REGION0_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfff00000)
#define MC_ECC_REGION0_BOM_0_ECC_REGION0_BOM_RANGE_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_ECC_REGION0_BOM_0_ECC_REGION0_BOM_RANGE_FIELD                        _MK_FIELD_CONST(0xfff, MC_ECC_REGION0_BOM_0_ECC_REGION0_BOM_RANGE_SHIFT)
#define MC_ECC_REGION0_BOM_0_ECC_REGION0_BOM_RANGE_RANGE                        31:20
#define MC_ECC_REGION0_BOM_0_ECC_REGION0_BOM_RANGE_WOFFSET                      0x0
#define MC_ECC_REGION0_BOM_0_ECC_REGION0_BOM_RANGE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_BOM_0_ECC_REGION0_BOM_RANGE_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_ECC_REGION0_BOM_0_ECC_REGION0_BOM_RANGE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_BOM_0_ECC_REGION0_BOM_RANGE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_BOM_0_ECC_REGION0_BOM_RANGE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION0_BOM_0_ECC_REGION0_BOM_RANGE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_ECC_REGION3_SIZE_0
#define MC_ECC_REGION3_SIZE_0                   _MK_ADDR_CONST(0x2b3c)
#define MC_ECC_REGION3_SIZE_0_SECURE                    0x0
#define MC_ECC_REGION3_SIZE_0_DUAL                      0x0
#define MC_ECC_REGION3_SIZE_0_SCR                       0
#define MC_ECC_REGION3_SIZE_0_WORD_COUNT                        0x1
#define MC_ECC_REGION3_SIZE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_SIZE_0_RESET_MASK                        _MK_MASK_CONST(0xffff)
#define MC_ECC_REGION3_SIZE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_SIZE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_SIZE_0_READ_MASK                         _MK_MASK_CONST(0xffff)
#define MC_ECC_REGION3_SIZE_0_WRITE_MASK                        _MK_MASK_CONST(0xffff)
#define MC_ECC_REGION3_SIZE_0_ECC_REGION3_SIZE_RANGE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_ECC_REGION3_SIZE_0_ECC_REGION3_SIZE_RANGE_FIELD                      _MK_FIELD_CONST(0xffff, MC_ECC_REGION3_SIZE_0_ECC_REGION3_SIZE_RANGE_SHIFT)
#define MC_ECC_REGION3_SIZE_0_ECC_REGION3_SIZE_RANGE_RANGE                      15:0
#define MC_ECC_REGION3_SIZE_0_ECC_REGION3_SIZE_RANGE_WOFFSET                    0x0
#define MC_ECC_REGION3_SIZE_0_ECC_REGION3_SIZE_RANGE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_SIZE_0_ECC_REGION3_SIZE_RANGE_DEFAULT_MASK                       _MK_MASK_CONST(0xffff)
#define MC_ECC_REGION3_SIZE_0_ECC_REGION3_SIZE_RANGE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_SIZE_0_ECC_REGION3_SIZE_RANGE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_SIZE_0_ECC_REGION3_SIZE_RANGE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ECC_REGION3_SIZE_0_ECC_REGION3_SIZE_RANGE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0                  _MK_ADDR_CONST(0xbfc)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_SECURE                   0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_DUAL                     0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_SCR                      0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_WORD_COUNT                       0x1
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_RESET_MASK                       _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_READ_MASK                        _MK_MASK_CONST(0xff0183)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_ADR_HI_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_ADR_HI_FIELD                     _MK_FIELD_CONST(0xff, MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_ADR_HI_SHIFT)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_ADR_HI_RANGE                     23:16
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_ADR_HI_WOFFSET                   0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_ADR_HI_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_ADR_HI_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_ADR_HI_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_ADR_HI_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_ADR_HI_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_ADR_HI_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_HI_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_HI_FIELD                    _MK_FIELD_CONST(0x3, MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_HI_SHIFT)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_HI_RANGE                    8:7
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_HI_WOFFSET                  0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_HI_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_HI_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_HI_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_HI_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_HI_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_HI_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_APERTURE_ID_HI_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_APERTURE_ID_HI_FIELD                     _MK_FIELD_CONST(0x3, MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_APERTURE_ID_HI_SHIFT)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_APERTURE_ID_HI_RANGE                     1:0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_APERTURE_ID_HI_WOFFSET                   0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_APERTURE_ID_HI_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_APERTURE_ID_HI_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_APERTURE_ID_HI_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_APERTURE_ID_HI_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_APERTURE_ID_HI_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0_ERR_GENERALIZED_APERTURE_ID_HI_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_ERR_GENERALIZED_CARVEOUT_STATUS_0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0                    _MK_ADDR_CONST(0xc00)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_SECURE                     0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_DUAL                       0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_SCR                        0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_WORD_COUNT                         0x1
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_READ_MASK                  _MK_MASK_CONST(0xffcf7fff)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_GPU_ACCESS_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_GPU_ACCESS_FIELD                       _MK_FIELD_CONST(0x1, MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_GPU_ACCESS_SHIFT)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_GPU_ACCESS_RANGE                       31:31
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_GPU_ACCESS_WOFFSET                     0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_GPU_ACCESS_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_GPU_ACCESS_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_GPU_ACCESS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_GPU_ACCESS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_GPU_ACCESS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_GPU_ACCESS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_EXTERNAL_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_EXTERNAL_FIELD                     _MK_FIELD_CONST(0x1, MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_EXTERNAL_SHIFT)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_EXTERNAL_RANGE                     30:30
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_EXTERNAL_WOFFSET                   0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_EXTERNAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_EXTERNAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_EXTERNAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_EXTERNAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_EXTERNAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_EXTERNAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_ADR_TYPE_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_ADR_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_ADR_TYPE_SHIFT)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_ADR_TYPE_RANGE                 29:29
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_ADR_TYPE_WOFFSET                       0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_ADR_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_ADR_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_ADR_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_ADR_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_ADR_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_ADR_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_FIELD                 _MK_FIELD_CONST(0x1, MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_SHIFT)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_RANGE                 28:28
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_WOFFSET                       0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_FIELD                      _MK_FIELD_CONST(0x1, MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_SHIFT)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_RANGE                      27:27
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_WOFFSET                    0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_APERTURE_ID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_FIELD                 _MK_FIELD_CONST(0x7, MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_SHIFT)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_RANGE                 26:24
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_WOFFSET                       0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CARVEOUT_APERTURE_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ACCESS_LEVEL_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ACCESS_LEVEL_FIELD                 _MK_FIELD_CONST(0x3, MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ACCESS_LEVEL_SHIFT)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ACCESS_LEVEL_RANGE                 23:22
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ACCESS_LEVEL_WOFFSET                       0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ACCESS_LEVEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ACCESS_LEVEL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ACCESS_LEVEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ACCESS_LEVEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ACCESS_LEVEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ACCESS_LEVEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_FORCE_INTERNAL_SHIFT                   _MK_SHIFT_CONST(19)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_FORCE_INTERNAL_FIELD                   _MK_FIELD_CONST(0x1, MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_FORCE_INTERNAL_SHIFT)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_FORCE_INTERNAL_RANGE                   19:19
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_FORCE_INTERNAL_WOFFSET                 0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_FORCE_INTERNAL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_FORCE_INTERNAL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_FORCE_INTERNAL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_FORCE_INTERNAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_FORCE_INTERNAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_FORCE_INTERNAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SWAP_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SWAP_FIELD                 _MK_FIELD_CONST(0x1, MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SWAP_SHIFT)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SWAP_RANGE                 18:18
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SWAP_WOFFSET                       0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SWAP_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SWAP_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SWAP_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SWAP_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SWAP_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SWAP_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SECURITY_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SECURITY_FIELD                     _MK_FIELD_CONST(0x1, MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SECURITY_SHIFT)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SECURITY_RANGE                     17:17
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SECURITY_WOFFSET                   0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SECURITY_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SECURITY_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SECURITY_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SECURITY_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SECURITY_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SECURITY_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SECURITY_NONSECURE                 _MK_ENUM_CONST(0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_SECURITY_SECURE                    _MK_ENUM_CONST(1)

#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_RW_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_RW_FIELD                   _MK_FIELD_CONST(0x1, MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_RW_SHIFT)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_RW_RANGE                   16:16
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_RW_WOFFSET                 0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_RW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_RW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_RW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_RW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_RW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_RW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_RW_READ                    _MK_ENUM_CONST(0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_RW_WRITE                   _MK_ENUM_CONST(1)

#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ADR1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ADR1_FIELD                 _MK_FIELD_CONST(0x7, MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ADR1_SHIFT)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ADR1_RANGE                 14:12
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ADR1_WOFFSET                       0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ADR1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ADR1_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ADR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ADR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ADR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ADR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_CGID_SHIFT                     _MK_SHIFT_CONST(11)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_CGID_FIELD                     _MK_FIELD_CONST(0x1, MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_CGID_SHIFT)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_CGID_RANGE                     11:11
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_CGID_WOFFSET                   0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_CGID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_CGID_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_CGID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_CGID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_CGID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_CHK_CGID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_APERTURE_ID_SHIFT)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_APERTURE_ID_RANGE                  10:8
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_APERTURE_ID_WOFFSET                        0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ID_FIELD                   _MK_FIELD_CONST(0xff, MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ID_SHIFT)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ID_RANGE                   7:0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ID_WOFFSET                 0x0
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_0_ERR_GENERALIZED_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_ERR_GENERALIZED_CARVEOUT_ADR_0
#define MC_ERR_GENERALIZED_CARVEOUT_ADR_0                       _MK_ADDR_CONST(0xc04)
#define MC_ERR_GENERALIZED_CARVEOUT_ADR_0_SECURE                        0x0
#define MC_ERR_GENERALIZED_CARVEOUT_ADR_0_DUAL                  0x0
#define MC_ERR_GENERALIZED_CARVEOUT_ADR_0_SCR                   0
#define MC_ERR_GENERALIZED_CARVEOUT_ADR_0_WORD_COUNT                    0x1
#define MC_ERR_GENERALIZED_CARVEOUT_ADR_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_ADR_0_RESET_MASK                    _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_ADR_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_ADR_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_ADR_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_ERR_GENERALIZED_CARVEOUT_ADR_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_ADR_0_ERR_GENERALIZED_ADR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_ERR_GENERALIZED_CARVEOUT_ADR_0_ERR_GENERALIZED_ADR_FIELD                     _MK_FIELD_CONST(0xffffffff, MC_ERR_GENERALIZED_CARVEOUT_ADR_0_ERR_GENERALIZED_ADR_SHIFT)
#define MC_ERR_GENERALIZED_CARVEOUT_ADR_0_ERR_GENERALIZED_ADR_RANGE                     31:0
#define MC_ERR_GENERALIZED_CARVEOUT_ADR_0_ERR_GENERALIZED_ADR_WOFFSET                   0x0
#define MC_ERR_GENERALIZED_CARVEOUT_ADR_0_ERR_GENERALIZED_ADR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_ADR_0_ERR_GENERALIZED_ADR_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_ADR_0_ERR_GENERALIZED_ADR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_ADR_0_ERR_GENERALIZED_ADR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_ADR_0_ERR_GENERALIZED_ADR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_ERR_GENERALIZED_CARVEOUT_ADR_0_ERR_GENERALIZED_ADR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0                   _MK_ADDR_CONST(0xd78)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                       0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                         _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPRA_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPRA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPRA_RANGE                      4:4
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPRA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPRA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPRA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPRA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPRA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPRA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPFALR_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPFALR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPFALR_RANGE                    5:5
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPFALR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPFALR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPFALR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPFALR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPFALR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWA_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWA_RANGE                      6:6
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWB_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWB_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWB_RANGE                      7:7
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWB_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWB_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_ISPWB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTR_RANGE                 10:10
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTW_RANGE                 11:11
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVR_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVR_RANGE                  12:12
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVW_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVW_RANGE                  13:13
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_XUSB_DEVW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSRD_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSRD_RANGE                    20:20
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSWR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSWR_RANGE                    21:21
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT5_FORCE_INTERNAL_TSECSWR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0                  _MK_ADDR_CONST(0xc48)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0WRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0WRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0FALWRB_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0FALWRB_RANGE                 1:1
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA0FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1RDA_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1RDA_RANGE                    2:2
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALRDB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALRDB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1WRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1WRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALWRB_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALWRB_RANGE                 5:5
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_DLA1FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDC_RANGE                    8:8
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRA_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRA_RANGE                    9:9
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRB_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRB_RANGE                    10:10
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRC_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRC_RANGE                    11:11
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA0WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDA_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDA_RANGE                    12:12
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDB_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDB_RANGE                    13:13
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDC_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDC_RANGE                    14:14
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRA_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRA_RANGE                    15:15
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRB_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRB_RANGE                    16:16
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRC_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRC_RANGE                    17:17
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PVA1WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCER_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCER_RANGE                       18:18
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEW_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEW_RANGE                       19:19
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_RCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SRD_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SRD_RANGE                  22:22
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SWR_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SWR_RANGE                  23:23
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_NVENC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0R_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0R_RANGE                     24:24
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0W_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0W_RANGE                     25:25
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE0W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1R_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1R_RANGE                     26:26
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1W_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1W_RANGE                     27:27
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE1W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AR_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AR_RANGE                    28:28
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE2AW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3R_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3R_RANGE                     30:30
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3W_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3W_RANGE                     31:31
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0_CARVEOUT1_ALLOW_PCIE3W_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0                   _MK_ADDR_CONST(0xc44)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                       0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                         _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_APEDMAW_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_APEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_APEDMAW_RANGE                    0:0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_APEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_APEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_APEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_APEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_APEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR1_RANGE                        1:1
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VICSRD1_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VICSRD1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VICSRD1_RANGE                    2:2
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VICSRD1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VICSRD1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VICSRD1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VICSRD1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VICSRD1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD1_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD1_RANGE                  3:3
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0R_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0R_RANGE                      6:6
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0W_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0W_RANGE                      7:7
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1R_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1R_RANGE                      8:8
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1W_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1W_RANGE                      9:9
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2R_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2R_RANGE                      14:14
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2W_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2W_RANGE                      15:15
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3R_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3R_RANGE                      16:16
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3W_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3W_RANGE                      17:17
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4R_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4R_RANGE                      18:18
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4W_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4W_RANGE                      19:19
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_MIU4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUR_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUR_RANGE                      20:20
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUW_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUW_RANGE                      21:21
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DPMUW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0R_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0R_RANGE                      22:22
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0W_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0W_RANGE                      23:23
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1R_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1R_RANGE                      24:24
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1W_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1W_RANGE                      25:25
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2R_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2R_RANGE                      26:26
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2W_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2W_RANGE                      27:27
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_NVL2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALR_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALR_RANGE                     28:28
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALW_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALW_RANGE                     29:29
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_VIFALW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA_RANGE                    30:30
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALRDB_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALRDB_RANGE                 31:31
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALRDB_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0                   _MK_ADDR_CONST(0xca4)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                       0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4R_RANGE                     0:0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4W_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4W_RANGE                     1:1
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE4W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R_RANGE                     2:2
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5W_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5W_RANGE                     3:3
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPFALW_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPFALW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPFALW_RANGE                    4:4
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPFALW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPFALW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPFALW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPFALW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPFALW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3R_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3R_RANGE                      5:5
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3W_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3W_RANGE                      6:6
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4R_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4R_RANGE                      7:7
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4W_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4W_RANGE                      8:8
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA1_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA1_RANGE                   9:9
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA1_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA1_RANGE                   10:10
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA1_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA1_RANGE                   11:11
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB1_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB1_RANGE                   12:12
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA1_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA1_RANGE                   13:13
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB1_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB1_RANGE                   14:14
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R1_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R1_RANGE                    15:15
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE5R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD1_RANGE                  16:16
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD1_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD1_RANGE                 17:17
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPRA1_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPRA1_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPRA1_RANGE                     18:18
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPRA1_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPRA1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPRA1_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPRA1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_ISPRA1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R1_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R1_RANGE                    19:19
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL0RHP_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL0RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL0RHP_RANGE                    20:20
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL0RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL0RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL0RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL0RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL1RHP_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL1RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL1RHP_RANGE                    21:21
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL1RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL1RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL1RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL1RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL2RHP_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL2RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL2RHP_RANGE                    22:22
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL2RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL2RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL2RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL2RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3RHP_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3RHP_RANGE                    23:23
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL3RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4RHP_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4RHP_RANGE                    24:24
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVL4RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD_RANGE                  25:25
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD1_RANGE                 26:26
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SWR_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SWR_RANGE                  27:27
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_NVDEC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5R_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5R_RANGE                      28:28
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5W_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5W_RANGE                      29:29
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU5W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6R_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6R_RANGE                      30:30
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6W_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6W_RANGE                      31:31
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT2_FORCE_INTERNAL_MIU6W_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT4_CFG0_0
#define MC_SECURITY_CARVEOUT4_CFG0_0                    _MK_ADDR_CONST(0xcf8)
#define MC_SECURITY_CARVEOUT4_CFG0_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT4_CFG0_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT4_CFG0_0_SCR                        0
#define MC_SECURITY_CARVEOUT4_CFG0_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT4_CFG0_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_RESET_MASK                         _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT4_CFG0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_READ_MASK                  _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT4_CFG0_0_WRITE_MASK                         _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_PROTECT_MODE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_PROTECT_MODE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_PROTECT_MODE_RANGE                   0:0
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_PROTECT_MODE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_PROTECT_MODE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_PROTECT_MODE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_PROTECT_MODE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_PROTECT_MODE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_PROTECT_MODE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_PROTECT_MODE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_PROTECT_MODE_INIT_ENUM                       LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_PROTECT_MODE_LOCKBIT_SECURE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_PROTECT_MODE_TZ_SECURE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_LOCK_MODE_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_LOCK_MODE_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_LOCK_MODE_RANGE                      1:1
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_LOCK_MODE_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_LOCK_MODE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_LOCK_MODE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_LOCK_MODE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_LOCK_MODE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_LOCK_MODE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_LOCK_MODE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_LOCK_MODE_INIT_ENUM                  UNLOCKED
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_LOCK_MODE_UNLOCKED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_LOCK_MODE_LOCKED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ADDRESS_TYPE_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ADDRESS_TYPE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ADDRESS_TYPE_RANGE                   2:2
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ADDRESS_TYPE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ADDRESS_TYPE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ADDRESS_TYPE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ADDRESS_TYPE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ADDRESS_TYPE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ADDRESS_TYPE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ADDRESS_TYPE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ADDRESS_TYPE_INIT_ENUM                       ANY_ADDRESS
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ADDRESS_TYPE_ANY_ADDRESS                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ADDRESS_TYPE_UNTRANSLATED_ONLY                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_READ_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_READ_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_READ_ACCESS_LEVEL_RANGE                      6:3
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_READ_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_READ_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_READ_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_READ_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_READ_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_WRITE_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_WRITE_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_WRITE_ACCESS_LEVEL_RANGE                     10:7
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_WRITE_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_WRITE_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_WRITE_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_WRITE_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_FIELD                    _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_RANGE                    13:11
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                        _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                        17:14
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                       _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                       21:18
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_SEND_CFG_TO_GPU_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_SEND_CFG_TO_GPU_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_SEND_CFG_TO_GPU_RANGE                        22:22
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_SEND_CFG_TO_GPU_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_SEND_CFG_TO_GPU_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_SEND_CFG_TO_GPU_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_SEND_CFG_TO_GPU_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_SEND_CFG_TO_GPU_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_SEND_CFG_TO_GPU_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_SEND_CFG_TO_GPU_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_SEND_CFG_TO_GPU_ENABLED                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_WR_EN_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_WR_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_WR_EN_RANGE                        23:23
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_WR_EN_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_WR_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_WR_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_WR_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_WR_EN_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_WR_EN_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_WR_EN_BYPASS_CHECK                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_RD_EN_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_RD_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_RD_EN_RANGE                        24:24
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_RD_EN_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_RD_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_RD_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_RD_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_RD_EN_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_RD_EN_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_TZ_GLOBAL_RD_EN_BYPASS_CHECK                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ALLOW_APERTURE_ID_MISMATCH_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ALLOW_APERTURE_ID_MISMATCH_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ALLOW_APERTURE_ID_MISMATCH_RANGE                     25:25
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                 DISABLED
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ALLOW_APERTURE_ID_MISMATCH_DISABLED                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_ALLOW_APERTURE_ID_MISMATCH_ENABLED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_FORCE_APERTURE_ID_MATCH_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_FORCE_APERTURE_ID_MATCH_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_FORCE_APERTURE_ID_MATCH_RANGE                        26:26
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_FORCE_APERTURE_ID_MATCH_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_FORCE_APERTURE_ID_MATCH_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_FORCE_APERTURE_ID_MATCH_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_FORCE_APERTURE_ID_MATCH_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_FORCE_APERTURE_ID_MATCH_ENABLED                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_IS_WPR_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_IS_WPR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_IS_WPR_RANGE                 27:27
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_IS_WPR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_IS_WPR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_IS_WPR_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_IS_WPR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_IS_WPR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_IS_WPR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_IS_WPR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_IS_WPR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_IS_WPR_ENABLED                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_HI_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_HI_FIELD                 _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_HI_RANGE                 29:28
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_HI_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_HI_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_HI_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_HI_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_HI_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_HI_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_APERTURE_ID_HI_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_CPU_SECURE_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_CPU_SECURE_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_CPU_SECURE_RANGE                     31:31
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_CPU_SECURE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_CPU_SECURE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_CPU_SECURE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_CPU_SECURE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_CPU_SECURE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_CPU_SECURE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_CPU_SECURE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_CPU_SECURE_INIT_ENUM                 NO
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_CPU_SECURE_NO                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CFG0_0_MC_SECURITY_CARVEOUT4_CPU_SECURE_YES                       _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0                   _MK_ADDR_CONST(0xd90)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                       0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0WRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0WRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALWRB_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALWRB_RANGE                 1:1
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA_RANGE                    2:2
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALRDB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALRDB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1WRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1WRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALWRB_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALWRB_RANGE                 5:5
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_DLA1FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDC_RANGE                    8:8
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRA_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRA_RANGE                    9:9
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRB_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRB_RANGE                    10:10
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRC_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRC_RANGE                    11:11
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA0WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA_RANGE                    12:12
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB_RANGE                    13:13
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDC_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDC_RANGE                    14:14
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRA_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRA_RANGE                    15:15
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRB_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRB_RANGE                    16:16
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRC_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRC_RANGE                    17:17
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PVA1WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCER_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCER_RANGE                       18:18
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEW_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEW_RANGE                       19:19
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_RCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD_RANGE                  22:22
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SWR_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SWR_RANGE                  23:23
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R_RANGE                     24:24
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0W_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0W_RANGE                     25:25
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE0W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1R_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1R_RANGE                     26:26
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1W_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1W_RANGE                     27:27
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE1W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AR_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AR_RANGE                    28:28
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE2AW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3R_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3R_RANGE                     30:30
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3W_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3W_RANGE                     31:31
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT5_FORCE_INTERNAL_PCIE3W_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0                  _MK_ADDR_CONST(0xd10)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPRA_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPRA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPRA_RANGE                      4:4
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPRA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPRA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPRA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPRA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPRA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPRA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPRA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPRA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPRA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPRA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPFALR_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPFALR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPFALR_RANGE                    5:5
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPFALR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPFALR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPFALR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPFALR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPFALR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPFALR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPFALR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPFALR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPFALR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPFALR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWA_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWA_RANGE                      6:6
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWB_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWB_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWB_RANGE                      7:7
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWB_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWB_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_ISPWB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTR_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTR_RANGE                 10:10
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTW_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTW_RANGE                 11:11
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_HOSTW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVR_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVR_RANGE                  12:12
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVW_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVW_RANGE                  13:13
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_XUSB_DEVW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSRD_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSRD_RANGE                    20:20
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSWR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSWR_RANGE                    21:21
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0_CARVEOUT4_ALLOW_TSECSWR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT4_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0                      _MK_ADDR_CONST(0xd04)
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_SECURE                       0x0
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_DUAL                         0x0
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_SCR                  0
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_WORD_COUNT                   0x1
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_RESET_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_READ_MASK                    _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_WRITE_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_128KB_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_128KB_FIELD                 _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_128KB_RANGE                 11:0
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_128KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_128KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_128KB_DEFAULT_MASK                  _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_128KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_128KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_128KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_4KB_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_4KB_FIELD                   _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_4KB_RANGE                   31:27
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_4KB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_4KB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_4KB_DEFAULT_MASK                    _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_4KB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_4KB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_4KB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_SIZE_128KB_0_MC_SECURITY_CARVEOUT4_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0                  _MK_ADDR_CONST(0xc28)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESRD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESRD_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESRD_RANGE                      0:0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESRD_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESRD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESRD_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESRD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESRD_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESWR_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESWR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESWR_RANGE                      1:1
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESWR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESWR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESWR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESWR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESWR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESWR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESWR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESWR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESWR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SESWR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPW_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPW_RANGE                     3:3
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXIAPW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRR_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRR_RANGE                       4:4
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRW_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRW_RANGE                       5:5
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_ETRW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSRDB_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSRDB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSRDB_RANGE                   6:6
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSRDB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSRDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSRDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSRDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSRDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSRDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSRDB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSRDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSRDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSWRB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSWRB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSWRB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSWRB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSWRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSWRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSWRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSWRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSWRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSWRB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSWRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_TSECSWRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISR_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISR_RANGE                      12:12
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISW_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISW_RANGE                      13:13
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AXISW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSR_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSR_RANGE                      14:14
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSW_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSW_RANGE                      15:15
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_EQOSW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCR_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCR_RANGE                     16:16
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCW_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCW_RANGE                     17:17
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_UFSHCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_NVDISPLAYR_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_NVDISPLAYR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_NVDISPLAYR_RANGE                 18:18
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_NVDISPLAYR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_NVDISPLAYR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_NVDISPLAYR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_NVDISPLAYR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_NVDISPLAYR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_NVDISPLAYR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_NVDISPLAYR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_NVDISPLAYR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPR_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPR_RANGE                      19:19
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPW_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPW_RANGE                      20:20
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAR_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAR_RANGE                   21:21
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAW_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAW_RANGE                   22:22
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_BPMPDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONR_RANGE                       23:23
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONW_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONW_RANGE                       24:24
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAR_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAR_RANGE                    25:25
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAW_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAW_RANGE                    26:26
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_AONDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCER_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCER_RANGE                       27:27
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEW_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEW_RANGE                       28:28
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAR_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAR_RANGE                    29:29
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAW_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAW_RANGE                    30:30
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_SCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_APEDMAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_APEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_APEDMAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_APEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_APEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_APEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_APEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_APEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_APEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_APEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_APEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_APEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0_CARVEOUT1_ALLOW_APEDMAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0                   _MK_ADDR_CONST(0xc34)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                       0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                         _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCORER_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCORER_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCORER_RANGE                    7:7
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCORER_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCORER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCORER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCORER_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCORER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCORER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_NVENCSWR_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_NVENCSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_NVENCSWR_RANGE                   11:11
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_NVENCSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_NVENCSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_NVENCSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_NVENCSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_HDAW_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_HDAW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_HDAW_RANGE                       21:21
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_HDAW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_HDAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_HDAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_HDAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_HDAW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_HDAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_HDAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCOREW_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCOREW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCOREW_RANGE                    25:25
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCOREW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCOREW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCOREW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCOREW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_MPCOREW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_SATAW_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_SATAW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_SATAW_RANGE                      29:29
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_SATAW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_SATAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_SATAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_SATAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_SATAW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_SATAW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT1_FORCE_INTERNAL_SATAW_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0                   _MK_ADDR_CONST(0xc90)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                       0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                         _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESRD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESRD_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESRD_RANGE                      0:0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESRD_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESRD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESRD_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESRD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESRD_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESWR_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESWR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESWR_RANGE                      1:1
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESWR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESWR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESWR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESWR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESWR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESWR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SESWR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPW_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPW_RANGE                     3:3
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXIAPW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRR_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRR_RANGE                       4:4
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRW_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRW_RANGE                       5:5
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_ETRW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSRDB_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSRDB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSRDB_RANGE                   6:6
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSRDB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSRDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSRDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSRDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSWRB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSWRB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSWRB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSWRB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSWRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSWRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_TSECSWRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISR_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISR_RANGE                      12:12
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISW_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISW_RANGE                      13:13
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AXISW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSR_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSR_RANGE                      14:14
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSW_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSW_RANGE                      15:15
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_EQOSW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCR_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCR_RANGE                     16:16
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCW_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCW_RANGE                     17:17
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_UFSHCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR_RANGE                 18:18
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPR_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPR_RANGE                      19:19
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPW_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPW_RANGE                      20:20
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAR_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAR_RANGE                   21:21
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAW_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAW_RANGE                   22:22
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_BPMPDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONR_RANGE                       23:23
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONW_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONW_RANGE                       24:24
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAR_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAR_RANGE                    25:25
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAW_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAW_RANGE                    26:26
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_AONDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCER_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCER_RANGE                       27:27
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEW_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEW_RANGE                       28:28
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAR_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAR_RANGE                    29:29
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAW_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAW_RANGE                    30:30
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_SCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_APEDMAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_APEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_APEDMAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_APEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_APEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_APEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_APEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT2_FORCE_INTERNAL_APEDMAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0                   _MK_ADDR_CONST(0xd20)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                       0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                         _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_PTCR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_PTCR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_PTCR_RANGE                       0:0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_PTCR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_PTCR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_PTCR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_PTCR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_PTCR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_PTCR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_PTCR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7R_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7R_RANGE                      1:1
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7W_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7W_RANGE                      2:2
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_MIU7W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HDAR_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HDAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HDAR_RANGE                       21:21
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HDAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HDAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HDAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HDAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HDAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HDAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HDAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HOST1XDMAR_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HOST1XDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HOST1XDMAR_RANGE                 22:22
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HOST1XDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_HOST1XDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD_RANGE                   28:28
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_SATAR_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_SATAR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_SATAR_RANGE                      31:31
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_SATAR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_SATAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_SATAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_SATAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_SATAR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_SATAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT4_FORCE_INTERNAL_SATAR_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0                   _MK_ADDR_CONST(0xd74)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                       0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                         _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCORER_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCORER_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCORER_RANGE                    7:7
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCORER_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCORER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCORER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCORER_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCORER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCORER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_NVENCSWR_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_NVENCSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_NVENCSWR_RANGE                   11:11
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_NVENCSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_NVENCSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_NVENCSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_NVENCSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_HDAW_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_HDAW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_HDAW_RANGE                       21:21
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_HDAW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_HDAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_HDAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_HDAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_HDAW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_HDAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_HDAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCOREW_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCOREW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCOREW_RANGE                    25:25
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCOREW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCOREW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCOREW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCOREW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_MPCOREW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_SATAW_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_SATAW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_SATAW_RANGE                      29:29
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_SATAW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_SATAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_SATAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_SATAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_SATAW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_SATAW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT5_FORCE_INTERNAL_SATAW_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0                  _MK_ADDR_CONST(0xc2c)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_APEDMAW_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_APEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_APEDMAW_RANGE                    0:0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_APEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_APEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_APEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_APEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_APEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_APEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_APEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_APEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_APEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_APEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDISPLAYR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDISPLAYR1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDISPLAYR1_RANGE                        1:1
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDISPLAYR1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDISPLAYR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDISPLAYR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDISPLAYR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDISPLAYR1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDISPLAYR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDISPLAYR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VICSRD1_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VICSRD1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VICSRD1_RANGE                    2:2
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VICSRD1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VICSRD1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VICSRD1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VICSRD1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VICSRD1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VICSRD1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VICSRD1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VICSRD1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VICSRD1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VICSRD1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDECSRD1_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDECSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDECSRD1_RANGE                  3:3
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDECSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDECSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDECSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDECSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDECSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDECSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDECSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVDECSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0R_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0R_RANGE                      6:6
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0W_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0W_RANGE                      7:7
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1R_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1R_RANGE                      8:8
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1W_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1W_RANGE                      9:9
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2R_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2R_RANGE                      14:14
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2W_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2W_RANGE                      15:15
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3R_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3R_RANGE                      16:16
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3W_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3W_RANGE                      17:17
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4R_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4R_RANGE                      18:18
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4W_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4W_RANGE                      19:19
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_MIU4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUR_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUR_RANGE                      20:20
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUW_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUW_RANGE                      21:21
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DPMUW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0R_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0R_RANGE                      22:22
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0W_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0W_RANGE                      23:23
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1R_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1R_RANGE                      24:24
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1W_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1W_RANGE                      25:25
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2R_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2R_RANGE                      26:26
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2W_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2W_RANGE                      27:27
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_NVL2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALR_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALR_RANGE                     28:28
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALW_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALW_RANGE                     29:29
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_VIFALW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0RDA_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0RDA_RANGE                    30:30
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0FALRDB_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0FALRDB_RANGE                 31:31
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0_CARVEOUT1_ALLOW_DLA0FALRDB_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0                   _MK_ADDR_CONST(0xc30)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                       0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                         _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_PTCR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_PTCR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_PTCR_RANGE                       0:0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_PTCR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_PTCR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_PTCR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_PTCR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_PTCR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_PTCR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_PTCR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7R_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7R_RANGE                      1:1
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7W_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7W_RANGE                      2:2
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_MIU7W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HDAR_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HDAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HDAR_RANGE                       21:21
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HDAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HDAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HDAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HDAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HDAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HDAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HDAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HOST1XDMAR_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HOST1XDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HOST1XDMAR_RANGE                 22:22
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HOST1XDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_HOST1XDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD_RANGE                   28:28
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_SATAR_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_SATAR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_SATAR_RANGE                      31:31
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_SATAR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_SATAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_SATAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_SATAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_SATAR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_SATAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT1_FORCE_INTERNAL_SATAR_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0                  _MK_ADDR_CONST(0xd8c)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4R_RANGE                     0:0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4W_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4W_RANGE                     1:1
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE4W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R_RANGE                     2:2
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5W_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5W_RANGE                     3:3
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPFALW_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPFALW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPFALW_RANGE                    4:4
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPFALW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPFALW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPFALW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPFALW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPFALW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPFALW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPFALW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPFALW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPFALW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPFALW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3R_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3R_RANGE                      5:5
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3W_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3W_RANGE                      6:6
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4R_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4R_RANGE                      7:7
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4W_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4W_RANGE                      8:8
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA0RDA1_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA0RDA1_RANGE                   9:9
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA1RDA1_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA1RDA1_RANGE                   10:10
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_DLA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDA1_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDA1_RANGE                   11:11
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDB1_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDB1_RANGE                   12:12
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA0RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDA1_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDA1_RANGE                   13:13
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDB1_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDB1_RANGE                   14:14
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PVA1RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R1_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R1_RANGE                    15:15
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE5R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENCSRD1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENCSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENCSRD1_RANGE                  16:16
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENCSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENCSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENCSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENCSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENCSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENCSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENCSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENCSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENC1SRD1_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENC1SRD1_RANGE                 17:17
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVENC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPRA1_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPRA1_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPRA1_RANGE                     18:18
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPRA1_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPRA1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPRA1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPRA1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPRA1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPRA1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPRA1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPRA1_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPRA1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_ISPRA1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE0R1_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE0R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE0R1_RANGE                    19:19
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE0R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE0R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE0R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE0R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE0R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE0R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE0R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE0R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_PCIE0R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL0RHP_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL0RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL0RHP_RANGE                    20:20
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL0RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL0RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL0RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL0RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL0RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL0RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL0RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL0RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL0RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL1RHP_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL1RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL1RHP_RANGE                    21:21
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL1RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL1RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL1RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL1RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL1RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL1RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL1RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL1RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL1RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL2RHP_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL2RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL2RHP_RANGE                    22:22
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL2RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL2RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL2RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL2RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL2RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL2RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL2RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL2RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL2RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3RHP_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3RHP_RANGE                    23:23
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL3RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4RHP_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4RHP_RANGE                    24:24
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVL4RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD_RANGE                  25:25
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD1_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD1_RANGE                 26:26
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SWR_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SWR_RANGE                  27:27
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_NVDEC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5R_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5R_RANGE                      28:28
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5W_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5W_RANGE                      29:29
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU5W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6R_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6R_RANGE                      30:30
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6W_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6W_RANGE                      31:31
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0_CARVEOUT5_ALLOW_MIU6W_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0                   _MK_ADDR_CONST(0xd80)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                       0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                         _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESRD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESRD_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESRD_RANGE                      0:0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESRD_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESRD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESRD_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESRD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESRD_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESWR_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESWR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESWR_RANGE                      1:1
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESWR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESWR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESWR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESWR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESWR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESWR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SESWR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPW_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPW_RANGE                     3:3
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXIAPW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRR_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRR_RANGE                       4:4
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRW_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRW_RANGE                       5:5
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_ETRW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSRDB_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSRDB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSRDB_RANGE                   6:6
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSRDB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSRDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSRDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSRDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSWRB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSWRB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSWRB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSWRB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSWRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSWRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_TSECSWRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISR_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISR_RANGE                      12:12
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISW_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISW_RANGE                      13:13
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AXISW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSR_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSR_RANGE                      14:14
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSW_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSW_RANGE                      15:15
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_EQOSW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCR_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCR_RANGE                     16:16
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCW_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCW_RANGE                     17:17
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_UFSHCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR_RANGE                 18:18
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPR_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPR_RANGE                      19:19
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPW_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPW_RANGE                      20:20
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAR_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAR_RANGE                   21:21
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAW_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAW_RANGE                   22:22
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_BPMPDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONR_RANGE                       23:23
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONW_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONW_RANGE                       24:24
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAR_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAR_RANGE                    25:25
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAW_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAW_RANGE                    26:26
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_AONDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCER_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCER_RANGE                       27:27
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEW_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEW_RANGE                       28:28
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAR_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAR_RANGE                    29:29
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAW_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAW_RANGE                    30:30
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_SCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_APEDMAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_APEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_APEDMAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_APEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_APEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_APEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_APEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT5_FORCE_INTERNAL_APEDMAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0                  _MK_ADDR_CONST(0xccc)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_APEDMAW_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_APEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_APEDMAW_RANGE                    0:0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_APEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_APEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_APEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_APEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_APEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_APEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_APEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_APEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_APEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_APEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDISPLAYR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDISPLAYR1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDISPLAYR1_RANGE                        1:1
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDISPLAYR1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDISPLAYR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDISPLAYR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDISPLAYR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDISPLAYR1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDISPLAYR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDISPLAYR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VICSRD1_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VICSRD1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VICSRD1_RANGE                    2:2
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VICSRD1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VICSRD1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VICSRD1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VICSRD1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VICSRD1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VICSRD1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VICSRD1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VICSRD1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VICSRD1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VICSRD1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDECSRD1_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDECSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDECSRD1_RANGE                  3:3
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDECSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDECSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDECSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDECSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDECSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDECSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDECSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVDECSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0R_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0R_RANGE                      6:6
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0W_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0W_RANGE                      7:7
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1R_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1R_RANGE                      8:8
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1W_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1W_RANGE                      9:9
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2R_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2R_RANGE                      14:14
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2W_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2W_RANGE                      15:15
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3R_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3R_RANGE                      16:16
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3W_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3W_RANGE                      17:17
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4R_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4R_RANGE                      18:18
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4W_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4W_RANGE                      19:19
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_MIU4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUR_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUR_RANGE                      20:20
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUW_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUW_RANGE                      21:21
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DPMUW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0R_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0R_RANGE                      22:22
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0W_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0W_RANGE                      23:23
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1R_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1R_RANGE                      24:24
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1W_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1W_RANGE                      25:25
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2R_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2R_RANGE                      26:26
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2W_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2W_RANGE                      27:27
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_NVL2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALR_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALR_RANGE                     28:28
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALW_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALW_RANGE                     29:29
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_VIFALW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0RDA_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0RDA_RANGE                    30:30
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0FALRDB_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0FALRDB_RANGE                 31:31
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0_CARVEOUT3_ALLOW_DLA0FALRDB_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT3_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0                      _MK_ADDR_CONST(0xcb4)
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_SECURE                       0x0
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_DUAL                         0x0
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_SCR                  0
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_WORD_COUNT                   0x1
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_RESET_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_READ_MASK                    _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_WRITE_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_128KB_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_128KB_FIELD                 _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_128KB_RANGE                 11:0
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_128KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_128KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_128KB_DEFAULT_MASK                  _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_128KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_128KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_128KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_4KB_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_4KB_FIELD                   _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_4KB_RANGE                   31:27
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_4KB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_4KB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_4KB_DEFAULT_MASK                    _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_4KB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_4KB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_4KB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_SIZE_128KB_0_MC_SECURITY_CARVEOUT3_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT2_CFG0_0
#define MC_SECURITY_CARVEOUT2_CFG0_0                    _MK_ADDR_CONST(0xc58)
#define MC_SECURITY_CARVEOUT2_CFG0_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT2_CFG0_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT2_CFG0_0_SCR                        0
#define MC_SECURITY_CARVEOUT2_CFG0_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT2_CFG0_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_RESET_MASK                         _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT2_CFG0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_READ_MASK                  _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT2_CFG0_0_WRITE_MASK                         _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_PROTECT_MODE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_PROTECT_MODE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_PROTECT_MODE_RANGE                   0:0
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_PROTECT_MODE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_PROTECT_MODE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_PROTECT_MODE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_PROTECT_MODE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_PROTECT_MODE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_PROTECT_MODE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_PROTECT_MODE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_PROTECT_MODE_INIT_ENUM                       LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_PROTECT_MODE_LOCKBIT_SECURE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_PROTECT_MODE_TZ_SECURE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_LOCK_MODE_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_LOCK_MODE_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_LOCK_MODE_RANGE                      1:1
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_LOCK_MODE_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_LOCK_MODE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_LOCK_MODE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_LOCK_MODE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_LOCK_MODE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_LOCK_MODE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_LOCK_MODE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_LOCK_MODE_INIT_ENUM                  UNLOCKED
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_LOCK_MODE_UNLOCKED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_LOCK_MODE_LOCKED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ADDRESS_TYPE_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ADDRESS_TYPE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ADDRESS_TYPE_RANGE                   2:2
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ADDRESS_TYPE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ADDRESS_TYPE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ADDRESS_TYPE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ADDRESS_TYPE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ADDRESS_TYPE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ADDRESS_TYPE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ADDRESS_TYPE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ADDRESS_TYPE_INIT_ENUM                       ANY_ADDRESS
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ADDRESS_TYPE_ANY_ADDRESS                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ADDRESS_TYPE_UNTRANSLATED_ONLY                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_READ_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_READ_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_READ_ACCESS_LEVEL_RANGE                      6:3
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_READ_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_READ_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_READ_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_READ_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_READ_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_WRITE_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_WRITE_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_WRITE_ACCESS_LEVEL_RANGE                     10:7
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_WRITE_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_WRITE_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_WRITE_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_WRITE_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_FIELD                    _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_RANGE                    13:11
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                        _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                        17:14
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                       _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                       21:18
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_SEND_CFG_TO_GPU_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_SEND_CFG_TO_GPU_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_SEND_CFG_TO_GPU_RANGE                        22:22
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_SEND_CFG_TO_GPU_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_SEND_CFG_TO_GPU_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_SEND_CFG_TO_GPU_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_SEND_CFG_TO_GPU_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_SEND_CFG_TO_GPU_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_SEND_CFG_TO_GPU_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_SEND_CFG_TO_GPU_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_SEND_CFG_TO_GPU_ENABLED                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_WR_EN_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_WR_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_WR_EN_RANGE                        23:23
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_WR_EN_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_WR_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_WR_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_WR_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_WR_EN_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_WR_EN_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_WR_EN_BYPASS_CHECK                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_RD_EN_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_RD_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_RD_EN_RANGE                        24:24
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_RD_EN_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_RD_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_RD_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_RD_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_RD_EN_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_RD_EN_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_TZ_GLOBAL_RD_EN_BYPASS_CHECK                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ALLOW_APERTURE_ID_MISMATCH_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ALLOW_APERTURE_ID_MISMATCH_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ALLOW_APERTURE_ID_MISMATCH_RANGE                     25:25
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                 DISABLED
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ALLOW_APERTURE_ID_MISMATCH_DISABLED                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_ALLOW_APERTURE_ID_MISMATCH_ENABLED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_FORCE_APERTURE_ID_MATCH_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_FORCE_APERTURE_ID_MATCH_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_FORCE_APERTURE_ID_MATCH_RANGE                        26:26
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_FORCE_APERTURE_ID_MATCH_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_FORCE_APERTURE_ID_MATCH_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_FORCE_APERTURE_ID_MATCH_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_FORCE_APERTURE_ID_MATCH_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_FORCE_APERTURE_ID_MATCH_ENABLED                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_IS_WPR_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_IS_WPR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_IS_WPR_RANGE                 27:27
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_IS_WPR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_IS_WPR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_IS_WPR_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_IS_WPR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_IS_WPR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_IS_WPR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_IS_WPR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_IS_WPR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_IS_WPR_ENABLED                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_HI_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_HI_FIELD                 _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_HI_RANGE                 29:28
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_HI_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_HI_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_HI_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_HI_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_HI_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_HI_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_APERTURE_ID_HI_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_CPU_SECURE_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_CPU_SECURE_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_CPU_SECURE_RANGE                     31:31
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_CPU_SECURE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_CPU_SECURE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_CPU_SECURE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_CPU_SECURE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_CPU_SECURE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_CPU_SECURE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_CPU_SECURE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_CPU_SECURE_INIT_ENUM                 NO
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_CPU_SECURE_NO                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CFG0_0_MC_SECURITY_CARVEOUT2_CPU_SECURE_YES                       _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT1_CFG0_0
#define MC_SECURITY_CARVEOUT1_CFG0_0                    _MK_ADDR_CONST(0xc08)
#define MC_SECURITY_CARVEOUT1_CFG0_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT1_CFG0_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT1_CFG0_0_SCR                        0
#define MC_SECURITY_CARVEOUT1_CFG0_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT1_CFG0_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_RESET_MASK                         _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT1_CFG0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_READ_MASK                  _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT1_CFG0_0_WRITE_MASK                         _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_PROTECT_MODE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_PROTECT_MODE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_PROTECT_MODE_RANGE                   0:0
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_PROTECT_MODE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_PROTECT_MODE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_PROTECT_MODE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_PROTECT_MODE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_PROTECT_MODE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_PROTECT_MODE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_PROTECT_MODE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_PROTECT_MODE_INIT_ENUM                       LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_PROTECT_MODE_LOCKBIT_SECURE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_PROTECT_MODE_TZ_SECURE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_LOCK_MODE_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_LOCK_MODE_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_LOCK_MODE_RANGE                      1:1
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_LOCK_MODE_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_LOCK_MODE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_LOCK_MODE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_LOCK_MODE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_LOCK_MODE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_LOCK_MODE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_LOCK_MODE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_LOCK_MODE_INIT_ENUM                  UNLOCKED
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_LOCK_MODE_UNLOCKED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_LOCK_MODE_LOCKED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ADDRESS_TYPE_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ADDRESS_TYPE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ADDRESS_TYPE_RANGE                   2:2
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ADDRESS_TYPE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ADDRESS_TYPE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ADDRESS_TYPE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ADDRESS_TYPE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ADDRESS_TYPE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ADDRESS_TYPE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ADDRESS_TYPE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ADDRESS_TYPE_INIT_ENUM                       ANY_ADDRESS
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ADDRESS_TYPE_ANY_ADDRESS                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ADDRESS_TYPE_UNTRANSLATED_ONLY                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_READ_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_READ_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_READ_ACCESS_LEVEL_RANGE                      6:3
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_READ_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_READ_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_READ_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_READ_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_READ_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_WRITE_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_WRITE_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_WRITE_ACCESS_LEVEL_RANGE                     10:7
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_WRITE_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_WRITE_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_WRITE_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_WRITE_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_FIELD                    _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_RANGE                    13:11
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                        _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                        17:14
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                       _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                       21:18
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_SEND_CFG_TO_GPU_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_SEND_CFG_TO_GPU_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_SEND_CFG_TO_GPU_RANGE                        22:22
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_SEND_CFG_TO_GPU_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_SEND_CFG_TO_GPU_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_SEND_CFG_TO_GPU_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_SEND_CFG_TO_GPU_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_SEND_CFG_TO_GPU_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_SEND_CFG_TO_GPU_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_SEND_CFG_TO_GPU_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_SEND_CFG_TO_GPU_ENABLED                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_WR_EN_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_WR_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_WR_EN_RANGE                        23:23
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_WR_EN_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_WR_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_WR_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_WR_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_WR_EN_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_WR_EN_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_WR_EN_BYPASS_CHECK                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_RD_EN_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_RD_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_RD_EN_RANGE                        24:24
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_RD_EN_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_RD_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_RD_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_RD_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_RD_EN_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_RD_EN_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_TZ_GLOBAL_RD_EN_BYPASS_CHECK                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ALLOW_APERTURE_ID_MISMATCH_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ALLOW_APERTURE_ID_MISMATCH_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ALLOW_APERTURE_ID_MISMATCH_RANGE                     25:25
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                 DISABLED
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ALLOW_APERTURE_ID_MISMATCH_DISABLED                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_ALLOW_APERTURE_ID_MISMATCH_ENABLED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_FORCE_APERTURE_ID_MATCH_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_FORCE_APERTURE_ID_MATCH_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_FORCE_APERTURE_ID_MATCH_RANGE                        26:26
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_FORCE_APERTURE_ID_MATCH_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_FORCE_APERTURE_ID_MATCH_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_FORCE_APERTURE_ID_MATCH_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_FORCE_APERTURE_ID_MATCH_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_FORCE_APERTURE_ID_MATCH_ENABLED                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_IS_WPR_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_IS_WPR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_IS_WPR_RANGE                 27:27
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_IS_WPR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_IS_WPR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_IS_WPR_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_IS_WPR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_IS_WPR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_IS_WPR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_IS_WPR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_IS_WPR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_IS_WPR_ENABLED                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_HI_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_HI_FIELD                 _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_HI_RANGE                 29:28
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_HI_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_HI_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_HI_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_HI_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_HI_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_HI_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_APERTURE_ID_HI_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_CPU_SECURE_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_CPU_SECURE_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_CPU_SECURE_RANGE                     31:31
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_CPU_SECURE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_CPU_SECURE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_CPU_SECURE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_CPU_SECURE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_CPU_SECURE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_CPU_SECURE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_CPU_SECURE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_CPU_SECURE_INIT_ENUM                 NO
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_CPU_SECURE_NO                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CFG0_0_MC_SECURITY_CARVEOUT1_CPU_SECURE_YES                       _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0                   _MK_ADDR_CONST(0xc88)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                       0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                         _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPRA_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPRA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPRA_RANGE                      4:4
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPRA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPRA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPRA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPRA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPRA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPRA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPFALR_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPFALR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPFALR_RANGE                    5:5
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPFALR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPFALR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPFALR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPFALR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPFALR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWA_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWA_RANGE                      6:6
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWB_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWB_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWB_RANGE                      7:7
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWB_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWB_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_ISPWB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTR_RANGE                 10:10
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTW_RANGE                 11:11
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVR_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVR_RANGE                  12:12
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVW_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVW_RANGE                  13:13
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_XUSB_DEVW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSRD_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSRD_RANGE                    20:20
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSWR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSWR_RANGE                    21:21
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT2_FORCE_INTERNAL_TSECSWR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0                  _MK_ADDR_CONST(0xc68)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_PTCR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_PTCR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_PTCR_RANGE                       0:0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_PTCR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_PTCR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_PTCR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_PTCR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_PTCR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_PTCR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_PTCR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_PTCR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_PTCR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_PTCR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7R_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7R_RANGE                      1:1
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7W_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7W_RANGE                      2:2
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_MIU7W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HDAR_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HDAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HDAR_RANGE                       21:21
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HDAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HDAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HDAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HDAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HDAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HDAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HDAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HDAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HDAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HDAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HOST1XDMAR_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HOST1XDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HOST1XDMAR_RANGE                 22:22
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HOST1XDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HOST1XDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HOST1XDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HOST1XDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HOST1XDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HOST1XDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HOST1XDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_HOST1XDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_NVENCSRD_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_NVENCSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_NVENCSRD_RANGE                   28:28
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_NVENCSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_NVENCSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_NVENCSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_NVENCSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_NVENCSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_NVENCSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_NVENCSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_NVENCSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_NVENCSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_SATAR_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_SATAR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_SATAR_RANGE                      31:31
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_SATAR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_SATAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_SATAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_SATAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_SATAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_SATAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_SATAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_SATAR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_SATAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0_CARVEOUT2_ALLOW_SATAR_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0                  _MK_ADDR_CONST(0xc4c)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4R_RANGE                     0:0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4W_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4W_RANGE                     1:1
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE4W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R_RANGE                     2:2
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5W_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5W_RANGE                     3:3
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPFALW_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPFALW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPFALW_RANGE                    4:4
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPFALW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPFALW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPFALW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPFALW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPFALW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPFALW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPFALW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPFALW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPFALW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPFALW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3R_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3R_RANGE                      5:5
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3W_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3W_RANGE                      6:6
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4R_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4R_RANGE                      7:7
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4W_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4W_RANGE                      8:8
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA0RDA1_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA0RDA1_RANGE                   9:9
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA1RDA1_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA1RDA1_RANGE                   10:10
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_DLA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDA1_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDA1_RANGE                   11:11
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDB1_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDB1_RANGE                   12:12
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA0RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDA1_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDA1_RANGE                   13:13
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDB1_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDB1_RANGE                   14:14
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PVA1RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R1_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R1_RANGE                    15:15
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE5R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENCSRD1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENCSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENCSRD1_RANGE                  16:16
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENCSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENCSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENCSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENCSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENCSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENCSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENCSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENCSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENC1SRD1_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENC1SRD1_RANGE                 17:17
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVENC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPRA1_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPRA1_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPRA1_RANGE                     18:18
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPRA1_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPRA1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPRA1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPRA1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPRA1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPRA1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPRA1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPRA1_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPRA1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_ISPRA1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE0R1_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE0R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE0R1_RANGE                    19:19
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE0R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE0R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE0R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE0R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE0R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE0R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE0R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE0R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_PCIE0R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL0RHP_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL0RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL0RHP_RANGE                    20:20
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL0RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL0RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL0RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL0RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL0RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL0RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL0RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL0RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL0RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL1RHP_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL1RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL1RHP_RANGE                    21:21
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL1RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL1RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL1RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL1RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL1RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL1RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL1RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL1RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL1RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL2RHP_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL2RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL2RHP_RANGE                    22:22
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL2RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL2RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL2RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL2RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL2RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL2RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL2RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL2RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL2RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3RHP_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3RHP_RANGE                    23:23
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL3RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4RHP_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4RHP_RANGE                    24:24
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVL4RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD_RANGE                  25:25
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD1_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD1_RANGE                 26:26
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SWR_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SWR_RANGE                  27:27
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_NVDEC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5R_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5R_RANGE                      28:28
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5W_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5W_RANGE                      29:29
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU5W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6R_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6R_RANGE                      30:30
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6W_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6W_RANGE                      31:31
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0_CARVEOUT1_ALLOW_MIU6W_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT3_BOM_0
#define MC_SECURITY_CARVEOUT3_BOM_0                     _MK_ADDR_CONST(0xcac)
#define MC_SECURITY_CARVEOUT3_BOM_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT3_BOM_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT3_BOM_0_SCR                         0
#define MC_SECURITY_CARVEOUT3_BOM_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT3_BOM_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_BOM_0_RESET_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT3_BOM_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_BOM_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_BOM_0_READ_MASK                   _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT3_BOM_0_WRITE_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT3_BOM_0_MC_SECURITY_CARVEOUT3_BOM_RANGE_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT3_BOM_0_MC_SECURITY_CARVEOUT3_BOM_RANGE_FIELD                       _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT3_BOM_0_MC_SECURITY_CARVEOUT3_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT3_BOM_0_MC_SECURITY_CARVEOUT3_BOM_RANGE_RANGE                       31:12
#define MC_SECURITY_CARVEOUT3_BOM_0_MC_SECURITY_CARVEOUT3_BOM_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_BOM_0_MC_SECURITY_CARVEOUT3_BOM_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_BOM_0_MC_SECURITY_CARVEOUT3_BOM_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT3_BOM_0_MC_SECURITY_CARVEOUT3_BOM_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_BOM_0_MC_SECURITY_CARVEOUT3_BOM_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_BOM_0_MC_SECURITY_CARVEOUT3_BOM_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_BOM_0_MC_SECURITY_CARVEOUT3_BOM_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0                  _MK_ADDR_CONST(0xc70)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPRA_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPRA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPRA_RANGE                      4:4
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPRA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPRA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPRA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPRA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPRA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPRA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPRA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPRA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPRA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPRA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPFALR_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPFALR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPFALR_RANGE                    5:5
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPFALR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPFALR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPFALR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPFALR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPFALR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPFALR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPFALR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPFALR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPFALR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPFALR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWA_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWA_RANGE                      6:6
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWB_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWB_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWB_RANGE                      7:7
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWB_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWB_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_ISPWB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTR_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTR_RANGE                 10:10
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTW_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTW_RANGE                 11:11
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_HOSTW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVR_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVR_RANGE                  12:12
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVW_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVW_RANGE                  13:13
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_XUSB_DEVW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSRD_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSRD_RANGE                    20:20
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSWR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSWR_RANGE                    21:21
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0_CARVEOUT2_ALLOW_TSECSWR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0                   _MK_ADDR_CONST(0xd84)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                       0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                         _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_APEDMAW_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_APEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_APEDMAW_RANGE                    0:0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_APEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_APEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_APEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_APEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_APEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR1_RANGE                        1:1
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VICSRD1_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VICSRD1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VICSRD1_RANGE                    2:2
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VICSRD1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VICSRD1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VICSRD1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VICSRD1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VICSRD1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD1_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD1_RANGE                  3:3
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0R_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0R_RANGE                      6:6
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0W_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0W_RANGE                      7:7
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1R_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1R_RANGE                      8:8
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1W_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1W_RANGE                      9:9
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2R_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2R_RANGE                      14:14
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2W_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2W_RANGE                      15:15
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3R_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3R_RANGE                      16:16
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3W_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3W_RANGE                      17:17
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4R_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4R_RANGE                      18:18
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4W_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4W_RANGE                      19:19
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_MIU4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUR_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUR_RANGE                      20:20
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUW_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUW_RANGE                      21:21
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DPMUW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0R_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0R_RANGE                      22:22
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0W_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0W_RANGE                      23:23
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1R_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1R_RANGE                      24:24
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1W_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1W_RANGE                      25:25
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2R_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2R_RANGE                      26:26
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2W_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2W_RANGE                      27:27
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_NVL2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALR_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALR_RANGE                     28:28
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALW_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALW_RANGE                     29:29
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_VIFALW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA_RANGE                    30:30
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALRDB_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALRDB_RANGE                 31:31
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT5_FORCE_INTERNAL_DLA0FALRDB_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0                   _MK_ADDR_CONST(0xd40)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                       0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0WRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0WRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALWRB_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALWRB_RANGE                 1:1
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA_RANGE                    2:2
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALRDB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALRDB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1WRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1WRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALWRB_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALWRB_RANGE                 5:5
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_DLA1FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDC_RANGE                    8:8
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRA_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRA_RANGE                    9:9
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRB_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRB_RANGE                    10:10
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRC_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRC_RANGE                    11:11
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA0WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA_RANGE                    12:12
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB_RANGE                    13:13
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDC_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDC_RANGE                    14:14
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRA_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRA_RANGE                    15:15
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRB_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRB_RANGE                    16:16
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRC_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRC_RANGE                    17:17
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PVA1WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCER_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCER_RANGE                       18:18
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEW_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEW_RANGE                       19:19
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_RCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD_RANGE                  22:22
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SWR_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SWR_RANGE                  23:23
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R_RANGE                     24:24
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0W_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0W_RANGE                     25:25
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE0W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1R_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1R_RANGE                     26:26
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1W_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1W_RANGE                     27:27
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE1W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AR_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AR_RANGE                    28:28
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE2AW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3R_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3R_RANGE                     30:30
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3W_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3W_RANGE                     31:31
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT4_FORCE_INTERNAL_PCIE3W_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0                   _MK_ADDR_CONST(0xd7c)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                       0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                         _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRAB_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRAB_RANGE                   3:3
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCRAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCW_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCW_RANGE                     6:6
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWAB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWAB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_SDMMCWAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSRD_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSRD_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSRD_RANGE                     12:12
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSRD_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSRD_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSWR_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSWR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSWR_RANGE                     13:13
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSWR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSWR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VICSWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VIW_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VIW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VIW_RANGE                        18:18
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VIW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VIW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VIW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VIW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VIW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VIW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VIW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_VIW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD_RANGE                   24:24
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSWR_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSWR_RANGE                   25:25
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVDECSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APER_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APER_RANGE                       26:26
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APEW_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APEW_RANGE                       27:27
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_APEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSRD_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSRD_RANGE                   30:30
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSWR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSWR_RANGE                   31:31
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT5_FORCE_INTERNAL_NVJPGSWR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0                   _MK_ADDR_CONST(0xc80)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                       0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                         _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_PTCR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_PTCR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_PTCR_RANGE                       0:0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_PTCR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_PTCR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_PTCR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_PTCR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_PTCR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_PTCR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_PTCR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7R_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7R_RANGE                      1:1
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7W_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7W_RANGE                      2:2
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_MIU7W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HDAR_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HDAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HDAR_RANGE                       21:21
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HDAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HDAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HDAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HDAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HDAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HDAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HDAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HOST1XDMAR_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HOST1XDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HOST1XDMAR_RANGE                 22:22
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HOST1XDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_HOST1XDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD_RANGE                   28:28
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_NVENCSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_SATAR_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_SATAR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_SATAR_RANGE                      31:31
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_SATAR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_SATAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_SATAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_SATAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_SATAR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_SATAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT2_FORCE_INTERNAL_SATAR_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0                  _MK_ADDR_CONST(0xd18)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESRD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESRD_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESRD_RANGE                      0:0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESRD_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESRD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESRD_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESRD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESRD_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESWR_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESWR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESWR_RANGE                      1:1
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESWR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESWR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESWR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESWR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESWR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESWR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESWR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESWR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESWR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SESWR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPW_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPW_RANGE                     3:3
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXIAPW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRR_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRR_RANGE                       4:4
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRW_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRW_RANGE                       5:5
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_ETRW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSRDB_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSRDB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSRDB_RANGE                   6:6
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSRDB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSRDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSRDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSRDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSRDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSRDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSRDB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSRDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSRDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSWRB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSWRB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSWRB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSWRB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSWRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSWRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSWRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSWRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSWRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSWRB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSWRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_TSECSWRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISR_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISR_RANGE                      12:12
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISW_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISW_RANGE                      13:13
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AXISW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSR_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSR_RANGE                      14:14
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSW_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSW_RANGE                      15:15
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_EQOSW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCR_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCR_RANGE                     16:16
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCW_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCW_RANGE                     17:17
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_UFSHCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_NVDISPLAYR_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_NVDISPLAYR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_NVDISPLAYR_RANGE                 18:18
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_NVDISPLAYR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_NVDISPLAYR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_NVDISPLAYR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_NVDISPLAYR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_NVDISPLAYR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_NVDISPLAYR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_NVDISPLAYR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_NVDISPLAYR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPR_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPR_RANGE                      19:19
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPW_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPW_RANGE                      20:20
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAR_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAR_RANGE                   21:21
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAW_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAW_RANGE                   22:22
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_BPMPDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONR_RANGE                       23:23
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONW_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONW_RANGE                       24:24
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAR_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAR_RANGE                    25:25
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAW_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAW_RANGE                    26:26
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_AONDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCER_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCER_RANGE                       27:27
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEW_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEW_RANGE                       28:28
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAR_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAR_RANGE                    29:29
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAW_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAW_RANGE                    30:30
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_SCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_APEDMAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_APEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_APEDMAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_APEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_APEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_APEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_APEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_APEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_APEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_APEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_APEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_APEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0_CARVEOUT4_ALLOW_APEDMAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0                   _MK_ADDR_CONST(0xcf0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                       0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0WRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0WRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALWRB_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALWRB_RANGE                 1:1
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA_RANGE                    2:2
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALRDB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALRDB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1WRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1WRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALWRB_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALWRB_RANGE                 5:5
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_DLA1FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDC_RANGE                    8:8
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRA_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRA_RANGE                    9:9
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRB_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRB_RANGE                    10:10
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRC_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRC_RANGE                    11:11
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA0WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA_RANGE                    12:12
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB_RANGE                    13:13
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDC_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDC_RANGE                    14:14
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRA_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRA_RANGE                    15:15
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRB_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRB_RANGE                    16:16
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRC_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRC_RANGE                    17:17
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PVA1WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCER_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCER_RANGE                       18:18
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEW_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEW_RANGE                       19:19
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_RCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD_RANGE                  22:22
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SWR_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SWR_RANGE                  23:23
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R_RANGE                     24:24
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0W_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0W_RANGE                     25:25
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE0W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1R_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1R_RANGE                     26:26
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1W_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1W_RANGE                     27:27
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE1W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AR_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AR_RANGE                    28:28
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE2AW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3R_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3R_RANGE                     30:30
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3W_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3W_RANGE                     31:31
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT3_FORCE_INTERNAL_PCIE3W_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0                  _MK_ADDR_CONST(0xce8)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0WRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0WRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0FALWRB_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0FALWRB_RANGE                 1:1
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA0FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1RDA_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1RDA_RANGE                    2:2
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALRDB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALRDB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1WRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1WRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALWRB_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALWRB_RANGE                 5:5
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_DLA1FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDC_RANGE                    8:8
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRA_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRA_RANGE                    9:9
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRB_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRB_RANGE                    10:10
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRC_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRC_RANGE                    11:11
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA0WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDA_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDA_RANGE                    12:12
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDB_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDB_RANGE                    13:13
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDC_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDC_RANGE                    14:14
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRA_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRA_RANGE                    15:15
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRB_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRB_RANGE                    16:16
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRC_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRC_RANGE                    17:17
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PVA1WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCER_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCER_RANGE                       18:18
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEW_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEW_RANGE                       19:19
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_RCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SRD_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SRD_RANGE                  22:22
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SWR_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SWR_RANGE                  23:23
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_NVENC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0R_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0R_RANGE                     24:24
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0W_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0W_RANGE                     25:25
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE0W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1R_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1R_RANGE                     26:26
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1W_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1W_RANGE                     27:27
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE1W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AR_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AR_RANGE                    28:28
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE2AW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3R_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3R_RANGE                     30:30
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3W_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3W_RANGE                     31:31
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0_CARVEOUT3_ALLOW_PCIE3W_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0                  _MK_ADDR_CONST(0xd1c)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_APEDMAW_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_APEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_APEDMAW_RANGE                    0:0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_APEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_APEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_APEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_APEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_APEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_APEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_APEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_APEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_APEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_APEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDISPLAYR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDISPLAYR1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDISPLAYR1_RANGE                        1:1
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDISPLAYR1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDISPLAYR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDISPLAYR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDISPLAYR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDISPLAYR1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDISPLAYR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDISPLAYR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VICSRD1_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VICSRD1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VICSRD1_RANGE                    2:2
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VICSRD1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VICSRD1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VICSRD1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VICSRD1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VICSRD1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VICSRD1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VICSRD1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VICSRD1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VICSRD1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VICSRD1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDECSRD1_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDECSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDECSRD1_RANGE                  3:3
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDECSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDECSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDECSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDECSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDECSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDECSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDECSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVDECSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0R_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0R_RANGE                      6:6
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0W_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0W_RANGE                      7:7
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1R_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1R_RANGE                      8:8
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1W_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1W_RANGE                      9:9
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2R_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2R_RANGE                      14:14
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2W_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2W_RANGE                      15:15
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3R_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3R_RANGE                      16:16
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3W_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3W_RANGE                      17:17
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4R_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4R_RANGE                      18:18
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4W_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4W_RANGE                      19:19
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_MIU4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUR_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUR_RANGE                      20:20
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUW_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUW_RANGE                      21:21
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DPMUW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0R_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0R_RANGE                      22:22
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0W_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0W_RANGE                      23:23
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1R_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1R_RANGE                      24:24
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1W_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1W_RANGE                      25:25
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2R_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2R_RANGE                      26:26
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2W_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2W_RANGE                      27:27
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_NVL2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALR_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALR_RANGE                     28:28
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALW_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALW_RANGE                     29:29
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_VIFALW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0RDA_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0RDA_RANGE                    30:30
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0FALRDB_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0FALRDB_RANGE                 31:31
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0_CARVEOUT4_ALLOW_DLA0FALRDB_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0                  _MK_ADDR_CONST(0xcbc)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCORER_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCORER_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCORER_RANGE                    7:7
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCORER_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCORER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCORER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCORER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCORER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCORER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCORER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCORER_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCORER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCORER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_NVENCSWR_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_NVENCSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_NVENCSWR_RANGE                   11:11
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_NVENCSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_NVENCSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_NVENCSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_NVENCSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_NVENCSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_NVENCSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_NVENCSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_NVENCSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_NVENCSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_HDAW_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_HDAW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_HDAW_RANGE                       21:21
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_HDAW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_HDAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_HDAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_HDAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_HDAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_HDAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_HDAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_HDAW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_HDAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_HDAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCOREW_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCOREW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCOREW_RANGE                    25:25
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCOREW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCOREW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCOREW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCOREW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCOREW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCOREW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCOREW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCOREW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCOREW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_MPCOREW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_SATAW_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_SATAW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_SATAW_RANGE                      29:29
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_SATAW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_SATAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_SATAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_SATAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_SATAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_SATAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_SATAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_SATAW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_SATAW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0_CARVEOUT3_ALLOW_SATAW_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0                   _MK_ADDR_CONST(0xc3c)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                       0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                         _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRAB_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRAB_RANGE                   3:3
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCRAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCW_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCW_RANGE                     6:6
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWAB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWAB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_SDMMCWAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSRD_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSRD_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSRD_RANGE                     12:12
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSRD_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSRD_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSWR_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSWR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSWR_RANGE                     13:13
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSWR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSWR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VICSWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VIW_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VIW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VIW_RANGE                        18:18
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VIW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VIW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VIW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VIW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VIW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VIW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VIW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_VIW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD_RANGE                   24:24
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSWR_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSWR_RANGE                   25:25
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVDECSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APER_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APER_RANGE                       26:26
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APEW_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APEW_RANGE                       27:27
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_APEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSRD_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSRD_RANGE                   30:30
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSWR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSWR_RANGE                   31:31
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT1_FORCE_INTERNAL_NVJPGSWR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0                   _MK_ADDR_CONST(0xc38)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                       0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                         _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPRA_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPRA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPRA_RANGE                      4:4
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPRA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPRA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPRA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPRA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPRA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPRA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPFALR_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPFALR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPFALR_RANGE                    5:5
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPFALR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPFALR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPFALR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPFALR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPFALR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWA_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWA_RANGE                      6:6
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWB_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWB_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWB_RANGE                      7:7
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWB_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWB_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_ISPWB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTR_RANGE                 10:10
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTW_RANGE                 11:11
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVR_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVR_RANGE                  12:12
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVW_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVW_RANGE                  13:13
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_XUSB_DEVW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSRD_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSRD_RANGE                    20:20
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSWR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSWR_RANGE                    21:21
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT1_FORCE_INTERNAL_TSECSWR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0                  _MK_ADDR_CONST(0xcc0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPRA_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPRA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPRA_RANGE                      4:4
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPRA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPRA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPRA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPRA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPRA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPRA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPRA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPRA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPRA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPRA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPFALR_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPFALR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPFALR_RANGE                    5:5
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPFALR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPFALR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPFALR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPFALR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPFALR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPFALR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPFALR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPFALR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPFALR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPFALR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWA_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWA_RANGE                      6:6
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWB_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWB_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWB_RANGE                      7:7
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWB_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWB_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_ISPWB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTR_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTR_RANGE                 10:10
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTW_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTW_RANGE                 11:11
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_HOSTW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVR_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVR_RANGE                  12:12
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVW_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVW_RANGE                  13:13
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_XUSB_DEVW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSRD_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSRD_RANGE                    20:20
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSWR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSWR_RANGE                    21:21
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0_CARVEOUT3_ALLOW_TSECSWR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0                  _MK_ADDR_CONST(0xd60)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPRA_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPRA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPRA_RANGE                      4:4
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPRA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPRA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPRA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPRA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPRA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPRA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPRA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPRA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPRA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPRA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPFALR_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPFALR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPFALR_RANGE                    5:5
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPFALR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPFALR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPFALR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPFALR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPFALR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPFALR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPFALR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPFALR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPFALR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPFALR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWA_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWA_RANGE                      6:6
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWB_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWB_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWB_RANGE                      7:7
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWB_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWB_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_ISPWB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTR_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTR_RANGE                 10:10
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTW_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTW_RANGE                 11:11
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_HOSTW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVR_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVR_RANGE                  12:12
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVW_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVW_RANGE                  13:13
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_XUSB_DEVW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSRD_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSRD_RANGE                    20:20
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSWR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSWR_RANGE                    21:21
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0_CARVEOUT5_ALLOW_TSECSWR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0                   _MK_ADDR_CONST(0xca0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                       0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0WRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0WRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALWRB_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALWRB_RANGE                 1:1
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA_RANGE                    2:2
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALRDB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALRDB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1WRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1WRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALWRB_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALWRB_RANGE                 5:5
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_DLA1FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDC_RANGE                    8:8
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRA_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRA_RANGE                    9:9
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRB_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRB_RANGE                    10:10
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRC_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRC_RANGE                    11:11
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA0WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA_RANGE                    12:12
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB_RANGE                    13:13
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDC_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDC_RANGE                    14:14
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRA_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRA_RANGE                    15:15
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRB_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRB_RANGE                    16:16
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRC_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRC_RANGE                    17:17
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PVA1WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCER_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCER_RANGE                       18:18
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEW_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEW_RANGE                       19:19
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_RCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD_RANGE                  22:22
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SWR_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SWR_RANGE                  23:23
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_NVENC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R_RANGE                     24:24
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0W_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0W_RANGE                     25:25
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE0W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1R_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1R_RANGE                     26:26
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1W_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1W_RANGE                     27:27
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE1W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AR_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AR_RANGE                    28:28
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE2AW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3R_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3R_RANGE                     30:30
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3W_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3W_RANGE                     31:31
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT2_FORCE_INTERNAL_PCIE3W_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0                   _MK_ADDR_CONST(0xc54)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                       0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4R_RANGE                     0:0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4W_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4W_RANGE                     1:1
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE4W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R_RANGE                     2:2
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5W_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5W_RANGE                     3:3
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPFALW_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPFALW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPFALW_RANGE                    4:4
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPFALW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPFALW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPFALW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPFALW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPFALW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3R_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3R_RANGE                      5:5
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3W_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3W_RANGE                      6:6
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4R_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4R_RANGE                      7:7
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4W_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4W_RANGE                      8:8
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA1_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA1_RANGE                   9:9
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA1_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA1_RANGE                   10:10
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA1_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA1_RANGE                   11:11
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB1_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB1_RANGE                   12:12
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA1_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA1_RANGE                   13:13
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB1_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB1_RANGE                   14:14
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R1_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R1_RANGE                    15:15
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE5R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD1_RANGE                  16:16
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENCSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD1_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD1_RANGE                 17:17
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPRA1_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPRA1_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPRA1_RANGE                     18:18
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPRA1_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPRA1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPRA1_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPRA1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_ISPRA1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R1_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R1_RANGE                    19:19
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL0RHP_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL0RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL0RHP_RANGE                    20:20
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL0RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL0RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL0RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL0RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL1RHP_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL1RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL1RHP_RANGE                    21:21
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL1RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL1RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL1RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL1RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL2RHP_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL2RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL2RHP_RANGE                    22:22
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL2RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL2RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL2RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL2RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3RHP_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3RHP_RANGE                    23:23
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL3RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4RHP_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4RHP_RANGE                    24:24
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVL4RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD_RANGE                  25:25
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD1_RANGE                 26:26
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SWR_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SWR_RANGE                  27:27
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_NVDEC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5R_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5R_RANGE                      28:28
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5W_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5W_RANGE                      29:29
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU5W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6R_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6R_RANGE                      30:30
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6W_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6W_RANGE                      31:31
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT1_FORCE_INTERNAL_MIU6W_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT3_CFG0_0
#define MC_SECURITY_CARVEOUT3_CFG0_0                    _MK_ADDR_CONST(0xca8)
#define MC_SECURITY_CARVEOUT3_CFG0_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT3_CFG0_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT3_CFG0_0_SCR                        0
#define MC_SECURITY_CARVEOUT3_CFG0_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT3_CFG0_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_RESET_MASK                         _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT3_CFG0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_READ_MASK                  _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT3_CFG0_0_WRITE_MASK                         _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_PROTECT_MODE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_PROTECT_MODE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_PROTECT_MODE_RANGE                   0:0
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_PROTECT_MODE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_PROTECT_MODE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_PROTECT_MODE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_PROTECT_MODE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_PROTECT_MODE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_PROTECT_MODE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_PROTECT_MODE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_PROTECT_MODE_INIT_ENUM                       LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_PROTECT_MODE_LOCKBIT_SECURE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_PROTECT_MODE_TZ_SECURE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_LOCK_MODE_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_LOCK_MODE_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_LOCK_MODE_RANGE                      1:1
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_LOCK_MODE_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_LOCK_MODE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_LOCK_MODE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_LOCK_MODE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_LOCK_MODE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_LOCK_MODE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_LOCK_MODE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_LOCK_MODE_INIT_ENUM                  UNLOCKED
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_LOCK_MODE_UNLOCKED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_LOCK_MODE_LOCKED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ADDRESS_TYPE_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ADDRESS_TYPE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ADDRESS_TYPE_RANGE                   2:2
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ADDRESS_TYPE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ADDRESS_TYPE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ADDRESS_TYPE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ADDRESS_TYPE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ADDRESS_TYPE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ADDRESS_TYPE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ADDRESS_TYPE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ADDRESS_TYPE_INIT_ENUM                       ANY_ADDRESS
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ADDRESS_TYPE_ANY_ADDRESS                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ADDRESS_TYPE_UNTRANSLATED_ONLY                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_READ_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_READ_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_READ_ACCESS_LEVEL_RANGE                      6:3
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_READ_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_READ_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_READ_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_READ_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_READ_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_WRITE_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_WRITE_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_WRITE_ACCESS_LEVEL_RANGE                     10:7
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_WRITE_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_WRITE_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_WRITE_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_WRITE_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_FIELD                    _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_RANGE                    13:11
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                        _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                        17:14
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                       _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                       21:18
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_SEND_CFG_TO_GPU_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_SEND_CFG_TO_GPU_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_SEND_CFG_TO_GPU_RANGE                        22:22
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_SEND_CFG_TO_GPU_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_SEND_CFG_TO_GPU_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_SEND_CFG_TO_GPU_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_SEND_CFG_TO_GPU_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_SEND_CFG_TO_GPU_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_SEND_CFG_TO_GPU_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_SEND_CFG_TO_GPU_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_SEND_CFG_TO_GPU_ENABLED                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_WR_EN_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_WR_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_WR_EN_RANGE                        23:23
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_WR_EN_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_WR_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_WR_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_WR_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_WR_EN_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_WR_EN_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_WR_EN_BYPASS_CHECK                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_RD_EN_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_RD_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_RD_EN_RANGE                        24:24
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_RD_EN_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_RD_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_RD_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_RD_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_RD_EN_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_RD_EN_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_TZ_GLOBAL_RD_EN_BYPASS_CHECK                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ALLOW_APERTURE_ID_MISMATCH_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ALLOW_APERTURE_ID_MISMATCH_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ALLOW_APERTURE_ID_MISMATCH_RANGE                     25:25
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                 DISABLED
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ALLOW_APERTURE_ID_MISMATCH_DISABLED                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_ALLOW_APERTURE_ID_MISMATCH_ENABLED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_FORCE_APERTURE_ID_MATCH_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_FORCE_APERTURE_ID_MATCH_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_FORCE_APERTURE_ID_MATCH_RANGE                        26:26
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_FORCE_APERTURE_ID_MATCH_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_FORCE_APERTURE_ID_MATCH_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_FORCE_APERTURE_ID_MATCH_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_FORCE_APERTURE_ID_MATCH_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_FORCE_APERTURE_ID_MATCH_ENABLED                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_IS_WPR_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_IS_WPR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_IS_WPR_RANGE                 27:27
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_IS_WPR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_IS_WPR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_IS_WPR_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_IS_WPR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_IS_WPR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_IS_WPR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_IS_WPR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_IS_WPR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_IS_WPR_ENABLED                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_HI_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_HI_FIELD                 _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_HI_RANGE                 29:28
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_HI_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_HI_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_HI_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_HI_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_HI_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_HI_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_APERTURE_ID_HI_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_CPU_SECURE_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_CPU_SECURE_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_CPU_SECURE_RANGE                     31:31
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_CPU_SECURE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_CPU_SECURE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_CPU_SECURE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_CPU_SECURE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_CPU_SECURE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_CPU_SECURE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_CPU_SECURE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_CPU_SECURE_INIT_ENUM                 NO
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_CPU_SECURE_NO                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CFG0_0_MC_SECURITY_CARVEOUT3_CPU_SECURE_YES                       _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0                  _MK_ADDR_CONST(0xcb8)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_PTCR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_PTCR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_PTCR_RANGE                       0:0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_PTCR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_PTCR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_PTCR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_PTCR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_PTCR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_PTCR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_PTCR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_PTCR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_PTCR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_PTCR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7R_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7R_RANGE                      1:1
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7W_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7W_RANGE                      2:2
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_MIU7W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HDAR_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HDAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HDAR_RANGE                       21:21
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HDAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HDAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HDAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HDAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HDAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HDAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HDAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HDAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HDAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HDAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HOST1XDMAR_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HOST1XDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HOST1XDMAR_RANGE                 22:22
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HOST1XDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HOST1XDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HOST1XDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HOST1XDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HOST1XDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HOST1XDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HOST1XDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_HOST1XDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_NVENCSRD_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_NVENCSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_NVENCSRD_RANGE                   28:28
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_NVENCSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_NVENCSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_NVENCSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_NVENCSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_NVENCSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_NVENCSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_NVENCSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_NVENCSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_NVENCSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_SATAR_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_SATAR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_SATAR_RANGE                      31:31
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_SATAR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_SATAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_SATAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_SATAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_SATAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_SATAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_SATAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_SATAR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_SATAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0_CARVEOUT3_ALLOW_SATAR_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0                   _MK_ADDR_CONST(0xc8c)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                       0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                         _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRAB_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRAB_RANGE                   3:3
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCRAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCW_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCW_RANGE                     6:6
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWAB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWAB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_SDMMCWAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSRD_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSRD_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSRD_RANGE                     12:12
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSRD_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSRD_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSWR_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSWR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSWR_RANGE                     13:13
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSWR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSWR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VICSWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VIW_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VIW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VIW_RANGE                        18:18
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VIW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VIW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VIW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VIW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VIW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VIW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VIW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_VIW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD_RANGE                   24:24
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSWR_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSWR_RANGE                   25:25
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVDECSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APER_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APER_RANGE                       26:26
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APEW_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APEW_RANGE                       27:27
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_APEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSRD_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSRD_RANGE                   30:30
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSWR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSWR_RANGE                   31:31
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT2_FORCE_INTERNAL_NVJPGSWR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT2_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0                      _MK_ADDR_CONST(0xc64)
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_SECURE                       0x0
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_DUAL                         0x0
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_SCR                  0
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_WORD_COUNT                   0x1
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_RESET_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_READ_MASK                    _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_WRITE_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_128KB_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_128KB_FIELD                 _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_128KB_RANGE                 11:0
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_128KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_128KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_128KB_DEFAULT_MASK                  _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_128KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_128KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_128KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_4KB_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_4KB_FIELD                   _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_4KB_RANGE                   31:27
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_4KB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_4KB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_4KB_DEFAULT_MASK                    _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_4KB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_4KB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_4KB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_SIZE_128KB_0_MC_SECURITY_CARVEOUT2_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0                  _MK_ADDR_CONST(0xcec)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4R_RANGE                     0:0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4W_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4W_RANGE                     1:1
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE4W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R_RANGE                     2:2
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5W_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5W_RANGE                     3:3
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPFALW_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPFALW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPFALW_RANGE                    4:4
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPFALW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPFALW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPFALW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPFALW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPFALW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPFALW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPFALW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPFALW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPFALW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPFALW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3R_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3R_RANGE                      5:5
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3W_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3W_RANGE                      6:6
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4R_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4R_RANGE                      7:7
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4W_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4W_RANGE                      8:8
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA0RDA1_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA0RDA1_RANGE                   9:9
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA1RDA1_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA1RDA1_RANGE                   10:10
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_DLA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDA1_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDA1_RANGE                   11:11
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDB1_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDB1_RANGE                   12:12
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA0RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDA1_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDA1_RANGE                   13:13
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDB1_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDB1_RANGE                   14:14
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PVA1RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R1_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R1_RANGE                    15:15
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE5R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENCSRD1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENCSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENCSRD1_RANGE                  16:16
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENCSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENCSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENCSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENCSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENCSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENCSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENCSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENCSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENC1SRD1_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENC1SRD1_RANGE                 17:17
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVENC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPRA1_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPRA1_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPRA1_RANGE                     18:18
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPRA1_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPRA1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPRA1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPRA1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPRA1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPRA1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPRA1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPRA1_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPRA1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_ISPRA1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE0R1_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE0R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE0R1_RANGE                    19:19
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE0R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE0R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE0R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE0R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE0R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE0R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE0R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE0R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_PCIE0R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL0RHP_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL0RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL0RHP_RANGE                    20:20
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL0RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL0RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL0RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL0RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL0RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL0RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL0RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL0RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL0RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL1RHP_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL1RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL1RHP_RANGE                    21:21
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL1RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL1RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL1RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL1RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL1RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL1RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL1RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL1RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL1RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL2RHP_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL2RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL2RHP_RANGE                    22:22
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL2RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL2RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL2RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL2RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL2RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL2RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL2RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL2RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL2RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3RHP_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3RHP_RANGE                    23:23
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL3RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4RHP_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4RHP_RANGE                    24:24
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVL4RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD_RANGE                  25:25
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD1_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD1_RANGE                 26:26
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SWR_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SWR_RANGE                  27:27
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_NVDEC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5R_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5R_RANGE                      28:28
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5W_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5W_RANGE                      29:29
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU5W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6R_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6R_RANGE                      30:30
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6W_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6W_RANGE                      31:31
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0_CARVEOUT3_ALLOW_MIU6W_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT5_BOM_HI_0
#define MC_SECURITY_CARVEOUT5_BOM_HI_0                  _MK_ADDR_CONST(0xd50)
#define MC_SECURITY_CARVEOUT5_BOM_HI_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT5_BOM_HI_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT5_BOM_HI_0_SCR                      0
#define MC_SECURITY_CARVEOUT5_BOM_HI_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT5_BOM_HI_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_BOM_HI_0_RESET_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT5_BOM_HI_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_BOM_HI_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_BOM_HI_0_READ_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT5_BOM_HI_0_WRITE_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT5_BOM_HI_0_MC_SECURITY_CARVEOUT5_BOM_HI_RANGE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT5_BOM_HI_0_MC_SECURITY_CARVEOUT5_BOM_HI_RANGE_FIELD                 _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT5_BOM_HI_0_MC_SECURITY_CARVEOUT5_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT5_BOM_HI_0_MC_SECURITY_CARVEOUT5_BOM_HI_RANGE_RANGE                 7:0
#define MC_SECURITY_CARVEOUT5_BOM_HI_0_MC_SECURITY_CARVEOUT5_BOM_HI_RANGE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_BOM_HI_0_MC_SECURITY_CARVEOUT5_BOM_HI_RANGE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_BOM_HI_0_MC_SECURITY_CARVEOUT5_BOM_HI_RANGE_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT5_BOM_HI_0_MC_SECURITY_CARVEOUT5_BOM_HI_RANGE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_BOM_HI_0_MC_SECURITY_CARVEOUT5_BOM_HI_RANGE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_BOM_HI_0_MC_SECURITY_CARVEOUT5_BOM_HI_RANGE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_BOM_HI_0_MC_SECURITY_CARVEOUT5_BOM_HI_RANGE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT1_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0                      _MK_ADDR_CONST(0xc14)
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_SECURE                       0x0
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_DUAL                         0x0
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_SCR                  0
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_WORD_COUNT                   0x1
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_RESET_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_READ_MASK                    _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_WRITE_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_128KB_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_128KB_FIELD                 _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_128KB_RANGE                 11:0
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_128KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_128KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_128KB_DEFAULT_MASK                  _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_128KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_128KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_128KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_4KB_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_4KB_FIELD                   _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_4KB_RANGE                   31:27
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_4KB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_4KB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_4KB_DEFAULT_MASK                    _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_4KB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_4KB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_4KB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_SIZE_128KB_0_MC_SECURITY_CARVEOUT1_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0                  _MK_ADDR_CONST(0xd14)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRAB_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRAB_RANGE                   3:3
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCRAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCW_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCW_RANGE                     6:6
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWAB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWAB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_SDMMCWAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSRD_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSRD_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSRD_RANGE                     12:12
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSRD_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSRD_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSWR_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSWR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSWR_RANGE                     13:13
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSWR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSWR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VICSWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VIW_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VIW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VIW_RANGE                        18:18
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VIW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VIW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VIW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VIW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VIW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VIW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VIW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VIW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VIW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_VIW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSRD_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSRD_RANGE                   24:24
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSWR_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSWR_RANGE                   25:25
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVDECSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APER_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APER_RANGE                       26:26
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APEW_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APEW_RANGE                       27:27
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_APEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSRD_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSRD_RANGE                   30:30
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSWR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSWR_RANGE                   31:31
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0_CARVEOUT4_ALLOW_NVJPGSWR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0                   _MK_ADDR_CONST(0xd94)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                       0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4R_RANGE                     0:0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4W_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4W_RANGE                     1:1
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE4W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R_RANGE                     2:2
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5W_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5W_RANGE                     3:3
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPFALW_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPFALW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPFALW_RANGE                    4:4
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPFALW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPFALW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPFALW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPFALW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPFALW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3R_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3R_RANGE                      5:5
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3W_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3W_RANGE                      6:6
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4R_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4R_RANGE                      7:7
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4W_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4W_RANGE                      8:8
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA1_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA1_RANGE                   9:9
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA1_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA1_RANGE                   10:10
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_DLA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA1_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA1_RANGE                   11:11
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB1_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB1_RANGE                   12:12
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA0RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA1_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA1_RANGE                   13:13
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB1_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB1_RANGE                   14:14
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PVA1RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R1_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R1_RANGE                    15:15
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE5R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD1_RANGE                  16:16
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD1_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD1_RANGE                 17:17
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVENC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPRA1_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPRA1_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPRA1_RANGE                     18:18
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPRA1_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPRA1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPRA1_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPRA1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_ISPRA1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R1_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R1_RANGE                    19:19
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_PCIE0R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL0RHP_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL0RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL0RHP_RANGE                    20:20
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL0RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL0RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL0RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL0RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL1RHP_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL1RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL1RHP_RANGE                    21:21
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL1RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL1RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL1RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL1RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL2RHP_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL2RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL2RHP_RANGE                    22:22
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL2RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL2RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL2RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL2RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3RHP_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3RHP_RANGE                    23:23
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL3RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4RHP_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4RHP_RANGE                    24:24
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVL4RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD_RANGE                  25:25
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD1_RANGE                 26:26
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SWR_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SWR_RANGE                  27:27
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_NVDEC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5R_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5R_RANGE                      28:28
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5W_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5W_RANGE                      29:29
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU5W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6R_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6R_RANGE                      30:30
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6W_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6W_RANGE                      31:31
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT5_FORCE_INTERNAL_MIU6W_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT1_BOM_0
#define MC_SECURITY_CARVEOUT1_BOM_0                     _MK_ADDR_CONST(0xc0c)
#define MC_SECURITY_CARVEOUT1_BOM_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT1_BOM_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT1_BOM_0_SCR                         0
#define MC_SECURITY_CARVEOUT1_BOM_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT1_BOM_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_BOM_0_RESET_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT1_BOM_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_BOM_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_BOM_0_READ_MASK                   _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT1_BOM_0_WRITE_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT1_BOM_0_MC_SECURITY_CARVEOUT1_BOM_RANGE_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT1_BOM_0_MC_SECURITY_CARVEOUT1_BOM_RANGE_FIELD                       _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT1_BOM_0_MC_SECURITY_CARVEOUT1_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT1_BOM_0_MC_SECURITY_CARVEOUT1_BOM_RANGE_RANGE                       31:12
#define MC_SECURITY_CARVEOUT1_BOM_0_MC_SECURITY_CARVEOUT1_BOM_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_BOM_0_MC_SECURITY_CARVEOUT1_BOM_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_BOM_0_MC_SECURITY_CARVEOUT1_BOM_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT1_BOM_0_MC_SECURITY_CARVEOUT1_BOM_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_BOM_0_MC_SECURITY_CARVEOUT1_BOM_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_BOM_0_MC_SECURITY_CARVEOUT1_BOM_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_BOM_0_MC_SECURITY_CARVEOUT1_BOM_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0                  _MK_ADDR_CONST(0xd3c)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4R_RANGE                     0:0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4W_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4W_RANGE                     1:1
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE4W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R_RANGE                     2:2
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5W_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5W_RANGE                     3:3
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPFALW_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPFALW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPFALW_RANGE                    4:4
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPFALW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPFALW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPFALW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPFALW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPFALW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPFALW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPFALW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPFALW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPFALW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPFALW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3R_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3R_RANGE                      5:5
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3W_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3W_RANGE                      6:6
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4R_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4R_RANGE                      7:7
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4W_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4W_RANGE                      8:8
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA0RDA1_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA0RDA1_RANGE                   9:9
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA1RDA1_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA1RDA1_RANGE                   10:10
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_DLA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDA1_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDA1_RANGE                   11:11
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDB1_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDB1_RANGE                   12:12
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA0RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDA1_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDA1_RANGE                   13:13
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDB1_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDB1_RANGE                   14:14
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PVA1RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R1_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R1_RANGE                    15:15
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE5R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENCSRD1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENCSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENCSRD1_RANGE                  16:16
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENCSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENCSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENCSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENCSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENCSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENCSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENCSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENCSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENC1SRD1_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENC1SRD1_RANGE                 17:17
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVENC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPRA1_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPRA1_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPRA1_RANGE                     18:18
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPRA1_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPRA1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPRA1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPRA1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPRA1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPRA1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPRA1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPRA1_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPRA1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_ISPRA1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE0R1_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE0R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE0R1_RANGE                    19:19
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE0R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE0R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE0R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE0R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE0R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE0R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE0R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE0R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_PCIE0R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL0RHP_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL0RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL0RHP_RANGE                    20:20
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL0RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL0RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL0RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL0RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL0RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL0RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL0RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL0RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL0RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL1RHP_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL1RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL1RHP_RANGE                    21:21
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL1RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL1RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL1RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL1RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL1RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL1RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL1RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL1RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL1RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL2RHP_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL2RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL2RHP_RANGE                    22:22
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL2RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL2RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL2RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL2RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL2RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL2RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL2RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL2RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL2RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3RHP_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3RHP_RANGE                    23:23
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL3RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4RHP_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4RHP_RANGE                    24:24
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVL4RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD_RANGE                  25:25
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD1_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD1_RANGE                 26:26
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SWR_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SWR_RANGE                  27:27
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_NVDEC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5R_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5R_RANGE                      28:28
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5W_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5W_RANGE                      29:29
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU5W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6R_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6R_RANGE                      30:30
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6W_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6W_RANGE                      31:31
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0_CARVEOUT4_ALLOW_MIU6W_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0                   _MK_ADDR_CONST(0xd30)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                       0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                         _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESRD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESRD_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESRD_RANGE                      0:0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESRD_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESRD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESRD_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESRD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESRD_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESWR_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESWR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESWR_RANGE                      1:1
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESWR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESWR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESWR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESWR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESWR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESWR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SESWR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPW_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPW_RANGE                     3:3
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXIAPW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRR_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRR_RANGE                       4:4
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRW_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRW_RANGE                       5:5
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_ETRW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSRDB_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSRDB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSRDB_RANGE                   6:6
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSRDB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSRDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSRDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSRDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSWRB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSWRB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSWRB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSWRB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSWRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSWRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_TSECSWRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISR_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISR_RANGE                      12:12
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISW_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISW_RANGE                      13:13
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AXISW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSR_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSR_RANGE                      14:14
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSW_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSW_RANGE                      15:15
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_EQOSW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCR_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCR_RANGE                     16:16
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCW_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCW_RANGE                     17:17
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_UFSHCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR_RANGE                 18:18
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPR_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPR_RANGE                      19:19
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPW_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPW_RANGE                      20:20
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAR_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAR_RANGE                   21:21
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAW_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAW_RANGE                   22:22
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_BPMPDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONR_RANGE                       23:23
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONW_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONW_RANGE                       24:24
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAR_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAR_RANGE                    25:25
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAW_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAW_RANGE                    26:26
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_AONDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCER_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCER_RANGE                       27:27
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEW_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEW_RANGE                       28:28
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAR_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAR_RANGE                    29:29
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAW_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAW_RANGE                    30:30
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_SCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_APEDMAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_APEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_APEDMAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_APEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_APEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_APEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_APEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT4_FORCE_INTERNAL_APEDMAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0                   _MK_ADDR_CONST(0xd44)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                       0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4R_RANGE                     0:0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4W_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4W_RANGE                     1:1
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE4W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R_RANGE                     2:2
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5W_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5W_RANGE                     3:3
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPFALW_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPFALW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPFALW_RANGE                    4:4
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPFALW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPFALW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPFALW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPFALW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPFALW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3R_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3R_RANGE                      5:5
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3W_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3W_RANGE                      6:6
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4R_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4R_RANGE                      7:7
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4W_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4W_RANGE                      8:8
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA1_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA1_RANGE                   9:9
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA1_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA1_RANGE                   10:10
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_DLA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA1_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA1_RANGE                   11:11
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB1_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB1_RANGE                   12:12
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA0RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA1_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA1_RANGE                   13:13
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB1_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB1_RANGE                   14:14
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PVA1RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R1_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R1_RANGE                    15:15
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE5R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD1_RANGE                  16:16
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENCSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD1_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD1_RANGE                 17:17
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVENC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPRA1_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPRA1_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPRA1_RANGE                     18:18
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPRA1_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPRA1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPRA1_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPRA1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_ISPRA1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R1_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R1_RANGE                    19:19
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_PCIE0R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL0RHP_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL0RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL0RHP_RANGE                    20:20
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL0RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL0RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL0RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL0RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL1RHP_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL1RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL1RHP_RANGE                    21:21
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL1RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL1RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL1RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL1RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL2RHP_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL2RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL2RHP_RANGE                    22:22
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL2RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL2RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL2RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL2RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3RHP_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3RHP_RANGE                    23:23
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL3RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4RHP_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4RHP_RANGE                    24:24
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVL4RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD_RANGE                  25:25
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD1_RANGE                 26:26
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SWR_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SWR_RANGE                  27:27
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_NVDEC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5R_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5R_RANGE                      28:28
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5W_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5W_RANGE                      29:29
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU5W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6R_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6R_RANGE                      30:30
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6W_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6W_RANGE                      31:31
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT4_FORCE_INTERNAL_MIU6W_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0                  _MK_ADDR_CONST(0xd68)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESRD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESRD_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESRD_RANGE                      0:0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESRD_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESRD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESRD_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESRD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESRD_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESWR_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESWR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESWR_RANGE                      1:1
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESWR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESWR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESWR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESWR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESWR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESWR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESWR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESWR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESWR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SESWR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPW_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPW_RANGE                     3:3
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXIAPW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRR_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRR_RANGE                       4:4
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRW_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRW_RANGE                       5:5
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_ETRW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSRDB_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSRDB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSRDB_RANGE                   6:6
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSRDB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSRDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSRDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSRDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSRDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSRDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSRDB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSRDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSRDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSWRB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSWRB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSWRB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSWRB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSWRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSWRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSWRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSWRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSWRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSWRB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSWRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_TSECSWRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISR_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISR_RANGE                      12:12
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISW_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISW_RANGE                      13:13
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AXISW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSR_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSR_RANGE                      14:14
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSW_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSW_RANGE                      15:15
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_EQOSW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCR_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCR_RANGE                     16:16
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCW_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCW_RANGE                     17:17
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_UFSHCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_NVDISPLAYR_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_NVDISPLAYR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_NVDISPLAYR_RANGE                 18:18
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_NVDISPLAYR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_NVDISPLAYR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_NVDISPLAYR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_NVDISPLAYR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_NVDISPLAYR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_NVDISPLAYR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_NVDISPLAYR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_NVDISPLAYR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPR_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPR_RANGE                      19:19
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPW_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPW_RANGE                      20:20
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAR_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAR_RANGE                   21:21
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAW_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAW_RANGE                   22:22
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_BPMPDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONR_RANGE                       23:23
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONW_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONW_RANGE                       24:24
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAR_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAR_RANGE                    25:25
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAW_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAW_RANGE                    26:26
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_AONDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCER_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCER_RANGE                       27:27
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEW_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEW_RANGE                       28:28
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAR_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAR_RANGE                    29:29
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAW_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAW_RANGE                    30:30
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_SCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_APEDMAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_APEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_APEDMAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_APEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_APEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_APEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_APEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_APEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_APEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_APEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_APEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_APEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0_CARVEOUT5_ALLOW_APEDMAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0                  _MK_ADDR_CONST(0xd38)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0WRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0WRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0FALWRB_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0FALWRB_RANGE                 1:1
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA0FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1RDA_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1RDA_RANGE                    2:2
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALRDB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALRDB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1WRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1WRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALWRB_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALWRB_RANGE                 5:5
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_DLA1FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDC_RANGE                    8:8
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRA_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRA_RANGE                    9:9
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRB_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRB_RANGE                    10:10
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRC_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRC_RANGE                    11:11
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA0WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDA_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDA_RANGE                    12:12
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDB_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDB_RANGE                    13:13
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDC_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDC_RANGE                    14:14
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRA_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRA_RANGE                    15:15
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRB_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRB_RANGE                    16:16
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRC_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRC_RANGE                    17:17
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PVA1WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCER_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCER_RANGE                       18:18
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEW_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEW_RANGE                       19:19
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_RCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SRD_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SRD_RANGE                  22:22
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SWR_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SWR_RANGE                  23:23
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_NVENC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0R_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0R_RANGE                     24:24
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0W_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0W_RANGE                     25:25
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE0W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1R_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1R_RANGE                     26:26
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1W_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1W_RANGE                     27:27
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE1W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AR_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AR_RANGE                    28:28
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE2AW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3R_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3R_RANGE                     30:30
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3W_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3W_RANGE                     31:31
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0_CARVEOUT4_ALLOW_PCIE3W_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0                  _MK_ADDR_CONST(0xd58)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_PTCR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_PTCR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_PTCR_RANGE                       0:0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_PTCR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_PTCR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_PTCR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_PTCR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_PTCR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_PTCR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_PTCR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_PTCR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_PTCR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_PTCR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7R_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7R_RANGE                      1:1
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7W_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7W_RANGE                      2:2
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_MIU7W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HDAR_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HDAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HDAR_RANGE                       21:21
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HDAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HDAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HDAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HDAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HDAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HDAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HDAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HDAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HDAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HDAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HOST1XDMAR_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HOST1XDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HOST1XDMAR_RANGE                 22:22
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HOST1XDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HOST1XDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HOST1XDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HOST1XDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HOST1XDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HOST1XDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HOST1XDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_HOST1XDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_NVENCSRD_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_NVENCSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_NVENCSRD_RANGE                   28:28
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_NVENCSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_NVENCSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_NVENCSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_NVENCSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_NVENCSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_NVENCSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_NVENCSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_NVENCSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_NVENCSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_SATAR_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_SATAR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_SATAR_RANGE                      31:31
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_SATAR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_SATAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_SATAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_SATAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_SATAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_SATAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_SATAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_SATAR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_SATAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0_CARVEOUT5_ALLOW_SATAR_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0                  _MK_ADDR_CONST(0xcc8)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESRD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESRD_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESRD_RANGE                      0:0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESRD_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESRD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESRD_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESRD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESRD_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESWR_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESWR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESWR_RANGE                      1:1
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESWR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESWR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESWR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESWR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESWR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESWR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESWR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESWR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESWR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SESWR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPW_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPW_RANGE                     3:3
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXIAPW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRR_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRR_RANGE                       4:4
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRW_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRW_RANGE                       5:5
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_ETRW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSRDB_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSRDB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSRDB_RANGE                   6:6
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSRDB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSRDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSRDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSRDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSRDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSRDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSRDB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSRDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSRDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSWRB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSWRB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSWRB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSWRB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSWRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSWRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSWRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSWRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSWRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSWRB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSWRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_TSECSWRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISR_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISR_RANGE                      12:12
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISW_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISW_RANGE                      13:13
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AXISW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSR_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSR_RANGE                      14:14
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSW_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSW_RANGE                      15:15
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_EQOSW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCR_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCR_RANGE                     16:16
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCW_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCW_RANGE                     17:17
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_UFSHCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_NVDISPLAYR_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_NVDISPLAYR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_NVDISPLAYR_RANGE                 18:18
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_NVDISPLAYR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_NVDISPLAYR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_NVDISPLAYR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_NVDISPLAYR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_NVDISPLAYR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_NVDISPLAYR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_NVDISPLAYR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_NVDISPLAYR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPR_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPR_RANGE                      19:19
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPW_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPW_RANGE                      20:20
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAR_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAR_RANGE                   21:21
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAW_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAW_RANGE                   22:22
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_BPMPDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONR_RANGE                       23:23
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONW_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONW_RANGE                       24:24
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAR_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAR_RANGE                    25:25
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAW_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAW_RANGE                    26:26
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_AONDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCER_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCER_RANGE                       27:27
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEW_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEW_RANGE                       28:28
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAR_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAR_RANGE                    29:29
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAW_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAW_RANGE                    30:30
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_SCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_APEDMAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_APEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_APEDMAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_APEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_APEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_APEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_APEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_APEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_APEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_APEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_APEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_APEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0_CARVEOUT3_ALLOW_APEDMAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0                   _MK_ADDR_CONST(0xce4)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                       0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                         _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_APEDMAW_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_APEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_APEDMAW_RANGE                    0:0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_APEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_APEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_APEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_APEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_APEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR1_RANGE                        1:1
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VICSRD1_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VICSRD1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VICSRD1_RANGE                    2:2
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VICSRD1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VICSRD1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VICSRD1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VICSRD1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VICSRD1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD1_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD1_RANGE                  3:3
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0R_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0R_RANGE                      6:6
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0W_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0W_RANGE                      7:7
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1R_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1R_RANGE                      8:8
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1W_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1W_RANGE                      9:9
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2R_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2R_RANGE                      14:14
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2W_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2W_RANGE                      15:15
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3R_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3R_RANGE                      16:16
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3W_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3W_RANGE                      17:17
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4R_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4R_RANGE                      18:18
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4W_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4W_RANGE                      19:19
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_MIU4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUR_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUR_RANGE                      20:20
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUW_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUW_RANGE                      21:21
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DPMUW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0R_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0R_RANGE                      22:22
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0W_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0W_RANGE                      23:23
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1R_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1R_RANGE                      24:24
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1W_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1W_RANGE                      25:25
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2R_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2R_RANGE                      26:26
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2W_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2W_RANGE                      27:27
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_NVL2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALR_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALR_RANGE                     28:28
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALW_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALW_RANGE                     29:29
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_VIFALW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA_RANGE                    30:30
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALRDB_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALRDB_RANGE                 31:31
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT3_FORCE_INTERNAL_DLA0FALRDB_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0                   _MK_ADDR_CONST(0xd28)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                       0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                         _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPRA_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPRA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPRA_RANGE                      4:4
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPRA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPRA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPRA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPRA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPRA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPRA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPFALR_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPFALR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPFALR_RANGE                    5:5
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPFALR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPFALR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPFALR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPFALR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPFALR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWA_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWA_RANGE                      6:6
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWB_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWB_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWB_RANGE                      7:7
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWB_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWB_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_ISPWB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTR_RANGE                 10:10
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTW_RANGE                 11:11
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVR_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVR_RANGE                  12:12
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVW_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVW_RANGE                  13:13
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_XUSB_DEVW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSRD_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSRD_RANGE                    20:20
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSWR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSWR_RANGE                    21:21
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT4_FORCE_INTERNAL_TSECSWR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0                  _MK_ADDR_CONST(0xcc4)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRAB_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRAB_RANGE                   3:3
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCRAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCW_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCW_RANGE                     6:6
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWAB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWAB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_SDMMCWAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSRD_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSRD_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSRD_RANGE                     12:12
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSRD_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSRD_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSWR_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSWR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSWR_RANGE                     13:13
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSWR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSWR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VICSWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VIW_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VIW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VIW_RANGE                        18:18
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VIW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VIW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VIW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VIW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VIW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VIW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VIW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VIW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VIW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_VIW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSRD_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSRD_RANGE                   24:24
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSWR_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSWR_RANGE                   25:25
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVDECSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APER_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APER_RANGE                       26:26
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APEW_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APEW_RANGE                       27:27
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_APEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSRD_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSRD_RANGE                   30:30
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSWR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSWR_RANGE                   31:31
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0_CARVEOUT3_ALLOW_NVJPGSWR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0                  _MK_ADDR_CONST(0xc78)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESRD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESRD_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESRD_RANGE                      0:0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESRD_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESRD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESRD_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESRD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESRD_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESWR_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESWR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESWR_RANGE                      1:1
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESWR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESWR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESWR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESWR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESWR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESWR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESWR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESWR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESWR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SESWR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPW_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPW_RANGE                     3:3
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXIAPW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRR_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRR_RANGE                       4:4
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRW_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRW_RANGE                       5:5
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_ETRW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSRDB_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSRDB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSRDB_RANGE                   6:6
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSRDB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSRDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSRDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSRDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSRDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSRDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSRDB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSRDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSRDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSWRB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSWRB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSWRB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSWRB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSWRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSWRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSWRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSWRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSWRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSWRB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSWRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_TSECSWRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISR_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISR_RANGE                      12:12
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISW_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISW_RANGE                      13:13
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AXISW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSR_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSR_RANGE                      14:14
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSW_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSW_RANGE                      15:15
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_EQOSW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCR_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCR_RANGE                     16:16
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCW_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCW_RANGE                     17:17
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_UFSHCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_NVDISPLAYR_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_NVDISPLAYR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_NVDISPLAYR_RANGE                 18:18
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_NVDISPLAYR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_NVDISPLAYR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_NVDISPLAYR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_NVDISPLAYR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_NVDISPLAYR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_NVDISPLAYR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_NVDISPLAYR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_NVDISPLAYR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPR_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPR_RANGE                      19:19
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPW_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPW_RANGE                      20:20
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAR_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAR_RANGE                   21:21
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAW_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAW_RANGE                   22:22
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_BPMPDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONR_RANGE                       23:23
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONW_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONW_RANGE                       24:24
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAR_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAR_RANGE                    25:25
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAW_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAW_RANGE                    26:26
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_AONDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCER_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCER_RANGE                       27:27
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEW_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEW_RANGE                       28:28
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAR_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAR_RANGE                    29:29
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAW_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAW_RANGE                    30:30
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_SCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_APEDMAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_APEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_APEDMAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_APEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_APEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_APEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_APEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_APEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_APEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_APEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_APEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_APEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0_CARVEOUT2_ALLOW_APEDMAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0                  _MK_ADDR_CONST(0xc9c)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4R_RANGE                     0:0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4W_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4W_RANGE                     1:1
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE4W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R_RANGE                     2:2
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5W_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5W_RANGE                     3:3
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPFALW_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPFALW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPFALW_RANGE                    4:4
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPFALW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPFALW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPFALW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPFALW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPFALW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPFALW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPFALW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPFALW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPFALW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPFALW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3R_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3R_RANGE                      5:5
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3W_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3W_RANGE                      6:6
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4R_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4R_RANGE                      7:7
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4W_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4W_RANGE                      8:8
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA0RDA1_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA0RDA1_RANGE                   9:9
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA1RDA1_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA1RDA1_RANGE                   10:10
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_DLA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDA1_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDA1_RANGE                   11:11
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDB1_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDB1_RANGE                   12:12
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA0RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDA1_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDA1_RANGE                   13:13
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDB1_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDB1_RANGE                   14:14
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PVA1RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R1_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R1_RANGE                    15:15
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE5R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENCSRD1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENCSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENCSRD1_RANGE                  16:16
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENCSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENCSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENCSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENCSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENCSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENCSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENCSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENCSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENC1SRD1_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENC1SRD1_RANGE                 17:17
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVENC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPRA1_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPRA1_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPRA1_RANGE                     18:18
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPRA1_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPRA1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPRA1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPRA1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPRA1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPRA1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPRA1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPRA1_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPRA1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_ISPRA1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE0R1_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE0R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE0R1_RANGE                    19:19
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE0R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE0R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE0R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE0R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE0R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE0R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE0R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE0R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_PCIE0R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL0RHP_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL0RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL0RHP_RANGE                    20:20
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL0RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL0RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL0RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL0RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL0RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL0RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL0RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL0RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL0RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL1RHP_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL1RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL1RHP_RANGE                    21:21
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL1RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL1RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL1RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL1RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL1RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL1RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL1RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL1RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL1RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL2RHP_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL2RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL2RHP_RANGE                    22:22
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL2RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL2RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL2RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL2RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL2RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL2RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL2RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL2RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL2RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3RHP_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3RHP_RANGE                    23:23
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL3RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4RHP_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4RHP_RANGE                    24:24
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVL4RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD_RANGE                  25:25
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD1_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD1_RANGE                 26:26
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SWR_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SWR_RANGE                  27:27
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_NVDEC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5R_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5R_RANGE                      28:28
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5W_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5W_RANGE                      29:29
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU5W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6R_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6R_RANGE                      30:30
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6W_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6W_RANGE                      31:31
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0_CARVEOUT2_ALLOW_MIU6W_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0                   _MK_ADDR_CONST(0xcf4)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                       0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4R_RANGE                     0:0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4W_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4W_RANGE                     1:1
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE4W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R_RANGE                     2:2
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5W_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5W_RANGE                     3:3
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPFALW_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPFALW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPFALW_RANGE                    4:4
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPFALW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPFALW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPFALW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPFALW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPFALW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3R_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3R_RANGE                      5:5
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3W_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3W_RANGE                      6:6
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4R_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4R_RANGE                      7:7
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4W_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4W_RANGE                      8:8
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA1_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA1_RANGE                   9:9
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA1_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA1_RANGE                   10:10
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_DLA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA1_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA1_RANGE                   11:11
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB1_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB1_RANGE                   12:12
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA0RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA1_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA1_RANGE                   13:13
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB1_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB1_RANGE                   14:14
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PVA1RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R1_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R1_RANGE                    15:15
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE5R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD1_RANGE                  16:16
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD1_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD1_RANGE                 17:17
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVENC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPRA1_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPRA1_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPRA1_RANGE                     18:18
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPRA1_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPRA1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPRA1_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPRA1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_ISPRA1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R1_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R1_RANGE                    19:19
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_PCIE0R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL0RHP_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL0RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL0RHP_RANGE                    20:20
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL0RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL0RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL0RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL0RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL1RHP_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL1RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL1RHP_RANGE                    21:21
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL1RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL1RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL1RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL1RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL2RHP_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL2RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL2RHP_RANGE                    22:22
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL2RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL2RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL2RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL2RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3RHP_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3RHP_RANGE                    23:23
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL3RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4RHP_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4RHP_RANGE                    24:24
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVL4RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD_RANGE                  25:25
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD1_RANGE                 26:26
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SWR_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SWR_RANGE                  27:27
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_NVDEC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5R_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5R_RANGE                      28:28
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5W_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5W_RANGE                      29:29
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU5W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6R_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6R_RANGE                      30:30
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6W_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6W_RANGE                      31:31
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT3_FORCE_INTERNAL_MIU6W_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0                  _MK_ADDR_CONST(0xc1c)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCORER_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCORER_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCORER_RANGE                    7:7
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCORER_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCORER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCORER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCORER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCORER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCORER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCORER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCORER_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCORER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCORER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_NVENCSWR_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_NVENCSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_NVENCSWR_RANGE                   11:11
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_NVENCSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_NVENCSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_NVENCSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_NVENCSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_NVENCSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_NVENCSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_NVENCSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_NVENCSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_NVENCSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_HDAW_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_HDAW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_HDAW_RANGE                       21:21
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_HDAW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_HDAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_HDAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_HDAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_HDAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_HDAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_HDAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_HDAW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_HDAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_HDAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCOREW_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCOREW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCOREW_RANGE                    25:25
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCOREW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCOREW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCOREW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCOREW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCOREW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCOREW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCOREW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCOREW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCOREW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_MPCOREW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_SATAW_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_SATAW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_SATAW_RANGE                      29:29
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_SATAW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_SATAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_SATAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_SATAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_SATAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_SATAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_SATAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_SATAW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_SATAW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0_CARVEOUT1_ALLOW_SATAW_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0                  _MK_ADDR_CONST(0xd88)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0WRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0WRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0FALWRB_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0FALWRB_RANGE                 1:1
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA0FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1RDA_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1RDA_RANGE                    2:2
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALRDB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALRDB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1WRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1WRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALWRB_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALWRB_RANGE                 5:5
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_DLA1FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDC_RANGE                    8:8
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRA_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRA_RANGE                    9:9
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRB_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRB_RANGE                    10:10
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRC_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRC_RANGE                    11:11
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA0WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDA_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDA_RANGE                    12:12
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDB_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDB_RANGE                    13:13
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDC_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDC_RANGE                    14:14
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRA_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRA_RANGE                    15:15
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRB_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRB_RANGE                    16:16
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRC_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRC_RANGE                    17:17
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PVA1WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCER_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCER_RANGE                       18:18
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEW_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEW_RANGE                       19:19
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_RCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SRD_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SRD_RANGE                  22:22
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SWR_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SWR_RANGE                  23:23
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_NVENC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0R_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0R_RANGE                     24:24
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0W_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0W_RANGE                     25:25
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE0W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1R_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1R_RANGE                     26:26
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1W_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1W_RANGE                     27:27
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE1W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AR_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AR_RANGE                    28:28
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE2AW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3R_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3R_RANGE                     30:30
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3W_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3W_RANGE                     31:31
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0_CARVEOUT5_ALLOW_PCIE3W_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0                  _MK_ADDR_CONST(0xc18)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_PTCR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_PTCR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_PTCR_RANGE                       0:0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_PTCR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_PTCR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_PTCR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_PTCR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_PTCR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_PTCR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_PTCR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_PTCR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_PTCR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_PTCR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7R_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7R_RANGE                      1:1
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7W_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7W_RANGE                      2:2
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_MIU7W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HDAR_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HDAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HDAR_RANGE                       21:21
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HDAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HDAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HDAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HDAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HDAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HDAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HDAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HDAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HDAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HDAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HOST1XDMAR_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HOST1XDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HOST1XDMAR_RANGE                 22:22
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HOST1XDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HOST1XDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HOST1XDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HOST1XDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HOST1XDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HOST1XDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HOST1XDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_HOST1XDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_NVENCSRD_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_NVENCSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_NVENCSRD_RANGE                   28:28
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_NVENCSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_NVENCSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_NVENCSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_NVENCSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_NVENCSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_NVENCSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_NVENCSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_NVENCSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_NVENCSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_SATAR_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_SATAR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_SATAR_RANGE                      31:31
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_SATAR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_SATAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_SATAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_SATAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_SATAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_SATAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_SATAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_SATAR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_SATAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0_CARVEOUT1_ALLOW_SATAR_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0                  _MK_ADDR_CONST(0xd5c)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCORER_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCORER_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCORER_RANGE                    7:7
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCORER_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCORER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCORER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCORER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCORER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCORER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCORER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCORER_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCORER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCORER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_NVENCSWR_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_NVENCSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_NVENCSWR_RANGE                   11:11
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_NVENCSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_NVENCSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_NVENCSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_NVENCSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_NVENCSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_NVENCSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_NVENCSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_NVENCSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_NVENCSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_HDAW_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_HDAW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_HDAW_RANGE                       21:21
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_HDAW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_HDAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_HDAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_HDAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_HDAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_HDAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_HDAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_HDAW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_HDAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_HDAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCOREW_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCOREW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCOREW_RANGE                    25:25
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCOREW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCOREW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCOREW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCOREW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCOREW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCOREW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCOREW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCOREW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCOREW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_MPCOREW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_SATAW_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_SATAW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_SATAW_RANGE                      29:29
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_SATAW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_SATAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_SATAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_SATAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_SATAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_SATAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_SATAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_SATAW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_SATAW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0_CARVEOUT5_ALLOW_SATAW_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0                   _MK_ADDR_CONST(0xd2c)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                       0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                         _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRAB_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRAB_RANGE                   3:3
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCRAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCW_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCW_RANGE                     6:6
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWAB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWAB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_SDMMCWAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSRD_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSRD_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSRD_RANGE                     12:12
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSRD_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSRD_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSWR_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSWR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSWR_RANGE                     13:13
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSWR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSWR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VICSWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VIW_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VIW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VIW_RANGE                        18:18
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VIW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VIW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VIW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VIW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VIW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VIW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VIW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_VIW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD_RANGE                   24:24
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSWR_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSWR_RANGE                   25:25
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVDECSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APER_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APER_RANGE                       26:26
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APEW_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APEW_RANGE                       27:27
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_APEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSRD_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSRD_RANGE                   30:30
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSWR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSWR_RANGE                   31:31
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT4_FORCE_INTERNAL_NVJPGSWR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT3_BOM_HI_0
#define MC_SECURITY_CARVEOUT3_BOM_HI_0                  _MK_ADDR_CONST(0xcb0)
#define MC_SECURITY_CARVEOUT3_BOM_HI_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT3_BOM_HI_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT3_BOM_HI_0_SCR                      0
#define MC_SECURITY_CARVEOUT3_BOM_HI_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT3_BOM_HI_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_BOM_HI_0_RESET_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT3_BOM_HI_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_BOM_HI_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_BOM_HI_0_READ_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT3_BOM_HI_0_WRITE_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT3_BOM_HI_0_MC_SECURITY_CARVEOUT3_BOM_HI_RANGE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT3_BOM_HI_0_MC_SECURITY_CARVEOUT3_BOM_HI_RANGE_FIELD                 _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT3_BOM_HI_0_MC_SECURITY_CARVEOUT3_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT3_BOM_HI_0_MC_SECURITY_CARVEOUT3_BOM_HI_RANGE_RANGE                 7:0
#define MC_SECURITY_CARVEOUT3_BOM_HI_0_MC_SECURITY_CARVEOUT3_BOM_HI_RANGE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_BOM_HI_0_MC_SECURITY_CARVEOUT3_BOM_HI_RANGE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_BOM_HI_0_MC_SECURITY_CARVEOUT3_BOM_HI_RANGE_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT3_BOM_HI_0_MC_SECURITY_CARVEOUT3_BOM_HI_RANGE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_BOM_HI_0_MC_SECURITY_CARVEOUT3_BOM_HI_RANGE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_BOM_HI_0_MC_SECURITY_CARVEOUT3_BOM_HI_RANGE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_BOM_HI_0_MC_SECURITY_CARVEOUT3_BOM_HI_RANGE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0                   _MK_ADDR_CONST(0xcdc)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                       0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                         _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRAB_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRAB_RANGE                   3:3
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCRAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCW_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCW_RANGE                     6:6
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWAB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWAB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_SDMMCWAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSRD_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSRD_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSRD_RANGE                     12:12
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSRD_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSRD_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSWR_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSWR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSWR_RANGE                     13:13
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSWR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSWR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VICSWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VIW_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VIW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VIW_RANGE                        18:18
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VIW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VIW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VIW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VIW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VIW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VIW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VIW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_VIW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD_RANGE                   24:24
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSWR_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSWR_RANGE                   25:25
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVDECSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APER_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APER_RANGE                       26:26
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APEW_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APEW_RANGE                       27:27
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_APEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSRD_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSRD_RANGE                   30:30
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSWR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSWR_RANGE                   31:31
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT3_FORCE_INTERNAL_NVJPGSWR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT2_BOM_HI_0
#define MC_SECURITY_CARVEOUT2_BOM_HI_0                  _MK_ADDR_CONST(0xc60)
#define MC_SECURITY_CARVEOUT2_BOM_HI_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT2_BOM_HI_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT2_BOM_HI_0_SCR                      0
#define MC_SECURITY_CARVEOUT2_BOM_HI_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT2_BOM_HI_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_BOM_HI_0_RESET_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT2_BOM_HI_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_BOM_HI_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_BOM_HI_0_READ_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT2_BOM_HI_0_WRITE_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT2_BOM_HI_0_MC_SECURITY_CARVEOUT2_BOM_HI_RANGE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT2_BOM_HI_0_MC_SECURITY_CARVEOUT2_BOM_HI_RANGE_FIELD                 _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT2_BOM_HI_0_MC_SECURITY_CARVEOUT2_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT2_BOM_HI_0_MC_SECURITY_CARVEOUT2_BOM_HI_RANGE_RANGE                 7:0
#define MC_SECURITY_CARVEOUT2_BOM_HI_0_MC_SECURITY_CARVEOUT2_BOM_HI_RANGE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_BOM_HI_0_MC_SECURITY_CARVEOUT2_BOM_HI_RANGE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_BOM_HI_0_MC_SECURITY_CARVEOUT2_BOM_HI_RANGE_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT2_BOM_HI_0_MC_SECURITY_CARVEOUT2_BOM_HI_RANGE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_BOM_HI_0_MC_SECURITY_CARVEOUT2_BOM_HI_RANGE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_BOM_HI_0_MC_SECURITY_CARVEOUT2_BOM_HI_RANGE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_BOM_HI_0_MC_SECURITY_CARVEOUT2_BOM_HI_RANGE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT4_BOM_HI_0
#define MC_SECURITY_CARVEOUT4_BOM_HI_0                  _MK_ADDR_CONST(0xd00)
#define MC_SECURITY_CARVEOUT4_BOM_HI_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT4_BOM_HI_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT4_BOM_HI_0_SCR                      0
#define MC_SECURITY_CARVEOUT4_BOM_HI_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT4_BOM_HI_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_BOM_HI_0_RESET_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT4_BOM_HI_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_BOM_HI_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_BOM_HI_0_READ_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT4_BOM_HI_0_WRITE_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT4_BOM_HI_0_MC_SECURITY_CARVEOUT4_BOM_HI_RANGE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT4_BOM_HI_0_MC_SECURITY_CARVEOUT4_BOM_HI_RANGE_FIELD                 _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT4_BOM_HI_0_MC_SECURITY_CARVEOUT4_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT4_BOM_HI_0_MC_SECURITY_CARVEOUT4_BOM_HI_RANGE_RANGE                 7:0
#define MC_SECURITY_CARVEOUT4_BOM_HI_0_MC_SECURITY_CARVEOUT4_BOM_HI_RANGE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_BOM_HI_0_MC_SECURITY_CARVEOUT4_BOM_HI_RANGE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_BOM_HI_0_MC_SECURITY_CARVEOUT4_BOM_HI_RANGE_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT4_BOM_HI_0_MC_SECURITY_CARVEOUT4_BOM_HI_RANGE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_BOM_HI_0_MC_SECURITY_CARVEOUT4_BOM_HI_RANGE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_BOM_HI_0_MC_SECURITY_CARVEOUT4_BOM_HI_RANGE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_BOM_HI_0_MC_SECURITY_CARVEOUT4_BOM_HI_RANGE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0                  _MK_ADDR_CONST(0xd64)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRAB_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRAB_RANGE                   3:3
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCRAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCW_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCW_RANGE                     6:6
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWAB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWAB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_SDMMCWAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSRD_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSRD_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSRD_RANGE                     12:12
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSRD_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSRD_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSWR_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSWR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSWR_RANGE                     13:13
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSWR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSWR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VICSWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VIW_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VIW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VIW_RANGE                        18:18
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VIW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VIW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VIW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VIW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VIW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VIW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VIW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VIW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VIW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_VIW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSRD_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSRD_RANGE                   24:24
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSWR_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSWR_RANGE                   25:25
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVDECSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APER_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APER_RANGE                       26:26
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APEW_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APEW_RANGE                       27:27
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_APEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSRD_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSRD_RANGE                   30:30
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSWR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSWR_RANGE                   31:31
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0_CARVEOUT5_ALLOW_NVJPGSWR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0                   _MK_ADDR_CONST(0xce0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                       0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                         _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESRD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESRD_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESRD_RANGE                      0:0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESRD_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESRD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESRD_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESRD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESRD_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESWR_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESWR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESWR_RANGE                      1:1
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESWR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESWR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESWR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESWR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESWR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESWR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SESWR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPW_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPW_RANGE                     3:3
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXIAPW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRR_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRR_RANGE                       4:4
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRW_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRW_RANGE                       5:5
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_ETRW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSRDB_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSRDB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSRDB_RANGE                   6:6
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSRDB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSRDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSRDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSRDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSWRB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSWRB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSWRB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSWRB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSWRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSWRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_TSECSWRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISR_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISR_RANGE                      12:12
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISW_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISW_RANGE                      13:13
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AXISW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSR_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSR_RANGE                      14:14
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSW_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSW_RANGE                      15:15
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_EQOSW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCR_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCR_RANGE                     16:16
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCW_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCW_RANGE                     17:17
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_UFSHCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR_RANGE                 18:18
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_NVDISPLAYR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPR_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPR_RANGE                      19:19
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPW_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPW_RANGE                      20:20
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAR_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAR_RANGE                   21:21
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAW_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAW_RANGE                   22:22
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_BPMPDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONR_RANGE                       23:23
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONW_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONW_RANGE                       24:24
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAR_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAR_RANGE                    25:25
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAW_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAW_RANGE                    26:26
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_AONDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCER_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCER_RANGE                       27:27
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEW_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEW_RANGE                       28:28
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAR_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAR_RANGE                    29:29
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAW_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAW_RANGE                    30:30
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_SCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_APEDMAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_APEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_APEDMAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_APEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_APEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_APEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_APEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT3_FORCE_INTERNAL_APEDMAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0                   _MK_ADDR_CONST(0xc84)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                       0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                         _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCORER_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCORER_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCORER_RANGE                    7:7
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCORER_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCORER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCORER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCORER_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCORER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCORER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_NVENCSWR_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_NVENCSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_NVENCSWR_RANGE                   11:11
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_NVENCSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_NVENCSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_NVENCSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_NVENCSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_HDAW_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_HDAW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_HDAW_RANGE                       21:21
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_HDAW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_HDAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_HDAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_HDAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_HDAW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_HDAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_HDAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCOREW_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCOREW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCOREW_RANGE                    25:25
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCOREW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCOREW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCOREW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCOREW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_MPCOREW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_SATAW_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_SATAW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_SATAW_RANGE                      29:29
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_SATAW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_SATAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_SATAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_SATAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_SATAW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_SATAW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT2_FORCE_INTERNAL_SATAW_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT5_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0                      _MK_ADDR_CONST(0xd54)
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_SECURE                       0x0
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_DUAL                         0x0
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_SCR                  0
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_WORD_COUNT                   0x1
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_RESET_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_READ_MASK                    _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_WRITE_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_128KB_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_128KB_FIELD                 _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_128KB_RANGE                 11:0
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_128KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_128KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_128KB_DEFAULT_MASK                  _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_128KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_128KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_128KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_4KB_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_4KB_FIELD                   _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_4KB_RANGE                   31:27
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_4KB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_4KB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_4KB_DEFAULT_MASK                    _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_4KB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_4KB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_4KB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_SIZE_128KB_0_MC_SECURITY_CARVEOUT5_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0                   _MK_ADDR_CONST(0xc94)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                       0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                         _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_APEDMAW_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_APEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_APEDMAW_RANGE                    0:0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_APEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_APEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_APEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_APEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_APEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR1_RANGE                        1:1
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VICSRD1_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VICSRD1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VICSRD1_RANGE                    2:2
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VICSRD1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VICSRD1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VICSRD1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VICSRD1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VICSRD1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD1_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD1_RANGE                  3:3
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVDECSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0R_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0R_RANGE                      6:6
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0W_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0W_RANGE                      7:7
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1R_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1R_RANGE                      8:8
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1W_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1W_RANGE                      9:9
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2R_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2R_RANGE                      14:14
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2W_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2W_RANGE                      15:15
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3R_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3R_RANGE                      16:16
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3W_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3W_RANGE                      17:17
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4R_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4R_RANGE                      18:18
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4W_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4W_RANGE                      19:19
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_MIU4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUR_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUR_RANGE                      20:20
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUW_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUW_RANGE                      21:21
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DPMUW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0R_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0R_RANGE                      22:22
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0W_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0W_RANGE                      23:23
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1R_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1R_RANGE                      24:24
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1W_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1W_RANGE                      25:25
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2R_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2R_RANGE                      26:26
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2W_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2W_RANGE                      27:27
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_NVL2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALR_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALR_RANGE                     28:28
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALW_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALW_RANGE                     29:29
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_VIFALW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA_RANGE                    30:30
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALRDB_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALRDB_RANGE                 31:31
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT2_FORCE_INTERNAL_DLA0FALRDB_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0                   _MK_ADDR_CONST(0xd24)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                       0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                         _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCORER_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCORER_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCORER_RANGE                    7:7
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCORER_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCORER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCORER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCORER_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCORER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCORER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_NVENCSWR_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_NVENCSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_NVENCSWR_RANGE                   11:11
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_NVENCSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_NVENCSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_NVENCSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_NVENCSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_HDAW_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_HDAW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_HDAW_RANGE                       21:21
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_HDAW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_HDAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_HDAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_HDAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_HDAW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_HDAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_HDAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCOREW_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCOREW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCOREW_RANGE                    25:25
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCOREW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCOREW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCOREW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCOREW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_MPCOREW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_SATAW_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_SATAW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_SATAW_RANGE                      29:29
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_SATAW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_SATAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_SATAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_SATAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_SATAW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_SATAW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT4_FORCE_INTERNAL_SATAW_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0                   _MK_ADDR_CONST(0xcd8)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                       0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                         _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPRA_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPRA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPRA_RANGE                      4:4
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPRA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPRA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPRA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPRA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPRA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPRA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPFALR_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPFALR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPFALR_RANGE                    5:5
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPFALR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPFALR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPFALR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPFALR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPFALR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWA_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWA_RANGE                      6:6
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWB_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWB_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWB_RANGE                      7:7
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWB_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWB_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_ISPWB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTR_RANGE                 10:10
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTW_RANGE                 11:11
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVR_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVR_RANGE                  12:12
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVW_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVW_RANGE                  13:13
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_XUSB_DEVW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSRD_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSRD_RANGE                    20:20
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSWR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSWR_RANGE                    21:21
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT3_FORCE_INTERNAL_TSECSWR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0                  _MK_ADDR_CONST(0xd0c)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCORER_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCORER_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCORER_RANGE                    7:7
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCORER_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCORER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCORER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCORER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCORER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCORER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCORER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCORER_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCORER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCORER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_NVENCSWR_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_NVENCSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_NVENCSWR_RANGE                   11:11
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_NVENCSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_NVENCSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_NVENCSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_NVENCSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_NVENCSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_NVENCSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_NVENCSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_NVENCSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_NVENCSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_HDAW_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_HDAW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_HDAW_RANGE                       21:21
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_HDAW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_HDAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_HDAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_HDAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_HDAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_HDAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_HDAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_HDAW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_HDAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_HDAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCOREW_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCOREW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCOREW_RANGE                    25:25
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCOREW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCOREW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCOREW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCOREW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCOREW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCOREW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCOREW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCOREW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCOREW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_MPCOREW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_SATAW_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_SATAW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_SATAW_RANGE                      29:29
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_SATAW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_SATAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_SATAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_SATAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_SATAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_SATAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_SATAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_SATAW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_SATAW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0_CARVEOUT4_ALLOW_SATAW_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0                  _MK_ADDR_CONST(0xd6c)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_APEDMAW_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_APEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_APEDMAW_RANGE                    0:0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_APEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_APEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_APEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_APEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_APEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_APEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_APEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_APEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_APEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_APEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDISPLAYR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDISPLAYR1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDISPLAYR1_RANGE                        1:1
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDISPLAYR1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDISPLAYR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDISPLAYR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDISPLAYR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDISPLAYR1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDISPLAYR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDISPLAYR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VICSRD1_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VICSRD1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VICSRD1_RANGE                    2:2
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VICSRD1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VICSRD1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VICSRD1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VICSRD1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VICSRD1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VICSRD1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VICSRD1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VICSRD1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VICSRD1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VICSRD1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDECSRD1_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDECSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDECSRD1_RANGE                  3:3
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDECSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDECSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDECSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDECSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDECSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDECSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDECSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVDECSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0R_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0R_RANGE                      6:6
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0W_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0W_RANGE                      7:7
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1R_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1R_RANGE                      8:8
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1W_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1W_RANGE                      9:9
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2R_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2R_RANGE                      14:14
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2W_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2W_RANGE                      15:15
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3R_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3R_RANGE                      16:16
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3W_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3W_RANGE                      17:17
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4R_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4R_RANGE                      18:18
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4W_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4W_RANGE                      19:19
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_MIU4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUR_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUR_RANGE                      20:20
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUW_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUW_RANGE                      21:21
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DPMUW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0R_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0R_RANGE                      22:22
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0W_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0W_RANGE                      23:23
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1R_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1R_RANGE                      24:24
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1W_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1W_RANGE                      25:25
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2R_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2R_RANGE                      26:26
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2W_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2W_RANGE                      27:27
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_NVL2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALR_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALR_RANGE                     28:28
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALW_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALW_RANGE                     29:29
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_VIFALW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0RDA_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0RDA_RANGE                    30:30
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0FALRDB_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0FALRDB_RANGE                 31:31
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0_CARVEOUT5_ALLOW_DLA0FALRDB_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0                  _MK_ADDR_CONST(0xc74)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRAB_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRAB_RANGE                   3:3
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCRAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCW_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCW_RANGE                     6:6
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWAB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWAB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_SDMMCWAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSRD_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSRD_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSRD_RANGE                     12:12
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSRD_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSRD_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSWR_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSWR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSWR_RANGE                     13:13
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSWR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSWR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VICSWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VIW_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VIW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VIW_RANGE                        18:18
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VIW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VIW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VIW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VIW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VIW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VIW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VIW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VIW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VIW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_VIW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSRD_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSRD_RANGE                   24:24
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSWR_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSWR_RANGE                   25:25
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVDECSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APER_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APER_RANGE                       26:26
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APEW_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APEW_RANGE                       27:27
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_APEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSRD_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSRD_RANGE                   30:30
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSWR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSWR_RANGE                   31:31
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0_CARVEOUT2_ALLOW_NVJPGSWR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT5_CFG0_0
#define MC_SECURITY_CARVEOUT5_CFG0_0                    _MK_ADDR_CONST(0xd48)
#define MC_SECURITY_CARVEOUT5_CFG0_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT5_CFG0_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT5_CFG0_0_SCR                        0
#define MC_SECURITY_CARVEOUT5_CFG0_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT5_CFG0_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_RESET_MASK                         _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT5_CFG0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_READ_MASK                  _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT5_CFG0_0_WRITE_MASK                         _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_PROTECT_MODE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_PROTECT_MODE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_PROTECT_MODE_RANGE                   0:0
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_PROTECT_MODE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_PROTECT_MODE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_PROTECT_MODE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_PROTECT_MODE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_PROTECT_MODE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_PROTECT_MODE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_PROTECT_MODE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_PROTECT_MODE_INIT_ENUM                       LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_PROTECT_MODE_LOCKBIT_SECURE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_PROTECT_MODE_TZ_SECURE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_LOCK_MODE_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_LOCK_MODE_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_LOCK_MODE_RANGE                      1:1
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_LOCK_MODE_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_LOCK_MODE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_LOCK_MODE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_LOCK_MODE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_LOCK_MODE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_LOCK_MODE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_LOCK_MODE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_LOCK_MODE_INIT_ENUM                  UNLOCKED
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_LOCK_MODE_UNLOCKED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_LOCK_MODE_LOCKED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ADDRESS_TYPE_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ADDRESS_TYPE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ADDRESS_TYPE_RANGE                   2:2
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ADDRESS_TYPE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ADDRESS_TYPE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ADDRESS_TYPE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ADDRESS_TYPE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ADDRESS_TYPE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ADDRESS_TYPE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ADDRESS_TYPE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ADDRESS_TYPE_INIT_ENUM                       ANY_ADDRESS
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ADDRESS_TYPE_ANY_ADDRESS                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ADDRESS_TYPE_UNTRANSLATED_ONLY                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_READ_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_READ_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_READ_ACCESS_LEVEL_RANGE                      6:3
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_READ_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_READ_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_READ_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_READ_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_READ_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_WRITE_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_WRITE_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_WRITE_ACCESS_LEVEL_RANGE                     10:7
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_WRITE_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_WRITE_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_WRITE_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_WRITE_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_FIELD                    _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_RANGE                    13:11
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                        _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                        17:14
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                       _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                       21:18
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_SEND_CFG_TO_GPU_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_SEND_CFG_TO_GPU_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_SEND_CFG_TO_GPU_RANGE                        22:22
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_SEND_CFG_TO_GPU_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_SEND_CFG_TO_GPU_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_SEND_CFG_TO_GPU_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_SEND_CFG_TO_GPU_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_SEND_CFG_TO_GPU_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_SEND_CFG_TO_GPU_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_SEND_CFG_TO_GPU_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_SEND_CFG_TO_GPU_ENABLED                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_WR_EN_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_WR_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_WR_EN_RANGE                        23:23
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_WR_EN_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_WR_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_WR_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_WR_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_WR_EN_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_WR_EN_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_WR_EN_BYPASS_CHECK                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_RD_EN_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_RD_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_RD_EN_RANGE                        24:24
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_RD_EN_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_RD_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_RD_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_RD_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_RD_EN_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_RD_EN_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_TZ_GLOBAL_RD_EN_BYPASS_CHECK                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ALLOW_APERTURE_ID_MISMATCH_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ALLOW_APERTURE_ID_MISMATCH_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ALLOW_APERTURE_ID_MISMATCH_RANGE                     25:25
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                 DISABLED
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ALLOW_APERTURE_ID_MISMATCH_DISABLED                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_ALLOW_APERTURE_ID_MISMATCH_ENABLED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_FORCE_APERTURE_ID_MATCH_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_FORCE_APERTURE_ID_MATCH_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_FORCE_APERTURE_ID_MATCH_RANGE                        26:26
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_FORCE_APERTURE_ID_MATCH_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_FORCE_APERTURE_ID_MATCH_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_FORCE_APERTURE_ID_MATCH_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_FORCE_APERTURE_ID_MATCH_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_FORCE_APERTURE_ID_MATCH_ENABLED                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_IS_WPR_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_IS_WPR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_IS_WPR_RANGE                 27:27
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_IS_WPR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_IS_WPR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_IS_WPR_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_IS_WPR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_IS_WPR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_IS_WPR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_IS_WPR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_IS_WPR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_IS_WPR_ENABLED                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_HI_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_HI_FIELD                 _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_HI_RANGE                 29:28
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_HI_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_HI_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_HI_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_HI_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_HI_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_HI_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_APERTURE_ID_HI_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_CPU_SECURE_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_CPU_SECURE_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_CPU_SECURE_RANGE                     31:31
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_CPU_SECURE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_CPU_SECURE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_CPU_SECURE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_CPU_SECURE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_CPU_SECURE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_CPU_SECURE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_CPU_SECURE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_CPU_SECURE_INIT_ENUM                 NO
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_CPU_SECURE_NO                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CFG0_0_MC_SECURITY_CARVEOUT5_CPU_SECURE_YES                       _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0                   _MK_ADDR_CONST(0xcd0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                       0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                         _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_PTCR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_PTCR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_PTCR_RANGE                       0:0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_PTCR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_PTCR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_PTCR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_PTCR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_PTCR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_PTCR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_PTCR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7R_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7R_RANGE                      1:1
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7W_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7W_RANGE                      2:2
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_MIU7W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HDAR_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HDAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HDAR_RANGE                       21:21
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HDAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HDAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HDAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HDAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HDAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HDAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HDAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HOST1XDMAR_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HOST1XDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HOST1XDMAR_RANGE                 22:22
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HOST1XDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_HOST1XDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD_RANGE                   28:28
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_NVENCSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_SATAR_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_SATAR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_SATAR_RANGE                      31:31
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_SATAR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_SATAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_SATAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_SATAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_SATAR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_SATAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT3_FORCE_INTERNAL_SATAR_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT4_BOM_0
#define MC_SECURITY_CARVEOUT4_BOM_0                     _MK_ADDR_CONST(0xcfc)
#define MC_SECURITY_CARVEOUT4_BOM_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT4_BOM_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT4_BOM_0_SCR                         0
#define MC_SECURITY_CARVEOUT4_BOM_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT4_BOM_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_BOM_0_RESET_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT4_BOM_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_BOM_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_BOM_0_READ_MASK                   _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT4_BOM_0_WRITE_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT4_BOM_0_MC_SECURITY_CARVEOUT4_BOM_RANGE_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT4_BOM_0_MC_SECURITY_CARVEOUT4_BOM_RANGE_FIELD                       _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT4_BOM_0_MC_SECURITY_CARVEOUT4_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT4_BOM_0_MC_SECURITY_CARVEOUT4_BOM_RANGE_RANGE                       31:12
#define MC_SECURITY_CARVEOUT4_BOM_0_MC_SECURITY_CARVEOUT4_BOM_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_BOM_0_MC_SECURITY_CARVEOUT4_BOM_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_BOM_0_MC_SECURITY_CARVEOUT4_BOM_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT4_BOM_0_MC_SECURITY_CARVEOUT4_BOM_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_BOM_0_MC_SECURITY_CARVEOUT4_BOM_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_BOM_0_MC_SECURITY_CARVEOUT4_BOM_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_BOM_0_MC_SECURITY_CARVEOUT4_BOM_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0                   _MK_ADDR_CONST(0xc50)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                       0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0WRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0WRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALWRB_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALWRB_RANGE                 1:1
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA0FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA_RANGE                    2:2
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALRDB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALRDB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1WRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1WRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALWRB_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALWRB_RANGE                 5:5
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_DLA1FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDC_RANGE                    8:8
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRA_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRA_RANGE                    9:9
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRB_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRB_RANGE                    10:10
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRC_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRC_RANGE                    11:11
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA0WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA_RANGE                    12:12
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB_RANGE                    13:13
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDC_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDC_RANGE                    14:14
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRA_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRA_RANGE                    15:15
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRB_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRB_RANGE                    16:16
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRC_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRC_RANGE                    17:17
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PVA1WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCER_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCER_RANGE                       18:18
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEW_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEW_RANGE                       19:19
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_RCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD_RANGE                  22:22
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SWR_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SWR_RANGE                  23:23
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_NVENC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R_RANGE                     24:24
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0W_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0W_RANGE                     25:25
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE0W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1R_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1R_RANGE                     26:26
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1W_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1W_RANGE                     27:27
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE1W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AR_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AR_RANGE                    28:28
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE2AW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3R_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3R_RANGE                     30:30
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3W_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3W_RANGE                     31:31
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT1_FORCE_INTERNAL_PCIE3W_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT2_BOM_0
#define MC_SECURITY_CARVEOUT2_BOM_0                     _MK_ADDR_CONST(0xc5c)
#define MC_SECURITY_CARVEOUT2_BOM_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT2_BOM_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT2_BOM_0_SCR                         0
#define MC_SECURITY_CARVEOUT2_BOM_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT2_BOM_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_BOM_0_RESET_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT2_BOM_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_BOM_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_BOM_0_READ_MASK                   _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT2_BOM_0_WRITE_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT2_BOM_0_MC_SECURITY_CARVEOUT2_BOM_RANGE_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT2_BOM_0_MC_SECURITY_CARVEOUT2_BOM_RANGE_FIELD                       _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT2_BOM_0_MC_SECURITY_CARVEOUT2_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT2_BOM_0_MC_SECURITY_CARVEOUT2_BOM_RANGE_RANGE                       31:12
#define MC_SECURITY_CARVEOUT2_BOM_0_MC_SECURITY_CARVEOUT2_BOM_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_BOM_0_MC_SECURITY_CARVEOUT2_BOM_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_BOM_0_MC_SECURITY_CARVEOUT2_BOM_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT2_BOM_0_MC_SECURITY_CARVEOUT2_BOM_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_BOM_0_MC_SECURITY_CARVEOUT2_BOM_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_BOM_0_MC_SECURITY_CARVEOUT2_BOM_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_BOM_0_MC_SECURITY_CARVEOUT2_BOM_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT5_BOM_0
#define MC_SECURITY_CARVEOUT5_BOM_0                     _MK_ADDR_CONST(0xd4c)
#define MC_SECURITY_CARVEOUT5_BOM_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT5_BOM_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT5_BOM_0_SCR                         0
#define MC_SECURITY_CARVEOUT5_BOM_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT5_BOM_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_BOM_0_RESET_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT5_BOM_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_BOM_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_BOM_0_READ_MASK                   _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT5_BOM_0_WRITE_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT5_BOM_0_MC_SECURITY_CARVEOUT5_BOM_RANGE_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT5_BOM_0_MC_SECURITY_CARVEOUT5_BOM_RANGE_FIELD                       _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT5_BOM_0_MC_SECURITY_CARVEOUT5_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT5_BOM_0_MC_SECURITY_CARVEOUT5_BOM_RANGE_RANGE                       31:12
#define MC_SECURITY_CARVEOUT5_BOM_0_MC_SECURITY_CARVEOUT5_BOM_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_BOM_0_MC_SECURITY_CARVEOUT5_BOM_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_BOM_0_MC_SECURITY_CARVEOUT5_BOM_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT5_BOM_0_MC_SECURITY_CARVEOUT5_BOM_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_BOM_0_MC_SECURITY_CARVEOUT5_BOM_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_BOM_0_MC_SECURITY_CARVEOUT5_BOM_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_BOM_0_MC_SECURITY_CARVEOUT5_BOM_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0                  _MK_ADDR_CONST(0xc24)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRAB_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRAB_RANGE                   3:3
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCRAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCW_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCW_RANGE                     6:6
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWAB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWAB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_SDMMCWAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSRD_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSRD_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSRD_RANGE                     12:12
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSRD_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSRD_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSWR_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSWR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSWR_RANGE                     13:13
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSWR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSWR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VICSWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VIW_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VIW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VIW_RANGE                        18:18
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VIW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VIW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VIW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VIW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VIW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VIW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VIW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VIW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VIW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_VIW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSRD_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSRD_RANGE                   24:24
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSWR_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSWR_RANGE                   25:25
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVDECSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APER_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APER_RANGE                       26:26
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APEW_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APEW_RANGE                       27:27
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_APEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSRD_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSRD_RANGE                   30:30
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSWR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSWR_RANGE                   31:31
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0_CARVEOUT1_ALLOW_NVJPGSWR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0                   _MK_ADDR_CONST(0xd70)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                       0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                         _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_PTCR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_PTCR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_PTCR_RANGE                       0:0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_PTCR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_PTCR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_PTCR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_PTCR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_PTCR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_PTCR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_PTCR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7R_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7R_RANGE                      1:1
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7W_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7W_RANGE                      2:2
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_MIU7W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HDAR_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HDAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HDAR_RANGE                       21:21
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HDAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HDAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HDAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HDAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HDAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HDAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HDAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HOST1XDMAR_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HOST1XDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HOST1XDMAR_RANGE                 22:22
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HOST1XDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_HOST1XDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD_RANGE                   28:28
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_NVENCSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_SATAR_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_SATAR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_SATAR_RANGE                      31:31
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_SATAR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_SATAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_SATAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_SATAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_SATAR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_SATAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT5_FORCE_INTERNAL_SATAR_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0                  _MK_ADDR_CONST(0xc7c)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_APEDMAW_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_APEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_APEDMAW_RANGE                    0:0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_APEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_APEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_APEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_APEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_APEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_APEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_APEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_APEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_APEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_APEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDISPLAYR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDISPLAYR1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDISPLAYR1_RANGE                        1:1
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDISPLAYR1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDISPLAYR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDISPLAYR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDISPLAYR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDISPLAYR1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDISPLAYR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDISPLAYR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VICSRD1_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VICSRD1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VICSRD1_RANGE                    2:2
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VICSRD1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VICSRD1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VICSRD1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VICSRD1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VICSRD1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VICSRD1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VICSRD1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VICSRD1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VICSRD1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VICSRD1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDECSRD1_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDECSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDECSRD1_RANGE                  3:3
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDECSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDECSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDECSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDECSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDECSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDECSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDECSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVDECSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0R_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0R_RANGE                      6:6
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0W_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0W_RANGE                      7:7
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1R_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1R_RANGE                      8:8
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1W_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1W_RANGE                      9:9
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2R_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2R_RANGE                      14:14
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2W_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2W_RANGE                      15:15
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3R_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3R_RANGE                      16:16
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3W_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3W_RANGE                      17:17
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4R_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4R_RANGE                      18:18
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4W_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4W_RANGE                      19:19
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_MIU4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUR_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUR_RANGE                      20:20
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUW_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUW_RANGE                      21:21
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DPMUW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0R_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0R_RANGE                      22:22
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0W_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0W_RANGE                      23:23
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1R_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1R_RANGE                      24:24
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1W_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1W_RANGE                      25:25
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2R_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2R_RANGE                      26:26
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2W_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2W_RANGE                      27:27
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_NVL2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALR_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALR_RANGE                     28:28
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALW_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALW_RANGE                     29:29
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_VIFALW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0RDA_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0RDA_RANGE                    30:30
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0FALRDB_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0FALRDB_RANGE                 31:31
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0_CARVEOUT2_ALLOW_DLA0FALRDB_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0                   _MK_ADDR_CONST(0xcd4)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                       0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                         _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCORER_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCORER_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCORER_RANGE                    7:7
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCORER_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCORER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCORER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCORER_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCORER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCORER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_NVENCSWR_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_NVENCSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_NVENCSWR_RANGE                   11:11
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_NVENCSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_NVENCSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_NVENCSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_NVENCSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_HDAW_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_HDAW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_HDAW_RANGE                       21:21
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_HDAW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_HDAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_HDAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_HDAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_HDAW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_HDAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_HDAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCOREW_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCOREW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCOREW_RANGE                    25:25
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCOREW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCOREW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCOREW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCOREW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_MPCOREW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_SATAW_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_SATAW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_SATAW_RANGE                      29:29
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_SATAW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_SATAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_SATAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_SATAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_SATAW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_SATAW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT3_FORCE_INTERNAL_SATAW_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT1_BOM_HI_0
#define MC_SECURITY_CARVEOUT1_BOM_HI_0                  _MK_ADDR_CONST(0xc10)
#define MC_SECURITY_CARVEOUT1_BOM_HI_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT1_BOM_HI_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT1_BOM_HI_0_SCR                      0
#define MC_SECURITY_CARVEOUT1_BOM_HI_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT1_BOM_HI_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_BOM_HI_0_RESET_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT1_BOM_HI_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_BOM_HI_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_BOM_HI_0_READ_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT1_BOM_HI_0_WRITE_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT1_BOM_HI_0_MC_SECURITY_CARVEOUT1_BOM_HI_RANGE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT1_BOM_HI_0_MC_SECURITY_CARVEOUT1_BOM_HI_RANGE_FIELD                 _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT1_BOM_HI_0_MC_SECURITY_CARVEOUT1_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT1_BOM_HI_0_MC_SECURITY_CARVEOUT1_BOM_HI_RANGE_RANGE                 7:0
#define MC_SECURITY_CARVEOUT1_BOM_HI_0_MC_SECURITY_CARVEOUT1_BOM_HI_RANGE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_BOM_HI_0_MC_SECURITY_CARVEOUT1_BOM_HI_RANGE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_BOM_HI_0_MC_SECURITY_CARVEOUT1_BOM_HI_RANGE_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT1_BOM_HI_0_MC_SECURITY_CARVEOUT1_BOM_HI_RANGE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_BOM_HI_0_MC_SECURITY_CARVEOUT1_BOM_HI_RANGE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_BOM_HI_0_MC_SECURITY_CARVEOUT1_BOM_HI_RANGE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_BOM_HI_0_MC_SECURITY_CARVEOUT1_BOM_HI_RANGE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0                   _MK_ADDR_CONST(0xd34)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                       0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                         _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_APEDMAW_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_APEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_APEDMAW_RANGE                    0:0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_APEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_APEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_APEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_APEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_APEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR1_RANGE                        1:1
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VICSRD1_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VICSRD1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VICSRD1_RANGE                    2:2
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VICSRD1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VICSRD1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VICSRD1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VICSRD1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VICSRD1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD1_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD1_RANGE                  3:3
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVDECSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0R_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0R_RANGE                      6:6
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0W_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0W_RANGE                      7:7
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1R_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1R_RANGE                      8:8
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1W_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1W_RANGE                      9:9
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2R_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2R_RANGE                      14:14
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2W_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2W_RANGE                      15:15
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3R_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3R_RANGE                      16:16
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3W_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3W_RANGE                      17:17
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4R_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4R_RANGE                      18:18
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4W_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4W_RANGE                      19:19
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_MIU4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUR_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUR_RANGE                      20:20
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUW_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUW_RANGE                      21:21
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DPMUW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0R_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0R_RANGE                      22:22
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0W_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0W_RANGE                      23:23
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1R_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1R_RANGE                      24:24
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1W_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1W_RANGE                      25:25
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2R_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2R_RANGE                      26:26
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2W_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2W_RANGE                      27:27
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_NVL2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALR_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALR_RANGE                     28:28
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALW_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALW_RANGE                     29:29
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_VIFALW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA_RANGE                    30:30
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALRDB_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALRDB_RANGE                 31:31
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT4_FORCE_INTERNAL_DLA0FALRDB_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0                  _MK_ADDR_CONST(0xc98)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0WRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0WRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0FALWRB_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0FALWRB_RANGE                 1:1
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA0FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1RDA_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1RDA_RANGE                    2:2
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALRDB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALRDB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1WRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1WRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALWRB_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALWRB_RANGE                 5:5
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_DLA1FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDC_RANGE                    8:8
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRA_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRA_RANGE                    9:9
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRB_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRB_RANGE                    10:10
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRC_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRC_RANGE                    11:11
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA0WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDA_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDA_RANGE                    12:12
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDB_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDB_RANGE                    13:13
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDC_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDC_RANGE                    14:14
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRA_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRA_RANGE                    15:15
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRB_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRB_RANGE                    16:16
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRC_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRC_RANGE                    17:17
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PVA1WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCER_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCER_RANGE                       18:18
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEW_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEW_RANGE                       19:19
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_RCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SRD_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SRD_RANGE                  22:22
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SWR_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SWR_RANGE                  23:23
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_NVENC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0R_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0R_RANGE                     24:24
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0W_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0W_RANGE                     25:25
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE0W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1R_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1R_RANGE                     26:26
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1W_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1W_RANGE                     27:27
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE1W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AR_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AR_RANGE                    28:28
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE2AW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3R_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3R_RANGE                     30:30
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3W_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3W_RANGE                     31:31
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0_CARVEOUT2_ALLOW_PCIE3W_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0                  _MK_ADDR_CONST(0xc20)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPRA_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPRA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPRA_RANGE                      4:4
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPRA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPRA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPRA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPRA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPRA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPRA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPRA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPRA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPRA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPRA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPFALR_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPFALR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPFALR_RANGE                    5:5
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPFALR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPFALR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPFALR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPFALR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPFALR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPFALR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPFALR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPFALR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPFALR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPFALR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWA_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWA_RANGE                      6:6
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWB_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWB_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWB_RANGE                      7:7
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWB_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWB_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_ISPWB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTR_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTR_RANGE                 10:10
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTW_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTW_RANGE                 11:11
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_HOSTW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVR_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVR_RANGE                  12:12
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVW_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVW_RANGE                  13:13
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_XUSB_DEVW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSRD_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSRD_RANGE                    20:20
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSWR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSWR_RANGE                    21:21
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0_CARVEOUT1_ALLOW_TSECSWR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0                   _MK_ADDR_CONST(0xc40)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                       0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                         _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESRD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESRD_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESRD_RANGE                      0:0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESRD_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESRD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESRD_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESRD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESRD_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESWR_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESWR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESWR_RANGE                      1:1
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESWR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESWR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESWR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESWR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESWR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESWR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SESWR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPW_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPW_RANGE                     3:3
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXIAPW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRR_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRR_RANGE                       4:4
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRW_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRW_RANGE                       5:5
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_ETRW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSRDB_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSRDB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSRDB_RANGE                   6:6
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSRDB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSRDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSRDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSRDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSWRB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSWRB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSWRB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSWRB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSWRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSWRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_TSECSWRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISR_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISR_RANGE                      12:12
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISW_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISW_RANGE                      13:13
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AXISW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSR_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSR_RANGE                      14:14
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSW_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSW_RANGE                      15:15
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_EQOSW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCR_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCR_RANGE                     16:16
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCW_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCW_RANGE                     17:17
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_UFSHCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR_RANGE                 18:18
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_NVDISPLAYR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPR_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPR_RANGE                      19:19
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPW_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPW_RANGE                      20:20
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAR_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAR_RANGE                   21:21
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAW_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAW_RANGE                   22:22
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_BPMPDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONR_RANGE                       23:23
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONW_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONW_RANGE                       24:24
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAR_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAR_RANGE                    25:25
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAW_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAW_RANGE                    26:26
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_AONDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCER_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCER_RANGE                       27:27
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEW_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEW_RANGE                       28:28
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAR_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAR_RANGE                    29:29
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAW_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAW_RANGE                    30:30
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_SCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_APEDMAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_APEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_APEDMAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_APEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_APEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_APEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_APEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT1_FORCE_INTERNAL_APEDMAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0                  _MK_ADDR_CONST(0xd08)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_PTCR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_PTCR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_PTCR_RANGE                       0:0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_PTCR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_PTCR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_PTCR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_PTCR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_PTCR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_PTCR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_PTCR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_PTCR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_PTCR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_PTCR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7R_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7R_RANGE                      1:1
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7W_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7W_RANGE                      2:2
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_MIU7W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HDAR_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HDAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HDAR_RANGE                       21:21
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HDAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HDAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HDAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HDAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HDAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HDAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HDAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HDAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HDAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HDAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HOST1XDMAR_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HOST1XDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HOST1XDMAR_RANGE                 22:22
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HOST1XDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HOST1XDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HOST1XDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HOST1XDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HOST1XDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HOST1XDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HOST1XDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_HOST1XDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_NVENCSRD_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_NVENCSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_NVENCSRD_RANGE                   28:28
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_NVENCSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_NVENCSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_NVENCSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_NVENCSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_NVENCSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_NVENCSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_NVENCSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_NVENCSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_NVENCSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_SATAR_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_SATAR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_SATAR_RANGE                      31:31
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_SATAR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_SATAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_SATAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_SATAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_SATAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_SATAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_SATAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_SATAR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_SATAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0_CARVEOUT4_ALLOW_SATAR_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0                  _MK_ADDR_CONST(0xc6c)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCORER_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCORER_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCORER_RANGE                    7:7
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCORER_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCORER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCORER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCORER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCORER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCORER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCORER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCORER_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCORER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCORER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_NVENCSWR_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_NVENCSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_NVENCSWR_RANGE                   11:11
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_NVENCSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_NVENCSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_NVENCSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_NVENCSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_NVENCSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_NVENCSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_NVENCSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_NVENCSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_NVENCSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_HDAW_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_HDAW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_HDAW_RANGE                       21:21
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_HDAW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_HDAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_HDAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_HDAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_HDAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_HDAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_HDAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_HDAW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_HDAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_HDAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCOREW_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCOREW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCOREW_RANGE                    25:25
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCOREW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCOREW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCOREW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCOREW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCOREW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCOREW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCOREW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCOREW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCOREW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_MPCOREW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_SATAW_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_SATAW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_SATAW_RANGE                      29:29
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_SATAW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_SATAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_SATAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_SATAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_SATAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_SATAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_SATAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_SATAW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_SATAW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0_CARVEOUT2_ALLOW_SATAW_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x225c)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT13_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x21c4)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT11_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x252c)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT22_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT12_CFG0_0
#define MC_SECURITY_CARVEOUT12_CFG0_0                   _MK_ADDR_CONST(0x21e0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT12_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT12_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT12_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT12_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT12_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT12_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CFG0_0_MC_SECURITY_CARVEOUT12_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x26d4)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0_CARVEOUT27_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0                   _MK_ADDR_CONST(0x208c)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                       0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                         _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_APEDMAW_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_APEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_APEDMAW_RANGE                    0:0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_APEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_APEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_APEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_APEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_APEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR1_RANGE                        1:1
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VICSRD1_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VICSRD1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VICSRD1_RANGE                    2:2
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VICSRD1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VICSRD1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VICSRD1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VICSRD1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VICSRD1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD1_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD1_RANGE                  3:3
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0R_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0R_RANGE                      6:6
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0W_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0W_RANGE                      7:7
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1R_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1R_RANGE                      8:8
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1W_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1W_RANGE                      9:9
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2R_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2R_RANGE                      14:14
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2W_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2W_RANGE                      15:15
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3R_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3R_RANGE                      16:16
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3W_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3W_RANGE                      17:17
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4R_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4R_RANGE                      18:18
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4W_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4W_RANGE                      19:19
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_MIU4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUR_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUR_RANGE                      20:20
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUW_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUW_RANGE                      21:21
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DPMUW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0R_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0R_RANGE                      22:22
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0W_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0W_RANGE                      23:23
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1R_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1R_RANGE                      24:24
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1W_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1W_RANGE                      25:25
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2R_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2R_RANGE                      26:26
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2W_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2W_RANGE                      27:27
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_NVL2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALR_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALR_RANGE                     28:28
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALW_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALW_RANGE                     29:29
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_VIFALW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA_RANGE                    30:30
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALRDB_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALRDB_RANGE                 31:31
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALRDB_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x265c)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0_CARVEOUT26_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT9_BOM_HI_0
#define MC_SECURITY_CARVEOUT9_BOM_HI_0                  _MK_ADDR_CONST(0x20f8)
#define MC_SECURITY_CARVEOUT9_BOM_HI_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT9_BOM_HI_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT9_BOM_HI_0_SCR                      0
#define MC_SECURITY_CARVEOUT9_BOM_HI_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT9_BOM_HI_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_BOM_HI_0_RESET_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT9_BOM_HI_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_BOM_HI_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_BOM_HI_0_READ_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT9_BOM_HI_0_WRITE_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT9_BOM_HI_0_MC_SECURITY_CARVEOUT9_BOM_HI_RANGE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT9_BOM_HI_0_MC_SECURITY_CARVEOUT9_BOM_HI_RANGE_FIELD                 _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT9_BOM_HI_0_MC_SECURITY_CARVEOUT9_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT9_BOM_HI_0_MC_SECURITY_CARVEOUT9_BOM_HI_RANGE_RANGE                 7:0
#define MC_SECURITY_CARVEOUT9_BOM_HI_0_MC_SECURITY_CARVEOUT9_BOM_HI_RANGE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_BOM_HI_0_MC_SECURITY_CARVEOUT9_BOM_HI_RANGE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_BOM_HI_0_MC_SECURITY_CARVEOUT9_BOM_HI_RANGE_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT9_BOM_HI_0_MC_SECURITY_CARVEOUT9_BOM_HI_RANGE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_BOM_HI_0_MC_SECURITY_CARVEOUT9_BOM_HI_RANGE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_BOM_HI_0_MC_SECURITY_CARVEOUT9_BOM_HI_RANGE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_BOM_HI_0_MC_SECURITY_CARVEOUT9_BOM_HI_RANGE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x24a0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0_CARVEOUT20_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0                  _MK_ADDR_CONST(0x2090)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0WRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0WRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0FALWRB_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0FALWRB_RANGE                 1:1
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA0FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1RDA_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1RDA_RANGE                    2:2
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALRDB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALRDB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1WRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1WRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALWRB_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALWRB_RANGE                 5:5
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_DLA1FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDC_RANGE                    8:8
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRA_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRA_RANGE                    9:9
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRB_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRB_RANGE                    10:10
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRC_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRC_RANGE                    11:11
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA0WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDA_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDA_RANGE                    12:12
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDB_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDB_RANGE                    13:13
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDC_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDC_RANGE                    14:14
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRA_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRA_RANGE                    15:15
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRB_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRB_RANGE                    16:16
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRC_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRC_RANGE                    17:17
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PVA1WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCER_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCER_RANGE                       18:18
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEW_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEW_RANGE                       19:19
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_RCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SRD_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SRD_RANGE                  22:22
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SWR_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SWR_RANGE                  23:23
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_NVENC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0R_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0R_RANGE                     24:24
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0W_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0W_RANGE                     25:25
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE0W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1R_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1R_RANGE                     26:26
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1W_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1W_RANGE                     27:27
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE1W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AR_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AR_RANGE                    28:28
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE2AW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3R_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3R_RANGE                     30:30
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3W_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3W_RANGE                     31:31
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0_CARVEOUT7_ALLOW_PCIE3W_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x2770)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0_CARVEOUT29_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x2170)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT10_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x2208)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT12_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x2678)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT26_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x2488)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT20_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x24ec)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x2184)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0_CARVEOUT10_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT15_CFG0_0
#define MC_SECURITY_CARVEOUT15_CFG0_0                   _MK_ADDR_CONST(0x22d0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT15_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT15_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT15_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT15_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT15_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT15_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CFG0_0_MC_SECURITY_CARVEOUT15_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x23d4)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0_CARVEOUT18_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT7_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0                      _MK_ADDR_CONST(0x205c)
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_SECURE                       0x0
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_DUAL                         0x0
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_SCR                  0
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_WORD_COUNT                   0x1
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_RESET_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_READ_MASK                    _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_WRITE_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_128KB_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_128KB_FIELD                 _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_128KB_RANGE                 11:0
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_128KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_128KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_128KB_DEFAULT_MASK                  _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_128KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_128KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_128KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_4KB_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_4KB_FIELD                   _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_4KB_RANGE                   31:27
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_4KB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_4KB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_4KB_DEFAULT_MASK                    _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_4KB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_4KB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_4KB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_SIZE_128KB_0_MC_SECURITY_CARVEOUT7_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x26dc)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT27_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x2490)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT20_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x2380)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0_CARVEOUT17_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x23ac)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0                  _MK_ADDR_CONST(0x20c0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESRD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESRD_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESRD_RANGE                      0:0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESRD_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESRD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESRD_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESRD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESRD_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESWR_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESWR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESWR_RANGE                      1:1
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESWR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESWR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESWR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESWR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESWR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESWR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESWR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESWR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESWR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SESWR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPW_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPW_RANGE                     3:3
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXIAPW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRR_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRR_RANGE                       4:4
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRW_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRW_RANGE                       5:5
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_ETRW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSRDB_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSRDB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSRDB_RANGE                   6:6
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSRDB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSRDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSRDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSRDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSRDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSRDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSRDB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSRDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSRDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSWRB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSWRB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSWRB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSWRB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSWRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSWRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSWRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSWRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSWRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSWRB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSWRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_TSECSWRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISR_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISR_RANGE                      12:12
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISW_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISW_RANGE                      13:13
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AXISW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSR_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSR_RANGE                      14:14
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSW_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSW_RANGE                      15:15
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_EQOSW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCR_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCR_RANGE                     16:16
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCW_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCW_RANGE                     17:17
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_UFSHCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_NVDISPLAYR_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_NVDISPLAYR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_NVDISPLAYR_RANGE                 18:18
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_NVDISPLAYR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_NVDISPLAYR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_NVDISPLAYR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_NVDISPLAYR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_NVDISPLAYR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_NVDISPLAYR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_NVDISPLAYR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_NVDISPLAYR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPR_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPR_RANGE                      19:19
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPW_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPW_RANGE                      20:20
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAR_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAR_RANGE                   21:21
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAW_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAW_RANGE                   22:22
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_BPMPDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONR_RANGE                       23:23
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONW_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONW_RANGE                       24:24
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAR_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAR_RANGE                    25:25
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAW_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAW_RANGE                    26:26
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_AONDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCER_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCER_RANGE                       27:27
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEW_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEW_RANGE                       28:28
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAR_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAR_RANGE                    29:29
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAW_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAW_RANGE                    30:30
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_SCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_APEDMAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_APEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_APEDMAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_APEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_APEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_APEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_APEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_APEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_APEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_APEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_APEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_APEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0_CARVEOUT8_ALLOW_APEDMAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x22e8)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0_CARVEOUT15_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT16_CFG0_0
#define MC_SECURITY_CARVEOUT16_CFG0_0                   _MK_ADDR_CONST(0x2320)
#define MC_SECURITY_CARVEOUT16_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT16_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT16_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT16_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT16_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT16_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT16_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CFG0_0_MC_SECURITY_CARVEOUT16_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT9_BOM_0
#define MC_SECURITY_CARVEOUT9_BOM_0                     _MK_ADDR_CONST(0x20f4)
#define MC_SECURITY_CARVEOUT9_BOM_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT9_BOM_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT9_BOM_0_SCR                         0
#define MC_SECURITY_CARVEOUT9_BOM_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT9_BOM_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_BOM_0_RESET_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT9_BOM_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_BOM_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_BOM_0_READ_MASK                   _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT9_BOM_0_WRITE_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT9_BOM_0_MC_SECURITY_CARVEOUT9_BOM_RANGE_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT9_BOM_0_MC_SECURITY_CARVEOUT9_BOM_RANGE_FIELD                       _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT9_BOM_0_MC_SECURITY_CARVEOUT9_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT9_BOM_0_MC_SECURITY_CARVEOUT9_BOM_RANGE_RANGE                       31:12
#define MC_SECURITY_CARVEOUT9_BOM_0_MC_SECURITY_CARVEOUT9_BOM_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_BOM_0_MC_SECURITY_CARVEOUT9_BOM_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_BOM_0_MC_SECURITY_CARVEOUT9_BOM_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT9_BOM_0_MC_SECURITY_CARVEOUT9_BOM_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_BOM_0_MC_SECURITY_CARVEOUT9_BOM_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_BOM_0_MC_SECURITY_CARVEOUT9_BOM_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_BOM_0_MC_SECURITY_CARVEOUT9_BOM_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x22b4)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT14_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x2254)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0_CARVEOUT13_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0                   _MK_ADDR_CONST(0x2078)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                       0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                         _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_PTCR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_PTCR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_PTCR_RANGE                       0:0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_PTCR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_PTCR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_PTCR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_PTCR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_PTCR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_PTCR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_PTCR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7R_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7R_RANGE                      1:1
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7W_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7W_RANGE                      2:2
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_MIU7W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HDAR_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HDAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HDAR_RANGE                       21:21
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HDAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HDAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HDAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HDAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HDAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HDAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HDAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HOST1XDMAR_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HOST1XDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HOST1XDMAR_RANGE                 22:22
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HOST1XDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_HOST1XDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD_RANGE                   28:28
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_SATAR_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_SATAR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_SATAR_RANGE                      31:31
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_SATAR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_SATAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_SATAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_SATAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_SATAR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_SATAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT7_FORCE_INTERNAL_SATAR_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x25cc)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT24_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT22_BOM_HI_0
#define MC_SECURITY_CARVEOUT22_BOM_HI_0                 _MK_ADDR_CONST(0x2508)
#define MC_SECURITY_CARVEOUT22_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT22_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT22_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT22_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT22_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT22_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT22_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT22_BOM_HI_0_MC_SECURITY_CARVEOUT22_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT22_BOM_HI_0_MC_SECURITY_CARVEOUT22_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT22_BOM_HI_0_MC_SECURITY_CARVEOUT22_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT22_BOM_HI_0_MC_SECURITY_CARVEOUT22_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT22_BOM_HI_0_MC_SECURITY_CARVEOUT22_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_BOM_HI_0_MC_SECURITY_CARVEOUT22_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_BOM_HI_0_MC_SECURITY_CARVEOUT22_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT22_BOM_HI_0_MC_SECURITY_CARVEOUT22_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_BOM_HI_0_MC_SECURITY_CARVEOUT22_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_BOM_HI_0_MC_SECURITY_CARVEOUT22_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_BOM_HI_0_MC_SECURITY_CARVEOUT22_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x2354)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT16_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x2484)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0_CARVEOUT20_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x23dc)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0_CARVEOUT18_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x2210)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT12_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x2438)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT19_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x2720)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0_CARVEOUT28_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x2290)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0_CARVEOUT14_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0                   _MK_ADDR_CONST(0x2138)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                       0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0WRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0WRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALWRB_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALWRB_RANGE                 1:1
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA_RANGE                    2:2
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALRDB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALRDB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1WRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1WRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALWRB_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALWRB_RANGE                 5:5
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_DLA1FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDC_RANGE                    8:8
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRA_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRA_RANGE                    9:9
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRB_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRB_RANGE                    10:10
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRC_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRC_RANGE                    11:11
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA0WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA_RANGE                    12:12
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB_RANGE                    13:13
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDC_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDC_RANGE                    14:14
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRA_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRA_RANGE                    15:15
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRB_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRB_RANGE                    16:16
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRC_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRC_RANGE                    17:17
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PVA1WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCER_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCER_RANGE                       18:18
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEW_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEW_RANGE                       19:19
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_RCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD_RANGE                  22:22
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SWR_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SWR_RANGE                  23:23
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R_RANGE                     24:24
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0W_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0W_RANGE                     25:25
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE0W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1R_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1R_RANGE                     26:26
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1W_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1W_RANGE                     27:27
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE1W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AR_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AR_RANGE                    28:28
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE2AW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3R_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3R_RANGE                     30:30
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3W_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3W_RANGE                     31:31
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT9_FORCE_INTERNAL_PCIE3W_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT8_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0                      _MK_ADDR_CONST(0x20ac)
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_SECURE                       0x0
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_DUAL                         0x0
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_SCR                  0
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_WORD_COUNT                   0x1
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_RESET_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_READ_MASK                    _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_WRITE_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_128KB_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_128KB_FIELD                 _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_128KB_RANGE                 11:0
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_128KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_128KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_128KB_DEFAULT_MASK                  _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_128KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_128KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_128KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_4KB_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_4KB_FIELD                   _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_4KB_RANGE                   31:27
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_4KB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_4KB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_4KB_DEFAULT_MASK                    _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_4KB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_4KB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_4KB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_SIZE_128KB_0_MC_SECURITY_CARVEOUT8_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x260c)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0_CARVEOUT25_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x25b4)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0_CARVEOUT24_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x2534)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT22_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x2668)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT26_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x2798)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0_CARVEOUT30_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0                  _MK_ADDR_CONST(0x206c)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRAB_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRAB_RANGE                   3:3
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCRAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCW_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCW_RANGE                     6:6
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWAB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWAB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_SDMMCWAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSRD_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSRD_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSRD_RANGE                     12:12
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSRD_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSRD_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSWR_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSWR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSWR_RANGE                     13:13
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSWR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSWR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VICSWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VIW_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VIW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VIW_RANGE                        18:18
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VIW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VIW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VIW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VIW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VIW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VIW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VIW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VIW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VIW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_VIW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSRD_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSRD_RANGE                   24:24
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSWR_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSWR_RANGE                   25:25
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVDECSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APER_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APER_RANGE                       26:26
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APEW_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APEW_RANGE                       27:27
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_APEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSRD_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSRD_RANGE                   30:30
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSWR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSWR_RANGE                   31:31
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0_CARVEOUT7_ALLOW_NVJPGSWR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x26a8)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0_CARVEOUT27_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x26c4)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT27_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x2430)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0_CARVEOUT19_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x218c)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT10_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0                  _MK_ADDR_CONST(0x2020)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESRD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESRD_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESRD_RANGE                      0:0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESRD_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESRD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESRD_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESRD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESRD_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESWR_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESWR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESWR_RANGE                      1:1
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESWR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESWR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESWR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESWR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESWR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESWR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESWR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESWR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESWR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SESWR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPW_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPW_RANGE                     3:3
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXIAPW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRR_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRR_RANGE                       4:4
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRW_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRW_RANGE                       5:5
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_ETRW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSRDB_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSRDB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSRDB_RANGE                   6:6
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSRDB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSRDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSRDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSRDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSRDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSRDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSRDB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSRDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSRDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSWRB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSWRB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSWRB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSWRB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSWRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSWRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSWRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSWRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSWRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSWRB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSWRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_TSECSWRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISR_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISR_RANGE                      12:12
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISW_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISW_RANGE                      13:13
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AXISW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSR_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSR_RANGE                      14:14
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSW_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSW_RANGE                      15:15
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_EQOSW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCR_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCR_RANGE                     16:16
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCW_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCW_RANGE                     17:17
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_UFSHCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_NVDISPLAYR_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_NVDISPLAYR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_NVDISPLAYR_RANGE                 18:18
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_NVDISPLAYR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_NVDISPLAYR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_NVDISPLAYR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_NVDISPLAYR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_NVDISPLAYR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_NVDISPLAYR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_NVDISPLAYR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_NVDISPLAYR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPR_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPR_RANGE                      19:19
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPW_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPW_RANGE                      20:20
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAR_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAR_RANGE                   21:21
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAW_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAW_RANGE                   22:22
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_BPMPDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONR_RANGE                       23:23
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONW_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONW_RANGE                       24:24
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAR_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAR_RANGE                    25:25
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAW_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAW_RANGE                    26:26
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_AONDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCER_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCER_RANGE                       27:27
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEW_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEW_RANGE                       28:28
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAR_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAR_RANGE                    29:29
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAW_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAW_RANGE                    30:30
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_SCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_APEDMAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_APEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_APEDMAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_APEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_APEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_APEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_APEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_APEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_APEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_APEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_APEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_APEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0_CARVEOUT6_ALLOW_APEDMAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x2394)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0_CARVEOUT17_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x2180)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0_CARVEOUT10_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0                   _MK_ADDR_CONST(0x20dc)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                       0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                         _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_APEDMAW_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_APEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_APEDMAW_RANGE                    0:0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_APEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_APEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_APEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_APEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_APEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR1_RANGE                        1:1
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VICSRD1_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VICSRD1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VICSRD1_RANGE                    2:2
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VICSRD1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VICSRD1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VICSRD1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VICSRD1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VICSRD1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD1_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD1_RANGE                  3:3
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0R_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0R_RANGE                      6:6
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0W_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0W_RANGE                      7:7
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1R_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1R_RANGE                      8:8
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1W_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1W_RANGE                      9:9
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2R_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2R_RANGE                      14:14
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2W_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2W_RANGE                      15:15
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3R_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3R_RANGE                      16:16
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3W_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3W_RANGE                      17:17
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4R_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4R_RANGE                      18:18
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4W_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4W_RANGE                      19:19
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_MIU4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUR_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUR_RANGE                      20:20
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUW_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUW_RANGE                      21:21
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DPMUW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0R_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0R_RANGE                      22:22
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0W_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0W_RANGE                      23:23
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1R_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1R_RANGE                      24:24
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1W_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1W_RANGE                      25:25
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2R_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2R_RANGE                      26:26
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2W_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2W_RANGE                      27:27
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_NVL2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALR_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALR_RANGE                     28:28
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALW_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALW_RANGE                     29:29
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_VIFALW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA_RANGE                    30:30
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALRDB_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALRDB_RANGE                 31:31
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALRDB_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x23fc)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x25e8)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT24_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x21ac)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0_CARVEOUT11_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT7_BOM_0
#define MC_SECURITY_CARVEOUT7_BOM_0                     _MK_ADDR_CONST(0x2054)
#define MC_SECURITY_CARVEOUT7_BOM_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT7_BOM_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT7_BOM_0_SCR                         0
#define MC_SECURITY_CARVEOUT7_BOM_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT7_BOM_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_BOM_0_RESET_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT7_BOM_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_BOM_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_BOM_0_READ_MASK                   _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT7_BOM_0_WRITE_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT7_BOM_0_MC_SECURITY_CARVEOUT7_BOM_RANGE_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT7_BOM_0_MC_SECURITY_CARVEOUT7_BOM_RANGE_FIELD                       _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT7_BOM_0_MC_SECURITY_CARVEOUT7_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT7_BOM_0_MC_SECURITY_CARVEOUT7_BOM_RANGE_RANGE                       31:12
#define MC_SECURITY_CARVEOUT7_BOM_0_MC_SECURITY_CARVEOUT7_BOM_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_BOM_0_MC_SECURITY_CARVEOUT7_BOM_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_BOM_0_MC_SECURITY_CARVEOUT7_BOM_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT7_BOM_0_MC_SECURITY_CARVEOUT7_BOM_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_BOM_0_MC_SECURITY_CARVEOUT7_BOM_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_BOM_0_MC_SECURITY_CARVEOUT7_BOM_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_BOM_0_MC_SECURITY_CARVEOUT7_BOM_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x2714)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT28_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0                  _MK_ADDR_CONST(0x2060)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_PTCR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_PTCR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_PTCR_RANGE                       0:0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_PTCR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_PTCR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_PTCR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_PTCR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_PTCR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_PTCR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_PTCR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_PTCR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_PTCR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_PTCR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7R_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7R_RANGE                      1:1
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7W_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7W_RANGE                      2:2
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_MIU7W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HDAR_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HDAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HDAR_RANGE                       21:21
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HDAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HDAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HDAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HDAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HDAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HDAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HDAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HDAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HDAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HDAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HOST1XDMAR_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HOST1XDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HOST1XDMAR_RANGE                 22:22
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HOST1XDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HOST1XDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HOST1XDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HOST1XDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HOST1XDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HOST1XDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HOST1XDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_HOST1XDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_NVENCSRD_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_NVENCSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_NVENCSRD_RANGE                   28:28
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_NVENCSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_NVENCSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_NVENCSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_NVENCSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_NVENCSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_NVENCSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_NVENCSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_NVENCSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_NVENCSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_SATAR_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_SATAR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_SATAR_RANGE                      31:31
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_SATAR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_SATAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_SATAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_SATAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_SATAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_SATAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_SATAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_SATAR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_SATAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0_CARVEOUT7_ALLOW_SATAR_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x2624)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT25_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0                   _MK_ADDR_CONST(0x20c8)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                       0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                         _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_PTCR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_PTCR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_PTCR_RANGE                       0:0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_PTCR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_PTCR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_PTCR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_PTCR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_PTCR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_PTCR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_PTCR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7R_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7R_RANGE                      1:1
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7W_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7W_RANGE                      2:2
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_MIU7W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HDAR_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HDAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HDAR_RANGE                       21:21
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HDAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HDAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HDAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HDAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HDAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HDAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HDAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HOST1XDMAR_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HOST1XDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HOST1XDMAR_RANGE                 22:22
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HOST1XDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_HOST1XDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD_RANGE                   28:28
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_SATAR_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_SATAR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_SATAR_RANGE                      31:31
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_SATAR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_SATAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_SATAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_SATAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_SATAR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_SATAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT8_FORCE_INTERNAL_SATAR_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x24cc)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0_CARVEOUT21_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x2300)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT15_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT17_CFG0_0
#define MC_SECURITY_CARVEOUT17_CFG0_0                   _MK_ADDR_CONST(0x2370)
#define MC_SECURITY_CARVEOUT17_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT17_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT17_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT17_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT17_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT17_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT17_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CFG0_0_MC_SECURITY_CARVEOUT17_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x22a4)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0_CARVEOUT14_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0                   _MK_ADDR_CONST(0x2088)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                       0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                         _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESRD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESRD_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESRD_RANGE                      0:0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESRD_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESRD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESRD_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESRD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESRD_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESWR_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESWR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESWR_RANGE                      1:1
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESWR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESWR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESWR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESWR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESWR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESWR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SESWR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPW_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPW_RANGE                     3:3
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXIAPW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRR_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRR_RANGE                       4:4
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRW_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRW_RANGE                       5:5
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_ETRW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSRDB_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSRDB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSRDB_RANGE                   6:6
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSRDB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSRDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSRDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSRDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSWRB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSWRB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSWRB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSWRB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSWRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSWRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_TSECSWRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISR_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISR_RANGE                      12:12
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISW_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISW_RANGE                      13:13
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AXISW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSR_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSR_RANGE                      14:14
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSW_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSW_RANGE                      15:15
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_EQOSW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCR_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCR_RANGE                     16:16
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCW_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCW_RANGE                     17:17
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_UFSHCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR_RANGE                 18:18
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_NVDISPLAYR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPR_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPR_RANGE                      19:19
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPW_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPW_RANGE                      20:20
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAR_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAR_RANGE                   21:21
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAW_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAW_RANGE                   22:22
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_BPMPDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONR_RANGE                       23:23
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONW_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONW_RANGE                       24:24
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAR_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAR_RANGE                    25:25
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAW_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAW_RANGE                    26:26
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_AONDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCER_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCER_RANGE                       27:27
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEW_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEW_RANGE                       28:28
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAR_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAR_RANGE                    29:29
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAW_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAW_RANGE                    30:30
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_SCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_APEDMAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_APEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_APEDMAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_APEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_APEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_APEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_APEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT7_FORCE_INTERNAL_APEDMAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT29_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0                     _MK_ADDR_CONST(0x273c)
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_SIZE_128KB_0_MC_SECURITY_CARVEOUT29_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x274c)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0_CARVEOUT29_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x2674)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT26_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT27_CFG0_0
#define MC_SECURITY_CARVEOUT27_CFG0_0                   _MK_ADDR_CONST(0x2690)
#define MC_SECURITY_CARVEOUT27_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT27_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT27_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT27_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT27_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT27_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT27_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CFG0_0_MC_SECURITY_CARVEOUT27_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x263c)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT25_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT16_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0                     _MK_ADDR_CONST(0x232c)
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_SIZE_128KB_0_MC_SECURITY_CARVEOUT16_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x2810)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0_CARVEOUT31_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0                   _MK_ADDR_CONST(0x207c)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                       0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                         _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCORER_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCORER_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCORER_RANGE                    7:7
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCORER_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCORER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCORER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCORER_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCORER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCORER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_NVENCSWR_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_NVENCSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_NVENCSWR_RANGE                   11:11
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_NVENCSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_NVENCSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_NVENCSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_NVENCSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_HDAW_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_HDAW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_HDAW_RANGE                       21:21
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_HDAW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_HDAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_HDAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_HDAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_HDAW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_HDAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_HDAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCOREW_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCOREW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCOREW_RANGE                    25:25
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCOREW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCOREW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCOREW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCOREW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_MPCOREW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_SATAW_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_SATAW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_SATAW_RANGE                      29:29
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_SATAW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_SATAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_SATAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_SATAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_SATAW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_SATAW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT7_FORCE_INTERNAL_SATAW_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x27cc)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT30_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x22ec)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0_CARVEOUT15_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x261c)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT25_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x25b0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0_CARVEOUT24_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT18_BOM_0
#define MC_SECURITY_CARVEOUT18_BOM_0                    _MK_ADDR_CONST(0x23c4)
#define MC_SECURITY_CARVEOUT18_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT18_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT18_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT18_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT18_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT18_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT18_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT18_BOM_0_MC_SECURITY_CARVEOUT18_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT18_BOM_0_MC_SECURITY_CARVEOUT18_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT18_BOM_0_MC_SECURITY_CARVEOUT18_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT18_BOM_0_MC_SECURITY_CARVEOUT18_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT18_BOM_0_MC_SECURITY_CARVEOUT18_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_BOM_0_MC_SECURITY_CARVEOUT18_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_BOM_0_MC_SECURITY_CARVEOUT18_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT18_BOM_0_MC_SECURITY_CARVEOUT18_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_BOM_0_MC_SECURITY_CARVEOUT18_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_BOM_0_MC_SECURITY_CARVEOUT18_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_BOM_0_MC_SECURITY_CARVEOUT18_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x2528)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT22_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x248c)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT20_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x23b8)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT17_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x2510)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0_CARVEOUT22_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x2214)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT12_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x21a8)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0_CARVEOUT11_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x2604)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0_CARVEOUT25_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x2340)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0_CARVEOUT16_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x2274)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0_CARVEOUT13_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT29_CFG0_0
#define MC_SECURITY_CARVEOUT29_CFG0_0                   _MK_ADDR_CONST(0x2730)
#define MC_SECURITY_CARVEOUT29_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT29_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT29_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT29_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT29_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT29_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT29_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CFG0_0_MC_SECURITY_CARVEOUT29_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x27a8)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT30_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0                   _MK_ADDR_CONST(0x2048)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                       0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0WRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0WRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALWRB_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALWRB_RANGE                 1:1
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA_RANGE                    2:2
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALRDB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALRDB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1WRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1WRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALWRB_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALWRB_RANGE                 5:5
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_DLA1FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDC_RANGE                    8:8
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRA_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRA_RANGE                    9:9
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRB_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRB_RANGE                    10:10
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRC_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRC_RANGE                    11:11
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA0WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA_RANGE                    12:12
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB_RANGE                    13:13
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDC_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDC_RANGE                    14:14
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRA_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRA_RANGE                    15:15
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRB_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRB_RANGE                    16:16
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRC_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRC_RANGE                    17:17
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PVA1WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCER_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCER_RANGE                       18:18
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEW_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEW_RANGE                       19:19
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_RCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD_RANGE                  22:22
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SWR_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SWR_RANGE                  23:23
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R_RANGE                     24:24
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0W_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0W_RANGE                     25:25
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE0W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1R_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1R_RANGE                     26:26
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1W_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1W_RANGE                     27:27
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE1W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AR_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AR_RANGE                    28:28
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE2AW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3R_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3R_RANGE                     30:30
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3W_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3W_RANGE                     31:31
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT6_FORCE_INTERNAL_PCIE3W_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x22b8)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT14_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x21fc)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0_CARVEOUT12_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT11_CFG0_0
#define MC_SECURITY_CARVEOUT11_CFG0_0                   _MK_ADDR_CONST(0x2190)
#define MC_SECURITY_CARVEOUT11_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT11_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT11_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT11_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT11_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT11_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT11_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CFG0_0_MC_SECURITY_CARVEOUT11_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x2764)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT29_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT8_CFG0_0
#define MC_SECURITY_CARVEOUT8_CFG0_0                    _MK_ADDR_CONST(0x20a0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT8_CFG0_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT8_CFG0_0_SCR                        0
#define MC_SECURITY_CARVEOUT8_CFG0_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT8_CFG0_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_RESET_MASK                         _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT8_CFG0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_READ_MASK                  _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT8_CFG0_0_WRITE_MASK                         _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_PROTECT_MODE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_PROTECT_MODE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_PROTECT_MODE_RANGE                   0:0
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_PROTECT_MODE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_PROTECT_MODE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_PROTECT_MODE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_PROTECT_MODE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_PROTECT_MODE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_PROTECT_MODE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_PROTECT_MODE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_PROTECT_MODE_INIT_ENUM                       LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_PROTECT_MODE_LOCKBIT_SECURE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_PROTECT_MODE_TZ_SECURE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_LOCK_MODE_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_LOCK_MODE_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_LOCK_MODE_RANGE                      1:1
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_LOCK_MODE_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_LOCK_MODE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_LOCK_MODE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_LOCK_MODE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_LOCK_MODE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_LOCK_MODE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_LOCK_MODE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_LOCK_MODE_INIT_ENUM                  UNLOCKED
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_LOCK_MODE_UNLOCKED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_LOCK_MODE_LOCKED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ADDRESS_TYPE_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ADDRESS_TYPE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ADDRESS_TYPE_RANGE                   2:2
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ADDRESS_TYPE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ADDRESS_TYPE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ADDRESS_TYPE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ADDRESS_TYPE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ADDRESS_TYPE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ADDRESS_TYPE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ADDRESS_TYPE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ADDRESS_TYPE_INIT_ENUM                       ANY_ADDRESS
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ADDRESS_TYPE_ANY_ADDRESS                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ADDRESS_TYPE_UNTRANSLATED_ONLY                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_READ_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_READ_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_READ_ACCESS_LEVEL_RANGE                      6:3
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_READ_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_READ_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_READ_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_READ_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_READ_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_WRITE_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_WRITE_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_WRITE_ACCESS_LEVEL_RANGE                     10:7
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_WRITE_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_WRITE_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_WRITE_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_WRITE_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_FIELD                    _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_RANGE                    13:11
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                        _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                        17:14
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                       _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                       21:18
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_SEND_CFG_TO_GPU_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_SEND_CFG_TO_GPU_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_SEND_CFG_TO_GPU_RANGE                        22:22
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_SEND_CFG_TO_GPU_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_SEND_CFG_TO_GPU_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_SEND_CFG_TO_GPU_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_SEND_CFG_TO_GPU_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_SEND_CFG_TO_GPU_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_SEND_CFG_TO_GPU_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_SEND_CFG_TO_GPU_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_SEND_CFG_TO_GPU_ENABLED                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_WR_EN_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_WR_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_WR_EN_RANGE                        23:23
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_WR_EN_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_WR_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_WR_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_WR_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_WR_EN_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_WR_EN_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_WR_EN_BYPASS_CHECK                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_RD_EN_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_RD_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_RD_EN_RANGE                        24:24
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_RD_EN_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_RD_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_RD_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_RD_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_RD_EN_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_RD_EN_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_TZ_GLOBAL_RD_EN_BYPASS_CHECK                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ALLOW_APERTURE_ID_MISMATCH_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ALLOW_APERTURE_ID_MISMATCH_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ALLOW_APERTURE_ID_MISMATCH_RANGE                     25:25
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                 DISABLED
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ALLOW_APERTURE_ID_MISMATCH_DISABLED                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_ALLOW_APERTURE_ID_MISMATCH_ENABLED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_FORCE_APERTURE_ID_MATCH_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_FORCE_APERTURE_ID_MATCH_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_FORCE_APERTURE_ID_MATCH_RANGE                        26:26
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_FORCE_APERTURE_ID_MATCH_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_FORCE_APERTURE_ID_MATCH_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_FORCE_APERTURE_ID_MATCH_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_FORCE_APERTURE_ID_MATCH_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_FORCE_APERTURE_ID_MATCH_ENABLED                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_IS_WPR_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_IS_WPR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_IS_WPR_RANGE                 27:27
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_IS_WPR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_IS_WPR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_IS_WPR_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_IS_WPR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_IS_WPR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_IS_WPR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_IS_WPR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_IS_WPR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_IS_WPR_ENABLED                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_HI_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_HI_FIELD                 _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_HI_RANGE                 29:28
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_HI_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_HI_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_HI_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_HI_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_HI_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_HI_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_APERTURE_ID_HI_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_CPU_SECURE_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_CPU_SECURE_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_CPU_SECURE_RANGE                     31:31
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_CPU_SECURE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_CPU_SECURE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_CPU_SECURE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_CPU_SECURE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_CPU_SECURE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_CPU_SECURE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_CPU_SECURE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_CPU_SECURE_INIT_ENUM                 NO
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_CPU_SECURE_NO                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CFG0_0_MC_SECURITY_CARVEOUT8_CPU_SECURE_YES                       _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x2580)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT23_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x2164)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0_CARVEOUT10_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x2480)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0_CARVEOUT20_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x2538)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT22_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x2434)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0_CARVEOUT19_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x2350)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT16_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x24e8)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT21_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x21b4)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0_CARVEOUT11_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x23e0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0_CARVEOUT18_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x2334)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0_CARVEOUT16_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT28_BOM_0
#define MC_SECURITY_CARVEOUT28_BOM_0                    _MK_ADDR_CONST(0x26e4)
#define MC_SECURITY_CARVEOUT28_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT28_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT28_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT28_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT28_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT28_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT28_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT28_BOM_0_MC_SECURITY_CARVEOUT28_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT28_BOM_0_MC_SECURITY_CARVEOUT28_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT28_BOM_0_MC_SECURITY_CARVEOUT28_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT28_BOM_0_MC_SECURITY_CARVEOUT28_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT28_BOM_0_MC_SECURITY_CARVEOUT28_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_BOM_0_MC_SECURITY_CARVEOUT28_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_BOM_0_MC_SECURITY_CARVEOUT28_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT28_BOM_0_MC_SECURITY_CARVEOUT28_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_BOM_0_MC_SECURITY_CARVEOUT28_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_BOM_0_MC_SECURITY_CARVEOUT28_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_BOM_0_MC_SECURITY_CARVEOUT28_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x2630)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0_CARVEOUT25_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0                  _MK_ADDR_CONST(0x20b4)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCORER_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCORER_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCORER_RANGE                    7:7
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCORER_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCORER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCORER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCORER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCORER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCORER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCORER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCORER_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCORER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCORER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_NVENCSWR_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_NVENCSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_NVENCSWR_RANGE                   11:11
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_NVENCSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_NVENCSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_NVENCSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_NVENCSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_NVENCSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_NVENCSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_NVENCSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_NVENCSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_NVENCSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_HDAW_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_HDAW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_HDAW_RANGE                       21:21
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_HDAW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_HDAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_HDAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_HDAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_HDAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_HDAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_HDAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_HDAW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_HDAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_HDAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCOREW_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCOREW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCOREW_RANGE                    25:25
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCOREW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCOREW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCOREW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCOREW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCOREW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCOREW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCOREW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCOREW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCOREW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_MPCOREW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_SATAW_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_SATAW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_SATAW_RANGE                      29:29
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_SATAW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_SATAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_SATAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_SATAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_SATAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_SATAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_SATAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_SATAW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_SATAW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0_CARVEOUT8_ALLOW_SATAW_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT15_BOM_0
#define MC_SECURITY_CARVEOUT15_BOM_0                    _MK_ADDR_CONST(0x22d4)
#define MC_SECURITY_CARVEOUT15_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT15_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT15_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT15_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT15_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT15_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT15_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT15_BOM_0_MC_SECURITY_CARVEOUT15_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT15_BOM_0_MC_SECURITY_CARVEOUT15_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT15_BOM_0_MC_SECURITY_CARVEOUT15_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT15_BOM_0_MC_SECURITY_CARVEOUT15_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT15_BOM_0_MC_SECURITY_CARVEOUT15_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_BOM_0_MC_SECURITY_CARVEOUT15_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_BOM_0_MC_SECURITY_CARVEOUT15_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT15_BOM_0_MC_SECURITY_CARVEOUT15_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_BOM_0_MC_SECURITY_CARVEOUT15_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_BOM_0_MC_SECURITY_CARVEOUT15_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_BOM_0_MC_SECURITY_CARVEOUT15_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT6_BOM_0
#define MC_SECURITY_CARVEOUT6_BOM_0                     _MK_ADDR_CONST(0x2004)
#define MC_SECURITY_CARVEOUT6_BOM_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT6_BOM_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT6_BOM_0_SCR                         0
#define MC_SECURITY_CARVEOUT6_BOM_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT6_BOM_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_BOM_0_RESET_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT6_BOM_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_BOM_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_BOM_0_READ_MASK                   _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT6_BOM_0_WRITE_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT6_BOM_0_MC_SECURITY_CARVEOUT6_BOM_RANGE_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT6_BOM_0_MC_SECURITY_CARVEOUT6_BOM_RANGE_FIELD                       _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT6_BOM_0_MC_SECURITY_CARVEOUT6_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT6_BOM_0_MC_SECURITY_CARVEOUT6_BOM_RANGE_RANGE                       31:12
#define MC_SECURITY_CARVEOUT6_BOM_0_MC_SECURITY_CARVEOUT6_BOM_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_BOM_0_MC_SECURITY_CARVEOUT6_BOM_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_BOM_0_MC_SECURITY_CARVEOUT6_BOM_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT6_BOM_0_MC_SECURITY_CARVEOUT6_BOM_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_BOM_0_MC_SECURITY_CARVEOUT6_BOM_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_BOM_0_MC_SECURITY_CARVEOUT6_BOM_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_BOM_0_MC_SECURITY_CARVEOUT6_BOM_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x26ac)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0_CARVEOUT27_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x26c0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT27_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0                  _MK_ADDR_CONST(0x201c)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRAB_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRAB_RANGE                   3:3
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCRAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCW_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCW_RANGE                     6:6
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWAB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWAB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_SDMMCWAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSRD_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSRD_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSRD_RANGE                     12:12
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSRD_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSRD_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSWR_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSWR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSWR_RANGE                     13:13
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSWR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSWR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VICSWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VIW_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VIW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VIW_RANGE                        18:18
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VIW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VIW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VIW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VIW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VIW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VIW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VIW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VIW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VIW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_VIW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSRD_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSRD_RANGE                   24:24
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSWR_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSWR_RANGE                   25:25
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVDECSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APER_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APER_RANGE                       26:26
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APEW_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APEW_RANGE                       27:27
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_APEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSRD_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSRD_RANGE                   30:30
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSWR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSWR_RANGE                   31:31
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0_CARVEOUT6_ALLOW_NVJPGSWR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT10_BOM_0
#define MC_SECURITY_CARVEOUT10_BOM_0                    _MK_ADDR_CONST(0x2144)
#define MC_SECURITY_CARVEOUT10_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT10_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT10_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT10_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT10_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT10_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT10_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT10_BOM_0_MC_SECURITY_CARVEOUT10_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT10_BOM_0_MC_SECURITY_CARVEOUT10_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT10_BOM_0_MC_SECURITY_CARVEOUT10_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT10_BOM_0_MC_SECURITY_CARVEOUT10_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT10_BOM_0_MC_SECURITY_CARVEOUT10_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_BOM_0_MC_SECURITY_CARVEOUT10_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_BOM_0_MC_SECURITY_CARVEOUT10_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT10_BOM_0_MC_SECURITY_CARVEOUT10_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_BOM_0_MC_SECURITY_CARVEOUT10_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_BOM_0_MC_SECURITY_CARVEOUT10_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_BOM_0_MC_SECURITY_CARVEOUT10_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x2710)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT28_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT29_BOM_HI_0
#define MC_SECURITY_CARVEOUT29_BOM_HI_0                 _MK_ADDR_CONST(0x2738)
#define MC_SECURITY_CARVEOUT29_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT29_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT29_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT29_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT29_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT29_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT29_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT29_BOM_HI_0_MC_SECURITY_CARVEOUT29_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT29_BOM_HI_0_MC_SECURITY_CARVEOUT29_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT29_BOM_HI_0_MC_SECURITY_CARVEOUT29_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT29_BOM_HI_0_MC_SECURITY_CARVEOUT29_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT29_BOM_HI_0_MC_SECURITY_CARVEOUT29_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_BOM_HI_0_MC_SECURITY_CARVEOUT29_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_BOM_HI_0_MC_SECURITY_CARVEOUT29_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT29_BOM_HI_0_MC_SECURITY_CARVEOUT29_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_BOM_HI_0_MC_SECURITY_CARVEOUT29_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_BOM_HI_0_MC_SECURITY_CARVEOUT29_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_BOM_HI_0_MC_SECURITY_CARVEOUT29_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x2150)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0_CARVEOUT10_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x2724)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0_CARVEOUT28_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x2594)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0_CARVEOUT23_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT7_BOM_HI_0
#define MC_SECURITY_CARVEOUT7_BOM_HI_0                  _MK_ADDR_CONST(0x2058)
#define MC_SECURITY_CARVEOUT7_BOM_HI_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT7_BOM_HI_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT7_BOM_HI_0_SCR                      0
#define MC_SECURITY_CARVEOUT7_BOM_HI_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT7_BOM_HI_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_BOM_HI_0_RESET_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT7_BOM_HI_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_BOM_HI_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_BOM_HI_0_READ_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT7_BOM_HI_0_WRITE_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT7_BOM_HI_0_MC_SECURITY_CARVEOUT7_BOM_HI_RANGE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT7_BOM_HI_0_MC_SECURITY_CARVEOUT7_BOM_HI_RANGE_FIELD                 _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT7_BOM_HI_0_MC_SECURITY_CARVEOUT7_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT7_BOM_HI_0_MC_SECURITY_CARVEOUT7_BOM_HI_RANGE_RANGE                 7:0
#define MC_SECURITY_CARVEOUT7_BOM_HI_0_MC_SECURITY_CARVEOUT7_BOM_HI_RANGE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_BOM_HI_0_MC_SECURITY_CARVEOUT7_BOM_HI_RANGE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_BOM_HI_0_MC_SECURITY_CARVEOUT7_BOM_HI_RANGE_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT7_BOM_HI_0_MC_SECURITY_CARVEOUT7_BOM_HI_RANGE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_BOM_HI_0_MC_SECURITY_CARVEOUT7_BOM_HI_RANGE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_BOM_HI_0_MC_SECURITY_CARVEOUT7_BOM_HI_RANGE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_BOM_HI_0_MC_SECURITY_CARVEOUT7_BOM_HI_RANGE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x2818)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT31_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0                  _MK_ADDR_CONST(0x2110)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESRD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESRD_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESRD_RANGE                      0:0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESRD_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESRD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESRD_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESRD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESRD_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESWR_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESWR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESWR_RANGE                      1:1
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESWR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESWR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESWR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESWR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESWR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESWR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESWR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESWR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESWR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SESWR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPW_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPW_RANGE                     3:3
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXIAPW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRR_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRR_RANGE                       4:4
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRW_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRW_RANGE                       5:5
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_ETRW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSRDB_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSRDB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSRDB_RANGE                   6:6
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSRDB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSRDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSRDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSRDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSRDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSRDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSRDB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSRDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSRDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSWRB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSWRB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSWRB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSWRB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSWRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSWRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSWRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSWRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSWRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSWRB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSWRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_TSECSWRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISR_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISR_RANGE                      12:12
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISW_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISW_RANGE                      13:13
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AXISW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSR_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSR_RANGE                      14:14
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSW_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSW_RANGE                      15:15
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_EQOSW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCR_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCR_RANGE                     16:16
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCW_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCW_RANGE                     17:17
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_UFSHCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_NVDISPLAYR_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_NVDISPLAYR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_NVDISPLAYR_RANGE                 18:18
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_NVDISPLAYR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_NVDISPLAYR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_NVDISPLAYR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_NVDISPLAYR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_NVDISPLAYR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_NVDISPLAYR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_NVDISPLAYR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_NVDISPLAYR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPR_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPR_RANGE                      19:19
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPW_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPW_RANGE                      20:20
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAR_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAR_RANGE                   21:21
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAW_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAW_RANGE                   22:22
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_BPMPDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONR_RANGE                       23:23
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONW_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONW_RANGE                       24:24
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAR_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAR_RANGE                    25:25
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAW_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAW_RANGE                    26:26
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_AONDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCER_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCER_RANGE                       27:27
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEW_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEW_RANGE                       28:28
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAR_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAR_RANGE                    29:29
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAW_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAW_RANGE                    30:30
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_SCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_APEDMAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_APEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_APEDMAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_APEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_APEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_APEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_APEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_APEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_APEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_APEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_APEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_APEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0_CARVEOUT9_ALLOW_APEDMAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x2524)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0_CARVEOUT22_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT19_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0                     _MK_ADDR_CONST(0x241c)
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_SIZE_128KB_0_MC_SECURITY_CARVEOUT19_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0                  _MK_ADDR_CONST(0x2040)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0WRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0WRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0FALWRB_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0FALWRB_RANGE                 1:1
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA0FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1RDA_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1RDA_RANGE                    2:2
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALRDB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALRDB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1WRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1WRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALWRB_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALWRB_RANGE                 5:5
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_DLA1FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDC_RANGE                    8:8
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRA_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRA_RANGE                    9:9
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRB_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRB_RANGE                    10:10
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRC_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRC_RANGE                    11:11
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA0WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDA_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDA_RANGE                    12:12
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDB_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDB_RANGE                    13:13
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDC_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDC_RANGE                    14:14
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRA_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRA_RANGE                    15:15
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRB_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRB_RANGE                    16:16
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRC_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRC_RANGE                    17:17
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PVA1WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCER_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCER_RANGE                       18:18
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEW_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEW_RANGE                       19:19
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_RCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SRD_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SRD_RANGE                  22:22
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SWR_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SWR_RANGE                  23:23
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_NVENC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0R_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0R_RANGE                     24:24
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0W_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0W_RANGE                     25:25
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE0W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1R_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1R_RANGE                     26:26
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1W_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1W_RANGE                     27:27
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE1W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AR_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AR_RANGE                    28:28
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE2AW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3R_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3R_RANGE                     30:30
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3W_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3W_RANGE                     31:31
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0_CARVEOUT6_ALLOW_PCIE3W_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT18_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0                     _MK_ADDR_CONST(0x23cc)
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_SIZE_128KB_0_MC_SECURITY_CARVEOUT18_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT10_CFG0_0
#define MC_SECURITY_CARVEOUT10_CFG0_0                   _MK_ADDR_CONST(0x2140)
#define MC_SECURITY_CARVEOUT10_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT10_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT10_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT10_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT10_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT10_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT10_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CFG0_0_MC_SECURITY_CARVEOUT10_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x21bc)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT11_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x2168)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT10_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x2308)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT15_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x2638)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT25_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT6_BOM_HI_0
#define MC_SECURITY_CARVEOUT6_BOM_HI_0                  _MK_ADDR_CONST(0x2008)
#define MC_SECURITY_CARVEOUT6_BOM_HI_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT6_BOM_HI_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT6_BOM_HI_0_SCR                      0
#define MC_SECURITY_CARVEOUT6_BOM_HI_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT6_BOM_HI_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_BOM_HI_0_RESET_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT6_BOM_HI_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_BOM_HI_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_BOM_HI_0_READ_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT6_BOM_HI_0_WRITE_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT6_BOM_HI_0_MC_SECURITY_CARVEOUT6_BOM_HI_RANGE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT6_BOM_HI_0_MC_SECURITY_CARVEOUT6_BOM_HI_RANGE_FIELD                 _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT6_BOM_HI_0_MC_SECURITY_CARVEOUT6_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT6_BOM_HI_0_MC_SECURITY_CARVEOUT6_BOM_HI_RANGE_RANGE                 7:0
#define MC_SECURITY_CARVEOUT6_BOM_HI_0_MC_SECURITY_CARVEOUT6_BOM_HI_RANGE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_BOM_HI_0_MC_SECURITY_CARVEOUT6_BOM_HI_RANGE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_BOM_HI_0_MC_SECURITY_CARVEOUT6_BOM_HI_RANGE_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT6_BOM_HI_0_MC_SECURITY_CARVEOUT6_BOM_HI_RANGE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_BOM_HI_0_MC_SECURITY_CARVEOUT6_BOM_HI_RANGE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_BOM_HI_0_MC_SECURITY_CARVEOUT6_BOM_HI_RANGE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_BOM_HI_0_MC_SECURITY_CARVEOUT6_BOM_HI_RANGE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT15_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0                     _MK_ADDR_CONST(0x22dc)
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_SIZE_128KB_0_MC_SECURITY_CARVEOUT15_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x2670)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT26_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x24d0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0_CARVEOUT21_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x24c8)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0_CARVEOUT21_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x2478)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0_CARVEOUT20_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT19_CFG0_0
#define MC_SECURITY_CARVEOUT19_CFG0_0                   _MK_ADDR_CONST(0x2410)
#define MC_SECURITY_CARVEOUT19_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT19_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT19_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT19_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT19_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT19_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT19_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CFG0_0_MC_SECURITY_CARVEOUT19_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0                  _MK_ADDR_CONST(0x2014)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCORER_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCORER_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCORER_RANGE                    7:7
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCORER_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCORER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCORER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCORER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCORER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCORER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCORER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCORER_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCORER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCORER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_NVENCSWR_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_NVENCSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_NVENCSWR_RANGE                   11:11
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_NVENCSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_NVENCSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_NVENCSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_NVENCSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_NVENCSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_NVENCSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_NVENCSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_NVENCSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_NVENCSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_HDAW_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_HDAW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_HDAW_RANGE                       21:21
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_HDAW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_HDAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_HDAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_HDAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_HDAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_HDAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_HDAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_HDAW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_HDAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_HDAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCOREW_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCOREW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCOREW_RANGE                    25:25
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCOREW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCOREW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCOREW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCOREW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCOREW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCOREW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCOREW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCOREW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCOREW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_MPCOREW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_SATAW_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_SATAW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_SATAW_RANGE                      29:29
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_SATAW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_SATAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_SATAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_SATAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_SATAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_SATAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_SATAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_SATAW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_SATAW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0_CARVEOUT6_ALLOW_SATAW_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x25bc)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0_CARVEOUT24_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x21f4)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0_CARVEOUT12_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0                  _MK_ADDR_CONST(0x2018)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPRA_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPRA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPRA_RANGE                      4:4
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPRA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPRA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPRA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPRA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPRA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPRA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPRA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPRA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPRA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPRA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPFALR_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPFALR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPFALR_RANGE                    5:5
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPFALR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPFALR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPFALR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPFALR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPFALR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPFALR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPFALR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPFALR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPFALR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPFALR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWA_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWA_RANGE                      6:6
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWB_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWB_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWB_RANGE                      7:7
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWB_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWB_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_ISPWB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTR_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTR_RANGE                 10:10
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTW_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTW_RANGE                 11:11
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_HOSTW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVR_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVR_RANGE                  12:12
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVW_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVW_RANGE                  13:13
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_XUSB_DEVW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSRD_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSRD_RANGE                    20:20
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSWR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSWR_RANGE                    21:21
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0_CARVEOUT6_ALLOW_TSECSWR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT20_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0                     _MK_ADDR_CONST(0x246c)
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_SIZE_128KB_0_MC_SECURITY_CARVEOUT20_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x217c)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x2654)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0_CARVEOUT26_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x2740)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0_CARVEOUT29_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x22ac)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT14_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x23f4)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT18_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT27_BOM_0
#define MC_SECURITY_CARVEOUT27_BOM_0                    _MK_ADDR_CONST(0x2694)
#define MC_SECURITY_CARVEOUT27_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT27_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT27_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT27_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT27_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT27_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT27_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT27_BOM_0_MC_SECURITY_CARVEOUT27_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT27_BOM_0_MC_SECURITY_CARVEOUT27_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT27_BOM_0_MC_SECURITY_CARVEOUT27_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT27_BOM_0_MC_SECURITY_CARVEOUT27_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT27_BOM_0_MC_SECURITY_CARVEOUT27_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_BOM_0_MC_SECURITY_CARVEOUT27_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_BOM_0_MC_SECURITY_CARVEOUT27_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT27_BOM_0_MC_SECURITY_CARVEOUT27_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_BOM_0_MC_SECURITY_CARVEOUT27_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_BOM_0_MC_SECURITY_CARVEOUT27_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_BOM_0_MC_SECURITY_CARVEOUT27_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x22c0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0_CARVEOUT14_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x2224)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0_CARVEOUT12_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x21c0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT11_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x222c)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT12_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x26bc)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT27_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0                   _MK_ADDR_CONST(0x20d4)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                       0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                         _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRAB_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRAB_RANGE                   3:3
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCRAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCW_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCW_RANGE                     6:6
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWAB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWAB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_SDMMCWAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSRD_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSRD_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSRD_RANGE                     12:12
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSRD_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSRD_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSWR_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSWR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSWR_RANGE                     13:13
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSWR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSWR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VICSWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VIW_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VIW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VIW_RANGE                        18:18
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VIW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VIW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VIW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VIW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VIW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VIW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VIW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_VIW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD_RANGE                   24:24
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSWR_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSWR_RANGE                   25:25
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVDECSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APER_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APER_RANGE                       26:26
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APEW_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APEW_RANGE                       27:27
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_APEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSRD_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSRD_RANGE                   30:30
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSWR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSWR_RANGE                   31:31
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT8_FORCE_INTERNAL_NVJPGSWR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x234c)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT16_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x2450)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0_CARVEOUT19_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x2390)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0_CARVEOUT17_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT19_BOM_HI_0
#define MC_SECURITY_CARVEOUT19_BOM_HI_0                 _MK_ADDR_CONST(0x2418)
#define MC_SECURITY_CARVEOUT19_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT19_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT19_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT19_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT19_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT19_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT19_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT19_BOM_HI_0_MC_SECURITY_CARVEOUT19_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT19_BOM_HI_0_MC_SECURITY_CARVEOUT19_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT19_BOM_HI_0_MC_SECURITY_CARVEOUT19_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT19_BOM_HI_0_MC_SECURITY_CARVEOUT19_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT19_BOM_HI_0_MC_SECURITY_CARVEOUT19_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_BOM_HI_0_MC_SECURITY_CARVEOUT19_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_BOM_HI_0_MC_SECURITY_CARVEOUT19_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT19_BOM_HI_0_MC_SECURITY_CARVEOUT19_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_BOM_HI_0_MC_SECURITY_CARVEOUT19_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_BOM_HI_0_MC_SECURITY_CARVEOUT19_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_BOM_HI_0_MC_SECURITY_CARVEOUT19_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x27e0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0_CARVEOUT31_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x26b0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0_CARVEOUT27_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x2794)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0_CARVEOUT30_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT11_BOM_HI_0
#define MC_SECURITY_CARVEOUT11_BOM_HI_0                 _MK_ADDR_CONST(0x2198)
#define MC_SECURITY_CARVEOUT11_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT11_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT11_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT11_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT11_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT11_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT11_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT11_BOM_HI_0_MC_SECURITY_CARVEOUT11_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT11_BOM_HI_0_MC_SECURITY_CARVEOUT11_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT11_BOM_HI_0_MC_SECURITY_CARVEOUT11_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT11_BOM_HI_0_MC_SECURITY_CARVEOUT11_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT11_BOM_HI_0_MC_SECURITY_CARVEOUT11_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_BOM_HI_0_MC_SECURITY_CARVEOUT11_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_BOM_HI_0_MC_SECURITY_CARVEOUT11_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT11_BOM_HI_0_MC_SECURITY_CARVEOUT11_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_BOM_HI_0_MC_SECURITY_CARVEOUT11_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_BOM_HI_0_MC_SECURITY_CARVEOUT11_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_BOM_HI_0_MC_SECURITY_CARVEOUT11_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x25c8)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT24_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT23_BOM_0
#define MC_SECURITY_CARVEOUT23_BOM_0                    _MK_ADDR_CONST(0x2554)
#define MC_SECURITY_CARVEOUT23_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT23_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT23_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT23_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT23_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT23_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT23_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT23_BOM_0_MC_SECURITY_CARVEOUT23_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT23_BOM_0_MC_SECURITY_CARVEOUT23_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT23_BOM_0_MC_SECURITY_CARVEOUT23_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT23_BOM_0_MC_SECURITY_CARVEOUT23_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT23_BOM_0_MC_SECURITY_CARVEOUT23_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_BOM_0_MC_SECURITY_CARVEOUT23_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_BOM_0_MC_SECURITY_CARVEOUT23_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT23_BOM_0_MC_SECURITY_CARVEOUT23_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_BOM_0_MC_SECURITY_CARVEOUT23_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_BOM_0_MC_SECURITY_CARVEOUT23_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_BOM_0_MC_SECURITY_CARVEOUT23_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x247c)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0_CARVEOUT20_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0                   _MK_ADDR_CONST(0x2028)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                       0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                         _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_PTCR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_PTCR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_PTCR_RANGE                       0:0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_PTCR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_PTCR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_PTCR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_PTCR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_PTCR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_PTCR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_PTCR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7R_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7R_RANGE                      1:1
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7W_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7W_RANGE                      2:2
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_MIU7W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HDAR_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HDAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HDAR_RANGE                       21:21
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HDAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HDAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HDAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HDAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HDAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HDAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HDAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HOST1XDMAR_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HOST1XDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HOST1XDMAR_RANGE                 22:22
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HOST1XDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_HOST1XDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD_RANGE                   28:28
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_SATAR_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_SATAR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_SATAR_RANGE                      31:31
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_SATAR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_SATAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_SATAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_SATAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_SATAR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_SATAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT6_FORCE_INTERNAL_SATAR_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x2240)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0_CARVEOUT13_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x2618)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT25_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x24e4)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT21_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0                   _MK_ADDR_CONST(0x202c)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                       0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                         _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCORER_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCORER_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCORER_RANGE                    7:7
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCORER_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCORER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCORER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCORER_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCORER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCORER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_NVENCSWR_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_NVENCSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_NVENCSWR_RANGE                   11:11
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_NVENCSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_NVENCSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_NVENCSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_NVENCSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_HDAW_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_HDAW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_HDAW_RANGE                       21:21
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_HDAW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_HDAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_HDAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_HDAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_HDAW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_HDAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_HDAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCOREW_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCOREW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCOREW_RANGE                    25:25
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCOREW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCOREW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCOREW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCOREW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_MPCOREW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_SATAW_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_SATAW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_SATAW_RANGE                      29:29
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_SATAW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_SATAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_SATAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_SATAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_SATAW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_SATAW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT6_FORCE_INTERNAL_SATAW_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x2544)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0_CARVEOUT22_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT21_BOM_HI_0
#define MC_SECURITY_CARVEOUT21_BOM_HI_0                 _MK_ADDR_CONST(0x24b8)
#define MC_SECURITY_CARVEOUT21_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT21_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT21_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT21_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT21_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT21_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT21_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT21_BOM_HI_0_MC_SECURITY_CARVEOUT21_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT21_BOM_HI_0_MC_SECURITY_CARVEOUT21_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT21_BOM_HI_0_MC_SECURITY_CARVEOUT21_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT21_BOM_HI_0_MC_SECURITY_CARVEOUT21_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT21_BOM_HI_0_MC_SECURITY_CARVEOUT21_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_BOM_HI_0_MC_SECURITY_CARVEOUT21_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_BOM_HI_0_MC_SECURITY_CARVEOUT21_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT21_BOM_HI_0_MC_SECURITY_CARVEOUT21_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_BOM_HI_0_MC_SECURITY_CARVEOUT21_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_BOM_HI_0_MC_SECURITY_CARVEOUT21_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_BOM_HI_0_MC_SECURITY_CARVEOUT21_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x23e8)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT18_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x2588)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT23_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT25_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0                     _MK_ADDR_CONST(0x25fc)
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_SIZE_128KB_0_MC_SECURITY_CARVEOUT25_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT30_CFG0_0
#define MC_SECURITY_CARVEOUT30_CFG0_0                   _MK_ADDR_CONST(0x2780)
#define MC_SECURITY_CARVEOUT30_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT30_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT30_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT30_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT30_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT30_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT30_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CFG0_0_MC_SECURITY_CARVEOUT30_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0                   _MK_ADDR_CONST(0x209c)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                       0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4R_RANGE                     0:0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4W_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4W_RANGE                     1:1
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE4W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R_RANGE                     2:2
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5W_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5W_RANGE                     3:3
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPFALW_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPFALW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPFALW_RANGE                    4:4
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPFALW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPFALW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPFALW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPFALW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPFALW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3R_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3R_RANGE                      5:5
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3W_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3W_RANGE                      6:6
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4R_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4R_RANGE                      7:7
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4W_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4W_RANGE                      8:8
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA1_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA1_RANGE                   9:9
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA1_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA1_RANGE                   10:10
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA1_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA1_RANGE                   11:11
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB1_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB1_RANGE                   12:12
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA1_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA1_RANGE                   13:13
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB1_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB1_RANGE                   14:14
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R1_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R1_RANGE                    15:15
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE5R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD1_RANGE                  16:16
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENCSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD1_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD1_RANGE                 17:17
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPRA1_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPRA1_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPRA1_RANGE                     18:18
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPRA1_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPRA1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPRA1_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPRA1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_ISPRA1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R1_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R1_RANGE                    19:19
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL0RHP_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL0RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL0RHP_RANGE                    20:20
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL0RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL0RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL0RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL0RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL1RHP_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL1RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL1RHP_RANGE                    21:21
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL1RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL1RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL1RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL1RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL2RHP_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL2RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL2RHP_RANGE                    22:22
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL2RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL2RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL2RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL2RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3RHP_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3RHP_RANGE                    23:23
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL3RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4RHP_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4RHP_RANGE                    24:24
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVL4RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD_RANGE                  25:25
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD1_RANGE                 26:26
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SWR_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SWR_RANGE                  27:27
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_NVDEC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5R_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5R_RANGE                      28:28
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5W_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5W_RANGE                      29:29
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU5W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6R_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6R_RANGE                      30:30
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6W_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6W_RANGE                      31:31
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT7_FORCE_INTERNAL_MIU6W_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x2338)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0_CARVEOUT16_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0                   _MK_ADDR_CONST(0x2030)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                       0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                         _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPRA_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPRA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPRA_RANGE                      4:4
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPRA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPRA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPRA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPRA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPRA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPRA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPFALR_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPFALR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPFALR_RANGE                    5:5
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPFALR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPFALR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPFALR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPFALR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPFALR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWA_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWA_RANGE                      6:6
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWB_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWB_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWB_RANGE                      7:7
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWB_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWB_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_ISPWB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTR_RANGE                 10:10
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTW_RANGE                 11:11
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVR_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVR_RANGE                  12:12
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVW_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVW_RANGE                  13:13
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_XUSB_DEVW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSRD_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSRD_RANGE                    20:20
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSWR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSWR_RANGE                    21:21
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT6_FORCE_INTERNAL_TSECSWR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x22c8)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT14_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x2420)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0_CARVEOUT19_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0                   _MK_ADDR_CONST(0x2128)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                       0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                         _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESRD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESRD_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESRD_RANGE                      0:0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESRD_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESRD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESRD_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESRD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESRD_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESWR_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESWR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESWR_RANGE                      1:1
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESWR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESWR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESWR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESWR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESWR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESWR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SESWR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPW_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPW_RANGE                     3:3
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXIAPW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRR_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRR_RANGE                       4:4
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRW_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRW_RANGE                       5:5
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_ETRW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSRDB_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSRDB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSRDB_RANGE                   6:6
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSRDB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSRDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSRDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSRDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSWRB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSWRB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSWRB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSWRB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSWRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSWRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_TSECSWRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISR_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISR_RANGE                      12:12
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISW_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISW_RANGE                      13:13
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AXISW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSR_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSR_RANGE                      14:14
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSW_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSW_RANGE                      15:15
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_EQOSW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCR_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCR_RANGE                     16:16
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCW_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCW_RANGE                     17:17
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_UFSHCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR_RANGE                 18:18
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPR_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPR_RANGE                      19:19
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPW_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPW_RANGE                      20:20
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAR_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAR_RANGE                   21:21
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAW_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAW_RANGE                   22:22
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_BPMPDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONR_RANGE                       23:23
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONW_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONW_RANGE                       24:24
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAR_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAR_RANGE                    25:25
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAW_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAW_RANGE                    26:26
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_AONDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCER_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCER_RANGE                       27:27
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEW_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEW_RANGE                       28:28
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAR_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAR_RANGE                    29:29
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAW_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAW_RANGE                    30:30
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_SCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_APEDMAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_APEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_APEDMAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_APEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_APEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_APEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_APEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT9_FORCE_INTERNAL_APEDMAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0                  _MK_ADDR_CONST(0x2074)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_APEDMAW_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_APEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_APEDMAW_RANGE                    0:0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_APEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_APEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_APEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_APEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_APEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_APEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_APEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_APEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_APEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_APEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDISPLAYR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDISPLAYR1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDISPLAYR1_RANGE                        1:1
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDISPLAYR1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDISPLAYR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDISPLAYR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDISPLAYR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDISPLAYR1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDISPLAYR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDISPLAYR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VICSRD1_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VICSRD1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VICSRD1_RANGE                    2:2
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VICSRD1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VICSRD1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VICSRD1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VICSRD1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VICSRD1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VICSRD1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VICSRD1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VICSRD1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VICSRD1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VICSRD1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDECSRD1_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDECSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDECSRD1_RANGE                  3:3
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDECSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDECSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDECSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDECSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDECSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDECSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDECSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVDECSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0R_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0R_RANGE                      6:6
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0W_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0W_RANGE                      7:7
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1R_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1R_RANGE                      8:8
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1W_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1W_RANGE                      9:9
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2R_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2R_RANGE                      14:14
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2W_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2W_RANGE                      15:15
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3R_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3R_RANGE                      16:16
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3W_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3W_RANGE                      17:17
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4R_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4R_RANGE                      18:18
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4W_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4W_RANGE                      19:19
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_MIU4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUR_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUR_RANGE                      20:20
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUW_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUW_RANGE                      21:21
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DPMUW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0R_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0R_RANGE                      22:22
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0W_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0W_RANGE                      23:23
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1R_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1R_RANGE                      24:24
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1W_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1W_RANGE                      25:25
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2R_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2R_RANGE                      26:26
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2W_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2W_RANGE                      27:27
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_NVL2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALR_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALR_RANGE                     28:28
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALW_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALW_RANGE                     29:29
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_VIFALW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0RDA_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0RDA_RANGE                    30:30
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0FALRDB_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0FALRDB_RANGE                 31:31
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0_CARVEOUT7_ALLOW_DLA0FALRDB_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x2344)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0_CARVEOUT16_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x22e4)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0_CARVEOUT15_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x27f0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0_CARVEOUT31_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x22f8)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT15_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x2650)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0_CARVEOUT26_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x281c)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT31_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x23b0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0_CARVEOUT17_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x21b0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0_CARVEOUT11_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x2260)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT13_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x2754)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0_CARVEOUT29_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x2188)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT10_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x2160)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0_CARVEOUT10_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0                  _MK_ADDR_CONST(0x2114)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_APEDMAW_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_APEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_APEDMAW_RANGE                    0:0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_APEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_APEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_APEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_APEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_APEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_APEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_APEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_APEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_APEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_APEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDISPLAYR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDISPLAYR1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDISPLAYR1_RANGE                        1:1
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDISPLAYR1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDISPLAYR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDISPLAYR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDISPLAYR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDISPLAYR1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDISPLAYR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDISPLAYR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VICSRD1_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VICSRD1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VICSRD1_RANGE                    2:2
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VICSRD1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VICSRD1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VICSRD1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VICSRD1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VICSRD1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VICSRD1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VICSRD1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VICSRD1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VICSRD1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VICSRD1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDECSRD1_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDECSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDECSRD1_RANGE                  3:3
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDECSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDECSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDECSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDECSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDECSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDECSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDECSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVDECSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0R_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0R_RANGE                      6:6
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0W_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0W_RANGE                      7:7
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1R_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1R_RANGE                      8:8
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1W_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1W_RANGE                      9:9
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2R_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2R_RANGE                      14:14
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2W_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2W_RANGE                      15:15
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3R_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3R_RANGE                      16:16
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3W_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3W_RANGE                      17:17
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4R_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4R_RANGE                      18:18
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4W_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4W_RANGE                      19:19
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_MIU4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUR_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUR_RANGE                      20:20
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUW_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUW_RANGE                      21:21
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DPMUW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0R_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0R_RANGE                      22:22
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0W_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0W_RANGE                      23:23
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1R_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1R_RANGE                      24:24
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1W_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1W_RANGE                      25:25
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2R_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2R_RANGE                      26:26
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2W_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2W_RANGE                      27:27
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_NVL2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALR_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALR_RANGE                     28:28
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALW_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALW_RANGE                     29:29
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_VIFALW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0RDA_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0RDA_RANGE                    30:30
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0FALRDB_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0FALRDB_RANGE                 31:31
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0_CARVEOUT9_ALLOW_DLA0FALRDB_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x266c)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT26_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x21b8)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT11_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0                  _MK_ADDR_CONST(0x20b8)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPRA_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPRA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPRA_RANGE                      4:4
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPRA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPRA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPRA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPRA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPRA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPRA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPRA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPRA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPRA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPRA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPFALR_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPFALR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPFALR_RANGE                    5:5
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPFALR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPFALR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPFALR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPFALR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPFALR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPFALR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPFALR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPFALR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPFALR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPFALR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWA_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWA_RANGE                      6:6
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWB_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWB_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWB_RANGE                      7:7
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWB_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWB_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_ISPWB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTR_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTR_RANGE                 10:10
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTW_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTW_RANGE                 11:11
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_HOSTW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVR_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVR_RANGE                  12:12
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVW_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVW_RANGE                  13:13
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_XUSB_DEVW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSRD_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSRD_RANGE                    20:20
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSWR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSWR_RANGE                    21:21
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0_CARVEOUT8_ALLOW_TSECSWR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT28_BOM_HI_0
#define MC_SECURITY_CARVEOUT28_BOM_HI_0                 _MK_ADDR_CONST(0x26e8)
#define MC_SECURITY_CARVEOUT28_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT28_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT28_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT28_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT28_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT28_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT28_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT28_BOM_HI_0_MC_SECURITY_CARVEOUT28_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT28_BOM_HI_0_MC_SECURITY_CARVEOUT28_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT28_BOM_HI_0_MC_SECURITY_CARVEOUT28_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT28_BOM_HI_0_MC_SECURITY_CARVEOUT28_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT28_BOM_HI_0_MC_SECURITY_CARVEOUT28_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_BOM_HI_0_MC_SECURITY_CARVEOUT28_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_BOM_HI_0_MC_SECURITY_CARVEOUT28_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT28_BOM_HI_0_MC_SECURITY_CARVEOUT28_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_BOM_HI_0_MC_SECURITY_CARVEOUT28_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_BOM_HI_0_MC_SECURITY_CARVEOUT28_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_BOM_HI_0_MC_SECURITY_CARVEOUT28_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT8_BOM_HI_0
#define MC_SECURITY_CARVEOUT8_BOM_HI_0                  _MK_ADDR_CONST(0x20a8)
#define MC_SECURITY_CARVEOUT8_BOM_HI_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT8_BOM_HI_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT8_BOM_HI_0_SCR                      0
#define MC_SECURITY_CARVEOUT8_BOM_HI_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT8_BOM_HI_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_BOM_HI_0_RESET_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT8_BOM_HI_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_BOM_HI_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_BOM_HI_0_READ_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT8_BOM_HI_0_WRITE_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT8_BOM_HI_0_MC_SECURITY_CARVEOUT8_BOM_HI_RANGE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT8_BOM_HI_0_MC_SECURITY_CARVEOUT8_BOM_HI_RANGE_FIELD                 _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT8_BOM_HI_0_MC_SECURITY_CARVEOUT8_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT8_BOM_HI_0_MC_SECURITY_CARVEOUT8_BOM_HI_RANGE_RANGE                 7:0
#define MC_SECURITY_CARVEOUT8_BOM_HI_0_MC_SECURITY_CARVEOUT8_BOM_HI_RANGE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_BOM_HI_0_MC_SECURITY_CARVEOUT8_BOM_HI_RANGE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_BOM_HI_0_MC_SECURITY_CARVEOUT8_BOM_HI_RANGE_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT8_BOM_HI_0_MC_SECURITY_CARVEOUT8_BOM_HI_RANGE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_BOM_HI_0_MC_SECURITY_CARVEOUT8_BOM_HI_RANGE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_BOM_HI_0_MC_SECURITY_CARVEOUT8_BOM_HI_RANGE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_BOM_HI_0_MC_SECURITY_CARVEOUT8_BOM_HI_RANGE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x27f4)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0_CARVEOUT31_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x2530)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT22_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT10_BOM_HI_0
#define MC_SECURITY_CARVEOUT10_BOM_HI_0                 _MK_ADDR_CONST(0x2148)
#define MC_SECURITY_CARVEOUT10_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT10_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT10_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT10_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT10_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT10_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT10_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT10_BOM_HI_0_MC_SECURITY_CARVEOUT10_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT10_BOM_HI_0_MC_SECURITY_CARVEOUT10_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT10_BOM_HI_0_MC_SECURITY_CARVEOUT10_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT10_BOM_HI_0_MC_SECURITY_CARVEOUT10_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT10_BOM_HI_0_MC_SECURITY_CARVEOUT10_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_BOM_HI_0_MC_SECURITY_CARVEOUT10_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_BOM_HI_0_MC_SECURITY_CARVEOUT10_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT10_BOM_HI_0_MC_SECURITY_CARVEOUT10_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_BOM_HI_0_MC_SECURITY_CARVEOUT10_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_BOM_HI_0_MC_SECURITY_CARVEOUT10_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_BOM_HI_0_MC_SECURITY_CARVEOUT10_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0                   _MK_ADDR_CONST(0x2098)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                       0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0WRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0WRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALWRB_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALWRB_RANGE                 1:1
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA0FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA_RANGE                    2:2
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALRDB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALRDB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1WRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1WRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALWRB_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALWRB_RANGE                 5:5
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_DLA1FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDC_RANGE                    8:8
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRA_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRA_RANGE                    9:9
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRB_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRB_RANGE                    10:10
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRC_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRC_RANGE                    11:11
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA0WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA_RANGE                    12:12
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB_RANGE                    13:13
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDC_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDC_RANGE                    14:14
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRA_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRA_RANGE                    15:15
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRB_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRB_RANGE                    16:16
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRC_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRC_RANGE                    17:17
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PVA1WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCER_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCER_RANGE                       18:18
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEW_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEW_RANGE                       19:19
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_RCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD_RANGE                  22:22
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SWR_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SWR_RANGE                  23:23
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_NVENC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R_RANGE                     24:24
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0W_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0W_RANGE                     25:25
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE0W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1R_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1R_RANGE                     26:26
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1W_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1W_RANGE                     27:27
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE1W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AR_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AR_RANGE                    28:28
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE2AW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3R_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3R_RANGE                     30:30
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3W_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3W_RANGE                     31:31
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT7_FORCE_INTERNAL_PCIE3W_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x24d4)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0_CARVEOUT21_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0                  _MK_ADDR_CONST(0x2044)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4R_RANGE                     0:0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4W_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4W_RANGE                     1:1
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE4W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R_RANGE                     2:2
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5W_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5W_RANGE                     3:3
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPFALW_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPFALW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPFALW_RANGE                    4:4
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPFALW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPFALW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPFALW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPFALW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPFALW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPFALW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPFALW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPFALW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPFALW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPFALW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3R_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3R_RANGE                      5:5
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3W_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3W_RANGE                      6:6
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4R_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4R_RANGE                      7:7
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4W_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4W_RANGE                      8:8
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA0RDA1_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA0RDA1_RANGE                   9:9
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA1RDA1_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA1RDA1_RANGE                   10:10
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_DLA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDA1_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDA1_RANGE                   11:11
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDB1_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDB1_RANGE                   12:12
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA0RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDA1_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDA1_RANGE                   13:13
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDB1_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDB1_RANGE                   14:14
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PVA1RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R1_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R1_RANGE                    15:15
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE5R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENCSRD1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENCSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENCSRD1_RANGE                  16:16
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENCSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENCSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENCSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENCSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENCSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENCSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENCSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENCSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENC1SRD1_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENC1SRD1_RANGE                 17:17
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVENC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPRA1_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPRA1_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPRA1_RANGE                     18:18
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPRA1_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPRA1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPRA1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPRA1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPRA1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPRA1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPRA1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPRA1_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPRA1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_ISPRA1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE0R1_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE0R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE0R1_RANGE                    19:19
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE0R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE0R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE0R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE0R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE0R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE0R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE0R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE0R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_PCIE0R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL0RHP_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL0RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL0RHP_RANGE                    20:20
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL0RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL0RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL0RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL0RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL0RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL0RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL0RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL0RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL0RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL1RHP_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL1RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL1RHP_RANGE                    21:21
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL1RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL1RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL1RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL1RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL1RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL1RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL1RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL1RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL1RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL2RHP_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL2RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL2RHP_RANGE                    22:22
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL2RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL2RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL2RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL2RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL2RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL2RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL2RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL2RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL2RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3RHP_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3RHP_RANGE                    23:23
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL3RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4RHP_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4RHP_RANGE                    24:24
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVL4RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD_RANGE                  25:25
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD1_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD1_RANGE                 26:26
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SWR_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SWR_RANGE                  27:27
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_NVDEC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5R_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5R_RANGE                      28:28
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5W_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5W_RANGE                      29:29
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU5W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6R_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6R_RANGE                      30:30
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6W_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6W_RANGE                      31:31
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0_CARVEOUT6_ALLOW_MIU6W_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT23_BOM_HI_0
#define MC_SECURITY_CARVEOUT23_BOM_HI_0                 _MK_ADDR_CONST(0x2558)
#define MC_SECURITY_CARVEOUT23_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT23_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT23_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT23_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT23_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT23_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT23_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT23_BOM_HI_0_MC_SECURITY_CARVEOUT23_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT23_BOM_HI_0_MC_SECURITY_CARVEOUT23_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT23_BOM_HI_0_MC_SECURITY_CARVEOUT23_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT23_BOM_HI_0_MC_SECURITY_CARVEOUT23_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT23_BOM_HI_0_MC_SECURITY_CARVEOUT23_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_BOM_HI_0_MC_SECURITY_CARVEOUT23_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_BOM_HI_0_MC_SECURITY_CARVEOUT23_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT23_BOM_HI_0_MC_SECURITY_CARVEOUT23_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_BOM_HI_0_MC_SECURITY_CARVEOUT23_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_BOM_HI_0_MC_SECURITY_CARVEOUT23_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_BOM_HI_0_MC_SECURITY_CARVEOUT23_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x25b8)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0_CARVEOUT24_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT26_BOM_HI_0
#define MC_SECURITY_CARVEOUT26_BOM_HI_0                 _MK_ADDR_CONST(0x2648)
#define MC_SECURITY_CARVEOUT26_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT26_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT26_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT26_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT26_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT26_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT26_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT26_BOM_HI_0_MC_SECURITY_CARVEOUT26_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT26_BOM_HI_0_MC_SECURITY_CARVEOUT26_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT26_BOM_HI_0_MC_SECURITY_CARVEOUT26_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT26_BOM_HI_0_MC_SECURITY_CARVEOUT26_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT26_BOM_HI_0_MC_SECURITY_CARVEOUT26_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_BOM_HI_0_MC_SECURITY_CARVEOUT26_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_BOM_HI_0_MC_SECURITY_CARVEOUT26_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT26_BOM_HI_0_MC_SECURITY_CARVEOUT26_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_BOM_HI_0_MC_SECURITY_CARVEOUT26_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_BOM_HI_0_MC_SECURITY_CARVEOUT26_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_BOM_HI_0_MC_SECURITY_CARVEOUT26_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0                  _MK_ADDR_CONST(0x2010)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_PTCR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_PTCR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_PTCR_RANGE                       0:0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_PTCR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_PTCR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_PTCR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_PTCR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_PTCR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_PTCR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_PTCR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_PTCR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_PTCR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_PTCR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7R_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7R_RANGE                      1:1
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7W_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7W_RANGE                      2:2
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_MIU7W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HDAR_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HDAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HDAR_RANGE                       21:21
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HDAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HDAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HDAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HDAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HDAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HDAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HDAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HDAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HDAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HDAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HOST1XDMAR_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HOST1XDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HOST1XDMAR_RANGE                 22:22
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HOST1XDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HOST1XDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HOST1XDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HOST1XDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HOST1XDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HOST1XDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HOST1XDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_HOST1XDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_NVENCSRD_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_NVENCSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_NVENCSRD_RANGE                   28:28
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_NVENCSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_NVENCSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_NVENCSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_NVENCSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_NVENCSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_NVENCSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_NVENCSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_NVENCSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_NVENCSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_SATAR_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_SATAR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_SATAR_RANGE                      31:31
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_SATAR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_SATAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_SATAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_SATAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_SATAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_SATAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_SATAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_SATAR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_SATAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0_CARVEOUT6_ALLOW_SATAR_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x2440)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT19_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT30_BOM_0
#define MC_SECURITY_CARVEOUT30_BOM_0                    _MK_ADDR_CONST(0x2784)
#define MC_SECURITY_CARVEOUT30_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT30_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT30_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT30_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT30_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT30_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT30_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT30_BOM_0_MC_SECURITY_CARVEOUT30_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT30_BOM_0_MC_SECURITY_CARVEOUT30_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT30_BOM_0_MC_SECURITY_CARVEOUT30_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT30_BOM_0_MC_SECURITY_CARVEOUT30_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT30_BOM_0_MC_SECURITY_CARVEOUT30_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_BOM_0_MC_SECURITY_CARVEOUT30_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_BOM_0_MC_SECURITY_CARVEOUT30_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT30_BOM_0_MC_SECURITY_CARVEOUT30_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_BOM_0_MC_SECURITY_CARVEOUT30_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_BOM_0_MC_SECURITY_CARVEOUT30_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_BOM_0_MC_SECURITY_CARVEOUT30_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x21dc)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT11_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT18_CFG0_0
#define MC_SECURITY_CARVEOUT18_CFG0_0                   _MK_ADDR_CONST(0x23c0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT18_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT18_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT18_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT18_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT18_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT18_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CFG0_0_MC_SECURITY_CARVEOUT18_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x2454)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0_CARVEOUT19_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x2664)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0_CARVEOUT26_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT27_BOM_HI_0
#define MC_SECURITY_CARVEOUT27_BOM_HI_0                 _MK_ADDR_CONST(0x2698)
#define MC_SECURITY_CARVEOUT27_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT27_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT27_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT27_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT27_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT27_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT27_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT27_BOM_HI_0_MC_SECURITY_CARVEOUT27_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT27_BOM_HI_0_MC_SECURITY_CARVEOUT27_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT27_BOM_HI_0_MC_SECURITY_CARVEOUT27_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT27_BOM_HI_0_MC_SECURITY_CARVEOUT27_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT27_BOM_HI_0_MC_SECURITY_CARVEOUT27_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_BOM_HI_0_MC_SECURITY_CARVEOUT27_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_BOM_HI_0_MC_SECURITY_CARVEOUT27_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT27_BOM_HI_0_MC_SECURITY_CARVEOUT27_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_BOM_HI_0_MC_SECURITY_CARVEOUT27_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_BOM_HI_0_MC_SECURITY_CARVEOUT27_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_BOM_HI_0_MC_SECURITY_CARVEOUT27_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x24c4)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0_CARVEOUT21_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x21f0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0_CARVEOUT12_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x23f8)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT18_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x271c)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x22b0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT14_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x2560)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0_CARVEOUT23_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x220c)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT12_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x2368)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT16_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x2768)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT29_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT14_BOM_0
#define MC_SECURITY_CARVEOUT14_BOM_0                    _MK_ADDR_CONST(0x2284)
#define MC_SECURITY_CARVEOUT14_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT14_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT14_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT14_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT14_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT14_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT14_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT14_BOM_0_MC_SECURITY_CARVEOUT14_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT14_BOM_0_MC_SECURITY_CARVEOUT14_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT14_BOM_0_MC_SECURITY_CARVEOUT14_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT14_BOM_0_MC_SECURITY_CARVEOUT14_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT14_BOM_0_MC_SECURITY_CARVEOUT14_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_BOM_0_MC_SECURITY_CARVEOUT14_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_BOM_0_MC_SECURITY_CARVEOUT14_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT14_BOM_0_MC_SECURITY_CARVEOUT14_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_BOM_0_MC_SECURITY_CARVEOUT14_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_BOM_0_MC_SECURITY_CARVEOUT14_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_BOM_0_MC_SECURITY_CARVEOUT14_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x2408)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT18_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x2790)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0_CARVEOUT30_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x2348)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT16_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x279c)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0_CARVEOUT30_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x2688)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT26_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x238c)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0_CARVEOUT17_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x2610)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0_CARVEOUT25_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x2424)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0_CARVEOUT19_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x2474)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0_CARVEOUT20_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x227c)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT13_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x23b4)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0_CARVEOUT17_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x27bc)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT17_BOM_0
#define MC_SECURITY_CARVEOUT17_BOM_0                    _MK_ADDR_CONST(0x2374)
#define MC_SECURITY_CARVEOUT17_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT17_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT17_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT17_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT17_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT17_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT17_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT17_BOM_0_MC_SECURITY_CARVEOUT17_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT17_BOM_0_MC_SECURITY_CARVEOUT17_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT17_BOM_0_MC_SECURITY_CARVEOUT17_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT17_BOM_0_MC_SECURITY_CARVEOUT17_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT17_BOM_0_MC_SECURITY_CARVEOUT17_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_BOM_0_MC_SECURITY_CARVEOUT17_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_BOM_0_MC_SECURITY_CARVEOUT17_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT17_BOM_0_MC_SECURITY_CARVEOUT17_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_BOM_0_MC_SECURITY_CARVEOUT17_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_BOM_0_MC_SECURITY_CARVEOUT17_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_BOM_0_MC_SECURITY_CARVEOUT17_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0                   _MK_ADDR_CONST(0x20e8)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                       0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0WRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0WRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALWRB_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALWRB_RANGE                 1:1
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA0FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA_RANGE                    2:2
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALRDB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALRDB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1WRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1WRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALWRB_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALWRB_RANGE                 5:5
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_DLA1FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDC_RANGE                    8:8
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRA_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRA_RANGE                    9:9
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRB_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRB_RANGE                    10:10
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRC_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRC_RANGE                    11:11
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA0WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA_RANGE                    12:12
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB_RANGE                    13:13
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDC_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDC_RANGE                    14:14
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRA_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRA_RANGE                    15:15
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRB_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRB_RANGE                    16:16
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRC_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRC_RANGE                    17:17
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PVA1WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCER_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCER_RANGE                       18:18
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEW_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEW_RANGE                       19:19
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_RCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD_RANGE                  22:22
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SWR_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SWR_RANGE                  23:23
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R_RANGE                     24:24
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0W_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0W_RANGE                     25:25
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE0W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1R_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1R_RANGE                     26:26
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1W_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1W_RANGE                     27:27
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE1W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AR_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AR_RANGE                    28:28
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE2AW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3R_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3R_RANGE                     30:30
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3W_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3W_RANGE                     31:31
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT8_FORCE_INTERNAL_PCIE3W_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x23d8)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0_CARVEOUT18_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x229c)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0_CARVEOUT14_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x2540)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0_CARVEOUT22_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT20_BOM_HI_0
#define MC_SECURITY_CARVEOUT20_BOM_HI_0                 _MK_ADDR_CONST(0x2468)
#define MC_SECURITY_CARVEOUT20_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT20_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT20_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT20_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT20_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT20_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT20_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT20_BOM_HI_0_MC_SECURITY_CARVEOUT20_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT20_BOM_HI_0_MC_SECURITY_CARVEOUT20_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT20_BOM_HI_0_MC_SECURITY_CARVEOUT20_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT20_BOM_HI_0_MC_SECURITY_CARVEOUT20_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT20_BOM_HI_0_MC_SECURITY_CARVEOUT20_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_BOM_HI_0_MC_SECURITY_CARVEOUT20_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_BOM_HI_0_MC_SECURITY_CARVEOUT20_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT20_BOM_HI_0_MC_SECURITY_CARVEOUT20_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_BOM_HI_0_MC_SECURITY_CARVEOUT20_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_BOM_HI_0_MC_SECURITY_CARVEOUT20_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_BOM_HI_0_MC_SECURITY_CARVEOUT20_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT21_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0                     _MK_ADDR_CONST(0x24bc)
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_SIZE_128KB_0_MC_SECURITY_CARVEOUT21_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x2584)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT23_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x21d4)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0_CARVEOUT11_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0                   _MK_ADDR_CONST(0x2124)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                       0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                         _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRAB_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRAB_RANGE                   3:3
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCRAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCW_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCW_RANGE                     6:6
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWAB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWAB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_SDMMCWAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSRD_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSRD_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSRD_RANGE                     12:12
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSRD_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSRD_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSWR_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSWR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSWR_RANGE                     13:13
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSWR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSWR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VICSWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VIW_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VIW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VIW_RANGE                        18:18
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VIW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VIW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VIW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VIW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VIW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VIW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VIW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_VIW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD_RANGE                   24:24
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSWR_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSWR_RANGE                   25:25
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVDECSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APER_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APER_RANGE                       26:26
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APEW_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APEW_RANGE                       27:27
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_APEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSRD_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSRD_RANGE                   30:30
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSWR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSWR_RANGE                   31:31
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT9_FORCE_INTERNAL_NVJPGSWR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0                   _MK_ADDR_CONST(0x2034)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                       0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                         _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRAB_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRAB_RANGE                   3:3
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCRAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCW_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCW_RANGE                     6:6
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWAB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWAB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_SDMMCWAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSRD_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSRD_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSRD_RANGE                     12:12
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSRD_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSRD_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSWR_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSWR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSWR_RANGE                     13:13
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSWR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSWR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VICSWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VIW_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VIW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VIW_RANGE                        18:18
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VIW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VIW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VIW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VIW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VIW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VIW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VIW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_VIW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD_RANGE                   24:24
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSWR_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSWR_RANGE                   25:25
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVDECSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APER_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APER_RANGE                       26:26
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APEW_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APEW_RANGE                       27:27
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_APEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSRD_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSRD_RANGE                   30:30
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSWR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSWR_RANGE                   31:31
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT6_FORCE_INTERNAL_NVJPGSWR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x262c)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT25_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT25_BOM_0
#define MC_SECURITY_CARVEOUT25_BOM_0                    _MK_ADDR_CONST(0x25f4)
#define MC_SECURITY_CARVEOUT25_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT25_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT25_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT25_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT25_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT25_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT25_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT25_BOM_0_MC_SECURITY_CARVEOUT25_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT25_BOM_0_MC_SECURITY_CARVEOUT25_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT25_BOM_0_MC_SECURITY_CARVEOUT25_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT25_BOM_0_MC_SECURITY_CARVEOUT25_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT25_BOM_0_MC_SECURITY_CARVEOUT25_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_BOM_0_MC_SECURITY_CARVEOUT25_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_BOM_0_MC_SECURITY_CARVEOUT25_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT25_BOM_0_MC_SECURITY_CARVEOUT25_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_BOM_0_MC_SECURITY_CARVEOUT25_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_BOM_0_MC_SECURITY_CARVEOUT25_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_BOM_0_MC_SECURITY_CARVEOUT25_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0                  _MK_ADDR_CONST(0x2130)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0WRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0WRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0FALWRB_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0FALWRB_RANGE                 1:1
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA0FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1RDA_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1RDA_RANGE                    2:2
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALRDB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALRDB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1WRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1WRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALWRB_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALWRB_RANGE                 5:5
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_DLA1FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDC_RANGE                    8:8
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRA_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRA_RANGE                    9:9
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRB_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRB_RANGE                    10:10
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRC_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRC_RANGE                    11:11
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA0WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDA_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDA_RANGE                    12:12
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDB_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDB_RANGE                    13:13
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDC_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDC_RANGE                    14:14
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRA_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRA_RANGE                    15:15
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRB_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRB_RANGE                    16:16
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRC_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRC_RANGE                    17:17
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PVA1WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCER_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCER_RANGE                       18:18
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEW_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEW_RANGE                       19:19
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_RCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SRD_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SRD_RANGE                  22:22
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SWR_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SWR_RANGE                  23:23
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_NVENC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0R_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0R_RANGE                     24:24
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0W_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0W_RANGE                     25:25
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE0W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1R_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1R_RANGE                     26:26
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1W_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1W_RANGE                     27:27
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE1W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AR_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AR_RANGE                    28:28
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE2AW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3R_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3R_RANGE                     30:30
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3W_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3W_RANGE                     31:31
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0_CARVEOUT9_ALLOW_PCIE3W_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x27c8)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT30_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0                   _MK_ADDR_CONST(0x203c)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                       0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                         _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_APEDMAW_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_APEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_APEDMAW_RANGE                    0:0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_APEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_APEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_APEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_APEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_APEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR1_RANGE                        1:1
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VICSRD1_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VICSRD1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VICSRD1_RANGE                    2:2
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VICSRD1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VICSRD1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VICSRD1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VICSRD1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VICSRD1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD1_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD1_RANGE                  3:3
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVDECSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0R_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0R_RANGE                      6:6
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0W_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0W_RANGE                      7:7
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1R_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1R_RANGE                      8:8
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1W_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1W_RANGE                      9:9
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2R_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2R_RANGE                      14:14
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2W_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2W_RANGE                      15:15
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3R_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3R_RANGE                      16:16
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3W_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3W_RANGE                      17:17
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4R_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4R_RANGE                      18:18
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4W_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4W_RANGE                      19:19
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_MIU4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUR_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUR_RANGE                      20:20
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUW_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUW_RANGE                      21:21
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DPMUW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0R_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0R_RANGE                      22:22
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0W_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0W_RANGE                      23:23
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1R_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1R_RANGE                      24:24
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1W_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1W_RANGE                      25:25
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2R_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2R_RANGE                      26:26
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2W_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2W_RANGE                      27:27
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_NVL2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALR_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALR_RANGE                     28:28
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALW_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALW_RANGE                     29:29
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_VIFALW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA_RANGE                    30:30
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALRDB_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALRDB_RANGE                 31:31
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT6_FORCE_INTERNAL_DLA0FALRDB_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x233c)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0_CARVEOUT16_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT7_CFG0_0
#define MC_SECURITY_CARVEOUT7_CFG0_0                    _MK_ADDR_CONST(0x2050)
#define MC_SECURITY_CARVEOUT7_CFG0_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT7_CFG0_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT7_CFG0_0_SCR                        0
#define MC_SECURITY_CARVEOUT7_CFG0_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT7_CFG0_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_RESET_MASK                         _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT7_CFG0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_READ_MASK                  _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT7_CFG0_0_WRITE_MASK                         _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_PROTECT_MODE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_PROTECT_MODE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_PROTECT_MODE_RANGE                   0:0
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_PROTECT_MODE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_PROTECT_MODE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_PROTECT_MODE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_PROTECT_MODE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_PROTECT_MODE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_PROTECT_MODE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_PROTECT_MODE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_PROTECT_MODE_INIT_ENUM                       LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_PROTECT_MODE_LOCKBIT_SECURE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_PROTECT_MODE_TZ_SECURE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_LOCK_MODE_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_LOCK_MODE_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_LOCK_MODE_RANGE                      1:1
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_LOCK_MODE_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_LOCK_MODE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_LOCK_MODE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_LOCK_MODE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_LOCK_MODE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_LOCK_MODE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_LOCK_MODE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_LOCK_MODE_INIT_ENUM                  UNLOCKED
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_LOCK_MODE_UNLOCKED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_LOCK_MODE_LOCKED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ADDRESS_TYPE_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ADDRESS_TYPE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ADDRESS_TYPE_RANGE                   2:2
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ADDRESS_TYPE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ADDRESS_TYPE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ADDRESS_TYPE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ADDRESS_TYPE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ADDRESS_TYPE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ADDRESS_TYPE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ADDRESS_TYPE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ADDRESS_TYPE_INIT_ENUM                       ANY_ADDRESS
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ADDRESS_TYPE_ANY_ADDRESS                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ADDRESS_TYPE_UNTRANSLATED_ONLY                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_READ_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_READ_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_READ_ACCESS_LEVEL_RANGE                      6:3
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_READ_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_READ_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_READ_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_READ_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_READ_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_WRITE_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_WRITE_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_WRITE_ACCESS_LEVEL_RANGE                     10:7
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_WRITE_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_WRITE_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_WRITE_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_WRITE_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_FIELD                    _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_RANGE                    13:11
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                        _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                        17:14
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                       _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                       21:18
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_SEND_CFG_TO_GPU_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_SEND_CFG_TO_GPU_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_SEND_CFG_TO_GPU_RANGE                        22:22
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_SEND_CFG_TO_GPU_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_SEND_CFG_TO_GPU_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_SEND_CFG_TO_GPU_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_SEND_CFG_TO_GPU_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_SEND_CFG_TO_GPU_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_SEND_CFG_TO_GPU_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_SEND_CFG_TO_GPU_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_SEND_CFG_TO_GPU_ENABLED                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_WR_EN_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_WR_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_WR_EN_RANGE                        23:23
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_WR_EN_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_WR_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_WR_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_WR_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_WR_EN_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_WR_EN_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_WR_EN_BYPASS_CHECK                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_RD_EN_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_RD_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_RD_EN_RANGE                        24:24
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_RD_EN_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_RD_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_RD_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_RD_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_RD_EN_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_RD_EN_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_TZ_GLOBAL_RD_EN_BYPASS_CHECK                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ALLOW_APERTURE_ID_MISMATCH_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ALLOW_APERTURE_ID_MISMATCH_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ALLOW_APERTURE_ID_MISMATCH_RANGE                     25:25
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                 DISABLED
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ALLOW_APERTURE_ID_MISMATCH_DISABLED                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_ALLOW_APERTURE_ID_MISMATCH_ENABLED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_FORCE_APERTURE_ID_MATCH_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_FORCE_APERTURE_ID_MATCH_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_FORCE_APERTURE_ID_MATCH_RANGE                        26:26
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_FORCE_APERTURE_ID_MATCH_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_FORCE_APERTURE_ID_MATCH_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_FORCE_APERTURE_ID_MATCH_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_FORCE_APERTURE_ID_MATCH_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_FORCE_APERTURE_ID_MATCH_ENABLED                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_IS_WPR_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_IS_WPR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_IS_WPR_RANGE                 27:27
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_IS_WPR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_IS_WPR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_IS_WPR_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_IS_WPR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_IS_WPR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_IS_WPR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_IS_WPR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_IS_WPR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_IS_WPR_ENABLED                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_HI_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_HI_FIELD                 _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_HI_RANGE                 29:28
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_HI_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_HI_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_HI_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_HI_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_HI_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_HI_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_APERTURE_ID_HI_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_CPU_SECURE_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_CPU_SECURE_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_CPU_SECURE_RANGE                     31:31
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_CPU_SECURE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_CPU_SECURE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_CPU_SECURE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_CPU_SECURE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_CPU_SECURE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_CPU_SECURE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_CPU_SECURE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_CPU_SECURE_INIT_ENUM                 NO
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_CPU_SECURE_NO                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CFG0_0_MC_SECURITY_CARVEOUT7_CPU_SECURE_YES                       _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x243c)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT19_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x215c)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0_CARVEOUT10_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x25c4)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0_CARVEOUT24_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x2758)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT29_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT15_BOM_HI_0
#define MC_SECURITY_CARVEOUT15_BOM_HI_0                 _MK_ADDR_CONST(0x22d8)
#define MC_SECURITY_CARVEOUT15_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT15_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT15_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT15_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT15_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT15_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT15_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT15_BOM_HI_0_MC_SECURITY_CARVEOUT15_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT15_BOM_HI_0_MC_SECURITY_CARVEOUT15_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT15_BOM_HI_0_MC_SECURITY_CARVEOUT15_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT15_BOM_HI_0_MC_SECURITY_CARVEOUT15_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT15_BOM_HI_0_MC_SECURITY_CARVEOUT15_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_BOM_HI_0_MC_SECURITY_CARVEOUT15_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_BOM_HI_0_MC_SECURITY_CARVEOUT15_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT15_BOM_HI_0_MC_SECURITY_CARVEOUT15_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_BOM_HI_0_MC_SECURITY_CARVEOUT15_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_BOM_HI_0_MC_SECURITY_CARVEOUT15_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_BOM_HI_0_MC_SECURITY_CARVEOUT15_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x2248)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0_CARVEOUT13_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x221c)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x22e0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0_CARVEOUT15_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT22_BOM_0
#define MC_SECURITY_CARVEOUT22_BOM_0                    _MK_ADDR_CONST(0x2504)
#define MC_SECURITY_CARVEOUT22_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT22_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT22_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT22_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT22_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT22_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT22_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT22_BOM_0_MC_SECURITY_CARVEOUT22_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT22_BOM_0_MC_SECURITY_CARVEOUT22_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT22_BOM_0_MC_SECURITY_CARVEOUT22_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT22_BOM_0_MC_SECURITY_CARVEOUT22_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT22_BOM_0_MC_SECURITY_CARVEOUT22_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_BOM_0_MC_SECURITY_CARVEOUT22_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_BOM_0_MC_SECURITY_CARVEOUT22_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT22_BOM_0_MC_SECURITY_CARVEOUT22_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_BOM_0_MC_SECURITY_CARVEOUT22_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_BOM_0_MC_SECURITY_CARVEOUT22_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_BOM_0_MC_SECURITY_CARVEOUT22_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0                  _MK_ADDR_CONST(0x210c)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRAB_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRAB_RANGE                   3:3
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCRAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCW_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCW_RANGE                     6:6
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWAB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWAB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_SDMMCWAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSRD_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSRD_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSRD_RANGE                     12:12
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSRD_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSRD_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSWR_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSWR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSWR_RANGE                     13:13
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSWR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSWR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VICSWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VIW_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VIW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VIW_RANGE                        18:18
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VIW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VIW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VIW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VIW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VIW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VIW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VIW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VIW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VIW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_VIW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSRD_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSRD_RANGE                   24:24
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSWR_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSWR_RANGE                   25:25
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVDECSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APER_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APER_RANGE                       26:26
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APEW_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APEW_RANGE                       27:27
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_APEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSRD_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSRD_RANGE                   30:30
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSWR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSWR_RANGE                   31:31
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0_CARVEOUT9_ALLOW_NVJPGSWR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x24f0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0_CARVEOUT21_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT9_CFG0_0
#define MC_SECURITY_CARVEOUT9_CFG0_0                    _MK_ADDR_CONST(0x20f0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT9_CFG0_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT9_CFG0_0_SCR                        0
#define MC_SECURITY_CARVEOUT9_CFG0_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT9_CFG0_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_RESET_MASK                         _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT9_CFG0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_READ_MASK                  _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT9_CFG0_0_WRITE_MASK                         _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_PROTECT_MODE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_PROTECT_MODE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_PROTECT_MODE_RANGE                   0:0
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_PROTECT_MODE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_PROTECT_MODE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_PROTECT_MODE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_PROTECT_MODE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_PROTECT_MODE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_PROTECT_MODE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_PROTECT_MODE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_PROTECT_MODE_INIT_ENUM                       LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_PROTECT_MODE_LOCKBIT_SECURE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_PROTECT_MODE_TZ_SECURE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_LOCK_MODE_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_LOCK_MODE_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_LOCK_MODE_RANGE                      1:1
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_LOCK_MODE_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_LOCK_MODE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_LOCK_MODE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_LOCK_MODE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_LOCK_MODE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_LOCK_MODE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_LOCK_MODE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_LOCK_MODE_INIT_ENUM                  UNLOCKED
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_LOCK_MODE_UNLOCKED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_LOCK_MODE_LOCKED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ADDRESS_TYPE_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ADDRESS_TYPE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ADDRESS_TYPE_RANGE                   2:2
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ADDRESS_TYPE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ADDRESS_TYPE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ADDRESS_TYPE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ADDRESS_TYPE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ADDRESS_TYPE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ADDRESS_TYPE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ADDRESS_TYPE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ADDRESS_TYPE_INIT_ENUM                       ANY_ADDRESS
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ADDRESS_TYPE_ANY_ADDRESS                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ADDRESS_TYPE_UNTRANSLATED_ONLY                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_READ_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_READ_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_READ_ACCESS_LEVEL_RANGE                      6:3
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_READ_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_READ_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_READ_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_READ_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_READ_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_WRITE_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_WRITE_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_WRITE_ACCESS_LEVEL_RANGE                     10:7
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_WRITE_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_WRITE_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_WRITE_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_WRITE_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_FIELD                    _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_RANGE                    13:11
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                        _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                        17:14
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                       _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                       21:18
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_SEND_CFG_TO_GPU_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_SEND_CFG_TO_GPU_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_SEND_CFG_TO_GPU_RANGE                        22:22
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_SEND_CFG_TO_GPU_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_SEND_CFG_TO_GPU_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_SEND_CFG_TO_GPU_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_SEND_CFG_TO_GPU_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_SEND_CFG_TO_GPU_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_SEND_CFG_TO_GPU_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_SEND_CFG_TO_GPU_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_SEND_CFG_TO_GPU_ENABLED                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_WR_EN_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_WR_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_WR_EN_RANGE                        23:23
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_WR_EN_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_WR_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_WR_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_WR_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_WR_EN_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_WR_EN_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_WR_EN_BYPASS_CHECK                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_RD_EN_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_RD_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_RD_EN_RANGE                        24:24
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_RD_EN_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_RD_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_RD_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_RD_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_RD_EN_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_RD_EN_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_TZ_GLOBAL_RD_EN_BYPASS_CHECK                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ALLOW_APERTURE_ID_MISMATCH_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ALLOW_APERTURE_ID_MISMATCH_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ALLOW_APERTURE_ID_MISMATCH_RANGE                     25:25
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                 DISABLED
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ALLOW_APERTURE_ID_MISMATCH_DISABLED                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_ALLOW_APERTURE_ID_MISMATCH_ENABLED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_FORCE_APERTURE_ID_MATCH_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_FORCE_APERTURE_ID_MATCH_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_FORCE_APERTURE_ID_MATCH_RANGE                        26:26
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_FORCE_APERTURE_ID_MATCH_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_FORCE_APERTURE_ID_MATCH_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_FORCE_APERTURE_ID_MATCH_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_FORCE_APERTURE_ID_MATCH_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_FORCE_APERTURE_ID_MATCH_ENABLED                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_IS_WPR_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_IS_WPR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_IS_WPR_RANGE                 27:27
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_IS_WPR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_IS_WPR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_IS_WPR_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_IS_WPR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_IS_WPR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_IS_WPR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_IS_WPR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_IS_WPR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_IS_WPR_ENABLED                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_HI_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_HI_FIELD                 _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_HI_RANGE                 29:28
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_HI_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_HI_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_HI_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_HI_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_HI_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_HI_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_APERTURE_ID_HI_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_CPU_SECURE_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_CPU_SECURE_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_CPU_SECURE_RANGE                     31:31
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_CPU_SECURE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_CPU_SECURE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_CPU_SECURE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_CPU_SECURE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_CPU_SECURE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_CPU_SECURE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_CPU_SECURE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_CPU_SECURE_INIT_ENUM                 NO
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_CPU_SECURE_NO                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CFG0_0_MC_SECURITY_CARVEOUT9_CPU_SECURE_YES                       _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0                   _MK_ADDR_CONST(0x2120)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                       0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                         _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPRA_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPRA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPRA_RANGE                      4:4
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPRA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPRA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPRA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPRA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPRA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPRA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPFALR_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPFALR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPFALR_RANGE                    5:5
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPFALR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPFALR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPFALR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPFALR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPFALR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWA_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWA_RANGE                      6:6
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWB_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWB_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWB_RANGE                      7:7
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWB_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWB_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_ISPWB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTR_RANGE                 10:10
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTW_RANGE                 11:11
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVR_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVR_RANGE                  12:12
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVW_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVW_RANGE                  13:13
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_XUSB_DEVW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSRD_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSRD_RANGE                    20:20
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSWR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSWR_RANGE                    21:21
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT9_FORCE_INTERNAL_TSECSWR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x2384)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0_CARVEOUT17_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT17_BOM_HI_0
#define MC_SECURITY_CARVEOUT17_BOM_HI_0                 _MK_ADDR_CONST(0x2378)
#define MC_SECURITY_CARVEOUT17_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT17_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT17_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT17_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT17_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT17_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT17_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT17_BOM_HI_0_MC_SECURITY_CARVEOUT17_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT17_BOM_HI_0_MC_SECURITY_CARVEOUT17_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT17_BOM_HI_0_MC_SECURITY_CARVEOUT17_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT17_BOM_HI_0_MC_SECURITY_CARVEOUT17_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT17_BOM_HI_0_MC_SECURITY_CARVEOUT17_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_BOM_HI_0_MC_SECURITY_CARVEOUT17_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_BOM_HI_0_MC_SECURITY_CARVEOUT17_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT17_BOM_HI_0_MC_SECURITY_CARVEOUT17_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_BOM_HI_0_MC_SECURITY_CARVEOUT17_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_BOM_HI_0_MC_SECURITY_CARVEOUT17_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_BOM_HI_0_MC_SECURITY_CARVEOUT17_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x2358)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT16_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x2808)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT31_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x24c0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0_CARVEOUT21_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x23a0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT17_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x2598)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT23_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x239c)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT17_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x25d4)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT24_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x267c)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT26_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0                  _MK_ADDR_CONST(0x2064)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCORER_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCORER_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCORER_RANGE                    7:7
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCORER_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCORER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCORER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCORER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCORER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCORER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCORER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCORER_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCORER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCORER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_NVENCSWR_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_NVENCSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_NVENCSWR_RANGE                   11:11
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_NVENCSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_NVENCSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_NVENCSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_NVENCSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_NVENCSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_NVENCSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_NVENCSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_NVENCSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_NVENCSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_HDAW_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_HDAW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_HDAW_RANGE                       21:21
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_HDAW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_HDAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_HDAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_HDAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_HDAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_HDAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_HDAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_HDAW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_HDAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_HDAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCOREW_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCOREW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCOREW_RANGE                    25:25
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCOREW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCOREW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCOREW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCOREW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCOREW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCOREW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCOREW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCOREW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCOREW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_MPCOREW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_SATAW_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_SATAW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_SATAW_RANGE                      29:29
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_SATAW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_SATAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_SATAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_SATAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_SATAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_SATAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_SATAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_SATAW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_SATAW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0_CARVEOUT7_ALLOW_SATAW_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT27_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0                     _MK_ADDR_CONST(0x269c)
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_SIZE_128KB_0_MC_SECURITY_CARVEOUT27_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x26b8)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT27_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x276c)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x2250)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0_CARVEOUT13_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT12_BOM_HI_0
#define MC_SECURITY_CARVEOUT12_BOM_HI_0                 _MK_ADDR_CONST(0x21e8)
#define MC_SECURITY_CARVEOUT12_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT12_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT12_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT12_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT12_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT12_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT12_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT12_BOM_HI_0_MC_SECURITY_CARVEOUT12_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT12_BOM_HI_0_MC_SECURITY_CARVEOUT12_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT12_BOM_HI_0_MC_SECURITY_CARVEOUT12_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT12_BOM_HI_0_MC_SECURITY_CARVEOUT12_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT12_BOM_HI_0_MC_SECURITY_CARVEOUT12_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_BOM_HI_0_MC_SECURITY_CARVEOUT12_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_BOM_HI_0_MC_SECURITY_CARVEOUT12_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT12_BOM_HI_0_MC_SECURITY_CARVEOUT12_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_BOM_HI_0_MC_SECURITY_CARVEOUT12_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_BOM_HI_0_MC_SECURITY_CARVEOUT12_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_BOM_HI_0_MC_SECURITY_CARVEOUT12_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x2718)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT28_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x2470)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0_CARVEOUT20_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x27e8)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0_CARVEOUT31_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x24a8)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT20_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x2220)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0_CARVEOUT12_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x2628)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT25_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x22a0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0_CARVEOUT14_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x2448)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT19_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0                   _MK_ADDR_CONST(0x20cc)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                       0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                         _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCORER_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCORER_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCORER_RANGE                    7:7
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCORER_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCORER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCORER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCORER_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCORER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCORER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_NVENCSWR_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_NVENCSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_NVENCSWR_RANGE                   11:11
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_NVENCSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_NVENCSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_NVENCSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_NVENCSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_HDAW_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_HDAW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_HDAW_RANGE                       21:21
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_HDAW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_HDAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_HDAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_HDAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_HDAW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_HDAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_HDAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCOREW_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCOREW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCOREW_RANGE                    25:25
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCOREW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCOREW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCOREW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCOREW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_MPCOREW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_SATAW_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_SATAW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_SATAW_RANGE                      29:29
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_SATAW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_SATAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_SATAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_SATAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_SATAW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_SATAW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT8_FORCE_INTERNAL_SATAW_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT11_BOM_0
#define MC_SECURITY_CARVEOUT11_BOM_0                    _MK_ADDR_CONST(0x2194)
#define MC_SECURITY_CARVEOUT11_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT11_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT11_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT11_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT11_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT11_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT11_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT11_BOM_0_MC_SECURITY_CARVEOUT11_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT11_BOM_0_MC_SECURITY_CARVEOUT11_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT11_BOM_0_MC_SECURITY_CARVEOUT11_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT11_BOM_0_MC_SECURITY_CARVEOUT11_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT11_BOM_0_MC_SECURITY_CARVEOUT11_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_BOM_0_MC_SECURITY_CARVEOUT11_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_BOM_0_MC_SECURITY_CARVEOUT11_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT11_BOM_0_MC_SECURITY_CARVEOUT11_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_BOM_0_MC_SECURITY_CARVEOUT11_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_BOM_0_MC_SECURITY_CARVEOUT11_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_BOM_0_MC_SECURITY_CARVEOUT11_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x26f4)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0_CARVEOUT28_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x2228)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT12_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT28_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0                     _MK_ADDR_CONST(0x26ec)
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_SIZE_128KB_0_MC_SECURITY_CARVEOUT28_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0                   _MK_ADDR_CONST(0x213c)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                       0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4R_RANGE                     0:0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4W_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4W_RANGE                     1:1
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE4W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R_RANGE                     2:2
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5W_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5W_RANGE                     3:3
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPFALW_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPFALW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPFALW_RANGE                    4:4
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPFALW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPFALW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPFALW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPFALW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPFALW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3R_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3R_RANGE                      5:5
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3W_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3W_RANGE                      6:6
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4R_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4R_RANGE                      7:7
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4W_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4W_RANGE                      8:8
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA1_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA1_RANGE                   9:9
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA1_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA1_RANGE                   10:10
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_DLA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA1_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA1_RANGE                   11:11
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB1_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB1_RANGE                   12:12
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA0RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA1_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA1_RANGE                   13:13
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB1_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB1_RANGE                   14:14
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PVA1RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R1_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R1_RANGE                    15:15
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE5R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD1_RANGE                  16:16
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD1_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD1_RANGE                 17:17
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVENC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPRA1_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPRA1_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPRA1_RANGE                     18:18
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPRA1_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPRA1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPRA1_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPRA1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_ISPRA1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R1_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R1_RANGE                    19:19
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_PCIE0R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL0RHP_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL0RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL0RHP_RANGE                    20:20
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL0RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL0RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL0RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL0RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL1RHP_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL1RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL1RHP_RANGE                    21:21
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL1RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL1RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL1RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL1RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL2RHP_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL2RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL2RHP_RANGE                    22:22
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL2RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL2RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL2RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL2RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3RHP_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3RHP_RANGE                    23:23
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL3RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4RHP_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4RHP_RANGE                    24:24
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVL4RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD_RANGE                  25:25
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD1_RANGE                 26:26
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SWR_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SWR_RANGE                  27:27
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_NVDEC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5R_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5R_RANGE                      28:28
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5W_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5W_RANGE                      29:29
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU5W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6R_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6R_RANGE                      30:30
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6W_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6W_RANGE                      31:31
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT9_FORCE_INTERNAL_MIU6W_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x251c)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0_CARVEOUT22_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x2570)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0_CARVEOUT23_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x2200)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0_CARVEOUT12_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x253c)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x2744)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0_CARVEOUT29_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT13_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0                     _MK_ADDR_CONST(0x223c)
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_SIZE_128KB_0_MC_SECURITY_CARVEOUT13_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x2330)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0_CARVEOUT16_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x24e0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT21_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x27c4)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0_CARVEOUT30_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT19_BOM_0
#define MC_SECURITY_CARVEOUT19_BOM_0                    _MK_ADDR_CONST(0x2414)
#define MC_SECURITY_CARVEOUT19_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT19_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT19_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT19_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT19_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT19_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT19_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT19_BOM_0_MC_SECURITY_CARVEOUT19_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT19_BOM_0_MC_SECURITY_CARVEOUT19_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT19_BOM_0_MC_SECURITY_CARVEOUT19_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT19_BOM_0_MC_SECURITY_CARVEOUT19_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT19_BOM_0_MC_SECURITY_CARVEOUT19_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_BOM_0_MC_SECURITY_CARVEOUT19_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_BOM_0_MC_SECURITY_CARVEOUT19_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT19_BOM_0_MC_SECURITY_CARVEOUT19_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_BOM_0_MC_SECURITY_CARVEOUT19_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_BOM_0_MC_SECURITY_CARVEOUT19_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_BOM_0_MC_SECURITY_CARVEOUT19_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT23_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0                     _MK_ADDR_CONST(0x255c)
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_SIZE_128KB_0_MC_SECURITY_CARVEOUT23_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x2398)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT17_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0                  _MK_ADDR_CONST(0x20c4)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_APEDMAW_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_APEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_APEDMAW_RANGE                    0:0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_APEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_APEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_APEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_APEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_APEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_APEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_APEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_APEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_APEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_APEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDISPLAYR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDISPLAYR1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDISPLAYR1_RANGE                        1:1
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDISPLAYR1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDISPLAYR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDISPLAYR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDISPLAYR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDISPLAYR1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDISPLAYR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDISPLAYR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VICSRD1_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VICSRD1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VICSRD1_RANGE                    2:2
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VICSRD1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VICSRD1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VICSRD1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VICSRD1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VICSRD1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VICSRD1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VICSRD1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VICSRD1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VICSRD1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VICSRD1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDECSRD1_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDECSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDECSRD1_RANGE                  3:3
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDECSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDECSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDECSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDECSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDECSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDECSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDECSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVDECSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0R_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0R_RANGE                      6:6
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0W_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0W_RANGE                      7:7
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1R_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1R_RANGE                      8:8
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1W_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1W_RANGE                      9:9
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2R_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2R_RANGE                      14:14
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2W_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2W_RANGE                      15:15
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3R_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3R_RANGE                      16:16
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3W_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3W_RANGE                      17:17
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4R_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4R_RANGE                      18:18
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4W_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4W_RANGE                      19:19
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_MIU4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUR_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUR_RANGE                      20:20
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUW_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUW_RANGE                      21:21
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DPMUW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0R_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0R_RANGE                      22:22
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0W_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0W_RANGE                      23:23
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1R_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1R_RANGE                      24:24
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1W_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1W_RANGE                      25:25
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2R_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2R_RANGE                      26:26
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2W_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2W_RANGE                      27:27
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_NVL2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALR_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALR_RANGE                     28:28
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALW_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALW_RANGE                     29:29
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_VIFALW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0RDA_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0RDA_RANGE                    30:30
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0FALRDB_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0FALRDB_RANGE                 31:31
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0_CARVEOUT8_ALLOW_DLA0FALRDB_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT23_CFG0_0
#define MC_SECURITY_CARVEOUT23_CFG0_0                   _MK_ADDR_CONST(0x2550)
#define MC_SECURITY_CARVEOUT23_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT23_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT23_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT23_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT23_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT23_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT23_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CFG0_0_MC_SECURITY_CARVEOUT23_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x2568)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0_CARVEOUT23_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT12_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0                     _MK_ADDR_CONST(0x21ec)
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_SIZE_128KB_0_MC_SECURITY_CARVEOUT12_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x2444)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT19_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x2684)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0_CARVEOUT26_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT30_BOM_HI_0
#define MC_SECURITY_CARVEOUT30_BOM_HI_0                 _MK_ADDR_CONST(0x2788)
#define MC_SECURITY_CARVEOUT30_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT30_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT30_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT30_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT30_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT30_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT30_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT30_BOM_HI_0_MC_SECURITY_CARVEOUT30_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT30_BOM_HI_0_MC_SECURITY_CARVEOUT30_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT30_BOM_HI_0_MC_SECURITY_CARVEOUT30_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT30_BOM_HI_0_MC_SECURITY_CARVEOUT30_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT30_BOM_HI_0_MC_SECURITY_CARVEOUT30_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_BOM_HI_0_MC_SECURITY_CARVEOUT30_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_BOM_HI_0_MC_SECURITY_CARVEOUT30_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT30_BOM_HI_0_MC_SECURITY_CARVEOUT30_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_BOM_HI_0_MC_SECURITY_CARVEOUT30_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_BOM_HI_0_MC_SECURITY_CARVEOUT30_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_BOM_HI_0_MC_SECURITY_CARVEOUT30_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT13_BOM_0
#define MC_SECURITY_CARVEOUT13_BOM_0                    _MK_ADDR_CONST(0x2234)
#define MC_SECURITY_CARVEOUT13_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT13_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT13_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT13_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT13_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT13_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT13_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT13_BOM_0_MC_SECURITY_CARVEOUT13_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT13_BOM_0_MC_SECURITY_CARVEOUT13_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT13_BOM_0_MC_SECURITY_CARVEOUT13_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT13_BOM_0_MC_SECURITY_CARVEOUT13_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT13_BOM_0_MC_SECURITY_CARVEOUT13_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_BOM_0_MC_SECURITY_CARVEOUT13_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_BOM_0_MC_SECURITY_CARVEOUT13_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT13_BOM_0_MC_SECURITY_CARVEOUT13_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_BOM_0_MC_SECURITY_CARVEOUT13_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_BOM_0_MC_SECURITY_CARVEOUT13_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_BOM_0_MC_SECURITY_CARVEOUT13_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x2244)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0_CARVEOUT13_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x26b4)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0_CARVEOUT27_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x21d0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0_CARVEOUT11_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x24ac)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT20_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x2304)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT15_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x245c)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT19_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0                   _MK_ADDR_CONST(0x211c)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                       0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                         _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCORER_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCORER_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCORER_RANGE                    7:7
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCORER_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCORER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCORER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCORER_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCORER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCORER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_NVENCSWR_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_NVENCSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_NVENCSWR_RANGE                   11:11
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_NVENCSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_NVENCSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_NVENCSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_NVENCSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_HDAW_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_HDAW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_HDAW_RANGE                       21:21
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_HDAW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_HDAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_HDAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_HDAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_HDAW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_HDAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_HDAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCOREW_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCOREW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCOREW_RANGE                    25:25
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCOREW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCOREW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCOREW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCOREW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_MPCOREW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_SATAW_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_SATAW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_SATAW_RANGE                      29:29
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_SATAW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_SATAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_SATAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_SATAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_SATAW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_SATAW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT9_FORCE_INTERNAL_SATAW_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x27b4)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT30_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT24_BOM_HI_0
#define MC_SECURITY_CARVEOUT24_BOM_HI_0                 _MK_ADDR_CONST(0x25a8)
#define MC_SECURITY_CARVEOUT24_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT24_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT24_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT24_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT24_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT24_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT24_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT24_BOM_HI_0_MC_SECURITY_CARVEOUT24_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT24_BOM_HI_0_MC_SECURITY_CARVEOUT24_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT24_BOM_HI_0_MC_SECURITY_CARVEOUT24_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT24_BOM_HI_0_MC_SECURITY_CARVEOUT24_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT24_BOM_HI_0_MC_SECURITY_CARVEOUT24_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_BOM_HI_0_MC_SECURITY_CARVEOUT24_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_BOM_HI_0_MC_SECURITY_CARVEOUT24_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT24_BOM_HI_0_MC_SECURITY_CARVEOUT24_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_BOM_HI_0_MC_SECURITY_CARVEOUT24_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_BOM_HI_0_MC_SECURITY_CARVEOUT24_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_BOM_HI_0_MC_SECURITY_CARVEOUT24_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x25d0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT24_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x2404)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0_CARVEOUT18_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x22f4)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0_CARVEOUT15_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT31_CFG0_0
#define MC_SECURITY_CARVEOUT31_CFG0_0                   _MK_ADDR_CONST(0x27d0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT31_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT31_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT31_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT31_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT31_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT31_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CFG0_0_MC_SECURITY_CARVEOUT31_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0                  _MK_ADDR_CONST(0x2108)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPRA_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPRA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPRA_RANGE                      4:4
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPRA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPRA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPRA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPRA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPRA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPRA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPRA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPRA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPRA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPRA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPFALR_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPFALR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPFALR_RANGE                    5:5
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPFALR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPFALR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPFALR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPFALR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPFALR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPFALR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPFALR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPFALR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPFALR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPFALR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWA_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWA_RANGE                      6:6
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWB_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWB_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWB_RANGE                      7:7
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWB_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWB_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_ISPWB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTR_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTR_RANGE                 10:10
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTW_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTW_RANGE                 11:11
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_HOSTW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVR_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVR_RANGE                  12:12
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVW_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVW_RANGE                  13:13
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_XUSB_DEVW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSRD_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSRD_RANGE                    20:20
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSWR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSWR_RANGE                    21:21
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0_CARVEOUT9_ALLOW_TSECSWR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x236c)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT16_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT31_BOM_0
#define MC_SECURITY_CARVEOUT31_BOM_0                    _MK_ADDR_CONST(0x27d4)
#define MC_SECURITY_CARVEOUT31_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT31_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT31_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT31_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT31_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT31_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT31_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT31_BOM_0_MC_SECURITY_CARVEOUT31_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT31_BOM_0_MC_SECURITY_CARVEOUT31_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT31_BOM_0_MC_SECURITY_CARVEOUT31_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT31_BOM_0_MC_SECURITY_CARVEOUT31_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT31_BOM_0_MC_SECURITY_CARVEOUT31_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_BOM_0_MC_SECURITY_CARVEOUT31_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_BOM_0_MC_SECURITY_CARVEOUT31_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT31_BOM_0_MC_SECURITY_CARVEOUT31_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_BOM_0_MC_SECURITY_CARVEOUT31_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_BOM_0_MC_SECURITY_CARVEOUT31_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_BOM_0_MC_SECURITY_CARVEOUT31_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x2708)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT28_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x258c)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT23_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x23f0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT18_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0                   _MK_ADDR_CONST(0x20d8)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                       0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                         _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESRD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESRD_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESRD_RANGE                      0:0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESRD_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESRD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESRD_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESRD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESRD_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESWR_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESWR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESWR_RANGE                      1:1
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESWR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESWR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESWR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESWR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESWR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESWR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SESWR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPW_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPW_RANGE                     3:3
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXIAPW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRR_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRR_RANGE                       4:4
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRW_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRW_RANGE                       5:5
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_ETRW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSRDB_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSRDB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSRDB_RANGE                   6:6
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSRDB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSRDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSRDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSRDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSWRB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSWRB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSWRB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSWRB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSWRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSWRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_TSECSWRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISR_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISR_RANGE                      12:12
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISW_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISW_RANGE                      13:13
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AXISW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSR_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSR_RANGE                      14:14
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSW_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSW_RANGE                      15:15
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_EQOSW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCR_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCR_RANGE                     16:16
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCW_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCW_RANGE                     17:17
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_UFSHCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR_RANGE                 18:18
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_NVDISPLAYR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPR_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPR_RANGE                      19:19
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPW_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPW_RANGE                      20:20
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAR_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAR_RANGE                   21:21
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAW_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAW_RANGE                   22:22
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_BPMPDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONR_RANGE                       23:23
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONW_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONW_RANGE                       24:24
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAR_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAR_RANGE                    25:25
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAW_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAW_RANGE                    26:26
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_AONDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCER_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCER_RANGE                       27:27
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEW_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEW_RANGE                       28:28
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAR_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAR_RANGE                    29:29
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAW_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAW_RANGE                    30:30
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_SCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_APEDMAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_APEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_APEDMAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_APEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_APEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_APEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_APEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT8_FORCE_INTERNAL_APEDMAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x25c0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0_CARVEOUT24_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x226c)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x2634)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0_CARVEOUT25_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x280c)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT31_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0                  _MK_ADDR_CONST(0x20b0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_PTCR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_PTCR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_PTCR_RANGE                       0:0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_PTCR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_PTCR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_PTCR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_PTCR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_PTCR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_PTCR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_PTCR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_PTCR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_PTCR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_PTCR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7R_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7R_RANGE                      1:1
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7W_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7W_RANGE                      2:2
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_MIU7W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HDAR_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HDAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HDAR_RANGE                       21:21
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HDAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HDAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HDAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HDAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HDAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HDAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HDAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HDAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HDAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HDAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HOST1XDMAR_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HOST1XDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HOST1XDMAR_RANGE                 22:22
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HOST1XDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HOST1XDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HOST1XDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HOST1XDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HOST1XDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HOST1XDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HOST1XDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_HOST1XDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_NVENCSRD_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_NVENCSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_NVENCSRD_RANGE                   28:28
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_NVENCSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_NVENCSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_NVENCSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_NVENCSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_NVENCSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_NVENCSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_NVENCSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_NVENCSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_NVENCSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_SATAR_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_SATAR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_SATAR_RANGE                      31:31
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_SATAR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_SATAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_SATAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_SATAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_SATAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_SATAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_SATAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_SATAR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_SATAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0_CARVEOUT8_ALLOW_SATAR_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x2600)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0_CARVEOUT25_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT24_CFG0_0
#define MC_SECURITY_CARVEOUT24_CFG0_0                   _MK_ADDR_CONST(0x25a0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT24_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT24_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT24_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT24_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT24_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT24_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CFG0_0_MC_SECURITY_CARVEOUT24_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT28_CFG0_0
#define MC_SECURITY_CARVEOUT28_CFG0_0                   _MK_ADDR_CONST(0x26e0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT28_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT28_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT28_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT28_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT28_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT28_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CFG0_0_MC_SECURITY_CARVEOUT28_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT24_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0                     _MK_ADDR_CONST(0x25ac)
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_SIZE_128KB_0_MC_SECURITY_CARVEOUT24_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT6_CFG0_0
#define MC_SECURITY_CARVEOUT6_CFG0_0                    _MK_ADDR_CONST(0x2000)
#define MC_SECURITY_CARVEOUT6_CFG0_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT6_CFG0_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT6_CFG0_0_SCR                        0
#define MC_SECURITY_CARVEOUT6_CFG0_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT6_CFG0_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_RESET_MASK                         _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT6_CFG0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_READ_MASK                  _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT6_CFG0_0_WRITE_MASK                         _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_PROTECT_MODE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_PROTECT_MODE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_PROTECT_MODE_RANGE                   0:0
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_PROTECT_MODE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_PROTECT_MODE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_PROTECT_MODE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_PROTECT_MODE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_PROTECT_MODE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_PROTECT_MODE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_PROTECT_MODE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_PROTECT_MODE_INIT_ENUM                       LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_PROTECT_MODE_LOCKBIT_SECURE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_PROTECT_MODE_TZ_SECURE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_LOCK_MODE_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_LOCK_MODE_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_LOCK_MODE_RANGE                      1:1
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_LOCK_MODE_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_LOCK_MODE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_LOCK_MODE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_LOCK_MODE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_LOCK_MODE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_LOCK_MODE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_LOCK_MODE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_LOCK_MODE_INIT_ENUM                  UNLOCKED
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_LOCK_MODE_UNLOCKED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_LOCK_MODE_LOCKED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ADDRESS_TYPE_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ADDRESS_TYPE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ADDRESS_TYPE_RANGE                   2:2
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ADDRESS_TYPE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ADDRESS_TYPE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ADDRESS_TYPE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ADDRESS_TYPE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ADDRESS_TYPE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ADDRESS_TYPE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ADDRESS_TYPE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ADDRESS_TYPE_INIT_ENUM                       ANY_ADDRESS
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ADDRESS_TYPE_ANY_ADDRESS                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ADDRESS_TYPE_UNTRANSLATED_ONLY                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_READ_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_READ_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_READ_ACCESS_LEVEL_RANGE                      6:3
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_READ_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_READ_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_READ_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_READ_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_READ_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_WRITE_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_WRITE_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_WRITE_ACCESS_LEVEL_RANGE                     10:7
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_WRITE_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_WRITE_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_WRITE_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_WRITE_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_FIELD                    _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_RANGE                    13:11
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                        _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                        17:14
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                       _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                       21:18
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_SEND_CFG_TO_GPU_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_SEND_CFG_TO_GPU_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_SEND_CFG_TO_GPU_RANGE                        22:22
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_SEND_CFG_TO_GPU_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_SEND_CFG_TO_GPU_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_SEND_CFG_TO_GPU_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_SEND_CFG_TO_GPU_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_SEND_CFG_TO_GPU_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_SEND_CFG_TO_GPU_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_SEND_CFG_TO_GPU_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_SEND_CFG_TO_GPU_ENABLED                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_WR_EN_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_WR_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_WR_EN_RANGE                        23:23
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_WR_EN_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_WR_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_WR_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_WR_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_WR_EN_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_WR_EN_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_WR_EN_BYPASS_CHECK                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_RD_EN_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_RD_EN_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_RD_EN_RANGE                        24:24
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_RD_EN_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_RD_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_RD_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_RD_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_RD_EN_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_RD_EN_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_TZ_GLOBAL_RD_EN_BYPASS_CHECK                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ALLOW_APERTURE_ID_MISMATCH_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ALLOW_APERTURE_ID_MISMATCH_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ALLOW_APERTURE_ID_MISMATCH_RANGE                     25:25
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                 DISABLED
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ALLOW_APERTURE_ID_MISMATCH_DISABLED                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_ALLOW_APERTURE_ID_MISMATCH_ENABLED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_FORCE_APERTURE_ID_MATCH_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_FORCE_APERTURE_ID_MATCH_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_FORCE_APERTURE_ID_MATCH_RANGE                        26:26
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_FORCE_APERTURE_ID_MATCH_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_FORCE_APERTURE_ID_MATCH_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_FORCE_APERTURE_ID_MATCH_INIT_ENUM                    DISABLED
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_FORCE_APERTURE_ID_MATCH_DISABLED                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_FORCE_APERTURE_ID_MATCH_ENABLED                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_IS_WPR_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_IS_WPR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_IS_WPR_RANGE                 27:27
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_IS_WPR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_IS_WPR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_IS_WPR_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_IS_WPR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_IS_WPR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_IS_WPR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_IS_WPR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_IS_WPR_DISABLED                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_IS_WPR_ENABLED                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_HI_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_HI_FIELD                 _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_HI_RANGE                 29:28
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_HI_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_HI_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_HI_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_HI_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_HI_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_HI_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_APERTURE_ID_HI_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_CPU_SECURE_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_CPU_SECURE_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_CPU_SECURE_RANGE                     31:31
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_CPU_SECURE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_CPU_SECURE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_CPU_SECURE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_CPU_SECURE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_CPU_SECURE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_CPU_SECURE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_CPU_SECURE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_CPU_SECURE_INIT_ENUM                 NO
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_CPU_SECURE_NO                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CFG0_0_MC_SECURITY_CARVEOUT6_CPU_SECURE_YES                       _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT21_BOM_0
#define MC_SECURITY_CARVEOUT21_BOM_0                    _MK_ADDR_CONST(0x24b4)
#define MC_SECURITY_CARVEOUT21_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT21_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT21_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT21_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT21_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT21_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT21_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT21_BOM_0_MC_SECURITY_CARVEOUT21_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT21_BOM_0_MC_SECURITY_CARVEOUT21_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT21_BOM_0_MC_SECURITY_CARVEOUT21_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT21_BOM_0_MC_SECURITY_CARVEOUT21_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT21_BOM_0_MC_SECURITY_CARVEOUT21_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_BOM_0_MC_SECURITY_CARVEOUT21_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_BOM_0_MC_SECURITY_CARVEOUT21_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT21_BOM_0_MC_SECURITY_CARVEOUT21_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_BOM_0_MC_SECURITY_CARVEOUT21_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_BOM_0_MC_SECURITY_CARVEOUT21_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_BOM_0_MC_SECURITY_CARVEOUT21_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x22cc)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT14_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x249c)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT20_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x272c)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT28_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x2774)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0_CARVEOUT29_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT14_BOM_HI_0
#define MC_SECURITY_CARVEOUT14_BOM_HI_0                 _MK_ADDR_CONST(0x2288)
#define MC_SECURITY_CARVEOUT14_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT14_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT14_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT14_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT14_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT14_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT14_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT14_BOM_HI_0_MC_SECURITY_CARVEOUT14_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT14_BOM_HI_0_MC_SECURITY_CARVEOUT14_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT14_BOM_HI_0_MC_SECURITY_CARVEOUT14_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT14_BOM_HI_0_MC_SECURITY_CARVEOUT14_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT14_BOM_HI_0_MC_SECURITY_CARVEOUT14_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_BOM_HI_0_MC_SECURITY_CARVEOUT14_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_BOM_HI_0_MC_SECURITY_CARVEOUT14_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT14_BOM_HI_0_MC_SECURITY_CARVEOUT14_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_BOM_HI_0_MC_SECURITY_CARVEOUT14_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_BOM_HI_0_MC_SECURITY_CARVEOUT14_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_BOM_HI_0_MC_SECURITY_CARVEOUT14_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT9_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0                      _MK_ADDR_CONST(0x20fc)
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_SECURE                       0x0
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_DUAL                         0x0
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_SCR                  0
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_WORD_COUNT                   0x1
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_RESET_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_READ_MASK                    _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_WRITE_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_128KB_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_128KB_FIELD                 _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_128KB_RANGE                 11:0
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_128KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_128KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_128KB_DEFAULT_MASK                  _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_128KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_128KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_128KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_4KB_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_4KB_FIELD                   _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_4KB_RANGE                   31:27
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_4KB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_4KB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_4KB_DEFAULT_MASK                    _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_4KB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_4KB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_4KB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_SIZE_128KB_0_MC_SECURITY_CARVEOUT9_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x24f4)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0_CARVEOUT21_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT20_BOM_0
#define MC_SECURITY_CARVEOUT20_BOM_0                    _MK_ADDR_CONST(0x2464)
#define MC_SECURITY_CARVEOUT20_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT20_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT20_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT20_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT20_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT20_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT20_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT20_BOM_0_MC_SECURITY_CARVEOUT20_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT20_BOM_0_MC_SECURITY_CARVEOUT20_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT20_BOM_0_MC_SECURITY_CARVEOUT20_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT20_BOM_0_MC_SECURITY_CARVEOUT20_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT20_BOM_0_MC_SECURITY_CARVEOUT20_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_BOM_0_MC_SECURITY_CARVEOUT20_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_BOM_0_MC_SECURITY_CARVEOUT20_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT20_BOM_0_MC_SECURITY_CARVEOUT20_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_BOM_0_MC_SECURITY_CARVEOUT20_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_BOM_0_MC_SECURITY_CARVEOUT20_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_BOM_0_MC_SECURITY_CARVEOUT20_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x21cc)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x2294)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0_CARVEOUT14_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x2748)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0_CARVEOUT29_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x2520)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0_CARVEOUT22_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0                  _MK_ADDR_CONST(0x2134)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4R_RANGE                     0:0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4W_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4W_RANGE                     1:1
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE4W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R_RANGE                     2:2
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5W_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5W_RANGE                     3:3
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPFALW_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPFALW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPFALW_RANGE                    4:4
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPFALW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPFALW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPFALW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPFALW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPFALW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPFALW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPFALW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPFALW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPFALW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPFALW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3R_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3R_RANGE                      5:5
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3W_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3W_RANGE                      6:6
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4R_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4R_RANGE                      7:7
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4W_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4W_RANGE                      8:8
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA0RDA1_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA0RDA1_RANGE                   9:9
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA1RDA1_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA1RDA1_RANGE                   10:10
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_DLA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDA1_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDA1_RANGE                   11:11
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDB1_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDB1_RANGE                   12:12
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA0RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDA1_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDA1_RANGE                   13:13
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDB1_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDB1_RANGE                   14:14
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PVA1RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R1_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R1_RANGE                    15:15
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE5R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENCSRD1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENCSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENCSRD1_RANGE                  16:16
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENCSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENCSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENCSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENCSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENCSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENCSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENCSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENCSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENC1SRD1_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENC1SRD1_RANGE                 17:17
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVENC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPRA1_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPRA1_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPRA1_RANGE                     18:18
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPRA1_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPRA1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPRA1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPRA1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPRA1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPRA1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPRA1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPRA1_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPRA1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_ISPRA1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE0R1_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE0R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE0R1_RANGE                    19:19
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE0R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE0R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE0R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE0R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE0R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE0R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE0R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE0R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_PCIE0R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL0RHP_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL0RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL0RHP_RANGE                    20:20
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL0RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL0RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL0RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL0RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL0RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL0RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL0RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL0RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL0RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL1RHP_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL1RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL1RHP_RANGE                    21:21
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL1RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL1RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL1RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL1RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL1RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL1RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL1RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL1RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL1RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL2RHP_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL2RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL2RHP_RANGE                    22:22
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL2RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL2RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL2RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL2RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL2RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL2RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL2RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL2RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL2RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3RHP_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3RHP_RANGE                    23:23
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL3RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4RHP_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4RHP_RANGE                    24:24
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVL4RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD_RANGE                  25:25
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD1_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD1_RANGE                 26:26
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SWR_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SWR_RANGE                  27:27
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_NVDEC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5R_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5R_RANGE                      28:28
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5W_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5W_RANGE                      29:29
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU5W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6R_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6R_RANGE                      30:30
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6W_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6W_RANGE                      31:31
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0_CARVEOUT9_ALLOW_MIU6W_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x2778)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT29_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x21a4)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0_CARVEOUT11_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x2174)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT10_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x27ec)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0_CARVEOUT31_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x2258)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT13_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x23d0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0_CARVEOUT18_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x26f0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0_CARVEOUT28_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x27ac)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT30_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x2760)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT29_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT30_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0                     _MK_ADDR_CONST(0x278c)
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_SIZE_128KB_0_MC_SECURITY_CARVEOUT30_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x2428)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0_CARVEOUT19_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x22fc)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT15_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT26_CFG0_0
#define MC_SECURITY_CARVEOUT26_CFG0_0                   _MK_ADDR_CONST(0x2640)
#define MC_SECURITY_CARVEOUT26_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT26_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT26_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT26_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT26_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT26_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT26_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CFG0_0_MC_SECURITY_CARVEOUT26_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x270c)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT28_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x2458)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT19_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT31_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0                     _MK_ADDR_CONST(0x27dc)
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_SIZE_128KB_0_MC_SECURITY_CARVEOUT31_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x2660)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0_CARVEOUT26_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT14_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0                     _MK_ADDR_CONST(0x228c)
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_SIZE_128KB_0_MC_SECURITY_CARVEOUT14_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT6_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0                      _MK_ADDR_CONST(0x200c)
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_SECURE                       0x0
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_DUAL                         0x0
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_SCR                  0
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_WORD_COUNT                   0x1
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_RESET_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_READ_MASK                    _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_WRITE_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_128KB_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_128KB_FIELD                 _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_128KB_RANGE                 11:0
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_128KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_128KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_128KB_DEFAULT_MASK                  _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_128KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_128KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_128KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_4KB_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_4KB_FIELD                   _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_4KB_RANGE                   31:27
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_4KB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_4KB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_4KB_DEFAULT_MASK                    _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_4KB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_4KB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_4KB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_SIZE_128KB_0_MC_SECURITY_CARVEOUT6_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x25dc)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT24_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0                  _MK_ADDR_CONST(0x20e0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0WRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0WRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0FALWRB_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0FALWRB_RANGE                 1:1
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA0FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1RDA_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1RDA_RANGE                    2:2
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALRDB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALRDB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1WRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1WRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALWRB_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALWRB_RANGE                 5:5
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_DLA1FALWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDC_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDC_RANGE                    8:8
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRA_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRA_RANGE                    9:9
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRB_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRB_RANGE                    10:10
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRC_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRC_RANGE                    11:11
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA0WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDA_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDA_RANGE                    12:12
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDB_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDB_RANGE                    13:13
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDC_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDC_RANGE                    14:14
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1RDC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRA_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRA_RANGE                    15:15
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRB_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRB_RANGE                    16:16
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRC_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRC_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRC_RANGE                    17:17
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRC_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRC_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRC_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PVA1WRC_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCER_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCER_RANGE                       18:18
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEW_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEW_RANGE                       19:19
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_RCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SRD_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SRD_RANGE                  22:22
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SWR_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SWR_RANGE                  23:23
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_NVENC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0R_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0R_RANGE                     24:24
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0W_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0W_RANGE                     25:25
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE0W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1R_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1R_RANGE                     26:26
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1W_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1W_RANGE                     27:27
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE1W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AR_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AR_RANGE                    28:28
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE2AW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3R_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3R_RANGE                     30:30
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3W_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3W_RANGE                     31:31
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0_CARVEOUT8_ALLOW_PCIE3W_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x2270)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0_CARVEOUT13_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x2800)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT31_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0                   _MK_ADDR_CONST(0x20ec)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                       0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4R_RANGE                     0:0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4W_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4W_RANGE                     1:1
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE4W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R_RANGE                     2:2
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5W_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5W_RANGE                     3:3
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPFALW_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPFALW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPFALW_RANGE                    4:4
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPFALW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPFALW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPFALW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPFALW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPFALW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3R_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3R_RANGE                      5:5
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3W_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3W_RANGE                      6:6
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4R_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4R_RANGE                      7:7
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4W_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4W_RANGE                      8:8
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA1_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA1_RANGE                   9:9
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA1_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA1_RANGE                   10:10
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_DLA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA1_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA1_RANGE                   11:11
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB1_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB1_RANGE                   12:12
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA0RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA1_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA1_RANGE                   13:13
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB1_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB1_RANGE                   14:14
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PVA1RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R1_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R1_RANGE                    15:15
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE5R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD1_RANGE                  16:16
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENCSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD1_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD1_RANGE                 17:17
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVENC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPRA1_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPRA1_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPRA1_RANGE                     18:18
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPRA1_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPRA1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPRA1_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPRA1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_ISPRA1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R1_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R1_RANGE                    19:19
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_PCIE0R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL0RHP_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL0RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL0RHP_RANGE                    20:20
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL0RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL0RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL0RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL0RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL1RHP_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL1RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL1RHP_RANGE                    21:21
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL1RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL1RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL1RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL1RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL2RHP_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL2RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL2RHP_RANGE                    22:22
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL2RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL2RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL2RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL2RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3RHP_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3RHP_RANGE                    23:23
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL3RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4RHP_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4RHP_RANGE                    24:24
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVL4RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD_RANGE                  25:25
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD1_RANGE                 26:26
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SWR_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SWR_RANGE                  27:27
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_NVDEC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5R_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5R_RANGE                      28:28
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5W_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5W_RANGE                      29:29
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU5W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6R_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6R_RANGE                      30:30
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6W_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6W_RANGE                      31:31
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT8_FORCE_INTERNAL_MIU6W_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x268c)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT26_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x26cc)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x27b8)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT30_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x2700)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0_CARVEOUT28_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x2498)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT20_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x24fc)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT21_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x2564)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0_CARVEOUT23_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x224c)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0_CARVEOUT13_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0                  _MK_ADDR_CONST(0x2104)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCORER_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCORER_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCORER_RANGE                    7:7
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCORER_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCORER_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCORER_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCORER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCORER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCORER_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCORER_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCORER_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCORER_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCORER_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_NVENCSWR_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_NVENCSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_NVENCSWR_RANGE                   11:11
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_NVENCSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_NVENCSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_NVENCSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_NVENCSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_NVENCSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_NVENCSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_NVENCSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_NVENCSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_NVENCSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_HDAW_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_HDAW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_HDAW_RANGE                       21:21
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_HDAW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_HDAW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_HDAW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_HDAW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_HDAW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_HDAW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_HDAW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_HDAW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_HDAW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_HDAW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCOREW_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCOREW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCOREW_RANGE                    25:25
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCOREW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCOREW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCOREW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCOREW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCOREW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCOREW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCOREW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCOREW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCOREW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_MPCOREW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_SATAW_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_SATAW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_SATAW_RANGE                      29:29
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_SATAW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_SATAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_SATAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_SATAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_SATAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_SATAW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_SATAW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_SATAW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_SATAW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0_CARVEOUT9_ALLOW_SATAW_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x2514)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0_CARVEOUT22_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x25e4)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0_CARVEOUT24_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x277c)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT29_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0                  _MK_ADDR_CONST(0x2070)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESRD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESRD_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESRD_RANGE                      0:0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESRD_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESRD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESRD_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESRD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESRD_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESWR_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESWR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESWR_RANGE                      1:1
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESWR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESWR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESWR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESWR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESWR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESWR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESWR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESWR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESWR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SESWR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPW_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPW_RANGE                     3:3
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXIAPW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRR_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRR_RANGE                       4:4
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRW_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRW_RANGE                       5:5
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_ETRW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSRDB_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSRDB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSRDB_RANGE                   6:6
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSRDB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSRDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSRDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSRDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSRDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSRDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSRDB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSRDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSRDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSWRB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSWRB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSWRB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSWRB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSWRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSWRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSWRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSWRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSWRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSWRB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSWRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_TSECSWRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISR_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISR_RANGE                      12:12
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISW_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISW_RANGE                      13:13
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AXISW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSR_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSR_RANGE                      14:14
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSW_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSW_RANGE                      15:15
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_EQOSW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCR_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCR_RANGE                     16:16
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCW_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCW_RANGE                     17:17
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_UFSHCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_NVDISPLAYR_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_NVDISPLAYR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_NVDISPLAYR_RANGE                 18:18
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_NVDISPLAYR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_NVDISPLAYR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_NVDISPLAYR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_NVDISPLAYR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_NVDISPLAYR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_NVDISPLAYR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_NVDISPLAYR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_NVDISPLAYR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPR_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPR_RANGE                      19:19
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPW_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPW_RANGE                      20:20
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAR_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAR_RANGE                   21:21
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAW_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAW_RANGE                   22:22
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_BPMPDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONR_RANGE                       23:23
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONW_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONW_RANGE                       24:24
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAR_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAR_RANGE                    25:25
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAW_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAW_RANGE                    26:26
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_AONDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCER_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCER_RANGE                       27:27
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEW_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEW_RANGE                       28:28
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAR_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAR_RANGE                    29:29
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAW_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAW_RANGE                    30:30
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_SCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_APEDMAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_APEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_APEDMAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_APEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_APEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_APEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_APEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_APEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_APEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_APEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_APEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_APEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0_CARVEOUT7_ALLOW_APEDMAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x2154)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0_CARVEOUT10_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x23e4)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0_CARVEOUT18_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x2608)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0_CARVEOUT25_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x21a0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0_CARVEOUT11_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x256c)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0_CARVEOUT23_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x26d8)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT27_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x2364)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0_CARVEOUT16_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x2268)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT13_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x22f0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0_CARVEOUT15_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT24_BOM_0
#define MC_SECURITY_CARVEOUT24_BOM_0                    _MK_ADDR_CONST(0x25a4)
#define MC_SECURITY_CARVEOUT24_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT24_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT24_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT24_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT24_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT24_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT24_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT24_BOM_0_MC_SECURITY_CARVEOUT24_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT24_BOM_0_MC_SECURITY_CARVEOUT24_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT24_BOM_0_MC_SECURITY_CARVEOUT24_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT24_BOM_0_MC_SECURITY_CARVEOUT24_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT24_BOM_0_MC_SECURITY_CARVEOUT24_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_BOM_0_MC_SECURITY_CARVEOUT24_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_BOM_0_MC_SECURITY_CARVEOUT24_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT24_BOM_0_MC_SECURITY_CARVEOUT24_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_BOM_0_MC_SECURITY_CARVEOUT24_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_BOM_0_MC_SECURITY_CARVEOUT24_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_BOM_0_MC_SECURITY_CARVEOUT24_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0                   _MK_ADDR_CONST(0x212c)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                       0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                         _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_APEDMAW_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_APEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_APEDMAW_RANGE                    0:0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_APEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_APEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_APEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_APEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_APEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR1_RANGE                        1:1
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VICSRD1_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VICSRD1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VICSRD1_RANGE                    2:2
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VICSRD1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VICSRD1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VICSRD1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VICSRD1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VICSRD1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD1_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD1_RANGE                  3:3
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVDECSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0R_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0R_RANGE                      6:6
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0W_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0W_RANGE                      7:7
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1R_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1R_RANGE                      8:8
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1W_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1W_RANGE                      9:9
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2R_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2R_RANGE                      14:14
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2W_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2W_RANGE                      15:15
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3R_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3R_RANGE                      16:16
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3W_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3W_RANGE                      17:17
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4R_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4R_RANGE                      18:18
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4W_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4W_RANGE                      19:19
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_MIU4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUR_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUR_RANGE                      20:20
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUW_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUW_RANGE                      21:21
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DPMUW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0R_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0R_RANGE                      22:22
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0W_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0W_RANGE                      23:23
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1R_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1R_RANGE                      24:24
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1W_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1W_RANGE                      25:25
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2R_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2R_RANGE                      26:26
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2W_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2W_RANGE                      27:27
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_NVL2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALR_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALR_RANGE                     28:28
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALW_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALW_RANGE                     29:29
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_VIFALW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA_RANGE                    30:30
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALRDB_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALRDB_RANGE                 31:31
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT9_FORCE_INTERNAL_DLA0FALRDB_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x2218)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT12_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x27b0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT30_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x22bc)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT14_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x240c)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT18_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x21f8)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0_CARVEOUT12_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x21c8)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT11_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x26fc)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0_CARVEOUT28_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT16_BOM_0
#define MC_SECURITY_CARVEOUT16_BOM_0                    _MK_ADDR_CONST(0x2324)
#define MC_SECURITY_CARVEOUT16_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT16_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT16_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT16_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT16_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT16_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT16_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT16_BOM_0_MC_SECURITY_CARVEOUT16_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT16_BOM_0_MC_SECURITY_CARVEOUT16_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT16_BOM_0_MC_SECURITY_CARVEOUT16_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT16_BOM_0_MC_SECURITY_CARVEOUT16_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT16_BOM_0_MC_SECURITY_CARVEOUT16_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_BOM_0_MC_SECURITY_CARVEOUT16_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_BOM_0_MC_SECURITY_CARVEOUT16_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT16_BOM_0_MC_SECURITY_CARVEOUT16_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_BOM_0_MC_SECURITY_CARVEOUT16_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_BOM_0_MC_SECURITY_CARVEOUT16_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_BOM_0_MC_SECURITY_CARVEOUT16_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x2178)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT10_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0                   _MK_ADDR_CONST(0x20d0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                       0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                         _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPRA_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPRA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPRA_RANGE                      4:4
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPRA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPRA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPRA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPRA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPRA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPRA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPFALR_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPFALR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPFALR_RANGE                    5:5
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPFALR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPFALR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPFALR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPFALR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPFALR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWA_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWA_RANGE                      6:6
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWB_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWB_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWB_RANGE                      7:7
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWB_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWB_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_ISPWB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTR_RANGE                 10:10
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTW_RANGE                 11:11
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVR_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVR_RANGE                  12:12
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVW_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVW_RANGE                  13:13
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_XUSB_DEVW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSRD_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSRD_RANGE                    20:20
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSWR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSWR_RANGE                    21:21
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT8_FORCE_INTERNAL_TSECSWR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT18_BOM_HI_0
#define MC_SECURITY_CARVEOUT18_BOM_HI_0                 _MK_ADDR_CONST(0x23c8)
#define MC_SECURITY_CARVEOUT18_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT18_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT18_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT18_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT18_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT18_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT18_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT18_BOM_HI_0_MC_SECURITY_CARVEOUT18_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT18_BOM_HI_0_MC_SECURITY_CARVEOUT18_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT18_BOM_HI_0_MC_SECURITY_CARVEOUT18_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT18_BOM_HI_0_MC_SECURITY_CARVEOUT18_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT18_BOM_HI_0_MC_SECURITY_CARVEOUT18_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_BOM_HI_0_MC_SECURITY_CARVEOUT18_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_BOM_HI_0_MC_SECURITY_CARVEOUT18_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT18_BOM_HI_0_MC_SECURITY_CARVEOUT18_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_BOM_HI_0_MC_SECURITY_CARVEOUT18_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_BOM_HI_0_MC_SECURITY_CARVEOUT18_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_BOM_HI_0_MC_SECURITY_CARVEOUT18_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0                   _MK_ADDR_CONST(0x2084)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                       0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                         _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRAB_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRAB_RANGE                   3:3
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCRAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCW_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCW_RANGE                     6:6
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWAB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWAB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_SDMMCWAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSRD_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSRD_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSRD_RANGE                     12:12
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSRD_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSRD_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSWR_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSWR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSWR_RANGE                     13:13
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSWR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSWR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VICSWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VIW_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VIW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VIW_RANGE                        18:18
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VIW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VIW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VIW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VIW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VIW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VIW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VIW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_VIW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD_RANGE                   24:24
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSWR_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSWR_RANGE                   25:25
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVDECSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APER_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APER_RANGE                       26:26
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APEW_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APEW_RANGE                       27:27
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_APEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSRD_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSRD_RANGE                   30:30
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSWR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSWR_RANGE                   31:31
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT7_FORCE_INTERNAL_NVJPGSWR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x24d8)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT21_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x230c)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x2728)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT28_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x27a0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0_CARVEOUT30_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x2314)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0_CARVEOUT15_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x2658)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0_CARVEOUT26_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x26d0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0_CARVEOUT27_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x235c)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT16_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0                 _MK_ADDR_CONST(0x242c)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_SCR                     0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0_CARVEOUT19_ALLOW_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x24f8)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT21_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x27a4)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0_CARVEOUT30_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT29_BOM_0
#define MC_SECURITY_CARVEOUT29_BOM_0                    _MK_ADDR_CONST(0x2734)
#define MC_SECURITY_CARVEOUT29_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT29_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT29_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT29_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT29_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT29_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT29_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT29_BOM_0_MC_SECURITY_CARVEOUT29_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT29_BOM_0_MC_SECURITY_CARVEOUT29_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT29_BOM_0_MC_SECURITY_CARVEOUT29_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT29_BOM_0_MC_SECURITY_CARVEOUT29_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT29_BOM_0_MC_SECURITY_CARVEOUT29_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_BOM_0_MC_SECURITY_CARVEOUT29_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_BOM_0_MC_SECURITY_CARVEOUT29_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT29_BOM_0_MC_SECURITY_CARVEOUT29_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_BOM_0_MC_SECURITY_CARVEOUT29_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_BOM_0_MC_SECURITY_CARVEOUT29_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_BOM_0_MC_SECURITY_CARVEOUT29_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x21d8)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT11_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x2614)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0_CARVEOUT25_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x231c)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT15_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x257c)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT23_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x25ec)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT24_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x25e0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0_CARVEOUT24_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT13_BOM_HI_0
#define MC_SECURITY_CARVEOUT13_BOM_HI_0                 _MK_ADDR_CONST(0x2238)
#define MC_SECURITY_CARVEOUT13_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT13_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT13_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT13_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT13_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT13_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT13_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT13_BOM_HI_0_MC_SECURITY_CARVEOUT13_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT13_BOM_HI_0_MC_SECURITY_CARVEOUT13_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT13_BOM_HI_0_MC_SECURITY_CARVEOUT13_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT13_BOM_HI_0_MC_SECURITY_CARVEOUT13_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT13_BOM_HI_0_MC_SECURITY_CARVEOUT13_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_BOM_HI_0_MC_SECURITY_CARVEOUT13_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_BOM_HI_0_MC_SECURITY_CARVEOUT13_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT13_BOM_HI_0_MC_SECURITY_CARVEOUT13_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_BOM_HI_0_MC_SECURITY_CARVEOUT13_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_BOM_HI_0_MC_SECURITY_CARVEOUT13_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_BOM_HI_0_MC_SECURITY_CARVEOUT13_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x254c)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT22_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0                   _MK_ADDR_CONST(0x2118)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                       0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                         _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_PTCR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_PTCR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_PTCR_RANGE                       0:0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_PTCR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_PTCR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_PTCR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_PTCR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_PTCR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_PTCR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_PTCR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7R_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7R_RANGE                      1:1
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7W_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7W_RANGE                      2:2
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_MIU7W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HDAR_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HDAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HDAR_RANGE                       21:21
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HDAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HDAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HDAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HDAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HDAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HDAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HDAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HOST1XDMAR_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HOST1XDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HOST1XDMAR_RANGE                 22:22
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HOST1XDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_HOST1XDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD_RANGE                   28:28
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_NVENCSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_SATAR_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_SATAR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_SATAR_RANGE                      31:31
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_SATAR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_SATAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_SATAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_SATAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_SATAR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_SATAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT9_FORCE_INTERNAL_SATAR_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x26f8)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0_CARVEOUT28_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x2388)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0_CARVEOUT17_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT21_CFG0_0
#define MC_SECURITY_CARVEOUT21_CFG0_0                   _MK_ADDR_CONST(0x24b0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT21_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT21_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT21_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT21_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT21_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT21_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CFG0_0_MC_SECURITY_CARVEOUT21_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT12_BOM_0
#define MC_SECURITY_CARVEOUT12_BOM_0                    _MK_ADDR_CONST(0x21e4)
#define MC_SECURITY_CARVEOUT12_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT12_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT12_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT12_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT12_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT12_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT12_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT12_BOM_0_MC_SECURITY_CARVEOUT12_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT12_BOM_0_MC_SECURITY_CARVEOUT12_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT12_BOM_0_MC_SECURITY_CARVEOUT12_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT12_BOM_0_MC_SECURITY_CARVEOUT12_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT12_BOM_0_MC_SECURITY_CARVEOUT12_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT12_BOM_0_MC_SECURITY_CARVEOUT12_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_BOM_0_MC_SECURITY_CARVEOUT12_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT12_BOM_0_MC_SECURITY_CARVEOUT12_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_BOM_0_MC_SECURITY_CARVEOUT12_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_BOM_0_MC_SECURITY_CARVEOUT12_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_BOM_0_MC_SECURITY_CARVEOUT12_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0                 _MK_ADDR_CONST(0x26a0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_SCR                     0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0_CARVEOUT27_ALLOW_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0                  _MK_ADDR_CONST(0x2024)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_APEDMAW_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_APEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_APEDMAW_RANGE                    0:0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_APEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_APEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_APEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_APEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_APEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_APEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_APEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_APEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_APEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_APEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDISPLAYR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDISPLAYR1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDISPLAYR1_RANGE                        1:1
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDISPLAYR1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDISPLAYR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDISPLAYR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDISPLAYR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDISPLAYR1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDISPLAYR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDISPLAYR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VICSRD1_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VICSRD1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VICSRD1_RANGE                    2:2
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VICSRD1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VICSRD1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VICSRD1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VICSRD1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VICSRD1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VICSRD1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VICSRD1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VICSRD1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VICSRD1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VICSRD1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDECSRD1_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDECSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDECSRD1_RANGE                  3:3
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDECSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDECSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDECSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDECSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDECSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDECSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDECSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVDECSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0R_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0R_RANGE                      6:6
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0W_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0W_RANGE                      7:7
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1R_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1R_RANGE                      8:8
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1W_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1W_RANGE                      9:9
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2R_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2R_RANGE                      14:14
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2W_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2W_RANGE                      15:15
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3R_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3R_RANGE                      16:16
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3W_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3W_RANGE                      17:17
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4R_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4R_RANGE                      18:18
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4W_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4W_RANGE                      19:19
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_MIU4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUR_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUR_RANGE                      20:20
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUW_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUW_RANGE                      21:21
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DPMUW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0R_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0R_RANGE                      22:22
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0W_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0W_RANGE                      23:23
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL0W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1R_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1R_RANGE                      24:24
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1W_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1W_RANGE                      25:25
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL1W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2R_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2R_RANGE                      26:26
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2W_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2W_RANGE                      27:27
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_NVL2W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALR_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALR_RANGE                     28:28
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALW_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALW_RANGE                     29:29
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_VIFALW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0RDA_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0RDA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0RDA_RANGE                    30:30
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0RDA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0RDA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0RDA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0RDA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0RDA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0RDA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0RDA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0RDA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0RDA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0FALRDB_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0FALRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0FALRDB_RANGE                 31:31
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0FALRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0FALRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0FALRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0FALRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0FALRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0FALRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0FALRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0_CARVEOUT6_ALLOW_DLA0FALRDB_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x26c8)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT27_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x23a4)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT17_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x27e4)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0_CARVEOUT31_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x2298)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0_CARVEOUT14_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT10_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0                     _MK_ADDR_CONST(0x214c)
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_SIZE_128KB_0_MC_SECURITY_CARVEOUT10_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x2518)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0_CARVEOUT22_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x2278)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT13_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x259c)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT23_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0                   _MK_ADDR_CONST(0x2038)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                       0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                         _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESRD_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESRD_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESRD_RANGE                      0:0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESRD_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESRD_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESRD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESRD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESRD_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESRD_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESRD_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESWR_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESWR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESWR_RANGE                      1:1
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESWR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESWR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESWR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESWR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESWR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESWR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SESWR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPW_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPW_RANGE                     3:3
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXIAPW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRR_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRR_RANGE                       4:4
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRW_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRW_RANGE                       5:5
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_ETRW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSRDB_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSRDB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSRDB_RANGE                   6:6
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSRDB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSRDB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSRDB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSRDB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSWRB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSWRB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSWRB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSWRB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSWRB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSWRB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_TSECSWRB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISR_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISR_RANGE                      12:12
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISW_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISW_RANGE                      13:13
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AXISW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSR_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSR_RANGE                      14:14
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSW_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSW_RANGE                      15:15
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_EQOSW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCR_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCR_RANGE                     16:16
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCW_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCW_RANGE                     17:17
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_UFSHCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR_RANGE                 18:18
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_NVDISPLAYR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPR_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPR_RANGE                      19:19
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPR_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPW_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPW_RANGE                      20:20
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAR_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAR_RANGE                   21:21
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAW_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAW_RANGE                   22:22
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_BPMPDMAW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONR_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONR_RANGE                       23:23
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONW_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONW_RANGE                       24:24
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAR_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAR_RANGE                    25:25
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAW_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAW_RANGE                    26:26
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_AONDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCER_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCER_RANGE                       27:27
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEW_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEW_RANGE                       28:28
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAR_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAR_RANGE                    29:29
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAW_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAW_RANGE                    30:30
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_SCEDMAW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_APEDMAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_APEDMAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_APEDMAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_APEDMAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_APEDMAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_APEDMAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_APEDMAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT6_FORCE_INTERNAL_APEDMAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x24a4)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0_CARVEOUT20_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0                  _MK_ADDR_CONST(0x2100)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_PTCR_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_PTCR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_PTCR_RANGE                       0:0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_PTCR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_PTCR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_PTCR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_PTCR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_PTCR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_PTCR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_PTCR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_PTCR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_PTCR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_PTCR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7R_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7R_RANGE                      1:1
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7W_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7W_RANGE                      2:2
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_MIU7W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HDAR_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HDAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HDAR_RANGE                       21:21
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HDAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HDAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HDAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HDAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HDAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HDAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HDAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HDAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HDAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HDAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HOST1XDMAR_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HOST1XDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HOST1XDMAR_RANGE                 22:22
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HOST1XDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HOST1XDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HOST1XDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HOST1XDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HOST1XDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HOST1XDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HOST1XDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HOST1XDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HOST1XDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_HOST1XDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_NVENCSRD_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_NVENCSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_NVENCSRD_RANGE                   28:28
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_NVENCSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_NVENCSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_NVENCSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_NVENCSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_NVENCSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_NVENCSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_NVENCSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_NVENCSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_NVENCSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_NVENCSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_SATAR_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_SATAR_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_SATAR_RANGE                      31:31
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_SATAR_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_SATAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_SATAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_SATAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_SATAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_SATAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_SATAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_SATAR_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_SATAR_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0_CARVEOUT9_ALLOW_SATAR_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0                  _MK_ADDR_CONST(0x23bc)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT17_FORCE_INTERNAL_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x2814)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0_CARVEOUT31_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x2804)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT31_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x2590)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0_CARVEOUT23_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x2578)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT23_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT22_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0                     _MK_ADDR_CONST(0x250c)
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_SIZE_128KB_0_MC_SECURITY_CARVEOUT22_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x25d8)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT24_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0                 _MK_ADDR_CONST(0x26a4)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_SCR                     0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0_CARVEOUT27_ALLOW_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0                  _MK_ADDR_CONST(0x2094)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4R_RANGE                     0:0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4W_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4W_RANGE                     1:1
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE4W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R_RANGE                     2:2
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5W_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5W_RANGE                     3:3
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPFALW_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPFALW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPFALW_RANGE                    4:4
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPFALW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPFALW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPFALW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPFALW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPFALW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPFALW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPFALW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPFALW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPFALW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPFALW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3R_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3R_RANGE                      5:5
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3W_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3W_RANGE                      6:6
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4R_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4R_RANGE                      7:7
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4W_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4W_RANGE                      8:8
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA0RDA1_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA0RDA1_RANGE                   9:9
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA1RDA1_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA1RDA1_RANGE                   10:10
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_DLA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDA1_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDA1_RANGE                   11:11
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDB1_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDB1_RANGE                   12:12
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA0RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDA1_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDA1_RANGE                   13:13
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDB1_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDB1_RANGE                   14:14
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PVA1RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R1_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R1_RANGE                    15:15
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE5R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENCSRD1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENCSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENCSRD1_RANGE                  16:16
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENCSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENCSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENCSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENCSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENCSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENCSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENCSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENCSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENC1SRD1_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENC1SRD1_RANGE                 17:17
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVENC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPRA1_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPRA1_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPRA1_RANGE                     18:18
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPRA1_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPRA1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPRA1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPRA1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPRA1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPRA1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPRA1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPRA1_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPRA1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_ISPRA1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE0R1_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE0R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE0R1_RANGE                    19:19
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE0R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE0R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE0R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE0R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE0R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE0R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE0R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE0R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_PCIE0R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL0RHP_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL0RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL0RHP_RANGE                    20:20
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL0RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL0RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL0RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL0RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL0RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL0RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL0RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL0RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL0RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL1RHP_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL1RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL1RHP_RANGE                    21:21
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL1RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL1RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL1RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL1RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL1RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL1RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL1RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL1RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL1RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL2RHP_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL2RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL2RHP_RANGE                    22:22
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL2RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL2RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL2RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL2RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL2RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL2RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL2RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL2RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL2RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3RHP_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3RHP_RANGE                    23:23
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL3RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4RHP_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4RHP_RANGE                    24:24
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVL4RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD_RANGE                  25:25
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD1_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD1_RANGE                 26:26
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SWR_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SWR_RANGE                  27:27
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_NVDEC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5R_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5R_RANGE                      28:28
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5W_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5W_RANGE                      29:29
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU5W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6R_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6R_RANGE                      30:30
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6W_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6W_RANGE                      31:31
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0_CARVEOUT7_ALLOW_MIU6W_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0                 _MK_ADDR_CONST(0x2158)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_SCR                     0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0_CARVEOUT10_ALLOW_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x27f8)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT31_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0                  _MK_ADDR_CONST(0x2068)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPRA_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPRA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPRA_RANGE                      4:4
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPRA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPRA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPRA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPRA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPRA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPRA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPRA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPRA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPRA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPRA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPFALR_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPFALR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPFALR_RANGE                    5:5
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPFALR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPFALR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPFALR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPFALR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPFALR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPFALR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPFALR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPFALR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPFALR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPFALR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWA_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWA_RANGE                      6:6
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWB_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWB_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWB_RANGE                      7:7
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWB_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWB_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_ISPWB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTR_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTR_RANGE                 10:10
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTW_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTW_RANGE                 11:11
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_HOSTW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVR_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVR_RANGE                  12:12
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVW_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVW_RANGE                  13:13
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_XUSB_DEVW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSRD_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSRD_RANGE                    20:20
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSWR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSWR_RANGE                    21:21
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0_CARVEOUT7_ALLOW_TSECSWR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x2574)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0_CARVEOUT23_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0                   _MK_ADDR_CONST(0x204c)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_SCR                       0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4R_RANGE                     0:0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4W_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4W_RANGE                     1:1
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE4W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R_RANGE                     2:2
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5W_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5W_RANGE                     3:3
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPFALW_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPFALW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPFALW_RANGE                    4:4
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPFALW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPFALW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPFALW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPFALW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPFALW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPFALW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPFALW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPFALW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPFALW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPFALW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3R_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3R_RANGE                      5:5
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3W_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3W_RANGE                      6:6
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4R_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4R_RANGE                      7:7
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4W_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4W_RANGE                      8:8
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA1_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA1_RANGE                   9:9
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA1_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA1_RANGE                   10:10
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_DLA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA1_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA1_RANGE                   11:11
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB1_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB1_RANGE                   12:12
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA0RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA1_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA1_RANGE                   13:13
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB1_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB1_RANGE                   14:14
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PVA1RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R1_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R1_RANGE                    15:15
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE5R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD1_RANGE                  16:16
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENCSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD1_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD1_RANGE                 17:17
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVENC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPRA1_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPRA1_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPRA1_RANGE                     18:18
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPRA1_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPRA1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPRA1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPRA1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPRA1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPRA1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPRA1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPRA1_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPRA1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_ISPRA1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R1_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R1_RANGE                    19:19
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_PCIE0R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL0RHP_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL0RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL0RHP_RANGE                    20:20
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL0RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL0RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL0RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL0RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL0RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL0RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL0RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL0RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL0RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL1RHP_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL1RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL1RHP_RANGE                    21:21
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL1RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL1RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL1RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL1RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL1RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL1RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL1RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL1RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL1RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL2RHP_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL2RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL2RHP_RANGE                    22:22
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL2RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL2RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL2RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL2RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL2RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL2RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL2RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL2RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL2RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3RHP_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3RHP_RANGE                    23:23
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL3RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4RHP_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4RHP_RANGE                    24:24
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVL4RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD_RANGE                  25:25
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD1_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD1_RANGE                 26:26
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SWR_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SWR_RANGE                  27:27
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_NVDEC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5R_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5R_RANGE                      28:28
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5W_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5W_RANGE                      29:29
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU5W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6R_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6R_RANGE                      30:30
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6W_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6W_RANGE                      31:31
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0_CARVEOUT6_FORCE_INTERNAL_MIU6W_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x2704)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0_CARVEOUT28_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0                   _MK_ADDR_CONST(0x2080)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                       0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                         _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPRA_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPRA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPRA_RANGE                      4:4
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPRA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPRA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPRA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPRA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPRA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPRA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPFALR_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPFALR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPFALR_RANGE                    5:5
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPFALR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPFALR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPFALR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPFALR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPFALR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWA_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWA_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWA_RANGE                      6:6
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWA_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWA_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWA_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWA_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWA_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWB_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWB_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWB_RANGE                      7:7
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWB_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWB_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWB_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWB_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_ISPWB_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTR_RANGE                 10:10
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTW_RANGE                 11:11
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVR_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVR_RANGE                  12:12
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVW_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVW_RANGE                  13:13
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_XUSB_DEVW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSRD_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSRD_RANGE                    20:20
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSWR_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSWR_RANGE                    21:21
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT7_FORCE_INTERNAL_TSECSWR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT11_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0                     _MK_ADDR_CONST(0x219c)
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT11_SIZE_128KB_0_MC_SECURITY_CARVEOUT11_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x27fc)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT31_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0                  _MK_ADDR_CONST(0x20e4)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_SCR                      0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4R_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4R_RANGE                     0:0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4W_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4W_RANGE                     1:1
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE4W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R_RANGE                     2:2
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5W_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5W_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5W_RANGE                     3:3
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5W_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5W_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5W_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5W_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5W_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5W_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5W_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5W_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5W_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5W_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPFALW_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPFALW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPFALW_RANGE                    4:4
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPFALW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPFALW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPFALW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPFALW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPFALW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPFALW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPFALW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPFALW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPFALW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPFALW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3R_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3R_RANGE                      5:5
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3W_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3W_RANGE                      6:6
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4R_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4R_RANGE                      7:7
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4W_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4W_RANGE                      8:8
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA0RDA1_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA0RDA1_RANGE                   9:9
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA1RDA1_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA1RDA1_RANGE                   10:10
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_DLA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDA1_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDA1_RANGE                   11:11
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDB1_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDB1_RANGE                   12:12
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA0RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDA1_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDA1_RANGE                   13:13
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDB1_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDB1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDB1_RANGE                   14:14
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDB1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDB1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDB1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDB1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDB1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDB1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDB1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PVA1RDB1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R1_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R1_RANGE                    15:15
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE5R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENCSRD1_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENCSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENCSRD1_RANGE                  16:16
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENCSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENCSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENCSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENCSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENCSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENCSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENCSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENCSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENC1SRD1_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENC1SRD1_RANGE                 17:17
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVENC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPRA1_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPRA1_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPRA1_RANGE                     18:18
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPRA1_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPRA1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPRA1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPRA1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPRA1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPRA1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPRA1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPRA1_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPRA1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_ISPRA1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE0R1_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE0R1_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE0R1_RANGE                    19:19
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE0R1_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE0R1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE0R1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE0R1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE0R1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE0R1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE0R1_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE0R1_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_PCIE0R1_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL0RHP_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL0RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL0RHP_RANGE                    20:20
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL0RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL0RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL0RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL0RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL0RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL0RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL0RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL0RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL0RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL1RHP_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL1RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL1RHP_RANGE                    21:21
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL1RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL1RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL1RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL1RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL1RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL1RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL1RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL1RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL1RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL2RHP_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL2RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL2RHP_RANGE                    22:22
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL2RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL2RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL2RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL2RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL2RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL2RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL2RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL2RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL2RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3RHP_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3RHP_RANGE                    23:23
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL3RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4RHP_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4RHP_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4RHP_RANGE                    24:24
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4RHP_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4RHP_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4RHP_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4RHP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4RHP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4RHP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4RHP_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4RHP_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVL4RHP_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD_RANGE                  25:25
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD1_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD1_RANGE                 26:26
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SRD1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SWR_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SWR_RANGE                  27:27
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_NVDEC1SWR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5R_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5R_RANGE                      28:28
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5W_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5W_RANGE                      29:29
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU5W_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6R_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6R_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6R_RANGE                      30:30
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6R_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6R_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6R_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6R_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6R_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6R_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6W_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6W_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6W_RANGE                      31:31
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6W_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6W_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6W_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6W_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6W_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6W_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6W_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6W_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0_CARVEOUT8_ALLOW_MIU6W_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT25_BOM_HI_0
#define MC_SECURITY_CARVEOUT25_BOM_HI_0                 _MK_ADDR_CONST(0x25f8)
#define MC_SECURITY_CARVEOUT25_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT25_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT25_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT25_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT25_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT25_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT25_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT25_BOM_HI_0_MC_SECURITY_CARVEOUT25_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT25_BOM_HI_0_MC_SECURITY_CARVEOUT25_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT25_BOM_HI_0_MC_SECURITY_CARVEOUT25_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT25_BOM_HI_0_MC_SECURITY_CARVEOUT25_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT25_BOM_HI_0_MC_SECURITY_CARVEOUT25_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_BOM_HI_0_MC_SECURITY_CARVEOUT25_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_BOM_HI_0_MC_SECURITY_CARVEOUT25_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT25_BOM_HI_0_MC_SECURITY_CARVEOUT25_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_BOM_HI_0_MC_SECURITY_CARVEOUT25_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_BOM_HI_0_MC_SECURITY_CARVEOUT25_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_BOM_HI_0_MC_SECURITY_CARVEOUT25_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x2360)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0_CARVEOUT16_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT31_BOM_HI_0
#define MC_SECURITY_CARVEOUT31_BOM_HI_0                 _MK_ADDR_CONST(0x27d8)
#define MC_SECURITY_CARVEOUT31_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT31_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT31_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT31_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT31_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT31_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT31_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT31_BOM_HI_0_MC_SECURITY_CARVEOUT31_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT31_BOM_HI_0_MC_SECURITY_CARVEOUT31_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT31_BOM_HI_0_MC_SECURITY_CARVEOUT31_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT31_BOM_HI_0_MC_SECURITY_CARVEOUT31_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT31_BOM_HI_0_MC_SECURITY_CARVEOUT31_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT31_BOM_HI_0_MC_SECURITY_CARVEOUT31_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_BOM_HI_0_MC_SECURITY_CARVEOUT31_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT31_BOM_HI_0_MC_SECURITY_CARVEOUT31_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_BOM_HI_0_MC_SECURITY_CARVEOUT31_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_BOM_HI_0_MC_SECURITY_CARVEOUT31_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT31_BOM_HI_0_MC_SECURITY_CARVEOUT31_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x23ec)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT18_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT16_BOM_HI_0
#define MC_SECURITY_CARVEOUT16_BOM_HI_0                 _MK_ADDR_CONST(0x2328)
#define MC_SECURITY_CARVEOUT16_BOM_HI_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT16_BOM_HI_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT16_BOM_HI_0_SCR                     0
#define MC_SECURITY_CARVEOUT16_BOM_HI_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT16_BOM_HI_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_BOM_HI_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT16_BOM_HI_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_BOM_HI_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_BOM_HI_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT16_BOM_HI_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT16_BOM_HI_0_MC_SECURITY_CARVEOUT16_BOM_HI_RANGE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT16_BOM_HI_0_MC_SECURITY_CARVEOUT16_BOM_HI_RANGE_FIELD                       _MK_FIELD_CONST(0xff, MC_SECURITY_CARVEOUT16_BOM_HI_0_MC_SECURITY_CARVEOUT16_BOM_HI_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT16_BOM_HI_0_MC_SECURITY_CARVEOUT16_BOM_HI_RANGE_RANGE                       7:0
#define MC_SECURITY_CARVEOUT16_BOM_HI_0_MC_SECURITY_CARVEOUT16_BOM_HI_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT16_BOM_HI_0_MC_SECURITY_CARVEOUT16_BOM_HI_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_BOM_HI_0_MC_SECURITY_CARVEOUT16_BOM_HI_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_SECURITY_CARVEOUT16_BOM_HI_0_MC_SECURITY_CARVEOUT16_BOM_HI_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_BOM_HI_0_MC_SECURITY_CARVEOUT16_BOM_HI_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_BOM_HI_0_MC_SECURITY_CARVEOUT16_BOM_HI_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT16_BOM_HI_0_MC_SECURITY_CARVEOUT16_BOM_HI_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT20_CFG0_0
#define MC_SECURITY_CARVEOUT20_CFG0_0                   _MK_ADDR_CONST(0x2460)
#define MC_SECURITY_CARVEOUT20_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT20_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT20_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT20_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT20_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT20_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT20_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CFG0_0_MC_SECURITY_CARVEOUT20_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x2494)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT20_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x24dc)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT21_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0                  _MK_ADDR_CONST(0x22a8)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_SCR                      0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_RESET_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_READ_MASK                        _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_WRITE_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_PTCR_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_PTCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_PTCR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_PTCR_RANGE                     0:0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_PTCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_PTCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_PTCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_PTCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_PTCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_PTCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_PTCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_PTCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_PTCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_PTCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7R_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7R_RANGE                    1:1
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7W_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7W_RANGE                    2:2
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_MIU7W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HDAR_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HDAR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HDAR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HDAR_RANGE                     21:21
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HDAR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HDAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HDAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HDAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HDAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HDAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HDAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HDAR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HDAR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HDAR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HOST1XDMAR_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HOST1XDMAR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HOST1XDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HOST1XDMAR_RANGE                       22:22
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HOST1XDMAR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HOST1XDMAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HOST1XDMAR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HOST1XDMAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HOST1XDMAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HOST1XDMAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HOST1XDMAR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HOST1XDMAR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_HOST1XDMAR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD_RANGE                 28:28
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_NVENCSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_SATAR_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_SATAR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_SATAR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_SATAR_RANGE                    31:31
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_SATAR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_SATAR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_SATAR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_SATAR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_SATAR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_SATAR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_SATAR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_SATAR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_SATAR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0_CARVEOUT14_FORCE_INTERNAL_SATAR_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0                  _MK_ADDR_CONST(0x23a8)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_SCR                      0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_RESET_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_READ_MASK                        _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0_CARVEOUT17_FORCE_INTERNAL_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0                  _MK_ADDR_CONST(0x2620)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_SCR                      0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_RESET_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_READ_MASK                        _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_WRITE_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPRA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPRA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPRA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPFALR_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPFALR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPFALR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPFALR_RANGE                  5:5
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPFALR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPFALR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPFALR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPFALR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPFALR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPFALR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPFALR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPFALR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPFALR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPFALR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWA_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWA_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWA_RANGE                    6:6
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWB_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWB_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWB_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWB_RANGE                    7:7
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWB_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWB_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWB_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWB_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWB_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWB_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_ISPWB_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTR_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTR_RANGE                       10:10
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTW_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTW_RANGE                       11:11
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_HOSTW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVR_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVR_RANGE                        12:12
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVW_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVW_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVW_RANGE                        13:13
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_XUSB_DEVW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSRD_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSRD_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSRD_RANGE                  20:20
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSRD_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSRD_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSRD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSRD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSRD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSRD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSRD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSRD_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSRD_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSRD_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSWR_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSWR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSWR_RANGE                  21:21
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSWR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSWR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSWR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSWR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSWR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSWR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSWR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSWR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSWR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0_CARVEOUT25_FORCE_INTERNAL_TSECSWR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT25_CFG0_0
#define MC_SECURITY_CARVEOUT25_CFG0_0                   _MK_ADDR_CONST(0x25f0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT25_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT25_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT25_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT25_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT25_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT25_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT25_CFG0_0_MC_SECURITY_CARVEOUT25_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0                  _MK_ADDR_CONST(0x20bc)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRA_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRA_RANGE                    0:0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCR_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCR_RANGE                     2:2
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRAB_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRAB_RANGE                   3:3
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCRAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWA_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWA_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWA_RANGE                    4:4
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWA_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWA_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWA_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWA_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWA_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCW_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCW_RANGE                     6:6
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWAB_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWAB_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWAB_RANGE                   7:7
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWAB_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWAB_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWAB_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWAB_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWAB_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWAB_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWAB_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWAB_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWAB_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_SDMMCWAB_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSRD_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSRD_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSRD_RANGE                     12:12
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSRD_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSRD_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSRD_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSRD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSRD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSRD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSRD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSRD_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSRD_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSRD_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSWR_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSWR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSWR_RANGE                     13:13
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSWR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSWR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSWR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSWR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSWR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSWR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSWR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSWR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSWR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VICSWR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VIW_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VIW_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VIW_RANGE                        18:18
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VIW_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VIW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VIW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VIW_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VIW_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VIW_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VIW_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VIW_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VIW_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_VIW_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSRD_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSRD_RANGE                   24:24
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSWR_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSWR_RANGE                   25:25
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVDECSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APER_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APER_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APER_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APER_RANGE                       26:26
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APER_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APER_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APER_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APER_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APER_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APER_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APER_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APER_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APER_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APER_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APEW_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APEW_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APEW_RANGE                       27:27
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APEW_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APEW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APEW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APEW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APEW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APEW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APEW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APEW_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APEW_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_APEW_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSRD_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSRD_RANGE                   30:30
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSWR_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSWR_RANGE                   31:31
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0_CARVEOUT8_ALLOW_NVJPGSWR_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0                  _MK_ADDR_CONST(0x2264)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_SCR                      0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_RESET_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_READ_MASK                        _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_WRITE_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRAB_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRAB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRAB_RANGE                 3:3
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCRAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWA_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCW_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCW_RANGE                   6:6
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWAB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWAB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWAB_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWAB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWAB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWAB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWAB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWAB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWAB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWAB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWAB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWAB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_SDMMCWAB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSRD_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSRD_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSRD_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSRD_RANGE                   12:12
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSRD_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSRD_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSRD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSRD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSRD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSRD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSRD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSRD_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSRD_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSRD_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSWR_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSWR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSWR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSWR_RANGE                   13:13
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSWR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSWR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSWR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSWR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSWR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSWR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSWR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSWR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSWR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VICSWR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VIW_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VIW_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VIW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VIW_RANGE                      18:18
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VIW_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VIW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VIW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VIW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VIW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VIW_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VIW_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VIW_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VIW_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_VIW_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD_RANGE                 24:24
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSWR_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSWR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSWR_RANGE                 25:25
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVDECSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APER_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APER_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APER_RANGE                     26:26
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APEW_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APEW_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APEW_RANGE                     27:27
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_APEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSRD_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSRD_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSRD_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSRD_RANGE                 30:30
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSRD_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSRD_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSRD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSRD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSRD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSRD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSRD_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSRD_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSRD_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSWR_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSWR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSWR_RANGE                 31:31
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0_CARVEOUT13_FORCE_INTERNAL_NVJPGSWR_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x216c)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT10_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT14_CFG0_0
#define MC_SECURITY_CARVEOUT14_CFG0_0                   _MK_ADDR_CONST(0x2280)
#define MC_SECURITY_CARVEOUT14_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT14_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT14_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT14_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT14_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT14_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT14_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CFG0_0_MC_SECURITY_CARVEOUT14_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT8_BOM_0
#define MC_SECURITY_CARVEOUT8_BOM_0                     _MK_ADDR_CONST(0x20a4)
#define MC_SECURITY_CARVEOUT8_BOM_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT8_BOM_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT8_BOM_0_SCR                         0
#define MC_SECURITY_CARVEOUT8_BOM_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT8_BOM_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_BOM_0_RESET_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT8_BOM_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_BOM_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_BOM_0_READ_MASK                   _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT8_BOM_0_WRITE_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT8_BOM_0_MC_SECURITY_CARVEOUT8_BOM_RANGE_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT8_BOM_0_MC_SECURITY_CARVEOUT8_BOM_RANGE_FIELD                       _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT8_BOM_0_MC_SECURITY_CARVEOUT8_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT8_BOM_0_MC_SECURITY_CARVEOUT8_BOM_RANGE_RANGE                       31:12
#define MC_SECURITY_CARVEOUT8_BOM_0_MC_SECURITY_CARVEOUT8_BOM_RANGE_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT8_BOM_0_MC_SECURITY_CARVEOUT8_BOM_RANGE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_BOM_0_MC_SECURITY_CARVEOUT8_BOM_RANGE_DEFAULT_MASK                        _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT8_BOM_0_MC_SECURITY_CARVEOUT8_BOM_RANGE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_BOM_0_MC_SECURITY_CARVEOUT8_BOM_RANGE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_BOM_0_MC_SECURITY_CARVEOUT8_BOM_RANGE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT8_BOM_0_MC_SECURITY_CARVEOUT8_BOM_RANGE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT22_CFG0_0
#define MC_SECURITY_CARVEOUT22_CFG0_0                   _MK_ADDR_CONST(0x2500)
#define MC_SECURITY_CARVEOUT22_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT22_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT22_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT22_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT22_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT22_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT22_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CFG0_0_MC_SECURITY_CARVEOUT22_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0                 _MK_ADDR_CONST(0x2750)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_SCR                     0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESRD_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESRD_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESRD_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESRD_RANGE                    0:0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESRD_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESRD_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESRD_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESRD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESRD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESRD_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESRD_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESRD_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESRD_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESRD_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESWR_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESWR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESWR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESWR_RANGE                    1:1
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESWR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESWR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESWR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESWR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESWR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESWR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESWR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESWR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESWR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SESWR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPR_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPR_RANGE                   2:2
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPW_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPW_RANGE                   3:3
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXIAPW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRR_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRR_RANGE                     4:4
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRW_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRW_RANGE                     5:5
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_ETRW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSRDB_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSRDB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSRDB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSRDB_RANGE                 6:6
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSRDB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSRDB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSRDB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSRDB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSRDB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSRDB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSRDB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSRDB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSRDB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSRDB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSWRB_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSWRB_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSWRB_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSWRB_RANGE                 7:7
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSWRB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSWRB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSWRB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSWRB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSWRB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSWRB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSWRB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSWRB_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSWRB_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_TSECSWRB_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISR_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISR_RANGE                    12:12
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISW_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISW_RANGE                    13:13
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AXISW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSR_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSR_RANGE                    14:14
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSW_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSW_RANGE                    15:15
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_EQOSW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCR_RANGE                   16:16
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCW_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCW_RANGE                   17:17
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_UFSHCW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_NVDISPLAYR_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_NVDISPLAYR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_NVDISPLAYR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_NVDISPLAYR_RANGE                       18:18
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_NVDISPLAYR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_NVDISPLAYR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_NVDISPLAYR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_NVDISPLAYR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_NVDISPLAYR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_NVDISPLAYR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_NVDISPLAYR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_NVDISPLAYR_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_NVDISPLAYR_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_NVDISPLAYR_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPR_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPR_RANGE                    19:19
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPW_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPW_RANGE                    20:20
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAR_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAR_RANGE                 21:21
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAW_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAW_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAW_RANGE                 22:22
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAW_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAW_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAW_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAW_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAW_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_BPMPDMAW_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONR_SHIFT                     _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONR_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONR_RANGE                     23:23
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONR_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONR_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONR_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONR_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONR_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONW_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONW_RANGE                     24:24
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAR_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAR_RANGE                  25:25
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAW_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAW_RANGE                  26:26
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_AONDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCER_SHIFT                     _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCER_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCER_RANGE                     27:27
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEW_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEW_RANGE                     28:28
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAR_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAR_RANGE                  29:29
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAW_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAW_RANGE                  30:30
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_SCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_APEDMAR_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_APEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_APEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_APEDMAR_RANGE                  31:31
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_APEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_APEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_APEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_APEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_APEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_APEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_APEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_APEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_APEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0_CARVEOUT29_ALLOW_APEDMAR_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT26_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0                     _MK_ADDR_CONST(0x264c)
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_SIZE_128KB_0_MC_SECURITY_CARVEOUT26_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT13_CFG0_0
#define MC_SECURITY_CARVEOUT13_CFG0_0                   _MK_ADDR_CONST(0x2230)
#define MC_SECURITY_CARVEOUT13_CFG0_0_SECURE                    0x0
#define MC_SECURITY_CARVEOUT13_CFG0_0_DUAL                      0x0
#define MC_SECURITY_CARVEOUT13_CFG0_0_SCR                       0
#define MC_SECURITY_CARVEOUT13_CFG0_0_WORD_COUNT                        0x1
#define MC_SECURITY_CARVEOUT13_CFG0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_RESET_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT13_CFG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_READ_MASK                         _MK_MASK_CONST(0xbfffffff)
#define MC_SECURITY_CARVEOUT13_CFG0_0_WRITE_MASK                        _MK_MASK_CONST(0xb7ffffff)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_PROTECT_MODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_PROTECT_MODE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_PROTECT_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_PROTECT_MODE_RANGE                 0:0
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_PROTECT_MODE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_PROTECT_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_PROTECT_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_PROTECT_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_PROTECT_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_PROTECT_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_PROTECT_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_PROTECT_MODE_INIT_ENUM                     LOCKBIT_SECURE
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_PROTECT_MODE_LOCKBIT_SECURE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_PROTECT_MODE_TZ_SECURE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_LOCK_MODE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_LOCK_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_LOCK_MODE_SHIFT)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_LOCK_MODE_RANGE                    1:1
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_LOCK_MODE_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_LOCK_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_LOCK_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_LOCK_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_LOCK_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_LOCK_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_LOCK_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_LOCK_MODE_INIT_ENUM                        UNLOCKED
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_LOCK_MODE_UNLOCKED                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_LOCK_MODE_LOCKED                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ADDRESS_TYPE_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ADDRESS_TYPE_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ADDRESS_TYPE_SHIFT)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ADDRESS_TYPE_RANGE                 2:2
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ADDRESS_TYPE_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ADDRESS_TYPE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ADDRESS_TYPE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ADDRESS_TYPE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ADDRESS_TYPE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ADDRESS_TYPE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ADDRESS_TYPE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ADDRESS_TYPE_INIT_ENUM                     ANY_ADDRESS
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ADDRESS_TYPE_ANY_ADDRESS                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ADDRESS_TYPE_UNTRANSLATED_ONLY                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_READ_ACCESS_LEVEL_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_READ_ACCESS_LEVEL_FIELD                    _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_READ_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_READ_ACCESS_LEVEL_RANGE                    6:3
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_READ_ACCESS_LEVEL_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_READ_ACCESS_LEVEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_READ_ACCESS_LEVEL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_READ_ACCESS_LEVEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_READ_ACCESS_LEVEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_READ_ACCESS_LEVEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_READ_ACCESS_LEVEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_WRITE_ACCESS_LEVEL_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_WRITE_ACCESS_LEVEL_FIELD                   _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_WRITE_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_WRITE_ACCESS_LEVEL_RANGE                   10:7
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_WRITE_ACCESS_LEVEL_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_WRITE_ACCESS_LEVEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_WRITE_ACCESS_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_WRITE_ACCESS_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_WRITE_ACCESS_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_WRITE_ACCESS_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_WRITE_ACCESS_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_FIELD                  _MK_FIELD_CONST(0x7, MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_SHIFT)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_RANGE                  13:11
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_READ_CHECK_ACCESS_LEVEL_FIELD                      _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_READ_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_READ_CHECK_ACCESS_LEVEL_RANGE                      17:14
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_READ_CHECK_ACCESS_LEVEL_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_READ_CHECK_ACCESS_LEVEL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_READ_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_READ_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_READ_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_WRITE_CHECK_ACCESS_LEVEL_FIELD                     _MK_FIELD_CONST(0xf, MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SHIFT)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_WRITE_CHECK_ACCESS_LEVEL_RANGE                     21:18
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_WRITE_CHECK_ACCESS_LEVEL_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_WRITE_CHECK_ACCESS_LEVEL_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_WRITE_CHECK_ACCESS_LEVEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_DISABLE_WRITE_CHECK_ACCESS_LEVEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_SEND_CFG_TO_GPU_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_SEND_CFG_TO_GPU_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_SEND_CFG_TO_GPU_SHIFT)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_SEND_CFG_TO_GPU_RANGE                      22:22
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_SEND_CFG_TO_GPU_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_SEND_CFG_TO_GPU_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_SEND_CFG_TO_GPU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_SEND_CFG_TO_GPU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_SEND_CFG_TO_GPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_SEND_CFG_TO_GPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_SEND_CFG_TO_GPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_SEND_CFG_TO_GPU_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_SEND_CFG_TO_GPU_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_SEND_CFG_TO_GPU_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_WR_EN_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_WR_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_WR_EN_SHIFT)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_WR_EN_RANGE                      23:23
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_WR_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_WR_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_WR_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_WR_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_WR_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_WR_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_WR_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_WR_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_WR_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_WR_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_RD_EN_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_RD_EN_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_RD_EN_SHIFT)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_RD_EN_RANGE                      24:24
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_RD_EN_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_RD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_RD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_RD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_RD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_RD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_RD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_RD_EN_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_RD_EN_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_TZ_GLOBAL_RD_EN_BYPASS_CHECK                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ALLOW_APERTURE_ID_MISMATCH_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ALLOW_APERTURE_ID_MISMATCH_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ALLOW_APERTURE_ID_MISMATCH_SHIFT)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ALLOW_APERTURE_ID_MISMATCH_RANGE                   25:25
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ALLOW_APERTURE_ID_MISMATCH_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ALLOW_APERTURE_ID_MISMATCH_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ALLOW_APERTURE_ID_MISMATCH_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ALLOW_APERTURE_ID_MISMATCH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ALLOW_APERTURE_ID_MISMATCH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ALLOW_APERTURE_ID_MISMATCH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ALLOW_APERTURE_ID_MISMATCH_INIT_ENUM                       DISABLED
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ALLOW_APERTURE_ID_MISMATCH_DISABLED                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_ALLOW_APERTURE_ID_MISMATCH_ENABLED                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_FORCE_APERTURE_ID_MATCH_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_FORCE_APERTURE_ID_MATCH_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_FORCE_APERTURE_ID_MATCH_SHIFT)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_FORCE_APERTURE_ID_MATCH_RANGE                      26:26
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_FORCE_APERTURE_ID_MATCH_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_FORCE_APERTURE_ID_MATCH_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_FORCE_APERTURE_ID_MATCH_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_FORCE_APERTURE_ID_MATCH_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_FORCE_APERTURE_ID_MATCH_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_FORCE_APERTURE_ID_MATCH_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_FORCE_APERTURE_ID_MATCH_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_FORCE_APERTURE_ID_MATCH_INIT_ENUM                  DISABLED
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_FORCE_APERTURE_ID_MATCH_DISABLED                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_FORCE_APERTURE_ID_MATCH_ENABLED                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_IS_WPR_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_IS_WPR_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_IS_WPR_SHIFT)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_IS_WPR_RANGE                       27:27
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_IS_WPR_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_IS_WPR_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_IS_WPR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_IS_WPR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_IS_WPR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_IS_WPR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_IS_WPR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_IS_WPR_DISABLED                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_IS_WPR_ENABLED                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_HI_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_HI_FIELD                       _MK_FIELD_CONST(0x3, MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_HI_SHIFT)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_HI_RANGE                       29:28
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_HI_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_HI_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_HI_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_HI_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_HI_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_HI_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_APERTURE_ID_HI_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_CPU_SECURE_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_CPU_SECURE_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_CPU_SECURE_SHIFT)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_CPU_SECURE_RANGE                   31:31
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_CPU_SECURE_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_CPU_SECURE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_CPU_SECURE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_CPU_SECURE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_CPU_SECURE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_CPU_SECURE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_CPU_SECURE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_CPU_SECURE_INIT_ENUM                       NO
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_CPU_SECURE_NO                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT13_CFG0_0_MC_SECURITY_CARVEOUT13_CPU_SECURE_YES                     _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x2548)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT22_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT26_BOM_0
#define MC_SECURITY_CARVEOUT26_BOM_0                    _MK_ADDR_CONST(0x2644)
#define MC_SECURITY_CARVEOUT26_BOM_0_SECURE                     0x0
#define MC_SECURITY_CARVEOUT26_BOM_0_DUAL                       0x0
#define MC_SECURITY_CARVEOUT26_BOM_0_SCR                        0
#define MC_SECURITY_CARVEOUT26_BOM_0_WORD_COUNT                         0x1
#define MC_SECURITY_CARVEOUT26_BOM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_BOM_0_RESET_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT26_BOM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_BOM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_BOM_0_READ_MASK                  _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT26_BOM_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SECURITY_CARVEOUT26_BOM_0_MC_SECURITY_CARVEOUT26_BOM_RANGE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT26_BOM_0_MC_SECURITY_CARVEOUT26_BOM_RANGE_FIELD                     _MK_FIELD_CONST(0xfffff, MC_SECURITY_CARVEOUT26_BOM_0_MC_SECURITY_CARVEOUT26_BOM_RANGE_SHIFT)
#define MC_SECURITY_CARVEOUT26_BOM_0_MC_SECURITY_CARVEOUT26_BOM_RANGE_RANGE                     31:12
#define MC_SECURITY_CARVEOUT26_BOM_0_MC_SECURITY_CARVEOUT26_BOM_RANGE_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_BOM_0_MC_SECURITY_CARVEOUT26_BOM_RANGE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_BOM_0_MC_SECURITY_CARVEOUT26_BOM_RANGE_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SECURITY_CARVEOUT26_BOM_0_MC_SECURITY_CARVEOUT26_BOM_RANGE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_BOM_0_MC_SECURITY_CARVEOUT26_BOM_RANGE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_BOM_0_MC_SECURITY_CARVEOUT26_BOM_RANGE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_BOM_0_MC_SECURITY_CARVEOUT26_BOM_RANGE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0                  _MK_ADDR_CONST(0x275c)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_SCR                      0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_RESET_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_READ_MASK                        _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_WRITE_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCORER_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCORER_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCORER_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCORER_RANGE                  7:7
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCORER_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCORER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCORER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCORER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCORER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCORER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCORER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCORER_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCORER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCORER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_NVENCSWR_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_NVENCSWR_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_NVENCSWR_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_NVENCSWR_RANGE                 11:11
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_NVENCSWR_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_NVENCSWR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_NVENCSWR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_NVENCSWR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_NVENCSWR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_NVENCSWR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_NVENCSWR_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_NVENCSWR_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_NVENCSWR_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_HDAW_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_HDAW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_HDAW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_HDAW_RANGE                     21:21
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_HDAW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_HDAW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_HDAW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_HDAW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_HDAW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_HDAW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_HDAW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_HDAW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_HDAW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_HDAW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCOREW_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCOREW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCOREW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCOREW_RANGE                  25:25
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCOREW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCOREW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCOREW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCOREW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCOREW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCOREW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCOREW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCOREW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCOREW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_MPCOREW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_SATAW_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_SATAW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_SATAW_SHIFT)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_SATAW_RANGE                    29:29
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_SATAW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_SATAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_SATAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_SATAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_SATAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_SATAW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_SATAW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_SATAW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_SATAW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0_CARVEOUT29_FORCE_INTERNAL_SATAW_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x2680)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0_CARVEOUT26_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x27c0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0_CARVEOUT30_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0                 _MK_ADDR_CONST(0x2204)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_SCR                     0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_RESET_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_READ_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_WRITE_MASK                      _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0_CARVEOUT12_ALLOW_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT17_SIZE_128KB_0
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0                     _MK_ADDR_CONST(0x237c)
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_SECURE                      0x0
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_DUAL                        0x0
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_SCR                         0
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_WORD_COUNT                  0x1
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_RESET_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_READ_MASK                   _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_WRITE_MASK                  _MK_MASK_CONST(0xf8000fff)
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_128KB_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_128KB_FIELD                       _MK_FIELD_CONST(0xfff, MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_128KB_SHIFT)
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_128KB_RANGE                       11:0
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_128KB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_128KB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_128KB_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_128KB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_128KB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_128KB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_128KB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_4KB_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_4KB_FIELD                 _MK_FIELD_CONST(0x1f, MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_4KB_SHIFT)
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_4KB_RANGE                 31:27
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_4KB_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_4KB_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_4KB_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_4KB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_4KB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_4KB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT17_SIZE_128KB_0_MC_SECURITY_CARVEOUT17_SIZE_RANGE_4KB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0                  _MK_ADDR_CONST(0x244c)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_SCR                      0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_RESET_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_READ_MASK                        _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffc3cf)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_APEDMAW_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_APEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_APEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_APEDMAW_RANGE                  0:0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_APEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_APEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_APEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_APEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_APEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_APEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_APEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_APEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_APEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_APEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR1_FIELD                      _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR1_RANGE                      1:1
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR1_WOFFSET                    0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR1_INIT_ENUM                  DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDISPLAYR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VICSRD1_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VICSRD1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VICSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VICSRD1_RANGE                  2:2
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VICSRD1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VICSRD1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VICSRD1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VICSRD1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VICSRD1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VICSRD1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VICSRD1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VICSRD1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VICSRD1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VICSRD1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD1_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD1_RANGE                        3:3
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVDECSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0R_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0R_RANGE                    6:6
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0W_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0W_RANGE                    7:7
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1R_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1R_RANGE                    8:8
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1W_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1W_RANGE                    9:9
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2R_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2R_RANGE                    14:14
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2W_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2W_RANGE                    15:15
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3R_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3R_RANGE                    16:16
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3W_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3W_RANGE                    17:17
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4R_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4R_RANGE                    18:18
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4W_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4W_RANGE                    19:19
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_MIU4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUR_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUR_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUR_RANGE                    20:20
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUR_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUR_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUR_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUR_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUR_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUW_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUW_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUW_RANGE                    21:21
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUW_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUW_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUW_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUW_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUW_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DPMUW_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0R_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0R_RANGE                    22:22
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0W_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0W_RANGE                    23:23
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL0W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1R_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1R_RANGE                    24:24
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1W_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1W_RANGE                    25:25
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL1W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2R_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2R_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2R_RANGE                    26:26
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2W_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2W_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2W_RANGE                    27:27
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_NVL2W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALR_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALR_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALR_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALR_RANGE                   28:28
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALR_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALR_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALR_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALR_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALR_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALW_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALW_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALW_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALW_RANGE                   29:29
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALW_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALW_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALW_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_VIFALW_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA_RANGE                  30:30
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALRDB_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALRDB_RANGE                       31:31
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0_CARVEOUT19_FORCE_INTERNAL_DLA0FALRDB_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0                 _MK_ADDR_CONST(0x22c4)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_SCR                     0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4R_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4R_RANGE                   0:0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4W_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4W_RANGE                   1:1
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE4W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R_RANGE                   2:2
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5W_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5W_RANGE                   3:3
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPFALW_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPFALW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPFALW_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPFALW_RANGE                  4:4
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPFALW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPFALW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPFALW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPFALW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPFALW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPFALW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPFALW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPFALW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPFALW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPFALW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3R_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3R_RANGE                    5:5
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3W_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3W_RANGE                    6:6
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4R_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4R_RANGE                    7:7
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4W_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4W_RANGE                    8:8
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA0RDA1_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA0RDA1_RANGE                 9:9
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA1RDA1_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA1RDA1_RANGE                 10:10
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_DLA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDA1_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDA1_RANGE                 11:11
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDB1_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDB1_RANGE                 12:12
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA0RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDA1_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDA1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDA1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDA1_RANGE                 13:13
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDA1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDA1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDA1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDA1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDB1_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDB1_FIELD                 _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDB1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDB1_RANGE                 14:14
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDB1_WOFFSET                       0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDB1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDB1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDB1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDB1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDB1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDB1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDB1_INIT_ENUM                     DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDB1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PVA1RDB1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R1_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R1_RANGE                  15:15
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE5R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENCSRD1_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENCSRD1_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENCSRD1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENCSRD1_RANGE                        16:16
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENCSRD1_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENCSRD1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENCSRD1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENCSRD1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENCSRD1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENCSRD1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENCSRD1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENCSRD1_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENCSRD1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENCSRD1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENC1SRD1_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENC1SRD1_RANGE                       17:17
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVENC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPRA1_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPRA1_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPRA1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPRA1_RANGE                   18:18
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPRA1_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPRA1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPRA1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPRA1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPRA1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPRA1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPRA1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPRA1_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPRA1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_ISPRA1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE0R1_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE0R1_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE0R1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE0R1_RANGE                  19:19
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE0R1_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE0R1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE0R1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE0R1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE0R1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE0R1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE0R1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE0R1_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE0R1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_PCIE0R1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL0RHP_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL0RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL0RHP_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL0RHP_RANGE                  20:20
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL0RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL0RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL0RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL0RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL0RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL0RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL0RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL0RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL0RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL0RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL1RHP_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL1RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL1RHP_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL1RHP_RANGE                  21:21
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL1RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL1RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL1RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL1RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL1RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL1RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL1RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL1RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL1RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL1RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL2RHP_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL2RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL2RHP_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL2RHP_RANGE                  22:22
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL2RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL2RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL2RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL2RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL2RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL2RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL2RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL2RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL2RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL2RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3RHP_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3RHP_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3RHP_RANGE                  23:23
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL3RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4RHP_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4RHP_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4RHP_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4RHP_RANGE                  24:24
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4RHP_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4RHP_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4RHP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4RHP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4RHP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4RHP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4RHP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4RHP_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4RHP_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVL4RHP_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD_RANGE                        25:25
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD1_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD1_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD1_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD1_RANGE                       26:26
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD1_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD1_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SRD1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SWR_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SWR_RANGE                        27:27
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_NVDEC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5R_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5R_RANGE                    28:28
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5W_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5W_RANGE                    29:29
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU5W_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6R_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6R_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6R_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6R_RANGE                    30:30
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6R_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6R_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6R_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6R_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6R_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6R_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6R_ENABLE                   _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6W_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6W_FIELD                    _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6W_SHIFT)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6W_RANGE                    31:31
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6W_WOFFSET                  0x0
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6W_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6W_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6W_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6W_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6W_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6W_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6W_INIT_ENUM                        DISABLE
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6W_DISABLE                  _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0_CARVEOUT14_ALLOW_MIU6W_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x2400)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0_CARVEOUT18_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0                 _MK_ADDR_CONST(0x2310)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_SECURE                  0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_DUAL                    0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_SCR                     0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_WORD_COUNT                      0x1
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0_CARVEOUT15_ALLOW_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0                  _MK_ADDR_CONST(0x2318)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_SECURE                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_DUAL                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_SCR                      0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_WORD_COUNT                       0x1
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0WRA_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0WRA_RANGE                  0:0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALWRB_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALWRB_RANGE                       1:1
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA0FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA_RANGE                  2:2
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALRDB_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALRDB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALRDB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALRDB_RANGE                       3:3
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALRDB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALRDB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALRDB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALRDB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALRDB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALRDB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALRDB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALRDB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALRDB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1WRA_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1WRA_RANGE                  4:4
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALWRB_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALWRB_FIELD                       _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALWRB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALWRB_RANGE                       5:5
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALWRB_WOFFSET                     0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALWRB_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALWRB_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALWRB_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALWRB_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALWRB_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALWRB_INIT_ENUM                   DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALWRB_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_DLA1FALWRB_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA_RANGE                  6:6
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB_RANGE                  7:7
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDC_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDC_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDC_RANGE                  8:8
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRA_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRA_RANGE                  9:9
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRB_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRB_RANGE                  10:10
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRC_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRC_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRC_RANGE                  11:11
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA0WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA_RANGE                  12:12
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB_RANGE                  13:13
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDC_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDC_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDC_RANGE                  14:14
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1RDC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRA_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRA_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRA_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRA_RANGE                  15:15
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRA_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRA_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRA_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRA_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRA_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRA_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRA_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRA_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRA_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRB_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRB_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRB_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRB_RANGE                  16:16
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRB_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRB_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRB_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRB_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRC_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRC_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRC_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRC_RANGE                  17:17
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRC_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRC_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRC_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRC_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRC_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRC_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRC_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRC_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PVA1WRC_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCER_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCER_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCER_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCER_RANGE                     18:18
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCER_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCER_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCER_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCER_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCER_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCER_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEW_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEW_FIELD                     _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEW_RANGE                     19:19
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEW_WOFFSET                   0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEW_INIT_ENUM                 DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEW_DISABLE                   _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEW_ENABLE                    _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAR_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAR_RANGE                  20:20
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAW_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAW_RANGE                  21:21
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_RCEDMAW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD_RANGE                        22:22
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SRD_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SWR_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SWR_FIELD                        _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SWR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SWR_RANGE                        23:23
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SWR_WOFFSET                      0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SWR_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SWR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SWR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SWR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SWR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SWR_INIT_ENUM                    DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SWR_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_NVENC1SWR_ENABLE                       _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R_RANGE                   24:24
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0W_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0W_RANGE                   25:25
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE0W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1R_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1R_RANGE                   26:26
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1W_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1W_RANGE                   27:27
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE1W_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AR_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AR_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AR_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AR_RANGE                  28:28
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AR_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AR_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AR_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AR_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AR_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AW_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AW_FIELD                  _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AW_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AW_RANGE                  29:29
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AW_WOFFSET                        0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AW_INIT_ENUM                      DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AW_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE2AW_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3R_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3R_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3R_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3R_RANGE                   30:30
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3R_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3R_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3R_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3R_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3R_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3R_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3R_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3R_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3R_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3R_ENABLE                  _MK_ENUM_CONST(1)

#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3W_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3W_FIELD                   _MK_FIELD_CONST(0x1, MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3W_SHIFT)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3W_RANGE                   31:31
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3W_WOFFSET                 0x0
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3W_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3W_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3W_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3W_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3W_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3W_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3W_INIT_ENUM                       DISABLE
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3W_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0_CARVEOUT15_FORCE_INTERNAL_PCIE3W_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_ERR_APB_ASID_UPDATE_STATUS_0
#define MC_ERR_APB_ASID_UPDATE_STATUS_0                 _MK_ADDR_CONST(0x9d0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_SECURE                  0x0
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_DUAL                    0x0
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_SCR                     0
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_WORD_COUNT                      0x1
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_RESET_MASK                      _MK_MASK_CONST(0x30000)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x30000)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_READ_MASK                       _MK_MASK_CONST(0x37f3f)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_WRITE_MASK                      _MK_MASK_CONST(0x30000)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_SWID_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_SWID_FIELD                  _MK_FIELD_CONST(0x3f, MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_SWID_SHIFT)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_SWID_RANGE                  5:0
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_SWID_WOFFSET                        0x0
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_SWID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_SWID_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_SWID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_SWID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_SWID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_SWID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_ASID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_ASID_FIELD                  _MK_FIELD_CONST(0x7f, MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_ASID_SHIFT)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_ASID_RANGE                  14:8
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_ASID_WOFFSET                        0x0
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_ASID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_ASID_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_ASID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_ASID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_ASID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_ASID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_CUR_SECURE_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_CUR_SECURE_FIELD                    _MK_FIELD_CONST(0x1, MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_CUR_SECURE_SHIFT)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_CUR_SECURE_RANGE                    16:16
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_CUR_SECURE_WOFFSET                  0x0
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_CUR_SECURE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_CUR_SECURE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_CUR_SECURE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_CUR_SECURE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_CUR_SECURE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_CUR_SECURE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_CUR_SECURE_INIT_ENUM                        CLEAR
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_CUR_SECURE_CLEAR                    _MK_ENUM_CONST(0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_CUR_SECURE_SET                      _MK_ENUM_CONST(1)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_CUR_SECURE__PROD                    _MK_MASK_CONST(0x0)

#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_NXT_SECURE_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_NXT_SECURE_FIELD                    _MK_FIELD_CONST(0x1, MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_NXT_SECURE_SHIFT)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_NXT_SECURE_RANGE                    17:17
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_NXT_SECURE_WOFFSET                  0x0
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_NXT_SECURE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_NXT_SECURE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_NXT_SECURE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_NXT_SECURE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_NXT_SECURE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_NXT_SECURE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_NXT_SECURE_INIT_ENUM                        CLEAR
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_NXT_SECURE_CLEAR                    _MK_ENUM_CONST(0)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_NXT_SECURE_SET                      _MK_ENUM_CONST(1)
#define MC_ERR_APB_ASID_UPDATE_STATUS_0_ERR_APB_ASID_UPDATE_NXT_SECURE__PROD                    _MK_MASK_CONST(0x0)


// Reserved address 0x9d4

// Register MC_DA_CONFIG0_0
#define MC_DA_CONFIG0_0                 _MK_ADDR_CONST(0x9dc)
#define MC_DA_CONFIG0_0_SECURE                  0x0
#define MC_DA_CONFIG0_0_DUAL                    0x0
#define MC_DA_CONFIG0_0_SCR                     0
#define MC_DA_CONFIG0_0_WORD_COUNT                      0x1
#define MC_DA_CONFIG0_0_RESET_VAL                       _MK_MASK_CONST(0x1)
#define MC_DA_CONFIG0_0_RESET_MASK                      _MK_MASK_CONST(0x1)
#define MC_DA_CONFIG0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_DA_CONFIG0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_DA_CONFIG0_0_READ_MASK                       _MK_MASK_CONST(0x1)
#define MC_DA_CONFIG0_0_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define MC_DA_CONFIG0_0_NEW_ARB_SCHEME_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_DA_CONFIG0_0_NEW_ARB_SCHEME_FIELD                    _MK_FIELD_CONST(0x1, MC_DA_CONFIG0_0_NEW_ARB_SCHEME_SHIFT)
#define MC_DA_CONFIG0_0_NEW_ARB_SCHEME_RANGE                    0:0
#define MC_DA_CONFIG0_0_NEW_ARB_SCHEME_WOFFSET                  0x0
#define MC_DA_CONFIG0_0_NEW_ARB_SCHEME_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_DA_CONFIG0_0_NEW_ARB_SCHEME_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_DA_CONFIG0_0_NEW_ARB_SCHEME_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_DA_CONFIG0_0_NEW_ARB_SCHEME_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DA_CONFIG0_0_NEW_ARB_SCHEME_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_DA_CONFIG0_0_NEW_ARB_SCHEME_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_DA_CONFIG0_0_NEW_ARB_SCHEME_INIT_ENUM                        ENABLE
#define MC_DA_CONFIG0_0_NEW_ARB_SCHEME_DISABLE                  _MK_ENUM_CONST(0)
#define MC_DA_CONFIG0_0_NEW_ARB_SCHEME_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_HDAR_0
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0                   _MK_ADDR_CONST(0x10a8)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_SECURE                    0x0
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_DUAL                      0x0
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_SCR                       0
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_WORD_COUNT                        0x1
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_RESET_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x113)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_READ_MASK                         _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_WRITE_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x1)

#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x1)

#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_HDAR_0_HDAR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0                        _MK_ADDR_CONST(0x1624)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0_DLA1WRA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_PCIE1W_0
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0                 _MK_ADDR_CONST(0x16dc)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_SECURE                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_DUAL                    0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_SCR                     0
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_WORD_COUNT                      0x1
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_RESET_VAL                       _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_RESET_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_READ_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_WRITE_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1W_0_PCIE1W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0                        _MK_ADDR_CONST(0x1644)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0_PVA0RDC_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_PTCR_0
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0                   _MK_ADDR_CONST(0x1000)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_SECURE                    0x0
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_DUAL                      0x0
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_SCR                       0
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_WORD_COUNT                        0x1
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_RESET_VAL                         _MK_MASK_CONST(0x100)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_RESET_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_READ_MASK                         _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_WRITE_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PTCR_0_PTCR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0                 _MK_ADDR_CONST(0x1504)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0_APEDMAW_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_EQOSW_0
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0                  _MK_ADDR_CONST(0x1478)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_RESET_VAL                        _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSW_0_EQOSW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0                 _MK_ADDR_CONST(0x1680)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0_PVA1WRA_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_MPCOREW_0
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0                        _MK_ADDR_CONST(0x11c8)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW_0_MPCOREW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0                     _MK_ADDR_CONST(0x162c)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_SECURE                      0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DUAL                        0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_SCR                         0
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_WORD_COUNT                  0x1
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_RESET_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_READ_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_WRITE_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0_DLA1FALWRB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_AXISR_0
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0                  _MK_ADDR_CONST(0x1460)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_RESET_VAL                        _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_SO_DEV__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_COH_PATH_OVERRIDE_NORMAL__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AXISR_0_AXISR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0                        _MK_ADDR_CONST(0x1750)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_SECURE                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DUAL                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_SCR                    0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_WORD_COUNT                     0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_RESET_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_READ_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_WRITE_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0_DLA0RDA1_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0                        _MK_ADDR_CONST(0x1654)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0_PVA0WRB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_MIU6R_0
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0                  _MK_ADDR_CONST(0x17f4)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6R_0_MIU6R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_MIU5R_0
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0                  _MK_ADDR_CONST(0x17e4)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5R_0_MIU5R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0                    _MK_ADDR_CONST(0x16a0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_SECURE                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_DUAL                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_SCR                        0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_WORD_COUNT                         0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RESET_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_READ_MASK                  _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_WRITE_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0_RCEW_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0                      _MK_ADDR_CONST(0x1784)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_SECURE                       0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_DUAL                         0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_SCR                  0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_WORD_COUNT                   0x1
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_RESET_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_READ_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_WRITE_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_SO_DEV__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_COH_PATH_OVERRIDE_NORMAL__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0_NVENCSRD1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_PCIE0R_0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0                 _MK_ADDR_CONST(0x16c4)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_SECURE                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_DUAL                    0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_SCR                     0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_WORD_COUNT                      0x1
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_RESET_VAL                       _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_RESET_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_READ_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_WRITE_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R_0_PCIE0R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_EQOSR_0
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0                  _MK_ADDR_CONST(0x1470)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_RESET_VAL                        _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_EQOSR_0_EQOSR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0                 _MK_ADDR_CONST(0x122c)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0_ISPFALR_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0                       _MK_ADDR_CONST(0x10e0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_SECURE                        0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_DUAL                  0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_SCR                   0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_WORD_COUNT                    0x1
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_RESET_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_READ_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_WRITE_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0_NVENCSRD_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0                     _MK_ADDR_CONST(0x178c)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_SECURE                      0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_DUAL                        0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_SCR                         0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_WORD_COUNT                  0x1
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_RESET_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_READ_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_WRITE_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0_NVENC1SRD1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0                       _MK_ADDR_CONST(0x126c)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_SECURE                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_DUAL                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_SCR                   0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_WORD_COUNT                    0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_RESET_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_READ_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_WRITE_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0_XUSB_DEVW_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0                       _MK_ADDR_CONST(0x1774)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_SECURE                        0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_DUAL                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_SCR                   0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_WORD_COUNT                    0x1
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_RESET_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_READ_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_WRITE_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0_PVA1RDB1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0                   _MK_ADDR_CONST(0x1464)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0_AXISR_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0                 _MK_ADDR_CONST(0x1608)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0_DLA0WRA_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0                      _MK_ADDR_CONST(0x16bc)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_SECURE                       0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_DUAL                         0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_SCR                  0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_WORD_COUNT                   0x1
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_RESET_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_READ_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_WRITE_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_SO_DEV__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_COH_PATH_OVERRIDE_NORMAL__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0_NVENC1SWR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0                   _MK_ADDR_CONST(0x154c)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0_MIU1W_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0                   _MK_ADDR_CONST(0x11ec)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0_SATAW_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0                  _MK_ADDR_CONST(0x1700)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_SECURE                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_DUAL                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_SCR                      0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_WORD_COUNT                       0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_RESET_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_READ_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_WRITE_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0_PCIE3W_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_VICSRD1_0
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0                        _MK_ADDR_CONST(0x1510)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_RESET_VAL                      _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1_0_VICSRD1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0                      _MK_ADDR_CONST(0x1254)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_SECURE                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_DUAL                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_SCR                  0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_WORD_COUNT                   0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_RESET_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_READ_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_WRITE_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0                       _MK_ADDR_CONST(0x14a8)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_SECURE                        0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_DUAL                  0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_SCR                   0
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_WORD_COUNT                    0x1
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_RESET_VAL                     _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_RESET_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_READ_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_WRITE_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0_BPMPDMAR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_VIW_0
#define MC_TXN_OVERRIDE_CONFIG_VIW_0                    _MK_ADDR_CONST(0x1390)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_SECURE                     0x0
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_DUAL                       0x0
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_SCR                        0
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_WORD_COUNT                         0x1
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_RESET_MASK                         _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x113)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_READ_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_WRITE_MASK                         _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x1)

#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x1)

#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VIW_0_VIW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0                        _MK_ADDR_CONST(0x14b4)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_SECURE                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_DUAL                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_SCR                    0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_WORD_COUNT                     0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_RESET_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_READ_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_WRITE_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0_BPMPDMAW_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_PCIE5R_0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0                 _MK_ADDR_CONST(0x1714)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_SECURE                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_DUAL                    0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_SCR                     0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_WORD_COUNT                      0x1
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_RESET_VAL                       _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_RESET_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_READ_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_WRITE_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R_0_PCIE5R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0                 _MK_ADDR_CONST(0x1670)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0_PVA1RDB_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_AXISW_0
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0                  _MK_ADDR_CONST(0x1468)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_RESET_VAL                        _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_SO_DEV__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_COH_PATH_OVERRIDE_NORMAL__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AXISW_0_AXISW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0                      _MK_ADDR_CONST(0x125c)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_SECURE                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_DUAL                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_SCR                  0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_WORD_COUNT                   0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_RESET_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x300)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x300)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_READ_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_WRITE_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_SO_DEV_TBUID__PROD                        _MK_MASK_CONST(0x3)


// Register MC_TXN_OVERRIDE_CONFIG_MIU6W_0
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0                  _MK_ADDR_CONST(0x17fc)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU6W_0_MIU6W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_UFSHCR_0
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0                 _MK_ADDR_CONST(0x1480)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_SECURE                  0x0
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_DUAL                    0x0
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_SCR                     0
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_WORD_COUNT                      0x1
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_RESET_VAL                       _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_RESET_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_READ_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_WRITE_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR_0_UFSHCR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0                   _MK_ADDR_CONST(0x17f8)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0_MIU6R_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0                        _MK_ADDR_CONST(0x179c)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_RESET_VAL                      _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0_PCIE0R1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0                       _MK_ADDR_CONST(0x1764)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_SECURE                        0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_DUAL                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_SCR                   0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_WORD_COUNT                    0x1
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_RESET_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_READ_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_WRITE_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0_PVA0RDB1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_TSECSWR_0
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0                        _MK_ADDR_CONST(0x12a8)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_RESET_VAL                      _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR_0_TSECSWR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_MIU7R_0
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0                  _MK_ADDR_CONST(0x1008)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7R_0_MIU7R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0                 _MK_ADDR_CONST(0x16f0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0_PCIE2AW_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_SATAR_0
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0                  _MK_ADDR_CONST(0x10f8)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_RESET_VAL                        _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_SO_DEV__PROD                     _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_COH_PATH_OVERRIDE_NORMAL__PROD                     _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SATAR_0_SATAR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0                     _MK_ADDR_CONST(0x1258)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_SECURE                      0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_DUAL                        0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_SCR                         0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_WORD_COUNT                  0x1
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_RESET_VAL                   _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_RESET_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_READ_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_WRITE_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0_XUSB_HOSTW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0                        _MK_ADDR_CONST(0x15f4)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0_DLA0RDA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0                       _MK_ADDR_CONST(0x1438)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_SECURE                        0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_DUAL                  0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_SCR                   0
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_WORD_COUNT                    0x1
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_RESET_VAL                     _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_RESET_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_READ_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_WRITE_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0_TSECSWRB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0                      _MK_ADDR_CONST(0x17dc)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_SECURE                       0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_DUAL                         0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_SCR                  0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_WORD_COUNT                   0x1
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_RESET_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_READ_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_WRITE_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_SO_DEV__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_COH_PATH_OVERRIDE_NORMAL__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0_NVDEC1SWR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0                  _MK_ADDR_CONST(0x16c8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_SECURE                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_DUAL                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_SCR                      0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_WORD_COUNT                       0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_RESET_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_READ_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_WRITE_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0_PCIE0R_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0                 _MK_ADDR_CONST(0x16a8)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0_RCEDMAR_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0                      _MK_ADDR_CONST(0x1790)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_SECURE                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_DUAL                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_SCR                  0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_WORD_COUNT                   0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_RESET_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_READ_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_WRITE_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0_NVENC1SRD1_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0                 _MK_ADDR_CONST(0x12a4)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0_TSECSRD_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0                       _MK_ADDR_CONST(0x176c)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_SECURE                        0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_DUAL                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_SCR                   0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_WORD_COUNT                    0x1
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_RESET_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_READ_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_WRITE_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0_PVA1RDA1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0                        _MK_ADDR_CONST(0x166c)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0_PVA1RDB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_AONDMAW_0
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0                        _MK_ADDR_CONST(0x14d0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_RESET_VAL                      _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW_0_AONDMAW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0                   _MK_ADDR_CONST(0x1234)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0_ISPWA_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_AONW_0
#define MC_TXN_OVERRIDE_CONFIG_AONW_0                   _MK_ADDR_CONST(0x14c0)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_SECURE                    0x0
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_DUAL                      0x0
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_SCR                       0
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_WORD_COUNT                        0x1
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_RESET_VAL                         _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_RESET_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_READ_MASK                         _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_WRITE_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AONW_0_AONW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0                 _MK_ADDR_CONST(0x16b0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0_RCEDMAW_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0                 _MK_ADDR_CONST(0x16e8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0_PCIE2AR_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_ETRR_0
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0                   _MK_ADDR_CONST(0x1420)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_SECURE                    0x0
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_DUAL                      0x0
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_SCR                       0
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_WORD_COUNT                        0x1
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_RESET_VAL                         _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_RESET_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_READ_MASK                         _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_WRITE_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ETRR_0_ETRR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0                        _MK_ADDR_CONST(0x16ec)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_RESET_VAL                      _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0_PCIE2AW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_VIW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0                     _MK_ADDR_CONST(0x1394)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_SECURE                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_DUAL                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_SCR                         0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_WORD_COUNT                  0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_RESET_MASK                  _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_READ_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_WRITE_MASK                  _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW_0_VIW_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0                   _MK_ADDR_CONST(0x149c)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0_BPMPR_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0                        _MK_ADDR_CONST(0x13c4)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_SECURE                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_DUAL                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_SCR                    0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_WORD_COUNT                     0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_RESET_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_READ_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_WRITE_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0_NVDECSRD_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_PCIE1R_0
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0                 _MK_ADDR_CONST(0x16d4)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_SECURE                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_DUAL                    0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_SCR                     0
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_WORD_COUNT                      0x1
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_RESET_VAL                       _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_RESET_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_READ_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_WRITE_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE1R_0_PCIE1R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0                   _MK_ADDR_CONST(0x1474)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0_EQOSR_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0                 _MK_ADDR_CONST(0x1648)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0_PVA0RDC_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0                        _MK_ADDR_CONST(0x1674)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0_PVA1RDC_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0                        _MK_ADDR_CONST(0x164c)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0_PVA0WRA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0                  _MK_ADDR_CONST(0x1314)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SECURE                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_DUAL                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SCR                      0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_WORD_COUNT                       0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_RESET_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_READ_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_WRITE_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0_SDMMCR_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0                       _MK_ADDR_CONST(0x1430)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_SECURE                        0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_DUAL                  0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_SCR                   0
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_WORD_COUNT                    0x1
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_RESET_VAL                     _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_RESET_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_READ_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_WRITE_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0_TSECSRDB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_MIU1W_0
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0                  _MK_ADDR_CONST(0x1548)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1W_0_MIU1W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_PCIE0W_0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0                 _MK_ADDR_CONST(0x16cc)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_SECURE                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_DUAL                    0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_SCR                     0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_WORD_COUNT                      0x1
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_RESET_VAL                       _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_RESET_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_READ_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_WRITE_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE0W_0_PCIE0W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0                   _MK_ADDR_CONST(0x1584)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0_MIU3R_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0                   _MK_ADDR_CONST(0x4c00)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0_MIU6W_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0                      _MK_ADDR_CONST(0x17cc)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_SECURE                       0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_DUAL                         0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_SCR                  0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_WORD_COUNT                   0x1
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_RESET_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_READ_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_WRITE_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_SO_DEV__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_COH_PATH_OVERRIDE_NORMAL__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0_NVDEC1SRD_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0                  _MK_ADDR_CONST(0x148c)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_SECURE                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_DUAL                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_SCR                      0
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_WORD_COUNT                       0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_RESET_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_READ_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_WRITE_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0_UFSHCW_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_AONR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0                    _MK_ADDR_CONST(0x14bc)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_SECURE                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_DUAL                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_SCR                        0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_WORD_COUNT                         0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_RESET_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_READ_MASK                  _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_WRITE_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR_0_AONR_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_MIU7W_0
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0                  _MK_ADDR_CONST(0x1010)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU7W_0_MIU7W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0                   _MK_ADDR_CONST(0x15a0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0_MIU4W_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0                      _MK_ADDR_CONST(0x1518)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_SECURE                       0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_DUAL                         0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_SCR                  0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_WORD_COUNT                   0x1
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_RESET_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_READ_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_WRITE_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_SO_DEV__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_COH_PATH_OVERRIDE_NORMAL__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0_NVDECSRD1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0                 _MK_ADDR_CONST(0x1678)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0_PVA1RDC_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_MIU3R_0
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0                  _MK_ADDR_CONST(0x1580)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3R_0_MIU3R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_MIU3W_0
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0                  _MK_ADDR_CONST(0x158c)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU3W_0_MIU3W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0                 _MK_ADDR_CONST(0x14d4)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0_AONDMAW_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0                     _MK_ADDR_CONST(0x1250)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_SECURE                      0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_DUAL                        0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_SCR                         0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_WORD_COUNT                  0x1
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_RESET_VAL                   _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_RESET_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_READ_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_WRITE_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0_XUSB_HOSTR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0                   _MK_ADDR_CONST(0x1574)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0_MIU2R_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0                   _MK_ADDR_CONST(0x17e8)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0_MIU5R_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0                   _MK_ADDR_CONST(0x10fc)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0_SATAR_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_SESRD_0
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0                  _MK_ADDR_CONST(0x1400)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_RESET_VAL                        _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_SO_DEV__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_COH_PATH_OVERRIDE_NORMAL__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SESRD_0_SESRD_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0                   _MK_ADDR_CONST(0x1404)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0_SESRD_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0                        _MK_ADDR_CONST(0x133c)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SECURE                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_DUAL                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SCR                    0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_WORD_COUNT                     0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_RESET_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_READ_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_WRITE_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0_SDMMCWAB_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0                   _MK_ADDR_CONST(0x146c)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0_AXISW_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_SCER_0
#define MC_TXN_OVERRIDE_CONFIG_SCER_0                   _MK_ADDR_CONST(0x14d8)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SECURE                    0x0
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_DUAL                      0x0
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCR                       0
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_WORD_COUNT                        0x1
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_RESET_VAL                         _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_RESET_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_READ_MASK                         _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_WRITE_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SCER_0_SCER_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0                 _MK_ADDR_CONST(0x1618)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0_DLA1RDA_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0                        _MK_ADDR_CONST(0x143c)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_SECURE                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_DUAL                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_SCR                    0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_WORD_COUNT                     0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_RESET_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_READ_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_WRITE_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0_TSECSWRB_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_MPCORER_0
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0                        _MK_ADDR_CONST(0x1138)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MPCORER_0_MPCORER_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0                        _MK_ADDR_CONST(0x1320)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_RESET_VAL                      _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0_SDMMCWA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0                  _MK_ADDR_CONST(0x16f8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_SECURE                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_DUAL                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_SCR                      0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_WORD_COUNT                       0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_RESET_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_READ_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_WRITE_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0_PCIE3R_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0                   _MK_ADDR_CONST(0x1590)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0_MIU3W_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_HDAW_0
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0                   _MK_ADDR_CONST(0x11a8)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_SECURE                    0x0
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_DUAL                      0x0
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_SCR                       0
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_WORD_COUNT                        0x1
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_RESET_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x113)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_READ_MASK                         _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_WRITE_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x1)

#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x1)

#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_HDAW_0_HDAW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0                       _MK_ADDR_CONST(0x13c8)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_SECURE                        0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_DUAL                  0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_SCR                   0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_WORD_COUNT                    0x1
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_RESET_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_READ_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_WRITE_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0_NVDECSWR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0                  _MK_ADDR_CONST(0x1708)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_SECURE                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_DUAL                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_SCR                      0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_WORD_COUNT                       0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_RESET_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_READ_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_WRITE_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0_PCIE4R_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0                    _MK_ADDR_CONST(0x1004)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_SECURE                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_DUAL                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_SCR                        0
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_WORD_COUNT                         0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_RESET_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_READ_MASK                  _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_WRITE_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0_PTCR_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0                        _MK_ADDR_CONST(0x1758)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_SECURE                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DUAL                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_SCR                    0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_WORD_COUNT                     0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_RESET_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_READ_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_WRITE_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0_DLA1RDA1_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0                        _MK_ADDR_CONST(0x1634)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0_PVA0RDA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0                        _MK_ADDR_CONST(0x13cc)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_SECURE                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_DUAL                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_SCR                    0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_WORD_COUNT                     0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_RESET_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_READ_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_WRITE_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0_NVDECSWR_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_AONDMAR_0
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0                        _MK_ADDR_CONST(0x14c8)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_RESET_VAL                      _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR_0_AONDMAR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0                      _MK_ADDR_CONST(0x1630)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_SECURE                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DUAL                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_SCR                  0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_WORD_COUNT                   0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_RESET_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_READ_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_WRITE_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0_DLA1FALWRB_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0                       _MK_ADDR_CONST(0x1338)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SECURE                        0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_DUAL                  0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SCR                   0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_WORD_COUNT                    0x1
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_RESET_VAL                     _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_RESET_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_READ_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_WRITE_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0_SDMMCWAB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_ISPFALR_0
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0                        _MK_ADDR_CONST(0x1228)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALR_0_ISPFALR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0                    _MK_ADDR_CONST(0x14e4)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SECURE                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_DUAL                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCR                        0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_WORD_COUNT                         0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_RESET_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_READ_MASK                  _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_WRITE_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0_SCEW_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0                 _MK_ADDR_CONST(0x1324)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0_SDMMCWA_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0                  _MK_ADDR_CONST(0x16e0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_SECURE                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_DUAL                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_SCR                      0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_WORD_COUNT                       0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_RESET_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_READ_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_WRITE_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0_PCIE1W_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0                       _MK_ADDR_CONST(0x175c)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_SECURE                        0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_DUAL                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_SCR                   0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_WORD_COUNT                    0x1
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_RESET_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_READ_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_WRITE_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0_PVA0RDA1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0                      _MK_ADDR_CONST(0x16b4)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_SECURE                       0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_DUAL                         0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_SCR                  0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_WORD_COUNT                   0x1
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_RESET_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_READ_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_WRITE_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_SO_DEV__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_COH_PATH_OVERRIDE_NORMAL__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0_NVENC1SRD_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0                    _MK_ADDR_CONST(0x10ac)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_SECURE                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_DUAL                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_SCR                        0
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_WORD_COUNT                         0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_RESET_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_READ_MASK                  _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_WRITE_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0_HDAR_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0                   _MK_ADDR_CONST(0x14a4)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0_BPMPW_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0                  _MK_ADDR_CONST(0x141c)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_SECURE                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_DUAL                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_SCR                      0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_WORD_COUNT                       0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_RESET_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_READ_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_WRITE_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0_AXIAPW_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0                    _MK_ADDR_CONST(0x1508)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_SECURE                     0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_DUAL                       0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_SCR                        0
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_WORD_COUNT                         0x1
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_RESET_VAL                  _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_RESET_MASK                         _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_READ_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_WRITE_MASK                         _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0                        _MK_ADDR_CONST(0x1664)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0_PVA1RDA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0                       _MK_ADDR_CONST(0x174c)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_SECURE                        0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DUAL                  0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_SCR                   0
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_WORD_COUNT                    0x1
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_RESET_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_READ_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_WRITE_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0_DLA0RDA1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_ISPWB_0
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0                  _MK_ADDR_CONST(0x1238)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_SO_DEV__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_COH_PATH_OVERRIDE_NORMAL__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWB_0_ISPWB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0                  _MK_ADDR_CONST(0x16d8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_SECURE                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_DUAL                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_SCR                      0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_WORD_COUNT                       0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_RESET_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_READ_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_WRITE_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0_PCIE1R_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_APEW_0
#define MC_TXN_OVERRIDE_CONFIG_APEW_0                   _MK_ADDR_CONST(0x13d8)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_SECURE                    0x0
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_DUAL                      0x0
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_SCR                       0
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_WORD_COUNT                        0x1
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_RESET_VAL                         _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_RESET_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_READ_MASK                         _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_WRITE_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_APEW_0_APEW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_AXIAPR_0
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0                 _MK_ADDR_CONST(0x1410)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_SECURE                  0x0
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_DUAL                    0x0
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_SCR                     0
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_WORD_COUNT                      0x1
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_RESET_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_READ_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_WRITE_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPR_0_AXIAPR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0                    _MK_ADDR_CONST(0x142c)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_SECURE                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_DUAL                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_SCR                        0
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_WORD_COUNT                         0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_RESET_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_READ_MASK                  _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_WRITE_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0_ETRW_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0                        _MK_ADDR_CONST(0x16e4)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_RESET_VAL                      _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0_PCIE2AR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0                      _MK_ADDR_CONST(0x1620)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_SECURE                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DUAL                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_SCR                  0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_WORD_COUNT                   0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_RESET_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_READ_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_WRITE_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0_DLA1FALRDB_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_ISPFALW_0
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0                        _MK_ADDR_CONST(0x1724)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPFALW_0_ISPFALW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_SDMMCR_0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0                 _MK_ADDR_CONST(0x1310)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SECURE                  0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_DUAL                    0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SCR                     0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_WORD_COUNT                      0x1
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_RESET_VAL                       _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_RESET_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_READ_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_WRITE_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR_0_SDMMCR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_MIU2W_0
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0                  _MK_ADDR_CONST(0x1578)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2W_0_MIU2W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0                      _MK_ADDR_CONST(0x1600)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_SECURE                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DUAL                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_SCR                  0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_WORD_COUNT                   0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_RESET_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_READ_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_WRITE_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0_DLA0FALRDB_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0                   _MK_ADDR_CONST(0x1014)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0_MIU7W_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0                      _MK_ADDR_CONST(0x1610)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_SECURE                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DUAL                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_SCR                  0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_WORD_COUNT                   0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_RESET_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_READ_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_WRITE_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0_DLA0FALWRB_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_RCER_0
#define MC_TXN_OVERRIDE_CONFIG_RCER_0                   _MK_ADDR_CONST(0x1694)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_SECURE                    0x0
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_DUAL                      0x0
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_SCR                       0
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_WORD_COUNT                        0x1
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RESET_VAL                         _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RESET_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_READ_MASK                         _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_WRITE_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_RCER_0_RCER_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_PCIE4W_0
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0                 _MK_ADDR_CONST(0x170c)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_SECURE                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_DUAL                    0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_SCR                     0
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_WORD_COUNT                      0x1
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_RESET_VAL                       _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_RESET_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_READ_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_WRITE_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4W_0_PCIE4W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0                  _MK_ADDR_CONST(0x15e8)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_SECURE                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_DUAL                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_SCR                      0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_WORD_COUNT                       0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_RESET_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_READ_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_WRITE_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0_VIFALR_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0                  _MK_ADDR_CONST(0x1364)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_SECURE                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_DUAL                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_SCR                      0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_WORD_COUNT                       0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_RESET_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_READ_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_WRITE_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0_VICSRD_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_BPMPW_0
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0                  _MK_ADDR_CONST(0x14a0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_RESET_VAL                        _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_SO_DEV__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_COH_PATH_OVERRIDE_NORMAL__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPW_0_BPMPW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0                 _MK_ADDR_CONST(0x14cc)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0_AONDMAR_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0                     _MK_ADDR_CONST(0x1490)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_SECURE                      0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_DUAL                        0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_SCR                         0
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_WORD_COUNT                  0x1
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_RESET_VAL                   _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_RESET_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_READ_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_WRITE_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0_NVDISPLAYR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0                 _MK_ADDR_CONST(0x1638)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0_PVA0RDA_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_ISPRA_0
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0                  _MK_ADDR_CONST(0x1220)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_SO_DEV__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_COH_PATH_OVERRIDE_NORMAL__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA_0_ISPRA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0                       _MK_ADDR_CONST(0x13f8)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_SECURE                        0x0
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_DUAL                  0x0
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_SCR                   0
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_WORD_COUNT                    0x1
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_RESET_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_READ_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_WRITE_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0_NVJPGSWR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0                        _MK_ADDR_CONST(0x1770)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_SECURE                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_DUAL                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_SCR                    0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_WORD_COUNT                     0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_RESET_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_READ_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_WRITE_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0_PVA1RDA1_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_VICSRD_0
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0                 _MK_ADDR_CONST(0x1360)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_SECURE                  0x0
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_DUAL                    0x0
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_SCR                     0
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_WORD_COUNT                      0x1
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_RESET_VAL                       _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_RESET_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_READ_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_WRITE_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VICSRD_0_VICSRD_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0                   _MK_ADDR_CONST(0x17f0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0_MIU5W_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0                       _MK_ADDR_CONST(0x151c)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_SECURE                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_DUAL                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_SCR                   0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_WORD_COUNT                    0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_RESET_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_READ_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_WRITE_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0_NVDECSRD1_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0                     _MK_ADDR_CONST(0x17d4)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_SECURE                      0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_DUAL                        0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_SCR                         0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_WORD_COUNT                  0x1
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_RESET_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_READ_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_WRITE_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0                        _MK_ADDR_CONST(0x1614)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0_DLA1RDA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0                 _MK_ADDR_CONST(0x1514)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0_VICSRD1_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0                        _MK_ADDR_CONST(0x14ac)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_SECURE                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_DUAL                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_SCR                    0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_WORD_COUNT                     0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_RESET_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_READ_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_WRITE_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0_BPMPDMAR_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0                        _MK_ADDR_CONST(0x14f0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_RESET_VAL                      _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0_SCEDMAW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_SDMMCW_0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0                 _MK_ADDR_CONST(0x1330)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SECURE                  0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_DUAL                    0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SCR                     0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_WORD_COUNT                      0x1
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_RESET_VAL                       _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_RESET_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_READ_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_WRITE_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW_0_SDMMCW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0                     _MK_ADDR_CONST(0x161c)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_SECURE                      0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DUAL                        0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_SCR                         0
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_WORD_COUNT                  0x1
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_RESET_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_READ_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_WRITE_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0_DLA1FALRDB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0                   _MK_ADDR_CONST(0x140c)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0_SESWR_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0                   _MK_ADDR_CONST(0x147c)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0_EQOSW_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_APEDMAR_0
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0                        _MK_ADDR_CONST(0x14f8)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_RESET_VAL                      _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR_0_APEDMAR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0                    _MK_ADDR_CONST(0x1424)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_SECURE                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_DUAL                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_SCR                        0
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_WORD_COUNT                         0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_RESET_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_READ_MASK                  _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_WRITE_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0_ETRR_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_RCEW_0
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0                   _MK_ADDR_CONST(0x169c)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_SECURE                    0x0
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_DUAL                      0x0
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_SCR                       0
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_WORD_COUNT                        0x1
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RESET_VAL                         _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RESET_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_READ_MASK                         _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_WRITE_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_RCEW_0_RCEW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0                       _MK_ADDR_CONST(0x1318)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SECURE                        0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_DUAL                  0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SCR                   0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_WORD_COUNT                    0x1
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_RESET_VAL                     _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_RESET_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_READ_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_WRITE_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0_SDMMCRAB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0                 _MK_ADDR_CONST(0x113c)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0_MPCORER_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0                   _MK_ADDR_CONST(0x1534)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0_MIU0R_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0                        _MK_ADDR_CONST(0x1604)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0_DLA0WRA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0                       _MK_ADDR_CONST(0x1264)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_SECURE                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_DUAL                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_SCR                   0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_WORD_COUNT                    0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_RESET_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_READ_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_WRITE_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0_XUSB_DEVR_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_VIFALR_0
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0                 _MK_ADDR_CONST(0x15e4)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_SECURE                  0x0
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_DUAL                    0x0
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_SCR                     0
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_WORD_COUNT                      0x1
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_RESET_VAL                       _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_RESET_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_READ_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_WRITE_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALR_0_VIFALR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0                        _MK_ADDR_CONST(0x13f4)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_SECURE                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_DUAL                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_SCR                    0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_WORD_COUNT                     0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_RESET_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_READ_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_WRITE_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0_NVJPGSRD_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_PCIE3R_0
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0                 _MK_ADDR_CONST(0x16f4)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_SECURE                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_DUAL                    0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_SCR                     0
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_WORD_COUNT                      0x1
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_RESET_VAL                       _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_RESET_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_READ_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_WRITE_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3R_0_PCIE3R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0                       _MK_ADDR_CONST(0x16c0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_SECURE                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_DUAL                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_SCR                   0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_WORD_COUNT                    0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_RESET_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_READ_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_WRITE_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0_NVENC1SWR_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_MIU1R_0
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0                  _MK_ADDR_CONST(0x1540)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU1R_0_MIU1R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_PCIE5W_0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0                 _MK_ADDR_CONST(0x171c)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_SECURE                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_DUAL                    0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_SCR                     0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_WORD_COUNT                      0x1
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_RESET_VAL                       _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_RESET_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_READ_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_WRITE_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5W_0_PCIE5W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0                 _MK_ADDR_CONST(0x1780)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0_PCIE5R1_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0                  _MK_ADDR_CONST(0x1720)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_SECURE                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_DUAL                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_SCR                      0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_WORD_COUNT                       0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_RESET_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x100)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x300)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_READ_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_WRITE_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0_PCIE5W_SO_DEV_TBUID__PROD                        _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0                  _MK_ADDR_CONST(0x1334)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SECURE                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_DUAL                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SCR                      0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_WORD_COUNT                       0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_RESET_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_READ_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_WRITE_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0_SDMMCW_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0                      _MK_ADDR_CONST(0x1260)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_SECURE                       0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_DUAL                         0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_SCR                  0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_WORD_COUNT                   0x1
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_RESET_VAL                    _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_RESET_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_READ_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_WRITE_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_SO_DEV__PROD                     _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_COH_PATH_OVERRIDE_NORMAL__PROD                     _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0_XUSB_DEVR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_MIU0W_0
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0                  _MK_ADDR_CONST(0x1538)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0W_0_MIU0W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0                     _MK_ADDR_CONST(0x160c)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_SECURE                      0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DUAL                        0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_SCR                         0
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_WORD_COUNT                  0x1
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_RESET_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_READ_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_WRITE_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0_DLA0FALWRB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_VIFALW_0
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0                 _MK_ADDR_CONST(0x15ec)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_SECURE                  0x0
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_DUAL                    0x0
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_SCR                     0
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_WORD_COUNT                      0x1
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_RESET_VAL                       _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_RESET_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_READ_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_WRITE_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VIFALW_0_VIFALW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0                  _MK_ADDR_CONST(0x1798)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_SECURE                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_DUAL                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_SCR                      0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_WORD_COUNT                       0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_RESET_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_READ_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_WRITE_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0_ISPRA1_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0                     _MK_ADDR_CONST(0x15fc)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_SECURE                      0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DUAL                        0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_SCR                         0
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_WORD_COUNT                  0x1
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_RESET_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_READ_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_WRITE_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0_DLA0FALRDB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0                 _MK_ADDR_CONST(0x15f8)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0_DLA0RDA_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0                        _MK_ADDR_CONST(0x1768)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_SECURE                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_DUAL                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_SCR                    0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_WORD_COUNT                     0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_RESET_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_READ_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_WRITE_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0_PVA0RDB1_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_APER_0
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0                    _MK_ADDR_CONST(0x13d4)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_SECURE                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_DUAL                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_SCR                        0
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_WORD_COUNT                         0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_RESET_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_READ_MASK                  _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_WRITE_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APER_0_APER_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0                   _MK_ADDR_CONST(0x1224)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0_ISPRA_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_PCIE3W_0
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0                 _MK_ADDR_CONST(0x16fc)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_SECURE                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_DUAL                    0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_SCR                     0
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_WORD_COUNT                      0x1
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_RESET_VAL                       _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_RESET_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_READ_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_WRITE_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE3W_0_PCIE3W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0                 _MK_ADDR_CONST(0x1628)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0_DLA1WRA_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_MIU0R_0
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0                  _MK_ADDR_CONST(0x1530)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU0R_0_MIU0R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0                 _MK_ADDR_CONST(0x1690)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0_PVA1WRC_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0                  _MK_ADDR_CONST(0x136c)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_SECURE                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_DUAL                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_SCR                      0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_WORD_COUNT                       0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_RESET_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_READ_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_WRITE_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0_VICSWR_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0                        _MK_ADDR_CONST(0x165c)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0_PVA0WRC_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0                        _MK_ADDR_CONST(0x14e8)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_RESET_VAL                      _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0_SCEDMAR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_AONW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0                    _MK_ADDR_CONST(0x14c4)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_SECURE                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_DUAL                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_SCR                        0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_WORD_COUNT                         0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_RESET_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_READ_MASK                  _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_WRITE_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW_0_AONW_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0                 _MK_ADDR_CONST(0x14ec)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0_SCEDMAR_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0                  _MK_ADDR_CONST(0x1414)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_SECURE                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_DUAL                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_SCR                      0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_WORD_COUNT                       0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_RESET_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_READ_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_WRITE_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0_AXIAPR_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0                 _MK_ADDR_CONST(0x1668)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0_PVA1RDA_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_APEDMAW_0
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0                        _MK_ADDR_CONST(0x1500)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_RESET_VAL                      _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW_0_APEDMAW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0                   _MK_ADDR_CONST(0x1598)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0_MIU4R_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0                     _MK_ADDR_CONST(0x10b0)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_SECURE                      0x0
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_DUAL                        0x0
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_SCR                         0
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_WORD_COUNT                  0x1
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_RESET_VAL                   _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_RESET_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_READ_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_WRITE_MASK                  _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0_HOST1XDMAR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_SESWR_0
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0                  _MK_ADDR_CONST(0x1408)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_RESET_VAL                        _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_SO_DEV__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_COH_PATH_OVERRIDE_NORMAL__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SESWR_0_SESWR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0                 _MK_ADDR_CONST(0x1304)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0_SDMMCRA_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0                 _MK_ADDR_CONST(0x12ac)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0_TSECSWR_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_AXIAPW_0
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0                 _MK_ADDR_CONST(0x1418)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_SECURE                  0x0
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_DUAL                    0x0
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_SCR                     0
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_WORD_COUNT                      0x1
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_RESET_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_READ_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_WRITE_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AXIAPW_0_AXIAPW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0                        _MK_ADDR_CONST(0x1434)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_SECURE                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_DUAL                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_SCR                    0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_WORD_COUNT                     0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_RESET_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_READ_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_WRITE_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0_TSECSRDB_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_MIU4R_0
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0                  _MK_ADDR_CONST(0x1594)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4R_0_MIU4R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_MIU4W_0
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0                  _MK_ADDR_CONST(0x159c)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU4W_0_MIU4W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0                       _MK_ADDR_CONST(0x13f0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_SECURE                        0x0
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_DUAL                  0x0
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_SCR                   0
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_WORD_COUNT                    0x1
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_RESET_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_READ_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_WRITE_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0_NVJPGSRD_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0                 _MK_ADDR_CONST(0x1658)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0_PVA0WRB_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_RCER_0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0                    _MK_ADDR_CONST(0x1698)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_SECURE                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_DUAL                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_SCR                        0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_WORD_COUNT                         0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RESET_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_READ_MASK                  _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_WRITE_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_RCER_0_RCER_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0                        _MK_ADDR_CONST(0x1778)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_SECURE                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_DUAL                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_SCR                    0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_WORD_COUNT                     0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_RESET_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_READ_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_WRITE_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0_PVA1RDB1_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0                       _MK_ADDR_CONST(0x13c0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_SECURE                        0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_DUAL                  0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_SCR                   0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_WORD_COUNT                    0x1
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_RESET_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_READ_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_WRITE_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0_NVDECSRD_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0                 _MK_ADDR_CONST(0x14fc)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0_APEDMAR_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0                       _MK_ADDR_CONST(0x14b0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_SECURE                        0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_DUAL                  0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_SCR                   0
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_WORD_COUNT                    0x1
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_RESET_VAL                     _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_RESET_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_READ_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_WRITE_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0_BPMPDMAW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0                  _MK_ADDR_CONST(0x1484)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_SECURE                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_DUAL                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_SCR                      0
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_WORD_COUNT                       0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_RESET_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_READ_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_WRITE_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0_UFSHCR_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0                   _MK_ADDR_CONST(0x100c)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0_MIU7R_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_APER_0
#define MC_TXN_OVERRIDE_CONFIG_APER_0                   _MK_ADDR_CONST(0x13d0)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_SECURE                    0x0
#define MC_TXN_OVERRIDE_CONFIG_APER_0_DUAL                      0x0
#define MC_TXN_OVERRIDE_CONFIG_APER_0_SCR                       0
#define MC_TXN_OVERRIDE_CONFIG_APER_0_WORD_COUNT                        0x1
#define MC_TXN_OVERRIDE_CONFIG_APER_0_RESET_VAL                         _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_RESET_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_READ_MASK                         _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_WRITE_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_APER_0_APER_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0                 _MK_ADDR_CONST(0x11cc)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0_MPCOREW_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0                  _MK_ADDR_CONST(0x1710)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_SECURE                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_DUAL                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_SCR                      0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_WORD_COUNT                       0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_RESET_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x300)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x300)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_READ_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_WRITE_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0_PCIE4W_SO_DEV_TBUID__PROD                        _MK_MASK_CONST(0x3)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0                 _MK_ADDR_CONST(0x17a0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0_PCIE0R1_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0                       _MK_ADDR_CONST(0x1754)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_SECURE                        0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DUAL                  0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_SCR                   0
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_WORD_COUNT                    0x1
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_RESET_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_READ_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_WRITE_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0_DLA1RDA1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0                       _MK_ADDR_CONST(0x1788)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_SECURE                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_DUAL                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_SCR                   0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_WORD_COUNT                    0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_RESET_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_READ_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_WRITE_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0_NVENCSRD1_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0                      _MK_ADDR_CONST(0x10b4)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_SECURE                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_DUAL                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_SCR                  0
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_WORD_COUNT                   0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_RESET_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_READ_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_WRITE_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0_HOST1XDMAR_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0                   _MK_ADDR_CONST(0x157c)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0_MIU2W_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0                      _MK_ADDR_CONST(0x17d8)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_SECURE                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_DUAL                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_SCR                  0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_WORD_COUNT                   0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_RESET_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_READ_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_WRITE_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0_NVDEC1SRD1_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0                 _MK_ADDR_CONST(0x1688)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0_PVA1WRB_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0                  _MK_ADDR_CONST(0x16d0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_SECURE                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_DUAL                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_SCR                      0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_WORD_COUNT                       0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_RESET_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x200)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x300)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_READ_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_WRITE_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0_PCIE0W_SO_DEV_TBUID__PROD                        _MK_MASK_CONST(0x2)


// Register MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0                        _MK_ADDR_CONST(0x1684)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0_PVA1WRB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_ISPWA_0
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0                  _MK_ADDR_CONST(0x1230)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_SO_DEV__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_COH_PATH_OVERRIDE_NORMAL__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPWA_0_ISPWA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0                 _MK_ADDR_CONST(0x1650)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0_PVA0WRA_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0                        _MK_ADDR_CONST(0x168c)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0_PVA1WRC_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0                        _MK_ADDR_CONST(0x16a4)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RESET_VAL                      _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0_RCEDMAR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0                   _MK_ADDR_CONST(0x1544)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0_MIU1R_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_ISPRA1_0
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0                 _MK_ADDR_CONST(0x1794)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_SECURE                  0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_DUAL                    0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_SCR                     0
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_WORD_COUNT                      0x1
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_RESET_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_READ_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_WRITE_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ISPRA1_0_ISPRA1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0                   _MK_ADDR_CONST(0x123c)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0_ISPWB_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0                   _MK_ADDR_CONST(0x153c)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_SECURE                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_DUAL                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_SCR                       0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_WORD_COUNT                        0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_RESET_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_READ_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_WRITE_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0_MIU0W_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_AONR_0
#define MC_TXN_OVERRIDE_CONFIG_AONR_0                   _MK_ADDR_CONST(0x14b8)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_SECURE                    0x0
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_DUAL                      0x0
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_SCR                       0
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_WORD_COUNT                        0x1
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_RESET_VAL                         _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_RESET_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_READ_MASK                         _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_WRITE_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_AONR_0_AONR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0                        _MK_ADDR_CONST(0x16ac)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RESET_VAL                      _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0_RCEDMAW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0                  _MK_ADDR_CONST(0x1718)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_SECURE                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_DUAL                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_SCR                      0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_WORD_COUNT                       0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_RESET_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_READ_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_WRITE_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0_PCIE5R_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_UFSHCW_0
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0                 _MK_ADDR_CONST(0x1488)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_SECURE                  0x0
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_DUAL                    0x0
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_SCR                     0
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_WORD_COUNT                      0x1
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_RESET_VAL                       _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_RESET_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_READ_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_WRITE_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW_0_UFSHCW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_ETRW_0
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0                   _MK_ADDR_CONST(0x1428)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_SECURE                    0x0
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_DUAL                      0x0
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_SCR                       0
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_WORD_COUNT                        0x1
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_RESET_VAL                         _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_RESET_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_READ_MASK                         _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_WRITE_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_ETRW_0_ETRW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_SATAW_0
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0                  _MK_ADDR_CONST(0x11e8)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_RESET_VAL                        _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_SO_DEV__PROD                     _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_COH_PATH_OVERRIDE_NORMAL__PROD                     _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SATAW_0_SATAW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0                        _MK_ADDR_CONST(0x131c)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SECURE                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_DUAL                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SCR                    0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_WORD_COUNT                     0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_RESET_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_READ_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_WRITE_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0_SDMMCRAB_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_VICSWR_0
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0                 _MK_ADDR_CONST(0x1368)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_SECURE                  0x0
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_DUAL                    0x0
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_SCR                     0
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_WORD_COUNT                      0x1
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_RESET_VAL                       _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_RESET_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_READ_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_WRITE_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_VICSWR_0_VICSWR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0                       _MK_ADDR_CONST(0x1158)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_SECURE                        0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_DUAL                  0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_SCR                   0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_WORD_COUNT                    0x1
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_RESET_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_READ_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_WRITE_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0_NVENCSWR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0                        _MK_ADDR_CONST(0x177c)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_RESET_VAL                      _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0_PCIE5R1_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_SCER_0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0                    _MK_ADDR_CONST(0x14dc)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SECURE                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_DUAL                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCR                        0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_WORD_COUNT                         0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_RESET_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_READ_MASK                  _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_WRITE_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER_0_SCER_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0                        _MK_ADDR_CONST(0x163c)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0_PVA0RDB_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0                        _MK_ADDR_CONST(0x1300)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_RESET_VAL                      _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0_SDMMCRA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0                     _MK_ADDR_CONST(0x150c)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_SECURE                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_DUAL                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_SCR                         0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_WORD_COUNT                  0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_RESET_MASK                  _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_READ_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_WRITE_MASK                  _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0_NVDISPLAYR1_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0                        _MK_ADDR_CONST(0x115c)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_SECURE                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_DUAL                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_SCR                    0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_WORD_COUNT                     0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_RESET_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_READ_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_WRITE_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0_NVENCSWR_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0                        _MK_ADDR_CONST(0x13fc)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_SECURE                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_DUAL                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_SCR                    0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_WORD_COUNT                     0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_RESET_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_READ_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_WRITE_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0_NVJPGSWR_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0                        _MK_ADDR_CONST(0x167c)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0_PVA1WRA_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0                        _MK_ADDR_CONST(0x1760)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_SECURE                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_DUAL                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_SCR                    0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_WORD_COUNT                     0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_RESET_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_READ_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_WRITE_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0_PVA0RDA1_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_MIU5W_0
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0                  _MK_ADDR_CONST(0x17ec)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU5W_0_MIU5W_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0                  _MK_ADDR_CONST(0x15f0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_SECURE                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_DUAL                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_SCR                      0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_WORD_COUNT                       0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_RESET_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_READ_MASK                        _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_WRITE_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0_VIFALW_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0                 _MK_ADDR_CONST(0x14f4)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0_SCEDMAW_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_BPMPR_0
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0                  _MK_ADDR_CONST(0x1498)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_RESET_VAL                        _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_SO_DEV__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_COH_PATH_OVERRIDE_NORMAL__PROD                     _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_BPMPR_0_BPMPR_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0                       _MK_ADDR_CONST(0x17d0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_SECURE                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_DUAL                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_SCR                   0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_WORD_COUNT                    0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_RESET_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_READ_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_WRITE_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0_NVDEC1SRD_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0                       _MK_ADDR_CONST(0x17e0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_SECURE                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_DUAL                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_SCR                   0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_WORD_COUNT                    0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_RESET_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_READ_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_WRITE_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0_NVDEC1SWR_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_MIU2R_0
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0                  _MK_ADDR_CONST(0x1570)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_SECURE                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_DUAL                     0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_SCR                      0
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_WORD_COUNT                       0x1
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_RESET_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_READ_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_WRITE_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 NO_OVERRIDE
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)

#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_MIU2R_0_MIU2R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0                      _MK_ADDR_CONST(0x1494)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_SECURE                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_DUAL                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_SCR                  0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_WORD_COUNT                   0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_RESET_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_READ_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_WRITE_MASK                   _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_OVERRIDE_RANGE                       0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_OVERRIDE_WOFFSET                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_RANGE                        5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_NORMAL_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_SO_DEV_TBUID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_SO_DEV_TBUID_FIELD                        _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_SO_DEV_TBUID_RANGE                        9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_SO_DEV_TBUID_WOFFSET                      0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_SO_DEV_TBUID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_SO_DEV_TBUID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_SO_DEV_TBUID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_SO_DEV_TBUID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_SO_DEV_TBUID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0_NVDISPLAYR_SO_DEV_TBUID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0                    _MK_ADDR_CONST(0x11ac)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_SECURE                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_DUAL                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_SCR                        0
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_WORD_COUNT                         0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_RESET_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_READ_MASK                  _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_WRITE_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0_HDAW_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0                        _MK_ADDR_CONST(0x10e4)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_SECURE                         0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_DUAL                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_SCR                    0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_WORD_COUNT                     0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_RESET_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_READ_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_WRITE_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0_NVENCSRD_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0                 _MK_ADDR_CONST(0x1640)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0_PVA0RDB_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0                      _MK_ADDR_CONST(0x1268)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_SECURE                       0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_DUAL                         0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_SCR                  0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_WORD_COUNT                   0x1
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_RESET_VAL                    _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_RESET_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_READ_MASK                    _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_WRITE_MASK                   _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_FIELD                        _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_RANGE                        1:0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_WOFFSET                      0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_INIT_ENUM                    CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_CGID_TAG                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_CGID_ZERO                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_CGID_ADR                     _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE__PROD                        _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_SO_DEV_RANGE                     5:4
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_SO_DEV__PROD                     _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_NORMAL_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_NORMAL_FIELD                     _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_NORMAL_RANGE                     9:8
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                 FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                        _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                    _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                      _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_COH_PATH_OVERRIDE_NORMAL__PROD                     _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_SO_DEV_RANGE                 12:12
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                     CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                      _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0_XUSB_DEVW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0                       _MK_ADDR_CONST(0x16b8)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_SECURE                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_DUAL                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_SCR                   0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_WORD_COUNT                    0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_RESET_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_READ_MASK                     _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_WRITE_MASK                    _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_OVERRIDE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_OVERRIDE_FIELD                 _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_OVERRIDE_RANGE                 0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_OVERRIDE_WOFFSET                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_OVERRIDE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_RANGE                  5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_NORMAL_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_SO_DEV_TBUID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_SO_DEV_TBUID_FIELD                  _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_SO_DEV_TBUID_RANGE                  9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_SO_DEV_TBUID_WOFFSET                        0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_SO_DEV_TBUID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_SO_DEV_TBUID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_SO_DEV_TBUID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_SO_DEV_TBUID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_SO_DEV_TBUID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0_NVENC1SRD_SO_DEV_TBUID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_TSECSRD_0
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0                        _MK_ADDR_CONST(0x12a0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_SECURE                         0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_DUAL                   0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_SCR                    0
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_WORD_COUNT                     0x1
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_RESET_VAL                      _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_RESET_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_READ_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_WRITE_MASK                     _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_FIELD                    _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_RANGE                    1:0
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_WOFFSET                  0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_SW_DEFAULT                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_INIT_ENUM                        CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_CGID_TAG                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_CGID_ZERO                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_CGID_ADR                 _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE__PROD                    _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_SO_DEV_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_SO_DEV_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_SO_DEV_RANGE                 5:4
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_SO_DEV__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_NORMAL_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_NORMAL_FIELD                 _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_NORMAL_RANGE                 9:8
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_NORMAL_WOFFSET                       0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_NORMAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                     FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                    _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                        _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                  _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_COH_PATH_OVERRIDE_NORMAL__PROD                 _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_SO_DEV_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_SO_DEV_FIELD                     _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_SO_DEV_RANGE                     12:12
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_SO_DEV_WOFFSET                   0x0
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_SO_DEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_SO_DEV_INIT_ENUM                 CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                  _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD_0_TSECSRD_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)


// Register MC_TXN_OVERRIDE_CONFIG_PCIE4R_0
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0                 _MK_ADDR_CONST(0x1704)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_SECURE                  0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_DUAL                    0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_SCR                     0
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_WORD_COUNT                      0x1
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_RESET_VAL                       _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_RESET_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_READ_MASK                       _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_WRITE_MASK                      _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_RANGE                      1:0
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_WOFFSET                    0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_INIT_ENUM                  CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_CGID_TAG                   _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                 _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_CGID_ZERO                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_CGID_ADR                   _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE__PROD                      _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_SO_DEV_RANGE                   5:4
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_SO_DEV__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_NORMAL_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_NORMAL_FIELD                   _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_NORMAL_RANGE                   9:8
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_NORMAL_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_NORMAL_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                       FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                     _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                      _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                  _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                    _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_COH_PATH_OVERRIDE_NORMAL__PROD                   _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_SO_DEV_RANGE                       12:12
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_SO_DEV_INIT_ENUM                   CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                    _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_PCIE4R_0_PCIE4R_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                   _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_APEW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0                    _MK_ADDR_CONST(0x13dc)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_SECURE                     0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_DUAL                       0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_SCR                        0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_WORD_COUNT                         0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_RESET_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_READ_MASK                  _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_WRITE_MASK                         _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_OVERRIDE_RANGE                   0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_OVERRIDE_WOFFSET                 0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_RANGE                    5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_NORMAL_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_SO_DEV_TBUID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_SO_DEV_TBUID_FIELD                    _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_SO_DEV_TBUID_RANGE                    9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_SO_DEV_TBUID_WOFFSET                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_SO_DEV_TBUID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_SO_DEV_TBUID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_SO_DEV_TBUID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_SO_DEV_TBUID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_SO_DEV_TBUID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW_0_APEW_SO_DEV_TBUID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0                 _MK_ADDR_CONST(0x1728)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0_ISPFALW_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TXN_OVERRIDE_CONFIG_SCEW_0
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0                   _MK_ADDR_CONST(0x14e0)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SECURE                    0x0
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_DUAL                      0x0
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCR                       0
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_WORD_COUNT                        0x1
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_RESET_VAL                         _MK_MASK_CONST(0x110)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_RESET_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x223)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x333)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_READ_MASK                         _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_WRITE_MASK                        _MK_MASK_CONST(0x1333)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_FIELD                  _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_RANGE                  1:0
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_WOFFSET                        0x0
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_INIT_ENUM                      CGID_TAG
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_CGID_TAG                       _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_CGID_CLIENT_AXI_ID                     _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_CGID_ZERO                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_CGID_ADR                       _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE__PROD                  _MK_MASK_CONST(0x3)

#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_SO_DEV_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_SO_DEV_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_SO_DEV_RANGE                       5:4
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_SO_DEV_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_SO_DEV_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_SO_DEV_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_SO_DEV_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_SO_DEV_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_SO_DEV_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_SO_DEV_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_SO_DEV__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_NORMAL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_NORMAL_FIELD                       _MK_FIELD_CONST(0x3, MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_NORMAL_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_NORMAL_RANGE                       9:8
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_NORMAL_WOFFSET                     0x0
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_NORMAL_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_NORMAL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_NORMAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_NORMAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_NORMAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_NORMAL_INIT_ENUM                   FORCE_NON_COHERENT
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_NORMAL_NO_OVERRIDE                 _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_NORMAL_FORCE_NON_COHERENT                  _MK_ENUM_CONST(1)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT                      _MK_ENUM_CONST(2)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_NORMAL_FORCE_COHERENT_SNOOP                        _MK_ENUM_CONST(3)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_COH_PATH_OVERRIDE_NORMAL__PROD                       _MK_MASK_CONST(0x2)

#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_SO_DEV_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_SO_DEV_FIELD                   _MK_FIELD_CONST(0x1, MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_SO_DEV_SHIFT)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_SO_DEV_RANGE                   12:12
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_SO_DEV_WOFFSET                 0x0
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_SO_DEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_SO_DEV_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_SO_DEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_SO_DEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_SO_DEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_SO_DEV_INIT_ENUM                       CGID_SO_DEV_ZERO
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_ZERO                        _MK_ENUM_CONST(0)
#define MC_TXN_OVERRIDE_CONFIG_SCEW_0_SCEW_AXID_OVERRIDE_SO_DEV_CGID_SO_DEV_CLIENT_AXI_ID                       _MK_ENUM_CONST(1)


// Register MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0                 _MK_ADDR_CONST(0x1660)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_SECURE                  0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_DUAL                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_SCR                     0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_WORD_COUNT                      0x1
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_RESET_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_READ_MASK                       _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_WRITE_MASK                      _MK_MASK_CONST(0x331)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_OVERRIDE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_OVERRIDE_FIELD                     _MK_FIELD_CONST(0x1, MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_OVERRIDE_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_OVERRIDE_RANGE                     0:0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_OVERRIDE_WOFFSET                   0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_OVERRIDE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_OVERRIDE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_OVERRIDE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_OVERRIDE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_OVERRIDE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_OVERRIDE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_RANGE                      5:4
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_NORMAL_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_SO_DEV_TBUID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_SO_DEV_TBUID_FIELD                      _MK_FIELD_CONST(0x3, MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_SO_DEV_TBUID_SHIFT)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_SO_DEV_TBUID_RANGE                      9:8
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_SO_DEV_TBUID_WOFFSET                    0x0
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_SO_DEV_TBUID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_SO_DEV_TBUID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_SO_DEV_TBUID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_SO_DEV_TBUID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_SO_DEV_TBUID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0_PVA0WRC_SO_DEV_TBUID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TBU_ADR_MASK_0_0
#define MC_TBU_ADR_MASK_0_0                     _MK_ADDR_CONST(0x1800)
#define MC_TBU_ADR_MASK_0_0_SECURE                      0x0
#define MC_TBU_ADR_MASK_0_0_DUAL                        0x0
#define MC_TBU_ADR_MASK_0_0_SCR                         0
#define MC_TBU_ADR_MASK_0_0_WORD_COUNT                  0x1
#define MC_TBU_ADR_MASK_0_0_RESET_VAL                   _MK_MASK_CONST(0xb6db4800)
#define MC_TBU_ADR_MASK_0_0_RESET_MASK                  _MK_MASK_CONST(0xfffffe00)
#define MC_TBU_ADR_MASK_0_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_ADR_MASK_0_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_ADR_MASK_0_0_READ_MASK                   _MK_MASK_CONST(0xfffffe00)
#define MC_TBU_ADR_MASK_0_0_WRITE_MASK                  _MK_MASK_CONST(0xfffffe00)
#define MC_TBU_ADR_MASK_0_0_TBU_ADR_MASK_0_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_TBU_ADR_MASK_0_0_TBU_ADR_MASK_0_FIELD                        _MK_FIELD_CONST(0x7fffff, MC_TBU_ADR_MASK_0_0_TBU_ADR_MASK_0_SHIFT)
#define MC_TBU_ADR_MASK_0_0_TBU_ADR_MASK_0_RANGE                        31:9
#define MC_TBU_ADR_MASK_0_0_TBU_ADR_MASK_0_WOFFSET                      0x0
#define MC_TBU_ADR_MASK_0_0_TBU_ADR_MASK_0_DEFAULT                      _MK_MASK_CONST(0x5b6da4)
#define MC_TBU_ADR_MASK_0_0_TBU_ADR_MASK_0_DEFAULT_MASK                 _MK_MASK_CONST(0x7fffff)
#define MC_TBU_ADR_MASK_0_0_TBU_ADR_MASK_0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_ADR_MASK_0_0_TBU_ADR_MASK_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_ADR_MASK_0_0_TBU_ADR_MASK_0_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_ADR_MASK_0_0_TBU_ADR_MASK_0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TBU_ADR_MASK_1_0
#define MC_TBU_ADR_MASK_1_0                     _MK_ADDR_CONST(0x1804)
#define MC_TBU_ADR_MASK_1_0_SECURE                      0x0
#define MC_TBU_ADR_MASK_1_0_DUAL                        0x0
#define MC_TBU_ADR_MASK_1_0_SCR                         0
#define MC_TBU_ADR_MASK_1_0_WORD_COUNT                  0x1
#define MC_TBU_ADR_MASK_1_0_RESET_VAL                   _MK_MASK_CONST(0x6db63000)
#define MC_TBU_ADR_MASK_1_0_RESET_MASK                  _MK_MASK_CONST(0xfffffe00)
#define MC_TBU_ADR_MASK_1_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_ADR_MASK_1_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_ADR_MASK_1_0_READ_MASK                   _MK_MASK_CONST(0xfffffe00)
#define MC_TBU_ADR_MASK_1_0_WRITE_MASK                  _MK_MASK_CONST(0xfffffe00)
#define MC_TBU_ADR_MASK_1_0_TBU_ADR_MASK_1_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_TBU_ADR_MASK_1_0_TBU_ADR_MASK_1_FIELD                        _MK_FIELD_CONST(0x7fffff, MC_TBU_ADR_MASK_1_0_TBU_ADR_MASK_1_SHIFT)
#define MC_TBU_ADR_MASK_1_0_TBU_ADR_MASK_1_RANGE                        31:9
#define MC_TBU_ADR_MASK_1_0_TBU_ADR_MASK_1_WOFFSET                      0x0
#define MC_TBU_ADR_MASK_1_0_TBU_ADR_MASK_1_DEFAULT                      _MK_MASK_CONST(0x36db18)
#define MC_TBU_ADR_MASK_1_0_TBU_ADR_MASK_1_DEFAULT_MASK                 _MK_MASK_CONST(0x7fffff)
#define MC_TBU_ADR_MASK_1_0_TBU_ADR_MASK_1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_ADR_MASK_1_0_TBU_ADR_MASK_1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_ADR_MASK_1_0_TBU_ADR_MASK_1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_ADR_MASK_1_0_TBU_ADR_MASK_1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TBU_ADR_MASK_2_0
#define MC_TBU_ADR_MASK_2_0                     _MK_ADDR_CONST(0x18bc)
#define MC_TBU_ADR_MASK_2_0_SECURE                      0x0
#define MC_TBU_ADR_MASK_2_0_DUAL                        0x0
#define MC_TBU_ADR_MASK_2_0_SCR                         0
#define MC_TBU_ADR_MASK_2_0_WORD_COUNT                  0x1
#define MC_TBU_ADR_MASK_2_0_RESET_VAL                   _MK_MASK_CONST(0xb6db4800)
#define MC_TBU_ADR_MASK_2_0_RESET_MASK                  _MK_MASK_CONST(0xfffffe00)
#define MC_TBU_ADR_MASK_2_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_TBU_ADR_MASK_2_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TBU_ADR_MASK_2_0_READ_MASK                   _MK_MASK_CONST(0xfffffe00)
#define MC_TBU_ADR_MASK_2_0_WRITE_MASK                  _MK_MASK_CONST(0xfffffe00)
#define MC_TBU_ADR_MASK_2_0_TBU_ADR_MASK_2_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_TBU_ADR_MASK_2_0_TBU_ADR_MASK_2_FIELD                        _MK_FIELD_CONST(0x7fffff, MC_TBU_ADR_MASK_2_0_TBU_ADR_MASK_2_SHIFT)
#define MC_TBU_ADR_MASK_2_0_TBU_ADR_MASK_2_RANGE                        31:9
#define MC_TBU_ADR_MASK_2_0_TBU_ADR_MASK_2_WOFFSET                      0x0
#define MC_TBU_ADR_MASK_2_0_TBU_ADR_MASK_2_DEFAULT                      _MK_MASK_CONST(0x5b6da4)
#define MC_TBU_ADR_MASK_2_0_TBU_ADR_MASK_2_DEFAULT_MASK                 _MK_MASK_CONST(0x7fffff)
#define MC_TBU_ADR_MASK_2_0_TBU_ADR_MASK_2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TBU_ADR_MASK_2_0_TBU_ADR_MASK_2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TBU_ADR_MASK_2_0_TBU_ADR_MASK_2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TBU_ADR_MASK_2_0_TBU_ADR_MASK_2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0                       _MK_ADDR_CONST(0x1808)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_SECURE                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_DUAL                  0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_SCR                   0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_WORD_COUNT                    0x1
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_RESET_VAL                     _MK_MASK_CONST(0x90400006)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_RESET_MASK                    _MK_MASK_CONST(0x90600007)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_READ_MASK                     _MK_MASK_CONST(0x90600007)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_WRITE_MASK                    _MK_MASK_CONST(0x90600007)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_PTCR_BLOCKING_CLIENT_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_PTCR_BLOCKING_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_PTCR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_PTCR_BLOCKING_CLIENT_RANGE                    0:0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_PTCR_BLOCKING_CLIENT_WOFFSET                  0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_PTCR_BLOCKING_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_PTCR_BLOCKING_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_PTCR_BLOCKING_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_PTCR_BLOCKING_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_PTCR_BLOCKING_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_PTCR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_PTCR_BLOCKING_CLIENT_INIT_ENUM                        NONBLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_PTCR_BLOCKING_CLIENT_NONBLOCKING                      _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_PTCR_BLOCKING_CLIENT_BLOCKING                 _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7R_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7R_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7R_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7R_BLOCKING_CLIENT_RANGE                   1:1
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7R_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7R_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7R_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7R_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7R_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7R_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7R_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7R_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7R_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7R_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7W_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7W_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7W_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7W_BLOCKING_CLIENT_RANGE                   2:2
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7W_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7W_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7W_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7W_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7W_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7W_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7W_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7W_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7W_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_MIU7W_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HDAR_BLOCKING_CLIENT_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HDAR_BLOCKING_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HDAR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HDAR_BLOCKING_CLIENT_RANGE                    21:21
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HDAR_BLOCKING_CLIENT_WOFFSET                  0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HDAR_BLOCKING_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HDAR_BLOCKING_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HDAR_BLOCKING_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HDAR_BLOCKING_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HDAR_BLOCKING_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HDAR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HDAR_BLOCKING_CLIENT_INIT_ENUM                        NONBLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HDAR_BLOCKING_CLIENT_NONBLOCKING                      _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HDAR_BLOCKING_CLIENT_BLOCKING                 _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HOST1XDMAR_BLOCKING_CLIENT_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HOST1XDMAR_BLOCKING_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HOST1XDMAR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HOST1XDMAR_BLOCKING_CLIENT_RANGE                      22:22
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HOST1XDMAR_BLOCKING_CLIENT_WOFFSET                    0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HOST1XDMAR_BLOCKING_CLIENT_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HOST1XDMAR_BLOCKING_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HOST1XDMAR_BLOCKING_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HOST1XDMAR_BLOCKING_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HOST1XDMAR_BLOCKING_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HOST1XDMAR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HOST1XDMAR_BLOCKING_CLIENT_INIT_ENUM                  BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HOST1XDMAR_BLOCKING_CLIENT_NONBLOCKING                        _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_HOST1XDMAR_BLOCKING_CLIENT_BLOCKING                   _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_NVENCSRD_BLOCKING_CLIENT_SHIFT                        _MK_SHIFT_CONST(28)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_NVENCSRD_BLOCKING_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_NVENCSRD_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_NVENCSRD_BLOCKING_CLIENT_RANGE                        28:28
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_NVENCSRD_BLOCKING_CLIENT_WOFFSET                      0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_NVENCSRD_BLOCKING_CLIENT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_NVENCSRD_BLOCKING_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_NVENCSRD_BLOCKING_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_NVENCSRD_BLOCKING_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_NVENCSRD_BLOCKING_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_NVENCSRD_BLOCKING_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_NVENCSRD_BLOCKING_CLIENT_INIT_ENUM                    BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_NVENCSRD_BLOCKING_CLIENT_NONBLOCKING                  _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_NVENCSRD_BLOCKING_CLIENT_BLOCKING                     _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_SATAR_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_SATAR_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_SATAR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_SATAR_BLOCKING_CLIENT_RANGE                   31:31
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_SATAR_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_SATAR_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_SATAR_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_SATAR_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_SATAR_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_SATAR_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_SATAR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_SATAR_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_SATAR_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0_SATAR_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)


// Register MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0                       _MK_ADDR_CONST(0x180c)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_SECURE                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_DUAL                  0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_SCR                   0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_WORD_COUNT                    0x1
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_RESET_VAL                     _MK_MASK_CONST(0x22000880)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_RESET_MASK                    _MK_MASK_CONST(0x22200880)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_READ_MASK                     _MK_MASK_CONST(0x22200880)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_WRITE_MASK                    _MK_MASK_CONST(0x22200880)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCORER_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCORER_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCORER_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCORER_BLOCKING_CLIENT_RANGE                 7:7
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCORER_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCORER_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCORER_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCORER_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCORER_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCORER_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCORER_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCORER_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCORER_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCORER_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_NVENCSWR_BLOCKING_CLIENT_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_NVENCSWR_BLOCKING_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_NVENCSWR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_NVENCSWR_BLOCKING_CLIENT_RANGE                        11:11
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_NVENCSWR_BLOCKING_CLIENT_WOFFSET                      0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_NVENCSWR_BLOCKING_CLIENT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_NVENCSWR_BLOCKING_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_NVENCSWR_BLOCKING_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_NVENCSWR_BLOCKING_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_NVENCSWR_BLOCKING_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_NVENCSWR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_NVENCSWR_BLOCKING_CLIENT_INIT_ENUM                    BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_NVENCSWR_BLOCKING_CLIENT_NONBLOCKING                  _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_NVENCSWR_BLOCKING_CLIENT_BLOCKING                     _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_HDAW_BLOCKING_CLIENT_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_HDAW_BLOCKING_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_HDAW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_HDAW_BLOCKING_CLIENT_RANGE                    21:21
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_HDAW_BLOCKING_CLIENT_WOFFSET                  0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_HDAW_BLOCKING_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_HDAW_BLOCKING_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_HDAW_BLOCKING_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_HDAW_BLOCKING_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_HDAW_BLOCKING_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_HDAW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_HDAW_BLOCKING_CLIENT_INIT_ENUM                        NONBLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_HDAW_BLOCKING_CLIENT_NONBLOCKING                      _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_HDAW_BLOCKING_CLIENT_BLOCKING                 _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCOREW_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCOREW_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCOREW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCOREW_BLOCKING_CLIENT_RANGE                 25:25
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCOREW_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCOREW_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCOREW_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCOREW_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCOREW_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCOREW_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCOREW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCOREW_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCOREW_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_MPCOREW_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_SATAW_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_SATAW_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_SATAW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_SATAW_BLOCKING_CLIENT_RANGE                   29:29
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_SATAW_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_SATAW_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_SATAW_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_SATAW_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_SATAW_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_SATAW_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_SATAW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_SATAW_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_SATAW_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0_SATAW_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)


// Register MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0                       _MK_ADDR_CONST(0x1810)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_SECURE                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_DUAL                  0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_SCR                   0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_WORD_COUNT                    0x1
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_RESET_VAL                     _MK_MASK_CONST(0x303cf0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_RESET_MASK                    _MK_MASK_CONST(0x303cf0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_READ_MASK                     _MK_MASK_CONST(0x303cf0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_WRITE_MASK                    _MK_MASK_CONST(0x303cf0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPRA_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPRA_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPRA_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPRA_BLOCKING_CLIENT_RANGE                   4:4
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPRA_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPRA_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPRA_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPRA_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPRA_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPRA_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPRA_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPRA_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPRA_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPRA_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPFALR_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPFALR_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPFALR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPFALR_BLOCKING_CLIENT_RANGE                 5:5
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPFALR_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPFALR_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPFALR_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPFALR_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPFALR_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPFALR_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPFALR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPFALR_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPFALR_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPFALR_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWA_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWA_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWA_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWA_BLOCKING_CLIENT_RANGE                   6:6
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWA_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWA_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWA_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWA_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWA_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWA_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWA_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWA_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWA_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWA_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWB_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWB_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWB_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWB_BLOCKING_CLIENT_RANGE                   7:7
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWB_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWB_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWB_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWB_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWB_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWB_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWB_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWB_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWB_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_ISPWB_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTR_BLOCKING_CLIENT_SHIFT                      _MK_SHIFT_CONST(10)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTR_BLOCKING_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTR_BLOCKING_CLIENT_RANGE                      10:10
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTR_BLOCKING_CLIENT_WOFFSET                    0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTR_BLOCKING_CLIENT_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTR_BLOCKING_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTR_BLOCKING_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTR_BLOCKING_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTR_BLOCKING_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTR_BLOCKING_CLIENT_INIT_ENUM                  BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTR_BLOCKING_CLIENT_NONBLOCKING                        _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTR_BLOCKING_CLIENT_BLOCKING                   _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTW_BLOCKING_CLIENT_SHIFT                      _MK_SHIFT_CONST(11)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTW_BLOCKING_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTW_BLOCKING_CLIENT_RANGE                      11:11
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTW_BLOCKING_CLIENT_WOFFSET                    0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTW_BLOCKING_CLIENT_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTW_BLOCKING_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTW_BLOCKING_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTW_BLOCKING_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTW_BLOCKING_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTW_BLOCKING_CLIENT_INIT_ENUM                  BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTW_BLOCKING_CLIENT_NONBLOCKING                        _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_HOSTW_BLOCKING_CLIENT_BLOCKING                   _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVR_BLOCKING_CLIENT_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVR_BLOCKING_CLIENT_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVR_BLOCKING_CLIENT_RANGE                       12:12
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVR_BLOCKING_CLIENT_WOFFSET                     0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVR_BLOCKING_CLIENT_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVR_BLOCKING_CLIENT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVR_BLOCKING_CLIENT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVR_BLOCKING_CLIENT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVR_BLOCKING_CLIENT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVR_BLOCKING_CLIENT_INIT_ENUM                   BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVR_BLOCKING_CLIENT_NONBLOCKING                 _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVR_BLOCKING_CLIENT_BLOCKING                    _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVW_BLOCKING_CLIENT_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVW_BLOCKING_CLIENT_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVW_BLOCKING_CLIENT_RANGE                       13:13
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVW_BLOCKING_CLIENT_WOFFSET                     0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVW_BLOCKING_CLIENT_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVW_BLOCKING_CLIENT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVW_BLOCKING_CLIENT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVW_BLOCKING_CLIENT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVW_BLOCKING_CLIENT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVW_BLOCKING_CLIENT_INIT_ENUM                   BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVW_BLOCKING_CLIENT_NONBLOCKING                 _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_XUSB_DEVW_BLOCKING_CLIENT_BLOCKING                    _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSRD_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSRD_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSRD_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSRD_BLOCKING_CLIENT_RANGE                 20:20
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSRD_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSRD_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSRD_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSRD_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSRD_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSRD_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSRD_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSRD_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSRD_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSRD_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSWR_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSWR_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSWR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSWR_BLOCKING_CLIENT_RANGE                 21:21
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSWR_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSWR_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSWR_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSWR_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSWR_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSWR_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSWR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSWR_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSWR_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0_TSECSWR_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)


// Register MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0                       _MK_ADDR_CONST(0x1814)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SECURE                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_DUAL                  0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SCR                   0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_WORD_COUNT                    0x1
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_RESET_VAL                     _MK_MASK_CONST(0xc30030dd)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_RESET_MASK                    _MK_MASK_CONST(0xcf0430dd)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_READ_MASK                     _MK_MASK_CONST(0xcf0430dd)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_WRITE_MASK                    _MK_MASK_CONST(0xcf0430dd)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRA_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRA_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRA_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRA_BLOCKING_CLIENT_RANGE                 0:0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRA_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRA_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRA_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRA_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRA_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRA_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRA_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRA_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRA_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRA_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCR_BLOCKING_CLIENT_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCR_BLOCKING_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCR_BLOCKING_CLIENT_RANGE                  2:2
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCR_BLOCKING_CLIENT_WOFFSET                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCR_BLOCKING_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCR_BLOCKING_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCR_BLOCKING_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCR_BLOCKING_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCR_BLOCKING_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCR_BLOCKING_CLIENT_INIT_ENUM                      BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCR_BLOCKING_CLIENT_NONBLOCKING                    _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCR_BLOCKING_CLIENT_BLOCKING                       _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRAB_BLOCKING_CLIENT_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRAB_BLOCKING_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRAB_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRAB_BLOCKING_CLIENT_RANGE                        3:3
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRAB_BLOCKING_CLIENT_WOFFSET                      0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRAB_BLOCKING_CLIENT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRAB_BLOCKING_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRAB_BLOCKING_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRAB_BLOCKING_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRAB_BLOCKING_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRAB_BLOCKING_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRAB_BLOCKING_CLIENT_INIT_ENUM                    BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRAB_BLOCKING_CLIENT_NONBLOCKING                  _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCRAB_BLOCKING_CLIENT_BLOCKING                     _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWA_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWA_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWA_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWA_BLOCKING_CLIENT_RANGE                 4:4
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWA_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWA_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWA_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWA_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWA_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWA_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWA_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWA_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWA_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWA_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCW_BLOCKING_CLIENT_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCW_BLOCKING_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCW_BLOCKING_CLIENT_RANGE                  6:6
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCW_BLOCKING_CLIENT_WOFFSET                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCW_BLOCKING_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCW_BLOCKING_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCW_BLOCKING_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCW_BLOCKING_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCW_BLOCKING_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCW_BLOCKING_CLIENT_INIT_ENUM                      BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCW_BLOCKING_CLIENT_NONBLOCKING                    _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCW_BLOCKING_CLIENT_BLOCKING                       _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWAB_BLOCKING_CLIENT_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWAB_BLOCKING_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWAB_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWAB_BLOCKING_CLIENT_RANGE                        7:7
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWAB_BLOCKING_CLIENT_WOFFSET                      0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWAB_BLOCKING_CLIENT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWAB_BLOCKING_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWAB_BLOCKING_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWAB_BLOCKING_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWAB_BLOCKING_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWAB_BLOCKING_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWAB_BLOCKING_CLIENT_INIT_ENUM                    BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWAB_BLOCKING_CLIENT_NONBLOCKING                  _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_SDMMCWAB_BLOCKING_CLIENT_BLOCKING                     _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSRD_BLOCKING_CLIENT_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSRD_BLOCKING_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSRD_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSRD_BLOCKING_CLIENT_RANGE                  12:12
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSRD_BLOCKING_CLIENT_WOFFSET                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSRD_BLOCKING_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSRD_BLOCKING_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSRD_BLOCKING_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSRD_BLOCKING_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSRD_BLOCKING_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSRD_BLOCKING_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSRD_BLOCKING_CLIENT_INIT_ENUM                      BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSRD_BLOCKING_CLIENT_NONBLOCKING                    _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSRD_BLOCKING_CLIENT_BLOCKING                       _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSWR_BLOCKING_CLIENT_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSWR_BLOCKING_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSWR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSWR_BLOCKING_CLIENT_RANGE                  13:13
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSWR_BLOCKING_CLIENT_WOFFSET                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSWR_BLOCKING_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSWR_BLOCKING_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSWR_BLOCKING_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSWR_BLOCKING_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSWR_BLOCKING_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSWR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSWR_BLOCKING_CLIENT_INIT_ENUM                      BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSWR_BLOCKING_CLIENT_NONBLOCKING                    _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VICSWR_BLOCKING_CLIENT_BLOCKING                       _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VIW_BLOCKING_CLIENT_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VIW_BLOCKING_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VIW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VIW_BLOCKING_CLIENT_RANGE                     18:18
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VIW_BLOCKING_CLIENT_WOFFSET                   0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VIW_BLOCKING_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VIW_BLOCKING_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VIW_BLOCKING_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VIW_BLOCKING_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VIW_BLOCKING_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VIW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VIW_BLOCKING_CLIENT_INIT_ENUM                 NONBLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VIW_BLOCKING_CLIENT_NONBLOCKING                       _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_VIW_BLOCKING_CLIENT_BLOCKING                  _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSRD_BLOCKING_CLIENT_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSRD_BLOCKING_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSRD_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSRD_BLOCKING_CLIENT_RANGE                        24:24
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSRD_BLOCKING_CLIENT_WOFFSET                      0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSRD_BLOCKING_CLIENT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSRD_BLOCKING_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSRD_BLOCKING_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSRD_BLOCKING_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSRD_BLOCKING_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSRD_BLOCKING_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSRD_BLOCKING_CLIENT_INIT_ENUM                    BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSRD_BLOCKING_CLIENT_NONBLOCKING                  _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSRD_BLOCKING_CLIENT_BLOCKING                     _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSWR_BLOCKING_CLIENT_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSWR_BLOCKING_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSWR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSWR_BLOCKING_CLIENT_RANGE                        25:25
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSWR_BLOCKING_CLIENT_WOFFSET                      0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSWR_BLOCKING_CLIENT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSWR_BLOCKING_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSWR_BLOCKING_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSWR_BLOCKING_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSWR_BLOCKING_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSWR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSWR_BLOCKING_CLIENT_INIT_ENUM                    BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSWR_BLOCKING_CLIENT_NONBLOCKING                  _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVDECSWR_BLOCKING_CLIENT_BLOCKING                     _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APER_BLOCKING_CLIENT_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APER_BLOCKING_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APER_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APER_BLOCKING_CLIENT_RANGE                    26:26
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APER_BLOCKING_CLIENT_WOFFSET                  0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APER_BLOCKING_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APER_BLOCKING_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APER_BLOCKING_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APER_BLOCKING_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APER_BLOCKING_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APER_BLOCKING_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APER_BLOCKING_CLIENT_INIT_ENUM                        NONBLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APER_BLOCKING_CLIENT_NONBLOCKING                      _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APER_BLOCKING_CLIENT_BLOCKING                 _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APEW_BLOCKING_CLIENT_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APEW_BLOCKING_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APEW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APEW_BLOCKING_CLIENT_RANGE                    27:27
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APEW_BLOCKING_CLIENT_WOFFSET                  0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APEW_BLOCKING_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APEW_BLOCKING_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APEW_BLOCKING_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APEW_BLOCKING_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APEW_BLOCKING_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APEW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APEW_BLOCKING_CLIENT_INIT_ENUM                        NONBLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APEW_BLOCKING_CLIENT_NONBLOCKING                      _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_APEW_BLOCKING_CLIENT_BLOCKING                 _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSRD_BLOCKING_CLIENT_SHIFT                        _MK_SHIFT_CONST(30)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSRD_BLOCKING_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSRD_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSRD_BLOCKING_CLIENT_RANGE                        30:30
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSRD_BLOCKING_CLIENT_WOFFSET                      0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSRD_BLOCKING_CLIENT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSRD_BLOCKING_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSRD_BLOCKING_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSRD_BLOCKING_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSRD_BLOCKING_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSRD_BLOCKING_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSRD_BLOCKING_CLIENT_INIT_ENUM                    BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSRD_BLOCKING_CLIENT_NONBLOCKING                  _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSRD_BLOCKING_CLIENT_BLOCKING                     _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSWR_BLOCKING_CLIENT_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSWR_BLOCKING_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSWR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSWR_BLOCKING_CLIENT_RANGE                        31:31
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSWR_BLOCKING_CLIENT_WOFFSET                      0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSWR_BLOCKING_CLIENT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSWR_BLOCKING_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSWR_BLOCKING_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSWR_BLOCKING_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSWR_BLOCKING_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSWR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSWR_BLOCKING_CLIENT_INIT_ENUM                    BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSWR_BLOCKING_CLIENT_NONBLOCKING                  _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0_NVJPGSWR_BLOCKING_CLIENT_BLOCKING                     _MK_ENUM_CONST(1)


// Register MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0                       _MK_ADDR_CONST(0x1818)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SECURE                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_DUAL                  0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCR                   0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_WORD_COUNT                    0x1
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_RESET_VAL                     _MK_MASK_CONST(0xe60330ff)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_RESET_MASK                    _MK_MASK_CONST(0xfffff0ff)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_READ_MASK                     _MK_MASK_CONST(0xfffff0ff)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_WRITE_MASK                    _MK_MASK_CONST(0xfffff0ff)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESRD_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESRD_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESRD_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESRD_BLOCKING_CLIENT_RANGE                   0:0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESRD_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESRD_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESRD_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESRD_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESRD_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESRD_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESRD_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESRD_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESRD_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESRD_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESWR_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESWR_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESWR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESWR_BLOCKING_CLIENT_RANGE                   1:1
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESWR_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESWR_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESWR_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESWR_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESWR_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESWR_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESWR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESWR_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESWR_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SESWR_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPR_BLOCKING_CLIENT_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPR_BLOCKING_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPR_BLOCKING_CLIENT_RANGE                  2:2
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPR_BLOCKING_CLIENT_WOFFSET                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPR_BLOCKING_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPR_BLOCKING_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPR_BLOCKING_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPR_BLOCKING_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPR_BLOCKING_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPR_BLOCKING_CLIENT_INIT_ENUM                      BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPR_BLOCKING_CLIENT_NONBLOCKING                    _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPR_BLOCKING_CLIENT_BLOCKING                       _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPW_BLOCKING_CLIENT_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPW_BLOCKING_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPW_BLOCKING_CLIENT_RANGE                  3:3
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPW_BLOCKING_CLIENT_WOFFSET                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPW_BLOCKING_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPW_BLOCKING_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPW_BLOCKING_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPW_BLOCKING_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPW_BLOCKING_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPW_BLOCKING_CLIENT_INIT_ENUM                      BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPW_BLOCKING_CLIENT_NONBLOCKING                    _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXIAPW_BLOCKING_CLIENT_BLOCKING                       _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRR_BLOCKING_CLIENT_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRR_BLOCKING_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRR_BLOCKING_CLIENT_RANGE                    4:4
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRR_BLOCKING_CLIENT_WOFFSET                  0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRR_BLOCKING_CLIENT_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRR_BLOCKING_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRR_BLOCKING_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRR_BLOCKING_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRR_BLOCKING_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRR_BLOCKING_CLIENT_INIT_ENUM                        BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRR_BLOCKING_CLIENT_NONBLOCKING                      _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRR_BLOCKING_CLIENT_BLOCKING                 _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRW_BLOCKING_CLIENT_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRW_BLOCKING_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRW_BLOCKING_CLIENT_RANGE                    5:5
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRW_BLOCKING_CLIENT_WOFFSET                  0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRW_BLOCKING_CLIENT_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRW_BLOCKING_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRW_BLOCKING_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRW_BLOCKING_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRW_BLOCKING_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRW_BLOCKING_CLIENT_INIT_ENUM                        BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRW_BLOCKING_CLIENT_NONBLOCKING                      _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_ETRW_BLOCKING_CLIENT_BLOCKING                 _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSRDB_BLOCKING_CLIENT_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSRDB_BLOCKING_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSRDB_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSRDB_BLOCKING_CLIENT_RANGE                        6:6
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSRDB_BLOCKING_CLIENT_WOFFSET                      0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSRDB_BLOCKING_CLIENT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSRDB_BLOCKING_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSRDB_BLOCKING_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSRDB_BLOCKING_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSRDB_BLOCKING_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSRDB_BLOCKING_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSRDB_BLOCKING_CLIENT_INIT_ENUM                    BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSRDB_BLOCKING_CLIENT_NONBLOCKING                  _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSRDB_BLOCKING_CLIENT_BLOCKING                     _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSWRB_BLOCKING_CLIENT_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSWRB_BLOCKING_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSWRB_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSWRB_BLOCKING_CLIENT_RANGE                        7:7
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSWRB_BLOCKING_CLIENT_WOFFSET                      0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSWRB_BLOCKING_CLIENT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSWRB_BLOCKING_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSWRB_BLOCKING_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSWRB_BLOCKING_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSWRB_BLOCKING_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSWRB_BLOCKING_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSWRB_BLOCKING_CLIENT_INIT_ENUM                    BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSWRB_BLOCKING_CLIENT_NONBLOCKING                  _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_TSECSWRB_BLOCKING_CLIENT_BLOCKING                     _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISR_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISR_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISR_BLOCKING_CLIENT_RANGE                   12:12
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISR_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISR_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISR_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISR_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISR_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISR_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISR_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISR_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISR_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISW_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISW_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISW_BLOCKING_CLIENT_RANGE                   13:13
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISW_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISW_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISW_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISW_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISW_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISW_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISW_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISW_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AXISW_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSR_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSR_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSR_BLOCKING_CLIENT_RANGE                   14:14
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSR_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSR_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSR_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSR_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSR_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSR_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSR_BLOCKING_CLIENT_INIT_ENUM                       NONBLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSR_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSR_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSW_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(15)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSW_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSW_BLOCKING_CLIENT_RANGE                   15:15
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSW_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSW_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSW_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSW_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSW_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSW_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSW_BLOCKING_CLIENT_INIT_ENUM                       NONBLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSW_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_EQOSW_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCR_BLOCKING_CLIENT_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCR_BLOCKING_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCR_BLOCKING_CLIENT_RANGE                  16:16
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCR_BLOCKING_CLIENT_WOFFSET                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCR_BLOCKING_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCR_BLOCKING_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCR_BLOCKING_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCR_BLOCKING_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCR_BLOCKING_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCR_BLOCKING_CLIENT_INIT_ENUM                      BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCR_BLOCKING_CLIENT_NONBLOCKING                    _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCR_BLOCKING_CLIENT_BLOCKING                       _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCW_BLOCKING_CLIENT_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCW_BLOCKING_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCW_BLOCKING_CLIENT_RANGE                  17:17
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCW_BLOCKING_CLIENT_WOFFSET                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCW_BLOCKING_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCW_BLOCKING_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCW_BLOCKING_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCW_BLOCKING_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCW_BLOCKING_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCW_BLOCKING_CLIENT_INIT_ENUM                      BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCW_BLOCKING_CLIENT_NONBLOCKING                    _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_UFSHCW_BLOCKING_CLIENT_BLOCKING                       _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_NVDISPLAYR_BLOCKING_CLIENT_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_NVDISPLAYR_BLOCKING_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_NVDISPLAYR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_NVDISPLAYR_BLOCKING_CLIENT_RANGE                      18:18
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_NVDISPLAYR_BLOCKING_CLIENT_WOFFSET                    0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_NVDISPLAYR_BLOCKING_CLIENT_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_NVDISPLAYR_BLOCKING_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_NVDISPLAYR_BLOCKING_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_NVDISPLAYR_BLOCKING_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_NVDISPLAYR_BLOCKING_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_NVDISPLAYR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_NVDISPLAYR_BLOCKING_CLIENT_INIT_ENUM                  NONBLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_NVDISPLAYR_BLOCKING_CLIENT_NONBLOCKING                        _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_NVDISPLAYR_BLOCKING_CLIENT_BLOCKING                   _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPR_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(19)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPR_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPR_BLOCKING_CLIENT_RANGE                   19:19
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPR_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPR_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPR_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPR_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPR_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPR_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPR_BLOCKING_CLIENT_INIT_ENUM                       NONBLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPR_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPR_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPW_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPW_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPW_BLOCKING_CLIENT_RANGE                   20:20
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPW_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPW_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPW_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPW_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPW_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPW_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPW_BLOCKING_CLIENT_INIT_ENUM                       NONBLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPW_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPW_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAR_BLOCKING_CLIENT_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAR_BLOCKING_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAR_BLOCKING_CLIENT_RANGE                        21:21
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAR_BLOCKING_CLIENT_WOFFSET                      0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAR_BLOCKING_CLIENT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAR_BLOCKING_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAR_BLOCKING_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAR_BLOCKING_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAR_BLOCKING_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAR_BLOCKING_CLIENT_INIT_ENUM                    NONBLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAR_BLOCKING_CLIENT_NONBLOCKING                  _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAR_BLOCKING_CLIENT_BLOCKING                     _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAW_BLOCKING_CLIENT_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAW_BLOCKING_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAW_BLOCKING_CLIENT_RANGE                        22:22
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAW_BLOCKING_CLIENT_WOFFSET                      0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAW_BLOCKING_CLIENT_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAW_BLOCKING_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAW_BLOCKING_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAW_BLOCKING_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAW_BLOCKING_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAW_BLOCKING_CLIENT_INIT_ENUM                    NONBLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAW_BLOCKING_CLIENT_NONBLOCKING                  _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_BPMPDMAW_BLOCKING_CLIENT_BLOCKING                     _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONR_BLOCKING_CLIENT_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONR_BLOCKING_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONR_BLOCKING_CLIENT_RANGE                    23:23
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONR_BLOCKING_CLIENT_WOFFSET                  0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONR_BLOCKING_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONR_BLOCKING_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONR_BLOCKING_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONR_BLOCKING_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONR_BLOCKING_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONR_BLOCKING_CLIENT_INIT_ENUM                        NONBLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONR_BLOCKING_CLIENT_NONBLOCKING                      _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONR_BLOCKING_CLIENT_BLOCKING                 _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONW_BLOCKING_CLIENT_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONW_BLOCKING_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONW_BLOCKING_CLIENT_RANGE                    24:24
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONW_BLOCKING_CLIENT_WOFFSET                  0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONW_BLOCKING_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONW_BLOCKING_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONW_BLOCKING_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONW_BLOCKING_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONW_BLOCKING_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONW_BLOCKING_CLIENT_INIT_ENUM                        NONBLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONW_BLOCKING_CLIENT_NONBLOCKING                      _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONW_BLOCKING_CLIENT_BLOCKING                 _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAR_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAR_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAR_BLOCKING_CLIENT_RANGE                 25:25
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAR_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAR_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAR_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAR_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAR_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAR_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAR_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAR_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAR_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAW_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAW_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAW_BLOCKING_CLIENT_RANGE                 26:26
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAW_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAW_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAW_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAW_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAW_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAW_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAW_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAW_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_AONDMAW_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCER_BLOCKING_CLIENT_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCER_BLOCKING_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCER_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCER_BLOCKING_CLIENT_RANGE                    27:27
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCER_BLOCKING_CLIENT_WOFFSET                  0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCER_BLOCKING_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCER_BLOCKING_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCER_BLOCKING_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCER_BLOCKING_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCER_BLOCKING_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCER_BLOCKING_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCER_BLOCKING_CLIENT_INIT_ENUM                        NONBLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCER_BLOCKING_CLIENT_NONBLOCKING                      _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCER_BLOCKING_CLIENT_BLOCKING                 _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEW_BLOCKING_CLIENT_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEW_BLOCKING_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEW_BLOCKING_CLIENT_RANGE                    28:28
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEW_BLOCKING_CLIENT_WOFFSET                  0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEW_BLOCKING_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEW_BLOCKING_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEW_BLOCKING_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEW_BLOCKING_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEW_BLOCKING_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEW_BLOCKING_CLIENT_INIT_ENUM                        NONBLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEW_BLOCKING_CLIENT_NONBLOCKING                      _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEW_BLOCKING_CLIENT_BLOCKING                 _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAR_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAR_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAR_BLOCKING_CLIENT_RANGE                 29:29
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAR_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAR_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAR_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAR_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAR_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAR_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAR_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAR_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAR_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAW_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAW_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAW_BLOCKING_CLIENT_RANGE                 30:30
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAW_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAW_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAW_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAW_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAW_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAW_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAW_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAW_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_SCEDMAW_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_APEDMAR_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_APEDMAR_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_APEDMAR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_APEDMAR_BLOCKING_CLIENT_RANGE                 31:31
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_APEDMAR_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_APEDMAR_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_APEDMAR_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_APEDMAR_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_APEDMAR_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_APEDMAR_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_APEDMAR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_APEDMAR_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_APEDMAR_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0_APEDMAR_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)


// Register MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0                       _MK_ADDR_CONST(0x181c)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_SECURE                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DUAL                  0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_SCR                   0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_WORD_COUNT                    0x1
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_RESET_VAL                     _MK_MASK_CONST(0xf00fc3cd)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_RESET_MASK                    _MK_MASK_CONST(0xf00fc3cf)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_READ_MASK                     _MK_MASK_CONST(0xf00fc3cf)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_WRITE_MASK                    _MK_MASK_CONST(0xf00fc3cf)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_APEDMAW_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_APEDMAW_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_APEDMAW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_APEDMAW_BLOCKING_CLIENT_RANGE                 0:0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_APEDMAW_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_APEDMAW_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_APEDMAW_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_APEDMAW_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_APEDMAW_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_APEDMAW_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_APEDMAW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_APEDMAW_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_APEDMAW_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_APEDMAW_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDISPLAYR1_BLOCKING_CLIENT_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDISPLAYR1_BLOCKING_CLIENT_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDISPLAYR1_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDISPLAYR1_BLOCKING_CLIENT_RANGE                     1:1
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDISPLAYR1_BLOCKING_CLIENT_WOFFSET                   0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDISPLAYR1_BLOCKING_CLIENT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDISPLAYR1_BLOCKING_CLIENT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDISPLAYR1_BLOCKING_CLIENT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDISPLAYR1_BLOCKING_CLIENT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDISPLAYR1_BLOCKING_CLIENT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDISPLAYR1_BLOCKING_CLIENT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDISPLAYR1_BLOCKING_CLIENT_INIT_ENUM                 NONBLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDISPLAYR1_BLOCKING_CLIENT_NONBLOCKING                       _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDISPLAYR1_BLOCKING_CLIENT_BLOCKING                  _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VICSRD1_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VICSRD1_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VICSRD1_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VICSRD1_BLOCKING_CLIENT_RANGE                 2:2
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VICSRD1_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VICSRD1_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VICSRD1_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VICSRD1_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VICSRD1_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VICSRD1_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VICSRD1_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VICSRD1_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VICSRD1_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VICSRD1_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDECSRD1_BLOCKING_CLIENT_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDECSRD1_BLOCKING_CLIENT_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDECSRD1_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDECSRD1_BLOCKING_CLIENT_RANGE                       3:3
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDECSRD1_BLOCKING_CLIENT_WOFFSET                     0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDECSRD1_BLOCKING_CLIENT_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDECSRD1_BLOCKING_CLIENT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDECSRD1_BLOCKING_CLIENT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDECSRD1_BLOCKING_CLIENT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDECSRD1_BLOCKING_CLIENT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDECSRD1_BLOCKING_CLIENT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDECSRD1_BLOCKING_CLIENT_INIT_ENUM                   BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDECSRD1_BLOCKING_CLIENT_NONBLOCKING                 _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_NVDECSRD1_BLOCKING_CLIENT_BLOCKING                    _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0R_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0R_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0R_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0R_BLOCKING_CLIENT_RANGE                   6:6
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0R_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0R_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0R_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0R_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0R_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0R_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0R_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0R_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0R_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0R_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0W_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0W_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0W_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0W_BLOCKING_CLIENT_RANGE                   7:7
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0W_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0W_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0W_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0W_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0W_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0W_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0W_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0W_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0W_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU0W_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1R_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1R_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1R_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1R_BLOCKING_CLIENT_RANGE                   8:8
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1R_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1R_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1R_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1R_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1R_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1R_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1R_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1R_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1R_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1R_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1W_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1W_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1W_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1W_BLOCKING_CLIENT_RANGE                   9:9
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1W_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1W_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1W_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1W_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1W_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1W_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1W_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1W_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1W_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU1W_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2R_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2R_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2R_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2R_BLOCKING_CLIENT_RANGE                   14:14
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2R_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2R_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2R_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2R_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2R_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2R_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2R_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2R_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2R_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2R_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2W_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(15)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2W_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2W_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2W_BLOCKING_CLIENT_RANGE                   15:15
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2W_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2W_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2W_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2W_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2W_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2W_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2W_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2W_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2W_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU2W_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3R_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3R_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3R_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3R_BLOCKING_CLIENT_RANGE                   16:16
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3R_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3R_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3R_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3R_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3R_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3R_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3R_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3R_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3R_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3R_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3W_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3W_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3W_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3W_BLOCKING_CLIENT_RANGE                   17:17
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3W_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3W_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3W_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3W_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3W_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3W_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3W_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3W_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3W_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU3W_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4R_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4R_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4R_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4R_BLOCKING_CLIENT_RANGE                   18:18
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4R_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4R_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4R_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4R_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4R_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4R_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4R_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4R_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4R_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4R_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4W_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(19)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4W_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4W_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4W_BLOCKING_CLIENT_RANGE                   19:19
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4W_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4W_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4W_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4W_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4W_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4W_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4W_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4W_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4W_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_MIU4W_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALR_BLOCKING_CLIENT_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALR_BLOCKING_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALR_BLOCKING_CLIENT_RANGE                  28:28
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALR_BLOCKING_CLIENT_WOFFSET                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALR_BLOCKING_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALR_BLOCKING_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALR_BLOCKING_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALR_BLOCKING_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALR_BLOCKING_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALR_BLOCKING_CLIENT_INIT_ENUM                      BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALR_BLOCKING_CLIENT_NONBLOCKING                    _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALR_BLOCKING_CLIENT_BLOCKING                       _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALW_BLOCKING_CLIENT_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALW_BLOCKING_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALW_BLOCKING_CLIENT_RANGE                  29:29
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALW_BLOCKING_CLIENT_WOFFSET                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALW_BLOCKING_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALW_BLOCKING_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALW_BLOCKING_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALW_BLOCKING_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALW_BLOCKING_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALW_BLOCKING_CLIENT_INIT_ENUM                      BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALW_BLOCKING_CLIENT_NONBLOCKING                    _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_VIFALW_BLOCKING_CLIENT_BLOCKING                       _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0RDA_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0RDA_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0RDA_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0RDA_BLOCKING_CLIENT_RANGE                 30:30
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0RDA_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0RDA_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0RDA_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0RDA_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0RDA_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0RDA_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0RDA_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0RDA_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0RDA_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0RDA_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0FALRDB_BLOCKING_CLIENT_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0FALRDB_BLOCKING_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0FALRDB_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0FALRDB_BLOCKING_CLIENT_RANGE                      31:31
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0FALRDB_BLOCKING_CLIENT_WOFFSET                    0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0FALRDB_BLOCKING_CLIENT_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0FALRDB_BLOCKING_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0FALRDB_BLOCKING_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0FALRDB_BLOCKING_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0FALRDB_BLOCKING_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0FALRDB_BLOCKING_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0FALRDB_BLOCKING_CLIENT_INIT_ENUM                  BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0FALRDB_BLOCKING_CLIENT_NONBLOCKING                        _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0_DLA0FALRDB_BLOCKING_CLIENT_BLOCKING                   _MK_ENUM_CONST(1)


// Register MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0                       _MK_ADDR_CONST(0x18b0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_SECURE                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DUAL                  0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_SCR                   0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_WORD_COUNT                    0x1
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RESET_VAL                     _MK_MASK_CONST(0xfff3ffff)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0WRA_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0WRA_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0WRA_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0WRA_BLOCKING_CLIENT_RANGE                 0:0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0WRA_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0WRA_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0WRA_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0WRA_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0WRA_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0WRA_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0WRA_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0WRA_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0WRA_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0WRA_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0FALWRB_BLOCKING_CLIENT_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0FALWRB_BLOCKING_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0FALWRB_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0FALWRB_BLOCKING_CLIENT_RANGE                      1:1
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0FALWRB_BLOCKING_CLIENT_WOFFSET                    0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0FALWRB_BLOCKING_CLIENT_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0FALWRB_BLOCKING_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0FALWRB_BLOCKING_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0FALWRB_BLOCKING_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0FALWRB_BLOCKING_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0FALWRB_BLOCKING_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0FALWRB_BLOCKING_CLIENT_INIT_ENUM                  BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0FALWRB_BLOCKING_CLIENT_NONBLOCKING                        _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA0FALWRB_BLOCKING_CLIENT_BLOCKING                   _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1RDA_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1RDA_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1RDA_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1RDA_BLOCKING_CLIENT_RANGE                 2:2
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1RDA_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1RDA_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1RDA_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1RDA_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1RDA_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1RDA_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1RDA_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1RDA_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1RDA_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1RDA_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALRDB_BLOCKING_CLIENT_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALRDB_BLOCKING_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALRDB_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALRDB_BLOCKING_CLIENT_RANGE                      3:3
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALRDB_BLOCKING_CLIENT_WOFFSET                    0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALRDB_BLOCKING_CLIENT_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALRDB_BLOCKING_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALRDB_BLOCKING_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALRDB_BLOCKING_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALRDB_BLOCKING_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALRDB_BLOCKING_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALRDB_BLOCKING_CLIENT_INIT_ENUM                  BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALRDB_BLOCKING_CLIENT_NONBLOCKING                        _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALRDB_BLOCKING_CLIENT_BLOCKING                   _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1WRA_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1WRA_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1WRA_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1WRA_BLOCKING_CLIENT_RANGE                 4:4
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1WRA_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1WRA_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1WRA_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1WRA_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1WRA_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1WRA_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1WRA_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1WRA_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1WRA_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1WRA_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALWRB_BLOCKING_CLIENT_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALWRB_BLOCKING_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALWRB_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALWRB_BLOCKING_CLIENT_RANGE                      5:5
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALWRB_BLOCKING_CLIENT_WOFFSET                    0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALWRB_BLOCKING_CLIENT_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALWRB_BLOCKING_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALWRB_BLOCKING_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALWRB_BLOCKING_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALWRB_BLOCKING_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALWRB_BLOCKING_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALWRB_BLOCKING_CLIENT_INIT_ENUM                  BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALWRB_BLOCKING_CLIENT_NONBLOCKING                        _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_DLA1FALWRB_BLOCKING_CLIENT_BLOCKING                   _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDA_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDA_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDA_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDA_BLOCKING_CLIENT_RANGE                 6:6
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDA_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDA_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDA_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDA_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDA_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDA_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDA_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDA_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDA_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDA_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDB_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDB_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDB_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDB_BLOCKING_CLIENT_RANGE                 7:7
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDB_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDB_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDB_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDB_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDB_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDB_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDB_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDB_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDB_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDB_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDC_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDC_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDC_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDC_BLOCKING_CLIENT_RANGE                 8:8
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDC_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDC_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDC_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDC_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDC_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDC_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDC_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDC_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDC_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0RDC_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRA_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRA_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRA_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRA_BLOCKING_CLIENT_RANGE                 9:9
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRA_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRA_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRA_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRA_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRA_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRA_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRA_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRA_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRA_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRA_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRB_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRB_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRB_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRB_BLOCKING_CLIENT_RANGE                 10:10
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRB_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRB_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRB_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRB_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRB_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRB_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRB_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRB_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRB_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRB_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRC_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRC_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRC_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRC_BLOCKING_CLIENT_RANGE                 11:11
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRC_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRC_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRC_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRC_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRC_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRC_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRC_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRC_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRC_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA0WRC_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDA_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDA_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDA_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDA_BLOCKING_CLIENT_RANGE                 12:12
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDA_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDA_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDA_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDA_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDA_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDA_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDA_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDA_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDA_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDA_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDB_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDB_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDB_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDB_BLOCKING_CLIENT_RANGE                 13:13
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDB_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDB_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDB_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDB_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDB_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDB_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDB_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDB_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDB_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDB_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDC_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDC_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDC_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDC_BLOCKING_CLIENT_RANGE                 14:14
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDC_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDC_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDC_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDC_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDC_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDC_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDC_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDC_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDC_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1RDC_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRA_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRA_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRA_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRA_BLOCKING_CLIENT_RANGE                 15:15
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRA_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRA_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRA_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRA_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRA_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRA_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRA_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRA_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRA_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRA_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRB_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRB_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRB_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRB_BLOCKING_CLIENT_RANGE                 16:16
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRB_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRB_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRB_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRB_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRB_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRB_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRB_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRB_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRB_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRB_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRC_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRC_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRC_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRC_BLOCKING_CLIENT_RANGE                 17:17
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRC_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRC_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRC_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRC_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRC_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRC_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRC_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRC_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRC_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PVA1WRC_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCER_BLOCKING_CLIENT_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCER_BLOCKING_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCER_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCER_BLOCKING_CLIENT_RANGE                    18:18
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCER_BLOCKING_CLIENT_WOFFSET                  0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCER_BLOCKING_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCER_BLOCKING_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCER_BLOCKING_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCER_BLOCKING_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCER_BLOCKING_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCER_BLOCKING_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCER_BLOCKING_CLIENT_INIT_ENUM                        NONBLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCER_BLOCKING_CLIENT_NONBLOCKING                      _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCER_BLOCKING_CLIENT_BLOCKING                 _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEW_BLOCKING_CLIENT_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEW_BLOCKING_CLIENT_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEW_BLOCKING_CLIENT_RANGE                    19:19
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEW_BLOCKING_CLIENT_WOFFSET                  0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEW_BLOCKING_CLIENT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEW_BLOCKING_CLIENT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEW_BLOCKING_CLIENT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEW_BLOCKING_CLIENT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEW_BLOCKING_CLIENT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEW_BLOCKING_CLIENT_INIT_ENUM                        NONBLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEW_BLOCKING_CLIENT_NONBLOCKING                      _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEW_BLOCKING_CLIENT_BLOCKING                 _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAR_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAR_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAR_BLOCKING_CLIENT_RANGE                 20:20
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAR_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAR_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAR_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAR_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAR_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAR_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAR_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAR_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAR_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAW_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAW_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAW_BLOCKING_CLIENT_RANGE                 21:21
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAW_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAW_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAW_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAW_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAW_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAW_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAW_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAW_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_RCEDMAW_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SRD_BLOCKING_CLIENT_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SRD_BLOCKING_CLIENT_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SRD_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SRD_BLOCKING_CLIENT_RANGE                       22:22
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SRD_BLOCKING_CLIENT_WOFFSET                     0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SRD_BLOCKING_CLIENT_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SRD_BLOCKING_CLIENT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SRD_BLOCKING_CLIENT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SRD_BLOCKING_CLIENT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SRD_BLOCKING_CLIENT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SRD_BLOCKING_CLIENT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SRD_BLOCKING_CLIENT_INIT_ENUM                   BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SRD_BLOCKING_CLIENT_NONBLOCKING                 _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SRD_BLOCKING_CLIENT_BLOCKING                    _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SWR_BLOCKING_CLIENT_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SWR_BLOCKING_CLIENT_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SWR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SWR_BLOCKING_CLIENT_RANGE                       23:23
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SWR_BLOCKING_CLIENT_WOFFSET                     0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SWR_BLOCKING_CLIENT_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SWR_BLOCKING_CLIENT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SWR_BLOCKING_CLIENT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SWR_BLOCKING_CLIENT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SWR_BLOCKING_CLIENT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SWR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SWR_BLOCKING_CLIENT_INIT_ENUM                   BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SWR_BLOCKING_CLIENT_NONBLOCKING                 _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_NVENC1SWR_BLOCKING_CLIENT_BLOCKING                    _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0R_BLOCKING_CLIENT_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0R_BLOCKING_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0R_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0R_BLOCKING_CLIENT_RANGE                  24:24
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0R_BLOCKING_CLIENT_WOFFSET                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0R_BLOCKING_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0R_BLOCKING_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0R_BLOCKING_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0R_BLOCKING_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0R_BLOCKING_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0R_BLOCKING_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0R_BLOCKING_CLIENT_INIT_ENUM                      BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0R_BLOCKING_CLIENT_NONBLOCKING                    _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0R_BLOCKING_CLIENT_BLOCKING                       _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0W_BLOCKING_CLIENT_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0W_BLOCKING_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0W_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0W_BLOCKING_CLIENT_RANGE                  25:25
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0W_BLOCKING_CLIENT_WOFFSET                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0W_BLOCKING_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0W_BLOCKING_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0W_BLOCKING_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0W_BLOCKING_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0W_BLOCKING_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0W_BLOCKING_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0W_BLOCKING_CLIENT_INIT_ENUM                      BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0W_BLOCKING_CLIENT_NONBLOCKING                    _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE0W_BLOCKING_CLIENT_BLOCKING                       _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1R_BLOCKING_CLIENT_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1R_BLOCKING_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1R_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1R_BLOCKING_CLIENT_RANGE                  26:26
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1R_BLOCKING_CLIENT_WOFFSET                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1R_BLOCKING_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1R_BLOCKING_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1R_BLOCKING_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1R_BLOCKING_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1R_BLOCKING_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1R_BLOCKING_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1R_BLOCKING_CLIENT_INIT_ENUM                      BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1R_BLOCKING_CLIENT_NONBLOCKING                    _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1R_BLOCKING_CLIENT_BLOCKING                       _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1W_BLOCKING_CLIENT_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1W_BLOCKING_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1W_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1W_BLOCKING_CLIENT_RANGE                  27:27
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1W_BLOCKING_CLIENT_WOFFSET                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1W_BLOCKING_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1W_BLOCKING_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1W_BLOCKING_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1W_BLOCKING_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1W_BLOCKING_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1W_BLOCKING_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1W_BLOCKING_CLIENT_INIT_ENUM                      BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1W_BLOCKING_CLIENT_NONBLOCKING                    _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE1W_BLOCKING_CLIENT_BLOCKING                       _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AR_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AR_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AR_BLOCKING_CLIENT_RANGE                 28:28
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AR_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AR_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AR_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AR_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AR_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AR_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AR_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AR_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AR_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AW_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AW_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AW_BLOCKING_CLIENT_RANGE                 29:29
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AW_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AW_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AW_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AW_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AW_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AW_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AW_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AW_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE2AW_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3R_BLOCKING_CLIENT_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3R_BLOCKING_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3R_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3R_BLOCKING_CLIENT_RANGE                  30:30
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3R_BLOCKING_CLIENT_WOFFSET                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3R_BLOCKING_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3R_BLOCKING_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3R_BLOCKING_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3R_BLOCKING_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3R_BLOCKING_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3R_BLOCKING_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3R_BLOCKING_CLIENT_INIT_ENUM                      BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3R_BLOCKING_CLIENT_NONBLOCKING                    _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3R_BLOCKING_CLIENT_BLOCKING                       _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3W_BLOCKING_CLIENT_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3W_BLOCKING_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3W_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3W_BLOCKING_CLIENT_RANGE                  31:31
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3W_BLOCKING_CLIENT_WOFFSET                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3W_BLOCKING_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3W_BLOCKING_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3W_BLOCKING_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3W_BLOCKING_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3W_BLOCKING_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3W_BLOCKING_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3W_BLOCKING_CLIENT_INIT_ENUM                      BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3W_BLOCKING_CLIENT_NONBLOCKING                    _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0_PCIE3W_BLOCKING_CLIENT_BLOCKING                       _MK_ENUM_CONST(1)


// Register MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0                       _MK_ADDR_CONST(0x18b4)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_SECURE                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DUAL                  0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_SCR                   0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_WORD_COUNT                    0x1
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_RESET_VAL                     _MK_MASK_CONST(0xfe0ffe1f)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_RESET_MASK                    _MK_MASK_CONST(0xfe0ffe1f)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_READ_MASK                     _MK_MASK_CONST(0xfe0ffe1f)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_WRITE_MASK                    _MK_MASK_CONST(0xfe0ffe1f)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4R_BLOCKING_CLIENT_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4R_BLOCKING_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4R_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4R_BLOCKING_CLIENT_RANGE                  0:0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4R_BLOCKING_CLIENT_WOFFSET                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4R_BLOCKING_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4R_BLOCKING_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4R_BLOCKING_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4R_BLOCKING_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4R_BLOCKING_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4R_BLOCKING_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4R_BLOCKING_CLIENT_INIT_ENUM                      BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4R_BLOCKING_CLIENT_NONBLOCKING                    _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4R_BLOCKING_CLIENT_BLOCKING                       _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4W_BLOCKING_CLIENT_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4W_BLOCKING_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4W_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4W_BLOCKING_CLIENT_RANGE                  1:1
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4W_BLOCKING_CLIENT_WOFFSET                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4W_BLOCKING_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4W_BLOCKING_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4W_BLOCKING_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4W_BLOCKING_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4W_BLOCKING_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4W_BLOCKING_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4W_BLOCKING_CLIENT_INIT_ENUM                      BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4W_BLOCKING_CLIENT_NONBLOCKING                    _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE4W_BLOCKING_CLIENT_BLOCKING                       _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R_BLOCKING_CLIENT_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R_BLOCKING_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R_BLOCKING_CLIENT_RANGE                  2:2
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R_BLOCKING_CLIENT_WOFFSET                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R_BLOCKING_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R_BLOCKING_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R_BLOCKING_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R_BLOCKING_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R_BLOCKING_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R_BLOCKING_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R_BLOCKING_CLIENT_INIT_ENUM                      BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R_BLOCKING_CLIENT_NONBLOCKING                    _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R_BLOCKING_CLIENT_BLOCKING                       _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5W_BLOCKING_CLIENT_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5W_BLOCKING_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5W_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5W_BLOCKING_CLIENT_RANGE                  3:3
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5W_BLOCKING_CLIENT_WOFFSET                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5W_BLOCKING_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5W_BLOCKING_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5W_BLOCKING_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5W_BLOCKING_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5W_BLOCKING_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5W_BLOCKING_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5W_BLOCKING_CLIENT_INIT_ENUM                      BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5W_BLOCKING_CLIENT_NONBLOCKING                    _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5W_BLOCKING_CLIENT_BLOCKING                       _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPFALW_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPFALW_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPFALW_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPFALW_BLOCKING_CLIENT_RANGE                 4:4
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPFALW_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPFALW_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPFALW_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPFALW_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPFALW_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPFALW_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPFALW_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPFALW_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPFALW_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPFALW_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA0RDA1_BLOCKING_CLIENT_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA0RDA1_BLOCKING_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA0RDA1_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA0RDA1_BLOCKING_CLIENT_RANGE                        9:9
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA0RDA1_BLOCKING_CLIENT_WOFFSET                      0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA0RDA1_BLOCKING_CLIENT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA0RDA1_BLOCKING_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA0RDA1_BLOCKING_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA0RDA1_BLOCKING_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA0RDA1_BLOCKING_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA0RDA1_BLOCKING_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA0RDA1_BLOCKING_CLIENT_INIT_ENUM                    BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA0RDA1_BLOCKING_CLIENT_NONBLOCKING                  _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA0RDA1_BLOCKING_CLIENT_BLOCKING                     _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA1RDA1_BLOCKING_CLIENT_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA1RDA1_BLOCKING_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA1RDA1_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA1RDA1_BLOCKING_CLIENT_RANGE                        10:10
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA1RDA1_BLOCKING_CLIENT_WOFFSET                      0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA1RDA1_BLOCKING_CLIENT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA1RDA1_BLOCKING_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA1RDA1_BLOCKING_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA1RDA1_BLOCKING_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA1RDA1_BLOCKING_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA1RDA1_BLOCKING_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA1RDA1_BLOCKING_CLIENT_INIT_ENUM                    BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA1RDA1_BLOCKING_CLIENT_NONBLOCKING                  _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_DLA1RDA1_BLOCKING_CLIENT_BLOCKING                     _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDA1_BLOCKING_CLIENT_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDA1_BLOCKING_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDA1_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDA1_BLOCKING_CLIENT_RANGE                        11:11
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDA1_BLOCKING_CLIENT_WOFFSET                      0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDA1_BLOCKING_CLIENT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDA1_BLOCKING_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDA1_BLOCKING_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDA1_BLOCKING_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDA1_BLOCKING_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDA1_BLOCKING_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDA1_BLOCKING_CLIENT_INIT_ENUM                    BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDA1_BLOCKING_CLIENT_NONBLOCKING                  _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDA1_BLOCKING_CLIENT_BLOCKING                     _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDB1_BLOCKING_CLIENT_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDB1_BLOCKING_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDB1_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDB1_BLOCKING_CLIENT_RANGE                        12:12
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDB1_BLOCKING_CLIENT_WOFFSET                      0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDB1_BLOCKING_CLIENT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDB1_BLOCKING_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDB1_BLOCKING_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDB1_BLOCKING_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDB1_BLOCKING_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDB1_BLOCKING_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDB1_BLOCKING_CLIENT_INIT_ENUM                    BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDB1_BLOCKING_CLIENT_NONBLOCKING                  _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA0RDB1_BLOCKING_CLIENT_BLOCKING                     _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDA1_BLOCKING_CLIENT_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDA1_BLOCKING_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDA1_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDA1_BLOCKING_CLIENT_RANGE                        13:13
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDA1_BLOCKING_CLIENT_WOFFSET                      0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDA1_BLOCKING_CLIENT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDA1_BLOCKING_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDA1_BLOCKING_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDA1_BLOCKING_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDA1_BLOCKING_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDA1_BLOCKING_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDA1_BLOCKING_CLIENT_INIT_ENUM                    BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDA1_BLOCKING_CLIENT_NONBLOCKING                  _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDA1_BLOCKING_CLIENT_BLOCKING                     _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDB1_BLOCKING_CLIENT_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDB1_BLOCKING_CLIENT_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDB1_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDB1_BLOCKING_CLIENT_RANGE                        14:14
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDB1_BLOCKING_CLIENT_WOFFSET                      0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDB1_BLOCKING_CLIENT_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDB1_BLOCKING_CLIENT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDB1_BLOCKING_CLIENT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDB1_BLOCKING_CLIENT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDB1_BLOCKING_CLIENT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDB1_BLOCKING_CLIENT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDB1_BLOCKING_CLIENT_INIT_ENUM                    BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDB1_BLOCKING_CLIENT_NONBLOCKING                  _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PVA1RDB1_BLOCKING_CLIENT_BLOCKING                     _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R1_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R1_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R1_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R1_BLOCKING_CLIENT_RANGE                 15:15
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R1_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R1_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R1_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R1_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R1_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R1_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R1_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R1_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R1_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE5R1_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENCSRD1_BLOCKING_CLIENT_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENCSRD1_BLOCKING_CLIENT_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENCSRD1_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENCSRD1_BLOCKING_CLIENT_RANGE                       16:16
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENCSRD1_BLOCKING_CLIENT_WOFFSET                     0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENCSRD1_BLOCKING_CLIENT_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENCSRD1_BLOCKING_CLIENT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENCSRD1_BLOCKING_CLIENT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENCSRD1_BLOCKING_CLIENT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENCSRD1_BLOCKING_CLIENT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENCSRD1_BLOCKING_CLIENT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENCSRD1_BLOCKING_CLIENT_INIT_ENUM                   BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENCSRD1_BLOCKING_CLIENT_NONBLOCKING                 _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENCSRD1_BLOCKING_CLIENT_BLOCKING                    _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENC1SRD1_BLOCKING_CLIENT_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENC1SRD1_BLOCKING_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENC1SRD1_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENC1SRD1_BLOCKING_CLIENT_RANGE                      17:17
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENC1SRD1_BLOCKING_CLIENT_WOFFSET                    0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENC1SRD1_BLOCKING_CLIENT_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENC1SRD1_BLOCKING_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENC1SRD1_BLOCKING_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENC1SRD1_BLOCKING_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENC1SRD1_BLOCKING_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENC1SRD1_BLOCKING_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENC1SRD1_BLOCKING_CLIENT_INIT_ENUM                  BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENC1SRD1_BLOCKING_CLIENT_NONBLOCKING                        _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVENC1SRD1_BLOCKING_CLIENT_BLOCKING                   _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPRA1_BLOCKING_CLIENT_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPRA1_BLOCKING_CLIENT_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPRA1_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPRA1_BLOCKING_CLIENT_RANGE                  18:18
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPRA1_BLOCKING_CLIENT_WOFFSET                        0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPRA1_BLOCKING_CLIENT_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPRA1_BLOCKING_CLIENT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPRA1_BLOCKING_CLIENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPRA1_BLOCKING_CLIENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPRA1_BLOCKING_CLIENT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPRA1_BLOCKING_CLIENT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPRA1_BLOCKING_CLIENT_INIT_ENUM                      BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPRA1_BLOCKING_CLIENT_NONBLOCKING                    _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_ISPRA1_BLOCKING_CLIENT_BLOCKING                       _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE0R1_BLOCKING_CLIENT_SHIFT                 _MK_SHIFT_CONST(19)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE0R1_BLOCKING_CLIENT_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE0R1_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE0R1_BLOCKING_CLIENT_RANGE                 19:19
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE0R1_BLOCKING_CLIENT_WOFFSET                       0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE0R1_BLOCKING_CLIENT_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE0R1_BLOCKING_CLIENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE0R1_BLOCKING_CLIENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE0R1_BLOCKING_CLIENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE0R1_BLOCKING_CLIENT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE0R1_BLOCKING_CLIENT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE0R1_BLOCKING_CLIENT_INIT_ENUM                     BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE0R1_BLOCKING_CLIENT_NONBLOCKING                   _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_PCIE0R1_BLOCKING_CLIENT_BLOCKING                      _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD_BLOCKING_CLIENT_SHIFT                       _MK_SHIFT_CONST(25)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD_BLOCKING_CLIENT_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD_BLOCKING_CLIENT_RANGE                       25:25
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD_BLOCKING_CLIENT_WOFFSET                     0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD_BLOCKING_CLIENT_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD_BLOCKING_CLIENT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD_BLOCKING_CLIENT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD_BLOCKING_CLIENT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD_BLOCKING_CLIENT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD_BLOCKING_CLIENT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD_BLOCKING_CLIENT_INIT_ENUM                   BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD_BLOCKING_CLIENT_NONBLOCKING                 _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD_BLOCKING_CLIENT_BLOCKING                    _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD1_BLOCKING_CLIENT_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD1_BLOCKING_CLIENT_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD1_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD1_BLOCKING_CLIENT_RANGE                      26:26
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD1_BLOCKING_CLIENT_WOFFSET                    0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD1_BLOCKING_CLIENT_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD1_BLOCKING_CLIENT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD1_BLOCKING_CLIENT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD1_BLOCKING_CLIENT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD1_BLOCKING_CLIENT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD1_BLOCKING_CLIENT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD1_BLOCKING_CLIENT_INIT_ENUM                  BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD1_BLOCKING_CLIENT_NONBLOCKING                        _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SRD1_BLOCKING_CLIENT_BLOCKING                   _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SWR_BLOCKING_CLIENT_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SWR_BLOCKING_CLIENT_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SWR_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SWR_BLOCKING_CLIENT_RANGE                       27:27
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SWR_BLOCKING_CLIENT_WOFFSET                     0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SWR_BLOCKING_CLIENT_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SWR_BLOCKING_CLIENT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SWR_BLOCKING_CLIENT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SWR_BLOCKING_CLIENT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SWR_BLOCKING_CLIENT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SWR_BLOCKING_CLIENT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SWR_BLOCKING_CLIENT_INIT_ENUM                   BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SWR_BLOCKING_CLIENT_NONBLOCKING                 _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_NVDEC1SWR_BLOCKING_CLIENT_BLOCKING                    _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5R_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5R_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5R_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5R_BLOCKING_CLIENT_RANGE                   28:28
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5R_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5R_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5R_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5R_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5R_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5R_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5R_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5R_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5R_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5R_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5W_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5W_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5W_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5W_BLOCKING_CLIENT_RANGE                   29:29
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5W_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5W_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5W_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5W_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5W_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5W_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5W_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5W_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5W_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU5W_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6R_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6R_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6R_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6R_BLOCKING_CLIENT_RANGE                   30:30
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6R_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6R_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6R_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6R_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6R_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6R_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6R_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6R_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6R_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6R_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)

#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6W_BLOCKING_CLIENT_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6W_BLOCKING_CLIENT_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6W_BLOCKING_CLIENT_SHIFT)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6W_BLOCKING_CLIENT_RANGE                   31:31
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6W_BLOCKING_CLIENT_WOFFSET                 0x0
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6W_BLOCKING_CLIENT_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6W_BLOCKING_CLIENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6W_BLOCKING_CLIENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6W_BLOCKING_CLIENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6W_BLOCKING_CLIENT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6W_BLOCKING_CLIENT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6W_BLOCKING_CLIENT_INIT_ENUM                       BLOCKING
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6W_BLOCKING_CLIENT_NONBLOCKING                     _MK_ENUM_CONST(0)
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0_MIU6W_BLOCKING_CLIENT_BLOCKING                        _MK_ENUM_CONST(1)


// Register MC_MC_TBU_TRANSACTION_ATTR_CTRL_0
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0                       _MK_ADDR_CONST(0x18b8)
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_SECURE                        0x0
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_DUAL                  0x0
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_SCR                   0
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_WORD_COUNT                    0x1
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_RESET_VAL                     _MK_MASK_CONST(0x1)
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_RESET_MASK                    _MK_MASK_CONST(0x1)
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x1)
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_READ_MASK                     _MK_MASK_CONST(0x1)
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_WRITE_MASK                    _MK_MASK_CONST(0x1)
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_TBU_SO_DEV_ATTR_PRESERVE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_TBU_SO_DEV_ATTR_PRESERVE_FIELD                        _MK_FIELD_CONST(0x1, MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_TBU_SO_DEV_ATTR_PRESERVE_SHIFT)
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_TBU_SO_DEV_ATTR_PRESERVE_RANGE                        0:0
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_TBU_SO_DEV_ATTR_PRESERVE_WOFFSET                      0x0
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_TBU_SO_DEV_ATTR_PRESERVE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_TBU_SO_DEV_ATTR_PRESERVE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_TBU_SO_DEV_ATTR_PRESERVE_SW_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_TBU_SO_DEV_ATTR_PRESERVE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_TBU_SO_DEV_ATTR_PRESERVE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_TBU_SO_DEV_ATTR_PRESERVE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_TBU_SO_DEV_ATTR_PRESERVE_INIT_ENUM                    ENABLE
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_TBU_SO_DEV_ATTR_PRESERVE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_TBU_SO_DEV_ATTR_PRESERVE_ENABLE                       _MK_ENUM_CONST(1)
#define MC_MC_TBU_TRANSACTION_ATTR_CTRL_0_TBU_SO_DEV_ATTR_PRESERVE__PROD                        _MK_MASK_CONST(0x1)


// Register MC_CLIENT_ORDER_ID_27_0
#define MC_CLIENT_ORDER_ID_27_0                 _MK_ADDR_CONST(0x2a6c)
#define MC_CLIENT_ORDER_ID_27_0_SECURE                  0x0
#define MC_CLIENT_ORDER_ID_27_0_DUAL                    0x0
#define MC_CLIENT_ORDER_ID_27_0_SCR                     0
#define MC_CLIENT_ORDER_ID_27_0_WORD_COUNT                      0x1
#define MC_CLIENT_ORDER_ID_27_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_RESET_MASK                      _MK_MASK_CONST(0x33333333)
#define MC_CLIENT_ORDER_ID_27_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x20)
#define MC_CLIENT_ORDER_ID_27_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x30)
#define MC_CLIENT_ORDER_ID_27_0_READ_MASK                       _MK_MASK_CONST(0x33333333)
#define MC_CLIENT_ORDER_ID_27_0_WRITE_MASK                      _MK_MASK_CONST(0x33333333)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0R_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0R_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_27_0_PCIE0R_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0R_ORDER_ID_RANGE                   1:0
#define MC_CLIENT_ORDER_ID_27_0_PCIE0R_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_27_0_PCIE0R_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0R_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0R_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0R_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0R_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0R_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0R_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_27_0_PCIE0R_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0R_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0R_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0R_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_27_0_PCIE0W_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0W_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_27_0_PCIE0W_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0W_ORDER_ID_RANGE                   5:4
#define MC_CLIENT_ORDER_ID_27_0_PCIE0W_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_27_0_PCIE0W_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0W_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0W_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0W_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0W_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0W_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0W_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_27_0_PCIE0W_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0W_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0W_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0W_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)
#define MC_CLIENT_ORDER_ID_27_0_PCIE0W_ORDER_ID__PROD                   _MK_MASK_CONST(0x2)

#define MC_CLIENT_ORDER_ID_27_0_PCIE1R_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1R_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_27_0_PCIE1R_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1R_ORDER_ID_RANGE                   9:8
#define MC_CLIENT_ORDER_ID_27_0_PCIE1R_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_27_0_PCIE1R_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1R_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1R_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1R_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1R_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1R_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1R_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_27_0_PCIE1R_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1R_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1R_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1R_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_27_0_PCIE1W_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1W_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_27_0_PCIE1W_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1W_ORDER_ID_RANGE                   13:12
#define MC_CLIENT_ORDER_ID_27_0_PCIE1W_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_27_0_PCIE1W_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1W_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1W_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1W_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1W_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1W_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1W_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_27_0_PCIE1W_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1W_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1W_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_27_0_PCIE1W_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_27_0_PCIE2AR_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AR_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_27_0_PCIE2AR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AR_ORDER_ID_RANGE                  17:16
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AR_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AR_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AR_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AR_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AR_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AR_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AR_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AR_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AR_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AR_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AR_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AR_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_27_0_PCIE2AW_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AW_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_27_0_PCIE2AW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AW_ORDER_ID_RANGE                  21:20
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AW_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AW_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AW_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AW_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AW_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AW_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AW_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AW_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AW_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AW_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AW_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_27_0_PCIE2AW_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_27_0_PCIE3R_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3R_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_27_0_PCIE3R_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3R_ORDER_ID_RANGE                   25:24
#define MC_CLIENT_ORDER_ID_27_0_PCIE3R_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_27_0_PCIE3R_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3R_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3R_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3R_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3R_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3R_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3R_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_27_0_PCIE3R_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3R_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3R_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3R_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_27_0_PCIE3W_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3W_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_27_0_PCIE3W_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3W_ORDER_ID_RANGE                   29:28
#define MC_CLIENT_ORDER_ID_27_0_PCIE3W_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_27_0_PCIE3W_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3W_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3W_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3W_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3W_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3W_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3W_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_27_0_PCIE3W_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3W_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3W_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_27_0_PCIE3W_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_13_0
#define MC_CLIENT_ORDER_ID_13_0                 _MK_ADDR_CONST(0x2a34)
#define MC_CLIENT_ORDER_ID_13_0_SECURE                  0x0
#define MC_CLIENT_ORDER_ID_13_0_DUAL                    0x0
#define MC_CLIENT_ORDER_ID_13_0_SCR                     0
#define MC_CLIENT_ORDER_ID_13_0_WORD_COUNT                      0x1
#define MC_CLIENT_ORDER_ID_13_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_13_0_RESET_MASK                      _MK_MASK_CONST(0x330000)
#define MC_CLIENT_ORDER_ID_13_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_13_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_13_0_READ_MASK                       _MK_MASK_CONST(0x330000)
#define MC_CLIENT_ORDER_ID_13_0_WRITE_MASK                      _MK_MASK_CONST(0x330000)
#define MC_CLIENT_ORDER_ID_13_0_VICSRD_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_CLIENT_ORDER_ID_13_0_VICSRD_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_13_0_VICSRD_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_13_0_VICSRD_ORDER_ID_RANGE                   17:16
#define MC_CLIENT_ORDER_ID_13_0_VICSRD_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_13_0_VICSRD_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_13_0_VICSRD_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_13_0_VICSRD_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_13_0_VICSRD_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_13_0_VICSRD_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_13_0_VICSRD_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_13_0_VICSRD_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_13_0_VICSRD_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_13_0_VICSRD_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_13_0_VICSRD_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_13_0_VICSRD_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_13_0_VICSWR_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_CLIENT_ORDER_ID_13_0_VICSWR_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_13_0_VICSWR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_13_0_VICSWR_ORDER_ID_RANGE                   21:20
#define MC_CLIENT_ORDER_ID_13_0_VICSWR_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_13_0_VICSWR_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_13_0_VICSWR_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_13_0_VICSWR_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_13_0_VICSWR_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_13_0_VICSWR_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_13_0_VICSWR_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_13_0_VICSWR_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_13_0_VICSWR_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_13_0_VICSWR_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_13_0_VICSWR_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_13_0_VICSWR_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_9_0
#define MC_CLIENT_ORDER_ID_9_0                  _MK_ADDR_CONST(0x2a24)
#define MC_CLIENT_ORDER_ID_9_0_SECURE                   0x0
#define MC_CLIENT_ORDER_ID_9_0_DUAL                     0x0
#define MC_CLIENT_ORDER_ID_9_0_SCR                      0
#define MC_CLIENT_ORDER_ID_9_0_WORD_COUNT                       0x1
#define MC_CLIENT_ORDER_ID_9_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_9_0_RESET_MASK                       _MK_MASK_CONST(0x333300)
#define MC_CLIENT_ORDER_ID_9_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x3000)
#define MC_CLIENT_ORDER_ID_9_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3000)
#define MC_CLIENT_ORDER_ID_9_0_READ_MASK                        _MK_MASK_CONST(0x333300)
#define MC_CLIENT_ORDER_ID_9_0_WRITE_MASK                       _MK_MASK_CONST(0x333300)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTR_ORDER_ID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTR_ORDER_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTR_ORDER_ID_RANGE                        9:8
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTR_ORDER_ID_WOFFSET                      0x0
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTR_ORDER_ID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTR_ORDER_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTR_ORDER_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTR_ORDER_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTR_ORDER_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTR_ORDER_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTR_ORDER_ID_INIT_ENUM                    ORDER_ID0
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTR_ORDER_ID_ORDER_ID0                    _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTR_ORDER_ID_ORDER_ID1                    _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTR_ORDER_ID_ORDER_ID2                    _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTR_ORDER_ID_ORDER_ID3                    _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTW_ORDER_ID_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTW_ORDER_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTW_ORDER_ID_RANGE                        13:12
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTW_ORDER_ID_WOFFSET                      0x0
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTW_ORDER_ID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTW_ORDER_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTW_ORDER_ID_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTW_ORDER_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTW_ORDER_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTW_ORDER_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTW_ORDER_ID_INIT_ENUM                    ORDER_ID0
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTW_ORDER_ID_ORDER_ID0                    _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTW_ORDER_ID_ORDER_ID1                    _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTW_ORDER_ID_ORDER_ID2                    _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTW_ORDER_ID_ORDER_ID3                    _MK_ENUM_CONST(3)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_HOSTW_ORDER_ID__PROD                        _MK_MASK_CONST(0x3)

#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVR_ORDER_ID_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVR_ORDER_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_9_0_XUSB_DEVR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVR_ORDER_ID_RANGE                 17:16
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVR_ORDER_ID_WOFFSET                       0x0
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVR_ORDER_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVR_ORDER_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVR_ORDER_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVR_ORDER_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVR_ORDER_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVR_ORDER_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVR_ORDER_ID_INIT_ENUM                     ORDER_ID0
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVR_ORDER_ID_ORDER_ID0                     _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVR_ORDER_ID_ORDER_ID1                     _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVR_ORDER_ID_ORDER_ID2                     _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVR_ORDER_ID_ORDER_ID3                     _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVW_ORDER_ID_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVW_ORDER_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_9_0_XUSB_DEVW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVW_ORDER_ID_RANGE                 21:20
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVW_ORDER_ID_WOFFSET                       0x0
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVW_ORDER_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVW_ORDER_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVW_ORDER_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVW_ORDER_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVW_ORDER_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVW_ORDER_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVW_ORDER_ID_INIT_ENUM                     ORDER_ID0
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVW_ORDER_ID_ORDER_ID0                     _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVW_ORDER_ID_ORDER_ID1                     _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVW_ORDER_ID_ORDER_ID2                     _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_9_0_XUSB_DEVW_ORDER_ID_ORDER_ID3                     _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_4_0
#define MC_CLIENT_ORDER_ID_4_0                  _MK_ADDR_CONST(0x2a10)
#define MC_CLIENT_ORDER_ID_4_0_SECURE                   0x0
#define MC_CLIENT_ORDER_ID_4_0_DUAL                     0x0
#define MC_CLIENT_ORDER_ID_4_0_SCR                      0
#define MC_CLIENT_ORDER_ID_4_0_WORD_COUNT                       0x1
#define MC_CLIENT_ORDER_ID_4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_4_0_RESET_MASK                       _MK_MASK_CONST(0x30000000)
#define MC_CLIENT_ORDER_ID_4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_4_0_READ_MASK                        _MK_MASK_CONST(0x30000000)
#define MC_CLIENT_ORDER_ID_4_0_WRITE_MASK                       _MK_MASK_CONST(0x30000000)
#define MC_CLIENT_ORDER_ID_4_0_MPCORER_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_CLIENT_ORDER_ID_4_0_MPCORER_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_4_0_MPCORER_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_4_0_MPCORER_ORDER_ID_RANGE                   29:28
#define MC_CLIENT_ORDER_ID_4_0_MPCORER_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_4_0_MPCORER_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_4_0_MPCORER_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_4_0_MPCORER_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_4_0_MPCORER_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_4_0_MPCORER_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_4_0_MPCORER_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_4_0_MPCORER_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_4_0_MPCORER_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_4_0_MPCORER_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_4_0_MPCORER_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_4_0_MPCORER_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_10_0
#define MC_CLIENT_ORDER_ID_10_0                 _MK_ADDR_CONST(0x2a28)
#define MC_CLIENT_ORDER_ID_10_0_SECURE                  0x0
#define MC_CLIENT_ORDER_ID_10_0_DUAL                    0x0
#define MC_CLIENT_ORDER_ID_10_0_SCR                     0
#define MC_CLIENT_ORDER_ID_10_0_WORD_COUNT                      0x1
#define MC_CLIENT_ORDER_ID_10_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_10_0_RESET_MASK                      _MK_MASK_CONST(0x330000)
#define MC_CLIENT_ORDER_ID_10_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_10_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_10_0_READ_MASK                       _MK_MASK_CONST(0x330000)
#define MC_CLIENT_ORDER_ID_10_0_WRITE_MASK                      _MK_MASK_CONST(0x330000)
#define MC_CLIENT_ORDER_ID_10_0_TSECSRD_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_CLIENT_ORDER_ID_10_0_TSECSRD_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_10_0_TSECSRD_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_10_0_TSECSRD_ORDER_ID_RANGE                  17:16
#define MC_CLIENT_ORDER_ID_10_0_TSECSRD_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_10_0_TSECSRD_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_10_0_TSECSRD_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_10_0_TSECSRD_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_10_0_TSECSRD_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_10_0_TSECSRD_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_10_0_TSECSRD_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_10_0_TSECSRD_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_10_0_TSECSRD_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_10_0_TSECSRD_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_10_0_TSECSRD_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_10_0_TSECSRD_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_10_0_TSECSWR_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_CLIENT_ORDER_ID_10_0_TSECSWR_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_10_0_TSECSWR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_10_0_TSECSWR_ORDER_ID_RANGE                  21:20
#define MC_CLIENT_ORDER_ID_10_0_TSECSWR_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_10_0_TSECSWR_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_10_0_TSECSWR_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_10_0_TSECSWR_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_10_0_TSECSWR_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_10_0_TSECSWR_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_10_0_TSECSWR_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_10_0_TSECSWR_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_10_0_TSECSWR_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_10_0_TSECSWR_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_10_0_TSECSWR_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_10_0_TSECSWR_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_21_0
#define MC_CLIENT_ORDER_ID_21_0                 _MK_ADDR_CONST(0x2a54)
#define MC_CLIENT_ORDER_ID_21_0_SECURE                  0x0
#define MC_CLIENT_ORDER_ID_21_0_DUAL                    0x0
#define MC_CLIENT_ORDER_ID_21_0_SCR                     0
#define MC_CLIENT_ORDER_ID_21_0_WORD_COUNT                      0x1
#define MC_CLIENT_ORDER_ID_21_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_21_0_RESET_MASK                      _MK_MASK_CONST(0x33000033)
#define MC_CLIENT_ORDER_ID_21_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_21_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_21_0_READ_MASK                       _MK_MASK_CONST(0x33000033)
#define MC_CLIENT_ORDER_ID_21_0_WRITE_MASK                      _MK_MASK_CONST(0x33000033)
#define MC_CLIENT_ORDER_ID_21_0_MIU1R_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_CLIENT_ORDER_ID_21_0_MIU1R_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_21_0_MIU1R_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_21_0_MIU1R_ORDER_ID_RANGE                    1:0
#define MC_CLIENT_ORDER_ID_21_0_MIU1R_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_21_0_MIU1R_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_21_0_MIU1R_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_21_0_MIU1R_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_21_0_MIU1R_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_21_0_MIU1R_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_21_0_MIU1R_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_21_0_MIU1R_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_21_0_MIU1R_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_21_0_MIU1R_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_21_0_MIU1R_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_21_0_MIU1R_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_21_0_MIU1W_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_CLIENT_ORDER_ID_21_0_MIU1W_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_21_0_MIU1W_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_21_0_MIU1W_ORDER_ID_RANGE                    5:4
#define MC_CLIENT_ORDER_ID_21_0_MIU1W_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_21_0_MIU1W_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_21_0_MIU1W_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_21_0_MIU1W_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_21_0_MIU1W_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_21_0_MIU1W_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_21_0_MIU1W_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_21_0_MIU1W_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_21_0_MIU1W_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_21_0_MIU1W_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_21_0_MIU1W_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_21_0_MIU1W_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_21_0_MIU2R_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_CLIENT_ORDER_ID_21_0_MIU2R_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_21_0_MIU2R_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_21_0_MIU2R_ORDER_ID_RANGE                    25:24
#define MC_CLIENT_ORDER_ID_21_0_MIU2R_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_21_0_MIU2R_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_21_0_MIU2R_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_21_0_MIU2R_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_21_0_MIU2R_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_21_0_MIU2R_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_21_0_MIU2R_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_21_0_MIU2R_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_21_0_MIU2R_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_21_0_MIU2R_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_21_0_MIU2R_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_21_0_MIU2R_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_21_0_MIU2W_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_CLIENT_ORDER_ID_21_0_MIU2W_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_21_0_MIU2W_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_21_0_MIU2W_ORDER_ID_RANGE                    29:28
#define MC_CLIENT_ORDER_ID_21_0_MIU2W_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_21_0_MIU2W_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_21_0_MIU2W_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_21_0_MIU2W_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_21_0_MIU2W_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_21_0_MIU2W_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_21_0_MIU2W_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_21_0_MIU2W_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_21_0_MIU2W_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_21_0_MIU2W_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_21_0_MIU2W_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_21_0_MIU2W_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_26_0
#define MC_CLIENT_ORDER_ID_26_0                 _MK_ADDR_CONST(0x2a68)
#define MC_CLIENT_ORDER_ID_26_0_SECURE                  0x0
#define MC_CLIENT_ORDER_ID_26_0_DUAL                    0x0
#define MC_CLIENT_ORDER_ID_26_0_SCR                     0
#define MC_CLIENT_ORDER_ID_26_0_WORD_COUNT                      0x1
#define MC_CLIENT_ORDER_ID_26_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_RESET_MASK                      _MK_MASK_CONST(0x33333333)
#define MC_CLIENT_ORDER_ID_26_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_READ_MASK                       _MK_MASK_CONST(0x33333333)
#define MC_CLIENT_ORDER_ID_26_0_WRITE_MASK                      _MK_MASK_CONST(0x33333333)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRB_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRB_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_26_0_PVA1WRB_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRB_ORDER_ID_RANGE                  1:0
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRB_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRB_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRB_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRB_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRB_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRB_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRB_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRB_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRB_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRB_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRB_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRB_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_26_0_PVA1WRC_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRC_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_26_0_PVA1WRC_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRC_ORDER_ID_RANGE                  5:4
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRC_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRC_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRC_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRC_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRC_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRC_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRC_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRC_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRC_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRC_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRC_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_26_0_PVA1WRC_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_26_0_RCER_ORDER_ID_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_CLIENT_ORDER_ID_26_0_RCER_ORDER_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_26_0_RCER_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_26_0_RCER_ORDER_ID_RANGE                     9:8
#define MC_CLIENT_ORDER_ID_26_0_RCER_ORDER_ID_WOFFSET                   0x0
#define MC_CLIENT_ORDER_ID_26_0_RCER_ORDER_ID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_RCER_ORDER_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_26_0_RCER_ORDER_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_RCER_ORDER_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_RCER_ORDER_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_RCER_ORDER_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_26_0_RCER_ORDER_ID_INIT_ENUM                 ORDER_ID0
#define MC_CLIENT_ORDER_ID_26_0_RCER_ORDER_ID_ORDER_ID0                 _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_26_0_RCER_ORDER_ID_ORDER_ID1                 _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_26_0_RCER_ORDER_ID_ORDER_ID2                 _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_26_0_RCER_ORDER_ID_ORDER_ID3                 _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_26_0_RCEW_ORDER_ID_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_CLIENT_ORDER_ID_26_0_RCEW_ORDER_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_26_0_RCEW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_26_0_RCEW_ORDER_ID_RANGE                     13:12
#define MC_CLIENT_ORDER_ID_26_0_RCEW_ORDER_ID_WOFFSET                   0x0
#define MC_CLIENT_ORDER_ID_26_0_RCEW_ORDER_ID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_RCEW_ORDER_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_26_0_RCEW_ORDER_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_RCEW_ORDER_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_RCEW_ORDER_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_RCEW_ORDER_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_26_0_RCEW_ORDER_ID_INIT_ENUM                 ORDER_ID0
#define MC_CLIENT_ORDER_ID_26_0_RCEW_ORDER_ID_ORDER_ID0                 _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_26_0_RCEW_ORDER_ID_ORDER_ID1                 _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_26_0_RCEW_ORDER_ID_ORDER_ID2                 _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_26_0_RCEW_ORDER_ID_ORDER_ID3                 _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_26_0_RCEDMAR_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAR_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_26_0_RCEDMAR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAR_ORDER_ID_RANGE                  17:16
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAR_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAR_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAR_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAR_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAR_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAR_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAR_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAR_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAR_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAR_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAR_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAR_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_26_0_RCEDMAW_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAW_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_26_0_RCEDMAW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAW_ORDER_ID_RANGE                  21:20
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAW_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAW_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAW_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAW_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAW_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAW_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAW_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAW_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAW_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAW_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAW_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_26_0_RCEDMAW_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_26_0_NVENC1SRD_ORDER_ID_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SRD_ORDER_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_26_0_NVENC1SRD_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SRD_ORDER_ID_RANGE                        25:24
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SRD_ORDER_ID_WOFFSET                      0x0
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SRD_ORDER_ID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SRD_ORDER_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SRD_ORDER_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SRD_ORDER_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SRD_ORDER_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SRD_ORDER_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SRD_ORDER_ID_INIT_ENUM                    ORDER_ID0
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SRD_ORDER_ID_ORDER_ID0                    _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SRD_ORDER_ID_ORDER_ID1                    _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SRD_ORDER_ID_ORDER_ID2                    _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SRD_ORDER_ID_ORDER_ID3                    _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_26_0_NVENC1SWR_ORDER_ID_SHIFT                        _MK_SHIFT_CONST(28)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SWR_ORDER_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_26_0_NVENC1SWR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SWR_ORDER_ID_RANGE                        29:28
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SWR_ORDER_ID_WOFFSET                      0x0
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SWR_ORDER_ID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SWR_ORDER_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SWR_ORDER_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SWR_ORDER_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SWR_ORDER_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SWR_ORDER_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SWR_ORDER_ID_INIT_ENUM                    ORDER_ID0
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SWR_ORDER_ID_ORDER_ID0                    _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SWR_ORDER_ID_ORDER_ID1                    _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SWR_ORDER_ID_ORDER_ID2                    _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_26_0_NVENC1SWR_ORDER_ID_ORDER_ID3                    _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_17_0
#define MC_CLIENT_ORDER_ID_17_0                 _MK_ADDR_CONST(0x2a44)
#define MC_CLIENT_ORDER_ID_17_0_SECURE                  0x0
#define MC_CLIENT_ORDER_ID_17_0_DUAL                    0x0
#define MC_CLIENT_ORDER_ID_17_0_SCR                     0
#define MC_CLIENT_ORDER_ID_17_0_WORD_COUNT                      0x1
#define MC_CLIENT_ORDER_ID_17_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_17_0_RESET_MASK                      _MK_MASK_CONST(0x33330000)
#define MC_CLIENT_ORDER_ID_17_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_17_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_17_0_READ_MASK                       _MK_MASK_CONST(0x33330000)
#define MC_CLIENT_ORDER_ID_17_0_WRITE_MASK                      _MK_MASK_CONST(0x33330000)
#define MC_CLIENT_ORDER_ID_17_0_AXISR_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_CLIENT_ORDER_ID_17_0_AXISR_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_17_0_AXISR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_17_0_AXISR_ORDER_ID_RANGE                    17:16
#define MC_CLIENT_ORDER_ID_17_0_AXISR_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_17_0_AXISR_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_17_0_AXISR_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_17_0_AXISR_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_17_0_AXISR_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_17_0_AXISR_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_17_0_AXISR_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_17_0_AXISR_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_17_0_AXISR_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_17_0_AXISR_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_17_0_AXISR_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_17_0_AXISR_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_17_0_AXISW_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_CLIENT_ORDER_ID_17_0_AXISW_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_17_0_AXISW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_17_0_AXISW_ORDER_ID_RANGE                    21:20
#define MC_CLIENT_ORDER_ID_17_0_AXISW_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_17_0_AXISW_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_17_0_AXISW_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_17_0_AXISW_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_17_0_AXISW_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_17_0_AXISW_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_17_0_AXISW_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_17_0_AXISW_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_17_0_AXISW_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_17_0_AXISW_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_17_0_AXISW_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_17_0_AXISW_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_17_0_EQOSR_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_CLIENT_ORDER_ID_17_0_EQOSR_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_17_0_EQOSR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_17_0_EQOSR_ORDER_ID_RANGE                    25:24
#define MC_CLIENT_ORDER_ID_17_0_EQOSR_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_17_0_EQOSR_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_17_0_EQOSR_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_17_0_EQOSR_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_17_0_EQOSR_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_17_0_EQOSR_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_17_0_EQOSR_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_17_0_EQOSR_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_17_0_EQOSR_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_17_0_EQOSR_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_17_0_EQOSR_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_17_0_EQOSR_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_17_0_EQOSW_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_CLIENT_ORDER_ID_17_0_EQOSW_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_17_0_EQOSW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_17_0_EQOSW_ORDER_ID_RANGE                    29:28
#define MC_CLIENT_ORDER_ID_17_0_EQOSW_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_17_0_EQOSW_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_17_0_EQOSW_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_17_0_EQOSW_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_17_0_EQOSW_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_17_0_EQOSW_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_17_0_EQOSW_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_17_0_EQOSW_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_17_0_EQOSW_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_17_0_EQOSW_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_17_0_EQOSW_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_17_0_EQOSW_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_15_0
#define MC_CLIENT_ORDER_ID_15_0                 _MK_ADDR_CONST(0x2a3c)
#define MC_CLIENT_ORDER_ID_15_0_SECURE                  0x0
#define MC_CLIENT_ORDER_ID_15_0_DUAL                    0x0
#define MC_CLIENT_ORDER_ID_15_0_SCR                     0
#define MC_CLIENT_ORDER_ID_15_0_WORD_COUNT                      0x1
#define MC_CLIENT_ORDER_ID_15_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_RESET_MASK                      _MK_MASK_CONST(0x33003333)
#define MC_CLIENT_ORDER_ID_15_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_READ_MASK                       _MK_MASK_CONST(0x33003333)
#define MC_CLIENT_ORDER_ID_15_0_WRITE_MASK                      _MK_MASK_CONST(0x33003333)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSRD_ORDER_ID_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSRD_ORDER_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_15_0_NVDECSRD_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSRD_ORDER_ID_RANGE                 1:0
#define MC_CLIENT_ORDER_ID_15_0_NVDECSRD_ORDER_ID_WOFFSET                       0x0
#define MC_CLIENT_ORDER_ID_15_0_NVDECSRD_ORDER_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSRD_ORDER_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSRD_ORDER_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSRD_ORDER_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSRD_ORDER_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSRD_ORDER_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSRD_ORDER_ID_INIT_ENUM                     ORDER_ID0
#define MC_CLIENT_ORDER_ID_15_0_NVDECSRD_ORDER_ID_ORDER_ID0                     _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSRD_ORDER_ID_ORDER_ID1                     _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSRD_ORDER_ID_ORDER_ID2                     _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSRD_ORDER_ID_ORDER_ID3                     _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_15_0_NVDECSWR_ORDER_ID_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSWR_ORDER_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_15_0_NVDECSWR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSWR_ORDER_ID_RANGE                 5:4
#define MC_CLIENT_ORDER_ID_15_0_NVDECSWR_ORDER_ID_WOFFSET                       0x0
#define MC_CLIENT_ORDER_ID_15_0_NVDECSWR_ORDER_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSWR_ORDER_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSWR_ORDER_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSWR_ORDER_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSWR_ORDER_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSWR_ORDER_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSWR_ORDER_ID_INIT_ENUM                     ORDER_ID0
#define MC_CLIENT_ORDER_ID_15_0_NVDECSWR_ORDER_ID_ORDER_ID0                     _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSWR_ORDER_ID_ORDER_ID1                     _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSWR_ORDER_ID_ORDER_ID2                     _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_15_0_NVDECSWR_ORDER_ID_ORDER_ID3                     _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_15_0_APER_ORDER_ID_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_CLIENT_ORDER_ID_15_0_APER_ORDER_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_15_0_APER_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_15_0_APER_ORDER_ID_RANGE                     9:8
#define MC_CLIENT_ORDER_ID_15_0_APER_ORDER_ID_WOFFSET                   0x0
#define MC_CLIENT_ORDER_ID_15_0_APER_ORDER_ID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_APER_ORDER_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_15_0_APER_ORDER_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_APER_ORDER_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_APER_ORDER_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_APER_ORDER_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_15_0_APER_ORDER_ID_INIT_ENUM                 ORDER_ID0
#define MC_CLIENT_ORDER_ID_15_0_APER_ORDER_ID_ORDER_ID0                 _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_15_0_APER_ORDER_ID_ORDER_ID1                 _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_15_0_APER_ORDER_ID_ORDER_ID2                 _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_15_0_APER_ORDER_ID_ORDER_ID3                 _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_15_0_APEW_ORDER_ID_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_CLIENT_ORDER_ID_15_0_APEW_ORDER_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_15_0_APEW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_15_0_APEW_ORDER_ID_RANGE                     13:12
#define MC_CLIENT_ORDER_ID_15_0_APEW_ORDER_ID_WOFFSET                   0x0
#define MC_CLIENT_ORDER_ID_15_0_APEW_ORDER_ID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_APEW_ORDER_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_15_0_APEW_ORDER_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_APEW_ORDER_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_APEW_ORDER_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_APEW_ORDER_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_15_0_APEW_ORDER_ID_INIT_ENUM                 ORDER_ID0
#define MC_CLIENT_ORDER_ID_15_0_APEW_ORDER_ID_ORDER_ID0                 _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_15_0_APEW_ORDER_ID_ORDER_ID1                 _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_15_0_APEW_ORDER_ID_ORDER_ID2                 _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_15_0_APEW_ORDER_ID_ORDER_ID3                 _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_15_0_NVJPGSRD_ORDER_ID_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSRD_ORDER_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_15_0_NVJPGSRD_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSRD_ORDER_ID_RANGE                 25:24
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSRD_ORDER_ID_WOFFSET                       0x0
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSRD_ORDER_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSRD_ORDER_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSRD_ORDER_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSRD_ORDER_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSRD_ORDER_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSRD_ORDER_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSRD_ORDER_ID_INIT_ENUM                     ORDER_ID0
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSRD_ORDER_ID_ORDER_ID0                     _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSRD_ORDER_ID_ORDER_ID1                     _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSRD_ORDER_ID_ORDER_ID2                     _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSRD_ORDER_ID_ORDER_ID3                     _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_15_0_NVJPGSWR_ORDER_ID_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSWR_ORDER_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_15_0_NVJPGSWR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSWR_ORDER_ID_RANGE                 29:28
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSWR_ORDER_ID_WOFFSET                       0x0
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSWR_ORDER_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSWR_ORDER_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSWR_ORDER_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSWR_ORDER_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSWR_ORDER_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSWR_ORDER_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSWR_ORDER_ID_INIT_ENUM                     ORDER_ID0
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSWR_ORDER_ID_ORDER_ID0                     _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSWR_ORDER_ID_ORDER_ID1                     _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSWR_ORDER_ID_ORDER_ID2                     _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_15_0_NVJPGSWR_ORDER_ID_ORDER_ID3                     _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_6_0
#define MC_CLIENT_ORDER_ID_6_0                  _MK_ADDR_CONST(0x2a18)
#define MC_CLIENT_ORDER_ID_6_0_SECURE                   0x0
#define MC_CLIENT_ORDER_ID_6_0_DUAL                     0x0
#define MC_CLIENT_ORDER_ID_6_0_SCR                      0
#define MC_CLIENT_ORDER_ID_6_0_WORD_COUNT                       0x1
#define MC_CLIENT_ORDER_ID_6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_6_0_RESET_MASK                       _MK_MASK_CONST(0x300000)
#define MC_CLIENT_ORDER_ID_6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_6_0_READ_MASK                        _MK_MASK_CONST(0x300000)
#define MC_CLIENT_ORDER_ID_6_0_WRITE_MASK                       _MK_MASK_CONST(0x300000)
#define MC_CLIENT_ORDER_ID_6_0_HDAW_ORDER_ID_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_CLIENT_ORDER_ID_6_0_HDAW_ORDER_ID_FIELD                      _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_6_0_HDAW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_6_0_HDAW_ORDER_ID_RANGE                      21:20
#define MC_CLIENT_ORDER_ID_6_0_HDAW_ORDER_ID_WOFFSET                    0x0
#define MC_CLIENT_ORDER_ID_6_0_HDAW_ORDER_ID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_6_0_HDAW_ORDER_ID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_6_0_HDAW_ORDER_ID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_6_0_HDAW_ORDER_ID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_6_0_HDAW_ORDER_ID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_6_0_HDAW_ORDER_ID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_6_0_HDAW_ORDER_ID_INIT_ENUM                  ORDER_ID0
#define MC_CLIENT_ORDER_ID_6_0_HDAW_ORDER_ID_ORDER_ID0                  _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_6_0_HDAW_ORDER_ID_ORDER_ID1                  _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_6_0_HDAW_ORDER_ID_ORDER_ID2                  _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_6_0_HDAW_ORDER_ID_ORDER_ID3                  _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_30_0
#define MC_CLIENT_ORDER_ID_30_0                 _MK_ADDR_CONST(0x2d00)
#define MC_CLIENT_ORDER_ID_30_0_SECURE                  0x0
#define MC_CLIENT_ORDER_ID_30_0_DUAL                    0x0
#define MC_CLIENT_ORDER_ID_30_0_SCR                     0
#define MC_CLIENT_ORDER_ID_30_0_WORD_COUNT                      0x1
#define MC_CLIENT_ORDER_ID_30_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_30_0_RESET_MASK                      _MK_MASK_CONST(0x3333)
#define MC_CLIENT_ORDER_ID_30_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_30_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_30_0_READ_MASK                       _MK_MASK_CONST(0x3333)
#define MC_CLIENT_ORDER_ID_30_0_WRITE_MASK                      _MK_MASK_CONST(0x3333)
#define MC_CLIENT_ORDER_ID_30_0_NVENCSRD1_ORDER_ID_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_CLIENT_ORDER_ID_30_0_NVENCSRD1_ORDER_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_30_0_NVENCSRD1_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_30_0_NVENCSRD1_ORDER_ID_RANGE                        1:0
#define MC_CLIENT_ORDER_ID_30_0_NVENCSRD1_ORDER_ID_WOFFSET                      0x0
#define MC_CLIENT_ORDER_ID_30_0_NVENCSRD1_ORDER_ID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_30_0_NVENCSRD1_ORDER_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_30_0_NVENCSRD1_ORDER_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_30_0_NVENCSRD1_ORDER_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_30_0_NVENCSRD1_ORDER_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_30_0_NVENCSRD1_ORDER_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_30_0_NVENCSRD1_ORDER_ID_INIT_ENUM                    ORDER_ID0
#define MC_CLIENT_ORDER_ID_30_0_NVENCSRD1_ORDER_ID_ORDER_ID0                    _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_30_0_NVENCSRD1_ORDER_ID_ORDER_ID1                    _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_30_0_NVENCSRD1_ORDER_ID_ORDER_ID2                    _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_30_0_NVENCSRD1_ORDER_ID_ORDER_ID3                    _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_30_0_NVENC1SRD1_ORDER_ID_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_CLIENT_ORDER_ID_30_0_NVENC1SRD1_ORDER_ID_FIELD                       _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_30_0_NVENC1SRD1_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_30_0_NVENC1SRD1_ORDER_ID_RANGE                       5:4
#define MC_CLIENT_ORDER_ID_30_0_NVENC1SRD1_ORDER_ID_WOFFSET                     0x0
#define MC_CLIENT_ORDER_ID_30_0_NVENC1SRD1_ORDER_ID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_30_0_NVENC1SRD1_ORDER_ID_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_30_0_NVENC1SRD1_ORDER_ID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_30_0_NVENC1SRD1_ORDER_ID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_30_0_NVENC1SRD1_ORDER_ID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_30_0_NVENC1SRD1_ORDER_ID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_30_0_NVENC1SRD1_ORDER_ID_INIT_ENUM                   ORDER_ID0
#define MC_CLIENT_ORDER_ID_30_0_NVENC1SRD1_ORDER_ID_ORDER_ID0                   _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_30_0_NVENC1SRD1_ORDER_ID_ORDER_ID1                   _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_30_0_NVENC1SRD1_ORDER_ID_ORDER_ID2                   _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_30_0_NVENC1SRD1_ORDER_ID_ORDER_ID3                   _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_30_0_ISPRA1_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_CLIENT_ORDER_ID_30_0_ISPRA1_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_30_0_ISPRA1_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_30_0_ISPRA1_ORDER_ID_RANGE                   9:8
#define MC_CLIENT_ORDER_ID_30_0_ISPRA1_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_30_0_ISPRA1_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_30_0_ISPRA1_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_30_0_ISPRA1_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_30_0_ISPRA1_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_30_0_ISPRA1_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_30_0_ISPRA1_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_30_0_ISPRA1_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_30_0_ISPRA1_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_30_0_ISPRA1_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_30_0_ISPRA1_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_30_0_ISPRA1_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_30_0_PCIE0R1_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_CLIENT_ORDER_ID_30_0_PCIE0R1_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_30_0_PCIE0R1_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_30_0_PCIE0R1_ORDER_ID_RANGE                  13:12
#define MC_CLIENT_ORDER_ID_30_0_PCIE0R1_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_30_0_PCIE0R1_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_30_0_PCIE0R1_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_30_0_PCIE0R1_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_30_0_PCIE0R1_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_30_0_PCIE0R1_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_30_0_PCIE0R1_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_30_0_PCIE0R1_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_30_0_PCIE0R1_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_30_0_PCIE0R1_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_30_0_PCIE0R1_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_30_0_PCIE0R1_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_18_0
#define MC_CLIENT_ORDER_ID_18_0                 _MK_ADDR_CONST(0x2a48)
#define MC_CLIENT_ORDER_ID_18_0_SECURE                  0x0
#define MC_CLIENT_ORDER_ID_18_0_DUAL                    0x0
#define MC_CLIENT_ORDER_ID_18_0_SCR                     0
#define MC_CLIENT_ORDER_ID_18_0_WORD_COUNT                      0x1
#define MC_CLIENT_ORDER_ID_18_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_RESET_MASK                      _MK_MASK_CONST(0x33333333)
#define MC_CLIENT_ORDER_ID_18_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_READ_MASK                       _MK_MASK_CONST(0x33333333)
#define MC_CLIENT_ORDER_ID_18_0_WRITE_MASK                      _MK_MASK_CONST(0x33333333)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCR_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCR_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_18_0_UFSHCR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCR_ORDER_ID_RANGE                   1:0
#define MC_CLIENT_ORDER_ID_18_0_UFSHCR_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_18_0_UFSHCR_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCR_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCR_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCR_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCR_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCR_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCR_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_18_0_UFSHCR_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCR_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCR_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCR_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_18_0_UFSHCW_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCW_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_18_0_UFSHCW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCW_ORDER_ID_RANGE                   5:4
#define MC_CLIENT_ORDER_ID_18_0_UFSHCW_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_18_0_UFSHCW_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCW_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCW_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCW_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCW_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCW_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCW_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_18_0_UFSHCW_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCW_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCW_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_18_0_UFSHCW_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_18_0_NVDISPLAYR_ORDER_ID_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_CLIENT_ORDER_ID_18_0_NVDISPLAYR_ORDER_ID_FIELD                       _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_18_0_NVDISPLAYR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_18_0_NVDISPLAYR_ORDER_ID_RANGE                       9:8
#define MC_CLIENT_ORDER_ID_18_0_NVDISPLAYR_ORDER_ID_WOFFSET                     0x0
#define MC_CLIENT_ORDER_ID_18_0_NVDISPLAYR_ORDER_ID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_NVDISPLAYR_ORDER_ID_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_18_0_NVDISPLAYR_ORDER_ID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_NVDISPLAYR_ORDER_ID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_NVDISPLAYR_ORDER_ID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_NVDISPLAYR_ORDER_ID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_18_0_NVDISPLAYR_ORDER_ID_INIT_ENUM                   ORDER_ID0
#define MC_CLIENT_ORDER_ID_18_0_NVDISPLAYR_ORDER_ID_ORDER_ID0                   _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_18_0_NVDISPLAYR_ORDER_ID_ORDER_ID1                   _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_18_0_NVDISPLAYR_ORDER_ID_ORDER_ID2                   _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_18_0_NVDISPLAYR_ORDER_ID_ORDER_ID3                   _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_18_0_BPMPR_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_CLIENT_ORDER_ID_18_0_BPMPR_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_18_0_BPMPR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_18_0_BPMPR_ORDER_ID_RANGE                    13:12
#define MC_CLIENT_ORDER_ID_18_0_BPMPR_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_18_0_BPMPR_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_BPMPR_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_18_0_BPMPR_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_BPMPR_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_BPMPR_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_BPMPR_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_18_0_BPMPR_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_18_0_BPMPR_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_18_0_BPMPR_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_18_0_BPMPR_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_18_0_BPMPR_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_18_0_BPMPW_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_CLIENT_ORDER_ID_18_0_BPMPW_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_18_0_BPMPW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_18_0_BPMPW_ORDER_ID_RANGE                    17:16
#define MC_CLIENT_ORDER_ID_18_0_BPMPW_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_18_0_BPMPW_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_BPMPW_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_18_0_BPMPW_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_BPMPW_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_BPMPW_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_BPMPW_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_18_0_BPMPW_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_18_0_BPMPW_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_18_0_BPMPW_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_18_0_BPMPW_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_18_0_BPMPW_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAR_ORDER_ID_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAR_ORDER_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_18_0_BPMPDMAR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAR_ORDER_ID_RANGE                 21:20
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAR_ORDER_ID_WOFFSET                       0x0
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAR_ORDER_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAR_ORDER_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAR_ORDER_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAR_ORDER_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAR_ORDER_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAR_ORDER_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAR_ORDER_ID_INIT_ENUM                     ORDER_ID0
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAR_ORDER_ID_ORDER_ID0                     _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAR_ORDER_ID_ORDER_ID1                     _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAR_ORDER_ID_ORDER_ID2                     _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAR_ORDER_ID_ORDER_ID3                     _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAW_ORDER_ID_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAW_ORDER_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_18_0_BPMPDMAW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAW_ORDER_ID_RANGE                 25:24
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAW_ORDER_ID_WOFFSET                       0x0
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAW_ORDER_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAW_ORDER_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAW_ORDER_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAW_ORDER_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAW_ORDER_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAW_ORDER_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAW_ORDER_ID_INIT_ENUM                     ORDER_ID0
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAW_ORDER_ID_ORDER_ID0                     _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAW_ORDER_ID_ORDER_ID1                     _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAW_ORDER_ID_ORDER_ID2                     _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_18_0_BPMPDMAW_ORDER_ID_ORDER_ID3                     _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_18_0_AONR_ORDER_ID_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_CLIENT_ORDER_ID_18_0_AONR_ORDER_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_18_0_AONR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_18_0_AONR_ORDER_ID_RANGE                     29:28
#define MC_CLIENT_ORDER_ID_18_0_AONR_ORDER_ID_WOFFSET                   0x0
#define MC_CLIENT_ORDER_ID_18_0_AONR_ORDER_ID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_AONR_ORDER_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_18_0_AONR_ORDER_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_AONR_ORDER_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_AONR_ORDER_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_18_0_AONR_ORDER_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_18_0_AONR_ORDER_ID_INIT_ENUM                 ORDER_ID0
#define MC_CLIENT_ORDER_ID_18_0_AONR_ORDER_ID_ORDER_ID0                 _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_18_0_AONR_ORDER_ID_ORDER_ID1                 _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_18_0_AONR_ORDER_ID_ORDER_ID2                 _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_18_0_AONR_ORDER_ID_ORDER_ID3                 _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_5_0
#define MC_CLIENT_ORDER_ID_5_0                  _MK_ADDR_CONST(0x2a14)
#define MC_CLIENT_ORDER_ID_5_0_SECURE                   0x0
#define MC_CLIENT_ORDER_ID_5_0_DUAL                     0x0
#define MC_CLIENT_ORDER_ID_5_0_SCR                      0
#define MC_CLIENT_ORDER_ID_5_0_WORD_COUNT                       0x1
#define MC_CLIENT_ORDER_ID_5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_5_0_RESET_MASK                       _MK_MASK_CONST(0x3000)
#define MC_CLIENT_ORDER_ID_5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_5_0_READ_MASK                        _MK_MASK_CONST(0x3000)
#define MC_CLIENT_ORDER_ID_5_0_WRITE_MASK                       _MK_MASK_CONST(0x3000)
#define MC_CLIENT_ORDER_ID_5_0_NVENCSWR_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_CLIENT_ORDER_ID_5_0_NVENCSWR_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_5_0_NVENCSWR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_5_0_NVENCSWR_ORDER_ID_RANGE                  13:12
#define MC_CLIENT_ORDER_ID_5_0_NVENCSWR_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_5_0_NVENCSWR_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_5_0_NVENCSWR_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_5_0_NVENCSWR_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_5_0_NVENCSWR_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_5_0_NVENCSWR_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_5_0_NVENCSWR_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_5_0_NVENCSWR_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_5_0_NVENCSWR_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_5_0_NVENCSWR_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_5_0_NVENCSWR_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_5_0_NVENCSWR_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_23_0
#define MC_CLIENT_ORDER_ID_23_0                 _MK_ADDR_CONST(0x2a5c)
#define MC_CLIENT_ORDER_ID_23_0_SECURE                  0x0
#define MC_CLIENT_ORDER_ID_23_0_DUAL                    0x0
#define MC_CLIENT_ORDER_ID_23_0_SCR                     0
#define MC_CLIENT_ORDER_ID_23_0_WORD_COUNT                      0x1
#define MC_CLIENT_ORDER_ID_23_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_23_0_RESET_MASK                      _MK_MASK_CONST(0x33330000)
#define MC_CLIENT_ORDER_ID_23_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_23_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_23_0_READ_MASK                       _MK_MASK_CONST(0x33330000)
#define MC_CLIENT_ORDER_ID_23_0_WRITE_MASK                      _MK_MASK_CONST(0x33330000)
#define MC_CLIENT_ORDER_ID_23_0_VIFALR_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_CLIENT_ORDER_ID_23_0_VIFALR_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_23_0_VIFALR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_23_0_VIFALR_ORDER_ID_RANGE                   17:16
#define MC_CLIENT_ORDER_ID_23_0_VIFALR_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_23_0_VIFALR_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_23_0_VIFALR_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_23_0_VIFALR_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_23_0_VIFALR_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_23_0_VIFALR_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_23_0_VIFALR_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_23_0_VIFALR_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_23_0_VIFALR_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_23_0_VIFALR_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_23_0_VIFALR_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_23_0_VIFALR_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_23_0_VIFALW_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_CLIENT_ORDER_ID_23_0_VIFALW_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_23_0_VIFALW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_23_0_VIFALW_ORDER_ID_RANGE                   21:20
#define MC_CLIENT_ORDER_ID_23_0_VIFALW_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_23_0_VIFALW_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_23_0_VIFALW_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_23_0_VIFALW_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_23_0_VIFALW_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_23_0_VIFALW_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_23_0_VIFALW_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_23_0_VIFALW_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_23_0_VIFALW_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_23_0_VIFALW_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_23_0_VIFALW_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_23_0_VIFALW_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_23_0_DLA0RDA_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_CLIENT_ORDER_ID_23_0_DLA0RDA_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_23_0_DLA0RDA_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_23_0_DLA0RDA_ORDER_ID_RANGE                  25:24
#define MC_CLIENT_ORDER_ID_23_0_DLA0RDA_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_23_0_DLA0RDA_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_23_0_DLA0RDA_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_23_0_DLA0RDA_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_23_0_DLA0RDA_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_23_0_DLA0RDA_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_23_0_DLA0RDA_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_23_0_DLA0RDA_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_23_0_DLA0RDA_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_23_0_DLA0RDA_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_23_0_DLA0RDA_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_23_0_DLA0RDA_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_23_0_DLA0FALRDB_ORDER_ID_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_CLIENT_ORDER_ID_23_0_DLA0FALRDB_ORDER_ID_FIELD                       _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_23_0_DLA0FALRDB_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_23_0_DLA0FALRDB_ORDER_ID_RANGE                       29:28
#define MC_CLIENT_ORDER_ID_23_0_DLA0FALRDB_ORDER_ID_WOFFSET                     0x0
#define MC_CLIENT_ORDER_ID_23_0_DLA0FALRDB_ORDER_ID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_23_0_DLA0FALRDB_ORDER_ID_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_23_0_DLA0FALRDB_ORDER_ID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_23_0_DLA0FALRDB_ORDER_ID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_23_0_DLA0FALRDB_ORDER_ID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_23_0_DLA0FALRDB_ORDER_ID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_23_0_DLA0FALRDB_ORDER_ID_INIT_ENUM                   ORDER_ID0
#define MC_CLIENT_ORDER_ID_23_0_DLA0FALRDB_ORDER_ID_ORDER_ID0                   _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_23_0_DLA0FALRDB_ORDER_ID_ORDER_ID1                   _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_23_0_DLA0FALRDB_ORDER_ID_ORDER_ID2                   _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_23_0_DLA0FALRDB_ORDER_ID_ORDER_ID3                   _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_29_0
#define MC_CLIENT_ORDER_ID_29_0                 _MK_ADDR_CONST(0x2a74)
#define MC_CLIENT_ORDER_ID_29_0_SECURE                  0x0
#define MC_CLIENT_ORDER_ID_29_0_DUAL                    0x0
#define MC_CLIENT_ORDER_ID_29_0_SCR                     0
#define MC_CLIENT_ORDER_ID_29_0_WORD_COUNT                      0x1
#define MC_CLIENT_ORDER_ID_29_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_RESET_MASK                      _MK_MASK_CONST(0x33333330)
#define MC_CLIENT_ORDER_ID_29_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_READ_MASK                       _MK_MASK_CONST(0x33333330)
#define MC_CLIENT_ORDER_ID_29_0_WRITE_MASK                      _MK_MASK_CONST(0x33333330)
#define MC_CLIENT_ORDER_ID_29_0_DLA0RDA1_ORDER_ID_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_CLIENT_ORDER_ID_29_0_DLA0RDA1_ORDER_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_29_0_DLA0RDA1_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_29_0_DLA0RDA1_ORDER_ID_RANGE                 5:4
#define MC_CLIENT_ORDER_ID_29_0_DLA0RDA1_ORDER_ID_WOFFSET                       0x0
#define MC_CLIENT_ORDER_ID_29_0_DLA0RDA1_ORDER_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_DLA0RDA1_ORDER_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_29_0_DLA0RDA1_ORDER_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_DLA0RDA1_ORDER_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_DLA0RDA1_ORDER_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_DLA0RDA1_ORDER_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_29_0_DLA0RDA1_ORDER_ID_INIT_ENUM                     ORDER_ID0
#define MC_CLIENT_ORDER_ID_29_0_DLA0RDA1_ORDER_ID_ORDER_ID0                     _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_29_0_DLA0RDA1_ORDER_ID_ORDER_ID1                     _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_29_0_DLA0RDA1_ORDER_ID_ORDER_ID2                     _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_29_0_DLA0RDA1_ORDER_ID_ORDER_ID3                     _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_29_0_DLA1RDA1_ORDER_ID_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_CLIENT_ORDER_ID_29_0_DLA1RDA1_ORDER_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_29_0_DLA1RDA1_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_29_0_DLA1RDA1_ORDER_ID_RANGE                 9:8
#define MC_CLIENT_ORDER_ID_29_0_DLA1RDA1_ORDER_ID_WOFFSET                       0x0
#define MC_CLIENT_ORDER_ID_29_0_DLA1RDA1_ORDER_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_DLA1RDA1_ORDER_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_29_0_DLA1RDA1_ORDER_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_DLA1RDA1_ORDER_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_DLA1RDA1_ORDER_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_DLA1RDA1_ORDER_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_29_0_DLA1RDA1_ORDER_ID_INIT_ENUM                     ORDER_ID0
#define MC_CLIENT_ORDER_ID_29_0_DLA1RDA1_ORDER_ID_ORDER_ID0                     _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_29_0_DLA1RDA1_ORDER_ID_ORDER_ID1                     _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_29_0_DLA1RDA1_ORDER_ID_ORDER_ID2                     _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_29_0_DLA1RDA1_ORDER_ID_ORDER_ID3                     _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_29_0_PVA0RDA1_ORDER_ID_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDA1_ORDER_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_29_0_PVA0RDA1_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDA1_ORDER_ID_RANGE                 13:12
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDA1_ORDER_ID_WOFFSET                       0x0
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDA1_ORDER_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDA1_ORDER_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDA1_ORDER_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDA1_ORDER_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDA1_ORDER_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDA1_ORDER_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDA1_ORDER_ID_INIT_ENUM                     ORDER_ID0
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDA1_ORDER_ID_ORDER_ID0                     _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDA1_ORDER_ID_ORDER_ID1                     _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDA1_ORDER_ID_ORDER_ID2                     _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDA1_ORDER_ID_ORDER_ID3                     _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_29_0_PVA0RDB1_ORDER_ID_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDB1_ORDER_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_29_0_PVA0RDB1_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDB1_ORDER_ID_RANGE                 17:16
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDB1_ORDER_ID_WOFFSET                       0x0
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDB1_ORDER_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDB1_ORDER_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDB1_ORDER_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDB1_ORDER_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDB1_ORDER_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDB1_ORDER_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDB1_ORDER_ID_INIT_ENUM                     ORDER_ID0
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDB1_ORDER_ID_ORDER_ID0                     _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDB1_ORDER_ID_ORDER_ID1                     _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDB1_ORDER_ID_ORDER_ID2                     _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_29_0_PVA0RDB1_ORDER_ID_ORDER_ID3                     _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_29_0_PVA1RDA1_ORDER_ID_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDA1_ORDER_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_29_0_PVA1RDA1_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDA1_ORDER_ID_RANGE                 21:20
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDA1_ORDER_ID_WOFFSET                       0x0
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDA1_ORDER_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDA1_ORDER_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDA1_ORDER_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDA1_ORDER_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDA1_ORDER_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDA1_ORDER_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDA1_ORDER_ID_INIT_ENUM                     ORDER_ID0
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDA1_ORDER_ID_ORDER_ID0                     _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDA1_ORDER_ID_ORDER_ID1                     _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDA1_ORDER_ID_ORDER_ID2                     _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDA1_ORDER_ID_ORDER_ID3                     _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_29_0_PVA1RDB1_ORDER_ID_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDB1_ORDER_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_29_0_PVA1RDB1_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDB1_ORDER_ID_RANGE                 25:24
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDB1_ORDER_ID_WOFFSET                       0x0
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDB1_ORDER_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDB1_ORDER_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDB1_ORDER_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDB1_ORDER_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDB1_ORDER_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDB1_ORDER_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDB1_ORDER_ID_INIT_ENUM                     ORDER_ID0
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDB1_ORDER_ID_ORDER_ID0                     _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDB1_ORDER_ID_ORDER_ID1                     _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDB1_ORDER_ID_ORDER_ID2                     _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_29_0_PVA1RDB1_ORDER_ID_ORDER_ID3                     _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_29_0_PCIE5R1_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_CLIENT_ORDER_ID_29_0_PCIE5R1_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_29_0_PCIE5R1_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_29_0_PCIE5R1_ORDER_ID_RANGE                  29:28
#define MC_CLIENT_ORDER_ID_29_0_PCIE5R1_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_29_0_PCIE5R1_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_PCIE5R1_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_29_0_PCIE5R1_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_PCIE5R1_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_PCIE5R1_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_29_0_PCIE5R1_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_29_0_PCIE5R1_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_29_0_PCIE5R1_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_29_0_PCIE5R1_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_29_0_PCIE5R1_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_29_0_PCIE5R1_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_14_0
#define MC_CLIENT_ORDER_ID_14_0                 _MK_ADDR_CONST(0x2a38)
#define MC_CLIENT_ORDER_ID_14_0_SECURE                  0x0
#define MC_CLIENT_ORDER_ID_14_0_DUAL                    0x0
#define MC_CLIENT_ORDER_ID_14_0_SCR                     0
#define MC_CLIENT_ORDER_ID_14_0_WORD_COUNT                      0x1
#define MC_CLIENT_ORDER_ID_14_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_14_0_RESET_MASK                      _MK_MASK_CONST(0x300)
#define MC_CLIENT_ORDER_ID_14_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_14_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_14_0_READ_MASK                       _MK_MASK_CONST(0x300)
#define MC_CLIENT_ORDER_ID_14_0_WRITE_MASK                      _MK_MASK_CONST(0x300)
#define MC_CLIENT_ORDER_ID_14_0_VIW_ORDER_ID_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_CLIENT_ORDER_ID_14_0_VIW_ORDER_ID_FIELD                      _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_14_0_VIW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_14_0_VIW_ORDER_ID_RANGE                      9:8
#define MC_CLIENT_ORDER_ID_14_0_VIW_ORDER_ID_WOFFSET                    0x0
#define MC_CLIENT_ORDER_ID_14_0_VIW_ORDER_ID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_14_0_VIW_ORDER_ID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_14_0_VIW_ORDER_ID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_14_0_VIW_ORDER_ID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_14_0_VIW_ORDER_ID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_14_0_VIW_ORDER_ID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_14_0_VIW_ORDER_ID_INIT_ENUM                  ORDER_ID0
#define MC_CLIENT_ORDER_ID_14_0_VIW_ORDER_ID_ORDER_ID0                  _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_14_0_VIW_ORDER_ID_ORDER_ID1                  _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_14_0_VIW_ORDER_ID_ORDER_ID2                  _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_14_0_VIW_ORDER_ID_ORDER_ID3                  _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_24_0
#define MC_CLIENT_ORDER_ID_24_0                 _MK_ADDR_CONST(0x2a60)
#define MC_CLIENT_ORDER_ID_24_0_SECURE                  0x0
#define MC_CLIENT_ORDER_ID_24_0_DUAL                    0x0
#define MC_CLIENT_ORDER_ID_24_0_SCR                     0
#define MC_CLIENT_ORDER_ID_24_0_WORD_COUNT                      0x1
#define MC_CLIENT_ORDER_ID_24_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_RESET_MASK                      _MK_MASK_CONST(0x33333333)
#define MC_CLIENT_ORDER_ID_24_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_READ_MASK                       _MK_MASK_CONST(0x33333333)
#define MC_CLIENT_ORDER_ID_24_0_WRITE_MASK                      _MK_MASK_CONST(0x33333333)
#define MC_CLIENT_ORDER_ID_24_0_DLA0WRA_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_CLIENT_ORDER_ID_24_0_DLA0WRA_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_24_0_DLA0WRA_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_24_0_DLA0WRA_ORDER_ID_RANGE                  1:0
#define MC_CLIENT_ORDER_ID_24_0_DLA0WRA_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_24_0_DLA0WRA_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA0WRA_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_24_0_DLA0WRA_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA0WRA_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA0WRA_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA0WRA_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_24_0_DLA0WRA_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_24_0_DLA0WRA_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_24_0_DLA0WRA_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_24_0_DLA0WRA_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_24_0_DLA0WRA_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_24_0_DLA0FALWRB_ORDER_ID_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_CLIENT_ORDER_ID_24_0_DLA0FALWRB_ORDER_ID_FIELD                       _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_24_0_DLA0FALWRB_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_24_0_DLA0FALWRB_ORDER_ID_RANGE                       5:4
#define MC_CLIENT_ORDER_ID_24_0_DLA0FALWRB_ORDER_ID_WOFFSET                     0x0
#define MC_CLIENT_ORDER_ID_24_0_DLA0FALWRB_ORDER_ID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA0FALWRB_ORDER_ID_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_24_0_DLA0FALWRB_ORDER_ID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA0FALWRB_ORDER_ID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA0FALWRB_ORDER_ID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA0FALWRB_ORDER_ID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_24_0_DLA0FALWRB_ORDER_ID_INIT_ENUM                   ORDER_ID0
#define MC_CLIENT_ORDER_ID_24_0_DLA0FALWRB_ORDER_ID_ORDER_ID0                   _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_24_0_DLA0FALWRB_ORDER_ID_ORDER_ID1                   _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_24_0_DLA0FALWRB_ORDER_ID_ORDER_ID2                   _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_24_0_DLA0FALWRB_ORDER_ID_ORDER_ID3                   _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_24_0_DLA1RDA_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_CLIENT_ORDER_ID_24_0_DLA1RDA_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_24_0_DLA1RDA_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_24_0_DLA1RDA_ORDER_ID_RANGE                  9:8
#define MC_CLIENT_ORDER_ID_24_0_DLA1RDA_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_24_0_DLA1RDA_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA1RDA_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_24_0_DLA1RDA_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA1RDA_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA1RDA_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA1RDA_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_24_0_DLA1RDA_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_24_0_DLA1RDA_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_24_0_DLA1RDA_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_24_0_DLA1RDA_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_24_0_DLA1RDA_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_24_0_DLA1FALRDB_ORDER_ID_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALRDB_ORDER_ID_FIELD                       _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_24_0_DLA1FALRDB_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALRDB_ORDER_ID_RANGE                       13:12
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALRDB_ORDER_ID_WOFFSET                     0x0
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALRDB_ORDER_ID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALRDB_ORDER_ID_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALRDB_ORDER_ID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALRDB_ORDER_ID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALRDB_ORDER_ID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALRDB_ORDER_ID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALRDB_ORDER_ID_INIT_ENUM                   ORDER_ID0
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALRDB_ORDER_ID_ORDER_ID0                   _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALRDB_ORDER_ID_ORDER_ID1                   _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALRDB_ORDER_ID_ORDER_ID2                   _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALRDB_ORDER_ID_ORDER_ID3                   _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_24_0_DLA1WRA_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_CLIENT_ORDER_ID_24_0_DLA1WRA_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_24_0_DLA1WRA_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_24_0_DLA1WRA_ORDER_ID_RANGE                  17:16
#define MC_CLIENT_ORDER_ID_24_0_DLA1WRA_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_24_0_DLA1WRA_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA1WRA_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_24_0_DLA1WRA_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA1WRA_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA1WRA_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA1WRA_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_24_0_DLA1WRA_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_24_0_DLA1WRA_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_24_0_DLA1WRA_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_24_0_DLA1WRA_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_24_0_DLA1WRA_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_24_0_DLA1FALWRB_ORDER_ID_SHIFT                       _MK_SHIFT_CONST(20)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALWRB_ORDER_ID_FIELD                       _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_24_0_DLA1FALWRB_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALWRB_ORDER_ID_RANGE                       21:20
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALWRB_ORDER_ID_WOFFSET                     0x0
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALWRB_ORDER_ID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALWRB_ORDER_ID_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALWRB_ORDER_ID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALWRB_ORDER_ID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALWRB_ORDER_ID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALWRB_ORDER_ID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALWRB_ORDER_ID_INIT_ENUM                   ORDER_ID0
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALWRB_ORDER_ID_ORDER_ID0                   _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALWRB_ORDER_ID_ORDER_ID1                   _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALWRB_ORDER_ID_ORDER_ID2                   _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_24_0_DLA1FALWRB_ORDER_ID_ORDER_ID3                   _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_24_0_PVA0RDA_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDA_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_24_0_PVA0RDA_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDA_ORDER_ID_RANGE                  25:24
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDA_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDA_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDA_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDA_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDA_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDA_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDA_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDA_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDA_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDA_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDA_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDA_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_24_0_PVA0RDB_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDB_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_24_0_PVA0RDB_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDB_ORDER_ID_RANGE                  29:28
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDB_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDB_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDB_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDB_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDB_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDB_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDB_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDB_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDB_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDB_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDB_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_24_0_PVA0RDB_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_3_0
#define MC_CLIENT_ORDER_ID_3_0                  _MK_ADDR_CONST(0x2a0c)
#define MC_CLIENT_ORDER_ID_3_0_SECURE                   0x0
#define MC_CLIENT_ORDER_ID_3_0_DUAL                     0x0
#define MC_CLIENT_ORDER_ID_3_0_SCR                      0
#define MC_CLIENT_ORDER_ID_3_0_WORD_COUNT                       0x1
#define MC_CLIENT_ORDER_ID_3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_3_0_RESET_MASK                       _MK_MASK_CONST(0x30030000)
#define MC_CLIENT_ORDER_ID_3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_3_0_READ_MASK                        _MK_MASK_CONST(0x30030000)
#define MC_CLIENT_ORDER_ID_3_0_WRITE_MASK                       _MK_MASK_CONST(0x30030000)
#define MC_CLIENT_ORDER_ID_3_0_NVENCSRD_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_CLIENT_ORDER_ID_3_0_NVENCSRD_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_3_0_NVENCSRD_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_3_0_NVENCSRD_ORDER_ID_RANGE                  17:16
#define MC_CLIENT_ORDER_ID_3_0_NVENCSRD_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_3_0_NVENCSRD_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_3_0_NVENCSRD_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_3_0_NVENCSRD_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_3_0_NVENCSRD_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_3_0_NVENCSRD_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_3_0_NVENCSRD_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_3_0_NVENCSRD_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_3_0_NVENCSRD_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_3_0_NVENCSRD_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_3_0_NVENCSRD_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_3_0_NVENCSRD_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_3_0_SATAR_ORDER_ID_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_CLIENT_ORDER_ID_3_0_SATAR_ORDER_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_3_0_SATAR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_3_0_SATAR_ORDER_ID_RANGE                     29:28
#define MC_CLIENT_ORDER_ID_3_0_SATAR_ORDER_ID_WOFFSET                   0x0
#define MC_CLIENT_ORDER_ID_3_0_SATAR_ORDER_ID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_3_0_SATAR_ORDER_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_3_0_SATAR_ORDER_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_3_0_SATAR_ORDER_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_3_0_SATAR_ORDER_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_3_0_SATAR_ORDER_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_3_0_SATAR_ORDER_ID_INIT_ENUM                 ORDER_ID0
#define MC_CLIENT_ORDER_ID_3_0_SATAR_ORDER_ID_ORDER_ID0                 _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_3_0_SATAR_ORDER_ID_ORDER_ID1                 _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_3_0_SATAR_ORDER_ID_ORDER_ID2                 _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_3_0_SATAR_ORDER_ID_ORDER_ID3                 _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_19_0
#define MC_CLIENT_ORDER_ID_19_0                 _MK_ADDR_CONST(0x2a4c)
#define MC_CLIENT_ORDER_ID_19_0_SECURE                  0x0
#define MC_CLIENT_ORDER_ID_19_0_DUAL                    0x0
#define MC_CLIENT_ORDER_ID_19_0_SCR                     0
#define MC_CLIENT_ORDER_ID_19_0_WORD_COUNT                      0x1
#define MC_CLIENT_ORDER_ID_19_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_RESET_MASK                      _MK_MASK_CONST(0x33333333)
#define MC_CLIENT_ORDER_ID_19_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_READ_MASK                       _MK_MASK_CONST(0x33333333)
#define MC_CLIENT_ORDER_ID_19_0_WRITE_MASK                      _MK_MASK_CONST(0x33333333)
#define MC_CLIENT_ORDER_ID_19_0_AONW_ORDER_ID_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_CLIENT_ORDER_ID_19_0_AONW_ORDER_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_19_0_AONW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_19_0_AONW_ORDER_ID_RANGE                     1:0
#define MC_CLIENT_ORDER_ID_19_0_AONW_ORDER_ID_WOFFSET                   0x0
#define MC_CLIENT_ORDER_ID_19_0_AONW_ORDER_ID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_AONW_ORDER_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_19_0_AONW_ORDER_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_AONW_ORDER_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_AONW_ORDER_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_AONW_ORDER_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_19_0_AONW_ORDER_ID_INIT_ENUM                 ORDER_ID0
#define MC_CLIENT_ORDER_ID_19_0_AONW_ORDER_ID_ORDER_ID0                 _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_19_0_AONW_ORDER_ID_ORDER_ID1                 _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_19_0_AONW_ORDER_ID_ORDER_ID2                 _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_19_0_AONW_ORDER_ID_ORDER_ID3                 _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_19_0_AONDMAR_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAR_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_19_0_AONDMAR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAR_ORDER_ID_RANGE                  5:4
#define MC_CLIENT_ORDER_ID_19_0_AONDMAR_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_19_0_AONDMAR_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAR_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAR_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAR_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAR_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAR_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAR_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_19_0_AONDMAR_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAR_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAR_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAR_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_19_0_AONDMAW_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAW_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_19_0_AONDMAW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAW_ORDER_ID_RANGE                  9:8
#define MC_CLIENT_ORDER_ID_19_0_AONDMAW_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_19_0_AONDMAW_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAW_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAW_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAW_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAW_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAW_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAW_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_19_0_AONDMAW_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAW_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAW_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_19_0_AONDMAW_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_19_0_SCER_ORDER_ID_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_CLIENT_ORDER_ID_19_0_SCER_ORDER_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_19_0_SCER_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_19_0_SCER_ORDER_ID_RANGE                     13:12
#define MC_CLIENT_ORDER_ID_19_0_SCER_ORDER_ID_WOFFSET                   0x0
#define MC_CLIENT_ORDER_ID_19_0_SCER_ORDER_ID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_SCER_ORDER_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_19_0_SCER_ORDER_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_SCER_ORDER_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_SCER_ORDER_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_SCER_ORDER_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_19_0_SCER_ORDER_ID_INIT_ENUM                 ORDER_ID0
#define MC_CLIENT_ORDER_ID_19_0_SCER_ORDER_ID_ORDER_ID0                 _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_19_0_SCER_ORDER_ID_ORDER_ID1                 _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_19_0_SCER_ORDER_ID_ORDER_ID2                 _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_19_0_SCER_ORDER_ID_ORDER_ID3                 _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_19_0_SCEW_ORDER_ID_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_CLIENT_ORDER_ID_19_0_SCEW_ORDER_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_19_0_SCEW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_19_0_SCEW_ORDER_ID_RANGE                     17:16
#define MC_CLIENT_ORDER_ID_19_0_SCEW_ORDER_ID_WOFFSET                   0x0
#define MC_CLIENT_ORDER_ID_19_0_SCEW_ORDER_ID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_SCEW_ORDER_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_19_0_SCEW_ORDER_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_SCEW_ORDER_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_SCEW_ORDER_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_SCEW_ORDER_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_19_0_SCEW_ORDER_ID_INIT_ENUM                 ORDER_ID0
#define MC_CLIENT_ORDER_ID_19_0_SCEW_ORDER_ID_ORDER_ID0                 _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_19_0_SCEW_ORDER_ID_ORDER_ID1                 _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_19_0_SCEW_ORDER_ID_ORDER_ID2                 _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_19_0_SCEW_ORDER_ID_ORDER_ID3                 _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_19_0_SCEDMAR_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAR_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_19_0_SCEDMAR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAR_ORDER_ID_RANGE                  21:20
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAR_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAR_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAR_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAR_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAR_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAR_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAR_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAR_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAR_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAR_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAR_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAR_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_19_0_SCEDMAW_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAW_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_19_0_SCEDMAW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAW_ORDER_ID_RANGE                  25:24
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAW_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAW_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAW_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAW_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAW_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAW_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAW_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAW_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAW_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAW_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAW_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_19_0_SCEDMAW_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_19_0_APEDMAR_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_CLIENT_ORDER_ID_19_0_APEDMAR_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_19_0_APEDMAR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_19_0_APEDMAR_ORDER_ID_RANGE                  29:28
#define MC_CLIENT_ORDER_ID_19_0_APEDMAR_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_19_0_APEDMAR_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_APEDMAR_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_19_0_APEDMAR_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_APEDMAR_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_APEDMAR_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_19_0_APEDMAR_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_19_0_APEDMAR_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_19_0_APEDMAR_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_19_0_APEDMAR_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_19_0_APEDMAR_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_19_0_APEDMAR_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_7_0
#define MC_CLIENT_ORDER_ID_7_0                  _MK_ADDR_CONST(0x2a1c)
#define MC_CLIENT_ORDER_ID_7_0_SECURE                   0x0
#define MC_CLIENT_ORDER_ID_7_0_DUAL                     0x0
#define MC_CLIENT_ORDER_ID_7_0_SCR                      0
#define MC_CLIENT_ORDER_ID_7_0_WORD_COUNT                       0x1
#define MC_CLIENT_ORDER_ID_7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_7_0_RESET_MASK                       _MK_MASK_CONST(0x300030)
#define MC_CLIENT_ORDER_ID_7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_7_0_READ_MASK                        _MK_MASK_CONST(0x300030)
#define MC_CLIENT_ORDER_ID_7_0_WRITE_MASK                       _MK_MASK_CONST(0x300030)
#define MC_CLIENT_ORDER_ID_7_0_MPCOREW_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_CLIENT_ORDER_ID_7_0_MPCOREW_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_7_0_MPCOREW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_7_0_MPCOREW_ORDER_ID_RANGE                   5:4
#define MC_CLIENT_ORDER_ID_7_0_MPCOREW_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_7_0_MPCOREW_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_7_0_MPCOREW_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_7_0_MPCOREW_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_7_0_MPCOREW_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_7_0_MPCOREW_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_7_0_MPCOREW_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_7_0_MPCOREW_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_7_0_MPCOREW_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_7_0_MPCOREW_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_7_0_MPCOREW_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_7_0_MPCOREW_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_7_0_SATAW_ORDER_ID_SHIFT                     _MK_SHIFT_CONST(20)
#define MC_CLIENT_ORDER_ID_7_0_SATAW_ORDER_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_7_0_SATAW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_7_0_SATAW_ORDER_ID_RANGE                     21:20
#define MC_CLIENT_ORDER_ID_7_0_SATAW_ORDER_ID_WOFFSET                   0x0
#define MC_CLIENT_ORDER_ID_7_0_SATAW_ORDER_ID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_7_0_SATAW_ORDER_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_7_0_SATAW_ORDER_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_7_0_SATAW_ORDER_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_7_0_SATAW_ORDER_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_7_0_SATAW_ORDER_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_7_0_SATAW_ORDER_ID_INIT_ENUM                 ORDER_ID0
#define MC_CLIENT_ORDER_ID_7_0_SATAW_ORDER_ID_ORDER_ID0                 _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_7_0_SATAW_ORDER_ID_ORDER_ID1                 _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_7_0_SATAW_ORDER_ID_ORDER_ID2                 _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_7_0_SATAW_ORDER_ID_ORDER_ID3                 _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_0_0
#define MC_CLIENT_ORDER_ID_0_0                  _MK_ADDR_CONST(0x2a00)
#define MC_CLIENT_ORDER_ID_0_0_SECURE                   0x0
#define MC_CLIENT_ORDER_ID_0_0_DUAL                     0x0
#define MC_CLIENT_ORDER_ID_0_0_SCR                      0
#define MC_CLIENT_ORDER_ID_0_0_WORD_COUNT                       0x1
#define MC_CLIENT_ORDER_ID_0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_0_0_RESET_MASK                       _MK_MASK_CONST(0x333)
#define MC_CLIENT_ORDER_ID_0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_0_0_READ_MASK                        _MK_MASK_CONST(0x333)
#define MC_CLIENT_ORDER_ID_0_0_WRITE_MASK                       _MK_MASK_CONST(0x333)
#define MC_CLIENT_ORDER_ID_0_0_PTCR_ORDER_ID_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_CLIENT_ORDER_ID_0_0_PTCR_ORDER_ID_FIELD                      _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_0_0_PTCR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_0_0_PTCR_ORDER_ID_RANGE                      1:0
#define MC_CLIENT_ORDER_ID_0_0_PTCR_ORDER_ID_WOFFSET                    0x0
#define MC_CLIENT_ORDER_ID_0_0_PTCR_ORDER_ID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_0_0_PTCR_ORDER_ID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_0_0_PTCR_ORDER_ID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_0_0_PTCR_ORDER_ID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_0_0_PTCR_ORDER_ID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_0_0_PTCR_ORDER_ID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_0_0_PTCR_ORDER_ID_INIT_ENUM                  ORDER_ID0
#define MC_CLIENT_ORDER_ID_0_0_PTCR_ORDER_ID_ORDER_ID0                  _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_0_0_PTCR_ORDER_ID_ORDER_ID1                  _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_0_0_PTCR_ORDER_ID_ORDER_ID2                  _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_0_0_PTCR_ORDER_ID_ORDER_ID3                  _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_0_0_MIU7R_ORDER_ID_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_CLIENT_ORDER_ID_0_0_MIU7R_ORDER_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_0_0_MIU7R_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_0_0_MIU7R_ORDER_ID_RANGE                     5:4
#define MC_CLIENT_ORDER_ID_0_0_MIU7R_ORDER_ID_WOFFSET                   0x0
#define MC_CLIENT_ORDER_ID_0_0_MIU7R_ORDER_ID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_0_0_MIU7R_ORDER_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_0_0_MIU7R_ORDER_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_0_0_MIU7R_ORDER_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_0_0_MIU7R_ORDER_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_0_0_MIU7R_ORDER_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_0_0_MIU7R_ORDER_ID_INIT_ENUM                 ORDER_ID0
#define MC_CLIENT_ORDER_ID_0_0_MIU7R_ORDER_ID_ORDER_ID0                 _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_0_0_MIU7R_ORDER_ID_ORDER_ID1                 _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_0_0_MIU7R_ORDER_ID_ORDER_ID2                 _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_0_0_MIU7R_ORDER_ID_ORDER_ID3                 _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_0_0_MIU7W_ORDER_ID_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_CLIENT_ORDER_ID_0_0_MIU7W_ORDER_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_0_0_MIU7W_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_0_0_MIU7W_ORDER_ID_RANGE                     9:8
#define MC_CLIENT_ORDER_ID_0_0_MIU7W_ORDER_ID_WOFFSET                   0x0
#define MC_CLIENT_ORDER_ID_0_0_MIU7W_ORDER_ID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_0_0_MIU7W_ORDER_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_0_0_MIU7W_ORDER_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_0_0_MIU7W_ORDER_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_0_0_MIU7W_ORDER_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_0_0_MIU7W_ORDER_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_0_0_MIU7W_ORDER_ID_INIT_ENUM                 ORDER_ID0
#define MC_CLIENT_ORDER_ID_0_0_MIU7W_ORDER_ID_ORDER_ID0                 _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_0_0_MIU7W_ORDER_ID_ORDER_ID1                 _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_0_0_MIU7W_ORDER_ID_ORDER_ID2                 _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_0_0_MIU7W_ORDER_ID_ORDER_ID3                 _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_2_0
#define MC_CLIENT_ORDER_ID_2_0                  _MK_ADDR_CONST(0x2a08)
#define MC_CLIENT_ORDER_ID_2_0_SECURE                   0x0
#define MC_CLIENT_ORDER_ID_2_0_DUAL                     0x0
#define MC_CLIENT_ORDER_ID_2_0_SCR                      0
#define MC_CLIENT_ORDER_ID_2_0_WORD_COUNT                       0x1
#define MC_CLIENT_ORDER_ID_2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_2_0_RESET_MASK                       _MK_MASK_CONST(0x3300000)
#define MC_CLIENT_ORDER_ID_2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_2_0_READ_MASK                        _MK_MASK_CONST(0x3300000)
#define MC_CLIENT_ORDER_ID_2_0_WRITE_MASK                       _MK_MASK_CONST(0x3300000)
#define MC_CLIENT_ORDER_ID_2_0_HDAR_ORDER_ID_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_CLIENT_ORDER_ID_2_0_HDAR_ORDER_ID_FIELD                      _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_2_0_HDAR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_2_0_HDAR_ORDER_ID_RANGE                      21:20
#define MC_CLIENT_ORDER_ID_2_0_HDAR_ORDER_ID_WOFFSET                    0x0
#define MC_CLIENT_ORDER_ID_2_0_HDAR_ORDER_ID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_2_0_HDAR_ORDER_ID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_2_0_HDAR_ORDER_ID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_2_0_HDAR_ORDER_ID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_2_0_HDAR_ORDER_ID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_2_0_HDAR_ORDER_ID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_2_0_HDAR_ORDER_ID_INIT_ENUM                  ORDER_ID0
#define MC_CLIENT_ORDER_ID_2_0_HDAR_ORDER_ID_ORDER_ID0                  _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_2_0_HDAR_ORDER_ID_ORDER_ID1                  _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_2_0_HDAR_ORDER_ID_ORDER_ID2                  _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_2_0_HDAR_ORDER_ID_ORDER_ID3                  _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_2_0_HOST1XDMAR_ORDER_ID_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_CLIENT_ORDER_ID_2_0_HOST1XDMAR_ORDER_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_2_0_HOST1XDMAR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_2_0_HOST1XDMAR_ORDER_ID_RANGE                        25:24
#define MC_CLIENT_ORDER_ID_2_0_HOST1XDMAR_ORDER_ID_WOFFSET                      0x0
#define MC_CLIENT_ORDER_ID_2_0_HOST1XDMAR_ORDER_ID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_2_0_HOST1XDMAR_ORDER_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_2_0_HOST1XDMAR_ORDER_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_2_0_HOST1XDMAR_ORDER_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_2_0_HOST1XDMAR_ORDER_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_2_0_HOST1XDMAR_ORDER_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_2_0_HOST1XDMAR_ORDER_ID_INIT_ENUM                    ORDER_ID0
#define MC_CLIENT_ORDER_ID_2_0_HOST1XDMAR_ORDER_ID_ORDER_ID0                    _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_2_0_HOST1XDMAR_ORDER_ID_ORDER_ID1                    _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_2_0_HOST1XDMAR_ORDER_ID_ORDER_ID2                    _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_2_0_HOST1XDMAR_ORDER_ID_ORDER_ID3                    _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_16_0
#define MC_CLIENT_ORDER_ID_16_0                 _MK_ADDR_CONST(0x2a40)
#define MC_CLIENT_ORDER_ID_16_0_SECURE                  0x0
#define MC_CLIENT_ORDER_ID_16_0_DUAL                    0x0
#define MC_CLIENT_ORDER_ID_16_0_SCR                     0
#define MC_CLIENT_ORDER_ID_16_0_WORD_COUNT                      0x1
#define MC_CLIENT_ORDER_ID_16_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_RESET_MASK                      _MK_MASK_CONST(0x33333333)
#define MC_CLIENT_ORDER_ID_16_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_READ_MASK                       _MK_MASK_CONST(0x33333333)
#define MC_CLIENT_ORDER_ID_16_0_WRITE_MASK                      _MK_MASK_CONST(0x33333333)
#define MC_CLIENT_ORDER_ID_16_0_SESRD_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_CLIENT_ORDER_ID_16_0_SESRD_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_16_0_SESRD_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_16_0_SESRD_ORDER_ID_RANGE                    1:0
#define MC_CLIENT_ORDER_ID_16_0_SESRD_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_16_0_SESRD_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_SESRD_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_16_0_SESRD_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_SESRD_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_SESRD_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_SESRD_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_16_0_SESRD_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_16_0_SESRD_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_16_0_SESRD_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_16_0_SESRD_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_16_0_SESRD_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_16_0_SESWR_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_CLIENT_ORDER_ID_16_0_SESWR_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_16_0_SESWR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_16_0_SESWR_ORDER_ID_RANGE                    5:4
#define MC_CLIENT_ORDER_ID_16_0_SESWR_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_16_0_SESWR_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_SESWR_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_16_0_SESWR_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_SESWR_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_SESWR_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_SESWR_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_16_0_SESWR_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_16_0_SESWR_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_16_0_SESWR_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_16_0_SESWR_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_16_0_SESWR_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_16_0_AXIAPR_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPR_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_16_0_AXIAPR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPR_ORDER_ID_RANGE                   9:8
#define MC_CLIENT_ORDER_ID_16_0_AXIAPR_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_16_0_AXIAPR_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPR_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPR_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPR_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPR_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPR_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPR_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_16_0_AXIAPR_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPR_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPR_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPR_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_16_0_AXIAPW_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPW_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_16_0_AXIAPW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPW_ORDER_ID_RANGE                   13:12
#define MC_CLIENT_ORDER_ID_16_0_AXIAPW_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_16_0_AXIAPW_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPW_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPW_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPW_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPW_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPW_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPW_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_16_0_AXIAPW_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPW_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPW_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_16_0_AXIAPW_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_16_0_ETRR_ORDER_ID_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_CLIENT_ORDER_ID_16_0_ETRR_ORDER_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_16_0_ETRR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_16_0_ETRR_ORDER_ID_RANGE                     17:16
#define MC_CLIENT_ORDER_ID_16_0_ETRR_ORDER_ID_WOFFSET                   0x0
#define MC_CLIENT_ORDER_ID_16_0_ETRR_ORDER_ID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_ETRR_ORDER_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_16_0_ETRR_ORDER_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_ETRR_ORDER_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_ETRR_ORDER_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_ETRR_ORDER_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_16_0_ETRR_ORDER_ID_INIT_ENUM                 ORDER_ID0
#define MC_CLIENT_ORDER_ID_16_0_ETRR_ORDER_ID_ORDER_ID0                 _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_16_0_ETRR_ORDER_ID_ORDER_ID1                 _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_16_0_ETRR_ORDER_ID_ORDER_ID2                 _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_16_0_ETRR_ORDER_ID_ORDER_ID3                 _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_16_0_ETRW_ORDER_ID_SHIFT                     _MK_SHIFT_CONST(20)
#define MC_CLIENT_ORDER_ID_16_0_ETRW_ORDER_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_16_0_ETRW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_16_0_ETRW_ORDER_ID_RANGE                     21:20
#define MC_CLIENT_ORDER_ID_16_0_ETRW_ORDER_ID_WOFFSET                   0x0
#define MC_CLIENT_ORDER_ID_16_0_ETRW_ORDER_ID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_ETRW_ORDER_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_16_0_ETRW_ORDER_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_ETRW_ORDER_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_ETRW_ORDER_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_ETRW_ORDER_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_16_0_ETRW_ORDER_ID_INIT_ENUM                 ORDER_ID0
#define MC_CLIENT_ORDER_ID_16_0_ETRW_ORDER_ID_ORDER_ID0                 _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_16_0_ETRW_ORDER_ID_ORDER_ID1                 _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_16_0_ETRW_ORDER_ID_ORDER_ID2                 _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_16_0_ETRW_ORDER_ID_ORDER_ID3                 _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_16_0_TSECSRDB_ORDER_ID_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_CLIENT_ORDER_ID_16_0_TSECSRDB_ORDER_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_16_0_TSECSRDB_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_16_0_TSECSRDB_ORDER_ID_RANGE                 25:24
#define MC_CLIENT_ORDER_ID_16_0_TSECSRDB_ORDER_ID_WOFFSET                       0x0
#define MC_CLIENT_ORDER_ID_16_0_TSECSRDB_ORDER_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_TSECSRDB_ORDER_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_16_0_TSECSRDB_ORDER_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_TSECSRDB_ORDER_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_TSECSRDB_ORDER_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_TSECSRDB_ORDER_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_16_0_TSECSRDB_ORDER_ID_INIT_ENUM                     ORDER_ID0
#define MC_CLIENT_ORDER_ID_16_0_TSECSRDB_ORDER_ID_ORDER_ID0                     _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_16_0_TSECSRDB_ORDER_ID_ORDER_ID1                     _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_16_0_TSECSRDB_ORDER_ID_ORDER_ID2                     _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_16_0_TSECSRDB_ORDER_ID_ORDER_ID3                     _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_16_0_TSECSWRB_ORDER_ID_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_CLIENT_ORDER_ID_16_0_TSECSWRB_ORDER_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_16_0_TSECSWRB_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_16_0_TSECSWRB_ORDER_ID_RANGE                 29:28
#define MC_CLIENT_ORDER_ID_16_0_TSECSWRB_ORDER_ID_WOFFSET                       0x0
#define MC_CLIENT_ORDER_ID_16_0_TSECSWRB_ORDER_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_TSECSWRB_ORDER_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_16_0_TSECSWRB_ORDER_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_TSECSWRB_ORDER_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_TSECSWRB_ORDER_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_16_0_TSECSWRB_ORDER_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_16_0_TSECSWRB_ORDER_ID_INIT_ENUM                     ORDER_ID0
#define MC_CLIENT_ORDER_ID_16_0_TSECSWRB_ORDER_ID_ORDER_ID0                     _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_16_0_TSECSWRB_ORDER_ID_ORDER_ID1                     _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_16_0_TSECSWRB_ORDER_ID_ORDER_ID2                     _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_16_0_TSECSWRB_ORDER_ID_ORDER_ID3                     _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_22_0
#define MC_CLIENT_ORDER_ID_22_0                 _MK_ADDR_CONST(0x2a58)
#define MC_CLIENT_ORDER_ID_22_0_SECURE                  0x0
#define MC_CLIENT_ORDER_ID_22_0_DUAL                    0x0
#define MC_CLIENT_ORDER_ID_22_0_SCR                     0
#define MC_CLIENT_ORDER_ID_22_0_WORD_COUNT                      0x1
#define MC_CLIENT_ORDER_ID_22_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_22_0_RESET_MASK                      _MK_MASK_CONST(0x3333)
#define MC_CLIENT_ORDER_ID_22_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_22_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_22_0_READ_MASK                       _MK_MASK_CONST(0x3333)
#define MC_CLIENT_ORDER_ID_22_0_WRITE_MASK                      _MK_MASK_CONST(0x3333)
#define MC_CLIENT_ORDER_ID_22_0_MIU3R_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_CLIENT_ORDER_ID_22_0_MIU3R_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_22_0_MIU3R_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_22_0_MIU3R_ORDER_ID_RANGE                    1:0
#define MC_CLIENT_ORDER_ID_22_0_MIU3R_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_22_0_MIU3R_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_22_0_MIU3R_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_22_0_MIU3R_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_22_0_MIU3R_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_22_0_MIU3R_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_22_0_MIU3R_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_22_0_MIU3R_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_22_0_MIU3R_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_22_0_MIU3R_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_22_0_MIU3R_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_22_0_MIU3R_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_22_0_MIU3W_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_CLIENT_ORDER_ID_22_0_MIU3W_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_22_0_MIU3W_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_22_0_MIU3W_ORDER_ID_RANGE                    5:4
#define MC_CLIENT_ORDER_ID_22_0_MIU3W_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_22_0_MIU3W_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_22_0_MIU3W_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_22_0_MIU3W_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_22_0_MIU3W_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_22_0_MIU3W_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_22_0_MIU3W_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_22_0_MIU3W_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_22_0_MIU3W_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_22_0_MIU3W_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_22_0_MIU3W_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_22_0_MIU3W_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_22_0_MIU4R_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_CLIENT_ORDER_ID_22_0_MIU4R_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_22_0_MIU4R_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_22_0_MIU4R_ORDER_ID_RANGE                    9:8
#define MC_CLIENT_ORDER_ID_22_0_MIU4R_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_22_0_MIU4R_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_22_0_MIU4R_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_22_0_MIU4R_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_22_0_MIU4R_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_22_0_MIU4R_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_22_0_MIU4R_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_22_0_MIU4R_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_22_0_MIU4R_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_22_0_MIU4R_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_22_0_MIU4R_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_22_0_MIU4R_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_22_0_MIU4W_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_CLIENT_ORDER_ID_22_0_MIU4W_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_22_0_MIU4W_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_22_0_MIU4W_ORDER_ID_RANGE                    13:12
#define MC_CLIENT_ORDER_ID_22_0_MIU4W_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_22_0_MIU4W_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_22_0_MIU4W_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_22_0_MIU4W_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_22_0_MIU4W_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_22_0_MIU4W_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_22_0_MIU4W_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_22_0_MIU4W_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_22_0_MIU4W_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_22_0_MIU4W_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_22_0_MIU4W_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_22_0_MIU4W_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_12_0
#define MC_CLIENT_ORDER_ID_12_0                 _MK_ADDR_CONST(0x2a30)
#define MC_CLIENT_ORDER_ID_12_0_SECURE                  0x0
#define MC_CLIENT_ORDER_ID_12_0_DUAL                    0x0
#define MC_CLIENT_ORDER_ID_12_0_SCR                     0
#define MC_CLIENT_ORDER_ID_12_0_WORD_COUNT                      0x1
#define MC_CLIENT_ORDER_ID_12_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_RESET_MASK                      _MK_MASK_CONST(0x33033303)
#define MC_CLIENT_ORDER_ID_12_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_READ_MASK                       _MK_MASK_CONST(0x33033303)
#define MC_CLIENT_ORDER_ID_12_0_WRITE_MASK                      _MK_MASK_CONST(0x33033303)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRA_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRA_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_12_0_SDMMCRA_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRA_ORDER_ID_RANGE                  1:0
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRA_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRA_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRA_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRA_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRA_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRA_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRA_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRA_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRA_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRA_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRA_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRA_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_12_0_SDMMCR_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCR_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_12_0_SDMMCR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCR_ORDER_ID_RANGE                   9:8
#define MC_CLIENT_ORDER_ID_12_0_SDMMCR_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_12_0_SDMMCR_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCR_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCR_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCR_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCR_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCR_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCR_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_12_0_SDMMCR_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCR_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCR_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCR_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_12_0_SDMMCRAB_ORDER_ID_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRAB_ORDER_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_12_0_SDMMCRAB_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRAB_ORDER_ID_RANGE                 13:12
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRAB_ORDER_ID_WOFFSET                       0x0
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRAB_ORDER_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRAB_ORDER_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRAB_ORDER_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRAB_ORDER_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRAB_ORDER_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRAB_ORDER_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRAB_ORDER_ID_INIT_ENUM                     ORDER_ID0
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRAB_ORDER_ID_ORDER_ID0                     _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRAB_ORDER_ID_ORDER_ID1                     _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRAB_ORDER_ID_ORDER_ID2                     _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCRAB_ORDER_ID_ORDER_ID3                     _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_12_0_SDMMCWA_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWA_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_12_0_SDMMCWA_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWA_ORDER_ID_RANGE                  17:16
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWA_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWA_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWA_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWA_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWA_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWA_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWA_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWA_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWA_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWA_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWA_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWA_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_12_0_SDMMCW_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCW_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_12_0_SDMMCW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCW_ORDER_ID_RANGE                   25:24
#define MC_CLIENT_ORDER_ID_12_0_SDMMCW_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_12_0_SDMMCW_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCW_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCW_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCW_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCW_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCW_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCW_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_12_0_SDMMCW_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCW_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCW_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCW_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_12_0_SDMMCWAB_ORDER_ID_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWAB_ORDER_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_12_0_SDMMCWAB_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWAB_ORDER_ID_RANGE                 29:28
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWAB_ORDER_ID_WOFFSET                       0x0
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWAB_ORDER_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWAB_ORDER_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWAB_ORDER_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWAB_ORDER_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWAB_ORDER_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWAB_ORDER_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWAB_ORDER_ID_INIT_ENUM                     ORDER_ID0
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWAB_ORDER_ID_ORDER_ID0                     _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWAB_ORDER_ID_ORDER_ID1                     _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWAB_ORDER_ID_ORDER_ID2                     _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_12_0_SDMMCWAB_ORDER_ID_ORDER_ID3                     _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_28_0
#define MC_CLIENT_ORDER_ID_28_0                 _MK_ADDR_CONST(0x2a70)
#define MC_CLIENT_ORDER_ID_28_0_SECURE                  0x0
#define MC_CLIENT_ORDER_ID_28_0_DUAL                    0x0
#define MC_CLIENT_ORDER_ID_28_0_SCR                     0
#define MC_CLIENT_ORDER_ID_28_0_WORD_COUNT                      0x1
#define MC_CLIENT_ORDER_ID_28_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_28_0_RESET_MASK                      _MK_MASK_CONST(0x33333)
#define MC_CLIENT_ORDER_ID_28_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x1030)
#define MC_CLIENT_ORDER_ID_28_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x3030)
#define MC_CLIENT_ORDER_ID_28_0_READ_MASK                       _MK_MASK_CONST(0x33333)
#define MC_CLIENT_ORDER_ID_28_0_WRITE_MASK                      _MK_MASK_CONST(0x33333)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4R_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4R_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_28_0_PCIE4R_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4R_ORDER_ID_RANGE                   1:0
#define MC_CLIENT_ORDER_ID_28_0_PCIE4R_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_28_0_PCIE4R_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4R_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4R_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4R_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4R_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4R_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4R_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_28_0_PCIE4R_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4R_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4R_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4R_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_28_0_PCIE4W_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4W_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_28_0_PCIE4W_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4W_ORDER_ID_RANGE                   5:4
#define MC_CLIENT_ORDER_ID_28_0_PCIE4W_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_28_0_PCIE4W_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4W_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4W_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4W_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4W_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4W_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4W_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_28_0_PCIE4W_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4W_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4W_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4W_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)
#define MC_CLIENT_ORDER_ID_28_0_PCIE4W_ORDER_ID__PROD                   _MK_MASK_CONST(0x3)

#define MC_CLIENT_ORDER_ID_28_0_PCIE5R_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5R_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_28_0_PCIE5R_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5R_ORDER_ID_RANGE                   9:8
#define MC_CLIENT_ORDER_ID_28_0_PCIE5R_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_28_0_PCIE5R_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5R_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5R_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5R_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5R_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5R_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5R_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_28_0_PCIE5R_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5R_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5R_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5R_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_28_0_PCIE5W_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5W_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_28_0_PCIE5W_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5W_ORDER_ID_RANGE                   13:12
#define MC_CLIENT_ORDER_ID_28_0_PCIE5W_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_28_0_PCIE5W_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5W_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5W_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5W_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5W_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5W_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5W_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_28_0_PCIE5W_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5W_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5W_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5W_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)
#define MC_CLIENT_ORDER_ID_28_0_PCIE5W_ORDER_ID__PROD                   _MK_MASK_CONST(0x1)

#define MC_CLIENT_ORDER_ID_28_0_ISPFALW_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_CLIENT_ORDER_ID_28_0_ISPFALW_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_28_0_ISPFALW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_28_0_ISPFALW_ORDER_ID_RANGE                  17:16
#define MC_CLIENT_ORDER_ID_28_0_ISPFALW_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_28_0_ISPFALW_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_28_0_ISPFALW_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_28_0_ISPFALW_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_28_0_ISPFALW_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_28_0_ISPFALW_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_28_0_ISPFALW_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_28_0_ISPFALW_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_28_0_ISPFALW_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_28_0_ISPFALW_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_28_0_ISPFALW_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_28_0_ISPFALW_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_31_0
#define MC_CLIENT_ORDER_ID_31_0                 _MK_ADDR_CONST(0x2d04)
#define MC_CLIENT_ORDER_ID_31_0_SECURE                  0x0
#define MC_CLIENT_ORDER_ID_31_0_DUAL                    0x0
#define MC_CLIENT_ORDER_ID_31_0_SCR                     0
#define MC_CLIENT_ORDER_ID_31_0_WORD_COUNT                      0x1
#define MC_CLIENT_ORDER_ID_31_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_RESET_MASK                      _MK_MASK_CONST(0x33333330)
#define MC_CLIENT_ORDER_ID_31_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_READ_MASK                       _MK_MASK_CONST(0x33333330)
#define MC_CLIENT_ORDER_ID_31_0_WRITE_MASK                      _MK_MASK_CONST(0x33333330)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD_ORDER_ID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD_ORDER_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD_ORDER_ID_RANGE                        5:4
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD_ORDER_ID_WOFFSET                      0x0
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD_ORDER_ID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD_ORDER_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD_ORDER_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD_ORDER_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD_ORDER_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD_ORDER_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD_ORDER_ID_INIT_ENUM                    ORDER_ID0
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD_ORDER_ID_ORDER_ID0                    _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD_ORDER_ID_ORDER_ID1                    _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD_ORDER_ID_ORDER_ID2                    _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD_ORDER_ID_ORDER_ID3                    _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD1_ORDER_ID_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD1_ORDER_ID_FIELD                       _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD1_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD1_ORDER_ID_RANGE                       9:8
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD1_ORDER_ID_WOFFSET                     0x0
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD1_ORDER_ID_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD1_ORDER_ID_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD1_ORDER_ID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD1_ORDER_ID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD1_ORDER_ID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD1_ORDER_ID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD1_ORDER_ID_INIT_ENUM                   ORDER_ID0
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD1_ORDER_ID_ORDER_ID0                   _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD1_ORDER_ID_ORDER_ID1                   _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD1_ORDER_ID_ORDER_ID2                   _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SRD1_ORDER_ID_ORDER_ID3                   _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SWR_ORDER_ID_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SWR_ORDER_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_31_0_NVDEC1SWR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SWR_ORDER_ID_RANGE                        13:12
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SWR_ORDER_ID_WOFFSET                      0x0
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SWR_ORDER_ID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SWR_ORDER_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SWR_ORDER_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SWR_ORDER_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SWR_ORDER_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SWR_ORDER_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SWR_ORDER_ID_INIT_ENUM                    ORDER_ID0
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SWR_ORDER_ID_ORDER_ID0                    _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SWR_ORDER_ID_ORDER_ID1                    _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SWR_ORDER_ID_ORDER_ID2                    _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_31_0_NVDEC1SWR_ORDER_ID_ORDER_ID3                    _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_31_0_MIU5R_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_CLIENT_ORDER_ID_31_0_MIU5R_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_31_0_MIU5R_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_31_0_MIU5R_ORDER_ID_RANGE                    17:16
#define MC_CLIENT_ORDER_ID_31_0_MIU5R_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_31_0_MIU5R_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_MIU5R_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_31_0_MIU5R_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_MIU5R_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_MIU5R_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_MIU5R_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_31_0_MIU5R_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_31_0_MIU5R_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_31_0_MIU5R_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_31_0_MIU5R_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_31_0_MIU5R_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_31_0_MIU5W_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_CLIENT_ORDER_ID_31_0_MIU5W_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_31_0_MIU5W_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_31_0_MIU5W_ORDER_ID_RANGE                    21:20
#define MC_CLIENT_ORDER_ID_31_0_MIU5W_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_31_0_MIU5W_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_MIU5W_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_31_0_MIU5W_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_MIU5W_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_MIU5W_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_MIU5W_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_31_0_MIU5W_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_31_0_MIU5W_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_31_0_MIU5W_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_31_0_MIU5W_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_31_0_MIU5W_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_31_0_MIU6R_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_CLIENT_ORDER_ID_31_0_MIU6R_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_31_0_MIU6R_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_31_0_MIU6R_ORDER_ID_RANGE                    25:24
#define MC_CLIENT_ORDER_ID_31_0_MIU6R_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_31_0_MIU6R_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_MIU6R_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_31_0_MIU6R_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_MIU6R_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_MIU6R_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_MIU6R_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_31_0_MIU6R_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_31_0_MIU6R_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_31_0_MIU6R_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_31_0_MIU6R_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_31_0_MIU6R_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_31_0_MIU6W_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_CLIENT_ORDER_ID_31_0_MIU6W_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_31_0_MIU6W_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_31_0_MIU6W_ORDER_ID_RANGE                    29:28
#define MC_CLIENT_ORDER_ID_31_0_MIU6W_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_31_0_MIU6W_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_MIU6W_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_31_0_MIU6W_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_MIU6W_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_MIU6W_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_31_0_MIU6W_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_31_0_MIU6W_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_31_0_MIU6W_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_31_0_MIU6W_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_31_0_MIU6W_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_31_0_MIU6W_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_25_0
#define MC_CLIENT_ORDER_ID_25_0                 _MK_ADDR_CONST(0x2a64)
#define MC_CLIENT_ORDER_ID_25_0_SECURE                  0x0
#define MC_CLIENT_ORDER_ID_25_0_DUAL                    0x0
#define MC_CLIENT_ORDER_ID_25_0_SCR                     0
#define MC_CLIENT_ORDER_ID_25_0_WORD_COUNT                      0x1
#define MC_CLIENT_ORDER_ID_25_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_RESET_MASK                      _MK_MASK_CONST(0x33333333)
#define MC_CLIENT_ORDER_ID_25_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_READ_MASK                       _MK_MASK_CONST(0x33333333)
#define MC_CLIENT_ORDER_ID_25_0_WRITE_MASK                      _MK_MASK_CONST(0x33333333)
#define MC_CLIENT_ORDER_ID_25_0_PVA0RDC_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_CLIENT_ORDER_ID_25_0_PVA0RDC_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_25_0_PVA0RDC_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_25_0_PVA0RDC_ORDER_ID_RANGE                  1:0
#define MC_CLIENT_ORDER_ID_25_0_PVA0RDC_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_25_0_PVA0RDC_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA0RDC_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_25_0_PVA0RDC_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA0RDC_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA0RDC_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA0RDC_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_25_0_PVA0RDC_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_25_0_PVA0RDC_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_25_0_PVA0RDC_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_25_0_PVA0RDC_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_25_0_PVA0RDC_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_25_0_PVA0WRA_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRA_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_25_0_PVA0WRA_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRA_ORDER_ID_RANGE                  5:4
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRA_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRA_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRA_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRA_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRA_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRA_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRA_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRA_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRA_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRA_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRA_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRA_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_25_0_PVA0WRB_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRB_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_25_0_PVA0WRB_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRB_ORDER_ID_RANGE                  9:8
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRB_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRB_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRB_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRB_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRB_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRB_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRB_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRB_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRB_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRB_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRB_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRB_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_25_0_PVA0WRC_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRC_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_25_0_PVA0WRC_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRC_ORDER_ID_RANGE                  13:12
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRC_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRC_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRC_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRC_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRC_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRC_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRC_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRC_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRC_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRC_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRC_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_25_0_PVA0WRC_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_25_0_PVA1RDA_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDA_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_25_0_PVA1RDA_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDA_ORDER_ID_RANGE                  17:16
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDA_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDA_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDA_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDA_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDA_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDA_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDA_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDA_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDA_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDA_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDA_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDA_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_25_0_PVA1RDB_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDB_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_25_0_PVA1RDB_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDB_ORDER_ID_RANGE                  21:20
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDB_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDB_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDB_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDB_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDB_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDB_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDB_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDB_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDB_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDB_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDB_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDB_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_25_0_PVA1RDC_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDC_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_25_0_PVA1RDC_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDC_ORDER_ID_RANGE                  25:24
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDC_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDC_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDC_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDC_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDC_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDC_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDC_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDC_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDC_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDC_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDC_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_25_0_PVA1RDC_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_25_0_PVA1WRA_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_CLIENT_ORDER_ID_25_0_PVA1WRA_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_25_0_PVA1WRA_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_25_0_PVA1WRA_ORDER_ID_RANGE                  29:28
#define MC_CLIENT_ORDER_ID_25_0_PVA1WRA_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_25_0_PVA1WRA_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA1WRA_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_25_0_PVA1WRA_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA1WRA_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA1WRA_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_25_0_PVA1WRA_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_25_0_PVA1WRA_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_25_0_PVA1WRA_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_25_0_PVA1WRA_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_25_0_PVA1WRA_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_25_0_PVA1WRA_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_20_0
#define MC_CLIENT_ORDER_ID_20_0                 _MK_ADDR_CONST(0x2a50)
#define MC_CLIENT_ORDER_ID_20_0_SECURE                  0x0
#define MC_CLIENT_ORDER_ID_20_0_DUAL                    0x0
#define MC_CLIENT_ORDER_ID_20_0_SCR                     0
#define MC_CLIENT_ORDER_ID_20_0_WORD_COUNT                      0x1
#define MC_CLIENT_ORDER_ID_20_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_RESET_MASK                      _MK_MASK_CONST(0x33003333)
#define MC_CLIENT_ORDER_ID_20_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_READ_MASK                       _MK_MASK_CONST(0x33003333)
#define MC_CLIENT_ORDER_ID_20_0_WRITE_MASK                      _MK_MASK_CONST(0x33003333)
#define MC_CLIENT_ORDER_ID_20_0_APEDMAW_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_CLIENT_ORDER_ID_20_0_APEDMAW_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_20_0_APEDMAW_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_20_0_APEDMAW_ORDER_ID_RANGE                  1:0
#define MC_CLIENT_ORDER_ID_20_0_APEDMAW_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_20_0_APEDMAW_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_APEDMAW_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_20_0_APEDMAW_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_APEDMAW_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_APEDMAW_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_APEDMAW_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_20_0_APEDMAW_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_20_0_APEDMAW_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_20_0_APEDMAW_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_20_0_APEDMAW_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_20_0_APEDMAW_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_20_0_NVDISPLAYR1_ORDER_ID_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_CLIENT_ORDER_ID_20_0_NVDISPLAYR1_ORDER_ID_FIELD                      _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_20_0_NVDISPLAYR1_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_20_0_NVDISPLAYR1_ORDER_ID_RANGE                      5:4
#define MC_CLIENT_ORDER_ID_20_0_NVDISPLAYR1_ORDER_ID_WOFFSET                    0x0
#define MC_CLIENT_ORDER_ID_20_0_NVDISPLAYR1_ORDER_ID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_NVDISPLAYR1_ORDER_ID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_20_0_NVDISPLAYR1_ORDER_ID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_NVDISPLAYR1_ORDER_ID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_NVDISPLAYR1_ORDER_ID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_NVDISPLAYR1_ORDER_ID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_20_0_NVDISPLAYR1_ORDER_ID_INIT_ENUM                  ORDER_ID0
#define MC_CLIENT_ORDER_ID_20_0_NVDISPLAYR1_ORDER_ID_ORDER_ID0                  _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_20_0_NVDISPLAYR1_ORDER_ID_ORDER_ID1                  _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_20_0_NVDISPLAYR1_ORDER_ID_ORDER_ID2                  _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_20_0_NVDISPLAYR1_ORDER_ID_ORDER_ID3                  _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_20_0_VICSRD1_ORDER_ID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_CLIENT_ORDER_ID_20_0_VICSRD1_ORDER_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_20_0_VICSRD1_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_20_0_VICSRD1_ORDER_ID_RANGE                  9:8
#define MC_CLIENT_ORDER_ID_20_0_VICSRD1_ORDER_ID_WOFFSET                        0x0
#define MC_CLIENT_ORDER_ID_20_0_VICSRD1_ORDER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_VICSRD1_ORDER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_20_0_VICSRD1_ORDER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_VICSRD1_ORDER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_VICSRD1_ORDER_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_VICSRD1_ORDER_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_20_0_VICSRD1_ORDER_ID_INIT_ENUM                      ORDER_ID0
#define MC_CLIENT_ORDER_ID_20_0_VICSRD1_ORDER_ID_ORDER_ID0                      _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_20_0_VICSRD1_ORDER_ID_ORDER_ID1                      _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_20_0_VICSRD1_ORDER_ID_ORDER_ID2                      _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_20_0_VICSRD1_ORDER_ID_ORDER_ID3                      _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_20_0_NVDECSRD1_ORDER_ID_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_CLIENT_ORDER_ID_20_0_NVDECSRD1_ORDER_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_20_0_NVDECSRD1_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_20_0_NVDECSRD1_ORDER_ID_RANGE                        13:12
#define MC_CLIENT_ORDER_ID_20_0_NVDECSRD1_ORDER_ID_WOFFSET                      0x0
#define MC_CLIENT_ORDER_ID_20_0_NVDECSRD1_ORDER_ID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_NVDECSRD1_ORDER_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_20_0_NVDECSRD1_ORDER_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_NVDECSRD1_ORDER_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_NVDECSRD1_ORDER_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_NVDECSRD1_ORDER_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_20_0_NVDECSRD1_ORDER_ID_INIT_ENUM                    ORDER_ID0
#define MC_CLIENT_ORDER_ID_20_0_NVDECSRD1_ORDER_ID_ORDER_ID0                    _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_20_0_NVDECSRD1_ORDER_ID_ORDER_ID1                    _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_20_0_NVDECSRD1_ORDER_ID_ORDER_ID2                    _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_20_0_NVDECSRD1_ORDER_ID_ORDER_ID3                    _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_20_0_MIU0R_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_CLIENT_ORDER_ID_20_0_MIU0R_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_20_0_MIU0R_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_20_0_MIU0R_ORDER_ID_RANGE                    25:24
#define MC_CLIENT_ORDER_ID_20_0_MIU0R_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_20_0_MIU0R_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_MIU0R_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_20_0_MIU0R_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_MIU0R_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_MIU0R_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_MIU0R_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_20_0_MIU0R_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_20_0_MIU0R_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_20_0_MIU0R_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_20_0_MIU0R_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_20_0_MIU0R_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_20_0_MIU0W_ORDER_ID_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_CLIENT_ORDER_ID_20_0_MIU0W_ORDER_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_20_0_MIU0W_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_20_0_MIU0W_ORDER_ID_RANGE                    29:28
#define MC_CLIENT_ORDER_ID_20_0_MIU0W_ORDER_ID_WOFFSET                  0x0
#define MC_CLIENT_ORDER_ID_20_0_MIU0W_ORDER_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_MIU0W_ORDER_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_20_0_MIU0W_ORDER_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_MIU0W_ORDER_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_MIU0W_ORDER_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_20_0_MIU0W_ORDER_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_20_0_MIU0W_ORDER_ID_INIT_ENUM                        ORDER_ID0
#define MC_CLIENT_ORDER_ID_20_0_MIU0W_ORDER_ID_ORDER_ID0                        _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_20_0_MIU0W_ORDER_ID_ORDER_ID1                        _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_20_0_MIU0W_ORDER_ID_ORDER_ID2                        _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_20_0_MIU0W_ORDER_ID_ORDER_ID3                        _MK_ENUM_CONST(3)


// Register MC_CLIENT_ORDER_ID_8_0
#define MC_CLIENT_ORDER_ID_8_0                  _MK_ADDR_CONST(0x2a20)
#define MC_CLIENT_ORDER_ID_8_0_SECURE                   0x0
#define MC_CLIENT_ORDER_ID_8_0_DUAL                     0x0
#define MC_CLIENT_ORDER_ID_8_0_SCR                      0
#define MC_CLIENT_ORDER_ID_8_0_WORD_COUNT                       0x1
#define MC_CLIENT_ORDER_ID_8_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_8_0_RESET_MASK                       _MK_MASK_CONST(0x33330000)
#define MC_CLIENT_ORDER_ID_8_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_8_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_8_0_READ_MASK                        _MK_MASK_CONST(0x33330000)
#define MC_CLIENT_ORDER_ID_8_0_WRITE_MASK                       _MK_MASK_CONST(0x33330000)
#define MC_CLIENT_ORDER_ID_8_0_ISPRA_ORDER_ID_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_CLIENT_ORDER_ID_8_0_ISPRA_ORDER_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_8_0_ISPRA_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_8_0_ISPRA_ORDER_ID_RANGE                     17:16
#define MC_CLIENT_ORDER_ID_8_0_ISPRA_ORDER_ID_WOFFSET                   0x0
#define MC_CLIENT_ORDER_ID_8_0_ISPRA_ORDER_ID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_8_0_ISPRA_ORDER_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_8_0_ISPRA_ORDER_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_8_0_ISPRA_ORDER_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_8_0_ISPRA_ORDER_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_8_0_ISPRA_ORDER_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_8_0_ISPRA_ORDER_ID_INIT_ENUM                 ORDER_ID0
#define MC_CLIENT_ORDER_ID_8_0_ISPRA_ORDER_ID_ORDER_ID0                 _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_8_0_ISPRA_ORDER_ID_ORDER_ID1                 _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_8_0_ISPRA_ORDER_ID_ORDER_ID2                 _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_8_0_ISPRA_ORDER_ID_ORDER_ID3                 _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_8_0_ISPFALR_ORDER_ID_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_CLIENT_ORDER_ID_8_0_ISPFALR_ORDER_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_8_0_ISPFALR_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_8_0_ISPFALR_ORDER_ID_RANGE                   21:20
#define MC_CLIENT_ORDER_ID_8_0_ISPFALR_ORDER_ID_WOFFSET                 0x0
#define MC_CLIENT_ORDER_ID_8_0_ISPFALR_ORDER_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_8_0_ISPFALR_ORDER_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_8_0_ISPFALR_ORDER_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_8_0_ISPFALR_ORDER_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_8_0_ISPFALR_ORDER_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_8_0_ISPFALR_ORDER_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_8_0_ISPFALR_ORDER_ID_INIT_ENUM                       ORDER_ID0
#define MC_CLIENT_ORDER_ID_8_0_ISPFALR_ORDER_ID_ORDER_ID0                       _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_8_0_ISPFALR_ORDER_ID_ORDER_ID1                       _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_8_0_ISPFALR_ORDER_ID_ORDER_ID2                       _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_8_0_ISPFALR_ORDER_ID_ORDER_ID3                       _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_8_0_ISPWA_ORDER_ID_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_CLIENT_ORDER_ID_8_0_ISPWA_ORDER_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_8_0_ISPWA_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_8_0_ISPWA_ORDER_ID_RANGE                     25:24
#define MC_CLIENT_ORDER_ID_8_0_ISPWA_ORDER_ID_WOFFSET                   0x0
#define MC_CLIENT_ORDER_ID_8_0_ISPWA_ORDER_ID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_8_0_ISPWA_ORDER_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_8_0_ISPWA_ORDER_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_8_0_ISPWA_ORDER_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_8_0_ISPWA_ORDER_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_8_0_ISPWA_ORDER_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_8_0_ISPWA_ORDER_ID_INIT_ENUM                 ORDER_ID0
#define MC_CLIENT_ORDER_ID_8_0_ISPWA_ORDER_ID_ORDER_ID0                 _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_8_0_ISPWA_ORDER_ID_ORDER_ID1                 _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_8_0_ISPWA_ORDER_ID_ORDER_ID2                 _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_8_0_ISPWA_ORDER_ID_ORDER_ID3                 _MK_ENUM_CONST(3)

#define MC_CLIENT_ORDER_ID_8_0_ISPWB_ORDER_ID_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_CLIENT_ORDER_ID_8_0_ISPWB_ORDER_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_CLIENT_ORDER_ID_8_0_ISPWB_ORDER_ID_SHIFT)
#define MC_CLIENT_ORDER_ID_8_0_ISPWB_ORDER_ID_RANGE                     29:28
#define MC_CLIENT_ORDER_ID_8_0_ISPWB_ORDER_ID_WOFFSET                   0x0
#define MC_CLIENT_ORDER_ID_8_0_ISPWB_ORDER_ID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_8_0_ISPWB_ORDER_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_CLIENT_ORDER_ID_8_0_ISPWB_ORDER_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_8_0_ISPWB_ORDER_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_8_0_ISPWB_ORDER_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_ORDER_ID_8_0_ISPWB_ORDER_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_ORDER_ID_8_0_ISPWB_ORDER_ID_INIT_ENUM                 ORDER_ID0
#define MC_CLIENT_ORDER_ID_8_0_ISPWB_ORDER_ID_ORDER_ID0                 _MK_ENUM_CONST(0)
#define MC_CLIENT_ORDER_ID_8_0_ISPWB_ORDER_ID_ORDER_ID1                 _MK_ENUM_CONST(1)
#define MC_CLIENT_ORDER_ID_8_0_ISPWB_ORDER_ID_ORDER_ID2                 _MK_ENUM_CONST(2)
#define MC_CLIENT_ORDER_ID_8_0_ISPWB_ORDER_ID_ORDER_ID3                 _MK_ENUM_CONST(3)


// Register MC_HUB_PC_VC_ID_11_0
#define MC_HUB_PC_VC_ID_11_0                    _MK_ADDR_CONST(0x2aa4)
#define MC_HUB_PC_VC_ID_11_0_SECURE                     0x0
#define MC_HUB_PC_VC_ID_11_0_DUAL                       0x0
#define MC_HUB_PC_VC_ID_11_0_SCR                        0
#define MC_HUB_PC_VC_ID_11_0_WORD_COUNT                         0x1
#define MC_HUB_PC_VC_ID_11_0_RESET_VAL                  _MK_MASK_CONST(0x11111111)
#define MC_HUB_PC_VC_ID_11_0_RESET_MASK                         _MK_MASK_CONST(0x33333333)
#define MC_HUB_PC_VC_ID_11_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_READ_MASK                  _MK_MASK_CONST(0x33333333)
#define MC_HUB_PC_VC_ID_11_0_WRITE_MASK                         _MK_MASK_CONST(0x33333333)
#define MC_HUB_PC_VC_ID_11_0_PVA1XA3_VC_ID_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_HUB_PC_VC_ID_11_0_PVA1XA3_VC_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_11_0_PVA1XA3_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_11_0_PVA1XA3_VC_ID_RANGE                        1:0
#define MC_HUB_PC_VC_ID_11_0_PVA1XA3_VC_ID_WOFFSET                      0x0
#define MC_HUB_PC_VC_ID_11_0_PVA1XA3_VC_ID_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_11_0_PVA1XA3_VC_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_11_0_PVA1XA3_VC_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_PVA1XA3_VC_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_PVA1XA3_VC_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_PVA1XA3_VC_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_11_0_PVA1XA3_VC_ID_INIT_ENUM                    VC_SISO
#define MC_HUB_PC_VC_ID_11_0_PVA1XA3_VC_ID_VC_NISO                      _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_11_0_PVA1XA3_VC_ID_VC_SISO                      _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_11_0_PVA1XA3_VC_ID_VC_ISO                       _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_11_0_PVA1XA3_VC_ID_Reserved                     _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_11_0_PVA1XB_VC_ID_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB_VC_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_11_0_PVA1XB_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB_VC_ID_RANGE                 5:4
#define MC_HUB_PC_VC_ID_11_0_PVA1XB_VC_ID_WOFFSET                       0x0
#define MC_HUB_PC_VC_ID_11_0_PVA1XB_VC_ID_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB_VC_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB_VC_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB_VC_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB_VC_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB_VC_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB_VC_ID_INIT_ENUM                     VC_SISO
#define MC_HUB_PC_VC_ID_11_0_PVA1XB_VC_ID_VC_NISO                       _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB_VC_ID_VC_SISO                       _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB_VC_ID_VC_ISO                        _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB_VC_ID_Reserved                      _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_11_0_PVA1XB3_VC_ID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB3_VC_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_11_0_PVA1XB3_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB3_VC_ID_RANGE                        9:8
#define MC_HUB_PC_VC_ID_11_0_PVA1XB3_VC_ID_WOFFSET                      0x0
#define MC_HUB_PC_VC_ID_11_0_PVA1XB3_VC_ID_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB3_VC_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB3_VC_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB3_VC_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB3_VC_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB3_VC_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB3_VC_ID_INIT_ENUM                    VC_SISO
#define MC_HUB_PC_VC_ID_11_0_PVA1XB3_VC_ID_VC_NISO                      _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB3_VC_ID_VC_SISO                      _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB3_VC_ID_VC_ISO                       _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_11_0_PVA1XB3_VC_ID_Reserved                     _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_11_0_PVA1XC_VC_ID_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_HUB_PC_VC_ID_11_0_PVA1XC_VC_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_11_0_PVA1XC_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_11_0_PVA1XC_VC_ID_RANGE                 13:12
#define MC_HUB_PC_VC_ID_11_0_PVA1XC_VC_ID_WOFFSET                       0x0
#define MC_HUB_PC_VC_ID_11_0_PVA1XC_VC_ID_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_11_0_PVA1XC_VC_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_11_0_PVA1XC_VC_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_PVA1XC_VC_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_PVA1XC_VC_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_PVA1XC_VC_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_11_0_PVA1XC_VC_ID_INIT_ENUM                     VC_SISO
#define MC_HUB_PC_VC_ID_11_0_PVA1XC_VC_ID_VC_NISO                       _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_11_0_PVA1XC_VC_ID_VC_SISO                       _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_11_0_PVA1XC_VC_ID_VC_ISO                        _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_11_0_PVA1XC_VC_ID_Reserved                      _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_11_0_DLA0XA2_VC_ID_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_HUB_PC_VC_ID_11_0_DLA0XA2_VC_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_11_0_DLA0XA2_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_11_0_DLA0XA2_VC_ID_RANGE                        17:16
#define MC_HUB_PC_VC_ID_11_0_DLA0XA2_VC_ID_WOFFSET                      0x0
#define MC_HUB_PC_VC_ID_11_0_DLA0XA2_VC_ID_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_11_0_DLA0XA2_VC_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_11_0_DLA0XA2_VC_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_DLA0XA2_VC_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_DLA0XA2_VC_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_DLA0XA2_VC_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_11_0_DLA0XA2_VC_ID_INIT_ENUM                    VC_SISO
#define MC_HUB_PC_VC_ID_11_0_DLA0XA2_VC_ID_VC_NISO                      _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_11_0_DLA0XA2_VC_ID_VC_SISO                      _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_11_0_DLA0XA2_VC_ID_VC_ISO                       _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_11_0_DLA0XA2_VC_ID_Reserved                     _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_11_0_DLA1XA2_VC_ID_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_HUB_PC_VC_ID_11_0_DLA1XA2_VC_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_11_0_DLA1XA2_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_11_0_DLA1XA2_VC_ID_RANGE                        21:20
#define MC_HUB_PC_VC_ID_11_0_DLA1XA2_VC_ID_WOFFSET                      0x0
#define MC_HUB_PC_VC_ID_11_0_DLA1XA2_VC_ID_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_11_0_DLA1XA2_VC_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_11_0_DLA1XA2_VC_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_DLA1XA2_VC_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_DLA1XA2_VC_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_DLA1XA2_VC_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_11_0_DLA1XA2_VC_ID_INIT_ENUM                    VC_SISO
#define MC_HUB_PC_VC_ID_11_0_DLA1XA2_VC_ID_VC_NISO                      _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_11_0_DLA1XA2_VC_ID_VC_SISO                      _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_11_0_DLA1XA2_VC_ID_VC_ISO                       _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_11_0_DLA1XA2_VC_ID_Reserved                     _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_11_0_PVA0XA2_VC_ID_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_HUB_PC_VC_ID_11_0_PVA0XA2_VC_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_11_0_PVA0XA2_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_11_0_PVA0XA2_VC_ID_RANGE                        25:24
#define MC_HUB_PC_VC_ID_11_0_PVA0XA2_VC_ID_WOFFSET                      0x0
#define MC_HUB_PC_VC_ID_11_0_PVA0XA2_VC_ID_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_11_0_PVA0XA2_VC_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_11_0_PVA0XA2_VC_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_PVA0XA2_VC_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_PVA0XA2_VC_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_PVA0XA2_VC_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_11_0_PVA0XA2_VC_ID_INIT_ENUM                    VC_SISO
#define MC_HUB_PC_VC_ID_11_0_PVA0XA2_VC_ID_VC_NISO                      _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_11_0_PVA0XA2_VC_ID_VC_SISO                      _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_11_0_PVA0XA2_VC_ID_VC_ISO                       _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_11_0_PVA0XA2_VC_ID_Reserved                     _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_11_0_PVA0XB2_VC_ID_SHIFT                        _MK_SHIFT_CONST(28)
#define MC_HUB_PC_VC_ID_11_0_PVA0XB2_VC_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_11_0_PVA0XB2_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_11_0_PVA0XB2_VC_ID_RANGE                        29:28
#define MC_HUB_PC_VC_ID_11_0_PVA0XB2_VC_ID_WOFFSET                      0x0
#define MC_HUB_PC_VC_ID_11_0_PVA0XB2_VC_ID_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_11_0_PVA0XB2_VC_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_11_0_PVA0XB2_VC_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_PVA0XB2_VC_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_PVA0XB2_VC_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_11_0_PVA0XB2_VC_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_11_0_PVA0XB2_VC_ID_INIT_ENUM                    VC_SISO
#define MC_HUB_PC_VC_ID_11_0_PVA0XB2_VC_ID_VC_NISO                      _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_11_0_PVA0XB2_VC_ID_VC_SISO                      _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_11_0_PVA0XB2_VC_ID_VC_ISO                       _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_11_0_PVA0XB2_VC_ID_Reserved                     _MK_ENUM_CONST(3)


// Register MC_HUB_PC_VC_ID_12_0
#define MC_HUB_PC_VC_ID_12_0                    _MK_ADDR_CONST(0x2aa8)
#define MC_HUB_PC_VC_ID_12_0_SECURE                     0x0
#define MC_HUB_PC_VC_ID_12_0_DUAL                       0x0
#define MC_HUB_PC_VC_ID_12_0_SCR                        0
#define MC_HUB_PC_VC_ID_12_0_WORD_COUNT                         0x1
#define MC_HUB_PC_VC_ID_12_0_RESET_VAL                  _MK_MASK_CONST(0x11001011)
#define MC_HUB_PC_VC_ID_12_0_RESET_MASK                         _MK_MASK_CONST(0x33333333)
#define MC_HUB_PC_VC_ID_12_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3000)
#define MC_HUB_PC_VC_ID_12_0_READ_MASK                  _MK_MASK_CONST(0x33333333)
#define MC_HUB_PC_VC_ID_12_0_WRITE_MASK                         _MK_MASK_CONST(0x33333333)
#define MC_HUB_PC_VC_ID_12_0_PVA1XA2_VC_ID_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_HUB_PC_VC_ID_12_0_PVA1XA2_VC_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_12_0_PVA1XA2_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_12_0_PVA1XA2_VC_ID_RANGE                        1:0
#define MC_HUB_PC_VC_ID_12_0_PVA1XA2_VC_ID_WOFFSET                      0x0
#define MC_HUB_PC_VC_ID_12_0_PVA1XA2_VC_ID_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_12_0_PVA1XA2_VC_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_12_0_PVA1XA2_VC_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_PVA1XA2_VC_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_PVA1XA2_VC_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_PVA1XA2_VC_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_12_0_PVA1XA2_VC_ID_INIT_ENUM                    VC_SISO
#define MC_HUB_PC_VC_ID_12_0_PVA1XA2_VC_ID_VC_NISO                      _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_12_0_PVA1XA2_VC_ID_VC_SISO                      _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_12_0_PVA1XA2_VC_ID_VC_ISO                       _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_12_0_PVA1XA2_VC_ID_Reserved                     _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_12_0_PVA1XB2_VC_ID_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_HUB_PC_VC_ID_12_0_PVA1XB2_VC_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_12_0_PVA1XB2_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_12_0_PVA1XB2_VC_ID_RANGE                        5:4
#define MC_HUB_PC_VC_ID_12_0_PVA1XB2_VC_ID_WOFFSET                      0x0
#define MC_HUB_PC_VC_ID_12_0_PVA1XB2_VC_ID_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_12_0_PVA1XB2_VC_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_12_0_PVA1XB2_VC_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_PVA1XB2_VC_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_PVA1XB2_VC_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_PVA1XB2_VC_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_12_0_PVA1XB2_VC_ID_INIT_ENUM                    VC_SISO
#define MC_HUB_PC_VC_ID_12_0_PVA1XB2_VC_ID_VC_NISO                      _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_12_0_PVA1XB2_VC_ID_VC_SISO                      _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_12_0_PVA1XB2_VC_ID_VC_ISO                       _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_12_0_PVA1XB2_VC_ID_Reserved                     _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_12_0_PCIE5X2_VC_ID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_HUB_PC_VC_ID_12_0_PCIE5X2_VC_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_12_0_PCIE5X2_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_12_0_PCIE5X2_VC_ID_RANGE                        9:8
#define MC_HUB_PC_VC_ID_12_0_PCIE5X2_VC_ID_WOFFSET                      0x0
#define MC_HUB_PC_VC_ID_12_0_PCIE5X2_VC_ID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_PCIE5X2_VC_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_12_0_PCIE5X2_VC_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_PCIE5X2_VC_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_PCIE5X2_VC_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_PCIE5X2_VC_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_12_0_PCIE5X2_VC_ID_INIT_ENUM                    VC_NISO
#define MC_HUB_PC_VC_ID_12_0_PCIE5X2_VC_ID_VC_NISO                      _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_12_0_PCIE5X2_VC_ID_VC_SISO                      _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_12_0_PCIE5X2_VC_ID_VC_ISO                       _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_12_0_PCIE5X2_VC_ID_Reserved                     _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_12_0_UFSHCPC2_VC_ID_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_HUB_PC_VC_ID_12_0_UFSHCPC2_VC_ID_FIELD                       _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_12_0_UFSHCPC2_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_12_0_UFSHCPC2_VC_ID_RANGE                       13:12
#define MC_HUB_PC_VC_ID_12_0_UFSHCPC2_VC_ID_WOFFSET                     0x0
#define MC_HUB_PC_VC_ID_12_0_UFSHCPC2_VC_ID_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_12_0_UFSHCPC2_VC_ID_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_12_0_UFSHCPC2_VC_ID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_UFSHCPC2_VC_ID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_12_0_UFSHCPC2_VC_ID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_UFSHCPC2_VC_ID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_12_0_UFSHCPC2_VC_ID_INIT_ENUM                   VC_SISO
#define MC_HUB_PC_VC_ID_12_0_UFSHCPC2_VC_ID_VC_NISO                     _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_12_0_UFSHCPC2_VC_ID_VC_SISO                     _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_12_0_UFSHCPC2_VC_ID_VC_ISO                      _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_12_0_UFSHCPC2_VC_ID_Reserved                    _MK_ENUM_CONST(3)
#define MC_HUB_PC_VC_ID_12_0_UFSHCPC2_VC_ID__PROD                       _MK_MASK_CONST(0x0)

#define MC_HUB_PC_VC_ID_12_0_USBX2_VC_ID_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_HUB_PC_VC_ID_12_0_USBX2_VC_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_12_0_USBX2_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_12_0_USBX2_VC_ID_RANGE                  17:16
#define MC_HUB_PC_VC_ID_12_0_USBX2_VC_ID_WOFFSET                        0x0
#define MC_HUB_PC_VC_ID_12_0_USBX2_VC_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_USBX2_VC_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_12_0_USBX2_VC_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_USBX2_VC_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_USBX2_VC_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_USBX2_VC_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_12_0_USBX2_VC_ID_INIT_ENUM                      VC_NISO
#define MC_HUB_PC_VC_ID_12_0_USBX2_VC_ID_VC_NISO                        _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_12_0_USBX2_VC_ID_VC_SISO                        _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_12_0_USBX2_VC_ID_VC_ISO                 _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_12_0_USBX2_VC_ID_Reserved                       _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_12_0_USBD2_VC_ID_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_HUB_PC_VC_ID_12_0_USBD2_VC_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_12_0_USBD2_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_12_0_USBD2_VC_ID_RANGE                  21:20
#define MC_HUB_PC_VC_ID_12_0_USBD2_VC_ID_WOFFSET                        0x0
#define MC_HUB_PC_VC_ID_12_0_USBD2_VC_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_USBD2_VC_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_12_0_USBD2_VC_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_USBD2_VC_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_USBD2_VC_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_USBD2_VC_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_12_0_USBD2_VC_ID_INIT_ENUM                      VC_NISO
#define MC_HUB_PC_VC_ID_12_0_USBD2_VC_ID_VC_NISO                        _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_12_0_USBD2_VC_ID_VC_SISO                        _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_12_0_USBD2_VC_ID_VC_ISO                 _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_12_0_USBD2_VC_ID_Reserved                       _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_12_0_MSEA_VC_ID_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_HUB_PC_VC_ID_12_0_MSEA_VC_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_12_0_MSEA_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_12_0_MSEA_VC_ID_RANGE                   25:24
#define MC_HUB_PC_VC_ID_12_0_MSEA_VC_ID_WOFFSET                 0x0
#define MC_HUB_PC_VC_ID_12_0_MSEA_VC_ID_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_12_0_MSEA_VC_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_12_0_MSEA_VC_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_MSEA_VC_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_MSEA_VC_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_MSEA_VC_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_12_0_MSEA_VC_ID_INIT_ENUM                       VC_SISO
#define MC_HUB_PC_VC_ID_12_0_MSEA_VC_ID_VC_NISO                 _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_12_0_MSEA_VC_ID_VC_SISO                 _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_12_0_MSEA_VC_ID_VC_ISO                  _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_12_0_MSEA_VC_ID_Reserved                        _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_12_0_MSEB_VC_ID_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_HUB_PC_VC_ID_12_0_MSEB_VC_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_12_0_MSEB_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_12_0_MSEB_VC_ID_RANGE                   29:28
#define MC_HUB_PC_VC_ID_12_0_MSEB_VC_ID_WOFFSET                 0x0
#define MC_HUB_PC_VC_ID_12_0_MSEB_VC_ID_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_12_0_MSEB_VC_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_12_0_MSEB_VC_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_MSEB_VC_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_MSEB_VC_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_12_0_MSEB_VC_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_12_0_MSEB_VC_ID_INIT_ENUM                       VC_SISO
#define MC_HUB_PC_VC_ID_12_0_MSEB_VC_ID_VC_NISO                 _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_12_0_MSEB_VC_ID_VC_SISO                 _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_12_0_MSEB_VC_ID_VC_ISO                  _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_12_0_MSEB_VC_ID_Reserved                        _MK_ENUM_CONST(3)


// Register MC_HUB_PC_VC_ID_2_0
#define MC_HUB_PC_VC_ID_2_0                     _MK_ADDR_CONST(0x2a80)
#define MC_HUB_PC_VC_ID_2_0_SECURE                      0x0
#define MC_HUB_PC_VC_ID_2_0_DUAL                        0x0
#define MC_HUB_PC_VC_ID_2_0_SCR                         0
#define MC_HUB_PC_VC_ID_2_0_WORD_COUNT                  0x1
#define MC_HUB_PC_VC_ID_2_0_RESET_VAL                   _MK_MASK_CONST(0x10001000)
#define MC_HUB_PC_VC_ID_2_0_RESET_MASK                  _MK_MASK_CONST(0x30003030)
#define MC_HUB_PC_VC_ID_2_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_2_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x30000000)
#define MC_HUB_PC_VC_ID_2_0_READ_MASK                   _MK_MASK_CONST(0x30003030)
#define MC_HUB_PC_VC_ID_2_0_WRITE_MASK                  _MK_MASK_CONST(0x30003030)
#define MC_HUB_PC_VC_ID_2_0_USBX_VC_ID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_HUB_PC_VC_ID_2_0_USBX_VC_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_2_0_USBX_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_2_0_USBX_VC_ID_RANGE                    5:4
#define MC_HUB_PC_VC_ID_2_0_USBX_VC_ID_WOFFSET                  0x0
#define MC_HUB_PC_VC_ID_2_0_USBX_VC_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_2_0_USBX_VC_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_2_0_USBX_VC_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_2_0_USBX_VC_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_2_0_USBX_VC_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_2_0_USBX_VC_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_2_0_USBX_VC_ID_INIT_ENUM                        VC_NISO
#define MC_HUB_PC_VC_ID_2_0_USBX_VC_ID_VC_NISO                  _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_2_0_USBX_VC_ID_VC_SISO                  _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_2_0_USBX_VC_ID_VC_ISO                   _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_2_0_USBX_VC_ID_Reserved                 _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_2_0_MSE_VC_ID_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_HUB_PC_VC_ID_2_0_MSE_VC_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_2_0_MSE_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_2_0_MSE_VC_ID_RANGE                     13:12
#define MC_HUB_PC_VC_ID_2_0_MSE_VC_ID_WOFFSET                   0x0
#define MC_HUB_PC_VC_ID_2_0_MSE_VC_ID_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_2_0_MSE_VC_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_2_0_MSE_VC_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_2_0_MSE_VC_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_2_0_MSE_VC_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_2_0_MSE_VC_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_2_0_MSE_VC_ID_INIT_ENUM                 VC_SISO
#define MC_HUB_PC_VC_ID_2_0_MSE_VC_ID_VC_NISO                   _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_2_0_MSE_VC_ID_VC_SISO                   _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_2_0_MSE_VC_ID_VC_ISO                    _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_2_0_MSE_VC_ID_Reserved                  _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_2_0_SD_VC_ID_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_HUB_PC_VC_ID_2_0_SD_VC_ID_FIELD                      _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_2_0_SD_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_2_0_SD_VC_ID_RANGE                      29:28
#define MC_HUB_PC_VC_ID_2_0_SD_VC_ID_WOFFSET                    0x0
#define MC_HUB_PC_VC_ID_2_0_SD_VC_ID_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_2_0_SD_VC_ID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_2_0_SD_VC_ID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_2_0_SD_VC_ID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_2_0_SD_VC_ID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_2_0_SD_VC_ID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_2_0_SD_VC_ID_INIT_ENUM                  VC_SISO
#define MC_HUB_PC_VC_ID_2_0_SD_VC_ID_VC_NISO                    _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_2_0_SD_VC_ID_VC_SISO                    _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_2_0_SD_VC_ID_VC_ISO                     _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_2_0_SD_VC_ID_Reserved                   _MK_ENUM_CONST(3)
#define MC_HUB_PC_VC_ID_2_0_SD_VC_ID__PROD                      _MK_MASK_CONST(0x0)


// Register MC_HUB_PC_VC_ID_10_0
#define MC_HUB_PC_VC_ID_10_0                    _MK_ADDR_CONST(0x2aa0)
#define MC_HUB_PC_VC_ID_10_0_SECURE                     0x0
#define MC_HUB_PC_VC_ID_10_0_DUAL                       0x0
#define MC_HUB_PC_VC_ID_10_0_SCR                        0
#define MC_HUB_PC_VC_ID_10_0_WORD_COUNT                         0x1
#define MC_HUB_PC_VC_ID_10_0_RESET_VAL                  _MK_MASK_CONST(0x11110000)
#define MC_HUB_PC_VC_ID_10_0_RESET_MASK                         _MK_MASK_CONST(0x33333300)
#define MC_HUB_PC_VC_ID_10_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_READ_MASK                  _MK_MASK_CONST(0x33333300)
#define MC_HUB_PC_VC_ID_10_0_WRITE_MASK                         _MK_MASK_CONST(0x33333300)
#define MC_HUB_PC_VC_ID_10_0_PCIE4XA_VC_ID_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_HUB_PC_VC_ID_10_0_PCIE4XA_VC_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_10_0_PCIE4XA_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_10_0_PCIE4XA_VC_ID_RANGE                        9:8
#define MC_HUB_PC_VC_ID_10_0_PCIE4XA_VC_ID_WOFFSET                      0x0
#define MC_HUB_PC_VC_ID_10_0_PCIE4XA_VC_ID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_PCIE4XA_VC_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_10_0_PCIE4XA_VC_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_PCIE4XA_VC_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_PCIE4XA_VC_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_PCIE4XA_VC_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_10_0_PCIE4XA_VC_ID_INIT_ENUM                    VC_NISO
#define MC_HUB_PC_VC_ID_10_0_PCIE4XA_VC_ID_VC_NISO                      _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_10_0_PCIE4XA_VC_ID_VC_SISO                      _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_10_0_PCIE4XA_VC_ID_VC_ISO                       _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_10_0_PCIE4XA_VC_ID_Reserved                     _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_10_0_PCIE5XA_VC_ID_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_HUB_PC_VC_ID_10_0_PCIE5XA_VC_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_10_0_PCIE5XA_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_10_0_PCIE5XA_VC_ID_RANGE                        13:12
#define MC_HUB_PC_VC_ID_10_0_PCIE5XA_VC_ID_WOFFSET                      0x0
#define MC_HUB_PC_VC_ID_10_0_PCIE5XA_VC_ID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_PCIE5XA_VC_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_10_0_PCIE5XA_VC_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_PCIE5XA_VC_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_PCIE5XA_VC_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_PCIE5XA_VC_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_10_0_PCIE5XA_VC_ID_INIT_ENUM                    VC_NISO
#define MC_HUB_PC_VC_ID_10_0_PCIE5XA_VC_ID_VC_NISO                      _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_10_0_PCIE5XA_VC_ID_VC_SISO                      _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_10_0_PCIE5XA_VC_ID_VC_ISO                       _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_10_0_PCIE5XA_VC_ID_Reserved                     _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_10_0_PVA0XA3_VC_ID_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_HUB_PC_VC_ID_10_0_PVA0XA3_VC_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_10_0_PVA0XA3_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_10_0_PVA0XA3_VC_ID_RANGE                        17:16
#define MC_HUB_PC_VC_ID_10_0_PVA0XA3_VC_ID_WOFFSET                      0x0
#define MC_HUB_PC_VC_ID_10_0_PVA0XA3_VC_ID_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_10_0_PVA0XA3_VC_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_10_0_PVA0XA3_VC_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_PVA0XA3_VC_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_PVA0XA3_VC_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_PVA0XA3_VC_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_10_0_PVA0XA3_VC_ID_INIT_ENUM                    VC_SISO
#define MC_HUB_PC_VC_ID_10_0_PVA0XA3_VC_ID_VC_NISO                      _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_10_0_PVA0XA3_VC_ID_VC_SISO                      _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_10_0_PVA0XA3_VC_ID_VC_ISO                       _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_10_0_PVA0XA3_VC_ID_Reserved                     _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_10_0_PVA0XB_VC_ID_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB_VC_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_10_0_PVA0XB_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB_VC_ID_RANGE                 21:20
#define MC_HUB_PC_VC_ID_10_0_PVA0XB_VC_ID_WOFFSET                       0x0
#define MC_HUB_PC_VC_ID_10_0_PVA0XB_VC_ID_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB_VC_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB_VC_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB_VC_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB_VC_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB_VC_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB_VC_ID_INIT_ENUM                     VC_SISO
#define MC_HUB_PC_VC_ID_10_0_PVA0XB_VC_ID_VC_NISO                       _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB_VC_ID_VC_SISO                       _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB_VC_ID_VC_ISO                        _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB_VC_ID_Reserved                      _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_10_0_PVA0XB3_VC_ID_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB3_VC_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_10_0_PVA0XB3_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB3_VC_ID_RANGE                        25:24
#define MC_HUB_PC_VC_ID_10_0_PVA0XB3_VC_ID_WOFFSET                      0x0
#define MC_HUB_PC_VC_ID_10_0_PVA0XB3_VC_ID_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB3_VC_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB3_VC_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB3_VC_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB3_VC_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB3_VC_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB3_VC_ID_INIT_ENUM                    VC_SISO
#define MC_HUB_PC_VC_ID_10_0_PVA0XB3_VC_ID_VC_NISO                      _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB3_VC_ID_VC_SISO                      _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB3_VC_ID_VC_ISO                       _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_10_0_PVA0XB3_VC_ID_Reserved                     _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_10_0_PVA0XC_VC_ID_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_HUB_PC_VC_ID_10_0_PVA0XC_VC_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_10_0_PVA0XC_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_10_0_PVA0XC_VC_ID_RANGE                 29:28
#define MC_HUB_PC_VC_ID_10_0_PVA0XC_VC_ID_WOFFSET                       0x0
#define MC_HUB_PC_VC_ID_10_0_PVA0XC_VC_ID_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_10_0_PVA0XC_VC_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_10_0_PVA0XC_VC_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_PVA0XC_VC_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_PVA0XC_VC_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_10_0_PVA0XC_VC_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_10_0_PVA0XC_VC_ID_INIT_ENUM                     VC_SISO
#define MC_HUB_PC_VC_ID_10_0_PVA0XC_VC_ID_VC_NISO                       _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_10_0_PVA0XC_VC_ID_VC_SISO                       _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_10_0_PVA0XC_VC_ID_VC_ISO                        _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_10_0_PVA0XC_VC_ID_Reserved                      _MK_ENUM_CONST(3)


// Register MC_HUB_PC_VC_ID_6_0
#define MC_HUB_PC_VC_ID_6_0                     _MK_ADDR_CONST(0x2a90)
#define MC_HUB_PC_VC_ID_6_0_SECURE                      0x0
#define MC_HUB_PC_VC_ID_6_0_DUAL                        0x0
#define MC_HUB_PC_VC_ID_6_0_SCR                         0
#define MC_HUB_PC_VC_ID_6_0_WORD_COUNT                  0x1
#define MC_HUB_PC_VC_ID_6_0_RESET_VAL                   _MK_MASK_CONST(0x1112000)
#define MC_HUB_PC_VC_ID_6_0_RESET_MASK                  _MK_MASK_CONST(0x3333330)
#define MC_HUB_PC_VC_ID_6_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_READ_MASK                   _MK_MASK_CONST(0x3333330)
#define MC_HUB_PC_VC_ID_6_0_WRITE_MASK                  _MK_MASK_CONST(0x3333330)
#define MC_HUB_PC_VC_ID_6_0_VICPC2_VC_ID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_HUB_PC_VC_ID_6_0_VICPC2_VC_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_6_0_VICPC2_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_6_0_VICPC2_VC_ID_RANGE                  5:4
#define MC_HUB_PC_VC_ID_6_0_VICPC2_VC_ID_WOFFSET                        0x0
#define MC_HUB_PC_VC_ID_6_0_VICPC2_VC_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_VICPC2_VC_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_6_0_VICPC2_VC_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_VICPC2_VC_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_VICPC2_VC_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_VICPC2_VC_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_6_0_VICPC2_VC_ID_INIT_ENUM                      VC_NISO
#define MC_HUB_PC_VC_ID_6_0_VICPC2_VC_ID_VC_NISO                        _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_6_0_VICPC2_VC_ID_VC_SISO                        _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_6_0_VICPC2_VC_ID_VC_ISO                 _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_6_0_VICPC2_VC_ID_Reserved                       _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_6_0_VICPC3_VC_ID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_HUB_PC_VC_ID_6_0_VICPC3_VC_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_6_0_VICPC3_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_6_0_VICPC3_VC_ID_RANGE                  9:8
#define MC_HUB_PC_VC_ID_6_0_VICPC3_VC_ID_WOFFSET                        0x0
#define MC_HUB_PC_VC_ID_6_0_VICPC3_VC_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_VICPC3_VC_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_6_0_VICPC3_VC_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_VICPC3_VC_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_VICPC3_VC_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_VICPC3_VC_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_6_0_VICPC3_VC_ID_INIT_ENUM                      VC_NISO
#define MC_HUB_PC_VC_ID_6_0_VICPC3_VC_ID_VC_NISO                        _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_6_0_VICPC3_VC_ID_VC_SISO                        _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_6_0_VICPC3_VC_ID_VC_ISO                 _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_6_0_VICPC3_VC_ID_Reserved                       _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_6_0_DIS2_VC_ID_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_HUB_PC_VC_ID_6_0_DIS2_VC_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_6_0_DIS2_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_6_0_DIS2_VC_ID_RANGE                    13:12
#define MC_HUB_PC_VC_ID_6_0_DIS2_VC_ID_WOFFSET                  0x0
#define MC_HUB_PC_VC_ID_6_0_DIS2_VC_ID_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_HUB_PC_VC_ID_6_0_DIS2_VC_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_6_0_DIS2_VC_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_DIS2_VC_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_DIS2_VC_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_DIS2_VC_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_6_0_DIS2_VC_ID_INIT_ENUM                        VC_ISO
#define MC_HUB_PC_VC_ID_6_0_DIS2_VC_ID_VC_NISO                  _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_6_0_DIS2_VC_ID_VC_SISO                  _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_6_0_DIS2_VC_ID_VC_ISO                   _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_6_0_DIS2_VC_ID_Reserved                 _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_6_0_NVD2_VC_ID_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_HUB_PC_VC_ID_6_0_NVD2_VC_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_6_0_NVD2_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_6_0_NVD2_VC_ID_RANGE                    17:16
#define MC_HUB_PC_VC_ID_6_0_NVD2_VC_ID_WOFFSET                  0x0
#define MC_HUB_PC_VC_ID_6_0_NVD2_VC_ID_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_6_0_NVD2_VC_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_6_0_NVD2_VC_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_NVD2_VC_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_NVD2_VC_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_NVD2_VC_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_6_0_NVD2_VC_ID_INIT_ENUM                        VC_SISO
#define MC_HUB_PC_VC_ID_6_0_NVD2_VC_ID_VC_NISO                  _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_6_0_NVD2_VC_ID_VC_SISO                  _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_6_0_NVD2_VC_ID_VC_ISO                   _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_6_0_NVD2_VC_ID_Reserved                 _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_6_0_NVD3_VC_ID_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_HUB_PC_VC_ID_6_0_NVD3_VC_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_6_0_NVD3_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_6_0_NVD3_VC_ID_RANGE                    21:20
#define MC_HUB_PC_VC_ID_6_0_NVD3_VC_ID_WOFFSET                  0x0
#define MC_HUB_PC_VC_ID_6_0_NVD3_VC_ID_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_6_0_NVD3_VC_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_6_0_NVD3_VC_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_NVD3_VC_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_NVD3_VC_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_NVD3_VC_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_6_0_NVD3_VC_ID_INIT_ENUM                        VC_SISO
#define MC_HUB_PC_VC_ID_6_0_NVD3_VC_ID_VC_NISO                  _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_6_0_NVD3_VC_ID_VC_SISO                  _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_6_0_NVD3_VC_ID_VC_ISO                   _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_6_0_NVD3_VC_ID_Reserved                 _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_6_0_MSE2_VC_ID_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_HUB_PC_VC_ID_6_0_MSE2_VC_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_6_0_MSE2_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_6_0_MSE2_VC_ID_RANGE                    25:24
#define MC_HUB_PC_VC_ID_6_0_MSE2_VC_ID_WOFFSET                  0x0
#define MC_HUB_PC_VC_ID_6_0_MSE2_VC_ID_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_6_0_MSE2_VC_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_6_0_MSE2_VC_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_MSE2_VC_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_MSE2_VC_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_6_0_MSE2_VC_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_6_0_MSE2_VC_ID_INIT_ENUM                        VC_SISO
#define MC_HUB_PC_VC_ID_6_0_MSE2_VC_ID_VC_NISO                  _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_6_0_MSE2_VC_ID_VC_SISO                  _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_6_0_MSE2_VC_ID_VC_ISO                   _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_6_0_MSE2_VC_ID_Reserved                 _MK_ENUM_CONST(3)


// Register MC_HUB_PC_VC_ID_13_0
#define MC_HUB_PC_VC_ID_13_0                    _MK_ADDR_CONST(0x2d78)
#define MC_HUB_PC_VC_ID_13_0_SECURE                     0x0
#define MC_HUB_PC_VC_ID_13_0_DUAL                       0x0
#define MC_HUB_PC_VC_ID_13_0_SCR                        0
#define MC_HUB_PC_VC_ID_13_0_WORD_COUNT                         0x1
#define MC_HUB_PC_VC_ID_13_0_RESET_VAL                  _MK_MASK_CONST(0x1110111)
#define MC_HUB_PC_VC_ID_13_0_RESET_MASK                         _MK_MASK_CONST(0x33333333)
#define MC_HUB_PC_VC_ID_13_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_READ_MASK                  _MK_MASK_CONST(0x33333333)
#define MC_HUB_PC_VC_ID_13_0_WRITE_MASK                         _MK_MASK_CONST(0x33333333)
#define MC_HUB_PC_VC_ID_13_0_MSEB1_VC_ID_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_HUB_PC_VC_ID_13_0_MSEB1_VC_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_13_0_MSEB1_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_13_0_MSEB1_VC_ID_RANGE                  1:0
#define MC_HUB_PC_VC_ID_13_0_MSEB1_VC_ID_WOFFSET                        0x0
#define MC_HUB_PC_VC_ID_13_0_MSEB1_VC_ID_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_13_0_MSEB1_VC_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_13_0_MSEB1_VC_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_MSEB1_VC_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_MSEB1_VC_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_MSEB1_VC_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_13_0_MSEB1_VC_ID_INIT_ENUM                      VC_SISO
#define MC_HUB_PC_VC_ID_13_0_MSEB1_VC_ID_VC_NISO                        _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_13_0_MSEB1_VC_ID_VC_SISO                        _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_13_0_MSEB1_VC_ID_VC_ISO                 _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_13_0_MSEB1_VC_ID_Reserved                       _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_13_0_ISPPC_VC_ID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_HUB_PC_VC_ID_13_0_ISPPC_VC_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_13_0_ISPPC_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_13_0_ISPPC_VC_ID_RANGE                  5:4
#define MC_HUB_PC_VC_ID_13_0_ISPPC_VC_ID_WOFFSET                        0x0
#define MC_HUB_PC_VC_ID_13_0_ISPPC_VC_ID_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_13_0_ISPPC_VC_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_13_0_ISPPC_VC_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_ISPPC_VC_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_ISPPC_VC_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_ISPPC_VC_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_13_0_ISPPC_VC_ID_INIT_ENUM                      VC_SISO
#define MC_HUB_PC_VC_ID_13_0_ISPPC_VC_ID_VC_NISO                        _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_13_0_ISPPC_VC_ID_VC_SISO                        _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_13_0_ISPPC_VC_ID_VC_ISO                 _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_13_0_ISPPC_VC_ID_Reserved                       _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_13_0_ISP2PC_VC_ID_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_HUB_PC_VC_ID_13_0_ISP2PC_VC_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_13_0_ISP2PC_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_13_0_ISP2PC_VC_ID_RANGE                 9:8
#define MC_HUB_PC_VC_ID_13_0_ISP2PC_VC_ID_WOFFSET                       0x0
#define MC_HUB_PC_VC_ID_13_0_ISP2PC_VC_ID_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_13_0_ISP2PC_VC_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_13_0_ISP2PC_VC_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_ISP2PC_VC_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_ISP2PC_VC_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_ISP2PC_VC_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_13_0_ISP2PC_VC_ID_INIT_ENUM                     VC_SISO
#define MC_HUB_PC_VC_ID_13_0_ISP2PC_VC_ID_VC_NISO                       _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_13_0_ISP2PC_VC_ID_VC_SISO                       _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_13_0_ISP2PC_VC_ID_VC_ISO                        _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_13_0_ISP2PC_VC_ID_Reserved                      _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_13_0_PCIE0X2_VC_ID_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_HUB_PC_VC_ID_13_0_PCIE0X2_VC_ID_FIELD                        _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_13_0_PCIE0X2_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_13_0_PCIE0X2_VC_ID_RANGE                        13:12
#define MC_HUB_PC_VC_ID_13_0_PCIE0X2_VC_ID_WOFFSET                      0x0
#define MC_HUB_PC_VC_ID_13_0_PCIE0X2_VC_ID_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_PCIE0X2_VC_ID_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_13_0_PCIE0X2_VC_ID_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_PCIE0X2_VC_ID_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_PCIE0X2_VC_ID_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_PCIE0X2_VC_ID_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_13_0_PCIE0X2_VC_ID_INIT_ENUM                    VC_NISO
#define MC_HUB_PC_VC_ID_13_0_PCIE0X2_VC_ID_VC_NISO                      _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_13_0_PCIE0X2_VC_ID_VC_SISO                      _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_13_0_PCIE0X2_VC_ID_VC_ISO                       _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_13_0_PCIE0X2_VC_ID_Reserved                     _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_13_0_NVD4_VC_ID_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_HUB_PC_VC_ID_13_0_NVD4_VC_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_13_0_NVD4_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_13_0_NVD4_VC_ID_RANGE                   17:16
#define MC_HUB_PC_VC_ID_13_0_NVD4_VC_ID_WOFFSET                 0x0
#define MC_HUB_PC_VC_ID_13_0_NVD4_VC_ID_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_13_0_NVD4_VC_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_13_0_NVD4_VC_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_NVD4_VC_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_NVD4_VC_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_NVD4_VC_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_13_0_NVD4_VC_ID_INIT_ENUM                       VC_SISO
#define MC_HUB_PC_VC_ID_13_0_NVD4_VC_ID_VC_NISO                 _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_13_0_NVD4_VC_ID_VC_SISO                 _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_13_0_NVD4_VC_ID_VC_ISO                  _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_13_0_NVD4_VC_ID_Reserved                        _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_13_0_NVD5_VC_ID_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_HUB_PC_VC_ID_13_0_NVD5_VC_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_13_0_NVD5_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_13_0_NVD5_VC_ID_RANGE                   21:20
#define MC_HUB_PC_VC_ID_13_0_NVD5_VC_ID_WOFFSET                 0x0
#define MC_HUB_PC_VC_ID_13_0_NVD5_VC_ID_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_13_0_NVD5_VC_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_13_0_NVD5_VC_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_NVD5_VC_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_NVD5_VC_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_NVD5_VC_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_13_0_NVD5_VC_ID_INIT_ENUM                       VC_SISO
#define MC_HUB_PC_VC_ID_13_0_NVD5_VC_ID_VC_NISO                 _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_13_0_NVD5_VC_ID_VC_SISO                 _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_13_0_NVD5_VC_ID_VC_ISO                  _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_13_0_NVD5_VC_ID_Reserved                        _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_13_0_NVD6_VC_ID_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_HUB_PC_VC_ID_13_0_NVD6_VC_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_13_0_NVD6_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_13_0_NVD6_VC_ID_RANGE                   25:24
#define MC_HUB_PC_VC_ID_13_0_NVD6_VC_ID_WOFFSET                 0x0
#define MC_HUB_PC_VC_ID_13_0_NVD6_VC_ID_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_13_0_NVD6_VC_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_13_0_NVD6_VC_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_NVD6_VC_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_NVD6_VC_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_NVD6_VC_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_13_0_NVD6_VC_ID_INIT_ENUM                       VC_SISO
#define MC_HUB_PC_VC_ID_13_0_NVD6_VC_ID_VC_NISO                 _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_13_0_NVD6_VC_ID_VC_SISO                 _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_13_0_NVD6_VC_ID_VC_ISO                  _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_13_0_NVD6_VC_ID_Reserved                        _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_13_0_MIU4_VC_ID_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_HUB_PC_VC_ID_13_0_MIU4_VC_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_13_0_MIU4_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_13_0_MIU4_VC_ID_RANGE                   29:28
#define MC_HUB_PC_VC_ID_13_0_MIU4_VC_ID_WOFFSET                 0x0
#define MC_HUB_PC_VC_ID_13_0_MIU4_VC_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_MIU4_VC_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_13_0_MIU4_VC_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_MIU4_VC_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_MIU4_VC_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_13_0_MIU4_VC_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_13_0_MIU4_VC_ID_INIT_ENUM                       VC_NISO
#define MC_HUB_PC_VC_ID_13_0_MIU4_VC_ID_VC_NISO                 _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_13_0_MIU4_VC_ID_VC_SISO                 _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_13_0_MIU4_VC_ID_VC_ISO                  _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_13_0_MIU4_VC_ID_Reserved                        _MK_ENUM_CONST(3)


// Register MC_HUB_PC_VC_ID_1_0
#define MC_HUB_PC_VC_ID_1_0                     _MK_ADDR_CONST(0x2a7c)
#define MC_HUB_PC_VC_ID_1_0_SECURE                      0x0
#define MC_HUB_PC_VC_ID_1_0_DUAL                        0x0
#define MC_HUB_PC_VC_ID_1_0_SCR                         0
#define MC_HUB_PC_VC_ID_1_0_WORD_COUNT                  0x1
#define MC_HUB_PC_VC_ID_1_0_RESET_VAL                   _MK_MASK_CONST(0x20000000)
#define MC_HUB_PC_VC_ID_1_0_RESET_MASK                  _MK_MASK_CONST(0x30000033)
#define MC_HUB_PC_VC_ID_1_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_1_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_1_0_READ_MASK                   _MK_MASK_CONST(0x30000033)
#define MC_HUB_PC_VC_ID_1_0_WRITE_MASK                  _MK_MASK_CONST(0x30000033)
#define MC_HUB_PC_VC_ID_1_0_FTOP_VC_ID_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_HUB_PC_VC_ID_1_0_FTOP_VC_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_1_0_FTOP_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_1_0_FTOP_VC_ID_RANGE                    1:0
#define MC_HUB_PC_VC_ID_1_0_FTOP_VC_ID_WOFFSET                  0x0
#define MC_HUB_PC_VC_ID_1_0_FTOP_VC_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_1_0_FTOP_VC_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_1_0_FTOP_VC_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_1_0_FTOP_VC_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_1_0_FTOP_VC_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_1_0_FTOP_VC_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_1_0_FTOP_VC_ID_INIT_ENUM                        VC_NISO
#define MC_HUB_PC_VC_ID_1_0_FTOP_VC_ID_VC_NISO                  _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_1_0_FTOP_VC_ID_VC_SISO                  _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_1_0_FTOP_VC_ID_VC_ISO                   _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_1_0_FTOP_VC_ID_Reserved                 _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_1_0_SAX_VC_ID_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_HUB_PC_VC_ID_1_0_SAX_VC_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_1_0_SAX_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_1_0_SAX_VC_ID_RANGE                     5:4
#define MC_HUB_PC_VC_ID_1_0_SAX_VC_ID_WOFFSET                   0x0
#define MC_HUB_PC_VC_ID_1_0_SAX_VC_ID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_1_0_SAX_VC_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_1_0_SAX_VC_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_1_0_SAX_VC_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_1_0_SAX_VC_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_1_0_SAX_VC_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_1_0_SAX_VC_ID_INIT_ENUM                 VC_NISO
#define MC_HUB_PC_VC_ID_1_0_SAX_VC_ID_VC_NISO                   _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_1_0_SAX_VC_ID_VC_SISO                   _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_1_0_SAX_VC_ID_VC_ISO                    _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_1_0_SAX_VC_ID_Reserved                  _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_1_0_VE_VC_ID_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_HUB_PC_VC_ID_1_0_VE_VC_ID_FIELD                      _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_1_0_VE_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_1_0_VE_VC_ID_RANGE                      29:28
#define MC_HUB_PC_VC_ID_1_0_VE_VC_ID_WOFFSET                    0x0
#define MC_HUB_PC_VC_ID_1_0_VE_VC_ID_DEFAULT                    _MK_MASK_CONST(0x2)
#define MC_HUB_PC_VC_ID_1_0_VE_VC_ID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_1_0_VE_VC_ID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_1_0_VE_VC_ID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_1_0_VE_VC_ID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_1_0_VE_VC_ID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_1_0_VE_VC_ID_INIT_ENUM                  VC_ISO
#define MC_HUB_PC_VC_ID_1_0_VE_VC_ID_VC_NISO                    _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_1_0_VE_VC_ID_VC_SISO                    _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_1_0_VE_VC_ID_VC_ISO                     _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_1_0_VE_VC_ID_Reserved                   _MK_ENUM_CONST(3)


// Register MC_HUB_PC_VC_ID_7_0
#define MC_HUB_PC_VC_ID_7_0                     _MK_ADDR_CONST(0x2a94)
#define MC_HUB_PC_VC_ID_7_0_SECURE                      0x0
#define MC_HUB_PC_VC_ID_7_0_DUAL                        0x0
#define MC_HUB_PC_VC_ID_7_0_SCR                         0
#define MC_HUB_PC_VC_ID_7_0_WORD_COUNT                  0x1
#define MC_HUB_PC_VC_ID_7_0_RESET_VAL                   _MK_MASK_CONST(0x1011111)
#define MC_HUB_PC_VC_ID_7_0_RESET_MASK                  _MK_MASK_CONST(0x33033333)
#define MC_HUB_PC_VC_ID_7_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_READ_MASK                   _MK_MASK_CONST(0x33033333)
#define MC_HUB_PC_VC_ID_7_0_WRITE_MASK                  _MK_MASK_CONST(0x33033333)
#define MC_HUB_PC_VC_ID_7_0_DLA0XA_VC_ID_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_HUB_PC_VC_ID_7_0_DLA0XA_VC_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_7_0_DLA0XA_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_7_0_DLA0XA_VC_ID_RANGE                  1:0
#define MC_HUB_PC_VC_ID_7_0_DLA0XA_VC_ID_WOFFSET                        0x0
#define MC_HUB_PC_VC_ID_7_0_DLA0XA_VC_ID_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_7_0_DLA0XA_VC_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_7_0_DLA0XA_VC_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_DLA0XA_VC_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_DLA0XA_VC_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_DLA0XA_VC_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_7_0_DLA0XA_VC_ID_INIT_ENUM                      VC_SISO
#define MC_HUB_PC_VC_ID_7_0_DLA0XA_VC_ID_VC_NISO                        _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_7_0_DLA0XA_VC_ID_VC_SISO                        _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_7_0_DLA0XA_VC_ID_VC_ISO                 _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_7_0_DLA0XA_VC_ID_Reserved                       _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_7_0_DLA1XA_VC_ID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_HUB_PC_VC_ID_7_0_DLA1XA_VC_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_7_0_DLA1XA_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_7_0_DLA1XA_VC_ID_RANGE                  5:4
#define MC_HUB_PC_VC_ID_7_0_DLA1XA_VC_ID_WOFFSET                        0x0
#define MC_HUB_PC_VC_ID_7_0_DLA1XA_VC_ID_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_7_0_DLA1XA_VC_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_7_0_DLA1XA_VC_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_DLA1XA_VC_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_DLA1XA_VC_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_DLA1XA_VC_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_7_0_DLA1XA_VC_ID_INIT_ENUM                      VC_SISO
#define MC_HUB_PC_VC_ID_7_0_DLA1XA_VC_ID_VC_NISO                        _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_7_0_DLA1XA_VC_ID_VC_SISO                        _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_7_0_DLA1XA_VC_ID_VC_ISO                 _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_7_0_DLA1XA_VC_ID_Reserved                       _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_7_0_PVA0XA_VC_ID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_HUB_PC_VC_ID_7_0_PVA0XA_VC_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_7_0_PVA0XA_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_7_0_PVA0XA_VC_ID_RANGE                  9:8
#define MC_HUB_PC_VC_ID_7_0_PVA0XA_VC_ID_WOFFSET                        0x0
#define MC_HUB_PC_VC_ID_7_0_PVA0XA_VC_ID_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_7_0_PVA0XA_VC_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_7_0_PVA0XA_VC_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_PVA0XA_VC_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_PVA0XA_VC_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_PVA0XA_VC_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_7_0_PVA0XA_VC_ID_INIT_ENUM                      VC_SISO
#define MC_HUB_PC_VC_ID_7_0_PVA0XA_VC_ID_VC_NISO                        _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_7_0_PVA0XA_VC_ID_VC_SISO                        _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_7_0_PVA0XA_VC_ID_VC_ISO                 _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_7_0_PVA0XA_VC_ID_Reserved                       _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_7_0_PVA1XA_VC_ID_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_HUB_PC_VC_ID_7_0_PVA1XA_VC_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_7_0_PVA1XA_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_7_0_PVA1XA_VC_ID_RANGE                  13:12
#define MC_HUB_PC_VC_ID_7_0_PVA1XA_VC_ID_WOFFSET                        0x0
#define MC_HUB_PC_VC_ID_7_0_PVA1XA_VC_ID_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_7_0_PVA1XA_VC_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_7_0_PVA1XA_VC_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_PVA1XA_VC_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_PVA1XA_VC_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_PVA1XA_VC_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_7_0_PVA1XA_VC_ID_INIT_ENUM                      VC_SISO
#define MC_HUB_PC_VC_ID_7_0_PVA1XA_VC_ID_VC_NISO                        _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_7_0_PVA1XA_VC_ID_VC_SISO                        _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_7_0_PVA1XA_VC_ID_VC_ISO                 _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_7_0_PVA1XA_VC_ID_Reserved                       _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_7_0_RCEPC_VC_ID_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_HUB_PC_VC_ID_7_0_RCEPC_VC_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_7_0_RCEPC_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_7_0_RCEPC_VC_ID_RANGE                   17:16
#define MC_HUB_PC_VC_ID_7_0_RCEPC_VC_ID_WOFFSET                 0x0
#define MC_HUB_PC_VC_ID_7_0_RCEPC_VC_ID_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_7_0_RCEPC_VC_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_7_0_RCEPC_VC_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_RCEPC_VC_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_RCEPC_VC_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_RCEPC_VC_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_7_0_RCEPC_VC_ID_INIT_ENUM                       VC_SISO
#define MC_HUB_PC_VC_ID_7_0_RCEPC_VC_ID_VC_NISO                 _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_7_0_RCEPC_VC_ID_VC_SISO                 _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_7_0_RCEPC_VC_ID_VC_ISO                  _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_7_0_RCEPC_VC_ID_Reserved                        _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_7_0_MSE3_VC_ID_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_HUB_PC_VC_ID_7_0_MSE3_VC_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_7_0_MSE3_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_7_0_MSE3_VC_ID_RANGE                    25:24
#define MC_HUB_PC_VC_ID_7_0_MSE3_VC_ID_WOFFSET                  0x0
#define MC_HUB_PC_VC_ID_7_0_MSE3_VC_ID_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_7_0_MSE3_VC_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_7_0_MSE3_VC_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_MSE3_VC_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_MSE3_VC_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_MSE3_VC_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_7_0_MSE3_VC_ID_INIT_ENUM                        VC_SISO
#define MC_HUB_PC_VC_ID_7_0_MSE3_VC_ID_VC_NISO                  _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_7_0_MSE3_VC_ID_VC_SISO                  _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_7_0_MSE3_VC_ID_VC_ISO                   _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_7_0_MSE3_VC_ID_Reserved                 _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_7_0_MIU0_VC_ID_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_HUB_PC_VC_ID_7_0_MIU0_VC_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_7_0_MIU0_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_7_0_MIU0_VC_ID_RANGE                    29:28
#define MC_HUB_PC_VC_ID_7_0_MIU0_VC_ID_WOFFSET                  0x0
#define MC_HUB_PC_VC_ID_7_0_MIU0_VC_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_MIU0_VC_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_7_0_MIU0_VC_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_MIU0_VC_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_MIU0_VC_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_7_0_MIU0_VC_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_7_0_MIU0_VC_ID_INIT_ENUM                        VC_NISO
#define MC_HUB_PC_VC_ID_7_0_MIU0_VC_ID_VC_NISO                  _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_7_0_MIU0_VC_ID_VC_SISO                  _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_7_0_MIU0_VC_ID_VC_ISO                   _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_7_0_MIU0_VC_ID_Reserved                 _MK_ENUM_CONST(3)


// Register MC_HUB_PC_VC_ID_0_0
#define MC_HUB_PC_VC_ID_0_0                     _MK_ADDR_CONST(0x2a78)
#define MC_HUB_PC_VC_ID_0_0_SECURE                      0x0
#define MC_HUB_PC_VC_ID_0_0_DUAL                        0x0
#define MC_HUB_PC_VC_ID_0_0_SCR                         0
#define MC_HUB_PC_VC_ID_0_0_WORD_COUNT                  0x1
#define MC_HUB_PC_VC_ID_0_0_RESET_VAL                   _MK_MASK_CONST(0x20100)
#define MC_HUB_PC_VC_ID_0_0_RESET_MASK                  _MK_MASK_CONST(0x30300)
#define MC_HUB_PC_VC_ID_0_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_0_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x300)
#define MC_HUB_PC_VC_ID_0_0_READ_MASK                   _MK_MASK_CONST(0x30300)
#define MC_HUB_PC_VC_ID_0_0_WRITE_MASK                  _MK_MASK_CONST(0x30300)
#define MC_HUB_PC_VC_ID_0_0_APB_VC_ID_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_HUB_PC_VC_ID_0_0_APB_VC_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_0_0_APB_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_0_0_APB_VC_ID_RANGE                     9:8
#define MC_HUB_PC_VC_ID_0_0_APB_VC_ID_WOFFSET                   0x0
#define MC_HUB_PC_VC_ID_0_0_APB_VC_ID_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_0_0_APB_VC_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_0_0_APB_VC_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_0_0_APB_VC_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_0_0_APB_VC_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_0_0_APB_VC_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_0_0_APB_VC_ID_INIT_ENUM                 VC_SISO
#define MC_HUB_PC_VC_ID_0_0_APB_VC_ID_VC_NISO                   _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_0_0_APB_VC_ID_VC_SISO                   _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_0_0_APB_VC_ID_VC_ISO                    _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_0_0_APB_VC_ID_Reserved                  _MK_ENUM_CONST(3)
#define MC_HUB_PC_VC_ID_0_0_APB_VC_ID__PROD                     _MK_MASK_CONST(0x0)

#define MC_HUB_PC_VC_ID_0_0_DIS_VC_ID_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_HUB_PC_VC_ID_0_0_DIS_VC_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_0_0_DIS_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_0_0_DIS_VC_ID_RANGE                     17:16
#define MC_HUB_PC_VC_ID_0_0_DIS_VC_ID_WOFFSET                   0x0
#define MC_HUB_PC_VC_ID_0_0_DIS_VC_ID_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_HUB_PC_VC_ID_0_0_DIS_VC_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_0_0_DIS_VC_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_0_0_DIS_VC_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_0_0_DIS_VC_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_0_0_DIS_VC_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_0_0_DIS_VC_ID_INIT_ENUM                 VC_ISO
#define MC_HUB_PC_VC_ID_0_0_DIS_VC_ID_VC_NISO                   _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_0_0_DIS_VC_ID_VC_SISO                   _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_0_0_DIS_VC_ID_VC_ISO                    _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_0_0_DIS_VC_ID_Reserved                  _MK_ENUM_CONST(3)


// Register MC_HUB_PC_VC_ID_9_0
#define MC_HUB_PC_VC_ID_9_0                     _MK_ADDR_CONST(0x2a9c)
#define MC_HUB_PC_VC_ID_9_0_SECURE                      0x0
#define MC_HUB_PC_VC_ID_9_0_DUAL                        0x0
#define MC_HUB_PC_VC_ID_9_0_SCR                         0
#define MC_HUB_PC_VC_ID_9_0_WORD_COUNT                  0x1
#define MC_HUB_PC_VC_ID_9_0_RESET_VAL                   _MK_MASK_CONST(0x110000)
#define MC_HUB_PC_VC_ID_9_0_RESET_MASK                  _MK_MASK_CONST(0x33330330)
#define MC_HUB_PC_VC_ID_9_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_READ_MASK                   _MK_MASK_CONST(0x33330330)
#define MC_HUB_PC_VC_ID_9_0_WRITE_MASK                  _MK_MASK_CONST(0x33330330)
#define MC_HUB_PC_VC_ID_9_0_PCIE4X_VC_ID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_HUB_PC_VC_ID_9_0_PCIE4X_VC_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_9_0_PCIE4X_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_9_0_PCIE4X_VC_ID_RANGE                  5:4
#define MC_HUB_PC_VC_ID_9_0_PCIE4X_VC_ID_WOFFSET                        0x0
#define MC_HUB_PC_VC_ID_9_0_PCIE4X_VC_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_PCIE4X_VC_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_9_0_PCIE4X_VC_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_PCIE4X_VC_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_PCIE4X_VC_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_PCIE4X_VC_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_9_0_PCIE4X_VC_ID_INIT_ENUM                      VC_NISO
#define MC_HUB_PC_VC_ID_9_0_PCIE4X_VC_ID_VC_NISO                        _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_9_0_PCIE4X_VC_ID_VC_SISO                        _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_9_0_PCIE4X_VC_ID_VC_ISO                 _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_9_0_PCIE4X_VC_ID_Reserved                       _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_9_0_PCIE5X_VC_ID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_HUB_PC_VC_ID_9_0_PCIE5X_VC_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_9_0_PCIE5X_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_9_0_PCIE5X_VC_ID_RANGE                  9:8
#define MC_HUB_PC_VC_ID_9_0_PCIE5X_VC_ID_WOFFSET                        0x0
#define MC_HUB_PC_VC_ID_9_0_PCIE5X_VC_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_PCIE5X_VC_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_9_0_PCIE5X_VC_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_PCIE5X_VC_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_PCIE5X_VC_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_PCIE5X_VC_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_9_0_PCIE5X_VC_ID_INIT_ENUM                      VC_NISO
#define MC_HUB_PC_VC_ID_9_0_PCIE5X_VC_ID_VC_NISO                        _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_9_0_PCIE5X_VC_ID_VC_SISO                        _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_9_0_PCIE5X_VC_ID_VC_ISO                 _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_9_0_PCIE5X_VC_ID_Reserved                       _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_9_0_DLA0XA3_VC_ID_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_HUB_PC_VC_ID_9_0_DLA0XA3_VC_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_9_0_DLA0XA3_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_9_0_DLA0XA3_VC_ID_RANGE                 17:16
#define MC_HUB_PC_VC_ID_9_0_DLA0XA3_VC_ID_WOFFSET                       0x0
#define MC_HUB_PC_VC_ID_9_0_DLA0XA3_VC_ID_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_9_0_DLA0XA3_VC_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_9_0_DLA0XA3_VC_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_DLA0XA3_VC_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_DLA0XA3_VC_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_DLA0XA3_VC_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_9_0_DLA0XA3_VC_ID_INIT_ENUM                     VC_SISO
#define MC_HUB_PC_VC_ID_9_0_DLA0XA3_VC_ID_VC_NISO                       _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_9_0_DLA0XA3_VC_ID_VC_SISO                       _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_9_0_DLA0XA3_VC_ID_VC_ISO                        _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_9_0_DLA0XA3_VC_ID_Reserved                      _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_9_0_DLA1XA3_VC_ID_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_HUB_PC_VC_ID_9_0_DLA1XA3_VC_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_9_0_DLA1XA3_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_9_0_DLA1XA3_VC_ID_RANGE                 21:20
#define MC_HUB_PC_VC_ID_9_0_DLA1XA3_VC_ID_WOFFSET                       0x0
#define MC_HUB_PC_VC_ID_9_0_DLA1XA3_VC_ID_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_9_0_DLA1XA3_VC_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_9_0_DLA1XA3_VC_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_DLA1XA3_VC_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_DLA1XA3_VC_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_DLA1XA3_VC_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_9_0_DLA1XA3_VC_ID_INIT_ENUM                     VC_SISO
#define MC_HUB_PC_VC_ID_9_0_DLA1XA3_VC_ID_VC_NISO                       _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_9_0_DLA1XA3_VC_ID_VC_SISO                       _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_9_0_DLA1XA3_VC_ID_VC_ISO                        _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_9_0_DLA1XA3_VC_ID_Reserved                      _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_9_0_PCIE0XA_VC_ID_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_HUB_PC_VC_ID_9_0_PCIE0XA_VC_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_9_0_PCIE0XA_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_9_0_PCIE0XA_VC_ID_RANGE                 25:24
#define MC_HUB_PC_VC_ID_9_0_PCIE0XA_VC_ID_WOFFSET                       0x0
#define MC_HUB_PC_VC_ID_9_0_PCIE0XA_VC_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_PCIE0XA_VC_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_9_0_PCIE0XA_VC_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_PCIE0XA_VC_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_PCIE0XA_VC_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_PCIE0XA_VC_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_9_0_PCIE0XA_VC_ID_INIT_ENUM                     VC_NISO
#define MC_HUB_PC_VC_ID_9_0_PCIE0XA_VC_ID_VC_NISO                       _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_9_0_PCIE0XA_VC_ID_VC_SISO                       _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_9_0_PCIE0XA_VC_ID_VC_ISO                        _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_9_0_PCIE0XA_VC_ID_Reserved                      _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_9_0_PCIE1XA_VC_ID_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_HUB_PC_VC_ID_9_0_PCIE1XA_VC_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_9_0_PCIE1XA_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_9_0_PCIE1XA_VC_ID_RANGE                 29:28
#define MC_HUB_PC_VC_ID_9_0_PCIE1XA_VC_ID_WOFFSET                       0x0
#define MC_HUB_PC_VC_ID_9_0_PCIE1XA_VC_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_PCIE1XA_VC_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_9_0_PCIE1XA_VC_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_PCIE1XA_VC_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_PCIE1XA_VC_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_9_0_PCIE1XA_VC_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_9_0_PCIE1XA_VC_ID_INIT_ENUM                     VC_NISO
#define MC_HUB_PC_VC_ID_9_0_PCIE1XA_VC_ID_VC_NISO                       _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_9_0_PCIE1XA_VC_ID_VC_SISO                       _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_9_0_PCIE1XA_VC_ID_VC_ISO                        _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_9_0_PCIE1XA_VC_ID_Reserved                      _MK_ENUM_CONST(3)


// Register MC_HUB_PC_VC_ID_5_0
#define MC_HUB_PC_VC_ID_5_0                     _MK_ADDR_CONST(0x2a8c)
#define MC_HUB_PC_VC_ID_5_0_SECURE                      0x0
#define MC_HUB_PC_VC_ID_5_0_DUAL                        0x0
#define MC_HUB_PC_VC_ID_5_0_SCR                         0
#define MC_HUB_PC_VC_ID_5_0_WORD_COUNT                  0x1
#define MC_HUB_PC_VC_ID_5_0_RESET_VAL                   _MK_MASK_CONST(0x1010120)
#define MC_HUB_PC_VC_ID_5_0_RESET_MASK                  _MK_MASK_CONST(0x3030333)
#define MC_HUB_PC_VC_ID_5_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_5_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_5_0_READ_MASK                   _MK_MASK_CONST(0x3030333)
#define MC_HUB_PC_VC_ID_5_0_WRITE_MASK                  _MK_MASK_CONST(0x3030333)
#define MC_HUB_PC_VC_ID_5_0_UFSHCPC_VC_ID_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_HUB_PC_VC_ID_5_0_UFSHCPC_VC_ID_FIELD                 _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_5_0_UFSHCPC_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_5_0_UFSHCPC_VC_ID_RANGE                 1:0
#define MC_HUB_PC_VC_ID_5_0_UFSHCPC_VC_ID_WOFFSET                       0x0
#define MC_HUB_PC_VC_ID_5_0_UFSHCPC_VC_ID_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_5_0_UFSHCPC_VC_ID_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_5_0_UFSHCPC_VC_ID_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_5_0_UFSHCPC_VC_ID_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_5_0_UFSHCPC_VC_ID_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_5_0_UFSHCPC_VC_ID_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_5_0_UFSHCPC_VC_ID_INIT_ENUM                     VC_NISO
#define MC_HUB_PC_VC_ID_5_0_UFSHCPC_VC_ID_VC_NISO                       _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_5_0_UFSHCPC_VC_ID_VC_SISO                       _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_5_0_UFSHCPC_VC_ID_VC_ISO                        _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_5_0_UFSHCPC_VC_ID_Reserved                      _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_5_0_EQOSPC_VC_ID_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_HUB_PC_VC_ID_5_0_EQOSPC_VC_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_5_0_EQOSPC_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_5_0_EQOSPC_VC_ID_RANGE                  5:4
#define MC_HUB_PC_VC_ID_5_0_EQOSPC_VC_ID_WOFFSET                        0x0
#define MC_HUB_PC_VC_ID_5_0_EQOSPC_VC_ID_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_HUB_PC_VC_ID_5_0_EQOSPC_VC_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_5_0_EQOSPC_VC_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_5_0_EQOSPC_VC_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_5_0_EQOSPC_VC_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_5_0_EQOSPC_VC_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_5_0_EQOSPC_VC_ID_INIT_ENUM                      VC_ISO
#define MC_HUB_PC_VC_ID_5_0_EQOSPC_VC_ID_VC_NISO                        _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_5_0_EQOSPC_VC_ID_VC_SISO                        _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_5_0_EQOSPC_VC_ID_VC_ISO                 _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_5_0_EQOSPC_VC_ID_Reserved                       _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_5_0_BPMPPC_VC_ID_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_HUB_PC_VC_ID_5_0_BPMPPC_VC_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_5_0_BPMPPC_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_5_0_BPMPPC_VC_ID_RANGE                  9:8
#define MC_HUB_PC_VC_ID_5_0_BPMPPC_VC_ID_WOFFSET                        0x0
#define MC_HUB_PC_VC_ID_5_0_BPMPPC_VC_ID_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_5_0_BPMPPC_VC_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_5_0_BPMPPC_VC_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_5_0_BPMPPC_VC_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_5_0_BPMPPC_VC_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_5_0_BPMPPC_VC_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_5_0_BPMPPC_VC_ID_INIT_ENUM                      VC_SISO
#define MC_HUB_PC_VC_ID_5_0_BPMPPC_VC_ID_VC_NISO                        _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_5_0_BPMPPC_VC_ID_VC_SISO                        _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_5_0_BPMPPC_VC_ID_VC_ISO                 _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_5_0_BPMPPC_VC_ID_Reserved                       _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_5_0_AONPC_VC_ID_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_HUB_PC_VC_ID_5_0_AONPC_VC_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_5_0_AONPC_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_5_0_AONPC_VC_ID_RANGE                   17:16
#define MC_HUB_PC_VC_ID_5_0_AONPC_VC_ID_WOFFSET                 0x0
#define MC_HUB_PC_VC_ID_5_0_AONPC_VC_ID_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_5_0_AONPC_VC_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_5_0_AONPC_VC_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_5_0_AONPC_VC_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_5_0_AONPC_VC_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_5_0_AONPC_VC_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_5_0_AONPC_VC_ID_INIT_ENUM                       VC_SISO
#define MC_HUB_PC_VC_ID_5_0_AONPC_VC_ID_VC_NISO                 _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_5_0_AONPC_VC_ID_VC_SISO                 _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_5_0_AONPC_VC_ID_VC_ISO                  _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_5_0_AONPC_VC_ID_Reserved                        _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_5_0_SCEPC_VC_ID_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_HUB_PC_VC_ID_5_0_SCEPC_VC_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_5_0_SCEPC_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_5_0_SCEPC_VC_ID_RANGE                   25:24
#define MC_HUB_PC_VC_ID_5_0_SCEPC_VC_ID_WOFFSET                 0x0
#define MC_HUB_PC_VC_ID_5_0_SCEPC_VC_ID_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_5_0_SCEPC_VC_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_5_0_SCEPC_VC_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_5_0_SCEPC_VC_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_5_0_SCEPC_VC_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_5_0_SCEPC_VC_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_5_0_SCEPC_VC_ID_INIT_ENUM                       VC_SISO
#define MC_HUB_PC_VC_ID_5_0_SCEPC_VC_ID_VC_NISO                 _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_5_0_SCEPC_VC_ID_VC_SISO                 _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_5_0_SCEPC_VC_ID_VC_ISO                  _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_5_0_SCEPC_VC_ID_Reserved                        _MK_ENUM_CONST(3)


// Register MC_HUB_PC_VC_ID_3_0
#define MC_HUB_PC_VC_ID_3_0                     _MK_ADDR_CONST(0x2a84)
#define MC_HUB_PC_VC_ID_3_0_SECURE                      0x0
#define MC_HUB_PC_VC_ID_3_0_DUAL                        0x0
#define MC_HUB_PC_VC_ID_3_0_SCR                         0
#define MC_HUB_PC_VC_ID_3_0_WORD_COUNT                  0x1
#define MC_HUB_PC_VC_ID_3_0_RESET_VAL                   _MK_MASK_CONST(0x201)
#define MC_HUB_PC_VC_ID_3_0_RESET_MASK                  _MK_MASK_CONST(0x333303)
#define MC_HUB_PC_VC_ID_3_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_3_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_3_0_READ_MASK                   _MK_MASK_CONST(0x333303)
#define MC_HUB_PC_VC_ID_3_0_WRITE_MASK                  _MK_MASK_CONST(0x333303)
#define MC_HUB_PC_VC_ID_3_0_ISP_VC_ID_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_HUB_PC_VC_ID_3_0_ISP_VC_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_3_0_ISP_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_3_0_ISP_VC_ID_RANGE                     1:0
#define MC_HUB_PC_VC_ID_3_0_ISP_VC_ID_WOFFSET                   0x0
#define MC_HUB_PC_VC_ID_3_0_ISP_VC_ID_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_3_0_ISP_VC_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_3_0_ISP_VC_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_3_0_ISP_VC_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_3_0_ISP_VC_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_3_0_ISP_VC_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_3_0_ISP_VC_ID_INIT_ENUM                 VC_SISO
#define MC_HUB_PC_VC_ID_3_0_ISP_VC_ID_VC_NISO                   _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_3_0_ISP_VC_ID_VC_SISO                   _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_3_0_ISP_VC_ID_VC_ISO                    _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_3_0_ISP_VC_ID_Reserved                  _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_3_0_AUD_VC_ID_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_HUB_PC_VC_ID_3_0_AUD_VC_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_3_0_AUD_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_3_0_AUD_VC_ID_RANGE                     9:8
#define MC_HUB_PC_VC_ID_3_0_AUD_VC_ID_WOFFSET                   0x0
#define MC_HUB_PC_VC_ID_3_0_AUD_VC_ID_DEFAULT                   _MK_MASK_CONST(0x2)
#define MC_HUB_PC_VC_ID_3_0_AUD_VC_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_3_0_AUD_VC_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_3_0_AUD_VC_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_3_0_AUD_VC_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_3_0_AUD_VC_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_3_0_AUD_VC_ID_INIT_ENUM                 VC_ISO
#define MC_HUB_PC_VC_ID_3_0_AUD_VC_ID_VC_NISO                   _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_3_0_AUD_VC_ID_VC_SISO                   _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_3_0_AUD_VC_ID_VC_ISO                    _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_3_0_AUD_VC_ID_Reserved                  _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_3_0_HOST_VC_ID_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_HUB_PC_VC_ID_3_0_HOST_VC_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_3_0_HOST_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_3_0_HOST_VC_ID_RANGE                    13:12
#define MC_HUB_PC_VC_ID_3_0_HOST_VC_ID_WOFFSET                  0x0
#define MC_HUB_PC_VC_ID_3_0_HOST_VC_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_3_0_HOST_VC_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_3_0_HOST_VC_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_3_0_HOST_VC_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_3_0_HOST_VC_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_3_0_HOST_VC_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_3_0_HOST_VC_ID_INIT_ENUM                        VC_NISO
#define MC_HUB_PC_VC_ID_3_0_HOST_VC_ID_VC_NISO                  _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_3_0_HOST_VC_ID_VC_SISO                  _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_3_0_HOST_VC_ID_VC_ISO                   _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_3_0_HOST_VC_ID_Reserved                 _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_3_0_USBD_VC_ID_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_HUB_PC_VC_ID_3_0_USBD_VC_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_3_0_USBD_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_3_0_USBD_VC_ID_RANGE                    17:16
#define MC_HUB_PC_VC_ID_3_0_USBD_VC_ID_WOFFSET                  0x0
#define MC_HUB_PC_VC_ID_3_0_USBD_VC_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_3_0_USBD_VC_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_3_0_USBD_VC_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_3_0_USBD_VC_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_3_0_USBD_VC_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_3_0_USBD_VC_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_3_0_USBD_VC_ID_INIT_ENUM                        VC_NISO
#define MC_HUB_PC_VC_ID_3_0_USBD_VC_ID_VC_NISO                  _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_3_0_USBD_VC_ID_VC_SISO                  _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_3_0_USBD_VC_ID_VC_ISO                   _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_3_0_USBD_VC_ID_Reserved                 _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_3_0_VICPC_VC_ID_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_HUB_PC_VC_ID_3_0_VICPC_VC_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_3_0_VICPC_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_3_0_VICPC_VC_ID_RANGE                   21:20
#define MC_HUB_PC_VC_ID_3_0_VICPC_VC_ID_WOFFSET                 0x0
#define MC_HUB_PC_VC_ID_3_0_VICPC_VC_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_3_0_VICPC_VC_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_3_0_VICPC_VC_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_3_0_VICPC_VC_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_3_0_VICPC_VC_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_3_0_VICPC_VC_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_3_0_VICPC_VC_ID_INIT_ENUM                       VC_NISO
#define MC_HUB_PC_VC_ID_3_0_VICPC_VC_ID_VC_NISO                 _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_3_0_VICPC_VC_ID_VC_SISO                 _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_3_0_VICPC_VC_ID_VC_ISO                  _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_3_0_VICPC_VC_ID_Reserved                        _MK_ENUM_CONST(3)


// Register MC_HUB_PC_VC_ID_8_0
#define MC_HUB_PC_VC_ID_8_0                     _MK_ADDR_CONST(0x2a98)
#define MC_HUB_PC_VC_ID_8_0_SECURE                      0x0
#define MC_HUB_PC_VC_ID_8_0_DUAL                        0x0
#define MC_HUB_PC_VC_ID_8_0_SCR                         0
#define MC_HUB_PC_VC_ID_8_0_WORD_COUNT                  0x1
#define MC_HUB_PC_VC_ID_8_0_RESET_VAL                   _MK_MASK_CONST(0x11000)
#define MC_HUB_PC_VC_ID_8_0_RESET_MASK                  _MK_MASK_CONST(0x3333333)
#define MC_HUB_PC_VC_ID_8_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_READ_MASK                   _MK_MASK_CONST(0x3333333)
#define MC_HUB_PC_VC_ID_8_0_WRITE_MASK                  _MK_MASK_CONST(0x3333333)
#define MC_HUB_PC_VC_ID_8_0_MIU1_VC_ID_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_HUB_PC_VC_ID_8_0_MIU1_VC_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_8_0_MIU1_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_8_0_MIU1_VC_ID_RANGE                    1:0
#define MC_HUB_PC_VC_ID_8_0_MIU1_VC_ID_WOFFSET                  0x0
#define MC_HUB_PC_VC_ID_8_0_MIU1_VC_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_MIU1_VC_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_8_0_MIU1_VC_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_MIU1_VC_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_MIU1_VC_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_MIU1_VC_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_8_0_MIU1_VC_ID_INIT_ENUM                        VC_NISO
#define MC_HUB_PC_VC_ID_8_0_MIU1_VC_ID_VC_NISO                  _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_8_0_MIU1_VC_ID_VC_SISO                  _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_8_0_MIU1_VC_ID_VC_ISO                   _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_8_0_MIU1_VC_ID_Reserved                 _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_8_0_MIU2_VC_ID_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_HUB_PC_VC_ID_8_0_MIU2_VC_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_8_0_MIU2_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_8_0_MIU2_VC_ID_RANGE                    5:4
#define MC_HUB_PC_VC_ID_8_0_MIU2_VC_ID_WOFFSET                  0x0
#define MC_HUB_PC_VC_ID_8_0_MIU2_VC_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_MIU2_VC_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_8_0_MIU2_VC_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_MIU2_VC_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_MIU2_VC_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_MIU2_VC_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_8_0_MIU2_VC_ID_INIT_ENUM                        VC_NISO
#define MC_HUB_PC_VC_ID_8_0_MIU2_VC_ID_VC_NISO                  _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_8_0_MIU2_VC_ID_VC_SISO                  _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_8_0_MIU2_VC_ID_VC_ISO                   _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_8_0_MIU2_VC_ID_Reserved                 _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_8_0_MIU3_VC_ID_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_HUB_PC_VC_ID_8_0_MIU3_VC_ID_FIELD                    _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_8_0_MIU3_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_8_0_MIU3_VC_ID_RANGE                    9:8
#define MC_HUB_PC_VC_ID_8_0_MIU3_VC_ID_WOFFSET                  0x0
#define MC_HUB_PC_VC_ID_8_0_MIU3_VC_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_MIU3_VC_ID_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_8_0_MIU3_VC_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_MIU3_VC_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_MIU3_VC_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_MIU3_VC_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_8_0_MIU3_VC_ID_INIT_ENUM                        VC_NISO
#define MC_HUB_PC_VC_ID_8_0_MIU3_VC_ID_VC_NISO                  _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_8_0_MIU3_VC_ID_VC_SISO                  _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_8_0_MIU3_VC_ID_VC_ISO                   _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_8_0_MIU3_VC_ID_Reserved                 _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_8_0_DLA0FALPC_VC_ID_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_HUB_PC_VC_ID_8_0_DLA0FALPC_VC_ID_FIELD                       _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_8_0_DLA0FALPC_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_8_0_DLA0FALPC_VC_ID_RANGE                       13:12
#define MC_HUB_PC_VC_ID_8_0_DLA0FALPC_VC_ID_WOFFSET                     0x0
#define MC_HUB_PC_VC_ID_8_0_DLA0FALPC_VC_ID_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_8_0_DLA0FALPC_VC_ID_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_8_0_DLA0FALPC_VC_ID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_DLA0FALPC_VC_ID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_DLA0FALPC_VC_ID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_DLA0FALPC_VC_ID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_8_0_DLA0FALPC_VC_ID_INIT_ENUM                   VC_SISO
#define MC_HUB_PC_VC_ID_8_0_DLA0FALPC_VC_ID_VC_NISO                     _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_8_0_DLA0FALPC_VC_ID_VC_SISO                     _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_8_0_DLA0FALPC_VC_ID_VC_ISO                      _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_8_0_DLA0FALPC_VC_ID_Reserved                    _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_8_0_DLA1FALPC_VC_ID_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_HUB_PC_VC_ID_8_0_DLA1FALPC_VC_ID_FIELD                       _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_8_0_DLA1FALPC_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_8_0_DLA1FALPC_VC_ID_RANGE                       17:16
#define MC_HUB_PC_VC_ID_8_0_DLA1FALPC_VC_ID_WOFFSET                     0x0
#define MC_HUB_PC_VC_ID_8_0_DLA1FALPC_VC_ID_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_8_0_DLA1FALPC_VC_ID_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_8_0_DLA1FALPC_VC_ID_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_DLA1FALPC_VC_ID_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_DLA1FALPC_VC_ID_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_DLA1FALPC_VC_ID_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_8_0_DLA1FALPC_VC_ID_INIT_ENUM                   VC_SISO
#define MC_HUB_PC_VC_ID_8_0_DLA1FALPC_VC_ID_VC_NISO                     _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_8_0_DLA1FALPC_VC_ID_VC_SISO                     _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_8_0_DLA1FALPC_VC_ID_VC_ISO                      _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_8_0_DLA1FALPC_VC_ID_Reserved                    _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_8_0_PCIE0X_VC_ID_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_HUB_PC_VC_ID_8_0_PCIE0X_VC_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_8_0_PCIE0X_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_8_0_PCIE0X_VC_ID_RANGE                  21:20
#define MC_HUB_PC_VC_ID_8_0_PCIE0X_VC_ID_WOFFSET                        0x0
#define MC_HUB_PC_VC_ID_8_0_PCIE0X_VC_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_PCIE0X_VC_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_8_0_PCIE0X_VC_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_PCIE0X_VC_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_PCIE0X_VC_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_PCIE0X_VC_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_8_0_PCIE0X_VC_ID_INIT_ENUM                      VC_NISO
#define MC_HUB_PC_VC_ID_8_0_PCIE0X_VC_ID_VC_NISO                        _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_8_0_PCIE0X_VC_ID_VC_SISO                        _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_8_0_PCIE0X_VC_ID_VC_ISO                 _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_8_0_PCIE0X_VC_ID_Reserved                       _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_8_0_PCIE1X_VC_ID_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_HUB_PC_VC_ID_8_0_PCIE1X_VC_ID_FIELD                  _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_8_0_PCIE1X_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_8_0_PCIE1X_VC_ID_RANGE                  25:24
#define MC_HUB_PC_VC_ID_8_0_PCIE1X_VC_ID_WOFFSET                        0x0
#define MC_HUB_PC_VC_ID_8_0_PCIE1X_VC_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_PCIE1X_VC_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_8_0_PCIE1X_VC_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_PCIE1X_VC_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_PCIE1X_VC_ID_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_8_0_PCIE1X_VC_ID_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_8_0_PCIE1X_VC_ID_INIT_ENUM                      VC_NISO
#define MC_HUB_PC_VC_ID_8_0_PCIE1X_VC_ID_VC_NISO                        _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_8_0_PCIE1X_VC_ID_VC_SISO                        _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_8_0_PCIE1X_VC_ID_VC_ISO                 _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_8_0_PCIE1X_VC_ID_Reserved                       _MK_ENUM_CONST(3)


// Register MC_HUB_PC_VC_ID_14_0
#define MC_HUB_PC_VC_ID_14_0                    _MK_ADDR_CONST(0x2d7c)
#define MC_HUB_PC_VC_ID_14_0_SECURE                     0x0
#define MC_HUB_PC_VC_ID_14_0_DUAL                       0x0
#define MC_HUB_PC_VC_ID_14_0_SCR                        0
#define MC_HUB_PC_VC_ID_14_0_WORD_COUNT                         0x1
#define MC_HUB_PC_VC_ID_14_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_14_0_RESET_MASK                         _MK_MASK_CONST(0x333)
#define MC_HUB_PC_VC_ID_14_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_14_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_14_0_READ_MASK                  _MK_MASK_CONST(0x333)
#define MC_HUB_PC_VC_ID_14_0_WRITE_MASK                         _MK_MASK_CONST(0x333)
#define MC_HUB_PC_VC_ID_14_0_MIU5_VC_ID_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_HUB_PC_VC_ID_14_0_MIU5_VC_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_14_0_MIU5_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_14_0_MIU5_VC_ID_RANGE                   1:0
#define MC_HUB_PC_VC_ID_14_0_MIU5_VC_ID_WOFFSET                 0x0
#define MC_HUB_PC_VC_ID_14_0_MIU5_VC_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_14_0_MIU5_VC_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_14_0_MIU5_VC_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_14_0_MIU5_VC_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_14_0_MIU5_VC_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_14_0_MIU5_VC_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_14_0_MIU5_VC_ID_INIT_ENUM                       VC_NISO
#define MC_HUB_PC_VC_ID_14_0_MIU5_VC_ID_VC_NISO                 _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_14_0_MIU5_VC_ID_VC_SISO                 _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_14_0_MIU5_VC_ID_VC_ISO                  _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_14_0_MIU5_VC_ID_Reserved                        _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_14_0_MIU6_VC_ID_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_HUB_PC_VC_ID_14_0_MIU6_VC_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_14_0_MIU6_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_14_0_MIU6_VC_ID_RANGE                   5:4
#define MC_HUB_PC_VC_ID_14_0_MIU6_VC_ID_WOFFSET                 0x0
#define MC_HUB_PC_VC_ID_14_0_MIU6_VC_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_14_0_MIU6_VC_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_14_0_MIU6_VC_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_14_0_MIU6_VC_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_14_0_MIU6_VC_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_14_0_MIU6_VC_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_14_0_MIU6_VC_ID_INIT_ENUM                       VC_NISO
#define MC_HUB_PC_VC_ID_14_0_MIU6_VC_ID_VC_NISO                 _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_14_0_MIU6_VC_ID_VC_SISO                 _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_14_0_MIU6_VC_ID_VC_ISO                  _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_14_0_MIU6_VC_ID_Reserved                        _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_14_0_MIU7_VC_ID_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_HUB_PC_VC_ID_14_0_MIU7_VC_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_14_0_MIU7_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_14_0_MIU7_VC_ID_RANGE                   9:8
#define MC_HUB_PC_VC_ID_14_0_MIU7_VC_ID_WOFFSET                 0x0
#define MC_HUB_PC_VC_ID_14_0_MIU7_VC_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_14_0_MIU7_VC_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_14_0_MIU7_VC_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_14_0_MIU7_VC_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_14_0_MIU7_VC_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_14_0_MIU7_VC_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_14_0_MIU7_VC_ID_INIT_ENUM                       VC_NISO
#define MC_HUB_PC_VC_ID_14_0_MIU7_VC_ID_VC_NISO                 _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_14_0_MIU7_VC_ID_VC_SISO                 _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_14_0_MIU7_VC_ID_VC_ISO                  _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_14_0_MIU7_VC_ID_Reserved                        _MK_ENUM_CONST(3)


// Register MC_HUB_PC_VC_ID_4_0
#define MC_HUB_PC_VC_ID_4_0                     _MK_ADDR_CONST(0x2a88)
#define MC_HUB_PC_VC_ID_4_0_SECURE                      0x0
#define MC_HUB_PC_VC_ID_4_0_DUAL                        0x0
#define MC_HUB_PC_VC_ID_4_0_SCR                         0
#define MC_HUB_PC_VC_ID_4_0_WORD_COUNT                  0x1
#define MC_HUB_PC_VC_ID_4_0_RESET_VAL                   _MK_MASK_CONST(0x10020011)
#define MC_HUB_PC_VC_ID_4_0_RESET_MASK                  _MK_MASK_CONST(0x30033033)
#define MC_HUB_PC_VC_ID_4_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_4_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x30000000)
#define MC_HUB_PC_VC_ID_4_0_READ_MASK                   _MK_MASK_CONST(0x30033033)
#define MC_HUB_PC_VC_ID_4_0_WRITE_MASK                  _MK_MASK_CONST(0x30033033)
#define MC_HUB_PC_VC_ID_4_0_NVD_VC_ID_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_HUB_PC_VC_ID_4_0_NVD_VC_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_4_0_NVD_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_4_0_NVD_VC_ID_RANGE                     1:0
#define MC_HUB_PC_VC_ID_4_0_NVD_VC_ID_WOFFSET                   0x0
#define MC_HUB_PC_VC_ID_4_0_NVD_VC_ID_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_4_0_NVD_VC_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_4_0_NVD_VC_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_4_0_NVD_VC_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_4_0_NVD_VC_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_4_0_NVD_VC_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_4_0_NVD_VC_ID_INIT_ENUM                 VC_SISO
#define MC_HUB_PC_VC_ID_4_0_NVD_VC_ID_VC_NISO                   _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_4_0_NVD_VC_ID_VC_SISO                   _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_4_0_NVD_VC_ID_VC_ISO                    _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_4_0_NVD_VC_ID_Reserved                  _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_4_0_JPG_VC_ID_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_HUB_PC_VC_ID_4_0_JPG_VC_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_4_0_JPG_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_4_0_JPG_VC_ID_RANGE                     5:4
#define MC_HUB_PC_VC_ID_4_0_JPG_VC_ID_WOFFSET                   0x0
#define MC_HUB_PC_VC_ID_4_0_JPG_VC_ID_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_4_0_JPG_VC_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_4_0_JPG_VC_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_4_0_JPG_VC_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_4_0_JPG_VC_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_4_0_JPG_VC_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_4_0_JPG_VC_ID_INIT_ENUM                 VC_SISO
#define MC_HUB_PC_VC_ID_4_0_JPG_VC_ID_VC_NISO                   _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_4_0_JPG_VC_ID_VC_SISO                   _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_4_0_JPG_VC_ID_VC_ISO                    _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_4_0_JPG_VC_ID_Reserved                  _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_4_0_SDM_VC_ID_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_HUB_PC_VC_ID_4_0_SDM_VC_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_4_0_SDM_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_4_0_SDM_VC_ID_RANGE                     13:12
#define MC_HUB_PC_VC_ID_4_0_SDM_VC_ID_WOFFSET                   0x0
#define MC_HUB_PC_VC_ID_4_0_SDM_VC_ID_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_4_0_SDM_VC_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_4_0_SDM_VC_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_4_0_SDM_VC_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_4_0_SDM_VC_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_4_0_SDM_VC_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_4_0_SDM_VC_ID_INIT_ENUM                 VC_NISO
#define MC_HUB_PC_VC_ID_4_0_SDM_VC_ID_VC_NISO                   _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_4_0_SDM_VC_ID_VC_SISO                   _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_4_0_SDM_VC_ID_VC_ISO                    _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_4_0_SDM_VC_ID_Reserved                  _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_4_0_HDAPC_VC_ID_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_HUB_PC_VC_ID_4_0_HDAPC_VC_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_4_0_HDAPC_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_4_0_HDAPC_VC_ID_RANGE                   17:16
#define MC_HUB_PC_VC_ID_4_0_HDAPC_VC_ID_WOFFSET                 0x0
#define MC_HUB_PC_VC_ID_4_0_HDAPC_VC_ID_DEFAULT                 _MK_MASK_CONST(0x2)
#define MC_HUB_PC_VC_ID_4_0_HDAPC_VC_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_4_0_HDAPC_VC_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_4_0_HDAPC_VC_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_4_0_HDAPC_VC_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_4_0_HDAPC_VC_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_4_0_HDAPC_VC_ID_INIT_ENUM                       VC_ISO
#define MC_HUB_PC_VC_ID_4_0_HDAPC_VC_ID_VC_NISO                 _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_4_0_HDAPC_VC_ID_VC_SISO                 _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_4_0_HDAPC_VC_ID_VC_ISO                  _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_4_0_HDAPC_VC_ID_Reserved                        _MK_ENUM_CONST(3)

#define MC_HUB_PC_VC_ID_4_0_NIC_VC_ID_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_HUB_PC_VC_ID_4_0_NIC_VC_ID_FIELD                     _MK_FIELD_CONST(0x3, MC_HUB_PC_VC_ID_4_0_NIC_VC_ID_SHIFT)
#define MC_HUB_PC_VC_ID_4_0_NIC_VC_ID_RANGE                     29:28
#define MC_HUB_PC_VC_ID_4_0_NIC_VC_ID_WOFFSET                   0x0
#define MC_HUB_PC_VC_ID_4_0_NIC_VC_ID_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_4_0_NIC_VC_ID_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_4_0_NIC_VC_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_4_0_NIC_VC_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_HUB_PC_VC_ID_4_0_NIC_VC_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUB_PC_VC_ID_4_0_NIC_VC_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_PC_VC_ID_4_0_NIC_VC_ID_INIT_ENUM                 VC_SISO
#define MC_HUB_PC_VC_ID_4_0_NIC_VC_ID_VC_NISO                   _MK_ENUM_CONST(0)
#define MC_HUB_PC_VC_ID_4_0_NIC_VC_ID_VC_SISO                   _MK_ENUM_CONST(1)
#define MC_HUB_PC_VC_ID_4_0_NIC_VC_ID_VC_ISO                    _MK_ENUM_CONST(2)
#define MC_HUB_PC_VC_ID_4_0_NIC_VC_ID_Reserved                  _MK_ENUM_CONST(3)
#define MC_HUB_PC_VC_ID_4_0_NIC_VC_ID__PROD                     _MK_MASK_CONST(0x0)


// Register MC_COALESCE_CTRL_0
#define MC_COALESCE_CTRL_0                      _MK_ADDR_CONST(0x2930)
#define MC_COALESCE_CTRL_0_SECURE                       0x0
#define MC_COALESCE_CTRL_0_DUAL                         0x0
#define MC_COALESCE_CTRL_0_SCR                  0
#define MC_COALESCE_CTRL_0_WORD_COUNT                   0x1
#define MC_COALESCE_CTRL_0_RESET_VAL                    _MK_MASK_CONST(0xffffff)
#define MC_COALESCE_CTRL_0_RESET_MASK                   _MK_MASK_CONST(0x80ffffff)
#define MC_COALESCE_CTRL_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x80000000)
#define MC_COALESCE_CTRL_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x80000000)
#define MC_COALESCE_CTRL_0_READ_MASK                    _MK_MASK_CONST(0x80ffffff)
#define MC_COALESCE_CTRL_0_WRITE_MASK                   _MK_MASK_CONST(0x80ffffff)
#define MC_COALESCE_CTRL_0_MC_COALESCE_TIMEOUT_VALUE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_COALESCE_CTRL_0_MC_COALESCE_TIMEOUT_VALUE_FIELD                      _MK_FIELD_CONST(0xffffff, MC_COALESCE_CTRL_0_MC_COALESCE_TIMEOUT_VALUE_SHIFT)
#define MC_COALESCE_CTRL_0_MC_COALESCE_TIMEOUT_VALUE_RANGE                      23:0
#define MC_COALESCE_CTRL_0_MC_COALESCE_TIMEOUT_VALUE_WOFFSET                    0x0
#define MC_COALESCE_CTRL_0_MC_COALESCE_TIMEOUT_VALUE_DEFAULT                    _MK_MASK_CONST(0xffffff)
#define MC_COALESCE_CTRL_0_MC_COALESCE_TIMEOUT_VALUE_DEFAULT_MASK                       _MK_MASK_CONST(0xffffff)
#define MC_COALESCE_CTRL_0_MC_COALESCE_TIMEOUT_VALUE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_COALESCE_CTRL_0_MC_COALESCE_TIMEOUT_VALUE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_COALESCE_CTRL_0_MC_COALESCE_TIMEOUT_VALUE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_COALESCE_CTRL_0_MC_COALESCE_TIMEOUT_VALUE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_COALESCE_CTRL_0_COALESCER_ENABLE_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_COALESCE_CTRL_0_COALESCER_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_COALESCE_CTRL_0_COALESCER_ENABLE_SHIFT)
#define MC_COALESCE_CTRL_0_COALESCER_ENABLE_RANGE                       31:31
#define MC_COALESCE_CTRL_0_COALESCER_ENABLE_WOFFSET                     0x0
#define MC_COALESCE_CTRL_0_COALESCER_ENABLE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_COALESCE_CTRL_0_COALESCER_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_COALESCE_CTRL_0_COALESCER_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_COALESCE_CTRL_0_COALESCER_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_COALESCE_CTRL_0_COALESCER_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_COALESCE_CTRL_0_COALESCER_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_COALESCE_CTRL_0_COALESCER_ENABLE_INIT_ENUM                   DISABLED
#define MC_COALESCE_CTRL_0_COALESCER_ENABLE_DISABLED                    _MK_ENUM_CONST(0)
#define MC_COALESCE_CTRL_0_COALESCER_ENABLE_ENABLED                     _MK_ENUM_CONST(1)
#define MC_COALESCE_CTRL_0_COALESCER_ENABLE__PROD                       _MK_MASK_CONST(0x1)


// Register MC_CLIENT_COALESCE_CONFIG_0_0
#define MC_CLIENT_COALESCE_CONFIG_0_0                   _MK_ADDR_CONST(0x2934)
#define MC_CLIENT_COALESCE_CONFIG_0_0_SECURE                    0x0
#define MC_CLIENT_COALESCE_CONFIG_0_0_DUAL                      0x0
#define MC_CLIENT_COALESCE_CONFIG_0_0_SCR                       0
#define MC_CLIENT_COALESCE_CONFIG_0_0_WORD_COUNT                        0x1
#define MC_CLIENT_COALESCE_CONFIG_0_0_RESET_VAL                         _MK_MASK_CONST(0x90600003)
#define MC_CLIENT_COALESCE_CONFIG_0_0_RESET_MASK                        _MK_MASK_CONST(0x90600003)
#define MC_CLIENT_COALESCE_CONFIG_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_READ_MASK                         _MK_MASK_CONST(0x90600003)
#define MC_CLIENT_COALESCE_CONFIG_0_0_WRITE_MASK                        _MK_MASK_CONST(0x90600003)
#define MC_CLIENT_COALESCE_CONFIG_0_0_PTCR_COALESCER_ENABLED_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_PTCR_COALESCER_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_0_0_PTCR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_0_0_PTCR_COALESCER_ENABLED_RANGE                      0:0
#define MC_CLIENT_COALESCE_CONFIG_0_0_PTCR_COALESCER_ENABLED_WOFFSET                    0x0
#define MC_CLIENT_COALESCE_CONFIG_0_0_PTCR_COALESCER_ENABLED_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_0_0_PTCR_COALESCER_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_0_0_PTCR_COALESCER_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_PTCR_COALESCER_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_PTCR_COALESCER_ENABLED_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_PTCR_COALESCER_ENABLED_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_0_0_PTCR_COALESCER_ENABLED_INIT_ENUM                  ENABLE
#define MC_CLIENT_COALESCE_CONFIG_0_0_PTCR_COALESCER_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_PTCR_COALESCER_ENABLED_ENABLE                     _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_0_0_MIU7R_COALESCER_ENABLED_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_CLIENT_COALESCE_CONFIG_0_0_MIU7R_COALESCER_ENABLED_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_0_0_MIU7R_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_0_0_MIU7R_COALESCER_ENABLED_RANGE                     1:1
#define MC_CLIENT_COALESCE_CONFIG_0_0_MIU7R_COALESCER_ENABLED_WOFFSET                   0x0
#define MC_CLIENT_COALESCE_CONFIG_0_0_MIU7R_COALESCER_ENABLED_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_0_0_MIU7R_COALESCER_ENABLED_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_0_0_MIU7R_COALESCER_ENABLED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_MIU7R_COALESCER_ENABLED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_MIU7R_COALESCER_ENABLED_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_MIU7R_COALESCER_ENABLED_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_0_0_MIU7R_COALESCER_ENABLED_INIT_ENUM                 ENABLE
#define MC_CLIENT_COALESCE_CONFIG_0_0_MIU7R_COALESCER_ENABLED_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_MIU7R_COALESCER_ENABLED_ENABLE                    _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_0_0_HDAR_COALESCER_ENABLED_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_CLIENT_COALESCE_CONFIG_0_0_HDAR_COALESCER_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_0_0_HDAR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_0_0_HDAR_COALESCER_ENABLED_RANGE                      21:21
#define MC_CLIENT_COALESCE_CONFIG_0_0_HDAR_COALESCER_ENABLED_WOFFSET                    0x0
#define MC_CLIENT_COALESCE_CONFIG_0_0_HDAR_COALESCER_ENABLED_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_0_0_HDAR_COALESCER_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_0_0_HDAR_COALESCER_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_HDAR_COALESCER_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_HDAR_COALESCER_ENABLED_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_HDAR_COALESCER_ENABLED_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_0_0_HDAR_COALESCER_ENABLED_INIT_ENUM                  ENABLE
#define MC_CLIENT_COALESCE_CONFIG_0_0_HDAR_COALESCER_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_HDAR_COALESCER_ENABLED_ENABLE                     _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_0_0_HOST1XDMAR_COALESCER_ENABLED_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_CLIENT_COALESCE_CONFIG_0_0_HOST1XDMAR_COALESCER_ENABLED_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_0_0_HOST1XDMAR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_0_0_HOST1XDMAR_COALESCER_ENABLED_RANGE                        22:22
#define MC_CLIENT_COALESCE_CONFIG_0_0_HOST1XDMAR_COALESCER_ENABLED_WOFFSET                      0x0
#define MC_CLIENT_COALESCE_CONFIG_0_0_HOST1XDMAR_COALESCER_ENABLED_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_0_0_HOST1XDMAR_COALESCER_ENABLED_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_0_0_HOST1XDMAR_COALESCER_ENABLED_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_HOST1XDMAR_COALESCER_ENABLED_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_HOST1XDMAR_COALESCER_ENABLED_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_HOST1XDMAR_COALESCER_ENABLED_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_0_0_HOST1XDMAR_COALESCER_ENABLED_INIT_ENUM                    ENABLE
#define MC_CLIENT_COALESCE_CONFIG_0_0_HOST1XDMAR_COALESCER_ENABLED_DISABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_HOST1XDMAR_COALESCER_ENABLED_ENABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_0_0_NVENCSRD_COALESCER_ENABLED_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_CLIENT_COALESCE_CONFIG_0_0_NVENCSRD_COALESCER_ENABLED_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_0_0_NVENCSRD_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_0_0_NVENCSRD_COALESCER_ENABLED_RANGE                  28:28
#define MC_CLIENT_COALESCE_CONFIG_0_0_NVENCSRD_COALESCER_ENABLED_WOFFSET                        0x0
#define MC_CLIENT_COALESCE_CONFIG_0_0_NVENCSRD_COALESCER_ENABLED_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_0_0_NVENCSRD_COALESCER_ENABLED_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_0_0_NVENCSRD_COALESCER_ENABLED_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_NVENCSRD_COALESCER_ENABLED_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_NVENCSRD_COALESCER_ENABLED_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_NVENCSRD_COALESCER_ENABLED_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_0_0_NVENCSRD_COALESCER_ENABLED_INIT_ENUM                      ENABLE
#define MC_CLIENT_COALESCE_CONFIG_0_0_NVENCSRD_COALESCER_ENABLED_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_NVENCSRD_COALESCER_ENABLED_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_0_0_SATAR_COALESCER_ENABLED_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_CLIENT_COALESCE_CONFIG_0_0_SATAR_COALESCER_ENABLED_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_0_0_SATAR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_0_0_SATAR_COALESCER_ENABLED_RANGE                     31:31
#define MC_CLIENT_COALESCE_CONFIG_0_0_SATAR_COALESCER_ENABLED_WOFFSET                   0x0
#define MC_CLIENT_COALESCE_CONFIG_0_0_SATAR_COALESCER_ENABLED_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_0_0_SATAR_COALESCER_ENABLED_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_0_0_SATAR_COALESCER_ENABLED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_SATAR_COALESCER_ENABLED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_SATAR_COALESCER_ENABLED_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_SATAR_COALESCER_ENABLED_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_0_0_SATAR_COALESCER_ENABLED_INIT_ENUM                 ENABLE
#define MC_CLIENT_COALESCE_CONFIG_0_0_SATAR_COALESCER_ENABLED_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_0_0_SATAR_COALESCER_ENABLED_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_CLIENT_COALESCE_CONFIG_1_0
#define MC_CLIENT_COALESCE_CONFIG_1_0                   _MK_ADDR_CONST(0x2938)
#define MC_CLIENT_COALESCE_CONFIG_1_0_SECURE                    0x0
#define MC_CLIENT_COALESCE_CONFIG_1_0_DUAL                      0x0
#define MC_CLIENT_COALESCE_CONFIG_1_0_SCR                       0
#define MC_CLIENT_COALESCE_CONFIG_1_0_WORD_COUNT                        0x1
#define MC_CLIENT_COALESCE_CONFIG_1_0_RESET_VAL                         _MK_MASK_CONST(0x80)
#define MC_CLIENT_COALESCE_CONFIG_1_0_RESET_MASK                        _MK_MASK_CONST(0x80)
#define MC_CLIENT_COALESCE_CONFIG_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_1_0_READ_MASK                         _MK_MASK_CONST(0x80)
#define MC_CLIENT_COALESCE_CONFIG_1_0_WRITE_MASK                        _MK_MASK_CONST(0x80)
#define MC_CLIENT_COALESCE_CONFIG_1_0_MPCORER_COALESCER_ENABLED_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_CLIENT_COALESCE_CONFIG_1_0_MPCORER_COALESCER_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_1_0_MPCORER_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_1_0_MPCORER_COALESCER_ENABLED_RANGE                   7:7
#define MC_CLIENT_COALESCE_CONFIG_1_0_MPCORER_COALESCER_ENABLED_WOFFSET                 0x0
#define MC_CLIENT_COALESCE_CONFIG_1_0_MPCORER_COALESCER_ENABLED_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_1_0_MPCORER_COALESCER_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_1_0_MPCORER_COALESCER_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_1_0_MPCORER_COALESCER_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_1_0_MPCORER_COALESCER_ENABLED_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_1_0_MPCORER_COALESCER_ENABLED_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_1_0_MPCORER_COALESCER_ENABLED_INIT_ENUM                       ENABLE
#define MC_CLIENT_COALESCE_CONFIG_1_0_MPCORER_COALESCER_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_1_0_MPCORER_COALESCER_ENABLED_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_CLIENT_COALESCE_CONFIG_2_0
#define MC_CLIENT_COALESCE_CONFIG_2_0                   _MK_ADDR_CONST(0x293c)
#define MC_CLIENT_COALESCE_CONFIG_2_0_SECURE                    0x0
#define MC_CLIENT_COALESCE_CONFIG_2_0_DUAL                      0x0
#define MC_CLIENT_COALESCE_CONFIG_2_0_SCR                       0
#define MC_CLIENT_COALESCE_CONFIG_2_0_WORD_COUNT                        0x1
#define MC_CLIENT_COALESCE_CONFIG_2_0_RESET_VAL                         _MK_MASK_CONST(0x101430)
#define MC_CLIENT_COALESCE_CONFIG_2_0_RESET_MASK                        _MK_MASK_CONST(0x101430)
#define MC_CLIENT_COALESCE_CONFIG_2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_READ_MASK                         _MK_MASK_CONST(0x101430)
#define MC_CLIENT_COALESCE_CONFIG_2_0_WRITE_MASK                        _MK_MASK_CONST(0x101430)
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPRA_COALESCER_ENABLED_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPRA_COALESCER_ENABLED_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_2_0_ISPRA_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPRA_COALESCER_ENABLED_RANGE                     4:4
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPRA_COALESCER_ENABLED_WOFFSET                   0x0
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPRA_COALESCER_ENABLED_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPRA_COALESCER_ENABLED_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPRA_COALESCER_ENABLED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPRA_COALESCER_ENABLED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPRA_COALESCER_ENABLED_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPRA_COALESCER_ENABLED_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPRA_COALESCER_ENABLED_INIT_ENUM                 ENABLE
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPRA_COALESCER_ENABLED_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPRA_COALESCER_ENABLED_ENABLE                    _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPFALR_COALESCER_ENABLED_SHIFT                   _MK_SHIFT_CONST(5)
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPFALR_COALESCER_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_2_0_ISPFALR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPFALR_COALESCER_ENABLED_RANGE                   5:5
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPFALR_COALESCER_ENABLED_WOFFSET                 0x0
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPFALR_COALESCER_ENABLED_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPFALR_COALESCER_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPFALR_COALESCER_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPFALR_COALESCER_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPFALR_COALESCER_ENABLED_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPFALR_COALESCER_ENABLED_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPFALR_COALESCER_ENABLED_INIT_ENUM                       ENABLE
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPFALR_COALESCER_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_ISPFALR_COALESCER_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_HOSTR_COALESCER_ENABLED_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_HOSTR_COALESCER_ENABLED_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_HOSTR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_HOSTR_COALESCER_ENABLED_RANGE                        10:10
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_HOSTR_COALESCER_ENABLED_WOFFSET                      0x0
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_HOSTR_COALESCER_ENABLED_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_HOSTR_COALESCER_ENABLED_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_HOSTR_COALESCER_ENABLED_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_HOSTR_COALESCER_ENABLED_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_HOSTR_COALESCER_ENABLED_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_HOSTR_COALESCER_ENABLED_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_HOSTR_COALESCER_ENABLED_INIT_ENUM                    ENABLE
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_HOSTR_COALESCER_ENABLED_DISABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_HOSTR_COALESCER_ENABLED_ENABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_DEVR_COALESCER_ENABLED_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_DEVR_COALESCER_ENABLED_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_DEVR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_DEVR_COALESCER_ENABLED_RANGE                 12:12
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_DEVR_COALESCER_ENABLED_WOFFSET                       0x0
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_DEVR_COALESCER_ENABLED_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_DEVR_COALESCER_ENABLED_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_DEVR_COALESCER_ENABLED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_DEVR_COALESCER_ENABLED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_DEVR_COALESCER_ENABLED_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_DEVR_COALESCER_ENABLED_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_DEVR_COALESCER_ENABLED_INIT_ENUM                     ENABLE
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_DEVR_COALESCER_ENABLED_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_XUSB_DEVR_COALESCER_ENABLED_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_2_0_TSECSRD_COALESCER_ENABLED_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_CLIENT_COALESCE_CONFIG_2_0_TSECSRD_COALESCER_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_2_0_TSECSRD_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_2_0_TSECSRD_COALESCER_ENABLED_RANGE                   20:20
#define MC_CLIENT_COALESCE_CONFIG_2_0_TSECSRD_COALESCER_ENABLED_WOFFSET                 0x0
#define MC_CLIENT_COALESCE_CONFIG_2_0_TSECSRD_COALESCER_ENABLED_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_2_0_TSECSRD_COALESCER_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_2_0_TSECSRD_COALESCER_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_TSECSRD_COALESCER_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_TSECSRD_COALESCER_ENABLED_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_TSECSRD_COALESCER_ENABLED_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_2_0_TSECSRD_COALESCER_ENABLED_INIT_ENUM                       ENABLE
#define MC_CLIENT_COALESCE_CONFIG_2_0_TSECSRD_COALESCER_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_2_0_TSECSRD_COALESCER_ENABLED_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_CLIENT_COALESCE_CONFIG_3_0
#define MC_CLIENT_COALESCE_CONFIG_3_0                   _MK_ADDR_CONST(0x2940)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SECURE                    0x0
#define MC_CLIENT_COALESCE_CONFIG_3_0_DUAL                      0x0
#define MC_CLIENT_COALESCE_CONFIG_3_0_SCR                       0
#define MC_CLIENT_COALESCE_CONFIG_3_0_WORD_COUNT                        0x1
#define MC_CLIENT_COALESCE_CONFIG_3_0_RESET_VAL                         _MK_MASK_CONST(0x4500100d)
#define MC_CLIENT_COALESCE_CONFIG_3_0_RESET_MASK                        _MK_MASK_CONST(0x4500100d)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_READ_MASK                         _MK_MASK_CONST(0x4500100d)
#define MC_CLIENT_COALESCE_CONFIG_3_0_WRITE_MASK                        _MK_MASK_CONST(0x4500100d)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRA_COALESCER_ENABLED_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRA_COALESCER_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRA_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRA_COALESCER_ENABLED_RANGE                   0:0
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRA_COALESCER_ENABLED_WOFFSET                 0x0
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRA_COALESCER_ENABLED_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRA_COALESCER_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRA_COALESCER_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRA_COALESCER_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRA_COALESCER_ENABLED_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRA_COALESCER_ENABLED_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRA_COALESCER_ENABLED_INIT_ENUM                       ENABLE
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRA_COALESCER_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRA_COALESCER_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCR_COALESCER_ENABLED_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCR_COALESCER_ENABLED_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCR_COALESCER_ENABLED_RANGE                    2:2
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCR_COALESCER_ENABLED_WOFFSET                  0x0
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCR_COALESCER_ENABLED_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCR_COALESCER_ENABLED_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCR_COALESCER_ENABLED_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCR_COALESCER_ENABLED_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCR_COALESCER_ENABLED_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCR_COALESCER_ENABLED_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCR_COALESCER_ENABLED_INIT_ENUM                        ENABLE
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCR_COALESCER_ENABLED_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCR_COALESCER_ENABLED_ENABLE                   _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRAB_COALESCER_ENABLED_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRAB_COALESCER_ENABLED_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRAB_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRAB_COALESCER_ENABLED_RANGE                  3:3
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRAB_COALESCER_ENABLED_WOFFSET                        0x0
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRAB_COALESCER_ENABLED_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRAB_COALESCER_ENABLED_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRAB_COALESCER_ENABLED_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRAB_COALESCER_ENABLED_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRAB_COALESCER_ENABLED_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRAB_COALESCER_ENABLED_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRAB_COALESCER_ENABLED_INIT_ENUM                      ENABLE
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRAB_COALESCER_ENABLED_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_SDMMCRAB_COALESCER_ENABLED_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_3_0_VICSRD_COALESCER_ENABLED_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_CLIENT_COALESCE_CONFIG_3_0_VICSRD_COALESCER_ENABLED_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_3_0_VICSRD_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_3_0_VICSRD_COALESCER_ENABLED_RANGE                    12:12
#define MC_CLIENT_COALESCE_CONFIG_3_0_VICSRD_COALESCER_ENABLED_WOFFSET                  0x0
#define MC_CLIENT_COALESCE_CONFIG_3_0_VICSRD_COALESCER_ENABLED_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_3_0_VICSRD_COALESCER_ENABLED_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_3_0_VICSRD_COALESCER_ENABLED_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_VICSRD_COALESCER_ENABLED_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_VICSRD_COALESCER_ENABLED_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_VICSRD_COALESCER_ENABLED_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_3_0_VICSRD_COALESCER_ENABLED_INIT_ENUM                        ENABLE
#define MC_CLIENT_COALESCE_CONFIG_3_0_VICSRD_COALESCER_ENABLED_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_VICSRD_COALESCER_ENABLED_ENABLE                   _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_3_0_NVDECSRD_COALESCER_ENABLED_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVDECSRD_COALESCER_ENABLED_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_3_0_NVDECSRD_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVDECSRD_COALESCER_ENABLED_RANGE                  24:24
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVDECSRD_COALESCER_ENABLED_WOFFSET                        0x0
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVDECSRD_COALESCER_ENABLED_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVDECSRD_COALESCER_ENABLED_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVDECSRD_COALESCER_ENABLED_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVDECSRD_COALESCER_ENABLED_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVDECSRD_COALESCER_ENABLED_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVDECSRD_COALESCER_ENABLED_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVDECSRD_COALESCER_ENABLED_INIT_ENUM                      ENABLE
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVDECSRD_COALESCER_ENABLED_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVDECSRD_COALESCER_ENABLED_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_3_0_APER_COALESCER_ENABLED_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_CLIENT_COALESCE_CONFIG_3_0_APER_COALESCER_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_3_0_APER_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_3_0_APER_COALESCER_ENABLED_RANGE                      26:26
#define MC_CLIENT_COALESCE_CONFIG_3_0_APER_COALESCER_ENABLED_WOFFSET                    0x0
#define MC_CLIENT_COALESCE_CONFIG_3_0_APER_COALESCER_ENABLED_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_3_0_APER_COALESCER_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_3_0_APER_COALESCER_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_APER_COALESCER_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_APER_COALESCER_ENABLED_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_APER_COALESCER_ENABLED_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_3_0_APER_COALESCER_ENABLED_INIT_ENUM                  ENABLE
#define MC_CLIENT_COALESCE_CONFIG_3_0_APER_COALESCER_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_APER_COALESCER_ENABLED_ENABLE                     _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_3_0_NVJPGSRD_COALESCER_ENABLED_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVJPGSRD_COALESCER_ENABLED_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_3_0_NVJPGSRD_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVJPGSRD_COALESCER_ENABLED_RANGE                  30:30
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVJPGSRD_COALESCER_ENABLED_WOFFSET                        0x0
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVJPGSRD_COALESCER_ENABLED_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVJPGSRD_COALESCER_ENABLED_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVJPGSRD_COALESCER_ENABLED_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVJPGSRD_COALESCER_ENABLED_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVJPGSRD_COALESCER_ENABLED_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVJPGSRD_COALESCER_ENABLED_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVJPGSRD_COALESCER_ENABLED_INIT_ENUM                      ENABLE
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVJPGSRD_COALESCER_ENABLED_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_3_0_NVJPGSRD_COALESCER_ENABLED_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_CLIENT_COALESCE_CONFIG_4_0
#define MC_CLIENT_COALESCE_CONFIG_4_0                   _MK_ADDR_CONST(0x2944)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SECURE                    0x0
#define MC_CLIENT_COALESCE_CONFIG_4_0_DUAL                      0x0
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCR                       0
#define MC_CLIENT_COALESCE_CONFIG_4_0_WORD_COUNT                        0x1
#define MC_CLIENT_COALESCE_CONFIG_4_0_RESET_VAL                         _MK_MASK_CONST(0xaaad5055)
#define MC_CLIENT_COALESCE_CONFIG_4_0_RESET_MASK                        _MK_MASK_CONST(0xaaad5055)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_READ_MASK                         _MK_MASK_CONST(0xaaad5055)
#define MC_CLIENT_COALESCE_CONFIG_4_0_WRITE_MASK                        _MK_MASK_CONST(0xaaad5055)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SESRD_COALESCER_ENABLED_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SESRD_COALESCER_ENABLED_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_4_0_SESRD_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SESRD_COALESCER_ENABLED_RANGE                     0:0
#define MC_CLIENT_COALESCE_CONFIG_4_0_SESRD_COALESCER_ENABLED_WOFFSET                   0x0
#define MC_CLIENT_COALESCE_CONFIG_4_0_SESRD_COALESCER_ENABLED_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SESRD_COALESCER_ENABLED_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SESRD_COALESCER_ENABLED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SESRD_COALESCER_ENABLED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SESRD_COALESCER_ENABLED_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SESRD_COALESCER_ENABLED_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SESRD_COALESCER_ENABLED_INIT_ENUM                 ENABLE
#define MC_CLIENT_COALESCE_CONFIG_4_0_SESRD_COALESCER_ENABLED_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SESRD_COALESCER_ENABLED_ENABLE                    _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_4_0_AXIAPR_COALESCER_ENABLED_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXIAPR_COALESCER_ENABLED_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_4_0_AXIAPR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXIAPR_COALESCER_ENABLED_RANGE                    2:2
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXIAPR_COALESCER_ENABLED_WOFFSET                  0x0
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXIAPR_COALESCER_ENABLED_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXIAPR_COALESCER_ENABLED_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXIAPR_COALESCER_ENABLED_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXIAPR_COALESCER_ENABLED_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXIAPR_COALESCER_ENABLED_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXIAPR_COALESCER_ENABLED_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXIAPR_COALESCER_ENABLED_INIT_ENUM                        ENABLE
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXIAPR_COALESCER_ENABLED_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXIAPR_COALESCER_ENABLED_ENABLE                   _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_4_0_ETRR_COALESCER_ENABLED_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_CLIENT_COALESCE_CONFIG_4_0_ETRR_COALESCER_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_4_0_ETRR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_4_0_ETRR_COALESCER_ENABLED_RANGE                      4:4
#define MC_CLIENT_COALESCE_CONFIG_4_0_ETRR_COALESCER_ENABLED_WOFFSET                    0x0
#define MC_CLIENT_COALESCE_CONFIG_4_0_ETRR_COALESCER_ENABLED_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_ETRR_COALESCER_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_ETRR_COALESCER_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_ETRR_COALESCER_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_ETRR_COALESCER_ENABLED_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_ETRR_COALESCER_ENABLED_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_ETRR_COALESCER_ENABLED_INIT_ENUM                  ENABLE
#define MC_CLIENT_COALESCE_CONFIG_4_0_ETRR_COALESCER_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_ETRR_COALESCER_ENABLED_ENABLE                     _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_4_0_TSECSRDB_COALESCER_ENABLED_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_CLIENT_COALESCE_CONFIG_4_0_TSECSRDB_COALESCER_ENABLED_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_4_0_TSECSRDB_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_4_0_TSECSRDB_COALESCER_ENABLED_RANGE                  6:6
#define MC_CLIENT_COALESCE_CONFIG_4_0_TSECSRDB_COALESCER_ENABLED_WOFFSET                        0x0
#define MC_CLIENT_COALESCE_CONFIG_4_0_TSECSRDB_COALESCER_ENABLED_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_TSECSRDB_COALESCER_ENABLED_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_TSECSRDB_COALESCER_ENABLED_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_TSECSRDB_COALESCER_ENABLED_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_TSECSRDB_COALESCER_ENABLED_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_TSECSRDB_COALESCER_ENABLED_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_TSECSRDB_COALESCER_ENABLED_INIT_ENUM                      ENABLE
#define MC_CLIENT_COALESCE_CONFIG_4_0_TSECSRDB_COALESCER_ENABLED_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_TSECSRDB_COALESCER_ENABLED_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_4_0_AXISR_COALESCER_ENABLED_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXISR_COALESCER_ENABLED_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_4_0_AXISR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXISR_COALESCER_ENABLED_RANGE                     12:12
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXISR_COALESCER_ENABLED_WOFFSET                   0x0
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXISR_COALESCER_ENABLED_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXISR_COALESCER_ENABLED_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXISR_COALESCER_ENABLED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXISR_COALESCER_ENABLED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXISR_COALESCER_ENABLED_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXISR_COALESCER_ENABLED_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXISR_COALESCER_ENABLED_INIT_ENUM                 ENABLE
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXISR_COALESCER_ENABLED_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AXISR_COALESCER_ENABLED_ENABLE                    _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_4_0_EQOSR_COALESCER_ENABLED_SHIFT                     _MK_SHIFT_CONST(14)
#define MC_CLIENT_COALESCE_CONFIG_4_0_EQOSR_COALESCER_ENABLED_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_4_0_EQOSR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_4_0_EQOSR_COALESCER_ENABLED_RANGE                     14:14
#define MC_CLIENT_COALESCE_CONFIG_4_0_EQOSR_COALESCER_ENABLED_WOFFSET                   0x0
#define MC_CLIENT_COALESCE_CONFIG_4_0_EQOSR_COALESCER_ENABLED_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_EQOSR_COALESCER_ENABLED_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_EQOSR_COALESCER_ENABLED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_EQOSR_COALESCER_ENABLED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_EQOSR_COALESCER_ENABLED_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_EQOSR_COALESCER_ENABLED_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_EQOSR_COALESCER_ENABLED_INIT_ENUM                 ENABLE
#define MC_CLIENT_COALESCE_CONFIG_4_0_EQOSR_COALESCER_ENABLED_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_EQOSR_COALESCER_ENABLED_ENABLE                    _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_4_0_UFSHCR_COALESCER_ENABLED_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_CLIENT_COALESCE_CONFIG_4_0_UFSHCR_COALESCER_ENABLED_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_4_0_UFSHCR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_4_0_UFSHCR_COALESCER_ENABLED_RANGE                    16:16
#define MC_CLIENT_COALESCE_CONFIG_4_0_UFSHCR_COALESCER_ENABLED_WOFFSET                  0x0
#define MC_CLIENT_COALESCE_CONFIG_4_0_UFSHCR_COALESCER_ENABLED_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_UFSHCR_COALESCER_ENABLED_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_UFSHCR_COALESCER_ENABLED_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_UFSHCR_COALESCER_ENABLED_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_UFSHCR_COALESCER_ENABLED_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_UFSHCR_COALESCER_ENABLED_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_UFSHCR_COALESCER_ENABLED_INIT_ENUM                        ENABLE
#define MC_CLIENT_COALESCE_CONFIG_4_0_UFSHCR_COALESCER_ENABLED_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_UFSHCR_COALESCER_ENABLED_ENABLE                   _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_4_0_NVDISPLAYR_COALESCER_ENABLED_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_CLIENT_COALESCE_CONFIG_4_0_NVDISPLAYR_COALESCER_ENABLED_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_4_0_NVDISPLAYR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_4_0_NVDISPLAYR_COALESCER_ENABLED_RANGE                        18:18
#define MC_CLIENT_COALESCE_CONFIG_4_0_NVDISPLAYR_COALESCER_ENABLED_WOFFSET                      0x0
#define MC_CLIENT_COALESCE_CONFIG_4_0_NVDISPLAYR_COALESCER_ENABLED_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_NVDISPLAYR_COALESCER_ENABLED_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_NVDISPLAYR_COALESCER_ENABLED_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_NVDISPLAYR_COALESCER_ENABLED_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_NVDISPLAYR_COALESCER_ENABLED_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_NVDISPLAYR_COALESCER_ENABLED_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_NVDISPLAYR_COALESCER_ENABLED_INIT_ENUM                    ENABLE
#define MC_CLIENT_COALESCE_CONFIG_4_0_NVDISPLAYR_COALESCER_ENABLED_DISABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_NVDISPLAYR_COALESCER_ENABLED_ENABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPR_COALESCER_ENABLED_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPR_COALESCER_ENABLED_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_4_0_BPMPR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPR_COALESCER_ENABLED_RANGE                     19:19
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPR_COALESCER_ENABLED_WOFFSET                   0x0
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPR_COALESCER_ENABLED_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPR_COALESCER_ENABLED_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPR_COALESCER_ENABLED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPR_COALESCER_ENABLED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPR_COALESCER_ENABLED_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPR_COALESCER_ENABLED_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPR_COALESCER_ENABLED_INIT_ENUM                 ENABLE
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPR_COALESCER_ENABLED_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPR_COALESCER_ENABLED_ENABLE                    _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPDMAR_COALESCER_ENABLED_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPDMAR_COALESCER_ENABLED_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_4_0_BPMPDMAR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPDMAR_COALESCER_ENABLED_RANGE                  21:21
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPDMAR_COALESCER_ENABLED_WOFFSET                        0x0
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPDMAR_COALESCER_ENABLED_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPDMAR_COALESCER_ENABLED_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPDMAR_COALESCER_ENABLED_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPDMAR_COALESCER_ENABLED_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPDMAR_COALESCER_ENABLED_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPDMAR_COALESCER_ENABLED_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPDMAR_COALESCER_ENABLED_INIT_ENUM                      ENABLE
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPDMAR_COALESCER_ENABLED_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_BPMPDMAR_COALESCER_ENABLED_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_4_0_AONR_COALESCER_ENABLED_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONR_COALESCER_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_4_0_AONR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONR_COALESCER_ENABLED_RANGE                      23:23
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONR_COALESCER_ENABLED_WOFFSET                    0x0
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONR_COALESCER_ENABLED_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONR_COALESCER_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONR_COALESCER_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONR_COALESCER_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONR_COALESCER_ENABLED_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONR_COALESCER_ENABLED_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONR_COALESCER_ENABLED_INIT_ENUM                  ENABLE
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONR_COALESCER_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONR_COALESCER_ENABLED_ENABLE                     _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_4_0_AONDMAR_COALESCER_ENABLED_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONDMAR_COALESCER_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_4_0_AONDMAR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONDMAR_COALESCER_ENABLED_RANGE                   25:25
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONDMAR_COALESCER_ENABLED_WOFFSET                 0x0
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONDMAR_COALESCER_ENABLED_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONDMAR_COALESCER_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONDMAR_COALESCER_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONDMAR_COALESCER_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONDMAR_COALESCER_ENABLED_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONDMAR_COALESCER_ENABLED_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONDMAR_COALESCER_ENABLED_INIT_ENUM                       ENABLE
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONDMAR_COALESCER_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_AONDMAR_COALESCER_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_4_0_SCER_COALESCER_ENABLED_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCER_COALESCER_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_4_0_SCER_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCER_COALESCER_ENABLED_RANGE                      27:27
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCER_COALESCER_ENABLED_WOFFSET                    0x0
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCER_COALESCER_ENABLED_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCER_COALESCER_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCER_COALESCER_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCER_COALESCER_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCER_COALESCER_ENABLED_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCER_COALESCER_ENABLED_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCER_COALESCER_ENABLED_INIT_ENUM                  ENABLE
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCER_COALESCER_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCER_COALESCER_ENABLED_ENABLE                     _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_4_0_SCEDMAR_COALESCER_ENABLED_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCEDMAR_COALESCER_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_4_0_SCEDMAR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCEDMAR_COALESCER_ENABLED_RANGE                   29:29
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCEDMAR_COALESCER_ENABLED_WOFFSET                 0x0
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCEDMAR_COALESCER_ENABLED_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCEDMAR_COALESCER_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCEDMAR_COALESCER_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCEDMAR_COALESCER_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCEDMAR_COALESCER_ENABLED_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCEDMAR_COALESCER_ENABLED_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCEDMAR_COALESCER_ENABLED_INIT_ENUM                       ENABLE
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCEDMAR_COALESCER_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_SCEDMAR_COALESCER_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_4_0_APEDMAR_COALESCER_ENABLED_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_CLIENT_COALESCE_CONFIG_4_0_APEDMAR_COALESCER_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_4_0_APEDMAR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_4_0_APEDMAR_COALESCER_ENABLED_RANGE                   31:31
#define MC_CLIENT_COALESCE_CONFIG_4_0_APEDMAR_COALESCER_ENABLED_WOFFSET                 0x0
#define MC_CLIENT_COALESCE_CONFIG_4_0_APEDMAR_COALESCER_ENABLED_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_APEDMAR_COALESCER_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_APEDMAR_COALESCER_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_APEDMAR_COALESCER_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_APEDMAR_COALESCER_ENABLED_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_APEDMAR_COALESCER_ENABLED_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_4_0_APEDMAR_COALESCER_ENABLED_INIT_ENUM                       ENABLE
#define MC_CLIENT_COALESCE_CONFIG_4_0_APEDMAR_COALESCER_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_4_0_APEDMAR_COALESCER_ENABLED_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_CLIENT_COALESCE_CONFIG_5_0
#define MC_CLIENT_COALESCE_CONFIG_5_0                   _MK_ADDR_CONST(0x2948)
#define MC_CLIENT_COALESCE_CONFIG_5_0_SECURE                    0x0
#define MC_CLIENT_COALESCE_CONFIG_5_0_DUAL                      0x0
#define MC_CLIENT_COALESCE_CONFIG_5_0_SCR                       0
#define MC_CLIENT_COALESCE_CONFIG_5_0_WORD_COUNT                        0x1
#define MC_CLIENT_COALESCE_CONFIG_5_0_RESET_VAL                         _MK_MASK_CONST(0xd005414e)
#define MC_CLIENT_COALESCE_CONFIG_5_0_RESET_MASK                        _MK_MASK_CONST(0xd005414e)
#define MC_CLIENT_COALESCE_CONFIG_5_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_READ_MASK                         _MK_MASK_CONST(0xd005414e)
#define MC_CLIENT_COALESCE_CONFIG_5_0_WRITE_MASK                        _MK_MASK_CONST(0xd005414e)
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDISPLAYR1_COALESCER_ENABLED_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDISPLAYR1_COALESCER_ENABLED_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_5_0_NVDISPLAYR1_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDISPLAYR1_COALESCER_ENABLED_RANGE                       1:1
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDISPLAYR1_COALESCER_ENABLED_WOFFSET                     0x0
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDISPLAYR1_COALESCER_ENABLED_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDISPLAYR1_COALESCER_ENABLED_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDISPLAYR1_COALESCER_ENABLED_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDISPLAYR1_COALESCER_ENABLED_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDISPLAYR1_COALESCER_ENABLED_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDISPLAYR1_COALESCER_ENABLED_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDISPLAYR1_COALESCER_ENABLED_INIT_ENUM                   ENABLE
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDISPLAYR1_COALESCER_ENABLED_DISABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDISPLAYR1_COALESCER_ENABLED_ENABLE                      _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_5_0_VICSRD1_COALESCER_ENABLED_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_CLIENT_COALESCE_CONFIG_5_0_VICSRD1_COALESCER_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_5_0_VICSRD1_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_5_0_VICSRD1_COALESCER_ENABLED_RANGE                   2:2
#define MC_CLIENT_COALESCE_CONFIG_5_0_VICSRD1_COALESCER_ENABLED_WOFFSET                 0x0
#define MC_CLIENT_COALESCE_CONFIG_5_0_VICSRD1_COALESCER_ENABLED_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_VICSRD1_COALESCER_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_VICSRD1_COALESCER_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_VICSRD1_COALESCER_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_VICSRD1_COALESCER_ENABLED_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_VICSRD1_COALESCER_ENABLED_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_VICSRD1_COALESCER_ENABLED_INIT_ENUM                       ENABLE
#define MC_CLIENT_COALESCE_CONFIG_5_0_VICSRD1_COALESCER_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_VICSRD1_COALESCER_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDECSRD1_COALESCER_ENABLED_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDECSRD1_COALESCER_ENABLED_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_5_0_NVDECSRD1_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDECSRD1_COALESCER_ENABLED_RANGE                 3:3
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDECSRD1_COALESCER_ENABLED_WOFFSET                       0x0
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDECSRD1_COALESCER_ENABLED_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDECSRD1_COALESCER_ENABLED_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDECSRD1_COALESCER_ENABLED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDECSRD1_COALESCER_ENABLED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDECSRD1_COALESCER_ENABLED_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDECSRD1_COALESCER_ENABLED_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDECSRD1_COALESCER_ENABLED_INIT_ENUM                     ENABLE
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDECSRD1_COALESCER_ENABLED_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_NVDECSRD1_COALESCER_ENABLED_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU0R_COALESCER_ENABLED_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU0R_COALESCER_ENABLED_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_5_0_MIU0R_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU0R_COALESCER_ENABLED_RANGE                     6:6
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU0R_COALESCER_ENABLED_WOFFSET                   0x0
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU0R_COALESCER_ENABLED_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU0R_COALESCER_ENABLED_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU0R_COALESCER_ENABLED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU0R_COALESCER_ENABLED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU0R_COALESCER_ENABLED_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU0R_COALESCER_ENABLED_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU0R_COALESCER_ENABLED_INIT_ENUM                 ENABLE
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU0R_COALESCER_ENABLED_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU0R_COALESCER_ENABLED_ENABLE                    _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU1R_COALESCER_ENABLED_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU1R_COALESCER_ENABLED_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_5_0_MIU1R_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU1R_COALESCER_ENABLED_RANGE                     8:8
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU1R_COALESCER_ENABLED_WOFFSET                   0x0
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU1R_COALESCER_ENABLED_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU1R_COALESCER_ENABLED_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU1R_COALESCER_ENABLED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU1R_COALESCER_ENABLED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU1R_COALESCER_ENABLED_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU1R_COALESCER_ENABLED_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU1R_COALESCER_ENABLED_INIT_ENUM                 ENABLE
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU1R_COALESCER_ENABLED_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU1R_COALESCER_ENABLED_ENABLE                    _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU2R_COALESCER_ENABLED_SHIFT                     _MK_SHIFT_CONST(14)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU2R_COALESCER_ENABLED_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_5_0_MIU2R_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU2R_COALESCER_ENABLED_RANGE                     14:14
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU2R_COALESCER_ENABLED_WOFFSET                   0x0
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU2R_COALESCER_ENABLED_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU2R_COALESCER_ENABLED_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU2R_COALESCER_ENABLED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU2R_COALESCER_ENABLED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU2R_COALESCER_ENABLED_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU2R_COALESCER_ENABLED_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU2R_COALESCER_ENABLED_INIT_ENUM                 ENABLE
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU2R_COALESCER_ENABLED_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU2R_COALESCER_ENABLED_ENABLE                    _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU3R_COALESCER_ENABLED_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU3R_COALESCER_ENABLED_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_5_0_MIU3R_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU3R_COALESCER_ENABLED_RANGE                     16:16
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU3R_COALESCER_ENABLED_WOFFSET                   0x0
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU3R_COALESCER_ENABLED_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU3R_COALESCER_ENABLED_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU3R_COALESCER_ENABLED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU3R_COALESCER_ENABLED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU3R_COALESCER_ENABLED_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU3R_COALESCER_ENABLED_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU3R_COALESCER_ENABLED_INIT_ENUM                 ENABLE
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU3R_COALESCER_ENABLED_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU3R_COALESCER_ENABLED_ENABLE                    _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU4R_COALESCER_ENABLED_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU4R_COALESCER_ENABLED_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_5_0_MIU4R_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU4R_COALESCER_ENABLED_RANGE                     18:18
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU4R_COALESCER_ENABLED_WOFFSET                   0x0
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU4R_COALESCER_ENABLED_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU4R_COALESCER_ENABLED_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU4R_COALESCER_ENABLED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU4R_COALESCER_ENABLED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU4R_COALESCER_ENABLED_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU4R_COALESCER_ENABLED_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU4R_COALESCER_ENABLED_INIT_ENUM                 ENABLE
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU4R_COALESCER_ENABLED_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_MIU4R_COALESCER_ENABLED_ENABLE                    _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_5_0_VIFALR_COALESCER_ENABLED_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_CLIENT_COALESCE_CONFIG_5_0_VIFALR_COALESCER_ENABLED_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_5_0_VIFALR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_5_0_VIFALR_COALESCER_ENABLED_RANGE                    28:28
#define MC_CLIENT_COALESCE_CONFIG_5_0_VIFALR_COALESCER_ENABLED_WOFFSET                  0x0
#define MC_CLIENT_COALESCE_CONFIG_5_0_VIFALR_COALESCER_ENABLED_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_VIFALR_COALESCER_ENABLED_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_VIFALR_COALESCER_ENABLED_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_VIFALR_COALESCER_ENABLED_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_VIFALR_COALESCER_ENABLED_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_VIFALR_COALESCER_ENABLED_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_VIFALR_COALESCER_ENABLED_INIT_ENUM                        ENABLE
#define MC_CLIENT_COALESCE_CONFIG_5_0_VIFALR_COALESCER_ENABLED_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_VIFALR_COALESCER_ENABLED_ENABLE                   _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0RDA_COALESCER_ENABLED_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0RDA_COALESCER_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_5_0_DLA0RDA_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0RDA_COALESCER_ENABLED_RANGE                   30:30
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0RDA_COALESCER_ENABLED_WOFFSET                 0x0
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0RDA_COALESCER_ENABLED_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0RDA_COALESCER_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0RDA_COALESCER_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0RDA_COALESCER_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0RDA_COALESCER_ENABLED_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0RDA_COALESCER_ENABLED_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0RDA_COALESCER_ENABLED_INIT_ENUM                       ENABLE
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0RDA_COALESCER_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0RDA_COALESCER_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0FALRDB_COALESCER_ENABLED_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0FALRDB_COALESCER_ENABLED_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_5_0_DLA0FALRDB_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0FALRDB_COALESCER_ENABLED_RANGE                        31:31
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0FALRDB_COALESCER_ENABLED_WOFFSET                      0x0
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0FALRDB_COALESCER_ENABLED_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0FALRDB_COALESCER_ENABLED_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0FALRDB_COALESCER_ENABLED_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0FALRDB_COALESCER_ENABLED_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0FALRDB_COALESCER_ENABLED_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0FALRDB_COALESCER_ENABLED_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0FALRDB_COALESCER_ENABLED_INIT_ENUM                    ENABLE
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0FALRDB_COALESCER_ENABLED_DISABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_5_0_DLA0FALRDB_COALESCER_ENABLED_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_CLIENT_COALESCE_CONFIG_6_0
#define MC_CLIENT_COALESCE_CONFIG_6_0                   _MK_ADDR_CONST(0x294c)
#define MC_CLIENT_COALESCE_CONFIG_6_0_SECURE                    0x0
#define MC_CLIENT_COALESCE_CONFIG_6_0_DUAL                      0x0
#define MC_CLIENT_COALESCE_CONFIG_6_0_SCR                       0
#define MC_CLIENT_COALESCE_CONFIG_6_0_WORD_COUNT                        0x1
#define MC_CLIENT_COALESCE_CONFIG_6_0_RESET_VAL                         _MK_MASK_CONST(0x555471cc)
#define MC_CLIENT_COALESCE_CONFIG_6_0_RESET_MASK                        _MK_MASK_CONST(0x555471cc)
#define MC_CLIENT_COALESCE_CONFIG_6_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_READ_MASK                         _MK_MASK_CONST(0x555471cc)
#define MC_CLIENT_COALESCE_CONFIG_6_0_WRITE_MASK                        _MK_MASK_CONST(0x555471cc)
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1RDA_COALESCER_ENABLED_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1RDA_COALESCER_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_6_0_DLA1RDA_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1RDA_COALESCER_ENABLED_RANGE                   2:2
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1RDA_COALESCER_ENABLED_WOFFSET                 0x0
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1RDA_COALESCER_ENABLED_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1RDA_COALESCER_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1RDA_COALESCER_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1RDA_COALESCER_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1RDA_COALESCER_ENABLED_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1RDA_COALESCER_ENABLED_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1RDA_COALESCER_ENABLED_INIT_ENUM                       ENABLE
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1RDA_COALESCER_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1RDA_COALESCER_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1FALRDB_COALESCER_ENABLED_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1FALRDB_COALESCER_ENABLED_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_6_0_DLA1FALRDB_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1FALRDB_COALESCER_ENABLED_RANGE                        3:3
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1FALRDB_COALESCER_ENABLED_WOFFSET                      0x0
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1FALRDB_COALESCER_ENABLED_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1FALRDB_COALESCER_ENABLED_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1FALRDB_COALESCER_ENABLED_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1FALRDB_COALESCER_ENABLED_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1FALRDB_COALESCER_ENABLED_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1FALRDB_COALESCER_ENABLED_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1FALRDB_COALESCER_ENABLED_INIT_ENUM                    ENABLE
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1FALRDB_COALESCER_ENABLED_DISABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_DLA1FALRDB_COALESCER_ENABLED_ENABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDA_COALESCER_ENABLED_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDA_COALESCER_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDA_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDA_COALESCER_ENABLED_RANGE                   6:6
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDA_COALESCER_ENABLED_WOFFSET                 0x0
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDA_COALESCER_ENABLED_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDA_COALESCER_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDA_COALESCER_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDA_COALESCER_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDA_COALESCER_ENABLED_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDA_COALESCER_ENABLED_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDA_COALESCER_ENABLED_INIT_ENUM                       ENABLE
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDA_COALESCER_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDA_COALESCER_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDB_COALESCER_ENABLED_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDB_COALESCER_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDB_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDB_COALESCER_ENABLED_RANGE                   7:7
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDB_COALESCER_ENABLED_WOFFSET                 0x0
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDB_COALESCER_ENABLED_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDB_COALESCER_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDB_COALESCER_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDB_COALESCER_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDB_COALESCER_ENABLED_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDB_COALESCER_ENABLED_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDB_COALESCER_ENABLED_INIT_ENUM                       ENABLE
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDB_COALESCER_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDB_COALESCER_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDC_COALESCER_ENABLED_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDC_COALESCER_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDC_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDC_COALESCER_ENABLED_RANGE                   8:8
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDC_COALESCER_ENABLED_WOFFSET                 0x0
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDC_COALESCER_ENABLED_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDC_COALESCER_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDC_COALESCER_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDC_COALESCER_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDC_COALESCER_ENABLED_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDC_COALESCER_ENABLED_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDC_COALESCER_ENABLED_INIT_ENUM                       ENABLE
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDC_COALESCER_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA0RDC_COALESCER_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDA_COALESCER_ENABLED_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDA_COALESCER_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDA_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDA_COALESCER_ENABLED_RANGE                   12:12
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDA_COALESCER_ENABLED_WOFFSET                 0x0
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDA_COALESCER_ENABLED_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDA_COALESCER_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDA_COALESCER_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDA_COALESCER_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDA_COALESCER_ENABLED_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDA_COALESCER_ENABLED_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDA_COALESCER_ENABLED_INIT_ENUM                       ENABLE
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDA_COALESCER_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDA_COALESCER_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDB_COALESCER_ENABLED_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDB_COALESCER_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDB_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDB_COALESCER_ENABLED_RANGE                   13:13
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDB_COALESCER_ENABLED_WOFFSET                 0x0
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDB_COALESCER_ENABLED_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDB_COALESCER_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDB_COALESCER_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDB_COALESCER_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDB_COALESCER_ENABLED_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDB_COALESCER_ENABLED_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDB_COALESCER_ENABLED_INIT_ENUM                       ENABLE
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDB_COALESCER_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDB_COALESCER_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDC_COALESCER_ENABLED_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDC_COALESCER_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDC_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDC_COALESCER_ENABLED_RANGE                   14:14
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDC_COALESCER_ENABLED_WOFFSET                 0x0
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDC_COALESCER_ENABLED_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDC_COALESCER_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDC_COALESCER_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDC_COALESCER_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDC_COALESCER_ENABLED_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDC_COALESCER_ENABLED_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDC_COALESCER_ENABLED_INIT_ENUM                       ENABLE
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDC_COALESCER_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PVA1RDC_COALESCER_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_6_0_RCER_COALESCER_ENABLED_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCER_COALESCER_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_6_0_RCER_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCER_COALESCER_ENABLED_RANGE                      18:18
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCER_COALESCER_ENABLED_WOFFSET                    0x0
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCER_COALESCER_ENABLED_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCER_COALESCER_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCER_COALESCER_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCER_COALESCER_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCER_COALESCER_ENABLED_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCER_COALESCER_ENABLED_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCER_COALESCER_ENABLED_INIT_ENUM                  ENABLE
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCER_COALESCER_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCER_COALESCER_ENABLED_ENABLE                     _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_6_0_RCEDMAR_COALESCER_ENABLED_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCEDMAR_COALESCER_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_6_0_RCEDMAR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCEDMAR_COALESCER_ENABLED_RANGE                   20:20
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCEDMAR_COALESCER_ENABLED_WOFFSET                 0x0
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCEDMAR_COALESCER_ENABLED_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCEDMAR_COALESCER_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCEDMAR_COALESCER_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCEDMAR_COALESCER_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCEDMAR_COALESCER_ENABLED_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCEDMAR_COALESCER_ENABLED_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCEDMAR_COALESCER_ENABLED_INIT_ENUM                       ENABLE
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCEDMAR_COALESCER_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_RCEDMAR_COALESCER_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_6_0_NVENC1SRD_COALESCER_ENABLED_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_CLIENT_COALESCE_CONFIG_6_0_NVENC1SRD_COALESCER_ENABLED_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_6_0_NVENC1SRD_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_6_0_NVENC1SRD_COALESCER_ENABLED_RANGE                 22:22
#define MC_CLIENT_COALESCE_CONFIG_6_0_NVENC1SRD_COALESCER_ENABLED_WOFFSET                       0x0
#define MC_CLIENT_COALESCE_CONFIG_6_0_NVENC1SRD_COALESCER_ENABLED_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_NVENC1SRD_COALESCER_ENABLED_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_NVENC1SRD_COALESCER_ENABLED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_NVENC1SRD_COALESCER_ENABLED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_NVENC1SRD_COALESCER_ENABLED_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_NVENC1SRD_COALESCER_ENABLED_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_NVENC1SRD_COALESCER_ENABLED_INIT_ENUM                     ENABLE
#define MC_CLIENT_COALESCE_CONFIG_6_0_NVENC1SRD_COALESCER_ENABLED_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_NVENC1SRD_COALESCER_ENABLED_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE0R_COALESCER_ENABLED_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE0R_COALESCER_ENABLED_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_6_0_PCIE0R_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE0R_COALESCER_ENABLED_RANGE                    24:24
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE0R_COALESCER_ENABLED_WOFFSET                  0x0
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE0R_COALESCER_ENABLED_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE0R_COALESCER_ENABLED_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE0R_COALESCER_ENABLED_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE0R_COALESCER_ENABLED_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE0R_COALESCER_ENABLED_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE0R_COALESCER_ENABLED_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE0R_COALESCER_ENABLED_INIT_ENUM                        ENABLE
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE0R_COALESCER_ENABLED_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE0R_COALESCER_ENABLED_ENABLE                   _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE1R_COALESCER_ENABLED_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE1R_COALESCER_ENABLED_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_6_0_PCIE1R_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE1R_COALESCER_ENABLED_RANGE                    26:26
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE1R_COALESCER_ENABLED_WOFFSET                  0x0
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE1R_COALESCER_ENABLED_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE1R_COALESCER_ENABLED_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE1R_COALESCER_ENABLED_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE1R_COALESCER_ENABLED_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE1R_COALESCER_ENABLED_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE1R_COALESCER_ENABLED_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE1R_COALESCER_ENABLED_INIT_ENUM                        ENABLE
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE1R_COALESCER_ENABLED_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE1R_COALESCER_ENABLED_ENABLE                   _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE2AR_COALESCER_ENABLED_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE2AR_COALESCER_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_6_0_PCIE2AR_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE2AR_COALESCER_ENABLED_RANGE                   28:28
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE2AR_COALESCER_ENABLED_WOFFSET                 0x0
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE2AR_COALESCER_ENABLED_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE2AR_COALESCER_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE2AR_COALESCER_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE2AR_COALESCER_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE2AR_COALESCER_ENABLED_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE2AR_COALESCER_ENABLED_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE2AR_COALESCER_ENABLED_INIT_ENUM                       ENABLE
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE2AR_COALESCER_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE2AR_COALESCER_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE3R_COALESCER_ENABLED_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE3R_COALESCER_ENABLED_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_6_0_PCIE3R_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE3R_COALESCER_ENABLED_RANGE                    30:30
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE3R_COALESCER_ENABLED_WOFFSET                  0x0
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE3R_COALESCER_ENABLED_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE3R_COALESCER_ENABLED_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE3R_COALESCER_ENABLED_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE3R_COALESCER_ENABLED_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE3R_COALESCER_ENABLED_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE3R_COALESCER_ENABLED_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE3R_COALESCER_ENABLED_INIT_ENUM                        ENABLE
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE3R_COALESCER_ENABLED_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_6_0_PCIE3R_COALESCER_ENABLED_ENABLE                   _MK_ENUM_CONST(1)


// Register MC_CLIENT_COALESCE_CONFIG_7_0
#define MC_CLIENT_COALESCE_CONFIG_7_0                   _MK_ADDR_CONST(0x2950)
#define MC_CLIENT_COALESCE_CONFIG_7_0_SECURE                    0x0
#define MC_CLIENT_COALESCE_CONFIG_7_0_DUAL                      0x0
#define MC_CLIENT_COALESCE_CONFIG_7_0_SCR                       0
#define MC_CLIENT_COALESCE_CONFIG_7_0_WORD_COUNT                        0x1
#define MC_CLIENT_COALESCE_CONFIG_7_0_RESET_VAL                         _MK_MASK_CONST(0x560ffe05)
#define MC_CLIENT_COALESCE_CONFIG_7_0_RESET_MASK                        _MK_MASK_CONST(0x560ffe05)
#define MC_CLIENT_COALESCE_CONFIG_7_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_READ_MASK                         _MK_MASK_CONST(0x560ffe05)
#define MC_CLIENT_COALESCE_CONFIG_7_0_WRITE_MASK                        _MK_MASK_CONST(0x560ffe05)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE4R_COALESCER_ENABLED_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE4R_COALESCER_ENABLED_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_7_0_PCIE4R_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE4R_COALESCER_ENABLED_RANGE                    0:0
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE4R_COALESCER_ENABLED_WOFFSET                  0x0
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE4R_COALESCER_ENABLED_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE4R_COALESCER_ENABLED_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE4R_COALESCER_ENABLED_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE4R_COALESCER_ENABLED_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE4R_COALESCER_ENABLED_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE4R_COALESCER_ENABLED_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE4R_COALESCER_ENABLED_INIT_ENUM                        ENABLE
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE4R_COALESCER_ENABLED_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE4R_COALESCER_ENABLED_ENABLE                   _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R_COALESCER_ENABLED_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R_COALESCER_ENABLED_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R_COALESCER_ENABLED_RANGE                    2:2
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R_COALESCER_ENABLED_WOFFSET                  0x0
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R_COALESCER_ENABLED_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R_COALESCER_ENABLED_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R_COALESCER_ENABLED_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R_COALESCER_ENABLED_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R_COALESCER_ENABLED_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R_COALESCER_ENABLED_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R_COALESCER_ENABLED_INIT_ENUM                        ENABLE
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R_COALESCER_ENABLED_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R_COALESCER_ENABLED_ENABLE                   _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA0RDA1_COALESCER_ENABLED_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA0RDA1_COALESCER_ENABLED_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_7_0_DLA0RDA1_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA0RDA1_COALESCER_ENABLED_RANGE                  9:9
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA0RDA1_COALESCER_ENABLED_WOFFSET                        0x0
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA0RDA1_COALESCER_ENABLED_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA0RDA1_COALESCER_ENABLED_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA0RDA1_COALESCER_ENABLED_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA0RDA1_COALESCER_ENABLED_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA0RDA1_COALESCER_ENABLED_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA0RDA1_COALESCER_ENABLED_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA0RDA1_COALESCER_ENABLED_INIT_ENUM                      ENABLE
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA0RDA1_COALESCER_ENABLED_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA0RDA1_COALESCER_ENABLED_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA1RDA1_COALESCER_ENABLED_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA1RDA1_COALESCER_ENABLED_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_7_0_DLA1RDA1_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA1RDA1_COALESCER_ENABLED_RANGE                  10:10
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA1RDA1_COALESCER_ENABLED_WOFFSET                        0x0
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA1RDA1_COALESCER_ENABLED_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA1RDA1_COALESCER_ENABLED_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA1RDA1_COALESCER_ENABLED_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA1RDA1_COALESCER_ENABLED_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA1RDA1_COALESCER_ENABLED_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA1RDA1_COALESCER_ENABLED_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA1RDA1_COALESCER_ENABLED_INIT_ENUM                      ENABLE
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA1RDA1_COALESCER_ENABLED_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_DLA1RDA1_COALESCER_ENABLED_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDA1_COALESCER_ENABLED_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDA1_COALESCER_ENABLED_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDA1_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDA1_COALESCER_ENABLED_RANGE                  11:11
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDA1_COALESCER_ENABLED_WOFFSET                        0x0
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDA1_COALESCER_ENABLED_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDA1_COALESCER_ENABLED_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDA1_COALESCER_ENABLED_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDA1_COALESCER_ENABLED_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDA1_COALESCER_ENABLED_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDA1_COALESCER_ENABLED_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDA1_COALESCER_ENABLED_INIT_ENUM                      ENABLE
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDA1_COALESCER_ENABLED_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDA1_COALESCER_ENABLED_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDB1_COALESCER_ENABLED_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDB1_COALESCER_ENABLED_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDB1_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDB1_COALESCER_ENABLED_RANGE                  12:12
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDB1_COALESCER_ENABLED_WOFFSET                        0x0
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDB1_COALESCER_ENABLED_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDB1_COALESCER_ENABLED_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDB1_COALESCER_ENABLED_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDB1_COALESCER_ENABLED_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDB1_COALESCER_ENABLED_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDB1_COALESCER_ENABLED_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDB1_COALESCER_ENABLED_INIT_ENUM                      ENABLE
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDB1_COALESCER_ENABLED_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA0RDB1_COALESCER_ENABLED_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDA1_COALESCER_ENABLED_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDA1_COALESCER_ENABLED_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDA1_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDA1_COALESCER_ENABLED_RANGE                  13:13
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDA1_COALESCER_ENABLED_WOFFSET                        0x0
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDA1_COALESCER_ENABLED_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDA1_COALESCER_ENABLED_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDA1_COALESCER_ENABLED_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDA1_COALESCER_ENABLED_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDA1_COALESCER_ENABLED_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDA1_COALESCER_ENABLED_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDA1_COALESCER_ENABLED_INIT_ENUM                      ENABLE
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDA1_COALESCER_ENABLED_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDA1_COALESCER_ENABLED_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDB1_COALESCER_ENABLED_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDB1_COALESCER_ENABLED_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDB1_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDB1_COALESCER_ENABLED_RANGE                  14:14
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDB1_COALESCER_ENABLED_WOFFSET                        0x0
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDB1_COALESCER_ENABLED_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDB1_COALESCER_ENABLED_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDB1_COALESCER_ENABLED_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDB1_COALESCER_ENABLED_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDB1_COALESCER_ENABLED_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDB1_COALESCER_ENABLED_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDB1_COALESCER_ENABLED_INIT_ENUM                      ENABLE
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDB1_COALESCER_ENABLED_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PVA1RDB1_COALESCER_ENABLED_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R1_COALESCER_ENABLED_SHIFT                   _MK_SHIFT_CONST(15)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R1_COALESCER_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R1_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R1_COALESCER_ENABLED_RANGE                   15:15
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R1_COALESCER_ENABLED_WOFFSET                 0x0
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R1_COALESCER_ENABLED_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R1_COALESCER_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R1_COALESCER_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R1_COALESCER_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R1_COALESCER_ENABLED_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R1_COALESCER_ENABLED_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R1_COALESCER_ENABLED_INIT_ENUM                       ENABLE
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R1_COALESCER_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE5R1_COALESCER_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENCSRD1_COALESCER_ENABLED_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENCSRD1_COALESCER_ENABLED_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_7_0_NVENCSRD1_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENCSRD1_COALESCER_ENABLED_RANGE                 16:16
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENCSRD1_COALESCER_ENABLED_WOFFSET                       0x0
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENCSRD1_COALESCER_ENABLED_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENCSRD1_COALESCER_ENABLED_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENCSRD1_COALESCER_ENABLED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENCSRD1_COALESCER_ENABLED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENCSRD1_COALESCER_ENABLED_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENCSRD1_COALESCER_ENABLED_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENCSRD1_COALESCER_ENABLED_INIT_ENUM                     ENABLE
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENCSRD1_COALESCER_ENABLED_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENCSRD1_COALESCER_ENABLED_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENC1SRD1_COALESCER_ENABLED_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENC1SRD1_COALESCER_ENABLED_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_7_0_NVENC1SRD1_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENC1SRD1_COALESCER_ENABLED_RANGE                        17:17
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENC1SRD1_COALESCER_ENABLED_WOFFSET                      0x0
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENC1SRD1_COALESCER_ENABLED_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENC1SRD1_COALESCER_ENABLED_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENC1SRD1_COALESCER_ENABLED_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENC1SRD1_COALESCER_ENABLED_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENC1SRD1_COALESCER_ENABLED_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENC1SRD1_COALESCER_ENABLED_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENC1SRD1_COALESCER_ENABLED_INIT_ENUM                    ENABLE
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENC1SRD1_COALESCER_ENABLED_DISABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVENC1SRD1_COALESCER_ENABLED_ENABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_7_0_ISPRA1_COALESCER_ENABLED_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_CLIENT_COALESCE_CONFIG_7_0_ISPRA1_COALESCER_ENABLED_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_7_0_ISPRA1_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_7_0_ISPRA1_COALESCER_ENABLED_RANGE                    18:18
#define MC_CLIENT_COALESCE_CONFIG_7_0_ISPRA1_COALESCER_ENABLED_WOFFSET                  0x0
#define MC_CLIENT_COALESCE_CONFIG_7_0_ISPRA1_COALESCER_ENABLED_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_ISPRA1_COALESCER_ENABLED_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_ISPRA1_COALESCER_ENABLED_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_ISPRA1_COALESCER_ENABLED_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_ISPRA1_COALESCER_ENABLED_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_ISPRA1_COALESCER_ENABLED_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_ISPRA1_COALESCER_ENABLED_INIT_ENUM                        ENABLE
#define MC_CLIENT_COALESCE_CONFIG_7_0_ISPRA1_COALESCER_ENABLED_DISABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_ISPRA1_COALESCER_ENABLED_ENABLE                   _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE0R1_COALESCER_ENABLED_SHIFT                   _MK_SHIFT_CONST(19)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE0R1_COALESCER_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_7_0_PCIE0R1_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE0R1_COALESCER_ENABLED_RANGE                   19:19
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE0R1_COALESCER_ENABLED_WOFFSET                 0x0
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE0R1_COALESCER_ENABLED_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE0R1_COALESCER_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE0R1_COALESCER_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE0R1_COALESCER_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE0R1_COALESCER_ENABLED_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE0R1_COALESCER_ENABLED_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE0R1_COALESCER_ENABLED_INIT_ENUM                       ENABLE
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE0R1_COALESCER_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_PCIE0R1_COALESCER_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD_COALESCER_ENABLED_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD_COALESCER_ENABLED_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD_COALESCER_ENABLED_RANGE                 25:25
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD_COALESCER_ENABLED_WOFFSET                       0x0
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD_COALESCER_ENABLED_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD_COALESCER_ENABLED_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD_COALESCER_ENABLED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD_COALESCER_ENABLED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD_COALESCER_ENABLED_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD_COALESCER_ENABLED_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD_COALESCER_ENABLED_INIT_ENUM                     ENABLE
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD_COALESCER_ENABLED_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD_COALESCER_ENABLED_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD1_COALESCER_ENABLED_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD1_COALESCER_ENABLED_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD1_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD1_COALESCER_ENABLED_RANGE                        26:26
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD1_COALESCER_ENABLED_WOFFSET                      0x0
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD1_COALESCER_ENABLED_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD1_COALESCER_ENABLED_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD1_COALESCER_ENABLED_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD1_COALESCER_ENABLED_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD1_COALESCER_ENABLED_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD1_COALESCER_ENABLED_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD1_COALESCER_ENABLED_INIT_ENUM                    ENABLE
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD1_COALESCER_ENABLED_DISABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_NVDEC1SRD1_COALESCER_ENABLED_ENABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU5R_COALESCER_ENABLED_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU5R_COALESCER_ENABLED_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_7_0_MIU5R_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU5R_COALESCER_ENABLED_RANGE                     28:28
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU5R_COALESCER_ENABLED_WOFFSET                   0x0
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU5R_COALESCER_ENABLED_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU5R_COALESCER_ENABLED_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU5R_COALESCER_ENABLED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU5R_COALESCER_ENABLED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU5R_COALESCER_ENABLED_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU5R_COALESCER_ENABLED_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU5R_COALESCER_ENABLED_INIT_ENUM                 ENABLE
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU5R_COALESCER_ENABLED_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU5R_COALESCER_ENABLED_ENABLE                    _MK_ENUM_CONST(1)

#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU6R_COALESCER_ENABLED_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU6R_COALESCER_ENABLED_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_COALESCE_CONFIG_7_0_MIU6R_COALESCER_ENABLED_SHIFT)
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU6R_COALESCER_ENABLED_RANGE                     30:30
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU6R_COALESCER_ENABLED_WOFFSET                   0x0
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU6R_COALESCER_ENABLED_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU6R_COALESCER_ENABLED_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU6R_COALESCER_ENABLED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU6R_COALESCER_ENABLED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU6R_COALESCER_ENABLED_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU6R_COALESCER_ENABLED_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU6R_COALESCER_ENABLED_INIT_ENUM                 ENABLE
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU6R_COALESCER_ENABLED_DISABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_COALESCE_CONFIG_7_0_MIU6R_COALESCER_ENABLED_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_HUB_VC_ARB_SEL_0
#define MC_HUB_VC_ARB_SEL_0                     _MK_ADDR_CONST(0x2954)
#define MC_HUB_VC_ARB_SEL_0_SECURE                      0x0
#define MC_HUB_VC_ARB_SEL_0_DUAL                        0x0
#define MC_HUB_VC_ARB_SEL_0_SCR                         0
#define MC_HUB_VC_ARB_SEL_0_WORD_COUNT                  0x1
#define MC_HUB_VC_ARB_SEL_0_RESET_VAL                   _MK_MASK_CONST(0x84217ff)
#define MC_HUB_VC_ARB_SEL_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_HUB_VC_ARB_SEL_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x403)
#define MC_HUB_VC_ARB_SEL_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0xf83)
#define MC_HUB_VC_ARB_SEL_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_HUB_VC_ARB_SEL_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_HUB_VC_ARB_SEL_0_VC_ARB_TYPE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_HUB_VC_ARB_SEL_0_VC_ARB_TYPE_FIELD                   _MK_FIELD_CONST(0x3, MC_HUB_VC_ARB_SEL_0_VC_ARB_TYPE_SHIFT)
#define MC_HUB_VC_ARB_SEL_0_VC_ARB_TYPE_RANGE                   1:0
#define MC_HUB_VC_ARB_SEL_0_VC_ARB_TYPE_WOFFSET                 0x0
#define MC_HUB_VC_ARB_SEL_0_VC_ARB_TYPE_DEFAULT                 _MK_MASK_CONST(0x3)
#define MC_HUB_VC_ARB_SEL_0_VC_ARB_TYPE_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_HUB_VC_ARB_SEL_0_VC_ARB_TYPE_SW_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_HUB_VC_ARB_SEL_0_VC_ARB_TYPE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_HUB_VC_ARB_SEL_0_VC_ARB_TYPE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_VC_ARB_SEL_0_VC_ARB_TYPE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUB_VC_ARB_SEL_0_VC_ARB_TYPE_SP                      _MK_ENUM_CONST(0)
#define MC_HUB_VC_ARB_SEL_0_VC_ARB_TYPE_WRR                     _MK_ENUM_CONST(1)
#define MC_HUB_VC_ARB_SEL_0_VC_ARB_TYPE_LRU                     _MK_ENUM_CONST(2)
#define MC_HUB_VC_ARB_SEL_0_VC_ARB_TYPE_WLRU                    _MK_ENUM_CONST(3)
#define MC_HUB_VC_ARB_SEL_0_VC_ARB_TYPE__PROD                   _MK_MASK_CONST(0x3)

#define MC_HUB_VC_ARB_SEL_0_ISO_WT_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_HUB_VC_ARB_SEL_0_ISO_WT_FIELD                        _MK_FIELD_CONST(0x1f, MC_HUB_VC_ARB_SEL_0_ISO_WT_SHIFT)
#define MC_HUB_VC_ARB_SEL_0_ISO_WT_RANGE                        6:2
#define MC_HUB_VC_ARB_SEL_0_ISO_WT_WOFFSET                      0x0
#define MC_HUB_VC_ARB_SEL_0_ISO_WT_DEFAULT                      _MK_MASK_CONST(0x1f)
#define MC_HUB_VC_ARB_SEL_0_ISO_WT_DEFAULT_MASK                 _MK_MASK_CONST(0x1f)
#define MC_HUB_VC_ARB_SEL_0_ISO_WT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_VC_ARB_SEL_0_ISO_WT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_VC_ARB_SEL_0_ISO_WT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_VC_ARB_SEL_0_ISO_WT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_HUB_VC_ARB_SEL_0_SISO_WT_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_HUB_VC_ARB_SEL_0_SISO_WT_FIELD                       _MK_FIELD_CONST(0x1f, MC_HUB_VC_ARB_SEL_0_SISO_WT_SHIFT)
#define MC_HUB_VC_ARB_SEL_0_SISO_WT_RANGE                       11:7
#define MC_HUB_VC_ARB_SEL_0_SISO_WT_WOFFSET                     0x0
#define MC_HUB_VC_ARB_SEL_0_SISO_WT_DEFAULT                     _MK_MASK_CONST(0xf)
#define MC_HUB_VC_ARB_SEL_0_SISO_WT_DEFAULT_MASK                        _MK_MASK_CONST(0x1f)
#define MC_HUB_VC_ARB_SEL_0_SISO_WT_SW_DEFAULT                  _MK_MASK_CONST(0x8)
#define MC_HUB_VC_ARB_SEL_0_SISO_WT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1f)
#define MC_HUB_VC_ARB_SEL_0_SISO_WT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_VC_ARB_SEL_0_SISO_WT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_VC_ARB_SEL_0_SISO_WT__PROD                       _MK_MASK_CONST(0x8)

#define MC_HUB_VC_ARB_SEL_0_NISO_WT_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_HUB_VC_ARB_SEL_0_NISO_WT_FIELD                       _MK_FIELD_CONST(0x1f, MC_HUB_VC_ARB_SEL_0_NISO_WT_SHIFT)
#define MC_HUB_VC_ARB_SEL_0_NISO_WT_RANGE                       16:12
#define MC_HUB_VC_ARB_SEL_0_NISO_WT_WOFFSET                     0x0
#define MC_HUB_VC_ARB_SEL_0_NISO_WT_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_HUB_VC_ARB_SEL_0_NISO_WT_DEFAULT_MASK                        _MK_MASK_CONST(0x1f)
#define MC_HUB_VC_ARB_SEL_0_NISO_WT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_VC_ARB_SEL_0_NISO_WT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_VC_ARB_SEL_0_NISO_WT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_VC_ARB_SEL_0_NISO_WT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_HUB_VC_ARB_SEL_0_ORD1_WT_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_HUB_VC_ARB_SEL_0_ORD1_WT_FIELD                       _MK_FIELD_CONST(0x1f, MC_HUB_VC_ARB_SEL_0_ORD1_WT_SHIFT)
#define MC_HUB_VC_ARB_SEL_0_ORD1_WT_RANGE                       21:17
#define MC_HUB_VC_ARB_SEL_0_ORD1_WT_WOFFSET                     0x0
#define MC_HUB_VC_ARB_SEL_0_ORD1_WT_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_HUB_VC_ARB_SEL_0_ORD1_WT_DEFAULT_MASK                        _MK_MASK_CONST(0x1f)
#define MC_HUB_VC_ARB_SEL_0_ORD1_WT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_VC_ARB_SEL_0_ORD1_WT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_VC_ARB_SEL_0_ORD1_WT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_VC_ARB_SEL_0_ORD1_WT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_HUB_VC_ARB_SEL_0_ORD2_WT_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_HUB_VC_ARB_SEL_0_ORD2_WT_FIELD                       _MK_FIELD_CONST(0x1f, MC_HUB_VC_ARB_SEL_0_ORD2_WT_SHIFT)
#define MC_HUB_VC_ARB_SEL_0_ORD2_WT_RANGE                       26:22
#define MC_HUB_VC_ARB_SEL_0_ORD2_WT_WOFFSET                     0x0
#define MC_HUB_VC_ARB_SEL_0_ORD2_WT_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_HUB_VC_ARB_SEL_0_ORD2_WT_DEFAULT_MASK                        _MK_MASK_CONST(0x1f)
#define MC_HUB_VC_ARB_SEL_0_ORD2_WT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_VC_ARB_SEL_0_ORD2_WT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_VC_ARB_SEL_0_ORD2_WT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_VC_ARB_SEL_0_ORD2_WT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_HUB_VC_ARB_SEL_0_ORD3_WT_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_HUB_VC_ARB_SEL_0_ORD3_WT_FIELD                       _MK_FIELD_CONST(0x1f, MC_HUB_VC_ARB_SEL_0_ORD3_WT_SHIFT)
#define MC_HUB_VC_ARB_SEL_0_ORD3_WT_RANGE                       31:27
#define MC_HUB_VC_ARB_SEL_0_ORD3_WT_WOFFSET                     0x0
#define MC_HUB_VC_ARB_SEL_0_ORD3_WT_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_HUB_VC_ARB_SEL_0_ORD3_WT_DEFAULT_MASK                        _MK_MASK_CONST(0x1f)
#define MC_HUB_VC_ARB_SEL_0_ORD3_WT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_VC_ARB_SEL_0_ORD3_WT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_VC_ARB_SEL_0_ORD3_WT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_VC_ARB_SEL_0_ORD3_WT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0                   _MK_ADDR_CONST(0x2958)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SECURE                    0x0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_DUAL                      0x0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SCR                       0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_WORD_COUNT                        0x1
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_RESET_VAL                         _MK_MASK_CONST(0x40)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_RESET_MASK                        _MK_MASK_CONST(0x800003ff)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x40)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x800003ff)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_READ_MASK                         _MK_MASK_CONST(0x83ff03ff)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_WRITE_MASK                        _MK_MASK_CONST(0x800003ff)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_NISO_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_NISO_FIELD                      _MK_FIELD_CONST(0x1, MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_NISO_SHIFT)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_NISO_RANGE                      31:31
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_NISO_WOFFSET                    0x0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_NISO_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_NISO_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_NISO_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_NISO_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_NISO_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_NISO_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_NISO_INIT_ENUM                  DISABLE
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_NISO_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_NISO_ENABLE                     _MK_ENUM_CONST(1)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_NISO__PROD                      _MK_MASK_CONST(0x0)

#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_OUTSTANDING_COUNT_NISO_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_OUTSTANDING_COUNT_NISO_FIELD                     _MK_FIELD_CONST(0x3ff, MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_OUTSTANDING_COUNT_NISO_SHIFT)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_OUTSTANDING_COUNT_NISO_RANGE                     25:16
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_OUTSTANDING_COUNT_NISO_WOFFSET                   0x0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_OUTSTANDING_COUNT_NISO_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_OUTSTANDING_COUNT_NISO_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_OUTSTANDING_COUNT_NISO_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_OUTSTANDING_COUNT_NISO_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_OUTSTANDING_COUNT_NISO_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_OUTSTANDING_COUNT_NISO_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_OUTSTANDING_NISO_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_OUTSTANDING_NISO_FIELD                       _MK_FIELD_CONST(0x3ff, MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_OUTSTANDING_NISO_SHIFT)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_OUTSTANDING_NISO_RANGE                       9:0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_OUTSTANDING_NISO_WOFFSET                     0x0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_OUTSTANDING_NISO_DEFAULT                     _MK_MASK_CONST(0x40)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_OUTSTANDING_NISO_DEFAULT_MASK                        _MK_MASK_CONST(0x3ff)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_OUTSTANDING_NISO_SW_DEFAULT                  _MK_MASK_CONST(0x40)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_OUTSTANDING_NISO_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3ff)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_OUTSTANDING_NISO_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_OUTSTANDING_NISO_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0_SMMU_ARB_MAX_OUTSTANDING_NISO__PROD                       _MK_MASK_CONST(0x40)


// Register MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0                   _MK_ADDR_CONST(0x295c)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SECURE                    0x0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_DUAL                      0x0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SCR                       0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_WORD_COUNT                        0x1
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_RESET_VAL                         _MK_MASK_CONST(0x40)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_RESET_MASK                        _MK_MASK_CONST(0x800003ff)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x40)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x800003ff)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_READ_MASK                         _MK_MASK_CONST(0x83ff03ff)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_WRITE_MASK                        _MK_MASK_CONST(0x800003ff)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_SISO_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_SISO_FIELD                      _MK_FIELD_CONST(0x1, MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_SISO_SHIFT)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_SISO_RANGE                      31:31
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_SISO_WOFFSET                    0x0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_SISO_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_SISO_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_SISO_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_SISO_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_SISO_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_SISO_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_SISO_INIT_ENUM                  DISABLE
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_SISO_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_SISO_ENABLE                     _MK_ENUM_CONST(1)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_SISO__PROD                      _MK_MASK_CONST(0x0)

#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_OUTSTANDING_COUNT_SISO_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_OUTSTANDING_COUNT_SISO_FIELD                     _MK_FIELD_CONST(0x3ff, MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_OUTSTANDING_COUNT_SISO_SHIFT)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_OUTSTANDING_COUNT_SISO_RANGE                     25:16
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_OUTSTANDING_COUNT_SISO_WOFFSET                   0x0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_OUTSTANDING_COUNT_SISO_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_OUTSTANDING_COUNT_SISO_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_OUTSTANDING_COUNT_SISO_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_OUTSTANDING_COUNT_SISO_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_OUTSTANDING_COUNT_SISO_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_OUTSTANDING_COUNT_SISO_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_OUTSTANDING_SISO_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_OUTSTANDING_SISO_FIELD                       _MK_FIELD_CONST(0x3ff, MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_OUTSTANDING_SISO_SHIFT)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_OUTSTANDING_SISO_RANGE                       9:0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_OUTSTANDING_SISO_WOFFSET                     0x0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_OUTSTANDING_SISO_DEFAULT                     _MK_MASK_CONST(0x40)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_OUTSTANDING_SISO_DEFAULT_MASK                        _MK_MASK_CONST(0x3ff)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_OUTSTANDING_SISO_SW_DEFAULT                  _MK_MASK_CONST(0x40)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_OUTSTANDING_SISO_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3ff)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_OUTSTANDING_SISO_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_OUTSTANDING_SISO_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0_SMMU_ARB_MAX_OUTSTANDING_SISO__PROD                       _MK_MASK_CONST(0x40)


// Register MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0                    _MK_ADDR_CONST(0x2960)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SECURE                     0x0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_DUAL                       0x0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SCR                        0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_WORD_COUNT                         0x1
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_RESET_VAL                  _MK_MASK_CONST(0x40)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_RESET_MASK                         _MK_MASK_CONST(0x800003ff)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x40)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x800003ff)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_READ_MASK                  _MK_MASK_CONST(0x83ff03ff)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_WRITE_MASK                         _MK_MASK_CONST(0x800003ff)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_ISO_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_ISO_FIELD                        _MK_FIELD_CONST(0x1, MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_ISO_SHIFT)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_ISO_RANGE                        31:31
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_ISO_WOFFSET                      0x0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_ISO_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_ISO_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_ISO_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_ISO_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_ISO_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_ISO_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_ISO_INIT_ENUM                    DISABLE
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_ISO_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_ISO_ENABLE                       _MK_ENUM_CONST(1)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_LIMIT_ENABLE_ISO__PROD                        _MK_MASK_CONST(0x0)

#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_OUTSTANDING_COUNT_ISO_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_OUTSTANDING_COUNT_ISO_FIELD                       _MK_FIELD_CONST(0x3ff, MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_OUTSTANDING_COUNT_ISO_SHIFT)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_OUTSTANDING_COUNT_ISO_RANGE                       25:16
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_OUTSTANDING_COUNT_ISO_WOFFSET                     0x0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_OUTSTANDING_COUNT_ISO_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_OUTSTANDING_COUNT_ISO_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_OUTSTANDING_COUNT_ISO_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_OUTSTANDING_COUNT_ISO_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_OUTSTANDING_COUNT_ISO_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_OUTSTANDING_COUNT_ISO_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_OUTSTANDING_ISO_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_OUTSTANDING_ISO_FIELD                 _MK_FIELD_CONST(0x3ff, MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_OUTSTANDING_ISO_SHIFT)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_OUTSTANDING_ISO_RANGE                 9:0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_OUTSTANDING_ISO_WOFFSET                       0x0
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_OUTSTANDING_ISO_DEFAULT                       _MK_MASK_CONST(0x40)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_OUTSTANDING_ISO_DEFAULT_MASK                  _MK_MASK_CONST(0x3ff)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_OUTSTANDING_ISO_SW_DEFAULT                    _MK_MASK_CONST(0x40)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_OUTSTANDING_ISO_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3ff)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_OUTSTANDING_ISO_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_OUTSTANDING_ISO_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0_SMMU_ARB_MAX_OUTSTANDING_ISO__PROD                 _MK_MASK_CONST(0x40)


// Register MC_MC_SMMU_ARB_MAX_THROTTLE_0
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0                   _MK_ADDR_CONST(0x2964)
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0_SECURE                    0x0
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0_DUAL                      0x0
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0_SCR                       0
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0_WORD_COUNT                        0x1
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0_RESET_VAL                         _MK_MASK_CONST(0x3f)
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0_RESET_MASK                        _MK_MASK_CONST(0x7f)
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x3f)
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x7f)
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0_READ_MASK                         _MK_MASK_CONST(0x7f)
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0_WRITE_MASK                        _MK_MASK_CONST(0x7f)
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0_SMMU_THROTTLE_CYCLES_HIGH_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0_SMMU_THROTTLE_CYCLES_HIGH_FIELD                   _MK_FIELD_CONST(0x7f, MC_MC_SMMU_ARB_MAX_THROTTLE_0_SMMU_THROTTLE_CYCLES_HIGH_SHIFT)
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0_SMMU_THROTTLE_CYCLES_HIGH_RANGE                   6:0
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0_SMMU_THROTTLE_CYCLES_HIGH_WOFFSET                 0x0
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0_SMMU_THROTTLE_CYCLES_HIGH_DEFAULT                 _MK_MASK_CONST(0x3f)
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0_SMMU_THROTTLE_CYCLES_HIGH_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0_SMMU_THROTTLE_CYCLES_HIGH_SW_DEFAULT                      _MK_MASK_CONST(0x3f)
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0_SMMU_THROTTLE_CYCLES_HIGH_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x7f)
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0_SMMU_THROTTLE_CYCLES_HIGH_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0_SMMU_THROTTLE_CYCLES_HIGH_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_ARB_MAX_THROTTLE_0_SMMU_THROTTLE_CYCLES_HIGH__PROD                   _MK_MASK_CONST(0x3f)


// Register MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0                  _MK_ADDR_CONST(0x2968)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_SECURE                   0x0
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_DUAL                     0x0
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_SCR                      0
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_WORD_COUNT                       0x1
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_RESET_VAL                        _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_RESET_MASK                       _MK_MASK_CONST(0x301)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x100)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x300)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_READ_MASK                        _MK_MASK_CONST(0x301)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_WRITE_MASK                       _MK_MASK_CONST(0x301)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_RING05_PRI_ISO_TBU_ISO_BYP_REQS_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_RING05_PRI_ISO_TBU_ISO_BYP_REQS_FIELD                    _MK_FIELD_CONST(0x1, MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_RING05_PRI_ISO_TBU_ISO_BYP_REQS_SHIFT)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_RING05_PRI_ISO_TBU_ISO_BYP_REQS_RANGE                    0:0
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_RING05_PRI_ISO_TBU_ISO_BYP_REQS_WOFFSET                  0x0
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_RING05_PRI_ISO_TBU_ISO_BYP_REQS_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_RING05_PRI_ISO_TBU_ISO_BYP_REQS_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_RING05_PRI_ISO_TBU_ISO_BYP_REQS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_RING05_PRI_ISO_TBU_ISO_BYP_REQS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_RING05_PRI_ISO_TBU_ISO_BYP_REQS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_RING05_PRI_ISO_TBU_ISO_BYP_REQS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_RING05_PRI_ISO_TBU_ISO_BYP_REQS_INIT_ENUM                        ENABLE
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_RING05_PRI_ISO_TBU_ISO_BYP_REQS_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_RING05_PRI_ISO_TBU_ISO_BYP_REQS_ENABLE                   _MK_ENUM_CONST(1)

#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_ISO_TBU_CCHK_EN_CTRL_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_ISO_TBU_CCHK_EN_CTRL_FIELD                       _MK_FIELD_CONST(0x3, MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_ISO_TBU_CCHK_EN_CTRL_SHIFT)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_ISO_TBU_CCHK_EN_CTRL_RANGE                       9:8
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_ISO_TBU_CCHK_EN_CTRL_WOFFSET                     0x0
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_ISO_TBU_CCHK_EN_CTRL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_ISO_TBU_CCHK_EN_CTRL_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_ISO_TBU_CCHK_EN_CTRL_SW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_ISO_TBU_CCHK_EN_CTRL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_ISO_TBU_CCHK_EN_CTRL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_ISO_TBU_CCHK_EN_CTRL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_ISO_TBU_CCHK_EN_CTRL_INIT_ENUM                   ENABLE
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_ISO_TBU_CCHK_EN_CTRL_ENABLE                      _MK_ENUM_CONST(0)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_ISO_TBU_CCHK_EN_CTRL_EN_ISO_LOW_PRI                      _MK_ENUM_CONST(1)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_ISO_TBU_CCHK_EN_CTRL_DISABLE                     _MK_ENUM_CONST(2)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_ISO_TBU_CCHK_EN_CTRL_RESERVED                    _MK_ENUM_CONST(3)
#define MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0_ISO_TBU_CCHK_EN_CTRL__PROD                       _MK_MASK_CONST(0x1)


// Register MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0                 _MK_ADDR_CONST(0x296c)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_SECURE                  0x0
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_DUAL                    0x0
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_SCR                     0
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_WORD_COUNT                      0x1
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_RESET_MASK                      _MK_MASK_CONST(0x111)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x100)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x100)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_READ_MASK                       _MK_MASK_CONST(0x111)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_WRITE_MASK                      _MK_MASK_CONST(0x111)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC02H_REQ_MAPPING_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC02H_REQ_MAPPING_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC02H_REQ_MAPPING_OVERRIDE_SHIFT)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC02H_REQ_MAPPING_OVERRIDE_RANGE                       0:0
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC02H_REQ_MAPPING_OVERRIDE_WOFFSET                     0x0
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC02H_REQ_MAPPING_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC02H_REQ_MAPPING_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC02H_REQ_MAPPING_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC02H_REQ_MAPPING_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC02H_REQ_MAPPING_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC02H_REQ_MAPPING_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC02H_REQ_MAPPING_OVERRIDE_INIT_ENUM                   DISABLE
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC02H_REQ_MAPPING_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC02H_REQ_MAPPING_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC12H_REQ_MAPPING_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC12H_REQ_MAPPING_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC12H_REQ_MAPPING_OVERRIDE_SHIFT)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC12H_REQ_MAPPING_OVERRIDE_RANGE                       4:4
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC12H_REQ_MAPPING_OVERRIDE_WOFFSET                     0x0
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC12H_REQ_MAPPING_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC12H_REQ_MAPPING_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC12H_REQ_MAPPING_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC12H_REQ_MAPPING_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC12H_REQ_MAPPING_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC12H_REQ_MAPPING_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC12H_REQ_MAPPING_OVERRIDE_INIT_ENUM                   DISABLE
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC12H_REQ_MAPPING_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC12H_REQ_MAPPING_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC22H_REQ_MAPPING_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC22H_REQ_MAPPING_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC22H_REQ_MAPPING_OVERRIDE_SHIFT)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC22H_REQ_MAPPING_OVERRIDE_RANGE                       8:8
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC22H_REQ_MAPPING_OVERRIDE_WOFFSET                     0x0
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC22H_REQ_MAPPING_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC22H_REQ_MAPPING_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC22H_REQ_MAPPING_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC22H_REQ_MAPPING_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC22H_REQ_MAPPING_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC22H_REQ_MAPPING_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC22H_REQ_MAPPING_OVERRIDE_INIT_ENUM                   DISABLE
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC22H_REQ_MAPPING_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC22H_REQ_MAPPING_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0_PTC22H_REQ_MAPPING_OVERRIDE__PROD                       _MK_MASK_CONST(0x1)


// Register MC_MC_SMMU_PTC2H_REQ_MAPPING_0
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0                  _MK_ADDR_CONST(0x2970)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_SECURE                   0x0
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_DUAL                     0x0
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_SCR                      0
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_WORD_COUNT                       0x1
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_RESET_VAL                        _MK_MASK_CONST(0x210)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_RESET_MASK                       _MK_MASK_CONST(0x333)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x300)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_READ_MASK                        _MK_MASK_CONST(0x333)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_WRITE_MASK                       _MK_MASK_CONST(0x333)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC02H_REQ_MAPPING_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC02H_REQ_MAPPING_FIELD                 _MK_FIELD_CONST(0x3, MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC02H_REQ_MAPPING_SHIFT)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC02H_REQ_MAPPING_RANGE                 1:0
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC02H_REQ_MAPPING_WOFFSET                       0x0
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC02H_REQ_MAPPING_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC02H_REQ_MAPPING_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC02H_REQ_MAPPING_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC02H_REQ_MAPPING_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC02H_REQ_MAPPING_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC02H_REQ_MAPPING_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC02H_REQ_MAPPING_HUB0                  _MK_ENUM_CONST(0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC02H_REQ_MAPPING_HUB1                  _MK_ENUM_CONST(1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC02H_REQ_MAPPING_HUB2                  _MK_ENUM_CONST(2)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC02H_REQ_MAPPING_RESERVED                      _MK_ENUM_CONST(3)

#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC12H_REQ_MAPPING_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC12H_REQ_MAPPING_FIELD                 _MK_FIELD_CONST(0x3, MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC12H_REQ_MAPPING_SHIFT)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC12H_REQ_MAPPING_RANGE                 5:4
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC12H_REQ_MAPPING_WOFFSET                       0x0
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC12H_REQ_MAPPING_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC12H_REQ_MAPPING_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC12H_REQ_MAPPING_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC12H_REQ_MAPPING_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC12H_REQ_MAPPING_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC12H_REQ_MAPPING_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC12H_REQ_MAPPING_HUB0                  _MK_ENUM_CONST(0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC12H_REQ_MAPPING_HUB1                  _MK_ENUM_CONST(1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC12H_REQ_MAPPING_HUB2                  _MK_ENUM_CONST(2)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC12H_REQ_MAPPING_RESERVED                      _MK_ENUM_CONST(3)

#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC22H_REQ_MAPPING_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC22H_REQ_MAPPING_FIELD                 _MK_FIELD_CONST(0x3, MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC22H_REQ_MAPPING_SHIFT)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC22H_REQ_MAPPING_RANGE                 9:8
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC22H_REQ_MAPPING_WOFFSET                       0x0
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC22H_REQ_MAPPING_DEFAULT                       _MK_MASK_CONST(0x2)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC22H_REQ_MAPPING_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC22H_REQ_MAPPING_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC22H_REQ_MAPPING_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC22H_REQ_MAPPING_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC22H_REQ_MAPPING_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC22H_REQ_MAPPING_HUB0                  _MK_ENUM_CONST(0)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC22H_REQ_MAPPING_HUB1                  _MK_ENUM_CONST(1)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC22H_REQ_MAPPING_HUB2                  _MK_ENUM_CONST(2)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC22H_REQ_MAPPING_RESERVED                      _MK_ENUM_CONST(3)
#define MC_MC_SMMU_PTC2H_REQ_MAPPING_0_PTC22H_REQ_MAPPING__PROD                 _MK_MASK_CONST(0x0)


// Register MC_SMMU_CLIENT_STEERING_CTRL0_0
#define MC_SMMU_CLIENT_STEERING_CTRL0_0                 _MK_ADDR_CONST(0x2974)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_SECURE                  0x0
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_DUAL                    0x0
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_SCR                     0
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_WORD_COUNT                      0x1
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_RESET_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_READ_MASK                       _MK_MASK_CONST(0x90600007)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_WRITE_MASK                      _MK_MASK_CONST(0x90600007)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_PTCR_SMMU_STEERING_CTRL_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_PTCR_SMMU_STEERING_CTRL_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL0_0_PTCR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_PTCR_SMMU_STEERING_CTRL_RANGE                   0:0
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_PTCR_SMMU_STEERING_CTRL_WOFFSET                 0x0
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_PTCR_SMMU_STEERING_CTRL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_PTCR_SMMU_STEERING_CTRL_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_PTCR_SMMU_STEERING_CTRL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_PTCR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_PTCR_SMMU_STEERING_CTRL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_PTCR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_PTCR_SMMU_STEERING_CTRL_INIT_ENUM                       SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_PTCR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_PTCR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7R_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7R_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7R_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7R_SMMU_STEERING_CTRL_RANGE                  1:1
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7R_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7R_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7R_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7R_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7R_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7R_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7R_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7R_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7R_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7R_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7W_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7W_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7W_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7W_SMMU_STEERING_CTRL_RANGE                  2:2
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7W_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7W_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7W_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7W_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7W_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7W_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7W_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7W_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7W_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_MIU7W_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HDAR_SMMU_STEERING_CTRL_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HDAR_SMMU_STEERING_CTRL_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL0_0_HDAR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HDAR_SMMU_STEERING_CTRL_RANGE                   21:21
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HDAR_SMMU_STEERING_CTRL_WOFFSET                 0x0
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HDAR_SMMU_STEERING_CTRL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HDAR_SMMU_STEERING_CTRL_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HDAR_SMMU_STEERING_CTRL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HDAR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HDAR_SMMU_STEERING_CTRL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HDAR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HDAR_SMMU_STEERING_CTRL_INIT_ENUM                       SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HDAR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HDAR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HOST1XDMAR_SMMU_STEERING_CTRL_SHIFT                     _MK_SHIFT_CONST(22)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HOST1XDMAR_SMMU_STEERING_CTRL_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL0_0_HOST1XDMAR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HOST1XDMAR_SMMU_STEERING_CTRL_RANGE                     22:22
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HOST1XDMAR_SMMU_STEERING_CTRL_WOFFSET                   0x0
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HOST1XDMAR_SMMU_STEERING_CTRL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HOST1XDMAR_SMMU_STEERING_CTRL_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HOST1XDMAR_SMMU_STEERING_CTRL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HOST1XDMAR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HOST1XDMAR_SMMU_STEERING_CTRL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HOST1XDMAR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HOST1XDMAR_SMMU_STEERING_CTRL_INIT_ENUM                 SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HOST1XDMAR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_HOST1XDMAR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL0_0_NVENCSRD_SMMU_STEERING_CTRL_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_NVENCSRD_SMMU_STEERING_CTRL_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL0_0_NVENCSRD_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_NVENCSRD_SMMU_STEERING_CTRL_RANGE                       28:28
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_NVENCSRD_SMMU_STEERING_CTRL_WOFFSET                     0x0
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_NVENCSRD_SMMU_STEERING_CTRL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_NVENCSRD_SMMU_STEERING_CTRL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_NVENCSRD_SMMU_STEERING_CTRL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_NVENCSRD_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_NVENCSRD_SMMU_STEERING_CTRL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_NVENCSRD_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_NVENCSRD_SMMU_STEERING_CTRL_INIT_ENUM                   SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_NVENCSRD_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_NVENCSRD_SMMU_STEERING_CTRL_SMMU_STEER_ISO                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL0_0_SATAR_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_SATAR_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL0_0_SATAR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_SATAR_SMMU_STEERING_CTRL_RANGE                  31:31
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_SATAR_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_SATAR_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_SATAR_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_SATAR_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_SATAR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_SATAR_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_SATAR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_SATAR_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_SATAR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL0_0_SATAR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)


// Register MC_SMMU_CLIENT_STEERING_CTRL1_0
#define MC_SMMU_CLIENT_STEERING_CTRL1_0                 _MK_ADDR_CONST(0x2978)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_SECURE                  0x0
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_DUAL                    0x0
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_SCR                     0
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_WORD_COUNT                      0x1
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_RESET_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_READ_MASK                       _MK_MASK_CONST(0x22200880)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_WRITE_MASK                      _MK_MASK_CONST(0x22200880)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCORER_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCORER_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCORER_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCORER_SMMU_STEERING_CTRL_RANGE                        7:7
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCORER_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCORER_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCORER_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCORER_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCORER_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCORER_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCORER_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCORER_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCORER_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCORER_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL1_0_NVENCSWR_SMMU_STEERING_CTRL_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_NVENCSWR_SMMU_STEERING_CTRL_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL1_0_NVENCSWR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_NVENCSWR_SMMU_STEERING_CTRL_RANGE                       11:11
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_NVENCSWR_SMMU_STEERING_CTRL_WOFFSET                     0x0
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_NVENCSWR_SMMU_STEERING_CTRL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_NVENCSWR_SMMU_STEERING_CTRL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_NVENCSWR_SMMU_STEERING_CTRL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_NVENCSWR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_NVENCSWR_SMMU_STEERING_CTRL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_NVENCSWR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_NVENCSWR_SMMU_STEERING_CTRL_INIT_ENUM                   SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_NVENCSWR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_NVENCSWR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL1_0_HDAW_SMMU_STEERING_CTRL_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_HDAW_SMMU_STEERING_CTRL_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL1_0_HDAW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_HDAW_SMMU_STEERING_CTRL_RANGE                   21:21
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_HDAW_SMMU_STEERING_CTRL_WOFFSET                 0x0
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_HDAW_SMMU_STEERING_CTRL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_HDAW_SMMU_STEERING_CTRL_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_HDAW_SMMU_STEERING_CTRL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_HDAW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_HDAW_SMMU_STEERING_CTRL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_HDAW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_HDAW_SMMU_STEERING_CTRL_INIT_ENUM                       SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_HDAW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_HDAW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCOREW_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCOREW_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCOREW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCOREW_SMMU_STEERING_CTRL_RANGE                        25:25
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCOREW_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCOREW_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCOREW_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCOREW_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCOREW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCOREW_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCOREW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCOREW_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCOREW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_MPCOREW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL1_0_SATAW_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_SATAW_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL1_0_SATAW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_SATAW_SMMU_STEERING_CTRL_RANGE                  29:29
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_SATAW_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_SATAW_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_SATAW_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_SATAW_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_SATAW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_SATAW_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_SATAW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_SATAW_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_SATAW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL1_0_SATAW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)


// Register MC_SMMU_CLIENT_STEERING_CTRL2_0
#define MC_SMMU_CLIENT_STEERING_CTRL2_0                 _MK_ADDR_CONST(0x297c)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_SECURE                  0x0
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_DUAL                    0x0
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_SCR                     0
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_WORD_COUNT                      0x1
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_RESET_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_READ_MASK                       _MK_MASK_CONST(0x303cf0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_WRITE_MASK                      _MK_MASK_CONST(0x303cf0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPRA_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPRA_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPRA_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPRA_SMMU_STEERING_CTRL_RANGE                  4:4
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPRA_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPRA_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPRA_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPRA_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPRA_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPRA_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPRA_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPRA_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPRA_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPRA_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPFALR_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPFALR_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPFALR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPFALR_SMMU_STEERING_CTRL_RANGE                        5:5
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPFALR_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPFALR_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPFALR_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPFALR_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPFALR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPFALR_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPFALR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPFALR_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPFALR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPFALR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWA_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWA_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWA_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWA_SMMU_STEERING_CTRL_RANGE                  6:6
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWA_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWA_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWA_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWA_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWA_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWA_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWA_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWA_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWA_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWA_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWB_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWB_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWB_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWB_SMMU_STEERING_CTRL_RANGE                  7:7
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWB_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWB_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWB_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWB_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWB_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWB_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWB_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWB_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWB_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_ISPWB_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTR_SMMU_STEERING_CTRL_SHIFT                     _MK_SHIFT_CONST(10)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTR_SMMU_STEERING_CTRL_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTR_SMMU_STEERING_CTRL_RANGE                     10:10
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTR_SMMU_STEERING_CTRL_WOFFSET                   0x0
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTR_SMMU_STEERING_CTRL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTR_SMMU_STEERING_CTRL_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTR_SMMU_STEERING_CTRL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTR_SMMU_STEERING_CTRL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTR_SMMU_STEERING_CTRL_INIT_ENUM                 SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTW_SMMU_STEERING_CTRL_SHIFT                     _MK_SHIFT_CONST(11)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTW_SMMU_STEERING_CTRL_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTW_SMMU_STEERING_CTRL_RANGE                     11:11
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTW_SMMU_STEERING_CTRL_WOFFSET                   0x0
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTW_SMMU_STEERING_CTRL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTW_SMMU_STEERING_CTRL_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTW_SMMU_STEERING_CTRL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTW_SMMU_STEERING_CTRL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTW_SMMU_STEERING_CTRL_INIT_ENUM                 SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_HOSTW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVR_SMMU_STEERING_CTRL_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVR_SMMU_STEERING_CTRL_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVR_SMMU_STEERING_CTRL_RANGE                      12:12
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVR_SMMU_STEERING_CTRL_WOFFSET                    0x0
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVR_SMMU_STEERING_CTRL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVR_SMMU_STEERING_CTRL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVR_SMMU_STEERING_CTRL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVR_SMMU_STEERING_CTRL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVR_SMMU_STEERING_CTRL_INIT_ENUM                  SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                     _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVW_SMMU_STEERING_CTRL_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVW_SMMU_STEERING_CTRL_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVW_SMMU_STEERING_CTRL_RANGE                      13:13
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVW_SMMU_STEERING_CTRL_WOFFSET                    0x0
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVW_SMMU_STEERING_CTRL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVW_SMMU_STEERING_CTRL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVW_SMMU_STEERING_CTRL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVW_SMMU_STEERING_CTRL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVW_SMMU_STEERING_CTRL_INIT_ENUM                  SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_XUSB_DEVW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                     _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSRD_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSRD_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSRD_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSRD_SMMU_STEERING_CTRL_RANGE                        20:20
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSRD_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSRD_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSRD_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSRD_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSRD_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSRD_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSRD_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSRD_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSRD_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSRD_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSWR_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSWR_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSWR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSWR_SMMU_STEERING_CTRL_RANGE                        21:21
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSWR_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSWR_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSWR_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSWR_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSWR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSWR_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSWR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSWR_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSWR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL2_0_TSECSWR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)


// Register MC_SMMU_CLIENT_STEERING_CTRL3_0
#define MC_SMMU_CLIENT_STEERING_CTRL3_0                 _MK_ADDR_CONST(0x2980)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SECURE                  0x0
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_DUAL                    0x0
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SCR                     0
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_WORD_COUNT                      0x1
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_RESET_VAL                       _MK_MASK_CONST(0x40000)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_RESET_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_READ_MASK                       _MK_MASK_CONST(0xcf0430dd)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_WRITE_MASK                      _MK_MASK_CONST(0xcf0430dd)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRA_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRA_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRA_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRA_SMMU_STEERING_CTRL_RANGE                        0:0
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRA_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRA_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRA_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRA_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRA_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRA_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRA_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRA_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRA_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRA_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCR_SMMU_STEERING_CTRL_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCR_SMMU_STEERING_CTRL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCR_SMMU_STEERING_CTRL_RANGE                 2:2
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCR_SMMU_STEERING_CTRL_WOFFSET                       0x0
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCR_SMMU_STEERING_CTRL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCR_SMMU_STEERING_CTRL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCR_SMMU_STEERING_CTRL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCR_SMMU_STEERING_CTRL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCR_SMMU_STEERING_CTRL_INIT_ENUM                     SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRAB_SMMU_STEERING_CTRL_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRAB_SMMU_STEERING_CTRL_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRAB_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRAB_SMMU_STEERING_CTRL_RANGE                       3:3
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRAB_SMMU_STEERING_CTRL_WOFFSET                     0x0
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRAB_SMMU_STEERING_CTRL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRAB_SMMU_STEERING_CTRL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRAB_SMMU_STEERING_CTRL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRAB_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRAB_SMMU_STEERING_CTRL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRAB_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRAB_SMMU_STEERING_CTRL_INIT_ENUM                   SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRAB_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCRAB_SMMU_STEERING_CTRL_SMMU_STEER_ISO                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWA_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWA_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWA_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWA_SMMU_STEERING_CTRL_RANGE                        4:4
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWA_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWA_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWA_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWA_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWA_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWA_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWA_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWA_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWA_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWA_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCW_SMMU_STEERING_CTRL_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCW_SMMU_STEERING_CTRL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCW_SMMU_STEERING_CTRL_RANGE                 6:6
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCW_SMMU_STEERING_CTRL_WOFFSET                       0x0
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCW_SMMU_STEERING_CTRL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCW_SMMU_STEERING_CTRL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCW_SMMU_STEERING_CTRL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCW_SMMU_STEERING_CTRL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCW_SMMU_STEERING_CTRL_INIT_ENUM                     SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWAB_SMMU_STEERING_CTRL_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWAB_SMMU_STEERING_CTRL_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWAB_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWAB_SMMU_STEERING_CTRL_RANGE                       7:7
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWAB_SMMU_STEERING_CTRL_WOFFSET                     0x0
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWAB_SMMU_STEERING_CTRL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWAB_SMMU_STEERING_CTRL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWAB_SMMU_STEERING_CTRL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWAB_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWAB_SMMU_STEERING_CTRL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWAB_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWAB_SMMU_STEERING_CTRL_INIT_ENUM                   SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWAB_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_SDMMCWAB_SMMU_STEERING_CTRL_SMMU_STEER_ISO                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSRD_SMMU_STEERING_CTRL_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSRD_SMMU_STEERING_CTRL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSRD_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSRD_SMMU_STEERING_CTRL_RANGE                 12:12
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSRD_SMMU_STEERING_CTRL_WOFFSET                       0x0
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSRD_SMMU_STEERING_CTRL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSRD_SMMU_STEERING_CTRL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSRD_SMMU_STEERING_CTRL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSRD_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSRD_SMMU_STEERING_CTRL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSRD_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSRD_SMMU_STEERING_CTRL_INIT_ENUM                     SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSRD_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSRD_SMMU_STEERING_CTRL_SMMU_STEER_ISO                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSWR_SMMU_STEERING_CTRL_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSWR_SMMU_STEERING_CTRL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSWR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSWR_SMMU_STEERING_CTRL_RANGE                 13:13
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSWR_SMMU_STEERING_CTRL_WOFFSET                       0x0
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSWR_SMMU_STEERING_CTRL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSWR_SMMU_STEERING_CTRL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSWR_SMMU_STEERING_CTRL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSWR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSWR_SMMU_STEERING_CTRL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSWR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSWR_SMMU_STEERING_CTRL_INIT_ENUM                     SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSWR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VICSWR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VIW_SMMU_STEERING_CTRL_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VIW_SMMU_STEERING_CTRL_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL3_0_VIW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VIW_SMMU_STEERING_CTRL_RANGE                    18:18
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VIW_SMMU_STEERING_CTRL_WOFFSET                  0x0
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VIW_SMMU_STEERING_CTRL_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VIW_SMMU_STEERING_CTRL_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VIW_SMMU_STEERING_CTRL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VIW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VIW_SMMU_STEERING_CTRL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VIW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VIW_SMMU_STEERING_CTRL_INIT_ENUM                        SMMU_STEER_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VIW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_VIW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSRD_SMMU_STEERING_CTRL_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSRD_SMMU_STEERING_CTRL_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSRD_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSRD_SMMU_STEERING_CTRL_RANGE                       24:24
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSRD_SMMU_STEERING_CTRL_WOFFSET                     0x0
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSRD_SMMU_STEERING_CTRL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSRD_SMMU_STEERING_CTRL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSRD_SMMU_STEERING_CTRL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSRD_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSRD_SMMU_STEERING_CTRL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSRD_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSRD_SMMU_STEERING_CTRL_INIT_ENUM                   SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSRD_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSRD_SMMU_STEERING_CTRL_SMMU_STEER_ISO                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSWR_SMMU_STEERING_CTRL_SHIFT                       _MK_SHIFT_CONST(25)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSWR_SMMU_STEERING_CTRL_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSWR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSWR_SMMU_STEERING_CTRL_RANGE                       25:25
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSWR_SMMU_STEERING_CTRL_WOFFSET                     0x0
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSWR_SMMU_STEERING_CTRL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSWR_SMMU_STEERING_CTRL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSWR_SMMU_STEERING_CTRL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSWR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSWR_SMMU_STEERING_CTRL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSWR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSWR_SMMU_STEERING_CTRL_INIT_ENUM                   SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSWR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVDECSWR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APER_SMMU_STEERING_CTRL_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APER_SMMU_STEERING_CTRL_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL3_0_APER_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APER_SMMU_STEERING_CTRL_RANGE                   26:26
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APER_SMMU_STEERING_CTRL_WOFFSET                 0x0
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APER_SMMU_STEERING_CTRL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APER_SMMU_STEERING_CTRL_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APER_SMMU_STEERING_CTRL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APER_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APER_SMMU_STEERING_CTRL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APER_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APER_SMMU_STEERING_CTRL_INIT_ENUM                       SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APER_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APER_SMMU_STEERING_CTRL_SMMU_STEER_ISO                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APEW_SMMU_STEERING_CTRL_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APEW_SMMU_STEERING_CTRL_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL3_0_APEW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APEW_SMMU_STEERING_CTRL_RANGE                   27:27
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APEW_SMMU_STEERING_CTRL_WOFFSET                 0x0
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APEW_SMMU_STEERING_CTRL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APEW_SMMU_STEERING_CTRL_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APEW_SMMU_STEERING_CTRL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APEW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APEW_SMMU_STEERING_CTRL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APEW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APEW_SMMU_STEERING_CTRL_INIT_ENUM                       SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APEW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_APEW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSRD_SMMU_STEERING_CTRL_SHIFT                       _MK_SHIFT_CONST(30)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSRD_SMMU_STEERING_CTRL_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSRD_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSRD_SMMU_STEERING_CTRL_RANGE                       30:30
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSRD_SMMU_STEERING_CTRL_WOFFSET                     0x0
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSRD_SMMU_STEERING_CTRL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSRD_SMMU_STEERING_CTRL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSRD_SMMU_STEERING_CTRL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSRD_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSRD_SMMU_STEERING_CTRL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSRD_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSRD_SMMU_STEERING_CTRL_INIT_ENUM                   SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSRD_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSRD_SMMU_STEERING_CTRL_SMMU_STEER_ISO                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSWR_SMMU_STEERING_CTRL_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSWR_SMMU_STEERING_CTRL_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSWR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSWR_SMMU_STEERING_CTRL_RANGE                       31:31
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSWR_SMMU_STEERING_CTRL_WOFFSET                     0x0
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSWR_SMMU_STEERING_CTRL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSWR_SMMU_STEERING_CTRL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSWR_SMMU_STEERING_CTRL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSWR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSWR_SMMU_STEERING_CTRL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSWR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSWR_SMMU_STEERING_CTRL_INIT_ENUM                   SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSWR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL3_0_NVJPGSWR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                      _MK_ENUM_CONST(1)


// Register MC_SMMU_CLIENT_STEERING_CTRL4_0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0                 _MK_ADDR_CONST(0x2984)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SECURE                  0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_DUAL                    0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCR                     0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_WORD_COUNT                      0x1
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_RESET_VAL                       _MK_MASK_CONST(0x40000)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_RESET_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_READ_MASK                       _MK_MASK_CONST(0xfffff0ff)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff0ff)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESRD_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESRD_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_SESRD_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESRD_SMMU_STEERING_CTRL_RANGE                  0:0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESRD_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESRD_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESRD_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESRD_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESRD_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESRD_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESRD_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESRD_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESRD_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESRD_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESWR_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESWR_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_SESWR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESWR_SMMU_STEERING_CTRL_RANGE                  1:1
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESWR_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESWR_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESWR_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESWR_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESWR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESWR_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESWR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESWR_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESWR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SESWR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPR_SMMU_STEERING_CTRL_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPR_SMMU_STEERING_CTRL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPR_SMMU_STEERING_CTRL_RANGE                 2:2
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPR_SMMU_STEERING_CTRL_WOFFSET                       0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPR_SMMU_STEERING_CTRL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPR_SMMU_STEERING_CTRL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPR_SMMU_STEERING_CTRL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPR_SMMU_STEERING_CTRL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPR_SMMU_STEERING_CTRL_INIT_ENUM                     SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPW_SMMU_STEERING_CTRL_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPW_SMMU_STEERING_CTRL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPW_SMMU_STEERING_CTRL_RANGE                 3:3
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPW_SMMU_STEERING_CTRL_WOFFSET                       0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPW_SMMU_STEERING_CTRL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPW_SMMU_STEERING_CTRL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPW_SMMU_STEERING_CTRL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPW_SMMU_STEERING_CTRL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPW_SMMU_STEERING_CTRL_INIT_ENUM                     SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXIAPW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRR_SMMU_STEERING_CTRL_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRR_SMMU_STEERING_CTRL_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRR_SMMU_STEERING_CTRL_RANGE                   4:4
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRR_SMMU_STEERING_CTRL_WOFFSET                 0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRR_SMMU_STEERING_CTRL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRR_SMMU_STEERING_CTRL_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRR_SMMU_STEERING_CTRL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRR_SMMU_STEERING_CTRL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRR_SMMU_STEERING_CTRL_INIT_ENUM                       SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRW_SMMU_STEERING_CTRL_SHIFT                   _MK_SHIFT_CONST(5)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRW_SMMU_STEERING_CTRL_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRW_SMMU_STEERING_CTRL_RANGE                   5:5
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRW_SMMU_STEERING_CTRL_WOFFSET                 0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRW_SMMU_STEERING_CTRL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRW_SMMU_STEERING_CTRL_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRW_SMMU_STEERING_CTRL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRW_SMMU_STEERING_CTRL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRW_SMMU_STEERING_CTRL_INIT_ENUM                       SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_ETRW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSRDB_SMMU_STEERING_CTRL_SHIFT                       _MK_SHIFT_CONST(6)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSRDB_SMMU_STEERING_CTRL_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSRDB_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSRDB_SMMU_STEERING_CTRL_RANGE                       6:6
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSRDB_SMMU_STEERING_CTRL_WOFFSET                     0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSRDB_SMMU_STEERING_CTRL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSRDB_SMMU_STEERING_CTRL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSRDB_SMMU_STEERING_CTRL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSRDB_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSRDB_SMMU_STEERING_CTRL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSRDB_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSRDB_SMMU_STEERING_CTRL_INIT_ENUM                   SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSRDB_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSRDB_SMMU_STEERING_CTRL_SMMU_STEER_ISO                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSWRB_SMMU_STEERING_CTRL_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSWRB_SMMU_STEERING_CTRL_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSWRB_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSWRB_SMMU_STEERING_CTRL_RANGE                       7:7
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSWRB_SMMU_STEERING_CTRL_WOFFSET                     0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSWRB_SMMU_STEERING_CTRL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSWRB_SMMU_STEERING_CTRL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSWRB_SMMU_STEERING_CTRL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSWRB_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSWRB_SMMU_STEERING_CTRL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSWRB_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSWRB_SMMU_STEERING_CTRL_INIT_ENUM                   SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSWRB_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_TSECSWRB_SMMU_STEERING_CTRL_SMMU_STEER_ISO                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISR_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISR_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISR_SMMU_STEERING_CTRL_RANGE                  12:12
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISR_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISR_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISR_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISR_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISR_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISR_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISW_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISW_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISW_SMMU_STEERING_CTRL_RANGE                  13:13
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISW_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISW_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISW_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISW_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISW_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISW_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AXISW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSR_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSR_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSR_SMMU_STEERING_CTRL_RANGE                  14:14
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSR_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSR_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSR_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSR_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSR_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSR_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSW_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSW_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSW_SMMU_STEERING_CTRL_RANGE                  15:15
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSW_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSW_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSW_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSW_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSW_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSW_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_EQOSW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCR_SMMU_STEERING_CTRL_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCR_SMMU_STEERING_CTRL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCR_SMMU_STEERING_CTRL_RANGE                 16:16
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCR_SMMU_STEERING_CTRL_WOFFSET                       0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCR_SMMU_STEERING_CTRL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCR_SMMU_STEERING_CTRL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCR_SMMU_STEERING_CTRL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCR_SMMU_STEERING_CTRL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCR_SMMU_STEERING_CTRL_INIT_ENUM                     SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCW_SMMU_STEERING_CTRL_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCW_SMMU_STEERING_CTRL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCW_SMMU_STEERING_CTRL_RANGE                 17:17
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCW_SMMU_STEERING_CTRL_WOFFSET                       0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCW_SMMU_STEERING_CTRL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCW_SMMU_STEERING_CTRL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCW_SMMU_STEERING_CTRL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCW_SMMU_STEERING_CTRL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCW_SMMU_STEERING_CTRL_INIT_ENUM                     SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_UFSHCW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_NVDISPLAYR_SMMU_STEERING_CTRL_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_NVDISPLAYR_SMMU_STEERING_CTRL_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_NVDISPLAYR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_NVDISPLAYR_SMMU_STEERING_CTRL_RANGE                     18:18
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_NVDISPLAYR_SMMU_STEERING_CTRL_WOFFSET                   0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_NVDISPLAYR_SMMU_STEERING_CTRL_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_NVDISPLAYR_SMMU_STEERING_CTRL_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_NVDISPLAYR_SMMU_STEERING_CTRL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_NVDISPLAYR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_NVDISPLAYR_SMMU_STEERING_CTRL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_NVDISPLAYR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_NVDISPLAYR_SMMU_STEERING_CTRL_INIT_ENUM                 SMMU_STEER_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_NVDISPLAYR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_NVDISPLAYR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPR_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPR_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPR_SMMU_STEERING_CTRL_RANGE                  19:19
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPR_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPR_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPR_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPR_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPR_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPR_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPW_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPW_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPW_SMMU_STEERING_CTRL_RANGE                  20:20
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPW_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPW_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPW_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPW_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPW_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPW_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAR_SMMU_STEERING_CTRL_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAR_SMMU_STEERING_CTRL_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAR_SMMU_STEERING_CTRL_RANGE                       21:21
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAR_SMMU_STEERING_CTRL_WOFFSET                     0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAR_SMMU_STEERING_CTRL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAR_SMMU_STEERING_CTRL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAR_SMMU_STEERING_CTRL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAR_SMMU_STEERING_CTRL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAR_SMMU_STEERING_CTRL_INIT_ENUM                   SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAW_SMMU_STEERING_CTRL_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAW_SMMU_STEERING_CTRL_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAW_SMMU_STEERING_CTRL_RANGE                       22:22
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAW_SMMU_STEERING_CTRL_WOFFSET                     0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAW_SMMU_STEERING_CTRL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAW_SMMU_STEERING_CTRL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAW_SMMU_STEERING_CTRL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAW_SMMU_STEERING_CTRL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAW_SMMU_STEERING_CTRL_INIT_ENUM                   SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_BPMPDMAW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONR_SMMU_STEERING_CTRL_SHIFT                   _MK_SHIFT_CONST(23)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONR_SMMU_STEERING_CTRL_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_AONR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONR_SMMU_STEERING_CTRL_RANGE                   23:23
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONR_SMMU_STEERING_CTRL_WOFFSET                 0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONR_SMMU_STEERING_CTRL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONR_SMMU_STEERING_CTRL_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONR_SMMU_STEERING_CTRL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONR_SMMU_STEERING_CTRL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONR_SMMU_STEERING_CTRL_INIT_ENUM                       SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONW_SMMU_STEERING_CTRL_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONW_SMMU_STEERING_CTRL_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_AONW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONW_SMMU_STEERING_CTRL_RANGE                   24:24
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONW_SMMU_STEERING_CTRL_WOFFSET                 0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONW_SMMU_STEERING_CTRL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONW_SMMU_STEERING_CTRL_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONW_SMMU_STEERING_CTRL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONW_SMMU_STEERING_CTRL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONW_SMMU_STEERING_CTRL_INIT_ENUM                       SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAR_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAR_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAR_SMMU_STEERING_CTRL_RANGE                        25:25
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAR_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAR_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAR_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAR_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAR_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAR_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAW_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAW_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAW_SMMU_STEERING_CTRL_RANGE                        26:26
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAW_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAW_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAW_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAW_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAW_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAW_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_AONDMAW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCER_SMMU_STEERING_CTRL_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCER_SMMU_STEERING_CTRL_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_SCER_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCER_SMMU_STEERING_CTRL_RANGE                   27:27
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCER_SMMU_STEERING_CTRL_WOFFSET                 0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCER_SMMU_STEERING_CTRL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCER_SMMU_STEERING_CTRL_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCER_SMMU_STEERING_CTRL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCER_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCER_SMMU_STEERING_CTRL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCER_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCER_SMMU_STEERING_CTRL_INIT_ENUM                       SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCER_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCER_SMMU_STEERING_CTRL_SMMU_STEER_ISO                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEW_SMMU_STEERING_CTRL_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEW_SMMU_STEERING_CTRL_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEW_SMMU_STEERING_CTRL_RANGE                   28:28
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEW_SMMU_STEERING_CTRL_WOFFSET                 0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEW_SMMU_STEERING_CTRL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEW_SMMU_STEERING_CTRL_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEW_SMMU_STEERING_CTRL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEW_SMMU_STEERING_CTRL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEW_SMMU_STEERING_CTRL_INIT_ENUM                       SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAR_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(29)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAR_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAR_SMMU_STEERING_CTRL_RANGE                        29:29
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAR_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAR_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAR_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAR_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAR_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAR_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAW_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(30)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAW_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAW_SMMU_STEERING_CTRL_RANGE                        30:30
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAW_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAW_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAW_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAW_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAW_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAW_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_SCEDMAW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL4_0_APEDMAR_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_APEDMAR_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL4_0_APEDMAR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_APEDMAR_SMMU_STEERING_CTRL_RANGE                        31:31
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_APEDMAR_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_APEDMAR_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_APEDMAR_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_APEDMAR_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_APEDMAR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_APEDMAR_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_APEDMAR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_APEDMAR_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_APEDMAR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL4_0_APEDMAR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)


// Register MC_SMMU_CLIENT_STEERING_CTRL5_0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0                 _MK_ADDR_CONST(0x2988)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_SECURE                  0x0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DUAL                    0x0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_SCR                     0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_WORD_COUNT                      0x1
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_RESET_VAL                       _MK_MASK_CONST(0x30000002)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_RESET_MASK                      _MK_MASK_CONST(0xf00fc3cf)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_READ_MASK                       _MK_MASK_CONST(0xf00fc3cf)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_WRITE_MASK                      _MK_MASK_CONST(0xf00fc3cf)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_APEDMAW_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_APEDMAW_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL5_0_APEDMAW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_APEDMAW_SMMU_STEERING_CTRL_RANGE                        0:0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_APEDMAW_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_APEDMAW_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_APEDMAW_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_APEDMAW_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_APEDMAW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_APEDMAW_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_APEDMAW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_APEDMAW_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_APEDMAW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_APEDMAW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDISPLAYR1_SMMU_STEERING_CTRL_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDISPLAYR1_SMMU_STEERING_CTRL_FIELD                    _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDISPLAYR1_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDISPLAYR1_SMMU_STEERING_CTRL_RANGE                    1:1
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDISPLAYR1_SMMU_STEERING_CTRL_WOFFSET                  0x0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDISPLAYR1_SMMU_STEERING_CTRL_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDISPLAYR1_SMMU_STEERING_CTRL_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDISPLAYR1_SMMU_STEERING_CTRL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDISPLAYR1_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDISPLAYR1_SMMU_STEERING_CTRL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDISPLAYR1_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDISPLAYR1_SMMU_STEERING_CTRL_INIT_ENUM                        SMMU_STEER_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDISPLAYR1_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                       _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDISPLAYR1_SMMU_STEERING_CTRL_SMMU_STEER_ISO                   _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VICSRD1_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VICSRD1_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL5_0_VICSRD1_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VICSRD1_SMMU_STEERING_CTRL_RANGE                        2:2
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VICSRD1_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VICSRD1_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VICSRD1_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VICSRD1_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VICSRD1_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VICSRD1_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VICSRD1_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VICSRD1_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VICSRD1_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VICSRD1_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDECSRD1_SMMU_STEERING_CTRL_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDECSRD1_SMMU_STEERING_CTRL_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDECSRD1_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDECSRD1_SMMU_STEERING_CTRL_RANGE                      3:3
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDECSRD1_SMMU_STEERING_CTRL_WOFFSET                    0x0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDECSRD1_SMMU_STEERING_CTRL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDECSRD1_SMMU_STEERING_CTRL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDECSRD1_SMMU_STEERING_CTRL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDECSRD1_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDECSRD1_SMMU_STEERING_CTRL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDECSRD1_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDECSRD1_SMMU_STEERING_CTRL_INIT_ENUM                  SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDECSRD1_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_NVDECSRD1_SMMU_STEERING_CTRL_SMMU_STEER_ISO                     _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0R_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0R_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0R_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0R_SMMU_STEERING_CTRL_RANGE                  6:6
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0R_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0R_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0R_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0R_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0R_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0R_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0R_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0R_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0R_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0R_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0W_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0W_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0W_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0W_SMMU_STEERING_CTRL_RANGE                  7:7
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0W_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0W_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0W_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0W_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0W_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0W_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0W_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0W_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0W_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU0W_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1R_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1R_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1R_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1R_SMMU_STEERING_CTRL_RANGE                  8:8
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1R_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1R_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1R_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1R_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1R_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1R_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1R_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1R_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1R_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1R_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1W_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1W_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1W_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1W_SMMU_STEERING_CTRL_RANGE                  9:9
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1W_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1W_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1W_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1W_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1W_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1W_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1W_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1W_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1W_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU1W_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2R_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2R_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2R_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2R_SMMU_STEERING_CTRL_RANGE                  14:14
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2R_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2R_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2R_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2R_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2R_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2R_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2R_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2R_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2R_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2R_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2W_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2W_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2W_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2W_SMMU_STEERING_CTRL_RANGE                  15:15
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2W_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2W_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2W_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2W_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2W_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2W_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2W_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2W_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2W_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU2W_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3R_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3R_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3R_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3R_SMMU_STEERING_CTRL_RANGE                  16:16
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3R_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3R_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3R_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3R_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3R_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3R_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3R_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3R_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3R_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3R_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3W_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3W_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3W_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3W_SMMU_STEERING_CTRL_RANGE                  17:17
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3W_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3W_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3W_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3W_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3W_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3W_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3W_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3W_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3W_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU3W_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4R_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4R_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4R_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4R_SMMU_STEERING_CTRL_RANGE                  18:18
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4R_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4R_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4R_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4R_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4R_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4R_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4R_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4R_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4R_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4R_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4W_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4W_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4W_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4W_SMMU_STEERING_CTRL_RANGE                  19:19
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4W_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4W_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4W_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4W_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4W_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4W_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4W_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4W_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4W_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_MIU4W_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALR_SMMU_STEERING_CTRL_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALR_SMMU_STEERING_CTRL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALR_SMMU_STEERING_CTRL_RANGE                 28:28
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALR_SMMU_STEERING_CTRL_WOFFSET                       0x0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALR_SMMU_STEERING_CTRL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALR_SMMU_STEERING_CTRL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALR_SMMU_STEERING_CTRL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALR_SMMU_STEERING_CTRL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALR_SMMU_STEERING_CTRL_INIT_ENUM                     SMMU_STEER_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALW_SMMU_STEERING_CTRL_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALW_SMMU_STEERING_CTRL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALW_SMMU_STEERING_CTRL_RANGE                 29:29
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALW_SMMU_STEERING_CTRL_WOFFSET                       0x0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALW_SMMU_STEERING_CTRL_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALW_SMMU_STEERING_CTRL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALW_SMMU_STEERING_CTRL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALW_SMMU_STEERING_CTRL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALW_SMMU_STEERING_CTRL_INIT_ENUM                     SMMU_STEER_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_VIFALW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0RDA_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(30)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0RDA_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0RDA_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0RDA_SMMU_STEERING_CTRL_RANGE                        30:30
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0RDA_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0RDA_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0RDA_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0RDA_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0RDA_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0RDA_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0RDA_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0RDA_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0RDA_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0RDA_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0FALRDB_SMMU_STEERING_CTRL_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0FALRDB_SMMU_STEERING_CTRL_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0FALRDB_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0FALRDB_SMMU_STEERING_CTRL_RANGE                     31:31
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0FALRDB_SMMU_STEERING_CTRL_WOFFSET                   0x0
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0FALRDB_SMMU_STEERING_CTRL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0FALRDB_SMMU_STEERING_CTRL_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0FALRDB_SMMU_STEERING_CTRL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0FALRDB_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0FALRDB_SMMU_STEERING_CTRL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0FALRDB_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0FALRDB_SMMU_STEERING_CTRL_INIT_ENUM                 SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0FALRDB_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL5_0_DLA0FALRDB_SMMU_STEERING_CTRL_SMMU_STEER_ISO                    _MK_ENUM_CONST(1)


// Register MC_SMMU_CLIENT_STEERING_CTRL6_0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0                 _MK_ADDR_CONST(0x298c)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_SECURE                  0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DUAL                    0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_SCR                     0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_WORD_COUNT                      0x1
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0WRA_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0WRA_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0WRA_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0WRA_SMMU_STEERING_CTRL_RANGE                        0:0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0WRA_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0WRA_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0WRA_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0WRA_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0WRA_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0WRA_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0WRA_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0WRA_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0WRA_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0WRA_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0FALWRB_SMMU_STEERING_CTRL_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0FALWRB_SMMU_STEERING_CTRL_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0FALWRB_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0FALWRB_SMMU_STEERING_CTRL_RANGE                     1:1
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0FALWRB_SMMU_STEERING_CTRL_WOFFSET                   0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0FALWRB_SMMU_STEERING_CTRL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0FALWRB_SMMU_STEERING_CTRL_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0FALWRB_SMMU_STEERING_CTRL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0FALWRB_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0FALWRB_SMMU_STEERING_CTRL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0FALWRB_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0FALWRB_SMMU_STEERING_CTRL_INIT_ENUM                 SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0FALWRB_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA0FALWRB_SMMU_STEERING_CTRL_SMMU_STEER_ISO                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1RDA_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1RDA_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1RDA_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1RDA_SMMU_STEERING_CTRL_RANGE                        2:2
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1RDA_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1RDA_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1RDA_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1RDA_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1RDA_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1RDA_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1RDA_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1RDA_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1RDA_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1RDA_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALRDB_SMMU_STEERING_CTRL_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALRDB_SMMU_STEERING_CTRL_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALRDB_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALRDB_SMMU_STEERING_CTRL_RANGE                     3:3
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALRDB_SMMU_STEERING_CTRL_WOFFSET                   0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALRDB_SMMU_STEERING_CTRL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALRDB_SMMU_STEERING_CTRL_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALRDB_SMMU_STEERING_CTRL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALRDB_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALRDB_SMMU_STEERING_CTRL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALRDB_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALRDB_SMMU_STEERING_CTRL_INIT_ENUM                 SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALRDB_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALRDB_SMMU_STEERING_CTRL_SMMU_STEER_ISO                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1WRA_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1WRA_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1WRA_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1WRA_SMMU_STEERING_CTRL_RANGE                        4:4
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1WRA_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1WRA_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1WRA_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1WRA_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1WRA_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1WRA_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1WRA_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1WRA_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1WRA_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1WRA_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALWRB_SMMU_STEERING_CTRL_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALWRB_SMMU_STEERING_CTRL_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALWRB_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALWRB_SMMU_STEERING_CTRL_RANGE                     5:5
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALWRB_SMMU_STEERING_CTRL_WOFFSET                   0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALWRB_SMMU_STEERING_CTRL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALWRB_SMMU_STEERING_CTRL_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALWRB_SMMU_STEERING_CTRL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALWRB_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALWRB_SMMU_STEERING_CTRL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALWRB_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALWRB_SMMU_STEERING_CTRL_INIT_ENUM                 SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALWRB_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_DLA1FALWRB_SMMU_STEERING_CTRL_SMMU_STEER_ISO                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDA_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDA_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDA_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDA_SMMU_STEERING_CTRL_RANGE                        6:6
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDA_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDA_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDA_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDA_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDA_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDA_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDA_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDA_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDA_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDA_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDB_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDB_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDB_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDB_SMMU_STEERING_CTRL_RANGE                        7:7
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDB_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDB_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDB_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDB_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDB_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDB_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDB_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDB_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDB_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDB_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDC_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDC_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDC_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDC_SMMU_STEERING_CTRL_RANGE                        8:8
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDC_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDC_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDC_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDC_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDC_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDC_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDC_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDC_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDC_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0RDC_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRA_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRA_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRA_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRA_SMMU_STEERING_CTRL_RANGE                        9:9
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRA_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRA_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRA_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRA_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRA_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRA_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRA_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRA_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRA_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRA_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRB_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRB_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRB_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRB_SMMU_STEERING_CTRL_RANGE                        10:10
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRB_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRB_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRB_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRB_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRB_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRB_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRB_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRB_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRB_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRB_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRC_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRC_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRC_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRC_SMMU_STEERING_CTRL_RANGE                        11:11
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRC_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRC_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRC_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRC_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRC_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRC_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRC_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRC_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRC_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA0WRC_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDA_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDA_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDA_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDA_SMMU_STEERING_CTRL_RANGE                        12:12
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDA_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDA_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDA_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDA_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDA_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDA_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDA_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDA_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDA_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDA_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDB_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDB_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDB_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDB_SMMU_STEERING_CTRL_RANGE                        13:13
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDB_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDB_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDB_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDB_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDB_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDB_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDB_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDB_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDB_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDB_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDC_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDC_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDC_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDC_SMMU_STEERING_CTRL_RANGE                        14:14
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDC_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDC_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDC_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDC_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDC_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDC_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDC_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDC_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDC_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1RDC_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRA_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(15)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRA_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRA_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRA_SMMU_STEERING_CTRL_RANGE                        15:15
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRA_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRA_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRA_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRA_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRA_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRA_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRA_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRA_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRA_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRA_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRB_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRB_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRB_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRB_SMMU_STEERING_CTRL_RANGE                        16:16
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRB_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRB_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRB_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRB_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRB_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRB_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRB_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRB_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRB_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRB_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRC_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRC_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRC_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRC_SMMU_STEERING_CTRL_RANGE                        17:17
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRC_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRC_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRC_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRC_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRC_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRC_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRC_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRC_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRC_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PVA1WRC_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCER_SMMU_STEERING_CTRL_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCER_SMMU_STEERING_CTRL_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_RCER_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCER_SMMU_STEERING_CTRL_RANGE                   18:18
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCER_SMMU_STEERING_CTRL_WOFFSET                 0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCER_SMMU_STEERING_CTRL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCER_SMMU_STEERING_CTRL_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCER_SMMU_STEERING_CTRL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCER_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCER_SMMU_STEERING_CTRL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCER_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCER_SMMU_STEERING_CTRL_INIT_ENUM                       SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCER_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCER_SMMU_STEERING_CTRL_SMMU_STEER_ISO                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEW_SMMU_STEERING_CTRL_SHIFT                   _MK_SHIFT_CONST(19)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEW_SMMU_STEERING_CTRL_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEW_SMMU_STEERING_CTRL_RANGE                   19:19
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEW_SMMU_STEERING_CTRL_WOFFSET                 0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEW_SMMU_STEERING_CTRL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEW_SMMU_STEERING_CTRL_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEW_SMMU_STEERING_CTRL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEW_SMMU_STEERING_CTRL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEW_SMMU_STEERING_CTRL_INIT_ENUM                       SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                      _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                  _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAR_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAR_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAR_SMMU_STEERING_CTRL_RANGE                        20:20
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAR_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAR_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAR_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAR_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAR_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAR_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAW_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAW_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAW_SMMU_STEERING_CTRL_RANGE                        21:21
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAW_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAW_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAW_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAW_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAW_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAW_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_RCEDMAW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SRD_SMMU_STEERING_CTRL_SHIFT                      _MK_SHIFT_CONST(22)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SRD_SMMU_STEERING_CTRL_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SRD_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SRD_SMMU_STEERING_CTRL_RANGE                      22:22
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SRD_SMMU_STEERING_CTRL_WOFFSET                    0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SRD_SMMU_STEERING_CTRL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SRD_SMMU_STEERING_CTRL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SRD_SMMU_STEERING_CTRL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SRD_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SRD_SMMU_STEERING_CTRL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SRD_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SRD_SMMU_STEERING_CTRL_INIT_ENUM                  SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SRD_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SRD_SMMU_STEERING_CTRL_SMMU_STEER_ISO                     _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SWR_SMMU_STEERING_CTRL_SHIFT                      _MK_SHIFT_CONST(23)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SWR_SMMU_STEERING_CTRL_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SWR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SWR_SMMU_STEERING_CTRL_RANGE                      23:23
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SWR_SMMU_STEERING_CTRL_WOFFSET                    0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SWR_SMMU_STEERING_CTRL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SWR_SMMU_STEERING_CTRL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SWR_SMMU_STEERING_CTRL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SWR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SWR_SMMU_STEERING_CTRL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SWR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SWR_SMMU_STEERING_CTRL_INIT_ENUM                  SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SWR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_NVENC1SWR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                     _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0R_SMMU_STEERING_CTRL_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0R_SMMU_STEERING_CTRL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0R_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0R_SMMU_STEERING_CTRL_RANGE                 24:24
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0R_SMMU_STEERING_CTRL_WOFFSET                       0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0R_SMMU_STEERING_CTRL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0R_SMMU_STEERING_CTRL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0R_SMMU_STEERING_CTRL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0R_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0R_SMMU_STEERING_CTRL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0R_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0R_SMMU_STEERING_CTRL_INIT_ENUM                     SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0R_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0R_SMMU_STEERING_CTRL_SMMU_STEER_ISO                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0W_SMMU_STEERING_CTRL_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0W_SMMU_STEERING_CTRL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0W_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0W_SMMU_STEERING_CTRL_RANGE                 25:25
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0W_SMMU_STEERING_CTRL_WOFFSET                       0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0W_SMMU_STEERING_CTRL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0W_SMMU_STEERING_CTRL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0W_SMMU_STEERING_CTRL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0W_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0W_SMMU_STEERING_CTRL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0W_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0W_SMMU_STEERING_CTRL_INIT_ENUM                     SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0W_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE0W_SMMU_STEERING_CTRL_SMMU_STEER_ISO                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1R_SMMU_STEERING_CTRL_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1R_SMMU_STEERING_CTRL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1R_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1R_SMMU_STEERING_CTRL_RANGE                 26:26
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1R_SMMU_STEERING_CTRL_WOFFSET                       0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1R_SMMU_STEERING_CTRL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1R_SMMU_STEERING_CTRL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1R_SMMU_STEERING_CTRL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1R_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1R_SMMU_STEERING_CTRL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1R_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1R_SMMU_STEERING_CTRL_INIT_ENUM                     SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1R_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1R_SMMU_STEERING_CTRL_SMMU_STEER_ISO                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1W_SMMU_STEERING_CTRL_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1W_SMMU_STEERING_CTRL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1W_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1W_SMMU_STEERING_CTRL_RANGE                 27:27
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1W_SMMU_STEERING_CTRL_WOFFSET                       0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1W_SMMU_STEERING_CTRL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1W_SMMU_STEERING_CTRL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1W_SMMU_STEERING_CTRL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1W_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1W_SMMU_STEERING_CTRL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1W_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1W_SMMU_STEERING_CTRL_INIT_ENUM                     SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1W_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE1W_SMMU_STEERING_CTRL_SMMU_STEER_ISO                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AR_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(28)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AR_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AR_SMMU_STEERING_CTRL_RANGE                        28:28
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AR_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AR_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AR_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AR_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AR_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AR_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AW_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(29)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AW_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AW_SMMU_STEERING_CTRL_RANGE                        29:29
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AW_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AW_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AW_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AW_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AW_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AW_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE2AW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3R_SMMU_STEERING_CTRL_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3R_SMMU_STEERING_CTRL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3R_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3R_SMMU_STEERING_CTRL_RANGE                 30:30
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3R_SMMU_STEERING_CTRL_WOFFSET                       0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3R_SMMU_STEERING_CTRL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3R_SMMU_STEERING_CTRL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3R_SMMU_STEERING_CTRL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3R_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3R_SMMU_STEERING_CTRL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3R_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3R_SMMU_STEERING_CTRL_INIT_ENUM                     SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3R_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3R_SMMU_STEERING_CTRL_SMMU_STEER_ISO                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3W_SMMU_STEERING_CTRL_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3W_SMMU_STEERING_CTRL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3W_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3W_SMMU_STEERING_CTRL_RANGE                 31:31
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3W_SMMU_STEERING_CTRL_WOFFSET                       0x0
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3W_SMMU_STEERING_CTRL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3W_SMMU_STEERING_CTRL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3W_SMMU_STEERING_CTRL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3W_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3W_SMMU_STEERING_CTRL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3W_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3W_SMMU_STEERING_CTRL_INIT_ENUM                     SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3W_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL6_0_PCIE3W_SMMU_STEERING_CTRL_SMMU_STEER_ISO                        _MK_ENUM_CONST(1)


// Register MC_SMMU_CLIENT_STEERING_CTRL7_0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0                 _MK_ADDR_CONST(0x2990)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_SECURE                  0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DUAL                    0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_SCR                     0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_WORD_COUNT                      0x1
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_RESET_MASK                      _MK_MASK_CONST(0xfe0ffe1f)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_READ_MASK                       _MK_MASK_CONST(0xfe0ffe1f)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_WRITE_MASK                      _MK_MASK_CONST(0xfe0ffe1f)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4R_SMMU_STEERING_CTRL_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4R_SMMU_STEERING_CTRL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4R_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4R_SMMU_STEERING_CTRL_RANGE                 0:0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4R_SMMU_STEERING_CTRL_WOFFSET                       0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4R_SMMU_STEERING_CTRL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4R_SMMU_STEERING_CTRL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4R_SMMU_STEERING_CTRL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4R_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4R_SMMU_STEERING_CTRL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4R_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4R_SMMU_STEERING_CTRL_INIT_ENUM                     SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4R_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4R_SMMU_STEERING_CTRL_SMMU_STEER_ISO                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4W_SMMU_STEERING_CTRL_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4W_SMMU_STEERING_CTRL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4W_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4W_SMMU_STEERING_CTRL_RANGE                 1:1
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4W_SMMU_STEERING_CTRL_WOFFSET                       0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4W_SMMU_STEERING_CTRL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4W_SMMU_STEERING_CTRL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4W_SMMU_STEERING_CTRL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4W_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4W_SMMU_STEERING_CTRL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4W_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4W_SMMU_STEERING_CTRL_INIT_ENUM                     SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4W_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE4W_SMMU_STEERING_CTRL_SMMU_STEER_ISO                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R_SMMU_STEERING_CTRL_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R_SMMU_STEERING_CTRL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R_SMMU_STEERING_CTRL_RANGE                 2:2
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R_SMMU_STEERING_CTRL_WOFFSET                       0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R_SMMU_STEERING_CTRL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R_SMMU_STEERING_CTRL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R_SMMU_STEERING_CTRL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R_SMMU_STEERING_CTRL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R_SMMU_STEERING_CTRL_INIT_ENUM                     SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R_SMMU_STEERING_CTRL_SMMU_STEER_ISO                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5W_SMMU_STEERING_CTRL_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5W_SMMU_STEERING_CTRL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5W_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5W_SMMU_STEERING_CTRL_RANGE                 3:3
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5W_SMMU_STEERING_CTRL_WOFFSET                       0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5W_SMMU_STEERING_CTRL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5W_SMMU_STEERING_CTRL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5W_SMMU_STEERING_CTRL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5W_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5W_SMMU_STEERING_CTRL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5W_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5W_SMMU_STEERING_CTRL_INIT_ENUM                     SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5W_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5W_SMMU_STEERING_CTRL_SMMU_STEER_ISO                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPFALW_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPFALW_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPFALW_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPFALW_SMMU_STEERING_CTRL_RANGE                        4:4
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPFALW_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPFALW_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPFALW_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPFALW_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPFALW_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPFALW_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPFALW_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPFALW_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPFALW_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPFALW_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA0RDA1_SMMU_STEERING_CTRL_SHIFT                       _MK_SHIFT_CONST(9)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA0RDA1_SMMU_STEERING_CTRL_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA0RDA1_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA0RDA1_SMMU_STEERING_CTRL_RANGE                       9:9
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA0RDA1_SMMU_STEERING_CTRL_WOFFSET                     0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA0RDA1_SMMU_STEERING_CTRL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA0RDA1_SMMU_STEERING_CTRL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA0RDA1_SMMU_STEERING_CTRL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA0RDA1_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA0RDA1_SMMU_STEERING_CTRL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA0RDA1_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA0RDA1_SMMU_STEERING_CTRL_INIT_ENUM                   SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA0RDA1_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA0RDA1_SMMU_STEERING_CTRL_SMMU_STEER_ISO                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA1RDA1_SMMU_STEERING_CTRL_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA1RDA1_SMMU_STEERING_CTRL_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA1RDA1_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA1RDA1_SMMU_STEERING_CTRL_RANGE                       10:10
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA1RDA1_SMMU_STEERING_CTRL_WOFFSET                     0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA1RDA1_SMMU_STEERING_CTRL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA1RDA1_SMMU_STEERING_CTRL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA1RDA1_SMMU_STEERING_CTRL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA1RDA1_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA1RDA1_SMMU_STEERING_CTRL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA1RDA1_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA1RDA1_SMMU_STEERING_CTRL_INIT_ENUM                   SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA1RDA1_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_DLA1RDA1_SMMU_STEERING_CTRL_SMMU_STEER_ISO                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDA1_SMMU_STEERING_CTRL_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDA1_SMMU_STEERING_CTRL_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDA1_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDA1_SMMU_STEERING_CTRL_RANGE                       11:11
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDA1_SMMU_STEERING_CTRL_WOFFSET                     0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDA1_SMMU_STEERING_CTRL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDA1_SMMU_STEERING_CTRL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDA1_SMMU_STEERING_CTRL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDA1_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDA1_SMMU_STEERING_CTRL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDA1_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDA1_SMMU_STEERING_CTRL_INIT_ENUM                   SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDA1_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDA1_SMMU_STEERING_CTRL_SMMU_STEER_ISO                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDB1_SMMU_STEERING_CTRL_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDB1_SMMU_STEERING_CTRL_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDB1_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDB1_SMMU_STEERING_CTRL_RANGE                       12:12
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDB1_SMMU_STEERING_CTRL_WOFFSET                     0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDB1_SMMU_STEERING_CTRL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDB1_SMMU_STEERING_CTRL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDB1_SMMU_STEERING_CTRL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDB1_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDB1_SMMU_STEERING_CTRL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDB1_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDB1_SMMU_STEERING_CTRL_INIT_ENUM                   SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDB1_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA0RDB1_SMMU_STEERING_CTRL_SMMU_STEER_ISO                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDA1_SMMU_STEERING_CTRL_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDA1_SMMU_STEERING_CTRL_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDA1_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDA1_SMMU_STEERING_CTRL_RANGE                       13:13
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDA1_SMMU_STEERING_CTRL_WOFFSET                     0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDA1_SMMU_STEERING_CTRL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDA1_SMMU_STEERING_CTRL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDA1_SMMU_STEERING_CTRL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDA1_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDA1_SMMU_STEERING_CTRL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDA1_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDA1_SMMU_STEERING_CTRL_INIT_ENUM                   SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDA1_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDA1_SMMU_STEERING_CTRL_SMMU_STEER_ISO                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDB1_SMMU_STEERING_CTRL_SHIFT                       _MK_SHIFT_CONST(14)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDB1_SMMU_STEERING_CTRL_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDB1_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDB1_SMMU_STEERING_CTRL_RANGE                       14:14
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDB1_SMMU_STEERING_CTRL_WOFFSET                     0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDB1_SMMU_STEERING_CTRL_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDB1_SMMU_STEERING_CTRL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDB1_SMMU_STEERING_CTRL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDB1_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDB1_SMMU_STEERING_CTRL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDB1_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDB1_SMMU_STEERING_CTRL_INIT_ENUM                   SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDB1_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                  _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PVA1RDB1_SMMU_STEERING_CTRL_SMMU_STEER_ISO                      _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R1_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(15)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R1_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R1_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R1_SMMU_STEERING_CTRL_RANGE                        15:15
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R1_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R1_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R1_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R1_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R1_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R1_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R1_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R1_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R1_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE5R1_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENCSRD1_SMMU_STEERING_CTRL_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENCSRD1_SMMU_STEERING_CTRL_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENCSRD1_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENCSRD1_SMMU_STEERING_CTRL_RANGE                      16:16
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENCSRD1_SMMU_STEERING_CTRL_WOFFSET                    0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENCSRD1_SMMU_STEERING_CTRL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENCSRD1_SMMU_STEERING_CTRL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENCSRD1_SMMU_STEERING_CTRL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENCSRD1_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENCSRD1_SMMU_STEERING_CTRL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENCSRD1_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENCSRD1_SMMU_STEERING_CTRL_INIT_ENUM                  SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENCSRD1_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENCSRD1_SMMU_STEERING_CTRL_SMMU_STEER_ISO                     _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENC1SRD1_SMMU_STEERING_CTRL_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENC1SRD1_SMMU_STEERING_CTRL_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENC1SRD1_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENC1SRD1_SMMU_STEERING_CTRL_RANGE                     17:17
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENC1SRD1_SMMU_STEERING_CTRL_WOFFSET                   0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENC1SRD1_SMMU_STEERING_CTRL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENC1SRD1_SMMU_STEERING_CTRL_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENC1SRD1_SMMU_STEERING_CTRL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENC1SRD1_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENC1SRD1_SMMU_STEERING_CTRL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENC1SRD1_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENC1SRD1_SMMU_STEERING_CTRL_INIT_ENUM                 SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENC1SRD1_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVENC1SRD1_SMMU_STEERING_CTRL_SMMU_STEER_ISO                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPRA1_SMMU_STEERING_CTRL_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPRA1_SMMU_STEERING_CTRL_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPRA1_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPRA1_SMMU_STEERING_CTRL_RANGE                 18:18
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPRA1_SMMU_STEERING_CTRL_WOFFSET                       0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPRA1_SMMU_STEERING_CTRL_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPRA1_SMMU_STEERING_CTRL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPRA1_SMMU_STEERING_CTRL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPRA1_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPRA1_SMMU_STEERING_CTRL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPRA1_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPRA1_SMMU_STEERING_CTRL_INIT_ENUM                     SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPRA1_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                    _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_ISPRA1_SMMU_STEERING_CTRL_SMMU_STEER_ISO                        _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE0R1_SMMU_STEERING_CTRL_SHIFT                        _MK_SHIFT_CONST(19)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE0R1_SMMU_STEERING_CTRL_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE0R1_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE0R1_SMMU_STEERING_CTRL_RANGE                        19:19
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE0R1_SMMU_STEERING_CTRL_WOFFSET                      0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE0R1_SMMU_STEERING_CTRL_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE0R1_SMMU_STEERING_CTRL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE0R1_SMMU_STEERING_CTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE0R1_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE0R1_SMMU_STEERING_CTRL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE0R1_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE0R1_SMMU_STEERING_CTRL_INIT_ENUM                    SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE0R1_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                   _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_PCIE0R1_SMMU_STEERING_CTRL_SMMU_STEER_ISO                       _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD_SMMU_STEERING_CTRL_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD_SMMU_STEERING_CTRL_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD_SMMU_STEERING_CTRL_RANGE                      25:25
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD_SMMU_STEERING_CTRL_WOFFSET                    0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD_SMMU_STEERING_CTRL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD_SMMU_STEERING_CTRL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD_SMMU_STEERING_CTRL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD_SMMU_STEERING_CTRL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD_SMMU_STEERING_CTRL_INIT_ENUM                  SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD_SMMU_STEERING_CTRL_SMMU_STEER_ISO                     _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD1_SMMU_STEERING_CTRL_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD1_SMMU_STEERING_CTRL_FIELD                     _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD1_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD1_SMMU_STEERING_CTRL_RANGE                     26:26
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD1_SMMU_STEERING_CTRL_WOFFSET                   0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD1_SMMU_STEERING_CTRL_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD1_SMMU_STEERING_CTRL_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD1_SMMU_STEERING_CTRL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD1_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD1_SMMU_STEERING_CTRL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD1_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD1_SMMU_STEERING_CTRL_INIT_ENUM                 SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD1_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                        _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SRD1_SMMU_STEERING_CTRL_SMMU_STEER_ISO                    _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SWR_SMMU_STEERING_CTRL_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SWR_SMMU_STEERING_CTRL_FIELD                      _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SWR_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SWR_SMMU_STEERING_CTRL_RANGE                      27:27
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SWR_SMMU_STEERING_CTRL_WOFFSET                    0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SWR_SMMU_STEERING_CTRL_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SWR_SMMU_STEERING_CTRL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SWR_SMMU_STEERING_CTRL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SWR_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SWR_SMMU_STEERING_CTRL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SWR_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SWR_SMMU_STEERING_CTRL_INIT_ENUM                  SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SWR_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                 _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_NVDEC1SWR_SMMU_STEERING_CTRL_SMMU_STEER_ISO                     _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5R_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5R_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5R_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5R_SMMU_STEERING_CTRL_RANGE                  28:28
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5R_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5R_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5R_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5R_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5R_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5R_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5R_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5R_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5R_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5R_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5W_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5W_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5W_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5W_SMMU_STEERING_CTRL_RANGE                  29:29
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5W_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5W_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5W_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5W_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5W_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5W_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5W_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5W_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5W_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU5W_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6R_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6R_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6R_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6R_SMMU_STEERING_CTRL_RANGE                  30:30
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6R_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6R_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6R_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6R_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6R_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6R_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6R_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6R_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6R_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6R_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)

#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6W_SMMU_STEERING_CTRL_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6W_SMMU_STEERING_CTRL_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6W_SMMU_STEERING_CTRL_SHIFT)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6W_SMMU_STEERING_CTRL_RANGE                  31:31
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6W_SMMU_STEERING_CTRL_WOFFSET                        0x0
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6W_SMMU_STEERING_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6W_SMMU_STEERING_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6W_SMMU_STEERING_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6W_SMMU_STEERING_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6W_SMMU_STEERING_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6W_SMMU_STEERING_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6W_SMMU_STEERING_CTRL_INIT_ENUM                      SMMU_STEER_NON_ISO
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6W_SMMU_STEERING_CTRL_SMMU_STEER_NON_ISO                     _MK_ENUM_CONST(0)
#define MC_SMMU_CLIENT_STEERING_CTRL7_0_MIU6W_SMMU_STEERING_CTRL_SMMU_STEER_ISO                 _MK_ENUM_CONST(1)


// Register MC_SMMU_BYPASS_CONFIG_0
#define MC_SMMU_BYPASS_CONFIG_0                 _MK_ADDR_CONST(0x1820)
#define MC_SMMU_BYPASS_CONFIG_0_SECURE                  0x0
#define MC_SMMU_BYPASS_CONFIG_0_DUAL                    0x0
#define MC_SMMU_BYPASS_CONFIG_0_SCR                     0
#define MC_SMMU_BYPASS_CONFIG_0_WORD_COUNT                      0x1
#define MC_SMMU_BYPASS_CONFIG_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SMMU_BYPASS_CONFIG_0_RESET_MASK                      _MK_MASK_CONST(0x80000013)
#define MC_SMMU_BYPASS_CONFIG_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x80000002)
#define MC_SMMU_BYPASS_CONFIG_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x80000003)
#define MC_SMMU_BYPASS_CONFIG_0_READ_MASK                       _MK_MASK_CONST(0x80000013)
#define MC_SMMU_BYPASS_CONFIG_0_WRITE_MASK                      _MK_MASK_CONST(0x80000013)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CTRL_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CTRL_FIELD                  _MK_FIELD_CONST(0x3, MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CTRL_SHIFT)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CTRL_RANGE                  1:0
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CTRL_WOFFSET                        0x0
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x2)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CTRL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CTRL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CTRL_TBU_BYPASS                     _MK_ENUM_CONST(0)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CTRL_TBU_RESERVED                   _MK_ENUM_CONST(1)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CTRL_TBU_BYPASS_SID                 _MK_ENUM_CONST(2)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CTRL_TBU_TRANSLATED                 _MK_ENUM_CONST(3)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CTRL__PROD                  _MK_MASK_CONST(0x2)

#define MC_SMMU_BYPASS_CONFIG_0_STALL_ON_BARRIER_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_SMMU_BYPASS_CONFIG_0_STALL_ON_BARRIER_FIELD                  _MK_FIELD_CONST(0x1, MC_SMMU_BYPASS_CONFIG_0_STALL_ON_BARRIER_SHIFT)
#define MC_SMMU_BYPASS_CONFIG_0_STALL_ON_BARRIER_RANGE                  4:4
#define MC_SMMU_BYPASS_CONFIG_0_STALL_ON_BARRIER_WOFFSET                        0x0
#define MC_SMMU_BYPASS_CONFIG_0_STALL_ON_BARRIER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SMMU_BYPASS_CONFIG_0_STALL_ON_BARRIER_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_SMMU_BYPASS_CONFIG_0_STALL_ON_BARRIER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SMMU_BYPASS_CONFIG_0_STALL_ON_BARRIER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_BYPASS_CONFIG_0_STALL_ON_BARRIER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SMMU_BYPASS_CONFIG_0_STALL_ON_BARRIER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_BYPASS_CONFIG_0_STALL_ON_BARRIER_DISABLE                        _MK_ENUM_CONST(0)
#define MC_SMMU_BYPASS_CONFIG_0_STALL_ON_BARRIER_ENABLE                 _MK_ENUM_CONST(1)

#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CONFIG_WRITE_ACCESS_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CONFIG_WRITE_ACCESS_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CONFIG_WRITE_ACCESS_SHIFT)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CONFIG_WRITE_ACCESS_RANGE                   31:31
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CONFIG_WRITE_ACCESS_WOFFSET                 0x0
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CONFIG_WRITE_ACCESS_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CONFIG_WRITE_ACCESS_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CONFIG_WRITE_ACCESS_SW_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CONFIG_WRITE_ACCESS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CONFIG_WRITE_ACCESS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CONFIG_WRITE_ACCESS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CONFIG_WRITE_ACCESS_INIT_ENUM                       ENABLED
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CONFIG_WRITE_ACCESS_ENABLED                 _MK_ENUM_CONST(0)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CONFIG_WRITE_ACCESS_DISABLED                        _MK_ENUM_CONST(1)
#define MC_SMMU_BYPASS_CONFIG_0_SMMU_BYPASS_CONFIG_WRITE_ACCESS__PROD                   _MK_MASK_CONST(0x1)


// Register MC_CLIENT_CCI_CAPABLE_0_0
#define MC_CLIENT_CCI_CAPABLE_0_0                       _MK_ADDR_CONST(0x1824)
#define MC_CLIENT_CCI_CAPABLE_0_0_SECURE                        0x0
#define MC_CLIENT_CCI_CAPABLE_0_0_DUAL                  0x0
#define MC_CLIENT_CCI_CAPABLE_0_0_SCR                   0
#define MC_CLIENT_CCI_CAPABLE_0_0_WORD_COUNT                    0x1
#define MC_CLIENT_CCI_CAPABLE_0_0_RESET_VAL                     _MK_MASK_CONST(0x90600007)
#define MC_CLIENT_CCI_CAPABLE_0_0_RESET_MASK                    _MK_MASK_CONST(0x90600007)
#define MC_CLIENT_CCI_CAPABLE_0_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_READ_MASK                     _MK_MASK_CONST(0x90600007)
#define MC_CLIENT_CCI_CAPABLE_0_0_WRITE_MASK                    _MK_MASK_CONST(0x90600007)
#define MC_CLIENT_CCI_CAPABLE_0_0_PTCR_CCI_CAPABLE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_0_0_PTCR_CCI_CAPABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_0_0_PTCR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_0_0_PTCR_CCI_CAPABLE_RANGE                        0:0
#define MC_CLIENT_CCI_CAPABLE_0_0_PTCR_CCI_CAPABLE_WOFFSET                      0x0
#define MC_CLIENT_CCI_CAPABLE_0_0_PTCR_CCI_CAPABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_0_0_PTCR_CCI_CAPABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_0_0_PTCR_CCI_CAPABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_PTCR_CCI_CAPABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_PTCR_CCI_CAPABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_PTCR_CCI_CAPABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_0_0_PTCR_CCI_CAPABLE_INIT_ENUM                    CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_0_0_PTCR_CCI_CAPABLE_CCI_INCAPABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_0_0_PTCR_CCI_CAPABLE_CCI_CAPABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7R_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7R_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_0_0_MIU7R_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7R_CCI_CAPABLE_RANGE                       1:1
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7R_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7R_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7R_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7R_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7R_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7R_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7R_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7R_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7R_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7R_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7W_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(2)
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7W_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_0_0_MIU7W_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7W_CCI_CAPABLE_RANGE                       2:2
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7W_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7W_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7W_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7W_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7W_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7W_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7W_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7W_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7W_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_0_0_MIU7W_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_0_0_HDAR_CCI_CAPABLE_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_CLIENT_CCI_CAPABLE_0_0_HDAR_CCI_CAPABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_0_0_HDAR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_0_0_HDAR_CCI_CAPABLE_RANGE                        21:21
#define MC_CLIENT_CCI_CAPABLE_0_0_HDAR_CCI_CAPABLE_WOFFSET                      0x0
#define MC_CLIENT_CCI_CAPABLE_0_0_HDAR_CCI_CAPABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_0_0_HDAR_CCI_CAPABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_0_0_HDAR_CCI_CAPABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_HDAR_CCI_CAPABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_HDAR_CCI_CAPABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_HDAR_CCI_CAPABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_0_0_HDAR_CCI_CAPABLE_INIT_ENUM                    CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_0_0_HDAR_CCI_CAPABLE_CCI_INCAPABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_0_0_HDAR_CCI_CAPABLE_CCI_CAPABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_0_0_HOST1XDMAR_CCI_CAPABLE_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_CLIENT_CCI_CAPABLE_0_0_HOST1XDMAR_CCI_CAPABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_0_0_HOST1XDMAR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_0_0_HOST1XDMAR_CCI_CAPABLE_RANGE                  22:22
#define MC_CLIENT_CCI_CAPABLE_0_0_HOST1XDMAR_CCI_CAPABLE_WOFFSET                        0x0
#define MC_CLIENT_CCI_CAPABLE_0_0_HOST1XDMAR_CCI_CAPABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_0_0_HOST1XDMAR_CCI_CAPABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_0_0_HOST1XDMAR_CCI_CAPABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_HOST1XDMAR_CCI_CAPABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_HOST1XDMAR_CCI_CAPABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_HOST1XDMAR_CCI_CAPABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_0_0_HOST1XDMAR_CCI_CAPABLE_INIT_ENUM                      CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_0_0_HOST1XDMAR_CCI_CAPABLE_CCI_INCAPABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_0_0_HOST1XDMAR_CCI_CAPABLE_CCI_CAPABLE                    _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_0_0_NVENCSRD_CCI_CAPABLE_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_CLIENT_CCI_CAPABLE_0_0_NVENCSRD_CCI_CAPABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_0_0_NVENCSRD_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_0_0_NVENCSRD_CCI_CAPABLE_RANGE                    28:28
#define MC_CLIENT_CCI_CAPABLE_0_0_NVENCSRD_CCI_CAPABLE_WOFFSET                  0x0
#define MC_CLIENT_CCI_CAPABLE_0_0_NVENCSRD_CCI_CAPABLE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_0_0_NVENCSRD_CCI_CAPABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_0_0_NVENCSRD_CCI_CAPABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_NVENCSRD_CCI_CAPABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_NVENCSRD_CCI_CAPABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_NVENCSRD_CCI_CAPABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_0_0_NVENCSRD_CCI_CAPABLE_INIT_ENUM                        CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_0_0_NVENCSRD_CCI_CAPABLE_CCI_INCAPABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_0_0_NVENCSRD_CCI_CAPABLE_CCI_CAPABLE                      _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_0_0_SATAR_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_CLIENT_CCI_CAPABLE_0_0_SATAR_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_0_0_SATAR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_0_0_SATAR_CCI_CAPABLE_RANGE                       31:31
#define MC_CLIENT_CCI_CAPABLE_0_0_SATAR_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_0_0_SATAR_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_0_0_SATAR_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_0_0_SATAR_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_SATAR_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_SATAR_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_0_0_SATAR_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_0_0_SATAR_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_0_0_SATAR_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_0_0_SATAR_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)


// Register MC_CLIENT_CCI_CAPABLE_1_0
#define MC_CLIENT_CCI_CAPABLE_1_0                       _MK_ADDR_CONST(0x1828)
#define MC_CLIENT_CCI_CAPABLE_1_0_SECURE                        0x0
#define MC_CLIENT_CCI_CAPABLE_1_0_DUAL                  0x0
#define MC_CLIENT_CCI_CAPABLE_1_0_SCR                   0
#define MC_CLIENT_CCI_CAPABLE_1_0_WORD_COUNT                    0x1
#define MC_CLIENT_CCI_CAPABLE_1_0_RESET_VAL                     _MK_MASK_CONST(0x22200880)
#define MC_CLIENT_CCI_CAPABLE_1_0_RESET_MASK                    _MK_MASK_CONST(0x22200880)
#define MC_CLIENT_CCI_CAPABLE_1_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_1_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_1_0_READ_MASK                     _MK_MASK_CONST(0x22200880)
#define MC_CLIENT_CCI_CAPABLE_1_0_WRITE_MASK                    _MK_MASK_CONST(0x22200880)
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCORER_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(7)
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCORER_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_1_0_MPCORER_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCORER_CCI_CAPABLE_RANGE                     7:7
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCORER_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCORER_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCORER_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCORER_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCORER_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCORER_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCORER_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCORER_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCORER_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCORER_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_1_0_NVENCSWR_CCI_CAPABLE_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_CLIENT_CCI_CAPABLE_1_0_NVENCSWR_CCI_CAPABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_1_0_NVENCSWR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_1_0_NVENCSWR_CCI_CAPABLE_RANGE                    11:11
#define MC_CLIENT_CCI_CAPABLE_1_0_NVENCSWR_CCI_CAPABLE_WOFFSET                  0x0
#define MC_CLIENT_CCI_CAPABLE_1_0_NVENCSWR_CCI_CAPABLE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_1_0_NVENCSWR_CCI_CAPABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_1_0_NVENCSWR_CCI_CAPABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_1_0_NVENCSWR_CCI_CAPABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_1_0_NVENCSWR_CCI_CAPABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_1_0_NVENCSWR_CCI_CAPABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_1_0_NVENCSWR_CCI_CAPABLE_INIT_ENUM                        CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_1_0_NVENCSWR_CCI_CAPABLE_CCI_INCAPABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_1_0_NVENCSWR_CCI_CAPABLE_CCI_CAPABLE                      _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_1_0_HDAW_CCI_CAPABLE_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_CLIENT_CCI_CAPABLE_1_0_HDAW_CCI_CAPABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_1_0_HDAW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_1_0_HDAW_CCI_CAPABLE_RANGE                        21:21
#define MC_CLIENT_CCI_CAPABLE_1_0_HDAW_CCI_CAPABLE_WOFFSET                      0x0
#define MC_CLIENT_CCI_CAPABLE_1_0_HDAW_CCI_CAPABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_1_0_HDAW_CCI_CAPABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_1_0_HDAW_CCI_CAPABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_1_0_HDAW_CCI_CAPABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_1_0_HDAW_CCI_CAPABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_1_0_HDAW_CCI_CAPABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_1_0_HDAW_CCI_CAPABLE_INIT_ENUM                    CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_1_0_HDAW_CCI_CAPABLE_CCI_INCAPABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_1_0_HDAW_CCI_CAPABLE_CCI_CAPABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_1_0_MPCOREW_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCOREW_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_1_0_MPCOREW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCOREW_CCI_CAPABLE_RANGE                     25:25
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCOREW_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCOREW_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCOREW_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCOREW_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCOREW_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCOREW_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCOREW_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCOREW_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCOREW_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_1_0_MPCOREW_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_1_0_SATAW_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(29)
#define MC_CLIENT_CCI_CAPABLE_1_0_SATAW_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_1_0_SATAW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_1_0_SATAW_CCI_CAPABLE_RANGE                       29:29
#define MC_CLIENT_CCI_CAPABLE_1_0_SATAW_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_1_0_SATAW_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_1_0_SATAW_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_1_0_SATAW_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_1_0_SATAW_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_1_0_SATAW_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_1_0_SATAW_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_1_0_SATAW_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_1_0_SATAW_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_1_0_SATAW_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)


// Register MC_CLIENT_CCI_CAPABLE_2_0
#define MC_CLIENT_CCI_CAPABLE_2_0                       _MK_ADDR_CONST(0x182c)
#define MC_CLIENT_CCI_CAPABLE_2_0_SECURE                        0x0
#define MC_CLIENT_CCI_CAPABLE_2_0_DUAL                  0x0
#define MC_CLIENT_CCI_CAPABLE_2_0_SCR                   0
#define MC_CLIENT_CCI_CAPABLE_2_0_WORD_COUNT                    0x1
#define MC_CLIENT_CCI_CAPABLE_2_0_RESET_VAL                     _MK_MASK_CONST(0x303cf0)
#define MC_CLIENT_CCI_CAPABLE_2_0_RESET_MASK                    _MK_MASK_CONST(0x303cf0)
#define MC_CLIENT_CCI_CAPABLE_2_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_READ_MASK                     _MK_MASK_CONST(0x303cf0)
#define MC_CLIENT_CCI_CAPABLE_2_0_WRITE_MASK                    _MK_MASK_CONST(0x303cf0)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPRA_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPRA_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_2_0_ISPRA_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPRA_CCI_CAPABLE_RANGE                       4:4
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPRA_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPRA_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPRA_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPRA_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPRA_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPRA_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPRA_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPRA_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPRA_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPRA_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_2_0_ISPFALR_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPFALR_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_2_0_ISPFALR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPFALR_CCI_CAPABLE_RANGE                     5:5
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPFALR_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPFALR_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPFALR_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPFALR_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPFALR_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPFALR_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPFALR_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPFALR_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPFALR_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPFALR_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWA_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(6)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWA_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_2_0_ISPWA_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWA_CCI_CAPABLE_RANGE                       6:6
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWA_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWA_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWA_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWA_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWA_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWA_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWA_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWA_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWA_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWA_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWB_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWB_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_2_0_ISPWB_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWB_CCI_CAPABLE_RANGE                       7:7
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWB_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWB_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWB_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWB_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWB_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWB_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWB_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWB_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWB_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_2_0_ISPWB_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTR_CCI_CAPABLE_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTR_CCI_CAPABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTR_CCI_CAPABLE_RANGE                  10:10
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTR_CCI_CAPABLE_WOFFSET                        0x0
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTR_CCI_CAPABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTR_CCI_CAPABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTR_CCI_CAPABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTR_CCI_CAPABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTR_CCI_CAPABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTR_CCI_CAPABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTR_CCI_CAPABLE_INIT_ENUM                      CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTR_CCI_CAPABLE_CCI_INCAPABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTR_CCI_CAPABLE_CCI_CAPABLE                    _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTW_CCI_CAPABLE_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTW_CCI_CAPABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTW_CCI_CAPABLE_RANGE                  11:11
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTW_CCI_CAPABLE_WOFFSET                        0x0
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTW_CCI_CAPABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTW_CCI_CAPABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTW_CCI_CAPABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTW_CCI_CAPABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTW_CCI_CAPABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTW_CCI_CAPABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTW_CCI_CAPABLE_INIT_ENUM                      CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTW_CCI_CAPABLE_CCI_INCAPABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_HOSTW_CCI_CAPABLE_CCI_CAPABLE                    _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVR_CCI_CAPABLE_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVR_CCI_CAPABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVR_CCI_CAPABLE_RANGE                   12:12
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVR_CCI_CAPABLE_WOFFSET                 0x0
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVR_CCI_CAPABLE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVR_CCI_CAPABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVR_CCI_CAPABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVR_CCI_CAPABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVR_CCI_CAPABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVR_CCI_CAPABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVR_CCI_CAPABLE_INIT_ENUM                       CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVR_CCI_CAPABLE_CCI_INCAPABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVR_CCI_CAPABLE_CCI_CAPABLE                     _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVW_CCI_CAPABLE_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVW_CCI_CAPABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVW_CCI_CAPABLE_RANGE                   13:13
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVW_CCI_CAPABLE_WOFFSET                 0x0
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVW_CCI_CAPABLE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVW_CCI_CAPABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVW_CCI_CAPABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVW_CCI_CAPABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVW_CCI_CAPABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVW_CCI_CAPABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVW_CCI_CAPABLE_INIT_ENUM                       CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVW_CCI_CAPABLE_CCI_INCAPABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_2_0_XUSB_DEVW_CCI_CAPABLE_CCI_CAPABLE                     _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSRD_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(20)
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSRD_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_2_0_TSECSRD_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSRD_CCI_CAPABLE_RANGE                     20:20
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSRD_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSRD_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSRD_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSRD_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSRD_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSRD_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSRD_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSRD_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSRD_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSRD_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSWR_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSWR_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_2_0_TSECSWR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSWR_CCI_CAPABLE_RANGE                     21:21
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSWR_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSWR_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSWR_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSWR_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSWR_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSWR_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSWR_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSWR_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSWR_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_2_0_TSECSWR_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)


// Register MC_CLIENT_CCI_CAPABLE_3_0
#define MC_CLIENT_CCI_CAPABLE_3_0                       _MK_ADDR_CONST(0x1830)
#define MC_CLIENT_CCI_CAPABLE_3_0_SECURE                        0x0
#define MC_CLIENT_CCI_CAPABLE_3_0_DUAL                  0x0
#define MC_CLIENT_CCI_CAPABLE_3_0_SCR                   0
#define MC_CLIENT_CCI_CAPABLE_3_0_WORD_COUNT                    0x1
#define MC_CLIENT_CCI_CAPABLE_3_0_RESET_VAL                     _MK_MASK_CONST(0xcf0430dd)
#define MC_CLIENT_CCI_CAPABLE_3_0_RESET_MASK                    _MK_MASK_CONST(0xcf0430dd)
#define MC_CLIENT_CCI_CAPABLE_3_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_READ_MASK                     _MK_MASK_CONST(0xcf0430dd)
#define MC_CLIENT_CCI_CAPABLE_3_0_WRITE_MASK                    _MK_MASK_CONST(0xcf0430dd)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRA_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRA_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRA_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRA_CCI_CAPABLE_RANGE                     0:0
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRA_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRA_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRA_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRA_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRA_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRA_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRA_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRA_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRA_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRA_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCR_CCI_CAPABLE_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCR_CCI_CAPABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_3_0_SDMMCR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCR_CCI_CAPABLE_RANGE                      2:2
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCR_CCI_CAPABLE_WOFFSET                    0x0
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCR_CCI_CAPABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCR_CCI_CAPABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCR_CCI_CAPABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCR_CCI_CAPABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCR_CCI_CAPABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCR_CCI_CAPABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCR_CCI_CAPABLE_INIT_ENUM                  CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCR_CCI_CAPABLE_CCI_INCAPABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCR_CCI_CAPABLE_CCI_CAPABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRAB_CCI_CAPABLE_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRAB_CCI_CAPABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRAB_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRAB_CCI_CAPABLE_RANGE                    3:3
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRAB_CCI_CAPABLE_WOFFSET                  0x0
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRAB_CCI_CAPABLE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRAB_CCI_CAPABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRAB_CCI_CAPABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRAB_CCI_CAPABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRAB_CCI_CAPABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRAB_CCI_CAPABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRAB_CCI_CAPABLE_INIT_ENUM                        CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRAB_CCI_CAPABLE_CCI_INCAPABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCRAB_CCI_CAPABLE_CCI_CAPABLE                      _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWA_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWA_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWA_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWA_CCI_CAPABLE_RANGE                     4:4
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWA_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWA_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWA_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWA_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWA_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWA_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWA_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWA_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWA_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWA_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCW_CCI_CAPABLE_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCW_CCI_CAPABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_3_0_SDMMCW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCW_CCI_CAPABLE_RANGE                      6:6
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCW_CCI_CAPABLE_WOFFSET                    0x0
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCW_CCI_CAPABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCW_CCI_CAPABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCW_CCI_CAPABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCW_CCI_CAPABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCW_CCI_CAPABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCW_CCI_CAPABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCW_CCI_CAPABLE_INIT_ENUM                  CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCW_CCI_CAPABLE_CCI_INCAPABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCW_CCI_CAPABLE_CCI_CAPABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWAB_CCI_CAPABLE_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWAB_CCI_CAPABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWAB_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWAB_CCI_CAPABLE_RANGE                    7:7
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWAB_CCI_CAPABLE_WOFFSET                  0x0
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWAB_CCI_CAPABLE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWAB_CCI_CAPABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWAB_CCI_CAPABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWAB_CCI_CAPABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWAB_CCI_CAPABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWAB_CCI_CAPABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWAB_CCI_CAPABLE_INIT_ENUM                        CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWAB_CCI_CAPABLE_CCI_INCAPABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_3_0_SDMMCWAB_CCI_CAPABLE_CCI_CAPABLE                      _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_3_0_VICSRD_CCI_CAPABLE_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSRD_CCI_CAPABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_3_0_VICSRD_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSRD_CCI_CAPABLE_RANGE                      12:12
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSRD_CCI_CAPABLE_WOFFSET                    0x0
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSRD_CCI_CAPABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSRD_CCI_CAPABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSRD_CCI_CAPABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSRD_CCI_CAPABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSRD_CCI_CAPABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSRD_CCI_CAPABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSRD_CCI_CAPABLE_INIT_ENUM                  CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSRD_CCI_CAPABLE_CCI_INCAPABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSRD_CCI_CAPABLE_CCI_CAPABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_3_0_VICSWR_CCI_CAPABLE_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSWR_CCI_CAPABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_3_0_VICSWR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSWR_CCI_CAPABLE_RANGE                      13:13
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSWR_CCI_CAPABLE_WOFFSET                    0x0
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSWR_CCI_CAPABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSWR_CCI_CAPABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSWR_CCI_CAPABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSWR_CCI_CAPABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSWR_CCI_CAPABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSWR_CCI_CAPABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSWR_CCI_CAPABLE_INIT_ENUM                  CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSWR_CCI_CAPABLE_CCI_INCAPABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_3_0_VICSWR_CCI_CAPABLE_CCI_CAPABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_3_0_VIW_CCI_CAPABLE_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_CLIENT_CCI_CAPABLE_3_0_VIW_CCI_CAPABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_3_0_VIW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_3_0_VIW_CCI_CAPABLE_RANGE                 18:18
#define MC_CLIENT_CCI_CAPABLE_3_0_VIW_CCI_CAPABLE_WOFFSET                       0x0
#define MC_CLIENT_CCI_CAPABLE_3_0_VIW_CCI_CAPABLE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_VIW_CCI_CAPABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_VIW_CCI_CAPABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_VIW_CCI_CAPABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_VIW_CCI_CAPABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_VIW_CCI_CAPABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_VIW_CCI_CAPABLE_INIT_ENUM                     CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_3_0_VIW_CCI_CAPABLE_CCI_INCAPABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_3_0_VIW_CCI_CAPABLE_CCI_CAPABLE                   _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSRD_CCI_CAPABLE_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSRD_CCI_CAPABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_3_0_NVDECSRD_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSRD_CCI_CAPABLE_RANGE                    24:24
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSRD_CCI_CAPABLE_WOFFSET                  0x0
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSRD_CCI_CAPABLE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSRD_CCI_CAPABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSRD_CCI_CAPABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSRD_CCI_CAPABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSRD_CCI_CAPABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSRD_CCI_CAPABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSRD_CCI_CAPABLE_INIT_ENUM                        CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSRD_CCI_CAPABLE_CCI_INCAPABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSRD_CCI_CAPABLE_CCI_CAPABLE                      _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSWR_CCI_CAPABLE_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSWR_CCI_CAPABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_3_0_NVDECSWR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSWR_CCI_CAPABLE_RANGE                    25:25
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSWR_CCI_CAPABLE_WOFFSET                  0x0
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSWR_CCI_CAPABLE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSWR_CCI_CAPABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSWR_CCI_CAPABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSWR_CCI_CAPABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSWR_CCI_CAPABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSWR_CCI_CAPABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSWR_CCI_CAPABLE_INIT_ENUM                        CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSWR_CCI_CAPABLE_CCI_INCAPABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVDECSWR_CCI_CAPABLE_CCI_CAPABLE                      _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_3_0_APER_CCI_CAPABLE_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_CLIENT_CCI_CAPABLE_3_0_APER_CCI_CAPABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_3_0_APER_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_3_0_APER_CCI_CAPABLE_RANGE                        26:26
#define MC_CLIENT_CCI_CAPABLE_3_0_APER_CCI_CAPABLE_WOFFSET                      0x0
#define MC_CLIENT_CCI_CAPABLE_3_0_APER_CCI_CAPABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_APER_CCI_CAPABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_APER_CCI_CAPABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_APER_CCI_CAPABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_APER_CCI_CAPABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_APER_CCI_CAPABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_APER_CCI_CAPABLE_INIT_ENUM                    CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_3_0_APER_CCI_CAPABLE_CCI_INCAPABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_3_0_APER_CCI_CAPABLE_CCI_CAPABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_3_0_APEW_CCI_CAPABLE_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_CLIENT_CCI_CAPABLE_3_0_APEW_CCI_CAPABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_3_0_APEW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_3_0_APEW_CCI_CAPABLE_RANGE                        27:27
#define MC_CLIENT_CCI_CAPABLE_3_0_APEW_CCI_CAPABLE_WOFFSET                      0x0
#define MC_CLIENT_CCI_CAPABLE_3_0_APEW_CCI_CAPABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_APEW_CCI_CAPABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_APEW_CCI_CAPABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_APEW_CCI_CAPABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_APEW_CCI_CAPABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_APEW_CCI_CAPABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_APEW_CCI_CAPABLE_INIT_ENUM                    CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_3_0_APEW_CCI_CAPABLE_CCI_INCAPABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_3_0_APEW_CCI_CAPABLE_CCI_CAPABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSRD_CCI_CAPABLE_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSRD_CCI_CAPABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSRD_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSRD_CCI_CAPABLE_RANGE                    30:30
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSRD_CCI_CAPABLE_WOFFSET                  0x0
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSRD_CCI_CAPABLE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSRD_CCI_CAPABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSRD_CCI_CAPABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSRD_CCI_CAPABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSRD_CCI_CAPABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSRD_CCI_CAPABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSRD_CCI_CAPABLE_INIT_ENUM                        CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSRD_CCI_CAPABLE_CCI_INCAPABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSRD_CCI_CAPABLE_CCI_CAPABLE                      _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSWR_CCI_CAPABLE_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSWR_CCI_CAPABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSWR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSWR_CCI_CAPABLE_RANGE                    31:31
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSWR_CCI_CAPABLE_WOFFSET                  0x0
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSWR_CCI_CAPABLE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSWR_CCI_CAPABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSWR_CCI_CAPABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSWR_CCI_CAPABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSWR_CCI_CAPABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSWR_CCI_CAPABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSWR_CCI_CAPABLE_INIT_ENUM                        CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSWR_CCI_CAPABLE_CCI_INCAPABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_3_0_NVJPGSWR_CCI_CAPABLE_CCI_CAPABLE                      _MK_ENUM_CONST(1)


// Register MC_CLIENT_CCI_CAPABLE_4_0
#define MC_CLIENT_CCI_CAPABLE_4_0                       _MK_ADDR_CONST(0x1834)
#define MC_CLIENT_CCI_CAPABLE_4_0_SECURE                        0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_DUAL                  0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_SCR                   0
#define MC_CLIENT_CCI_CAPABLE_4_0_WORD_COUNT                    0x1
#define MC_CLIENT_CCI_CAPABLE_4_0_RESET_VAL                     _MK_MASK_CONST(0xfffff0ff)
#define MC_CLIENT_CCI_CAPABLE_4_0_RESET_MASK                    _MK_MASK_CONST(0xfffff0ff)
#define MC_CLIENT_CCI_CAPABLE_4_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_READ_MASK                     _MK_MASK_CONST(0xfffff0ff)
#define MC_CLIENT_CCI_CAPABLE_4_0_WRITE_MASK                    _MK_MASK_CONST(0xfffff0ff)
#define MC_CLIENT_CCI_CAPABLE_4_0_SESRD_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SESRD_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_SESRD_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_SESRD_CCI_CAPABLE_RANGE                       0:0
#define MC_CLIENT_CCI_CAPABLE_4_0_SESRD_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_SESRD_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_SESRD_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_SESRD_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SESRD_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SESRD_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SESRD_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_SESRD_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_SESRD_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SESRD_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_SESWR_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_CLIENT_CCI_CAPABLE_4_0_SESWR_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_SESWR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_SESWR_CCI_CAPABLE_RANGE                       1:1
#define MC_CLIENT_CCI_CAPABLE_4_0_SESWR_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_SESWR_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_SESWR_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_SESWR_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SESWR_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SESWR_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SESWR_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_SESWR_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_SESWR_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SESWR_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPR_CCI_CAPABLE_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPR_CCI_CAPABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_AXIAPR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPR_CCI_CAPABLE_RANGE                      2:2
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPR_CCI_CAPABLE_WOFFSET                    0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPR_CCI_CAPABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPR_CCI_CAPABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPR_CCI_CAPABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPR_CCI_CAPABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPR_CCI_CAPABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPR_CCI_CAPABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPR_CCI_CAPABLE_INIT_ENUM                  CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPR_CCI_CAPABLE_CCI_INCAPABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPR_CCI_CAPABLE_CCI_CAPABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPW_CCI_CAPABLE_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPW_CCI_CAPABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_AXIAPW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPW_CCI_CAPABLE_RANGE                      3:3
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPW_CCI_CAPABLE_WOFFSET                    0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPW_CCI_CAPABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPW_CCI_CAPABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPW_CCI_CAPABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPW_CCI_CAPABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPW_CCI_CAPABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPW_CCI_CAPABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPW_CCI_CAPABLE_INIT_ENUM                  CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPW_CCI_CAPABLE_CCI_INCAPABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXIAPW_CCI_CAPABLE_CCI_CAPABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_ETRR_CCI_CAPABLE_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRR_CCI_CAPABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_ETRR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRR_CCI_CAPABLE_RANGE                        4:4
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRR_CCI_CAPABLE_WOFFSET                      0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRR_CCI_CAPABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRR_CCI_CAPABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRR_CCI_CAPABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRR_CCI_CAPABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRR_CCI_CAPABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRR_CCI_CAPABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRR_CCI_CAPABLE_INIT_ENUM                    CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRR_CCI_CAPABLE_CCI_INCAPABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRR_CCI_CAPABLE_CCI_CAPABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_ETRW_CCI_CAPABLE_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRW_CCI_CAPABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_ETRW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRW_CCI_CAPABLE_RANGE                        5:5
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRW_CCI_CAPABLE_WOFFSET                      0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRW_CCI_CAPABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRW_CCI_CAPABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRW_CCI_CAPABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRW_CCI_CAPABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRW_CCI_CAPABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRW_CCI_CAPABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRW_CCI_CAPABLE_INIT_ENUM                    CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRW_CCI_CAPABLE_CCI_INCAPABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_ETRW_CCI_CAPABLE_CCI_CAPABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSRDB_CCI_CAPABLE_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSRDB_CCI_CAPABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_TSECSRDB_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSRDB_CCI_CAPABLE_RANGE                    6:6
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSRDB_CCI_CAPABLE_WOFFSET                  0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSRDB_CCI_CAPABLE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSRDB_CCI_CAPABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSRDB_CCI_CAPABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSRDB_CCI_CAPABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSRDB_CCI_CAPABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSRDB_CCI_CAPABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSRDB_CCI_CAPABLE_INIT_ENUM                        CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSRDB_CCI_CAPABLE_CCI_INCAPABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSRDB_CCI_CAPABLE_CCI_CAPABLE                      _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSWRB_CCI_CAPABLE_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSWRB_CCI_CAPABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_TSECSWRB_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSWRB_CCI_CAPABLE_RANGE                    7:7
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSWRB_CCI_CAPABLE_WOFFSET                  0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSWRB_CCI_CAPABLE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSWRB_CCI_CAPABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSWRB_CCI_CAPABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSWRB_CCI_CAPABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSWRB_CCI_CAPABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSWRB_CCI_CAPABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSWRB_CCI_CAPABLE_INIT_ENUM                        CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSWRB_CCI_CAPABLE_CCI_INCAPABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_TSECSWRB_CCI_CAPABLE_CCI_CAPABLE                      _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_AXISR_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISR_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_AXISR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISR_CCI_CAPABLE_RANGE                       12:12
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISR_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISR_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISR_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISR_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISR_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISR_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISR_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISR_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISR_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISR_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_AXISW_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISW_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_AXISW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISW_CCI_CAPABLE_RANGE                       13:13
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISW_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISW_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISW_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISW_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISW_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISW_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISW_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISW_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISW_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AXISW_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSR_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(14)
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSR_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_EQOSR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSR_CCI_CAPABLE_RANGE                       14:14
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSR_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSR_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSR_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSR_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSR_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSR_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSR_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSR_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSR_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSR_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSW_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(15)
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSW_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_EQOSW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSW_CCI_CAPABLE_RANGE                       15:15
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSW_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSW_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSW_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSW_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSW_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSW_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSW_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSW_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSW_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_EQOSW_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCR_CCI_CAPABLE_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCR_CCI_CAPABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_UFSHCR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCR_CCI_CAPABLE_RANGE                      16:16
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCR_CCI_CAPABLE_WOFFSET                    0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCR_CCI_CAPABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCR_CCI_CAPABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCR_CCI_CAPABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCR_CCI_CAPABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCR_CCI_CAPABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCR_CCI_CAPABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCR_CCI_CAPABLE_INIT_ENUM                  CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCR_CCI_CAPABLE_CCI_INCAPABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCR_CCI_CAPABLE_CCI_CAPABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCW_CCI_CAPABLE_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCW_CCI_CAPABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_UFSHCW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCW_CCI_CAPABLE_RANGE                      17:17
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCW_CCI_CAPABLE_WOFFSET                    0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCW_CCI_CAPABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCW_CCI_CAPABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCW_CCI_CAPABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCW_CCI_CAPABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCW_CCI_CAPABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCW_CCI_CAPABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCW_CCI_CAPABLE_INIT_ENUM                  CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCW_CCI_CAPABLE_CCI_INCAPABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_UFSHCW_CCI_CAPABLE_CCI_CAPABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_NVDISPLAYR_CCI_CAPABLE_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_CLIENT_CCI_CAPABLE_4_0_NVDISPLAYR_CCI_CAPABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_NVDISPLAYR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_NVDISPLAYR_CCI_CAPABLE_RANGE                  18:18
#define MC_CLIENT_CCI_CAPABLE_4_0_NVDISPLAYR_CCI_CAPABLE_WOFFSET                        0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_NVDISPLAYR_CCI_CAPABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_NVDISPLAYR_CCI_CAPABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_NVDISPLAYR_CCI_CAPABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_NVDISPLAYR_CCI_CAPABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_NVDISPLAYR_CCI_CAPABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_NVDISPLAYR_CCI_CAPABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_NVDISPLAYR_CCI_CAPABLE_INIT_ENUM                      CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_NVDISPLAYR_CCI_CAPABLE_CCI_INCAPABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_NVDISPLAYR_CCI_CAPABLE_CCI_CAPABLE                    _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPR_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPR_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_BPMPR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPR_CCI_CAPABLE_RANGE                       19:19
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPR_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPR_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPR_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPR_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPR_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPR_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPR_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPR_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPR_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPR_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPW_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(20)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPW_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_BPMPW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPW_CCI_CAPABLE_RANGE                       20:20
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPW_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPW_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPW_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPW_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPW_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPW_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPW_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPW_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPW_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPW_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAR_CCI_CAPABLE_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAR_CCI_CAPABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAR_CCI_CAPABLE_RANGE                    21:21
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAR_CCI_CAPABLE_WOFFSET                  0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAR_CCI_CAPABLE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAR_CCI_CAPABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAR_CCI_CAPABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAR_CCI_CAPABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAR_CCI_CAPABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAR_CCI_CAPABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAR_CCI_CAPABLE_INIT_ENUM                        CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAR_CCI_CAPABLE_CCI_INCAPABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAR_CCI_CAPABLE_CCI_CAPABLE                      _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAW_CCI_CAPABLE_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAW_CCI_CAPABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAW_CCI_CAPABLE_RANGE                    22:22
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAW_CCI_CAPABLE_WOFFSET                  0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAW_CCI_CAPABLE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAW_CCI_CAPABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAW_CCI_CAPABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAW_CCI_CAPABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAW_CCI_CAPABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAW_CCI_CAPABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAW_CCI_CAPABLE_INIT_ENUM                        CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAW_CCI_CAPABLE_CCI_INCAPABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_BPMPDMAW_CCI_CAPABLE_CCI_CAPABLE                      _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_AONR_CCI_CAPABLE_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONR_CCI_CAPABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_AONR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONR_CCI_CAPABLE_RANGE                        23:23
#define MC_CLIENT_CCI_CAPABLE_4_0_AONR_CCI_CAPABLE_WOFFSET                      0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_AONR_CCI_CAPABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONR_CCI_CAPABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONR_CCI_CAPABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONR_CCI_CAPABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONR_CCI_CAPABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONR_CCI_CAPABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONR_CCI_CAPABLE_INIT_ENUM                    CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_AONR_CCI_CAPABLE_CCI_INCAPABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONR_CCI_CAPABLE_CCI_CAPABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_AONW_CCI_CAPABLE_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONW_CCI_CAPABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_AONW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONW_CCI_CAPABLE_RANGE                        24:24
#define MC_CLIENT_CCI_CAPABLE_4_0_AONW_CCI_CAPABLE_WOFFSET                      0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_AONW_CCI_CAPABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONW_CCI_CAPABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONW_CCI_CAPABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONW_CCI_CAPABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONW_CCI_CAPABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONW_CCI_CAPABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONW_CCI_CAPABLE_INIT_ENUM                    CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_AONW_CCI_CAPABLE_CCI_INCAPABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONW_CCI_CAPABLE_CCI_CAPABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAR_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(25)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAR_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_AONDMAR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAR_CCI_CAPABLE_RANGE                     25:25
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAR_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAR_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAR_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAR_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAR_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAR_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAR_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAR_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAR_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAR_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAW_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(26)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAW_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_AONDMAW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAW_CCI_CAPABLE_RANGE                     26:26
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAW_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAW_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAW_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAW_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAW_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAW_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAW_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAW_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAW_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_AONDMAW_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_SCER_CCI_CAPABLE_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCER_CCI_CAPABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_SCER_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCER_CCI_CAPABLE_RANGE                        27:27
#define MC_CLIENT_CCI_CAPABLE_4_0_SCER_CCI_CAPABLE_WOFFSET                      0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_SCER_CCI_CAPABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCER_CCI_CAPABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCER_CCI_CAPABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCER_CCI_CAPABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCER_CCI_CAPABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCER_CCI_CAPABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCER_CCI_CAPABLE_INIT_ENUM                    CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_SCER_CCI_CAPABLE_CCI_INCAPABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCER_CCI_CAPABLE_CCI_CAPABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_SCEW_CCI_CAPABLE_SHIFT                        _MK_SHIFT_CONST(28)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEW_CCI_CAPABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_SCEW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEW_CCI_CAPABLE_RANGE                        28:28
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEW_CCI_CAPABLE_WOFFSET                      0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEW_CCI_CAPABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEW_CCI_CAPABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEW_CCI_CAPABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEW_CCI_CAPABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEW_CCI_CAPABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEW_CCI_CAPABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEW_CCI_CAPABLE_INIT_ENUM                    CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEW_CCI_CAPABLE_CCI_INCAPABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEW_CCI_CAPABLE_CCI_CAPABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAR_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAR_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAR_CCI_CAPABLE_RANGE                     29:29
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAR_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAR_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAR_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAR_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAR_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAR_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAR_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAR_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAR_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAR_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAW_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAW_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAW_CCI_CAPABLE_RANGE                     30:30
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAW_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAW_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAW_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAW_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAW_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAW_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAW_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAW_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAW_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_SCEDMAW_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_4_0_APEDMAR_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_CLIENT_CCI_CAPABLE_4_0_APEDMAR_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_4_0_APEDMAR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_4_0_APEDMAR_CCI_CAPABLE_RANGE                     31:31
#define MC_CLIENT_CCI_CAPABLE_4_0_APEDMAR_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_4_0_APEDMAR_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_APEDMAR_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_APEDMAR_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_APEDMAR_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_APEDMAR_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_4_0_APEDMAR_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_4_0_APEDMAR_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_4_0_APEDMAR_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_4_0_APEDMAR_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)


// Register MC_CLIENT_CCI_CAPABLE_5_0
#define MC_CLIENT_CCI_CAPABLE_5_0                       _MK_ADDR_CONST(0x1838)
#define MC_CLIENT_CCI_CAPABLE_5_0_SECURE                        0x0
#define MC_CLIENT_CCI_CAPABLE_5_0_DUAL                  0x0
#define MC_CLIENT_CCI_CAPABLE_5_0_SCR                   0
#define MC_CLIENT_CCI_CAPABLE_5_0_WORD_COUNT                    0x1
#define MC_CLIENT_CCI_CAPABLE_5_0_RESET_VAL                     _MK_MASK_CONST(0xf00fc3cf)
#define MC_CLIENT_CCI_CAPABLE_5_0_RESET_MASK                    _MK_MASK_CONST(0xf00fc3cf)
#define MC_CLIENT_CCI_CAPABLE_5_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_READ_MASK                     _MK_MASK_CONST(0xf00fc3cf)
#define MC_CLIENT_CCI_CAPABLE_5_0_WRITE_MASK                    _MK_MASK_CONST(0xf00fc3cf)
#define MC_CLIENT_CCI_CAPABLE_5_0_APEDMAW_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_5_0_APEDMAW_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_5_0_APEDMAW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_5_0_APEDMAW_CCI_CAPABLE_RANGE                     0:0
#define MC_CLIENT_CCI_CAPABLE_5_0_APEDMAW_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_5_0_APEDMAW_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_APEDMAW_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_APEDMAW_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_APEDMAW_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_APEDMAW_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_APEDMAW_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_APEDMAW_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_5_0_APEDMAW_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_5_0_APEDMAW_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_5_0_NVDISPLAYR1_CCI_CAPABLE_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDISPLAYR1_CCI_CAPABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_5_0_NVDISPLAYR1_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDISPLAYR1_CCI_CAPABLE_RANGE                 1:1
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDISPLAYR1_CCI_CAPABLE_WOFFSET                       0x0
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDISPLAYR1_CCI_CAPABLE_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDISPLAYR1_CCI_CAPABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDISPLAYR1_CCI_CAPABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDISPLAYR1_CCI_CAPABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDISPLAYR1_CCI_CAPABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDISPLAYR1_CCI_CAPABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDISPLAYR1_CCI_CAPABLE_INIT_ENUM                     CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDISPLAYR1_CCI_CAPABLE_CCI_INCAPABLE                 _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDISPLAYR1_CCI_CAPABLE_CCI_CAPABLE                   _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_5_0_VICSRD1_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_CLIENT_CCI_CAPABLE_5_0_VICSRD1_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_5_0_VICSRD1_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_5_0_VICSRD1_CCI_CAPABLE_RANGE                     2:2
#define MC_CLIENT_CCI_CAPABLE_5_0_VICSRD1_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_5_0_VICSRD1_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_VICSRD1_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_VICSRD1_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_VICSRD1_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_VICSRD1_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_VICSRD1_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_VICSRD1_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_5_0_VICSRD1_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_5_0_VICSRD1_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_5_0_NVDECSRD1_CCI_CAPABLE_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDECSRD1_CCI_CAPABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_5_0_NVDECSRD1_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDECSRD1_CCI_CAPABLE_RANGE                   3:3
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDECSRD1_CCI_CAPABLE_WOFFSET                 0x0
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDECSRD1_CCI_CAPABLE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDECSRD1_CCI_CAPABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDECSRD1_CCI_CAPABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDECSRD1_CCI_CAPABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDECSRD1_CCI_CAPABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDECSRD1_CCI_CAPABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDECSRD1_CCI_CAPABLE_INIT_ENUM                       CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDECSRD1_CCI_CAPABLE_CCI_INCAPABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_5_0_NVDECSRD1_CCI_CAPABLE_CCI_CAPABLE                     _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0R_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(6)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0R_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_5_0_MIU0R_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0R_CCI_CAPABLE_RANGE                       6:6
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0R_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0R_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0R_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0R_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0R_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0R_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0R_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0R_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0R_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0R_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0W_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0W_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_5_0_MIU0W_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0W_CCI_CAPABLE_RANGE                       7:7
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0W_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0W_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0W_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0W_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0W_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0W_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0W_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0W_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0W_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU0W_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1R_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1R_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_5_0_MIU1R_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1R_CCI_CAPABLE_RANGE                       8:8
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1R_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1R_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1R_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1R_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1R_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1R_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1R_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1R_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1R_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1R_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1W_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(9)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1W_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_5_0_MIU1W_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1W_CCI_CAPABLE_RANGE                       9:9
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1W_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1W_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1W_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1W_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1W_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1W_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1W_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1W_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1W_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU1W_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2R_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(14)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2R_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_5_0_MIU2R_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2R_CCI_CAPABLE_RANGE                       14:14
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2R_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2R_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2R_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2R_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2R_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2R_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2R_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2R_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2R_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2R_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2W_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(15)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2W_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_5_0_MIU2W_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2W_CCI_CAPABLE_RANGE                       15:15
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2W_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2W_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2W_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2W_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2W_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2W_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2W_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2W_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2W_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU2W_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3R_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3R_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_5_0_MIU3R_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3R_CCI_CAPABLE_RANGE                       16:16
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3R_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3R_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3R_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3R_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3R_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3R_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3R_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3R_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3R_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3R_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3W_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3W_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_5_0_MIU3W_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3W_CCI_CAPABLE_RANGE                       17:17
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3W_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3W_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3W_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3W_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3W_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3W_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3W_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3W_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3W_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU3W_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4R_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4R_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_5_0_MIU4R_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4R_CCI_CAPABLE_RANGE                       18:18
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4R_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4R_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4R_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4R_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4R_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4R_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4R_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4R_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4R_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4R_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4W_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4W_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_5_0_MIU4W_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4W_CCI_CAPABLE_RANGE                       19:19
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4W_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4W_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4W_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4W_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4W_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4W_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4W_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4W_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4W_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_5_0_MIU4W_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALR_CCI_CAPABLE_SHIFT                      _MK_SHIFT_CONST(28)
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALR_CCI_CAPABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_5_0_VIFALR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALR_CCI_CAPABLE_RANGE                      28:28
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALR_CCI_CAPABLE_WOFFSET                    0x0
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALR_CCI_CAPABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALR_CCI_CAPABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALR_CCI_CAPABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALR_CCI_CAPABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALR_CCI_CAPABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALR_CCI_CAPABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALR_CCI_CAPABLE_INIT_ENUM                  CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALR_CCI_CAPABLE_CCI_INCAPABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALR_CCI_CAPABLE_CCI_CAPABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALW_CCI_CAPABLE_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALW_CCI_CAPABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_5_0_VIFALW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALW_CCI_CAPABLE_RANGE                      29:29
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALW_CCI_CAPABLE_WOFFSET                    0x0
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALW_CCI_CAPABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALW_CCI_CAPABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALW_CCI_CAPABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALW_CCI_CAPABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALW_CCI_CAPABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALW_CCI_CAPABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALW_CCI_CAPABLE_INIT_ENUM                  CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALW_CCI_CAPABLE_CCI_INCAPABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_5_0_VIFALW_CCI_CAPABLE_CCI_CAPABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0RDA_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(30)
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0RDA_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_5_0_DLA0RDA_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0RDA_CCI_CAPABLE_RANGE                     30:30
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0RDA_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0RDA_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0RDA_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0RDA_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0RDA_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0RDA_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0RDA_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0RDA_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0RDA_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0RDA_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0FALRDB_CCI_CAPABLE_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0FALRDB_CCI_CAPABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_5_0_DLA0FALRDB_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0FALRDB_CCI_CAPABLE_RANGE                  31:31
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0FALRDB_CCI_CAPABLE_WOFFSET                        0x0
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0FALRDB_CCI_CAPABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0FALRDB_CCI_CAPABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0FALRDB_CCI_CAPABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0FALRDB_CCI_CAPABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0FALRDB_CCI_CAPABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0FALRDB_CCI_CAPABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0FALRDB_CCI_CAPABLE_INIT_ENUM                      CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0FALRDB_CCI_CAPABLE_CCI_INCAPABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_5_0_DLA0FALRDB_CCI_CAPABLE_CCI_CAPABLE                    _MK_ENUM_CONST(1)


// Register MC_CLIENT_CCI_CAPABLE_6_0
#define MC_CLIENT_CCI_CAPABLE_6_0                       _MK_ADDR_CONST(0x183c)
#define MC_CLIENT_CCI_CAPABLE_6_0_SECURE                        0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_DUAL                  0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_SCR                   0
#define MC_CLIENT_CCI_CAPABLE_6_0_WORD_COUNT                    0x1
#define MC_CLIENT_CCI_CAPABLE_6_0_RESET_VAL                     _MK_MASK_CONST(0xffffffff)
#define MC_CLIENT_CCI_CAPABLE_6_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_CLIENT_CCI_CAPABLE_6_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_CLIENT_CCI_CAPABLE_6_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0WRA_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0WRA_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_DLA0WRA_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0WRA_CCI_CAPABLE_RANGE                     0:0
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0WRA_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0WRA_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0WRA_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0WRA_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0WRA_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0WRA_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0WRA_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0WRA_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0WRA_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0WRA_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0FALWRB_CCI_CAPABLE_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0FALWRB_CCI_CAPABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_DLA0FALWRB_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0FALWRB_CCI_CAPABLE_RANGE                  1:1
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0FALWRB_CCI_CAPABLE_WOFFSET                        0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0FALWRB_CCI_CAPABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0FALWRB_CCI_CAPABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0FALWRB_CCI_CAPABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0FALWRB_CCI_CAPABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0FALWRB_CCI_CAPABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0FALWRB_CCI_CAPABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0FALWRB_CCI_CAPABLE_INIT_ENUM                      CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0FALWRB_CCI_CAPABLE_CCI_INCAPABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA0FALWRB_CCI_CAPABLE_CCI_CAPABLE                    _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1RDA_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1RDA_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_DLA1RDA_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1RDA_CCI_CAPABLE_RANGE                     2:2
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1RDA_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1RDA_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1RDA_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1RDA_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1RDA_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1RDA_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1RDA_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1RDA_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1RDA_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1RDA_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALRDB_CCI_CAPABLE_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALRDB_CCI_CAPABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALRDB_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALRDB_CCI_CAPABLE_RANGE                  3:3
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALRDB_CCI_CAPABLE_WOFFSET                        0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALRDB_CCI_CAPABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALRDB_CCI_CAPABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALRDB_CCI_CAPABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALRDB_CCI_CAPABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALRDB_CCI_CAPABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALRDB_CCI_CAPABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALRDB_CCI_CAPABLE_INIT_ENUM                      CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALRDB_CCI_CAPABLE_CCI_INCAPABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALRDB_CCI_CAPABLE_CCI_CAPABLE                    _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1WRA_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1WRA_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_DLA1WRA_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1WRA_CCI_CAPABLE_RANGE                     4:4
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1WRA_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1WRA_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1WRA_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1WRA_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1WRA_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1WRA_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1WRA_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1WRA_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1WRA_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1WRA_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALWRB_CCI_CAPABLE_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALWRB_CCI_CAPABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALWRB_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALWRB_CCI_CAPABLE_RANGE                  5:5
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALWRB_CCI_CAPABLE_WOFFSET                        0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALWRB_CCI_CAPABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALWRB_CCI_CAPABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALWRB_CCI_CAPABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALWRB_CCI_CAPABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALWRB_CCI_CAPABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALWRB_CCI_CAPABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALWRB_CCI_CAPABLE_INIT_ENUM                      CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALWRB_CCI_CAPABLE_CCI_INCAPABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_DLA1FALWRB_CCI_CAPABLE_CCI_CAPABLE                    _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDA_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDA_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDA_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDA_CCI_CAPABLE_RANGE                     6:6
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDA_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDA_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDA_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDA_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDA_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDA_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDA_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDA_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDA_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDA_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDB_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(7)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDB_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDB_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDB_CCI_CAPABLE_RANGE                     7:7
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDB_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDB_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDB_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDB_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDB_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDB_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDB_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDB_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDB_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDB_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDC_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDC_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDC_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDC_CCI_CAPABLE_RANGE                     8:8
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDC_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDC_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDC_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDC_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDC_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDC_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDC_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDC_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDC_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0RDC_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRA_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(9)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRA_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRA_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRA_CCI_CAPABLE_RANGE                     9:9
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRA_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRA_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRA_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRA_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRA_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRA_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRA_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRA_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRA_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRA_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRB_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(10)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRB_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRB_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRB_CCI_CAPABLE_RANGE                     10:10
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRB_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRB_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRB_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRB_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRB_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRB_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRB_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRB_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRB_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRB_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRC_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(11)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRC_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRC_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRC_CCI_CAPABLE_RANGE                     11:11
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRC_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRC_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRC_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRC_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRC_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRC_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRC_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRC_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRC_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA0WRC_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDA_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDA_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDA_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDA_CCI_CAPABLE_RANGE                     12:12
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDA_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDA_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDA_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDA_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDA_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDA_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDA_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDA_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDA_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDA_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDB_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDB_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDB_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDB_CCI_CAPABLE_RANGE                     13:13
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDB_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDB_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDB_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDB_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDB_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDB_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDB_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDB_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDB_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDB_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDC_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(14)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDC_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDC_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDC_CCI_CAPABLE_RANGE                     14:14
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDC_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDC_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDC_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDC_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDC_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDC_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDC_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDC_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDC_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1RDC_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRA_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(15)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRA_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRA_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRA_CCI_CAPABLE_RANGE                     15:15
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRA_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRA_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRA_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRA_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRA_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRA_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRA_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRA_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRA_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRA_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRB_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRB_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRB_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRB_CCI_CAPABLE_RANGE                     16:16
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRB_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRB_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRB_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRB_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRB_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRB_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRB_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRB_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRB_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRB_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRC_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRC_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRC_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRC_CCI_CAPABLE_RANGE                     17:17
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRC_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRC_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRC_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRC_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRC_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRC_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRC_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRC_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRC_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PVA1WRC_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_RCER_CCI_CAPABLE_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCER_CCI_CAPABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_RCER_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCER_CCI_CAPABLE_RANGE                        18:18
#define MC_CLIENT_CCI_CAPABLE_6_0_RCER_CCI_CAPABLE_WOFFSET                      0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_RCER_CCI_CAPABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCER_CCI_CAPABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCER_CCI_CAPABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCER_CCI_CAPABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCER_CCI_CAPABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCER_CCI_CAPABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCER_CCI_CAPABLE_INIT_ENUM                    CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_RCER_CCI_CAPABLE_CCI_INCAPABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCER_CCI_CAPABLE_CCI_CAPABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_RCEW_CCI_CAPABLE_SHIFT                        _MK_SHIFT_CONST(19)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEW_CCI_CAPABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_RCEW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEW_CCI_CAPABLE_RANGE                        19:19
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEW_CCI_CAPABLE_WOFFSET                      0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEW_CCI_CAPABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEW_CCI_CAPABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEW_CCI_CAPABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEW_CCI_CAPABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEW_CCI_CAPABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEW_CCI_CAPABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEW_CCI_CAPABLE_INIT_ENUM                    CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEW_CCI_CAPABLE_CCI_INCAPABLE                        _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEW_CCI_CAPABLE_CCI_CAPABLE                  _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAR_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(20)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAR_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAR_CCI_CAPABLE_RANGE                     20:20
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAR_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAR_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAR_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAR_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAR_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAR_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAR_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAR_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAR_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAR_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAW_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAW_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAW_CCI_CAPABLE_RANGE                     21:21
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAW_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAW_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAW_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAW_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAW_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAW_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAW_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAW_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAW_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_RCEDMAW_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SRD_CCI_CAPABLE_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SRD_CCI_CAPABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SRD_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SRD_CCI_CAPABLE_RANGE                   22:22
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SRD_CCI_CAPABLE_WOFFSET                 0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SRD_CCI_CAPABLE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SRD_CCI_CAPABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SRD_CCI_CAPABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SRD_CCI_CAPABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SRD_CCI_CAPABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SRD_CCI_CAPABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SRD_CCI_CAPABLE_INIT_ENUM                       CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SRD_CCI_CAPABLE_CCI_INCAPABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SRD_CCI_CAPABLE_CCI_CAPABLE                     _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SWR_CCI_CAPABLE_SHIFT                   _MK_SHIFT_CONST(23)
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SWR_CCI_CAPABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SWR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SWR_CCI_CAPABLE_RANGE                   23:23
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SWR_CCI_CAPABLE_WOFFSET                 0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SWR_CCI_CAPABLE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SWR_CCI_CAPABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SWR_CCI_CAPABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SWR_CCI_CAPABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SWR_CCI_CAPABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SWR_CCI_CAPABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SWR_CCI_CAPABLE_INIT_ENUM                       CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SWR_CCI_CAPABLE_CCI_INCAPABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_NVENC1SWR_CCI_CAPABLE_CCI_CAPABLE                     _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0R_CCI_CAPABLE_SHIFT                      _MK_SHIFT_CONST(24)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0R_CCI_CAPABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_PCIE0R_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0R_CCI_CAPABLE_RANGE                      24:24
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0R_CCI_CAPABLE_WOFFSET                    0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0R_CCI_CAPABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0R_CCI_CAPABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0R_CCI_CAPABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0R_CCI_CAPABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0R_CCI_CAPABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0R_CCI_CAPABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0R_CCI_CAPABLE_INIT_ENUM                  CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0R_CCI_CAPABLE_CCI_INCAPABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0R_CCI_CAPABLE_CCI_CAPABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0W_CCI_CAPABLE_SHIFT                      _MK_SHIFT_CONST(25)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0W_CCI_CAPABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_PCIE0W_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0W_CCI_CAPABLE_RANGE                      25:25
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0W_CCI_CAPABLE_WOFFSET                    0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0W_CCI_CAPABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0W_CCI_CAPABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0W_CCI_CAPABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0W_CCI_CAPABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0W_CCI_CAPABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0W_CCI_CAPABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0W_CCI_CAPABLE_INIT_ENUM                  CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0W_CCI_CAPABLE_CCI_INCAPABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE0W_CCI_CAPABLE_CCI_CAPABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1R_CCI_CAPABLE_SHIFT                      _MK_SHIFT_CONST(26)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1R_CCI_CAPABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_PCIE1R_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1R_CCI_CAPABLE_RANGE                      26:26
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1R_CCI_CAPABLE_WOFFSET                    0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1R_CCI_CAPABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1R_CCI_CAPABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1R_CCI_CAPABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1R_CCI_CAPABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1R_CCI_CAPABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1R_CCI_CAPABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1R_CCI_CAPABLE_INIT_ENUM                  CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1R_CCI_CAPABLE_CCI_INCAPABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1R_CCI_CAPABLE_CCI_CAPABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1W_CCI_CAPABLE_SHIFT                      _MK_SHIFT_CONST(27)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1W_CCI_CAPABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_PCIE1W_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1W_CCI_CAPABLE_RANGE                      27:27
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1W_CCI_CAPABLE_WOFFSET                    0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1W_CCI_CAPABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1W_CCI_CAPABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1W_CCI_CAPABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1W_CCI_CAPABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1W_CCI_CAPABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1W_CCI_CAPABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1W_CCI_CAPABLE_INIT_ENUM                  CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1W_CCI_CAPABLE_CCI_INCAPABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE1W_CCI_CAPABLE_CCI_CAPABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AR_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(28)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AR_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AR_CCI_CAPABLE_RANGE                     28:28
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AR_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AR_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AR_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AR_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AR_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AR_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AR_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AR_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AR_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AR_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AW_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(29)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AW_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AW_CCI_CAPABLE_RANGE                     29:29
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AW_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AW_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AW_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AW_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AW_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AW_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AW_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AW_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AW_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE2AW_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3R_CCI_CAPABLE_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3R_CCI_CAPABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_PCIE3R_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3R_CCI_CAPABLE_RANGE                      30:30
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3R_CCI_CAPABLE_WOFFSET                    0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3R_CCI_CAPABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3R_CCI_CAPABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3R_CCI_CAPABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3R_CCI_CAPABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3R_CCI_CAPABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3R_CCI_CAPABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3R_CCI_CAPABLE_INIT_ENUM                  CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3R_CCI_CAPABLE_CCI_INCAPABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3R_CCI_CAPABLE_CCI_CAPABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3W_CCI_CAPABLE_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3W_CCI_CAPABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_6_0_PCIE3W_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3W_CCI_CAPABLE_RANGE                      31:31
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3W_CCI_CAPABLE_WOFFSET                    0x0
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3W_CCI_CAPABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3W_CCI_CAPABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3W_CCI_CAPABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3W_CCI_CAPABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3W_CCI_CAPABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3W_CCI_CAPABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3W_CCI_CAPABLE_INIT_ENUM                  CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3W_CCI_CAPABLE_CCI_INCAPABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_6_0_PCIE3W_CCI_CAPABLE_CCI_CAPABLE                        _MK_ENUM_CONST(1)


// Register MC_CLIENT_CCI_CAPABLE_8_0
#define MC_CLIENT_CCI_CAPABLE_8_0                       _MK_ADDR_CONST(0x1c34)
#define MC_CLIENT_CCI_CAPABLE_8_0_SECURE                        0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_DUAL                  0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_SCR                   0
#define MC_CLIENT_CCI_CAPABLE_8_0_WORD_COUNT                    0x1
#define MC_CLIENT_CCI_CAPABLE_8_0_RESET_VAL                     _MK_MASK_CONST(0xfe0ffe1f)
#define MC_CLIENT_CCI_CAPABLE_8_0_RESET_MASK                    _MK_MASK_CONST(0xfe0ffe1f)
#define MC_CLIENT_CCI_CAPABLE_8_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_READ_MASK                     _MK_MASK_CONST(0xfe0ffe1f)
#define MC_CLIENT_CCI_CAPABLE_8_0_WRITE_MASK                    _MK_MASK_CONST(0xfe0ffe1f)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4R_CCI_CAPABLE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4R_CCI_CAPABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_PCIE4R_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4R_CCI_CAPABLE_RANGE                      0:0
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4R_CCI_CAPABLE_WOFFSET                    0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4R_CCI_CAPABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4R_CCI_CAPABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4R_CCI_CAPABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4R_CCI_CAPABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4R_CCI_CAPABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4R_CCI_CAPABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4R_CCI_CAPABLE_INIT_ENUM                  CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4R_CCI_CAPABLE_CCI_INCAPABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4R_CCI_CAPABLE_CCI_CAPABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4W_CCI_CAPABLE_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4W_CCI_CAPABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_PCIE4W_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4W_CCI_CAPABLE_RANGE                      1:1
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4W_CCI_CAPABLE_WOFFSET                    0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4W_CCI_CAPABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4W_CCI_CAPABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4W_CCI_CAPABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4W_CCI_CAPABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4W_CCI_CAPABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4W_CCI_CAPABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4W_CCI_CAPABLE_INIT_ENUM                  CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4W_CCI_CAPABLE_CCI_INCAPABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE4W_CCI_CAPABLE_CCI_CAPABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R_CCI_CAPABLE_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R_CCI_CAPABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R_CCI_CAPABLE_RANGE                      2:2
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R_CCI_CAPABLE_WOFFSET                    0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R_CCI_CAPABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R_CCI_CAPABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R_CCI_CAPABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R_CCI_CAPABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R_CCI_CAPABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R_CCI_CAPABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R_CCI_CAPABLE_INIT_ENUM                  CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R_CCI_CAPABLE_CCI_INCAPABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R_CCI_CAPABLE_CCI_CAPABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5W_CCI_CAPABLE_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5W_CCI_CAPABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_PCIE5W_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5W_CCI_CAPABLE_RANGE                      3:3
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5W_CCI_CAPABLE_WOFFSET                    0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5W_CCI_CAPABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5W_CCI_CAPABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5W_CCI_CAPABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5W_CCI_CAPABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5W_CCI_CAPABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5W_CCI_CAPABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5W_CCI_CAPABLE_INIT_ENUM                  CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5W_CCI_CAPABLE_CCI_INCAPABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5W_CCI_CAPABLE_CCI_CAPABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_ISPFALW_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPFALW_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_ISPFALW_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPFALW_CCI_CAPABLE_RANGE                     4:4
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPFALW_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPFALW_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPFALW_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPFALW_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPFALW_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPFALW_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPFALW_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPFALW_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPFALW_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPFALW_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_DLA0RDA1_CCI_CAPABLE_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA0RDA1_CCI_CAPABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_DLA0RDA1_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA0RDA1_CCI_CAPABLE_RANGE                    9:9
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA0RDA1_CCI_CAPABLE_WOFFSET                  0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA0RDA1_CCI_CAPABLE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA0RDA1_CCI_CAPABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA0RDA1_CCI_CAPABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA0RDA1_CCI_CAPABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA0RDA1_CCI_CAPABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA0RDA1_CCI_CAPABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA0RDA1_CCI_CAPABLE_INIT_ENUM                        CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA0RDA1_CCI_CAPABLE_CCI_INCAPABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA0RDA1_CCI_CAPABLE_CCI_CAPABLE                      _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_DLA1RDA1_CCI_CAPABLE_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA1RDA1_CCI_CAPABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_DLA1RDA1_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA1RDA1_CCI_CAPABLE_RANGE                    10:10
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA1RDA1_CCI_CAPABLE_WOFFSET                  0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA1RDA1_CCI_CAPABLE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA1RDA1_CCI_CAPABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA1RDA1_CCI_CAPABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA1RDA1_CCI_CAPABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA1RDA1_CCI_CAPABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA1RDA1_CCI_CAPABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA1RDA1_CCI_CAPABLE_INIT_ENUM                        CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA1RDA1_CCI_CAPABLE_CCI_INCAPABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_DLA1RDA1_CCI_CAPABLE_CCI_CAPABLE                      _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDA1_CCI_CAPABLE_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDA1_CCI_CAPABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDA1_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDA1_CCI_CAPABLE_RANGE                    11:11
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDA1_CCI_CAPABLE_WOFFSET                  0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDA1_CCI_CAPABLE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDA1_CCI_CAPABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDA1_CCI_CAPABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDA1_CCI_CAPABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDA1_CCI_CAPABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDA1_CCI_CAPABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDA1_CCI_CAPABLE_INIT_ENUM                        CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDA1_CCI_CAPABLE_CCI_INCAPABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDA1_CCI_CAPABLE_CCI_CAPABLE                      _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDB1_CCI_CAPABLE_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDB1_CCI_CAPABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDB1_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDB1_CCI_CAPABLE_RANGE                    12:12
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDB1_CCI_CAPABLE_WOFFSET                  0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDB1_CCI_CAPABLE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDB1_CCI_CAPABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDB1_CCI_CAPABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDB1_CCI_CAPABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDB1_CCI_CAPABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDB1_CCI_CAPABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDB1_CCI_CAPABLE_INIT_ENUM                        CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDB1_CCI_CAPABLE_CCI_INCAPABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA0RDB1_CCI_CAPABLE_CCI_CAPABLE                      _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDA1_CCI_CAPABLE_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDA1_CCI_CAPABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDA1_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDA1_CCI_CAPABLE_RANGE                    13:13
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDA1_CCI_CAPABLE_WOFFSET                  0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDA1_CCI_CAPABLE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDA1_CCI_CAPABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDA1_CCI_CAPABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDA1_CCI_CAPABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDA1_CCI_CAPABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDA1_CCI_CAPABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDA1_CCI_CAPABLE_INIT_ENUM                        CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDA1_CCI_CAPABLE_CCI_INCAPABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDA1_CCI_CAPABLE_CCI_CAPABLE                      _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDB1_CCI_CAPABLE_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDB1_CCI_CAPABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDB1_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDB1_CCI_CAPABLE_RANGE                    14:14
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDB1_CCI_CAPABLE_WOFFSET                  0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDB1_CCI_CAPABLE_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDB1_CCI_CAPABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDB1_CCI_CAPABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDB1_CCI_CAPABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDB1_CCI_CAPABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDB1_CCI_CAPABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDB1_CCI_CAPABLE_INIT_ENUM                        CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDB1_CCI_CAPABLE_CCI_INCAPABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PVA1RDB1_CCI_CAPABLE_CCI_CAPABLE                      _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R1_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(15)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R1_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R1_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R1_CCI_CAPABLE_RANGE                     15:15
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R1_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R1_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R1_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R1_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R1_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R1_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R1_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R1_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R1_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE5R1_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_NVENCSRD1_CCI_CAPABLE_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENCSRD1_CCI_CAPABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_NVENCSRD1_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENCSRD1_CCI_CAPABLE_RANGE                   16:16
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENCSRD1_CCI_CAPABLE_WOFFSET                 0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENCSRD1_CCI_CAPABLE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENCSRD1_CCI_CAPABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENCSRD1_CCI_CAPABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENCSRD1_CCI_CAPABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENCSRD1_CCI_CAPABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENCSRD1_CCI_CAPABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENCSRD1_CCI_CAPABLE_INIT_ENUM                       CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENCSRD1_CCI_CAPABLE_CCI_INCAPABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENCSRD1_CCI_CAPABLE_CCI_CAPABLE                     _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_NVENC1SRD1_CCI_CAPABLE_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENC1SRD1_CCI_CAPABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_NVENC1SRD1_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENC1SRD1_CCI_CAPABLE_RANGE                  17:17
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENC1SRD1_CCI_CAPABLE_WOFFSET                        0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENC1SRD1_CCI_CAPABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENC1SRD1_CCI_CAPABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENC1SRD1_CCI_CAPABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENC1SRD1_CCI_CAPABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENC1SRD1_CCI_CAPABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENC1SRD1_CCI_CAPABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENC1SRD1_CCI_CAPABLE_INIT_ENUM                      CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENC1SRD1_CCI_CAPABLE_CCI_INCAPABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVENC1SRD1_CCI_CAPABLE_CCI_CAPABLE                    _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_ISPRA1_CCI_CAPABLE_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPRA1_CCI_CAPABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_ISPRA1_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPRA1_CCI_CAPABLE_RANGE                      18:18
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPRA1_CCI_CAPABLE_WOFFSET                    0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPRA1_CCI_CAPABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPRA1_CCI_CAPABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPRA1_CCI_CAPABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPRA1_CCI_CAPABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPRA1_CCI_CAPABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPRA1_CCI_CAPABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPRA1_CCI_CAPABLE_INIT_ENUM                  CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPRA1_CCI_CAPABLE_CCI_INCAPABLE                      _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_ISPRA1_CCI_CAPABLE_CCI_CAPABLE                        _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE0R1_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE0R1_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_PCIE0R1_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE0R1_CCI_CAPABLE_RANGE                     19:19
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE0R1_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE0R1_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE0R1_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE0R1_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE0R1_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE0R1_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE0R1_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE0R1_CCI_CAPABLE_INIT_ENUM                 CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE0R1_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_PCIE0R1_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD_CCI_CAPABLE_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD_CCI_CAPABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD_CCI_CAPABLE_RANGE                   25:25
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD_CCI_CAPABLE_WOFFSET                 0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD_CCI_CAPABLE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD_CCI_CAPABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD_CCI_CAPABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD_CCI_CAPABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD_CCI_CAPABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD_CCI_CAPABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD_CCI_CAPABLE_INIT_ENUM                       CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD_CCI_CAPABLE_CCI_INCAPABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD_CCI_CAPABLE_CCI_CAPABLE                     _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD1_CCI_CAPABLE_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD1_CCI_CAPABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD1_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD1_CCI_CAPABLE_RANGE                  26:26
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD1_CCI_CAPABLE_WOFFSET                        0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD1_CCI_CAPABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD1_CCI_CAPABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD1_CCI_CAPABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD1_CCI_CAPABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD1_CCI_CAPABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD1_CCI_CAPABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD1_CCI_CAPABLE_INIT_ENUM                      CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD1_CCI_CAPABLE_CCI_INCAPABLE                  _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SRD1_CCI_CAPABLE_CCI_CAPABLE                    _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SWR_CCI_CAPABLE_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SWR_CCI_CAPABLE_FIELD                   _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SWR_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SWR_CCI_CAPABLE_RANGE                   27:27
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SWR_CCI_CAPABLE_WOFFSET                 0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SWR_CCI_CAPABLE_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SWR_CCI_CAPABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SWR_CCI_CAPABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SWR_CCI_CAPABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SWR_CCI_CAPABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SWR_CCI_CAPABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SWR_CCI_CAPABLE_INIT_ENUM                       CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SWR_CCI_CAPABLE_CCI_INCAPABLE                   _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_NVDEC1SWR_CCI_CAPABLE_CCI_CAPABLE                     _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5R_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5R_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_MIU5R_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5R_CCI_CAPABLE_RANGE                       28:28
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5R_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5R_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5R_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5R_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5R_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5R_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5R_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5R_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5R_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5R_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5W_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(29)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5W_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_MIU5W_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5W_CCI_CAPABLE_RANGE                       29:29
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5W_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5W_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5W_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5W_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5W_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5W_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5W_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5W_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5W_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU5W_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6R_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(30)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6R_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_MIU6R_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6R_CCI_CAPABLE_RANGE                       30:30
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6R_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6R_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6R_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6R_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6R_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6R_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6R_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6R_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6R_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6R_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)

#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6W_CCI_CAPABLE_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6W_CCI_CAPABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_8_0_MIU6W_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6W_CCI_CAPABLE_RANGE                       31:31
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6W_CCI_CAPABLE_WOFFSET                     0x0
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6W_CCI_CAPABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6W_CCI_CAPABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6W_CCI_CAPABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6W_CCI_CAPABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6W_CCI_CAPABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6W_CCI_CAPABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6W_CCI_CAPABLE_INIT_ENUM                   CCI_CAPABLE
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6W_CCI_CAPABLE_CCI_INCAPABLE                       _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_8_0_MIU6W_CCI_CAPABLE_CCI_CAPABLE                 _MK_ENUM_CONST(1)


// Register MC_CLIENT_CCI_CAPABLE_7_0
#define MC_CLIENT_CCI_CAPABLE_7_0                       _MK_ADDR_CONST(0x193c)
#define MC_CLIENT_CCI_CAPABLE_7_0_SECURE                        0x0
#define MC_CLIENT_CCI_CAPABLE_7_0_DUAL                  0x0
#define MC_CLIENT_CCI_CAPABLE_7_0_SCR                   0
#define MC_CLIENT_CCI_CAPABLE_7_0_WORD_COUNT                    0x1
#define MC_CLIENT_CCI_CAPABLE_7_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_7_0_RESET_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_CCI_CAPABLE_7_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_7_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_CLIENT_CCI_CAPABLE_7_0_READ_MASK                     _MK_MASK_CONST(0x3)
#define MC_CLIENT_CCI_CAPABLE_7_0_WRITE_MASK                    _MK_MASK_CONST(0x3)
#define MC_CLIENT_CCI_CAPABLE_7_0_NVCACHE_CCI_CAPABLE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_7_0_NVCACHE_CCI_CAPABLE_FIELD                     _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_7_0_NVCACHE_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_7_0_NVCACHE_CCI_CAPABLE_RANGE                     0:0
#define MC_CLIENT_CCI_CAPABLE_7_0_NVCACHE_CCI_CAPABLE_WOFFSET                   0x0
#define MC_CLIENT_CCI_CAPABLE_7_0_NVCACHE_CCI_CAPABLE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_7_0_NVCACHE_CCI_CAPABLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_7_0_NVCACHE_CCI_CAPABLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_7_0_NVCACHE_CCI_CAPABLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_7_0_NVCACHE_CCI_CAPABLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_7_0_NVCACHE_CCI_CAPABLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_7_0_NVCACHE_CCI_CAPABLE_INIT_ENUM                 CCI_INCAPABLE
#define MC_CLIENT_CCI_CAPABLE_7_0_NVCACHE_CCI_CAPABLE_CCI_INCAPABLE                     _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_7_0_NVCACHE_CCI_CAPABLE_CCI_CAPABLE                       _MK_ENUM_CONST(1)
#define MC_CLIENT_CCI_CAPABLE_7_0_NVCACHE_CCI_CAPABLE__PROD                     _MK_MASK_CONST(0x0)

#define MC_CLIENT_CCI_CAPABLE_7_0_SCRUBBER_CCI_CAPABLE_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_CLIENT_CCI_CAPABLE_7_0_SCRUBBER_CCI_CAPABLE_FIELD                    _MK_FIELD_CONST(0x1, MC_CLIENT_CCI_CAPABLE_7_0_SCRUBBER_CCI_CAPABLE_SHIFT)
#define MC_CLIENT_CCI_CAPABLE_7_0_SCRUBBER_CCI_CAPABLE_RANGE                    1:1
#define MC_CLIENT_CCI_CAPABLE_7_0_SCRUBBER_CCI_CAPABLE_WOFFSET                  0x0
#define MC_CLIENT_CCI_CAPABLE_7_0_SCRUBBER_CCI_CAPABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_7_0_SCRUBBER_CCI_CAPABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_7_0_SCRUBBER_CCI_CAPABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_7_0_SCRUBBER_CCI_CAPABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_7_0_SCRUBBER_CCI_CAPABLE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CLIENT_CCI_CAPABLE_7_0_SCRUBBER_CCI_CAPABLE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CLIENT_CCI_CAPABLE_7_0_SCRUBBER_CCI_CAPABLE_INIT_ENUM                        CCI_INCAPABLE
#define MC_CLIENT_CCI_CAPABLE_7_0_SCRUBBER_CCI_CAPABLE_CCI_INCAPABLE                    _MK_ENUM_CONST(0)
#define MC_CLIENT_CCI_CAPABLE_7_0_SCRUBBER_CCI_CAPABLE_CCI_CAPABLE                      _MK_ENUM_CONST(1)
#define MC_CLIENT_CCI_CAPABLE_7_0_SCRUBBER_CCI_CAPABLE__PROD                    _MK_MASK_CONST(0x0)


// Register MC_MAX_OUTSTANDING_CCI_0
#define MC_MAX_OUTSTANDING_CCI_0                        _MK_ADDR_CONST(0x1840)
#define MC_MAX_OUTSTANDING_CCI_0_SECURE                         0x0
#define MC_MAX_OUTSTANDING_CCI_0_DUAL                   0x0
#define MC_MAX_OUTSTANDING_CCI_0_SCR                    0
#define MC_MAX_OUTSTANDING_CCI_0_WORD_COUNT                     0x1
#define MC_MAX_OUTSTANDING_CCI_0_RESET_VAL                      _MK_MASK_CONST(0x8000006e)
#define MC_MAX_OUTSTANDING_CCI_0_RESET_MASK                     _MK_MASK_CONST(0x800003ff)
#define MC_MAX_OUTSTANDING_CCI_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x8000006e)
#define MC_MAX_OUTSTANDING_CCI_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x800003ff)
#define MC_MAX_OUTSTANDING_CCI_0_READ_MASK                      _MK_MASK_CONST(0x83ff03ff)
#define MC_MAX_OUTSTANDING_CCI_0_WRITE_MASK                     _MK_MASK_CONST(0x800003ff)
#define MC_MAX_OUTSTANDING_CCI_0_MAX_OUTSTANDING_CCI_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_MAX_OUTSTANDING_CCI_0_MAX_OUTSTANDING_CCI_FIELD                      _MK_FIELD_CONST(0x3ff, MC_MAX_OUTSTANDING_CCI_0_MAX_OUTSTANDING_CCI_SHIFT)
#define MC_MAX_OUTSTANDING_CCI_0_MAX_OUTSTANDING_CCI_RANGE                      9:0
#define MC_MAX_OUTSTANDING_CCI_0_MAX_OUTSTANDING_CCI_WOFFSET                    0x0
#define MC_MAX_OUTSTANDING_CCI_0_MAX_OUTSTANDING_CCI_DEFAULT                    _MK_MASK_CONST(0x6e)
#define MC_MAX_OUTSTANDING_CCI_0_MAX_OUTSTANDING_CCI_DEFAULT_MASK                       _MK_MASK_CONST(0x3ff)
#define MC_MAX_OUTSTANDING_CCI_0_MAX_OUTSTANDING_CCI_SW_DEFAULT                 _MK_MASK_CONST(0x6e)
#define MC_MAX_OUTSTANDING_CCI_0_MAX_OUTSTANDING_CCI_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3ff)
#define MC_MAX_OUTSTANDING_CCI_0_MAX_OUTSTANDING_CCI_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MAX_OUTSTANDING_CCI_0_MAX_OUTSTANDING_CCI_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MAX_OUTSTANDING_CCI_0_MAX_OUTSTANDING_CCI__PROD                      _MK_MASK_CONST(0x6e)

#define MC_MAX_OUTSTANDING_CCI_0_OUTSTANDING_COUNT_CCI_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_MAX_OUTSTANDING_CCI_0_OUTSTANDING_COUNT_CCI_FIELD                    _MK_FIELD_CONST(0x3ff, MC_MAX_OUTSTANDING_CCI_0_OUTSTANDING_COUNT_CCI_SHIFT)
#define MC_MAX_OUTSTANDING_CCI_0_OUTSTANDING_COUNT_CCI_RANGE                    25:16
#define MC_MAX_OUTSTANDING_CCI_0_OUTSTANDING_COUNT_CCI_WOFFSET                  0x0
#define MC_MAX_OUTSTANDING_CCI_0_OUTSTANDING_COUNT_CCI_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MAX_OUTSTANDING_CCI_0_OUTSTANDING_COUNT_CCI_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MAX_OUTSTANDING_CCI_0_OUTSTANDING_COUNT_CCI_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MAX_OUTSTANDING_CCI_0_OUTSTANDING_COUNT_CCI_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MAX_OUTSTANDING_CCI_0_OUTSTANDING_COUNT_CCI_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MAX_OUTSTANDING_CCI_0_OUTSTANDING_COUNT_CCI_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define MC_MAX_OUTSTANDING_CCI_0_LIMIT_OUTSTANDING_CCI_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_MAX_OUTSTANDING_CCI_0_LIMIT_OUTSTANDING_CCI_FIELD                    _MK_FIELD_CONST(0x1, MC_MAX_OUTSTANDING_CCI_0_LIMIT_OUTSTANDING_CCI_SHIFT)
#define MC_MAX_OUTSTANDING_CCI_0_LIMIT_OUTSTANDING_CCI_RANGE                    31:31
#define MC_MAX_OUTSTANDING_CCI_0_LIMIT_OUTSTANDING_CCI_WOFFSET                  0x0
#define MC_MAX_OUTSTANDING_CCI_0_LIMIT_OUTSTANDING_CCI_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_MAX_OUTSTANDING_CCI_0_LIMIT_OUTSTANDING_CCI_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MAX_OUTSTANDING_CCI_0_LIMIT_OUTSTANDING_CCI_SW_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MAX_OUTSTANDING_CCI_0_LIMIT_OUTSTANDING_CCI_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MAX_OUTSTANDING_CCI_0_LIMIT_OUTSTANDING_CCI_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MAX_OUTSTANDING_CCI_0_LIMIT_OUTSTANDING_CCI_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MAX_OUTSTANDING_CCI_0_LIMIT_OUTSTANDING_CCI_INIT_ENUM                        ENABLE
#define MC_MAX_OUTSTANDING_CCI_0_LIMIT_OUTSTANDING_CCI_DISABLE                  _MK_ENUM_CONST(0)
#define MC_MAX_OUTSTANDING_CCI_0_LIMIT_OUTSTANDING_CCI_ENABLE                   _MK_ENUM_CONST(1)
#define MC_MAX_OUTSTANDING_CCI_0_LIMIT_OUTSTANDING_CCI__PROD                    _MK_MASK_CONST(0x1)


// Register MC_NV_CACHE_CONFIG_0
#define MC_NV_CACHE_CONFIG_0                    _MK_ADDR_CONST(0x1844)
#define MC_NV_CACHE_CONFIG_0_SECURE                     0x0
#define MC_NV_CACHE_CONFIG_0_DUAL                       0x0
#define MC_NV_CACHE_CONFIG_0_SCR                        0
#define MC_NV_CACHE_CONFIG_0_WORD_COUNT                         0x1
#define MC_NV_CACHE_CONFIG_0_RESET_VAL                  _MK_MASK_CONST(0x3)
#define MC_NV_CACHE_CONFIG_0_RESET_MASK                         _MK_MASK_CONST(0x3)
#define MC_NV_CACHE_CONFIG_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x3)
#define MC_NV_CACHE_CONFIG_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_NV_CACHE_CONFIG_0_READ_MASK                  _MK_MASK_CONST(0x3)
#define MC_NV_CACHE_CONFIG_0_WRITE_MASK                         _MK_MASK_CONST(0x3)
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ENABLE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_NV_CACHE_CONFIG_0_NV_CACHE_ENABLE_SHIFT)
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ENABLE_RANGE                      0:0
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ENABLE_WOFFSET                    0x0
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ENABLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ENABLE_ENABLE                     _MK_ENUM_CONST(1)
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ENABLE__PROD                      _MK_MASK_CONST(0x1)

#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ECC_ENABLE_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ECC_ENABLE_FIELD                  _MK_FIELD_CONST(0x1, MC_NV_CACHE_CONFIG_0_NV_CACHE_ECC_ENABLE_SHIFT)
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ECC_ENABLE_RANGE                  1:1
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ECC_ENABLE_WOFFSET                        0x0
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ECC_ENABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ECC_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ECC_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ECC_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ECC_ENABLE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ECC_ENABLE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ECC_ENABLE_DISABLE                        _MK_ENUM_CONST(0)
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ECC_ENABLE_ENABLE                 _MK_ENUM_CONST(1)
#define MC_NV_CACHE_CONFIG_0_NV_CACHE_ECC_ENABLE__PROD                  _MK_MASK_CONST(0x1)


// Reserved address 0x1848

// Register MC_NV_CACHE_HUB_MASK_0
#define MC_NV_CACHE_HUB_MASK_0                  _MK_ADDR_CONST(0x184c)
#define MC_NV_CACHE_HUB_MASK_0_SECURE                   0x0
#define MC_NV_CACHE_HUB_MASK_0_DUAL                     0x0
#define MC_NV_CACHE_HUB_MASK_0_SCR                      0
#define MC_NV_CACHE_HUB_MASK_0_WORD_COUNT                       0x1
#define MC_NV_CACHE_HUB_MASK_0_RESET_VAL                        _MK_MASK_CONST(0xff40)
#define MC_NV_CACHE_HUB_MASK_0_RESET_MASK                       _MK_MASK_CONST(0xffc0)
#define MC_NV_CACHE_HUB_MASK_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_NV_CACHE_HUB_MASK_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_NV_CACHE_HUB_MASK_0_READ_MASK                        _MK_MASK_CONST(0xffc0)
#define MC_NV_CACHE_HUB_MASK_0_WRITE_MASK                       _MK_MASK_CONST(0xffc0)
#define MC_NV_CACHE_HUB_MASK_0_NV_CACHE_ADR_MASK_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_NV_CACHE_HUB_MASK_0_NV_CACHE_ADR_MASK_FIELD                  _MK_FIELD_CONST(0x3ff, MC_NV_CACHE_HUB_MASK_0_NV_CACHE_ADR_MASK_SHIFT)
#define MC_NV_CACHE_HUB_MASK_0_NV_CACHE_ADR_MASK_RANGE                  15:6
#define MC_NV_CACHE_HUB_MASK_0_NV_CACHE_ADR_MASK_WOFFSET                        0x0
#define MC_NV_CACHE_HUB_MASK_0_NV_CACHE_ADR_MASK_DEFAULT                        _MK_MASK_CONST(0x3fd)
#define MC_NV_CACHE_HUB_MASK_0_NV_CACHE_ADR_MASK_DEFAULT_MASK                   _MK_MASK_CONST(0x3ff)
#define MC_NV_CACHE_HUB_MASK_0_NV_CACHE_ADR_MASK_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_NV_CACHE_HUB_MASK_0_NV_CACHE_ADR_MASK_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_NV_CACHE_HUB_MASK_0_NV_CACHE_ADR_MASK_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_NV_CACHE_HUB_MASK_0_NV_CACHE_ADR_MASK_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_SYSRAM_BOM_0
#define MC_SYSRAM_BOM_0                 _MK_ADDR_CONST(0x1850)
#define MC_SYSRAM_BOM_0_SECURE                  0x0
#define MC_SYSRAM_BOM_0_DUAL                    0x0
#define MC_SYSRAM_BOM_0_SCR                     0
#define MC_SYSRAM_BOM_0_WORD_COUNT                      0x1
#define MC_SYSRAM_BOM_0_RESET_VAL                       _MK_MASK_CONST(0x40000000)
#define MC_SYSRAM_BOM_0_RESET_MASK                      _MK_MASK_CONST(0xfffff000)
#define MC_SYSRAM_BOM_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x40000000)
#define MC_SYSRAM_BOM_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SYSRAM_BOM_0_READ_MASK                       _MK_MASK_CONST(0xfffff000)
#define MC_SYSRAM_BOM_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff000)
#define MC_SYSRAM_BOM_0_SYSRAM_BOM_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SYSRAM_BOM_0_SYSRAM_BOM_FIELD                        _MK_FIELD_CONST(0xfffff, MC_SYSRAM_BOM_0_SYSRAM_BOM_SHIFT)
#define MC_SYSRAM_BOM_0_SYSRAM_BOM_RANGE                        31:12
#define MC_SYSRAM_BOM_0_SYSRAM_BOM_WOFFSET                      0x0
#define MC_SYSRAM_BOM_0_SYSRAM_BOM_DEFAULT                      _MK_MASK_CONST(0x40000)
#define MC_SYSRAM_BOM_0_SYSRAM_BOM_DEFAULT_MASK                 _MK_MASK_CONST(0xfffff)
#define MC_SYSRAM_BOM_0_SYSRAM_BOM_SW_DEFAULT                   _MK_MASK_CONST(0x40000)
#define MC_SYSRAM_BOM_0_SYSRAM_BOM_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SYSRAM_BOM_0_SYSRAM_BOM_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SYSRAM_BOM_0_SYSRAM_BOM_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SYSRAM_BOM_0_SYSRAM_BOM__PROD                        _MK_MASK_CONST(0x40000)


// Register MC_SYSRAM_TOM_0
#define MC_SYSRAM_TOM_0                 _MK_ADDR_CONST(0x1854)
#define MC_SYSRAM_TOM_0_SECURE                  0x0
#define MC_SYSRAM_TOM_0_DUAL                    0x0
#define MC_SYSRAM_TOM_0_SCR                     0
#define MC_SYSRAM_TOM_0_WORD_COUNT                      0x1
#define MC_SYSRAM_TOM_0_RESET_VAL                       _MK_MASK_CONST(0x40067000)
#define MC_SYSRAM_TOM_0_RESET_MASK                      _MK_MASK_CONST(0xfffff000)
#define MC_SYSRAM_TOM_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x40067000)
#define MC_SYSRAM_TOM_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0xfffff000)
#define MC_SYSRAM_TOM_0_READ_MASK                       _MK_MASK_CONST(0xfffff000)
#define MC_SYSRAM_TOM_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff000)
#define MC_SYSRAM_TOM_0_SYSRAM_TOM_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SYSRAM_TOM_0_SYSRAM_TOM_FIELD                        _MK_FIELD_CONST(0xfffff, MC_SYSRAM_TOM_0_SYSRAM_TOM_SHIFT)
#define MC_SYSRAM_TOM_0_SYSRAM_TOM_RANGE                        31:12
#define MC_SYSRAM_TOM_0_SYSRAM_TOM_WOFFSET                      0x0
#define MC_SYSRAM_TOM_0_SYSRAM_TOM_DEFAULT                      _MK_MASK_CONST(0x40067)
#define MC_SYSRAM_TOM_0_SYSRAM_TOM_DEFAULT_MASK                 _MK_MASK_CONST(0xfffff)
#define MC_SYSRAM_TOM_0_SYSRAM_TOM_SW_DEFAULT                   _MK_MASK_CONST(0x40067)
#define MC_SYSRAM_TOM_0_SYSRAM_TOM_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SYSRAM_TOM_0_SYSRAM_TOM_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SYSRAM_TOM_0_SYSRAM_TOM_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SYSRAM_TOM_0_SYSRAM_TOM__PROD                        _MK_MASK_CONST(0x40067)


// Register MC_SYSRAM_ADR_HI_0
#define MC_SYSRAM_ADR_HI_0                      _MK_ADDR_CONST(0x1588)
#define MC_SYSRAM_ADR_HI_0_SECURE                       0x0
#define MC_SYSRAM_ADR_HI_0_DUAL                         0x0
#define MC_SYSRAM_ADR_HI_0_SCR                  0
#define MC_SYSRAM_ADR_HI_0_WORD_COUNT                   0x1
#define MC_SYSRAM_ADR_HI_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_SYSRAM_ADR_HI_0_RESET_MASK                   _MK_MASK_CONST(0xffff)
#define MC_SYSRAM_ADR_HI_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_SYSRAM_ADR_HI_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SYSRAM_ADR_HI_0_READ_MASK                    _MK_MASK_CONST(0xffff)
#define MC_SYSRAM_ADR_HI_0_WRITE_MASK                   _MK_MASK_CONST(0xffff)
#define MC_SYSRAM_ADR_HI_0_SYSRAM_BOM_HI_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SYSRAM_ADR_HI_0_SYSRAM_BOM_HI_FIELD                  _MK_FIELD_CONST(0xff, MC_SYSRAM_ADR_HI_0_SYSRAM_BOM_HI_SHIFT)
#define MC_SYSRAM_ADR_HI_0_SYSRAM_BOM_HI_RANGE                  7:0
#define MC_SYSRAM_ADR_HI_0_SYSRAM_BOM_HI_WOFFSET                        0x0
#define MC_SYSRAM_ADR_HI_0_SYSRAM_BOM_HI_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SYSRAM_ADR_HI_0_SYSRAM_BOM_HI_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_SYSRAM_ADR_HI_0_SYSRAM_BOM_HI_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SYSRAM_ADR_HI_0_SYSRAM_BOM_HI_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SYSRAM_ADR_HI_0_SYSRAM_BOM_HI_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SYSRAM_ADR_HI_0_SYSRAM_BOM_HI_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_SYSRAM_ADR_HI_0_SYSRAM_TOM_HI_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_SYSRAM_ADR_HI_0_SYSRAM_TOM_HI_FIELD                  _MK_FIELD_CONST(0xff, MC_SYSRAM_ADR_HI_0_SYSRAM_TOM_HI_SHIFT)
#define MC_SYSRAM_ADR_HI_0_SYSRAM_TOM_HI_RANGE                  15:8
#define MC_SYSRAM_ADR_HI_0_SYSRAM_TOM_HI_WOFFSET                        0x0
#define MC_SYSRAM_ADR_HI_0_SYSRAM_TOM_HI_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_SYSRAM_ADR_HI_0_SYSRAM_TOM_HI_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_SYSRAM_ADR_HI_0_SYSRAM_TOM_HI_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_SYSRAM_ADR_HI_0_SYSRAM_TOM_HI_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SYSRAM_ADR_HI_0_SYSRAM_TOM_HI_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SYSRAM_ADR_HI_0_SYSRAM_TOM_HI_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_SYSRAM_REG_CTRL_0
#define MC_SYSRAM_REG_CTRL_0                    _MK_ADDR_CONST(0x185c)
#define MC_SYSRAM_REG_CTRL_0_SECURE                     0x0
#define MC_SYSRAM_REG_CTRL_0_DUAL                       0x0
#define MC_SYSRAM_REG_CTRL_0_SCR                        0
#define MC_SYSRAM_REG_CTRL_0_WORD_COUNT                         0x1
#define MC_SYSRAM_REG_CTRL_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_SYSRAM_REG_CTRL_0_RESET_MASK                         _MK_MASK_CONST(0x1)
#define MC_SYSRAM_REG_CTRL_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_SYSRAM_REG_CTRL_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SYSRAM_REG_CTRL_0_READ_MASK                  _MK_MASK_CONST(0x1)
#define MC_SYSRAM_REG_CTRL_0_WRITE_MASK                         _MK_MASK_CONST(0x1)
#define MC_SYSRAM_REG_CTRL_0_SYSRAM_CFG_WRITE_ACCESS_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_SYSRAM_REG_CTRL_0_SYSRAM_CFG_WRITE_ACCESS_FIELD                      _MK_FIELD_CONST(0x1, MC_SYSRAM_REG_CTRL_0_SYSRAM_CFG_WRITE_ACCESS_SHIFT)
#define MC_SYSRAM_REG_CTRL_0_SYSRAM_CFG_WRITE_ACCESS_RANGE                      0:0
#define MC_SYSRAM_REG_CTRL_0_SYSRAM_CFG_WRITE_ACCESS_WOFFSET                    0x0
#define MC_SYSRAM_REG_CTRL_0_SYSRAM_CFG_WRITE_ACCESS_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SYSRAM_REG_CTRL_0_SYSRAM_CFG_WRITE_ACCESS_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SYSRAM_REG_CTRL_0_SYSRAM_CFG_WRITE_ACCESS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SYSRAM_REG_CTRL_0_SYSRAM_CFG_WRITE_ACCESS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_SYSRAM_REG_CTRL_0_SYSRAM_CFG_WRITE_ACCESS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_SYSRAM_REG_CTRL_0_SYSRAM_CFG_WRITE_ACCESS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_SYSRAM_REG_CTRL_0_SYSRAM_CFG_WRITE_ACCESS_INIT_ENUM                  ENABLED
#define MC_SYSRAM_REG_CTRL_0_SYSRAM_CFG_WRITE_ACCESS_ENABLED                    _MK_ENUM_CONST(0)
#define MC_SYSRAM_REG_CTRL_0_SYSRAM_CFG_WRITE_ACCESS_DISABLED                   _MK_ENUM_CONST(1)


// Register MC_MSSNVLINK_BOM_0
#define MC_MSSNVLINK_BOM_0                      _MK_ADDR_CONST(0x1860)
#define MC_MSSNVLINK_BOM_0_SECURE                       0x0
#define MC_MSSNVLINK_BOM_0_DUAL                         0x0
#define MC_MSSNVLINK_BOM_0_SCR                  0
#define MC_MSSNVLINK_BOM_0_WORD_COUNT                   0x1
#define MC_MSSNVLINK_BOM_0_RESET_VAL                    _MK_MASK_CONST(0x20000)
#define MC_MSSNVLINK_BOM_0_RESET_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_MSSNVLINK_BOM_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x20000)
#define MC_MSSNVLINK_BOM_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_MSSNVLINK_BOM_0_READ_MASK                    _MK_MASK_CONST(0xfffff)
#define MC_MSSNVLINK_BOM_0_WRITE_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSSNVLINK_BOM_0_MSSNVLINK_BOM_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MSSNVLINK_BOM_0_MSSNVLINK_BOM_FIELD                  _MK_FIELD_CONST(0xfffff, MC_MSSNVLINK_BOM_0_MSSNVLINK_BOM_SHIFT)
#define MC_MSSNVLINK_BOM_0_MSSNVLINK_BOM_RANGE                  19:0
#define MC_MSSNVLINK_BOM_0_MSSNVLINK_BOM_WOFFSET                        0x0
#define MC_MSSNVLINK_BOM_0_MSSNVLINK_BOM_DEFAULT                        _MK_MASK_CONST(0x20000)
#define MC_MSSNVLINK_BOM_0_MSSNVLINK_BOM_DEFAULT_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_MSSNVLINK_BOM_0_MSSNVLINK_BOM_SW_DEFAULT                     _MK_MASK_CONST(0x20000)
#define MC_MSSNVLINK_BOM_0_MSSNVLINK_BOM_SW_DEFAULT_MASK                        _MK_MASK_CONST(0xfffff)
#define MC_MSSNVLINK_BOM_0_MSSNVLINK_BOM_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSSNVLINK_BOM_0_MSSNVLINK_BOM_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSSNVLINK_BOM_0_MSSNVLINK_BOM__PROD                  _MK_MASK_CONST(0x20000)


// Register MC_MSSNVLINK_TOM_0
#define MC_MSSNVLINK_TOM_0                      _MK_ADDR_CONST(0x1864)
#define MC_MSSNVLINK_TOM_0_SECURE                       0x0
#define MC_MSSNVLINK_TOM_0_DUAL                         0x0
#define MC_MSSNVLINK_TOM_0_SCR                  0
#define MC_MSSNVLINK_TOM_0_WORD_COUNT                   0x1
#define MC_MSSNVLINK_TOM_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MSSNVLINK_TOM_0_RESET_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_MSSNVLINK_TOM_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MSSNVLINK_TOM_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_MSSNVLINK_TOM_0_READ_MASK                    _MK_MASK_CONST(0xfffff)
#define MC_MSSNVLINK_TOM_0_WRITE_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_MSSNVLINK_TOM_0_MSSNVLINK_TOM_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MSSNVLINK_TOM_0_MSSNVLINK_TOM_FIELD                  _MK_FIELD_CONST(0xfffff, MC_MSSNVLINK_TOM_0_MSSNVLINK_TOM_SHIFT)
#define MC_MSSNVLINK_TOM_0_MSSNVLINK_TOM_RANGE                  19:0
#define MC_MSSNVLINK_TOM_0_MSSNVLINK_TOM_WOFFSET                        0x0
#define MC_MSSNVLINK_TOM_0_MSSNVLINK_TOM_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSSNVLINK_TOM_0_MSSNVLINK_TOM_DEFAULT_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_MSSNVLINK_TOM_0_MSSNVLINK_TOM_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSSNVLINK_TOM_0_MSSNVLINK_TOM_SW_DEFAULT_MASK                        _MK_MASK_CONST(0xfffff)
#define MC_MSSNVLINK_TOM_0_MSSNVLINK_TOM_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSSNVLINK_TOM_0_MSSNVLINK_TOM_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSSNVLINK_TOM_0_MSSNVLINK_TOM__PROD                  _MK_MASK_CONST(0x0)


// Register MC_MSSNVLINK_REG_CTRL_0
#define MC_MSSNVLINK_REG_CTRL_0                 _MK_ADDR_CONST(0x186c)
#define MC_MSSNVLINK_REG_CTRL_0_SECURE                  0x0
#define MC_MSSNVLINK_REG_CTRL_0_DUAL                    0x0
#define MC_MSSNVLINK_REG_CTRL_0_SCR                     0
#define MC_MSSNVLINK_REG_CTRL_0_WORD_COUNT                      0x1
#define MC_MSSNVLINK_REG_CTRL_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_MSSNVLINK_REG_CTRL_0_RESET_MASK                      _MK_MASK_CONST(0x1)
#define MC_MSSNVLINK_REG_CTRL_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_MSSNVLINK_REG_CTRL_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_MSSNVLINK_REG_CTRL_0_READ_MASK                       _MK_MASK_CONST(0x1)
#define MC_MSSNVLINK_REG_CTRL_0_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define MC_MSSNVLINK_REG_CTRL_0_MSSNVLINK_CFG_WRITE_ACCESS_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MSSNVLINK_REG_CTRL_0_MSSNVLINK_CFG_WRITE_ACCESS_FIELD                        _MK_FIELD_CONST(0x1, MC_MSSNVLINK_REG_CTRL_0_MSSNVLINK_CFG_WRITE_ACCESS_SHIFT)
#define MC_MSSNVLINK_REG_CTRL_0_MSSNVLINK_CFG_WRITE_ACCESS_RANGE                        0:0
#define MC_MSSNVLINK_REG_CTRL_0_MSSNVLINK_CFG_WRITE_ACCESS_WOFFSET                      0x0
#define MC_MSSNVLINK_REG_CTRL_0_MSSNVLINK_CFG_WRITE_ACCESS_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSSNVLINK_REG_CTRL_0_MSSNVLINK_CFG_WRITE_ACCESS_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSSNVLINK_REG_CTRL_0_MSSNVLINK_CFG_WRITE_ACCESS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSSNVLINK_REG_CTRL_0_MSSNVLINK_CFG_WRITE_ACCESS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSSNVLINK_REG_CTRL_0_MSSNVLINK_CFG_WRITE_ACCESS_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSSNVLINK_REG_CTRL_0_MSSNVLINK_CFG_WRITE_ACCESS_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSSNVLINK_REG_CTRL_0_MSSNVLINK_CFG_WRITE_ACCESS_INIT_ENUM                    ENABLED
#define MC_MSSNVLINK_REG_CTRL_0_MSSNVLINK_CFG_WRITE_ACCESS_ENABLED                      _MK_ENUM_CONST(0)
#define MC_MSSNVLINK_REG_CTRL_0_MSSNVLINK_CFG_WRITE_ACCESS_DISABLED                     _MK_ENUM_CONST(1)


// Register MC_SYNCPOINT_BOM_0
#define MC_SYNCPOINT_BOM_0                      _MK_ADDR_CONST(0x1870)
#define MC_SYNCPOINT_BOM_0_SECURE                       0x0
#define MC_SYNCPOINT_BOM_0_DUAL                         0x0
#define MC_SYNCPOINT_BOM_0_SCR                  0
#define MC_SYNCPOINT_BOM_0_WORD_COUNT                   0x1
#define MC_SYNCPOINT_BOM_0_RESET_VAL                    _MK_MASK_CONST(0x600)
#define MC_SYNCPOINT_BOM_0_RESET_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_SYNCPOINT_BOM_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x600)
#define MC_SYNCPOINT_BOM_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SYNCPOINT_BOM_0_READ_MASK                    _MK_MASK_CONST(0xfffff)
#define MC_SYNCPOINT_BOM_0_WRITE_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_SYNCPOINT_BOM_0_SYNCPOINT_BOM_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SYNCPOINT_BOM_0_SYNCPOINT_BOM_FIELD                  _MK_FIELD_CONST(0xfffff, MC_SYNCPOINT_BOM_0_SYNCPOINT_BOM_SHIFT)
#define MC_SYNCPOINT_BOM_0_SYNCPOINT_BOM_RANGE                  19:0
#define MC_SYNCPOINT_BOM_0_SYNCPOINT_BOM_WOFFSET                        0x0
#define MC_SYNCPOINT_BOM_0_SYNCPOINT_BOM_DEFAULT                        _MK_MASK_CONST(0x600)
#define MC_SYNCPOINT_BOM_0_SYNCPOINT_BOM_DEFAULT_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_SYNCPOINT_BOM_0_SYNCPOINT_BOM_SW_DEFAULT                     _MK_MASK_CONST(0x600)
#define MC_SYNCPOINT_BOM_0_SYNCPOINT_BOM_SW_DEFAULT_MASK                        _MK_MASK_CONST(0xfffff)
#define MC_SYNCPOINT_BOM_0_SYNCPOINT_BOM_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SYNCPOINT_BOM_0_SYNCPOINT_BOM_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SYNCPOINT_BOM_0_SYNCPOINT_BOM__PROD                  _MK_MASK_CONST(0x600)


// Register MC_SYNCPOINT_TOM_0
#define MC_SYNCPOINT_TOM_0                      _MK_ADDR_CONST(0x1874)
#define MC_SYNCPOINT_TOM_0_SECURE                       0x0
#define MC_SYNCPOINT_TOM_0_DUAL                         0x0
#define MC_SYNCPOINT_TOM_0_SCR                  0
#define MC_SYNCPOINT_TOM_0_WORD_COUNT                   0x1
#define MC_SYNCPOINT_TOM_0_RESET_VAL                    _MK_MASK_CONST(0x603)
#define MC_SYNCPOINT_TOM_0_RESET_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_SYNCPOINT_TOM_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x603)
#define MC_SYNCPOINT_TOM_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SYNCPOINT_TOM_0_READ_MASK                    _MK_MASK_CONST(0xfffff)
#define MC_SYNCPOINT_TOM_0_WRITE_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_SYNCPOINT_TOM_0_SYNCPOINT_TOM_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_SYNCPOINT_TOM_0_SYNCPOINT_TOM_FIELD                  _MK_FIELD_CONST(0xfffff, MC_SYNCPOINT_TOM_0_SYNCPOINT_TOM_SHIFT)
#define MC_SYNCPOINT_TOM_0_SYNCPOINT_TOM_RANGE                  19:0
#define MC_SYNCPOINT_TOM_0_SYNCPOINT_TOM_WOFFSET                        0x0
#define MC_SYNCPOINT_TOM_0_SYNCPOINT_TOM_DEFAULT                        _MK_MASK_CONST(0x603)
#define MC_SYNCPOINT_TOM_0_SYNCPOINT_TOM_DEFAULT_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_SYNCPOINT_TOM_0_SYNCPOINT_TOM_SW_DEFAULT                     _MK_MASK_CONST(0x603)
#define MC_SYNCPOINT_TOM_0_SYNCPOINT_TOM_SW_DEFAULT_MASK                        _MK_MASK_CONST(0xfffff)
#define MC_SYNCPOINT_TOM_0_SYNCPOINT_TOM_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_SYNCPOINT_TOM_0_SYNCPOINT_TOM_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_SYNCPOINT_TOM_0_SYNCPOINT_TOM__PROD                  _MK_MASK_CONST(0x603)


// Register MC_SYNCPOINT_REG_CTRL_0
#define MC_SYNCPOINT_REG_CTRL_0                 _MK_ADDR_CONST(0x187c)
#define MC_SYNCPOINT_REG_CTRL_0_SECURE                  0x0
#define MC_SYNCPOINT_REG_CTRL_0_DUAL                    0x0
#define MC_SYNCPOINT_REG_CTRL_0_SCR                     0
#define MC_SYNCPOINT_REG_CTRL_0_WORD_COUNT                      0x1
#define MC_SYNCPOINT_REG_CTRL_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_SYNCPOINT_REG_CTRL_0_RESET_MASK                      _MK_MASK_CONST(0x1)
#define MC_SYNCPOINT_REG_CTRL_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_SYNCPOINT_REG_CTRL_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_SYNCPOINT_REG_CTRL_0_READ_MASK                       _MK_MASK_CONST(0x1)
#define MC_SYNCPOINT_REG_CTRL_0_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define MC_SYNCPOINT_REG_CTRL_0_SYNCPOINT_CFG_WRITE_ACCESS_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_SYNCPOINT_REG_CTRL_0_SYNCPOINT_CFG_WRITE_ACCESS_FIELD                        _MK_FIELD_CONST(0x1, MC_SYNCPOINT_REG_CTRL_0_SYNCPOINT_CFG_WRITE_ACCESS_SHIFT)
#define MC_SYNCPOINT_REG_CTRL_0_SYNCPOINT_CFG_WRITE_ACCESS_RANGE                        0:0
#define MC_SYNCPOINT_REG_CTRL_0_SYNCPOINT_CFG_WRITE_ACCESS_WOFFSET                      0x0
#define MC_SYNCPOINT_REG_CTRL_0_SYNCPOINT_CFG_WRITE_ACCESS_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SYNCPOINT_REG_CTRL_0_SYNCPOINT_CFG_WRITE_ACCESS_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SYNCPOINT_REG_CTRL_0_SYNCPOINT_CFG_WRITE_ACCESS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SYNCPOINT_REG_CTRL_0_SYNCPOINT_CFG_WRITE_ACCESS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SYNCPOINT_REG_CTRL_0_SYNCPOINT_CFG_WRITE_ACCESS_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_SYNCPOINT_REG_CTRL_0_SYNCPOINT_CFG_WRITE_ACCESS_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SYNCPOINT_REG_CTRL_0_SYNCPOINT_CFG_WRITE_ACCESS_INIT_ENUM                    ENABLED
#define MC_SYNCPOINT_REG_CTRL_0_SYNCPOINT_CFG_WRITE_ACCESS_ENABLED                      _MK_ENUM_CONST(0)
#define MC_SYNCPOINT_REG_CTRL_0_SYNCPOINT_CFG_WRITE_ACCESS_DISABLED                     _MK_ENUM_CONST(1)


// Register MC_ECC_CONTROL_0
#define MC_ECC_CONTROL_0                        _MK_ADDR_CONST(0x1880)
#define MC_ECC_CONTROL_0_SECURE                         0x0
#define MC_ECC_CONTROL_0_DUAL                   0x0
#define MC_ECC_CONTROL_0_SCR                    0
#define MC_ECC_CONTROL_0_WORD_COUNT                     0x1
#define MC_ECC_CONTROL_0_RESET_VAL                      _MK_MASK_CONST(0xc)
#define MC_ECC_CONTROL_0_RESET_MASK                     _MK_MASK_CONST(0x1f)
#define MC_ECC_CONTROL_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_ECC_CONTROL_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ECC_CONTROL_0_READ_MASK                      _MK_MASK_CONST(0x1f)
#define MC_ECC_CONTROL_0_WRITE_MASK                     _MK_MASK_CONST(0x1f)
#define MC_ECC_CONTROL_0_ECC_ENABLE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_ECC_CONTROL_0_ECC_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_ECC_CONTROL_0_ECC_ENABLE_SHIFT)
#define MC_ECC_CONTROL_0_ECC_ENABLE_RANGE                       0:0
#define MC_ECC_CONTROL_0_ECC_ENABLE_WOFFSET                     0x0
#define MC_ECC_CONTROL_0_ECC_ENABLE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ECC_CONTROL_0_ECC_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_ECC_CONTROL_0_ECC_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ECC_CONTROL_0_ECC_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ECC_CONTROL_0_ECC_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_ECC_CONTROL_0_ECC_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_ECC_CONTROL_0_ECC_ENABLE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_ECC_CONTROL_0_ECC_ENABLE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_ECC_CONTROL_0_ECC_RAW_ACCESS_MODE_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_ECC_CONTROL_0_ECC_RAW_ACCESS_MODE_FIELD                      _MK_FIELD_CONST(0x1, MC_ECC_CONTROL_0_ECC_RAW_ACCESS_MODE_SHIFT)
#define MC_ECC_CONTROL_0_ECC_RAW_ACCESS_MODE_RANGE                      1:1
#define MC_ECC_CONTROL_0_ECC_RAW_ACCESS_MODE_WOFFSET                    0x0
#define MC_ECC_CONTROL_0_ECC_RAW_ACCESS_MODE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ECC_CONTROL_0_ECC_RAW_ACCESS_MODE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_ECC_CONTROL_0_ECC_RAW_ACCESS_MODE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ECC_CONTROL_0_ECC_RAW_ACCESS_MODE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ECC_CONTROL_0_ECC_RAW_ACCESS_MODE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ECC_CONTROL_0_ECC_RAW_ACCESS_MODE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_ECC_CONTROL_0_ECC_RAW_ACCESS_MODE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_ECC_CONTROL_0_ECC_RAW_ACCESS_MODE_ENABLE                     _MK_ENUM_CONST(1)

#define MC_ECC_CONTROL_0_ECC_CHECKSUM_WRITE_SHIFT                       _MK_SHIFT_CONST(2)
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_WRITE_FIELD                       _MK_FIELD_CONST(0x1, MC_ECC_CONTROL_0_ECC_CHECKSUM_WRITE_SHIFT)
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_WRITE_RANGE                       2:2
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_WRITE_WOFFSET                     0x0
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_WRITE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_WRITE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_WRITE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_WRITE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_WRITE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_WRITE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_WRITE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_WRITE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_ECC_CONTROL_0_ECC_CHECKSUM_READ_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_READ_FIELD                        _MK_FIELD_CONST(0x1, MC_ECC_CONTROL_0_ECC_CHECKSUM_READ_SHIFT)
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_READ_RANGE                        3:3
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_READ_WOFFSET                      0x0
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_READ_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_READ_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_READ_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_READ_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_READ_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_READ_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_READ_DISABLE                      _MK_ENUM_CONST(0)
#define MC_ECC_CONTROL_0_ECC_CHECKSUM_READ_ENABLE                       _MK_ENUM_CONST(1)

#define MC_ECC_CONTROL_0_ECC_CONTROL_WRITE_ACCESS_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_ECC_CONTROL_0_ECC_CONTROL_WRITE_ACCESS_FIELD                 _MK_FIELD_CONST(0x1, MC_ECC_CONTROL_0_ECC_CONTROL_WRITE_ACCESS_SHIFT)
#define MC_ECC_CONTROL_0_ECC_CONTROL_WRITE_ACCESS_RANGE                 4:4
#define MC_ECC_CONTROL_0_ECC_CONTROL_WRITE_ACCESS_WOFFSET                       0x0
#define MC_ECC_CONTROL_0_ECC_CONTROL_WRITE_ACCESS_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ECC_CONTROL_0_ECC_CONTROL_WRITE_ACCESS_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_ECC_CONTROL_0_ECC_CONTROL_WRITE_ACCESS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ECC_CONTROL_0_ECC_CONTROL_WRITE_ACCESS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ECC_CONTROL_0_ECC_CONTROL_WRITE_ACCESS_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_ECC_CONTROL_0_ECC_CONTROL_WRITE_ACCESS_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_ECC_CONTROL_0_ECC_CONTROL_WRITE_ACCESS_INIT_ENUM                     ENABLED
#define MC_ECC_CONTROL_0_ECC_CONTROL_WRITE_ACCESS_ENABLED                       _MK_ENUM_CONST(0)
#define MC_ECC_CONTROL_0_ECC_CONTROL_WRITE_ACCESS_DISABLED                      _MK_ENUM_CONST(1)


// Register MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0                   _MK_ADDR_CONST(0x1890)
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_SECURE                    0x0
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_DUAL                      0x0
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_SCR                       0
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_WORD_COUNT                        0x1
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_RESET_VAL                         _MK_MASK_CONST(0x20)
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x20)
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_IGPU_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_IGPU_FIELD                      _MK_FIELD_CONST(0x7ff, MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_IGPU_SHIFT)
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_IGPU_RANGE                      10:0
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_IGPU_WOFFSET                    0x0
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_IGPU_DEFAULT                    _MK_MASK_CONST(0x20)
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_IGPU_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_IGPU_SW_DEFAULT                 _MK_MASK_CONST(0x20)
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_IGPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_IGPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_IGPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_IGPU__PROD                      _MK_MASK_CONST(0x20)


// Register MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0                   _MK_ADDR_CONST(0x1894)
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_SECURE                    0x0
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_DUAL                      0x0
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_SCR                       0
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_WORD_COUNT                        0x1
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_RESET_VAL                         _MK_MASK_CONST(0x20)
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x20)
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_DGPU_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_DGPU_FIELD                      _MK_FIELD_CONST(0x7ff, MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_DGPU_SHIFT)
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_DGPU_RANGE                      10:0
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_DGPU_WOFFSET                    0x0
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_DGPU_DEFAULT                    _MK_MASK_CONST(0x20)
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_DGPU_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_DGPU_SW_DEFAULT                 _MK_MASK_CONST(0x20)
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_DGPU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_DGPU_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_DGPU_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0_ALLOWANCE_DGPU__PROD                      _MK_MASK_CONST(0x20)


// Register MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0                     _MK_ADDR_CONST(0x189c)
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_SECURE                      0x0
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_DUAL                        0x0
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_SCR                         0
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_WORD_COUNT                  0x1
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_ALLOWANCE_NVLRHP_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_ALLOWANCE_NVLRHP_FIELD                      _MK_FIELD_CONST(0x7ff, MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_ALLOWANCE_NVLRHP_SHIFT)
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_ALLOWANCE_NVLRHP_RANGE                      10:0
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_ALLOWANCE_NVLRHP_WOFFSET                    0x0
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_ALLOWANCE_NVLRHP_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_ALLOWANCE_NVLRHP_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_ALLOWANCE_NVLRHP_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_ALLOWANCE_NVLRHP_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_ALLOWANCE_NVLRHP_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_ALLOWANCE_NVLRHP_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0_ALLOWANCE_NVLRHP__PROD                      _MK_MASK_CONST(0x0)


// Register MC_CFG_WCAM_GOB_REMAP_0
#define MC_CFG_WCAM_GOB_REMAP_0                 _MK_ADDR_CONST(0xed4)
#define MC_CFG_WCAM_GOB_REMAP_0_SECURE                  0x0
#define MC_CFG_WCAM_GOB_REMAP_0_DUAL                    0x0
#define MC_CFG_WCAM_GOB_REMAP_0_SCR                     0
#define MC_CFG_WCAM_GOB_REMAP_0_WORD_COUNT                      0x1
#define MC_CFG_WCAM_GOB_REMAP_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CFG_WCAM_GOB_REMAP_0_RESET_MASK                      _MK_MASK_CONST(0x1)
#define MC_CFG_WCAM_GOB_REMAP_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CFG_WCAM_GOB_REMAP_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x1)
#define MC_CFG_WCAM_GOB_REMAP_0_READ_MASK                       _MK_MASK_CONST(0x1)
#define MC_CFG_WCAM_GOB_REMAP_0_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define MC_CFG_WCAM_GOB_REMAP_0_WCAM_ECC_GOB_REMAP_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_CFG_WCAM_GOB_REMAP_0_WCAM_ECC_GOB_REMAP_FIELD                        _MK_FIELD_CONST(0x1, MC_CFG_WCAM_GOB_REMAP_0_WCAM_ECC_GOB_REMAP_SHIFT)
#define MC_CFG_WCAM_GOB_REMAP_0_WCAM_ECC_GOB_REMAP_RANGE                        0:0
#define MC_CFG_WCAM_GOB_REMAP_0_WCAM_ECC_GOB_REMAP_WOFFSET                      0x0
#define MC_CFG_WCAM_GOB_REMAP_0_WCAM_ECC_GOB_REMAP_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CFG_WCAM_GOB_REMAP_0_WCAM_ECC_GOB_REMAP_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CFG_WCAM_GOB_REMAP_0_WCAM_ECC_GOB_REMAP_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CFG_WCAM_GOB_REMAP_0_WCAM_ECC_GOB_REMAP_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CFG_WCAM_GOB_REMAP_0_WCAM_ECC_GOB_REMAP_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_CFG_WCAM_GOB_REMAP_0_WCAM_ECC_GOB_REMAP_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CFG_WCAM_GOB_REMAP_0_WCAM_ECC_GOB_REMAP_INIT_ENUM                    DISABLED
#define MC_CFG_WCAM_GOB_REMAP_0_WCAM_ECC_GOB_REMAP_ENABLED                      _MK_ENUM_CONST(1)
#define MC_CFG_WCAM_GOB_REMAP_0_WCAM_ECC_GOB_REMAP_DISABLED                     _MK_ENUM_CONST(0)
#define MC_CFG_WCAM_GOB_REMAP_0_WCAM_ECC_GOB_REMAP__PROD                        _MK_MASK_CONST(0x0)


// Register MC_ECC_RAW_MODE_CONTROL_0
#define MC_ECC_RAW_MODE_CONTROL_0                       _MK_ADDR_CONST(0xed8)
#define MC_ECC_RAW_MODE_CONTROL_0_SECURE                        0x0
#define MC_ECC_RAW_MODE_CONTROL_0_DUAL                  0x0
#define MC_ECC_RAW_MODE_CONTROL_0_SCR                   0
#define MC_ECC_RAW_MODE_CONTROL_0_WORD_COUNT                    0x1
#define MC_ECC_RAW_MODE_CONTROL_0_RESET_VAL                     _MK_MASK_CONST(0x8d8c00)
#define MC_ECC_RAW_MODE_CONTROL_0_RESET_MASK                    _MK_MASK_CONST(0xe0ffff07)
#define MC_ECC_RAW_MODE_CONTROL_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_READ_MASK                     _MK_MASK_CONST(0xe0ffff07)
#define MC_ECC_RAW_MODE_CONTROL_0_WRITE_MASK                    _MK_MASK_CONST(0xe0ffff07)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_FIELD                    _MK_FIELD_CONST(0x1, MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_SHIFT)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_RANGE                    0:0
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WOFFSET                  0x0
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_INIT_ENUM                        DISABLE
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_DISABLE                  _MK_ENUM_CONST(0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_ENABLE                   _MK_ENUM_CONST(1)

#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_GOB_OVERRIDE_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_GOB_OVERRIDE_FIELD                       _MK_FIELD_CONST(0x1, MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_GOB_OVERRIDE_SHIFT)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_GOB_OVERRIDE_RANGE                       1:1
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_GOB_OVERRIDE_WOFFSET                     0x0
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_GOB_OVERRIDE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_GOB_OVERRIDE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_GOB_OVERRIDE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_GOB_OVERRIDE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_GOB_OVERRIDE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_GOB_OVERRIDE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_GOB_OVERRIDE_INIT_ENUM                   DISABLE
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_GOB_OVERRIDE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_GOB_OVERRIDE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_ENCR_OVERRIDE_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_ENCR_OVERRIDE_FIELD                      _MK_FIELD_CONST(0x1, MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_ENCR_OVERRIDE_SHIFT)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_ENCR_OVERRIDE_RANGE                      2:2
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_ENCR_OVERRIDE_WOFFSET                    0x0
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_ENCR_OVERRIDE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_ENCR_OVERRIDE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_ENCR_OVERRIDE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_ENCR_OVERRIDE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_ENCR_OVERRIDE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_ENCR_OVERRIDE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_ENCR_OVERRIDE_INIT_ENUM                  DISABLE
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_ENCR_OVERRIDE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_ENCR_OVERRIDE_ENABLE                     _MK_ENUM_CONST(1)

#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID0_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID0_FIELD                      _MK_FIELD_CONST(0xff, MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID0_SHIFT)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID0_RANGE                      15:8
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID0_WOFFSET                    0x0
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID0_DEFAULT                    _MK_MASK_CONST(0x8c)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID0_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID0_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID0_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID1_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID1_FIELD                      _MK_FIELD_CONST(0xff, MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID1_SHIFT)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID1_RANGE                      23:16
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID1_WOFFSET                    0x0
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID1_DEFAULT                    _MK_MASK_CONST(0x8d)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID1_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_CGID1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS0_SHIFT                      _MK_SHIFT_CONST(29)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS0_FIELD                      _MK_FIELD_CONST(0x1, MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS0_SHIFT)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS0_RANGE                      29:29
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS0_WOFFSET                    0x0
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS0_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS0_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS0_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS0_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS0_INIT_ENUM                  ENABLED
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS0_ENABLED                    _MK_ENUM_CONST(0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS0_DISABLED                   _MK_ENUM_CONST(1)

#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS1_SHIFT                      _MK_SHIFT_CONST(30)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS1_FIELD                      _MK_FIELD_CONST(0x1, MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS1_SHIFT)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS1_RANGE                      30:30
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS1_WOFFSET                    0x0
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS1_INIT_ENUM                  ENABLED
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS1_ENABLED                    _MK_ENUM_CONST(0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS1_DISABLED                   _MK_ENUM_CONST(1)

#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS2_SHIFT                      _MK_SHIFT_CONST(31)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS2_FIELD                      _MK_FIELD_CONST(0x1, MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS2_SHIFT)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS2_RANGE                      31:31
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS2_WOFFSET                    0x0
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS2_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS2_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS2_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS2_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS2_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS2_INIT_ENUM                  ENABLED
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS2_ENABLED                    _MK_ENUM_CONST(0)
#define MC_ECC_RAW_MODE_CONTROL_0_ECC_RAW_MODE_WRITE_ACCESS2_DISABLED                   _MK_ENUM_CONST(1)


// Register MC_ECC_CFG_0
#define MC_ECC_CFG_0                    _MK_ADDR_CONST(0x1884)
#define MC_ECC_CFG_0_SECURE                     0x0
#define MC_ECC_CFG_0_DUAL                       0x0
#define MC_ECC_CFG_0_SCR                        0
#define MC_ECC_CFG_0_WORD_COUNT                         0x1
#define MC_ECC_CFG_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_ECC_CFG_0_RESET_MASK                         _MK_MASK_CONST(0xfffff)
#define MC_ECC_CFG_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_ECC_CFG_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ECC_CFG_0_READ_MASK                  _MK_MASK_CONST(0xfffff)
#define MC_ECC_CFG_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff)
#define MC_ECC_CFG_0_ECC_SIZE_MB_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_ECC_CFG_0_ECC_SIZE_MB_FIELD                  _MK_FIELD_CONST(0xfffff, MC_ECC_CFG_0_ECC_SIZE_MB_SHIFT)
#define MC_ECC_CFG_0_ECC_SIZE_MB_RANGE                  19:0
#define MC_ECC_CFG_0_ECC_SIZE_MB_WOFFSET                        0x0
#define MC_ECC_CFG_0_ECC_SIZE_MB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_ECC_CFG_0_ECC_SIZE_MB_DEFAULT_MASK                   _MK_MASK_CONST(0xfffff)
#define MC_ECC_CFG_0_ECC_SIZE_MB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_ECC_CFG_0_ECC_SIZE_MB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ECC_CFG_0_ECC_SIZE_MB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_ECC_CFG_0_ECC_SIZE_MB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_TR_BIT_CTL_0
#define MC_TR_BIT_CTL_0                 _MK_ADDR_CONST(0xed0)
#define MC_TR_BIT_CTL_0_SECURE                  0x0
#define MC_TR_BIT_CTL_0_DUAL                    0x0
#define MC_TR_BIT_CTL_0_SCR                     0
#define MC_TR_BIT_CTL_0_WORD_COUNT                      0x1
#define MC_TR_BIT_CTL_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_TR_BIT_CTL_0_RESET_MASK                      _MK_MASK_CONST(0x2)
#define MC_TR_BIT_CTL_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_TR_BIT_CTL_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x2)
#define MC_TR_BIT_CTL_0_READ_MASK                       _MK_MASK_CONST(0x2)
#define MC_TR_BIT_CTL_0_WRITE_MASK                      _MK_MASK_CONST(0x2)
#define MC_TR_BIT_CTL_0_TR_BIT_CLEAR_DISABLE_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_TR_BIT_CTL_0_TR_BIT_CLEAR_DISABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_TR_BIT_CTL_0_TR_BIT_CLEAR_DISABLE_SHIFT)
#define MC_TR_BIT_CTL_0_TR_BIT_CLEAR_DISABLE_RANGE                      1:1
#define MC_TR_BIT_CTL_0_TR_BIT_CLEAR_DISABLE_WOFFSET                    0x0
#define MC_TR_BIT_CTL_0_TR_BIT_CLEAR_DISABLE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TR_BIT_CTL_0_TR_BIT_CLEAR_DISABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_TR_BIT_CTL_0_TR_BIT_CLEAR_DISABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TR_BIT_CTL_0_TR_BIT_CLEAR_DISABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TR_BIT_CTL_0_TR_BIT_CLEAR_DISABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TR_BIT_CTL_0_TR_BIT_CLEAR_DISABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_TR_BIT_CTL_0_TR_BIT_CLEAR_DISABLE_INIT_ENUM                  DISABLE
#define MC_TR_BIT_CTL_0_TR_BIT_CLEAR_DISABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_TR_BIT_CTL_0_TR_BIT_CLEAR_DISABLE_ENABLE                     _MK_ENUM_CONST(1)
#define MC_TR_BIT_CTL_0_TR_BIT_CLEAR_DISABLE__PROD                      _MK_MASK_CONST(0x0)


// Register MC_CH_INTSTATUS_0
#define MC_CH_INTSTATUS_0                       _MK_ADDR_CONST(0xe54)
#define MC_CH_INTSTATUS_0_SECURE                        0x0
#define MC_CH_INTSTATUS_0_DUAL                  0x0
#define MC_CH_INTSTATUS_0_SCR                   0
#define MC_CH_INTSTATUS_0_WORD_COUNT                    0x1
#define MC_CH_INTSTATUS_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_CH_INTSTATUS_0_RESET_MASK                    _MK_MASK_CONST(0x80200)
#define MC_CH_INTSTATUS_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CH_INTSTATUS_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x80200)
#define MC_CH_INTSTATUS_0_READ_MASK                     _MK_MASK_CONST(0x80200)
#define MC_CH_INTSTATUS_0_WRITE_MASK                    _MK_MASK_CONST(0x80200)
#define MC_CH_INTSTATUS_0_ARBITRATION_EMEM_INT_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_CH_INTSTATUS_0_ARBITRATION_EMEM_INT_FIELD                    _MK_FIELD_CONST(0x1, MC_CH_INTSTATUS_0_ARBITRATION_EMEM_INT_SHIFT)
#define MC_CH_INTSTATUS_0_ARBITRATION_EMEM_INT_RANGE                    9:9
#define MC_CH_INTSTATUS_0_ARBITRATION_EMEM_INT_WOFFSET                  0x0
#define MC_CH_INTSTATUS_0_ARBITRATION_EMEM_INT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CH_INTSTATUS_0_ARBITRATION_EMEM_INT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CH_INTSTATUS_0_ARBITRATION_EMEM_INT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CH_INTSTATUS_0_ARBITRATION_EMEM_INT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CH_INTSTATUS_0_ARBITRATION_EMEM_INT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CH_INTSTATUS_0_ARBITRATION_EMEM_INT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CH_INTSTATUS_0_ARBITRATION_EMEM_INT_INIT_ENUM                        CLEAR
#define MC_CH_INTSTATUS_0_ARBITRATION_EMEM_INT_CLEAR                    _MK_ENUM_CONST(0)
#define MC_CH_INTSTATUS_0_ARBITRATION_EMEM_INT_SET                      _MK_ENUM_CONST(1)
#define MC_CH_INTSTATUS_0_ARBITRATION_EMEM_INT__PROD                    _MK_MASK_CONST(0x0)

#define MC_CH_INTSTATUS_0_WCAM_ERR_INT_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_CH_INTSTATUS_0_WCAM_ERR_INT_FIELD                    _MK_FIELD_CONST(0x1, MC_CH_INTSTATUS_0_WCAM_ERR_INT_SHIFT)
#define MC_CH_INTSTATUS_0_WCAM_ERR_INT_RANGE                    19:19
#define MC_CH_INTSTATUS_0_WCAM_ERR_INT_WOFFSET                  0x0
#define MC_CH_INTSTATUS_0_WCAM_ERR_INT_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CH_INTSTATUS_0_WCAM_ERR_INT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CH_INTSTATUS_0_WCAM_ERR_INT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CH_INTSTATUS_0_WCAM_ERR_INT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CH_INTSTATUS_0_WCAM_ERR_INT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CH_INTSTATUS_0_WCAM_ERR_INT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CH_INTSTATUS_0_WCAM_ERR_INT_INIT_ENUM                        CLEAR
#define MC_CH_INTSTATUS_0_WCAM_ERR_INT_CLEAR                    _MK_ENUM_CONST(0)
#define MC_CH_INTSTATUS_0_WCAM_ERR_INT_SET                      _MK_ENUM_CONST(1)
#define MC_CH_INTSTATUS_0_WCAM_ERR_INT__PROD                    _MK_MASK_CONST(0x0)


// Register MC_LATENCY_ALLOWANCE_WCAM_0
#define MC_LATENCY_ALLOWANCE_WCAM_0                     _MK_ADDR_CONST(0xe5c)
#define MC_LATENCY_ALLOWANCE_WCAM_0_SECURE                      0x0
#define MC_LATENCY_ALLOWANCE_WCAM_0_DUAL                        0x0
#define MC_LATENCY_ALLOWANCE_WCAM_0_SCR                         0
#define MC_LATENCY_ALLOWANCE_WCAM_0_WORD_COUNT                  0x1
#define MC_LATENCY_ALLOWANCE_WCAM_0_RESET_VAL                   _MK_MASK_CONST(0x3)
#define MC_LATENCY_ALLOWANCE_WCAM_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_WCAM_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x3)
#define MC_LATENCY_ALLOWANCE_WCAM_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_WCAM_0_READ_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_WCAM_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_WCAM_0_ALLOWANCE_WCAM_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_WCAM_0_ALLOWANCE_WCAM_FIELD                        _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_WCAM_0_ALLOWANCE_WCAM_SHIFT)
#define MC_LATENCY_ALLOWANCE_WCAM_0_ALLOWANCE_WCAM_RANGE                        10:0
#define MC_LATENCY_ALLOWANCE_WCAM_0_ALLOWANCE_WCAM_WOFFSET                      0x0
#define MC_LATENCY_ALLOWANCE_WCAM_0_ALLOWANCE_WCAM_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_LATENCY_ALLOWANCE_WCAM_0_ALLOWANCE_WCAM_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_WCAM_0_ALLOWANCE_WCAM_SW_DEFAULT                   _MK_MASK_CONST(0x3)
#define MC_LATENCY_ALLOWANCE_WCAM_0_ALLOWANCE_WCAM_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_WCAM_0_ALLOWANCE_WCAM_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_LATENCY_ALLOWANCE_WCAM_0_ALLOWANCE_WCAM_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_LATENCY_ALLOWANCE_WCAM_0_ALLOWANCE_WCAM_INIT_ENUM                    THREE
#define MC_LATENCY_ALLOWANCE_WCAM_0_ALLOWANCE_WCAM_ZERO                 _MK_ENUM_CONST(0)
#define MC_LATENCY_ALLOWANCE_WCAM_0_ALLOWANCE_WCAM_ONE                  _MK_ENUM_CONST(1)
#define MC_LATENCY_ALLOWANCE_WCAM_0_ALLOWANCE_WCAM_TWO                  _MK_ENUM_CONST(2)
#define MC_LATENCY_ALLOWANCE_WCAM_0_ALLOWANCE_WCAM_THREE                        _MK_ENUM_CONST(3)
#define MC_LATENCY_ALLOWANCE_WCAM_0_ALLOWANCE_WCAM_FOUR                 _MK_ENUM_CONST(4)
#define MC_LATENCY_ALLOWANCE_WCAM_0_ALLOWANCE_WCAM_FIVE                 _MK_ENUM_CONST(5)
#define MC_LATENCY_ALLOWANCE_WCAM_0_ALLOWANCE_WCAM__PROD                        _MK_MASK_CONST(0x3)


// Register MC_CFG_WCAM_0
#define MC_CFG_WCAM_0                   _MK_ADDR_CONST(0xe60)
#define MC_CFG_WCAM_0_SECURE                    0x0
#define MC_CFG_WCAM_0_DUAL                      0x0
#define MC_CFG_WCAM_0_SCR                       0
#define MC_CFG_WCAM_0_WORD_COUNT                        0x1
#define MC_CFG_WCAM_0_RESET_VAL                         _MK_MASK_CONST(0x10000)
#define MC_CFG_WCAM_0_RESET_MASK                        _MK_MASK_CONST(0x10000)
#define MC_CFG_WCAM_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x10000)
#define MC_CFG_WCAM_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x10000)
#define MC_CFG_WCAM_0_READ_MASK                         _MK_MASK_CONST(0x10000)
#define MC_CFG_WCAM_0_WRITE_MASK                        _MK_MASK_CONST(0x10000)
#define MC_CFG_WCAM_0_WCAM_ECC_WITH_ADDR_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_CFG_WCAM_0_WCAM_ECC_WITH_ADDR_FIELD                  _MK_FIELD_CONST(0x1, MC_CFG_WCAM_0_WCAM_ECC_WITH_ADDR_SHIFT)
#define MC_CFG_WCAM_0_WCAM_ECC_WITH_ADDR_RANGE                  16:16
#define MC_CFG_WCAM_0_WCAM_ECC_WITH_ADDR_WOFFSET                        0x0
#define MC_CFG_WCAM_0_WCAM_ECC_WITH_ADDR_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CFG_WCAM_0_WCAM_ECC_WITH_ADDR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CFG_WCAM_0_WCAM_ECC_WITH_ADDR_SW_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CFG_WCAM_0_WCAM_ECC_WITH_ADDR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CFG_WCAM_0_WCAM_ECC_WITH_ADDR_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CFG_WCAM_0_WCAM_ECC_WITH_ADDR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CFG_WCAM_0_WCAM_ECC_WITH_ADDR_INIT_ENUM                      INCLUDE
#define MC_CFG_WCAM_0_WCAM_ECC_WITH_ADDR_EXCLUDE                        _MK_ENUM_CONST(0)
#define MC_CFG_WCAM_0_WCAM_ECC_WITH_ADDR_INCLUDE                        _MK_ENUM_CONST(1)
#define MC_CFG_WCAM_0_WCAM_ECC_WITH_ADDR__PROD                  _MK_MASK_CONST(0x1)


// Register MC_WCAM_ENCR_KEY_STATUS_0
#define MC_WCAM_ENCR_KEY_STATUS_0                       _MK_ADDR_CONST(0xe64)
#define MC_WCAM_ENCR_KEY_STATUS_0_SECURE                        0x0
#define MC_WCAM_ENCR_KEY_STATUS_0_DUAL                  0x0
#define MC_WCAM_ENCR_KEY_STATUS_0_SCR                   0
#define MC_WCAM_ENCR_KEY_STATUS_0_WORD_COUNT                    0x1
#define MC_WCAM_ENCR_KEY_STATUS_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_WCAM_ENCR_KEY_STATUS_0_RESET_MASK                    _MK_MASK_CONST(0xff0f0f0f)
#define MC_WCAM_ENCR_KEY_STATUS_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_WCAM_ENCR_KEY_STATUS_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0xff0f0f0f)
#define MC_WCAM_ENCR_KEY_STATUS_0_READ_MASK                     _MK_MASK_CONST(0xff0f0f0f)
#define MC_WCAM_ENCR_KEY_STATUS_0_WRITE_MASK                    _MK_MASK_CONST(0xf000000)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_ACTIVE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_ACTIVE_FIELD                      _MK_FIELD_CONST(0xf, MC_WCAM_ENCR_KEY_STATUS_0_KEY_ACTIVE_SHIFT)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_ACTIVE_RANGE                      3:0
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_ACTIVE_WOFFSET                    0x0
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_ACTIVE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_ACTIVE_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_ACTIVE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_ACTIVE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_ACTIVE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_ACTIVE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_ACTIVE__PROD                      _MK_MASK_CONST(0x0)

#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_DISTRIB_ERR_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_DISTRIB_ERR_FIELD                 _MK_FIELD_CONST(0xf, MC_WCAM_ENCR_KEY_STATUS_0_KEY_DISTRIB_ERR_SHIFT)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_DISTRIB_ERR_RANGE                 11:8
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_DISTRIB_ERR_WOFFSET                       0x0
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_DISTRIB_ERR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_DISTRIB_ERR_DEFAULT_MASK                  _MK_MASK_CONST(0xf)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_DISTRIB_ERR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_DISTRIB_ERR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_DISTRIB_ERR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_DISTRIB_ERR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_DISTRIB_ERR__PROD                 _MK_MASK_CONST(0x0)

#define MC_WCAM_ENCR_KEY_STATUS_0_ENCR_ENABLED_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_WCAM_ENCR_KEY_STATUS_0_ENCR_ENABLED_FIELD                    _MK_FIELD_CONST(0xf, MC_WCAM_ENCR_KEY_STATUS_0_ENCR_ENABLED_SHIFT)
#define MC_WCAM_ENCR_KEY_STATUS_0_ENCR_ENABLED_RANGE                    19:16
#define MC_WCAM_ENCR_KEY_STATUS_0_ENCR_ENABLED_WOFFSET                  0x0
#define MC_WCAM_ENCR_KEY_STATUS_0_ENCR_ENABLED_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_WCAM_ENCR_KEY_STATUS_0_ENCR_ENABLED_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define MC_WCAM_ENCR_KEY_STATUS_0_ENCR_ENABLED_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_WCAM_ENCR_KEY_STATUS_0_ENCR_ENABLED_SW_DEFAULT_MASK                  _MK_MASK_CONST(0xf)
#define MC_WCAM_ENCR_KEY_STATUS_0_ENCR_ENABLED_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_WCAM_ENCR_KEY_STATUS_0_ENCR_ENABLED_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_WCAM_ENCR_KEY_STATUS_0_ENCR_ENABLED__PROD                    _MK_MASK_CONST(0x0)

#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_STATE_CLEAR_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_STATE_CLEAR_FIELD                 _MK_FIELD_CONST(0xf, MC_WCAM_ENCR_KEY_STATUS_0_KEY_STATE_CLEAR_SHIFT)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_STATE_CLEAR_RANGE                 27:24
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_STATE_CLEAR_WOFFSET                       0x0
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_STATE_CLEAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_STATE_CLEAR_DEFAULT_MASK                  _MK_MASK_CONST(0xf)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_STATE_CLEAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_STATE_CLEAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_STATE_CLEAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_STATE_CLEAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_STATE_CLEAR__PROD                 _MK_MASK_CONST(0x0)

#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_INIT_DONE_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_INIT_DONE_FIELD                   _MK_FIELD_CONST(0xf, MC_WCAM_ENCR_KEY_STATUS_0_KEY_INIT_DONE_SHIFT)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_INIT_DONE_RANGE                   31:28
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_INIT_DONE_WOFFSET                 0x0
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_INIT_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_INIT_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_INIT_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_INIT_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0xf)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_INIT_DONE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_INIT_DONE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_WCAM_ENCR_KEY_STATUS_0_KEY_INIT_DONE__PROD                   _MK_MASK_CONST(0x0)


// Register MC_WCAM_STATE_0
#define MC_WCAM_STATE_0                 _MK_ADDR_CONST(0xeb0)
#define MC_WCAM_STATE_0_SECURE                  0x0
#define MC_WCAM_STATE_0_DUAL                    0x0
#define MC_WCAM_STATE_0_SCR                     0
#define MC_WCAM_STATE_0_WORD_COUNT                      0x1
#define MC_WCAM_STATE_0_RESET_VAL                       _MK_MASK_CONST(0x1)
#define MC_WCAM_STATE_0_RESET_MASK                      _MK_MASK_CONST(0x81)
#define MC_WCAM_STATE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x1)
#define MC_WCAM_STATE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x81)
#define MC_WCAM_STATE_0_READ_MASK                       _MK_MASK_CONST(0x81)
#define MC_WCAM_STATE_0_WRITE_MASK                      _MK_MASK_CONST(0x80)
#define MC_WCAM_STATE_0_WCAM_STATUS_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_WCAM_STATE_0_WCAM_STATUS_FIELD                       _MK_FIELD_CONST(0x1, MC_WCAM_STATE_0_WCAM_STATUS_SHIFT)
#define MC_WCAM_STATE_0_WCAM_STATUS_RANGE                       0:0
#define MC_WCAM_STATE_0_WCAM_STATUS_WOFFSET                     0x0
#define MC_WCAM_STATE_0_WCAM_STATUS_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_WCAM_STATE_0_WCAM_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_WCAM_STATE_0_WCAM_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_WCAM_STATE_0_WCAM_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_WCAM_STATE_0_WCAM_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_WCAM_STATE_0_WCAM_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_WCAM_STATE_0_WCAM_STATUS_INIT_ENUM                   IDLE
#define MC_WCAM_STATE_0_WCAM_STATUS_ACTIVE                      _MK_ENUM_CONST(0)
#define MC_WCAM_STATE_0_WCAM_STATUS_IDLE                        _MK_ENUM_CONST(1)
#define MC_WCAM_STATE_0_WCAM_STATUS__PROD                       _MK_MASK_CONST(0x1)

#define MC_WCAM_STATE_0_WCAM_WAIT_FOR_FLUSH_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_WCAM_STATE_0_WCAM_WAIT_FOR_FLUSH_FIELD                       _MK_FIELD_CONST(0x1, MC_WCAM_STATE_0_WCAM_WAIT_FOR_FLUSH_SHIFT)
#define MC_WCAM_STATE_0_WCAM_WAIT_FOR_FLUSH_RANGE                       7:7
#define MC_WCAM_STATE_0_WCAM_WAIT_FOR_FLUSH_WOFFSET                     0x0
#define MC_WCAM_STATE_0_WCAM_WAIT_FOR_FLUSH_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_WCAM_STATE_0_WCAM_WAIT_FOR_FLUSH_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_WCAM_STATE_0_WCAM_WAIT_FOR_FLUSH_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_WCAM_STATE_0_WCAM_WAIT_FOR_FLUSH_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_WCAM_STATE_0_WCAM_WAIT_FOR_FLUSH_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_WCAM_STATE_0_WCAM_WAIT_FOR_FLUSH_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_WCAM_STATE_0_WCAM_WAIT_FOR_FLUSH_INIT_ENUM                   FLUSHED
#define MC_WCAM_STATE_0_WCAM_WAIT_FOR_FLUSH_FLUSHED                     _MK_ENUM_CONST(0)
#define MC_WCAM_STATE_0_WCAM_WAIT_FOR_FLUSH_WAIT                        _MK_ENUM_CONST(1)
#define MC_WCAM_STATE_0_WCAM_WAIT_FOR_FLUSH__PROD                       _MK_MASK_CONST(0x0)


// Register MC_WCAM_IRQ_TEST_0
#define MC_WCAM_IRQ_TEST_0                      _MK_ADDR_CONST(0xedc)
#define MC_WCAM_IRQ_TEST_0_SECURE                       0x0
#define MC_WCAM_IRQ_TEST_0_DUAL                         0x0
#define MC_WCAM_IRQ_TEST_0_SCR                  0
#define MC_WCAM_IRQ_TEST_0_WORD_COUNT                   0x1
#define MC_WCAM_IRQ_TEST_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_TEST_0_RESET_MASK                   _MK_MASK_CONST(0x7f7f0001)
#define MC_WCAM_IRQ_TEST_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_TEST_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x7f7f0001)
#define MC_WCAM_IRQ_TEST_0_READ_MASK                    _MK_MASK_CONST(0x7f7f0001)
#define MC_WCAM_IRQ_TEST_0_WRITE_MASK                   _MK_MASK_CONST(0x7f7f0001)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_EN_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_EN_FIELD                       _MK_FIELD_CONST(0x1, MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_EN_SHIFT)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_EN_RANGE                       0:0
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_EN_WOFFSET                     0x0
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_EN_INIT_ENUM                   IDLE
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_EN_IDLE                        _MK_ENUM_CONST(0)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_EN_REQ                 _MK_ENUM_CONST(1)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_EN__PROD                       _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P0_SEL_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P0_SEL_FIELD                   _MK_FIELD_CONST(0x7f, MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P0_SEL_SHIFT)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P0_SEL_RANGE                   22:16
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P0_SEL_WOFFSET                 0x0
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P0_SEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P0_SEL_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P0_SEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P0_SEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x7f)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P0_SEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P0_SEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P0_SEL_INIT_ENUM                       LINE00
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P0_SEL_LINE00                  _MK_ENUM_CONST(0)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P0_SEL_LINE01                  _MK_ENUM_CONST(1)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P0_SEL_LINE_LAST                       _MK_ENUM_CONST(71)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P0_SEL__PROD                   _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P1_SEL_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P1_SEL_FIELD                   _MK_FIELD_CONST(0x7f, MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P1_SEL_SHIFT)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P1_SEL_RANGE                   30:24
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P1_SEL_WOFFSET                 0x0
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P1_SEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P1_SEL_DEFAULT_MASK                    _MK_MASK_CONST(0x7f)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P1_SEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P1_SEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x7f)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P1_SEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P1_SEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P1_SEL_INIT_ENUM                       LINE00
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P1_SEL_LINE00                  _MK_ENUM_CONST(0)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P1_SEL_LINE01                  _MK_ENUM_CONST(1)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P1_SEL_LINE_LAST                       _MK_ENUM_CONST(71)
#define MC_WCAM_IRQ_TEST_0_WCAM_IRQ_TEST_P1_SEL__PROD                   _MK_MASK_CONST(0x0)


// Register MC_WCAM_IRQ_P0_STATUS0_0
#define MC_WCAM_IRQ_P0_STATUS0_0                        _MK_ADDR_CONST(0xee0)
#define MC_WCAM_IRQ_P0_STATUS0_0_SECURE                         0x0
#define MC_WCAM_IRQ_P0_STATUS0_0_DUAL                   0x0
#define MC_WCAM_IRQ_P0_STATUS0_0_SCR                    0
#define MC_WCAM_IRQ_P0_STATUS0_0_WORD_COUNT                     0x1
#define MC_WCAM_IRQ_P0_STATUS0_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_RESET_MASK                     _MK_MASK_CONST(0xfffffff)
#define MC_WCAM_IRQ_P0_STATUS0_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0xfffffff)
#define MC_WCAM_IRQ_P0_STATUS0_0_READ_MASK                      _MK_MASK_CONST(0xfffffff)
#define MC_WCAM_IRQ_P0_STATUS0_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ECC_EN_CHNG_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ECC_EN_CHNG_FIELD                  _MK_FIELD_CONST(0x1, MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ECC_EN_CHNG_SHIFT)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ECC_EN_CHNG_RANGE                  0:0
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ECC_EN_CHNG_WOFFSET                        0x0
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ECC_EN_CHNG_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ECC_EN_CHNG_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ECC_EN_CHNG_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ECC_EN_CHNG_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ECC_EN_CHNG_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ECC_EN_CHNG_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ECC_EN_CHNG__PROD                  _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_EN_CHNG_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_EN_CHNG_FIELD                 _MK_FIELD_CONST(0x1, MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_EN_CHNG_SHIFT)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_EN_CHNG_RANGE                 1:1
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_EN_CHNG_WOFFSET                       0x0
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_EN_CHNG_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_EN_CHNG_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_EN_CHNG_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_EN_CHNG_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_EN_CHNG_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_EN_CHNG_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_EN_CHNG__PROD                 _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_KEY_CHNG_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_KEY_CHNG_FIELD                        _MK_FIELD_CONST(0x1, MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_KEY_CHNG_SHIFT)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_KEY_CHNG_RANGE                        2:2
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_KEY_CHNG_WOFFSET                      0x0
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_KEY_CHNG_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_KEY_CHNG_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_KEY_CHNG_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_KEY_CHNG_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_KEY_CHNG_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_KEY_CHNG_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_ENCR_KEY_CHNG__PROD                        _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_TEST_CHNG_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_TEST_CHNG_FIELD                    _MK_FIELD_CONST(0x1, MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_TEST_CHNG_SHIFT)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_TEST_CHNG_RANGE                    3:3
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_TEST_CHNG_WOFFSET                  0x0
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_TEST_CHNG_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_TEST_CHNG_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_TEST_CHNG_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_TEST_CHNG_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_TEST_CHNG_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_TEST_CHNG_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_IRQ_NEW_TEST_CHNG__PROD                    _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_REFCNT_STORED_COUNTER_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_REFCNT_STORED_COUNTER_FIELD                        _MK_FIELD_CONST(0xff, MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_REFCNT_STORED_COUNTER_SHIFT)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_REFCNT_STORED_COUNTER_RANGE                        11:4
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_REFCNT_STORED_COUNTER_WOFFSET                      0x0
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_REFCNT_STORED_COUNTER_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_REFCNT_STORED_COUNTER_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_REFCNT_STORED_COUNTER_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_REFCNT_STORED_COUNTER_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_REFCNT_STORED_COUNTER_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_REFCNT_STORED_COUNTER_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_REFCNT_STORED_COUNTER__PROD                        _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_STORED_EBIT_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_STORED_EBIT_FIELD                   _MK_FIELD_CONST(0x1, MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_STORED_EBIT_SHIFT)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_STORED_EBIT_RANGE                   12:12
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_STORED_EBIT_WOFFSET                 0x0
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_STORED_EBIT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_STORED_EBIT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_STORED_EBIT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_STORED_EBIT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_STORED_EBIT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_STORED_EBIT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_STORED_EBIT__PROD                   _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_STORED_EBIT_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_STORED_EBIT_FIELD                  _MK_FIELD_CONST(0x1, MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_STORED_EBIT_SHIFT)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_STORED_EBIT_RANGE                  13:13
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_STORED_EBIT_WOFFSET                        0x0
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_STORED_EBIT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_STORED_EBIT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_STORED_EBIT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_STORED_EBIT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_STORED_EBIT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_STORED_EBIT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_STORED_EBIT__PROD                  _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_STORED_ID_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_STORED_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_STORED_ID_SHIFT)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_STORED_ID_RANGE                   15:14
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_STORED_ID_WOFFSET                 0x0
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_STORED_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_STORED_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_STORED_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_STORED_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_STORED_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_STORED_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_STORED_ID__PROD                   _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_NEW_EBIT_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_NEW_EBIT_FIELD                      _MK_FIELD_CONST(0x1, MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_NEW_EBIT_SHIFT)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_NEW_EBIT_RANGE                      16:16
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_NEW_EBIT_WOFFSET                    0x0
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_NEW_EBIT_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_NEW_EBIT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_NEW_EBIT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_NEW_EBIT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_NEW_EBIT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_NEW_EBIT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ECC_EN_NEW_EBIT__PROD                      _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_NEW_EBIT_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_NEW_EBIT_FIELD                     _MK_FIELD_CONST(0x1, MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_NEW_EBIT_SHIFT)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_NEW_EBIT_RANGE                     17:17
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_NEW_EBIT_WOFFSET                   0x0
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_NEW_EBIT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_NEW_EBIT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_NEW_EBIT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_NEW_EBIT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_NEW_EBIT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_NEW_EBIT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_EN_NEW_EBIT__PROD                     _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_NEW_ID_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_NEW_ID_FIELD                      _MK_FIELD_CONST(0x3, MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_NEW_ID_SHIFT)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_NEW_ID_RANGE                      19:18
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_NEW_ID_WOFFSET                    0x0
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_NEW_ID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_NEW_ID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_NEW_ID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_NEW_ID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_NEW_ID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_NEW_ID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_ENCR_KEY_NEW_ID__PROD                      _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_CGID_NEW_SHIFT                     _MK_SHIFT_CONST(20)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_CGID_NEW_FIELD                     _MK_FIELD_CONST(0xff, MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_CGID_NEW_SHIFT)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_CGID_NEW_RANGE                     27:20
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_CGID_NEW_WOFFSET                   0x0
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_CGID_NEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_CGID_NEW_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_CGID_NEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_CGID_NEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_CGID_NEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_CGID_NEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS0_0_WCAM_IRQ_P0_CGID_NEW__PROD                     _MK_MASK_CONST(0x0)


// Register MC_WCAM_IRQ_P0_STATUS1_0
#define MC_WCAM_IRQ_P0_STATUS1_0                        _MK_ADDR_CONST(0xee4)
#define MC_WCAM_IRQ_P0_STATUS1_0_SECURE                         0x0
#define MC_WCAM_IRQ_P0_STATUS1_0_DUAL                   0x0
#define MC_WCAM_IRQ_P0_STATUS1_0_SCR                    0
#define MC_WCAM_IRQ_P0_STATUS1_0_WORD_COUNT                     0x1
#define MC_WCAM_IRQ_P0_STATUS1_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS1_0_RESET_MASK                     _MK_MASK_CONST(0xfffffff8)
#define MC_WCAM_IRQ_P0_STATUS1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0xfffffff8)
#define MC_WCAM_IRQ_P0_STATUS1_0_READ_MASK                      _MK_MASK_CONST(0xfffffff8)
#define MC_WCAM_IRQ_P0_STATUS1_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_COL_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_COL_FIELD                  _MK_FIELD_CONST(0x1ff, MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_COL_SHIFT)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_COL_RANGE                  11:3
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_COL_WOFFSET                        0x0
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_COL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_COL_DEFAULT_MASK                   _MK_MASK_CONST(0x1ff)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_COL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_COL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1ff)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_COL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_COL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_COL__PROD                  _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ROW_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ROW_FIELD                  _MK_FIELD_CONST(0xffff, MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ROW_SHIFT)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ROW_RANGE                  27:12
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ROW_WOFFSET                        0x0
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ROW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ROW_DEFAULT_MASK                   _MK_MASK_CONST(0xffff)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ROW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ROW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0xffff)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ROW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ROW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ROW__PROD                  _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ABK_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ABK_FIELD                  _MK_FIELD_CONST(0x7, MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ABK_SHIFT)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ABK_RANGE                  30:28
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ABK_WOFFSET                        0x0
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ABK_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ABK_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ABK_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ABK_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x7)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ABK_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ABK_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_ABK__PROD                  _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_DEV_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_DEV_FIELD                  _MK_FIELD_CONST(0x1, MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_DEV_SHIFT)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_DEV_RANGE                  31:31
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_DEV_WOFFSET                        0x0
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_DEV_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_DEV_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_DEV_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_DEV_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_DEV_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_DEV_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P0_STATUS1_0_WCAM_IRQ_P0_LINE_TAG_STORED_DEV__PROD                  _MK_MASK_CONST(0x0)


// Register MC_WCAM_IRQ_P1_STATUS0_0
#define MC_WCAM_IRQ_P1_STATUS0_0                        _MK_ADDR_CONST(0xee8)
#define MC_WCAM_IRQ_P1_STATUS0_0_SECURE                         0x0
#define MC_WCAM_IRQ_P1_STATUS0_0_DUAL                   0x0
#define MC_WCAM_IRQ_P1_STATUS0_0_SCR                    0
#define MC_WCAM_IRQ_P1_STATUS0_0_WORD_COUNT                     0x1
#define MC_WCAM_IRQ_P1_STATUS0_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_RESET_MASK                     _MK_MASK_CONST(0xfffffff)
#define MC_WCAM_IRQ_P1_STATUS0_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0xfffffff)
#define MC_WCAM_IRQ_P1_STATUS0_0_READ_MASK                      _MK_MASK_CONST(0xfffffff)
#define MC_WCAM_IRQ_P1_STATUS0_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ECC_EN_CHNG_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ECC_EN_CHNG_FIELD                  _MK_FIELD_CONST(0x1, MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ECC_EN_CHNG_SHIFT)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ECC_EN_CHNG_RANGE                  0:0
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ECC_EN_CHNG_WOFFSET                        0x0
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ECC_EN_CHNG_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ECC_EN_CHNG_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ECC_EN_CHNG_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ECC_EN_CHNG_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ECC_EN_CHNG_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ECC_EN_CHNG_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ECC_EN_CHNG__PROD                  _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_EN_CHNG_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_EN_CHNG_FIELD                 _MK_FIELD_CONST(0x1, MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_EN_CHNG_SHIFT)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_EN_CHNG_RANGE                 1:1
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_EN_CHNG_WOFFSET                       0x0
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_EN_CHNG_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_EN_CHNG_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_EN_CHNG_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_EN_CHNG_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_EN_CHNG_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_EN_CHNG_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_EN_CHNG__PROD                 _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_KEY_CHNG_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_KEY_CHNG_FIELD                        _MK_FIELD_CONST(0x1, MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_KEY_CHNG_SHIFT)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_KEY_CHNG_RANGE                        2:2
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_KEY_CHNG_WOFFSET                      0x0
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_KEY_CHNG_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_KEY_CHNG_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_KEY_CHNG_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_KEY_CHNG_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_KEY_CHNG_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_KEY_CHNG_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_ENCR_KEY_CHNG__PROD                        _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_TEST_CHNG_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_TEST_CHNG_FIELD                    _MK_FIELD_CONST(0x1, MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_TEST_CHNG_SHIFT)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_TEST_CHNG_RANGE                    3:3
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_TEST_CHNG_WOFFSET                  0x0
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_TEST_CHNG_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_TEST_CHNG_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_TEST_CHNG_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_TEST_CHNG_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_TEST_CHNG_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_TEST_CHNG_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_IRQ_NEW_TEST_CHNG__PROD                    _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_REFCNT_STORED_COUNTER_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_REFCNT_STORED_COUNTER_FIELD                        _MK_FIELD_CONST(0xff, MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_REFCNT_STORED_COUNTER_SHIFT)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_REFCNT_STORED_COUNTER_RANGE                        11:4
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_REFCNT_STORED_COUNTER_WOFFSET                      0x0
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_REFCNT_STORED_COUNTER_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_REFCNT_STORED_COUNTER_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_REFCNT_STORED_COUNTER_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_REFCNT_STORED_COUNTER_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_REFCNT_STORED_COUNTER_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_REFCNT_STORED_COUNTER_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_REFCNT_STORED_COUNTER__PROD                        _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_STORED_EBIT_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_STORED_EBIT_FIELD                   _MK_FIELD_CONST(0x1, MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_STORED_EBIT_SHIFT)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_STORED_EBIT_RANGE                   12:12
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_STORED_EBIT_WOFFSET                 0x0
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_STORED_EBIT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_STORED_EBIT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_STORED_EBIT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_STORED_EBIT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_STORED_EBIT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_STORED_EBIT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_STORED_EBIT__PROD                   _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_STORED_EBIT_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_STORED_EBIT_FIELD                  _MK_FIELD_CONST(0x1, MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_STORED_EBIT_SHIFT)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_STORED_EBIT_RANGE                  13:13
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_STORED_EBIT_WOFFSET                        0x0
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_STORED_EBIT_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_STORED_EBIT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_STORED_EBIT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_STORED_EBIT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_STORED_EBIT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_STORED_EBIT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_STORED_EBIT__PROD                  _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_STORED_ID_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_STORED_ID_FIELD                   _MK_FIELD_CONST(0x3, MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_STORED_ID_SHIFT)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_STORED_ID_RANGE                   15:14
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_STORED_ID_WOFFSET                 0x0
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_STORED_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_STORED_ID_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_STORED_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_STORED_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_STORED_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_STORED_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_STORED_ID__PROD                   _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_NEW_EBIT_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_NEW_EBIT_FIELD                      _MK_FIELD_CONST(0x1, MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_NEW_EBIT_SHIFT)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_NEW_EBIT_RANGE                      16:16
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_NEW_EBIT_WOFFSET                    0x0
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_NEW_EBIT_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_NEW_EBIT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_NEW_EBIT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_NEW_EBIT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_NEW_EBIT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_NEW_EBIT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ECC_EN_NEW_EBIT__PROD                      _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_NEW_EBIT_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_NEW_EBIT_FIELD                     _MK_FIELD_CONST(0x1, MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_NEW_EBIT_SHIFT)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_NEW_EBIT_RANGE                     17:17
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_NEW_EBIT_WOFFSET                   0x0
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_NEW_EBIT_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_NEW_EBIT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_NEW_EBIT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_NEW_EBIT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_NEW_EBIT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_NEW_EBIT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_EN_NEW_EBIT__PROD                     _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_NEW_ID_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_NEW_ID_FIELD                      _MK_FIELD_CONST(0x3, MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_NEW_ID_SHIFT)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_NEW_ID_RANGE                      19:18
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_NEW_ID_WOFFSET                    0x0
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_NEW_ID_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_NEW_ID_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_NEW_ID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_NEW_ID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_NEW_ID_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_NEW_ID_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_ENCR_KEY_NEW_ID__PROD                      _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_CGID_NEW_SHIFT                     _MK_SHIFT_CONST(20)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_CGID_NEW_FIELD                     _MK_FIELD_CONST(0xff, MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_CGID_NEW_SHIFT)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_CGID_NEW_RANGE                     27:20
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_CGID_NEW_WOFFSET                   0x0
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_CGID_NEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_CGID_NEW_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_CGID_NEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_CGID_NEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_CGID_NEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_CGID_NEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS0_0_WCAM_IRQ_P1_CGID_NEW__PROD                     _MK_MASK_CONST(0x0)


// Register MC_WCAM_IRQ_P1_STATUS1_0
#define MC_WCAM_IRQ_P1_STATUS1_0                        _MK_ADDR_CONST(0xeec)
#define MC_WCAM_IRQ_P1_STATUS1_0_SECURE                         0x0
#define MC_WCAM_IRQ_P1_STATUS1_0_DUAL                   0x0
#define MC_WCAM_IRQ_P1_STATUS1_0_SCR                    0
#define MC_WCAM_IRQ_P1_STATUS1_0_WORD_COUNT                     0x1
#define MC_WCAM_IRQ_P1_STATUS1_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS1_0_RESET_MASK                     _MK_MASK_CONST(0xfffffff8)
#define MC_WCAM_IRQ_P1_STATUS1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0xfffffff8)
#define MC_WCAM_IRQ_P1_STATUS1_0_READ_MASK                      _MK_MASK_CONST(0xfffffff8)
#define MC_WCAM_IRQ_P1_STATUS1_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_COL_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_COL_FIELD                  _MK_FIELD_CONST(0x1ff, MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_COL_SHIFT)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_COL_RANGE                  11:3
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_COL_WOFFSET                        0x0
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_COL_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_COL_DEFAULT_MASK                   _MK_MASK_CONST(0x1ff)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_COL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_COL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1ff)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_COL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_COL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_COL__PROD                  _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ROW_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ROW_FIELD                  _MK_FIELD_CONST(0xffff, MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ROW_SHIFT)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ROW_RANGE                  27:12
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ROW_WOFFSET                        0x0
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ROW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ROW_DEFAULT_MASK                   _MK_MASK_CONST(0xffff)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ROW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ROW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0xffff)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ROW_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ROW_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ROW__PROD                  _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ABK_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ABK_FIELD                  _MK_FIELD_CONST(0x7, MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ABK_SHIFT)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ABK_RANGE                  30:28
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ABK_WOFFSET                        0x0
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ABK_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ABK_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ABK_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ABK_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x7)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ABK_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ABK_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_ABK__PROD                  _MK_MASK_CONST(0x0)

#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_DEV_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_DEV_FIELD                  _MK_FIELD_CONST(0x1, MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_DEV_SHIFT)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_DEV_RANGE                  31:31
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_DEV_WOFFSET                        0x0
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_DEV_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_DEV_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_DEV_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_DEV_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_DEV_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_DEV_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_WCAM_IRQ_P1_STATUS1_0_WCAM_IRQ_P1_LINE_TAG_STORED_DEV__PROD                  _MK_MASK_CONST(0x0)


// Register MC_ROC_DMA_R_PTSA_MIN_0
#define MC_ROC_DMA_R_PTSA_MIN_0                 _MK_ADDR_CONST(0xe68)
#define MC_ROC_DMA_R_PTSA_MIN_0_SECURE                  0x0
#define MC_ROC_DMA_R_PTSA_MIN_0_DUAL                    0x0
#define MC_ROC_DMA_R_PTSA_MIN_0_SCR                     0
#define MC_ROC_DMA_R_PTSA_MIN_0_WORD_COUNT                      0x1
#define MC_ROC_DMA_R_PTSA_MIN_0_RESET_VAL                       _MK_MASK_CONST(0x7ff)
#define MC_ROC_DMA_R_PTSA_MIN_0_RESET_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_ROC_DMA_R_PTSA_MIN_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_ROC_DMA_R_PTSA_MIN_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_ROC_DMA_R_PTSA_MIN_0_READ_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_ROC_DMA_R_PTSA_MIN_0_WRITE_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_ROC_DMA_R_PTSA_MIN_0_PTSA_MIN_ROC_DMA_R_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_ROC_DMA_R_PTSA_MIN_0_PTSA_MIN_ROC_DMA_R_FIELD                        _MK_FIELD_CONST(0x7ff, MC_ROC_DMA_R_PTSA_MIN_0_PTSA_MIN_ROC_DMA_R_SHIFT)
#define MC_ROC_DMA_R_PTSA_MIN_0_PTSA_MIN_ROC_DMA_R_RANGE                        10:0
#define MC_ROC_DMA_R_PTSA_MIN_0_PTSA_MIN_ROC_DMA_R_WOFFSET                      0x0
#define MC_ROC_DMA_R_PTSA_MIN_0_PTSA_MIN_ROC_DMA_R_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_ROC_DMA_R_PTSA_MIN_0_PTSA_MIN_ROC_DMA_R_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_ROC_DMA_R_PTSA_MIN_0_PTSA_MIN_ROC_DMA_R_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ROC_DMA_R_PTSA_MIN_0_PTSA_MIN_ROC_DMA_R_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ROC_DMA_R_PTSA_MIN_0_PTSA_MIN_ROC_DMA_R_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_ROC_DMA_R_PTSA_MIN_0_PTSA_MIN_ROC_DMA_R_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_ROC_DMA_R_PTSA_MAX_0
#define MC_ROC_DMA_R_PTSA_MAX_0                 _MK_ADDR_CONST(0xe6c)
#define MC_ROC_DMA_R_PTSA_MAX_0_SECURE                  0x0
#define MC_ROC_DMA_R_PTSA_MAX_0_DUAL                    0x0
#define MC_ROC_DMA_R_PTSA_MAX_0_SCR                     0
#define MC_ROC_DMA_R_PTSA_MAX_0_WORD_COUNT                      0x1
#define MC_ROC_DMA_R_PTSA_MAX_0_RESET_VAL                       _MK_MASK_CONST(0x7ff)
#define MC_ROC_DMA_R_PTSA_MAX_0_RESET_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_ROC_DMA_R_PTSA_MAX_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_ROC_DMA_R_PTSA_MAX_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_ROC_DMA_R_PTSA_MAX_0_READ_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_ROC_DMA_R_PTSA_MAX_0_WRITE_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_ROC_DMA_R_PTSA_MAX_0_PTSA_MAX_ROC_DMA_R_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_ROC_DMA_R_PTSA_MAX_0_PTSA_MAX_ROC_DMA_R_FIELD                        _MK_FIELD_CONST(0x7ff, MC_ROC_DMA_R_PTSA_MAX_0_PTSA_MAX_ROC_DMA_R_SHIFT)
#define MC_ROC_DMA_R_PTSA_MAX_0_PTSA_MAX_ROC_DMA_R_RANGE                        10:0
#define MC_ROC_DMA_R_PTSA_MAX_0_PTSA_MAX_ROC_DMA_R_WOFFSET                      0x0
#define MC_ROC_DMA_R_PTSA_MAX_0_PTSA_MAX_ROC_DMA_R_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_ROC_DMA_R_PTSA_MAX_0_PTSA_MAX_ROC_DMA_R_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_ROC_DMA_R_PTSA_MAX_0_PTSA_MAX_ROC_DMA_R_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_ROC_DMA_R_PTSA_MAX_0_PTSA_MAX_ROC_DMA_R_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_ROC_DMA_R_PTSA_MAX_0_PTSA_MAX_ROC_DMA_R_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_ROC_DMA_R_PTSA_MAX_0_PTSA_MAX_ROC_DMA_R_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_ROC_DMA_R_PTSA_RATE_0
#define MC_ROC_DMA_R_PTSA_RATE_0                        _MK_ADDR_CONST(0xe70)
#define MC_ROC_DMA_R_PTSA_RATE_0_SECURE                         0x0
#define MC_ROC_DMA_R_PTSA_RATE_0_DUAL                   0x0
#define MC_ROC_DMA_R_PTSA_RATE_0_SCR                    0
#define MC_ROC_DMA_R_PTSA_RATE_0_WORD_COUNT                     0x1
#define MC_ROC_DMA_R_PTSA_RATE_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_ROC_DMA_R_PTSA_RATE_0_RESET_MASK                     _MK_MASK_CONST(0xfff)
#define MC_ROC_DMA_R_PTSA_RATE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_ROC_DMA_R_PTSA_RATE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_ROC_DMA_R_PTSA_RATE_0_READ_MASK                      _MK_MASK_CONST(0xfff)
#define MC_ROC_DMA_R_PTSA_RATE_0_WRITE_MASK                     _MK_MASK_CONST(0xfff)
#define MC_ROC_DMA_R_PTSA_RATE_0_PTSA_RATE_ROC_DMA_R_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_ROC_DMA_R_PTSA_RATE_0_PTSA_RATE_ROC_DMA_R_FIELD                      _MK_FIELD_CONST(0xfff, MC_ROC_DMA_R_PTSA_RATE_0_PTSA_RATE_ROC_DMA_R_SHIFT)
#define MC_ROC_DMA_R_PTSA_RATE_0_PTSA_RATE_ROC_DMA_R_RANGE                      11:0
#define MC_ROC_DMA_R_PTSA_RATE_0_PTSA_RATE_ROC_DMA_R_WOFFSET                    0x0
#define MC_ROC_DMA_R_PTSA_RATE_0_PTSA_RATE_ROC_DMA_R_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_ROC_DMA_R_PTSA_RATE_0_PTSA_RATE_ROC_DMA_R_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_ROC_DMA_R_PTSA_RATE_0_PTSA_RATE_ROC_DMA_R_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_ROC_DMA_R_PTSA_RATE_0_PTSA_RATE_ROC_DMA_R_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_ROC_DMA_R_PTSA_RATE_0_PTSA_RATE_ROC_DMA_R_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_ROC_DMA_R_PTSA_RATE_0_PTSA_RATE_ROC_DMA_R_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_RING1_WR_B_PTSA_MIN_0
#define MC_RING1_WR_B_PTSA_MIN_0                        _MK_ADDR_CONST(0xe74)
#define MC_RING1_WR_B_PTSA_MIN_0_SECURE                         0x0
#define MC_RING1_WR_B_PTSA_MIN_0_DUAL                   0x0
#define MC_RING1_WR_B_PTSA_MIN_0_SCR                    0
#define MC_RING1_WR_B_PTSA_MIN_0_WORD_COUNT                     0x1
#define MC_RING1_WR_B_PTSA_MIN_0_RESET_VAL                      _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_B_PTSA_MIN_0_RESET_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_B_PTSA_MIN_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_RING1_WR_B_PTSA_MIN_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_RING1_WR_B_PTSA_MIN_0_READ_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_B_PTSA_MIN_0_WRITE_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_B_PTSA_MIN_0_PTSA_MIN_RING1_WR_B_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_RING1_WR_B_PTSA_MIN_0_PTSA_MIN_RING1_WR_B_FIELD                      _MK_FIELD_CONST(0x7ff, MC_RING1_WR_B_PTSA_MIN_0_PTSA_MIN_RING1_WR_B_SHIFT)
#define MC_RING1_WR_B_PTSA_MIN_0_PTSA_MIN_RING1_WR_B_RANGE                      10:0
#define MC_RING1_WR_B_PTSA_MIN_0_PTSA_MIN_RING1_WR_B_WOFFSET                    0x0
#define MC_RING1_WR_B_PTSA_MIN_0_PTSA_MIN_RING1_WR_B_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_B_PTSA_MIN_0_PTSA_MIN_RING1_WR_B_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_B_PTSA_MIN_0_PTSA_MIN_RING1_WR_B_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_RING1_WR_B_PTSA_MIN_0_PTSA_MIN_RING1_WR_B_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_RING1_WR_B_PTSA_MIN_0_PTSA_MIN_RING1_WR_B_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_RING1_WR_B_PTSA_MIN_0_PTSA_MIN_RING1_WR_B_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_RING1_WR_B_PTSA_MAX_0
#define MC_RING1_WR_B_PTSA_MAX_0                        _MK_ADDR_CONST(0xe78)
#define MC_RING1_WR_B_PTSA_MAX_0_SECURE                         0x0
#define MC_RING1_WR_B_PTSA_MAX_0_DUAL                   0x0
#define MC_RING1_WR_B_PTSA_MAX_0_SCR                    0
#define MC_RING1_WR_B_PTSA_MAX_0_WORD_COUNT                     0x1
#define MC_RING1_WR_B_PTSA_MAX_0_RESET_VAL                      _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_B_PTSA_MAX_0_RESET_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_B_PTSA_MAX_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_RING1_WR_B_PTSA_MAX_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_RING1_WR_B_PTSA_MAX_0_READ_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_B_PTSA_MAX_0_WRITE_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_B_PTSA_MAX_0_PTSA_MAX_RING1_WR_B_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_RING1_WR_B_PTSA_MAX_0_PTSA_MAX_RING1_WR_B_FIELD                      _MK_FIELD_CONST(0x7ff, MC_RING1_WR_B_PTSA_MAX_0_PTSA_MAX_RING1_WR_B_SHIFT)
#define MC_RING1_WR_B_PTSA_MAX_0_PTSA_MAX_RING1_WR_B_RANGE                      10:0
#define MC_RING1_WR_B_PTSA_MAX_0_PTSA_MAX_RING1_WR_B_WOFFSET                    0x0
#define MC_RING1_WR_B_PTSA_MAX_0_PTSA_MAX_RING1_WR_B_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_B_PTSA_MAX_0_PTSA_MAX_RING1_WR_B_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_B_PTSA_MAX_0_PTSA_MAX_RING1_WR_B_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_RING1_WR_B_PTSA_MAX_0_PTSA_MAX_RING1_WR_B_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_RING1_WR_B_PTSA_MAX_0_PTSA_MAX_RING1_WR_B_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_RING1_WR_B_PTSA_MAX_0_PTSA_MAX_RING1_WR_B_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_RING1_WR_B_PTSA_RATE_0
#define MC_RING1_WR_B_PTSA_RATE_0                       _MK_ADDR_CONST(0xe7c)
#define MC_RING1_WR_B_PTSA_RATE_0_SECURE                        0x0
#define MC_RING1_WR_B_PTSA_RATE_0_DUAL                  0x0
#define MC_RING1_WR_B_PTSA_RATE_0_SCR                   0
#define MC_RING1_WR_B_PTSA_RATE_0_WORD_COUNT                    0x1
#define MC_RING1_WR_B_PTSA_RATE_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_RING1_WR_B_PTSA_RATE_0_RESET_MASK                    _MK_MASK_CONST(0xfff)
#define MC_RING1_WR_B_PTSA_RATE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_RING1_WR_B_PTSA_RATE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_RING1_WR_B_PTSA_RATE_0_READ_MASK                     _MK_MASK_CONST(0xfff)
#define MC_RING1_WR_B_PTSA_RATE_0_WRITE_MASK                    _MK_MASK_CONST(0xfff)
#define MC_RING1_WR_B_PTSA_RATE_0_PTSA_RATE_RING1_WR_B_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_RING1_WR_B_PTSA_RATE_0_PTSA_RATE_RING1_WR_B_FIELD                    _MK_FIELD_CONST(0xfff, MC_RING1_WR_B_PTSA_RATE_0_PTSA_RATE_RING1_WR_B_SHIFT)
#define MC_RING1_WR_B_PTSA_RATE_0_PTSA_RATE_RING1_WR_B_RANGE                    11:0
#define MC_RING1_WR_B_PTSA_RATE_0_PTSA_RATE_RING1_WR_B_WOFFSET                  0x0
#define MC_RING1_WR_B_PTSA_RATE_0_PTSA_RATE_RING1_WR_B_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_RING1_WR_B_PTSA_RATE_0_PTSA_RATE_RING1_WR_B_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_RING1_WR_B_PTSA_RATE_0_PTSA_RATE_RING1_WR_B_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_RING1_WR_B_PTSA_RATE_0_PTSA_RATE_RING1_WR_B_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_RING1_WR_B_PTSA_RATE_0_PTSA_RATE_RING1_WR_B_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_RING1_WR_B_PTSA_RATE_0_PTSA_RATE_RING1_WR_B_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_RING1_WR_NB_PTSA_MIN_0
#define MC_RING1_WR_NB_PTSA_MIN_0                       _MK_ADDR_CONST(0xe80)
#define MC_RING1_WR_NB_PTSA_MIN_0_SECURE                        0x0
#define MC_RING1_WR_NB_PTSA_MIN_0_DUAL                  0x0
#define MC_RING1_WR_NB_PTSA_MIN_0_SCR                   0
#define MC_RING1_WR_NB_PTSA_MIN_0_WORD_COUNT                    0x1
#define MC_RING1_WR_NB_PTSA_MIN_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_NB_PTSA_MIN_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_NB_PTSA_MIN_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_RING1_WR_NB_PTSA_MIN_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_RING1_WR_NB_PTSA_MIN_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_NB_PTSA_MIN_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_NB_PTSA_MIN_0_PTSA_MIN_RING1_WR_NB_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_RING1_WR_NB_PTSA_MIN_0_PTSA_MIN_RING1_WR_NB_FIELD                    _MK_FIELD_CONST(0x7ff, MC_RING1_WR_NB_PTSA_MIN_0_PTSA_MIN_RING1_WR_NB_SHIFT)
#define MC_RING1_WR_NB_PTSA_MIN_0_PTSA_MIN_RING1_WR_NB_RANGE                    10:0
#define MC_RING1_WR_NB_PTSA_MIN_0_PTSA_MIN_RING1_WR_NB_WOFFSET                  0x0
#define MC_RING1_WR_NB_PTSA_MIN_0_PTSA_MIN_RING1_WR_NB_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_NB_PTSA_MIN_0_PTSA_MIN_RING1_WR_NB_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_NB_PTSA_MIN_0_PTSA_MIN_RING1_WR_NB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_RING1_WR_NB_PTSA_MIN_0_PTSA_MIN_RING1_WR_NB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_RING1_WR_NB_PTSA_MIN_0_PTSA_MIN_RING1_WR_NB_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_RING1_WR_NB_PTSA_MIN_0_PTSA_MIN_RING1_WR_NB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_RING1_WR_NB_PTSA_MAX_0
#define MC_RING1_WR_NB_PTSA_MAX_0                       _MK_ADDR_CONST(0xe84)
#define MC_RING1_WR_NB_PTSA_MAX_0_SECURE                        0x0
#define MC_RING1_WR_NB_PTSA_MAX_0_DUAL                  0x0
#define MC_RING1_WR_NB_PTSA_MAX_0_SCR                   0
#define MC_RING1_WR_NB_PTSA_MAX_0_WORD_COUNT                    0x1
#define MC_RING1_WR_NB_PTSA_MAX_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_NB_PTSA_MAX_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_NB_PTSA_MAX_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_RING1_WR_NB_PTSA_MAX_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_RING1_WR_NB_PTSA_MAX_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_NB_PTSA_MAX_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_NB_PTSA_MAX_0_PTSA_MAX_RING1_WR_NB_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_RING1_WR_NB_PTSA_MAX_0_PTSA_MAX_RING1_WR_NB_FIELD                    _MK_FIELD_CONST(0x7ff, MC_RING1_WR_NB_PTSA_MAX_0_PTSA_MAX_RING1_WR_NB_SHIFT)
#define MC_RING1_WR_NB_PTSA_MAX_0_PTSA_MAX_RING1_WR_NB_RANGE                    10:0
#define MC_RING1_WR_NB_PTSA_MAX_0_PTSA_MAX_RING1_WR_NB_WOFFSET                  0x0
#define MC_RING1_WR_NB_PTSA_MAX_0_PTSA_MAX_RING1_WR_NB_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_NB_PTSA_MAX_0_PTSA_MAX_RING1_WR_NB_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_RING1_WR_NB_PTSA_MAX_0_PTSA_MAX_RING1_WR_NB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_RING1_WR_NB_PTSA_MAX_0_PTSA_MAX_RING1_WR_NB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_RING1_WR_NB_PTSA_MAX_0_PTSA_MAX_RING1_WR_NB_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_RING1_WR_NB_PTSA_MAX_0_PTSA_MAX_RING1_WR_NB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_RING1_WR_NB_PTSA_RATE_0
#define MC_RING1_WR_NB_PTSA_RATE_0                      _MK_ADDR_CONST(0xe88)
#define MC_RING1_WR_NB_PTSA_RATE_0_SECURE                       0x0
#define MC_RING1_WR_NB_PTSA_RATE_0_DUAL                         0x0
#define MC_RING1_WR_NB_PTSA_RATE_0_SCR                  0
#define MC_RING1_WR_NB_PTSA_RATE_0_WORD_COUNT                   0x1
#define MC_RING1_WR_NB_PTSA_RATE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_RING1_WR_NB_PTSA_RATE_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_RING1_WR_NB_PTSA_RATE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_RING1_WR_NB_PTSA_RATE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_RING1_WR_NB_PTSA_RATE_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_RING1_WR_NB_PTSA_RATE_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_RING1_WR_NB_PTSA_RATE_0_PTSA_RATE_RING1_WR_NB_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_RING1_WR_NB_PTSA_RATE_0_PTSA_RATE_RING1_WR_NB_FIELD                  _MK_FIELD_CONST(0xfff, MC_RING1_WR_NB_PTSA_RATE_0_PTSA_RATE_RING1_WR_NB_SHIFT)
#define MC_RING1_WR_NB_PTSA_RATE_0_PTSA_RATE_RING1_WR_NB_RANGE                  11:0
#define MC_RING1_WR_NB_PTSA_RATE_0_PTSA_RATE_RING1_WR_NB_WOFFSET                        0x0
#define MC_RING1_WR_NB_PTSA_RATE_0_PTSA_RATE_RING1_WR_NB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_RING1_WR_NB_PTSA_RATE_0_PTSA_RATE_RING1_WR_NB_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_RING1_WR_NB_PTSA_RATE_0_PTSA_RATE_RING1_WR_NB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_RING1_WR_NB_PTSA_RATE_0_PTSA_RATE_RING1_WR_NB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_RING1_WR_NB_PTSA_RATE_0_PTSA_RATE_RING1_WR_NB_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_RING1_WR_NB_PTSA_RATE_0_PTSA_RATE_RING1_WR_NB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_RING1_RD_B_PTSA_MIN_0
#define MC_RING1_RD_B_PTSA_MIN_0                        _MK_ADDR_CONST(0xe8c)
#define MC_RING1_RD_B_PTSA_MIN_0_SECURE                         0x0
#define MC_RING1_RD_B_PTSA_MIN_0_DUAL                   0x0
#define MC_RING1_RD_B_PTSA_MIN_0_SCR                    0
#define MC_RING1_RD_B_PTSA_MIN_0_WORD_COUNT                     0x1
#define MC_RING1_RD_B_PTSA_MIN_0_RESET_VAL                      _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_B_PTSA_MIN_0_RESET_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_B_PTSA_MIN_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_RING1_RD_B_PTSA_MIN_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_RING1_RD_B_PTSA_MIN_0_READ_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_B_PTSA_MIN_0_WRITE_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_B_PTSA_MIN_0_PTSA_MIN_RING1_RD_B_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_RING1_RD_B_PTSA_MIN_0_PTSA_MIN_RING1_RD_B_FIELD                      _MK_FIELD_CONST(0x7ff, MC_RING1_RD_B_PTSA_MIN_0_PTSA_MIN_RING1_RD_B_SHIFT)
#define MC_RING1_RD_B_PTSA_MIN_0_PTSA_MIN_RING1_RD_B_RANGE                      10:0
#define MC_RING1_RD_B_PTSA_MIN_0_PTSA_MIN_RING1_RD_B_WOFFSET                    0x0
#define MC_RING1_RD_B_PTSA_MIN_0_PTSA_MIN_RING1_RD_B_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_B_PTSA_MIN_0_PTSA_MIN_RING1_RD_B_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_B_PTSA_MIN_0_PTSA_MIN_RING1_RD_B_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_RING1_RD_B_PTSA_MIN_0_PTSA_MIN_RING1_RD_B_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_RING1_RD_B_PTSA_MIN_0_PTSA_MIN_RING1_RD_B_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_RING1_RD_B_PTSA_MIN_0_PTSA_MIN_RING1_RD_B_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_RING1_RD_B_PTSA_MAX_0
#define MC_RING1_RD_B_PTSA_MAX_0                        _MK_ADDR_CONST(0xe90)
#define MC_RING1_RD_B_PTSA_MAX_0_SECURE                         0x0
#define MC_RING1_RD_B_PTSA_MAX_0_DUAL                   0x0
#define MC_RING1_RD_B_PTSA_MAX_0_SCR                    0
#define MC_RING1_RD_B_PTSA_MAX_0_WORD_COUNT                     0x1
#define MC_RING1_RD_B_PTSA_MAX_0_RESET_VAL                      _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_B_PTSA_MAX_0_RESET_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_B_PTSA_MAX_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_RING1_RD_B_PTSA_MAX_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_RING1_RD_B_PTSA_MAX_0_READ_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_B_PTSA_MAX_0_WRITE_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_B_PTSA_MAX_0_PTSA_MAX_RING1_RD_B_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_RING1_RD_B_PTSA_MAX_0_PTSA_MAX_RING1_RD_B_FIELD                      _MK_FIELD_CONST(0x7ff, MC_RING1_RD_B_PTSA_MAX_0_PTSA_MAX_RING1_RD_B_SHIFT)
#define MC_RING1_RD_B_PTSA_MAX_0_PTSA_MAX_RING1_RD_B_RANGE                      10:0
#define MC_RING1_RD_B_PTSA_MAX_0_PTSA_MAX_RING1_RD_B_WOFFSET                    0x0
#define MC_RING1_RD_B_PTSA_MAX_0_PTSA_MAX_RING1_RD_B_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_B_PTSA_MAX_0_PTSA_MAX_RING1_RD_B_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_B_PTSA_MAX_0_PTSA_MAX_RING1_RD_B_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_RING1_RD_B_PTSA_MAX_0_PTSA_MAX_RING1_RD_B_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_RING1_RD_B_PTSA_MAX_0_PTSA_MAX_RING1_RD_B_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_RING1_RD_B_PTSA_MAX_0_PTSA_MAX_RING1_RD_B_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_RING1_RD_B_PTSA_RATE_0
#define MC_RING1_RD_B_PTSA_RATE_0                       _MK_ADDR_CONST(0xe94)
#define MC_RING1_RD_B_PTSA_RATE_0_SECURE                        0x0
#define MC_RING1_RD_B_PTSA_RATE_0_DUAL                  0x0
#define MC_RING1_RD_B_PTSA_RATE_0_SCR                   0
#define MC_RING1_RD_B_PTSA_RATE_0_WORD_COUNT                    0x1
#define MC_RING1_RD_B_PTSA_RATE_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_RING1_RD_B_PTSA_RATE_0_RESET_MASK                    _MK_MASK_CONST(0xfff)
#define MC_RING1_RD_B_PTSA_RATE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_RING1_RD_B_PTSA_RATE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_RING1_RD_B_PTSA_RATE_0_READ_MASK                     _MK_MASK_CONST(0xfff)
#define MC_RING1_RD_B_PTSA_RATE_0_WRITE_MASK                    _MK_MASK_CONST(0xfff)
#define MC_RING1_RD_B_PTSA_RATE_0_PTSA_RATE_RING1_RD_B_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_RING1_RD_B_PTSA_RATE_0_PTSA_RATE_RING1_RD_B_FIELD                    _MK_FIELD_CONST(0xfff, MC_RING1_RD_B_PTSA_RATE_0_PTSA_RATE_RING1_RD_B_SHIFT)
#define MC_RING1_RD_B_PTSA_RATE_0_PTSA_RATE_RING1_RD_B_RANGE                    11:0
#define MC_RING1_RD_B_PTSA_RATE_0_PTSA_RATE_RING1_RD_B_WOFFSET                  0x0
#define MC_RING1_RD_B_PTSA_RATE_0_PTSA_RATE_RING1_RD_B_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_RING1_RD_B_PTSA_RATE_0_PTSA_RATE_RING1_RD_B_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_RING1_RD_B_PTSA_RATE_0_PTSA_RATE_RING1_RD_B_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_RING1_RD_B_PTSA_RATE_0_PTSA_RATE_RING1_RD_B_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_RING1_RD_B_PTSA_RATE_0_PTSA_RATE_RING1_RD_B_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_RING1_RD_B_PTSA_RATE_0_PTSA_RATE_RING1_RD_B_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_RING1_RD_NB_PTSA_MIN_0
#define MC_RING1_RD_NB_PTSA_MIN_0                       _MK_ADDR_CONST(0xe98)
#define MC_RING1_RD_NB_PTSA_MIN_0_SECURE                        0x0
#define MC_RING1_RD_NB_PTSA_MIN_0_DUAL                  0x0
#define MC_RING1_RD_NB_PTSA_MIN_0_SCR                   0
#define MC_RING1_RD_NB_PTSA_MIN_0_WORD_COUNT                    0x1
#define MC_RING1_RD_NB_PTSA_MIN_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_NB_PTSA_MIN_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_NB_PTSA_MIN_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_RING1_RD_NB_PTSA_MIN_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_RING1_RD_NB_PTSA_MIN_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_NB_PTSA_MIN_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_NB_PTSA_MIN_0_PTSA_MIN_RING1_RD_NB_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_RING1_RD_NB_PTSA_MIN_0_PTSA_MIN_RING1_RD_NB_FIELD                    _MK_FIELD_CONST(0x7ff, MC_RING1_RD_NB_PTSA_MIN_0_PTSA_MIN_RING1_RD_NB_SHIFT)
#define MC_RING1_RD_NB_PTSA_MIN_0_PTSA_MIN_RING1_RD_NB_RANGE                    10:0
#define MC_RING1_RD_NB_PTSA_MIN_0_PTSA_MIN_RING1_RD_NB_WOFFSET                  0x0
#define MC_RING1_RD_NB_PTSA_MIN_0_PTSA_MIN_RING1_RD_NB_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_NB_PTSA_MIN_0_PTSA_MIN_RING1_RD_NB_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_NB_PTSA_MIN_0_PTSA_MIN_RING1_RD_NB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_RING1_RD_NB_PTSA_MIN_0_PTSA_MIN_RING1_RD_NB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_RING1_RD_NB_PTSA_MIN_0_PTSA_MIN_RING1_RD_NB_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_RING1_RD_NB_PTSA_MIN_0_PTSA_MIN_RING1_RD_NB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_RING1_RD_NB_PTSA_MAX_0
#define MC_RING1_RD_NB_PTSA_MAX_0                       _MK_ADDR_CONST(0xe9c)
#define MC_RING1_RD_NB_PTSA_MAX_0_SECURE                        0x0
#define MC_RING1_RD_NB_PTSA_MAX_0_DUAL                  0x0
#define MC_RING1_RD_NB_PTSA_MAX_0_SCR                   0
#define MC_RING1_RD_NB_PTSA_MAX_0_WORD_COUNT                    0x1
#define MC_RING1_RD_NB_PTSA_MAX_0_RESET_VAL                     _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_NB_PTSA_MAX_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_NB_PTSA_MAX_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_RING1_RD_NB_PTSA_MAX_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_RING1_RD_NB_PTSA_MAX_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_NB_PTSA_MAX_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_NB_PTSA_MAX_0_PTSA_MAX_RING1_RD_NB_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_RING1_RD_NB_PTSA_MAX_0_PTSA_MAX_RING1_RD_NB_FIELD                    _MK_FIELD_CONST(0x7ff, MC_RING1_RD_NB_PTSA_MAX_0_PTSA_MAX_RING1_RD_NB_SHIFT)
#define MC_RING1_RD_NB_PTSA_MAX_0_PTSA_MAX_RING1_RD_NB_RANGE                    10:0
#define MC_RING1_RD_NB_PTSA_MAX_0_PTSA_MAX_RING1_RD_NB_WOFFSET                  0x0
#define MC_RING1_RD_NB_PTSA_MAX_0_PTSA_MAX_RING1_RD_NB_DEFAULT                  _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_NB_PTSA_MAX_0_PTSA_MAX_RING1_RD_NB_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_RING1_RD_NB_PTSA_MAX_0_PTSA_MAX_RING1_RD_NB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_RING1_RD_NB_PTSA_MAX_0_PTSA_MAX_RING1_RD_NB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_RING1_RD_NB_PTSA_MAX_0_PTSA_MAX_RING1_RD_NB_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_RING1_RD_NB_PTSA_MAX_0_PTSA_MAX_RING1_RD_NB_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_RING1_RD_NB_PTSA_RATE_0
#define MC_RING1_RD_NB_PTSA_RATE_0                      _MK_ADDR_CONST(0xea0)
#define MC_RING1_RD_NB_PTSA_RATE_0_SECURE                       0x0
#define MC_RING1_RD_NB_PTSA_RATE_0_DUAL                         0x0
#define MC_RING1_RD_NB_PTSA_RATE_0_SCR                  0
#define MC_RING1_RD_NB_PTSA_RATE_0_WORD_COUNT                   0x1
#define MC_RING1_RD_NB_PTSA_RATE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_RING1_RD_NB_PTSA_RATE_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define MC_RING1_RD_NB_PTSA_RATE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_RING1_RD_NB_PTSA_RATE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_RING1_RD_NB_PTSA_RATE_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define MC_RING1_RD_NB_PTSA_RATE_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define MC_RING1_RD_NB_PTSA_RATE_0_PTSA_RATE_RING1_RD_NB_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_RING1_RD_NB_PTSA_RATE_0_PTSA_RATE_RING1_RD_NB_FIELD                  _MK_FIELD_CONST(0xfff, MC_RING1_RD_NB_PTSA_RATE_0_PTSA_RATE_RING1_RD_NB_SHIFT)
#define MC_RING1_RD_NB_PTSA_RATE_0_PTSA_RATE_RING1_RD_NB_RANGE                  11:0
#define MC_RING1_RD_NB_PTSA_RATE_0_PTSA_RATE_RING1_RD_NB_WOFFSET                        0x0
#define MC_RING1_RD_NB_PTSA_RATE_0_PTSA_RATE_RING1_RD_NB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_RING1_RD_NB_PTSA_RATE_0_PTSA_RATE_RING1_RD_NB_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define MC_RING1_RD_NB_PTSA_RATE_0_PTSA_RATE_RING1_RD_NB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_RING1_RD_NB_PTSA_RATE_0_PTSA_RATE_RING1_RD_NB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_RING1_RD_NB_PTSA_RATE_0_PTSA_RATE_RING1_RD_NB_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_RING1_RD_NB_PTSA_RATE_0_PTSA_RATE_RING1_RD_NB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_FREE_BANK_QUEUES_0
#define MC_FREE_BANK_QUEUES_0                   _MK_ADDR_CONST(0xea4)
#define MC_FREE_BANK_QUEUES_0_SECURE                    0x0
#define MC_FREE_BANK_QUEUES_0_DUAL                      0x0
#define MC_FREE_BANK_QUEUES_0_SCR                       0
#define MC_FREE_BANK_QUEUES_0_WORD_COUNT                        0x1
#define MC_FREE_BANK_QUEUES_0_RESET_VAL                         _MK_MASK_CONST(0x81050107)
#define MC_FREE_BANK_QUEUES_0_RESET_MASK                        _MK_MASK_CONST(0x811f011f)
#define MC_FREE_BANK_QUEUES_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_FREE_BANK_QUEUES_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_FREE_BANK_QUEUES_0_READ_MASK                         _MK_MASK_CONST(0x811f011f)
#define MC_FREE_BANK_QUEUES_0_WRITE_MASK                        _MK_MASK_CONST(0x811f011f)
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THROTTLE_EN_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THROTTLE_EN_FIELD                  _MK_FIELD_CONST(0x1, MC_FREE_BANK_QUEUES_0_LP_CPU_THROTTLE_EN_SHIFT)
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THROTTLE_EN_RANGE                  0:0
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THROTTLE_EN_WOFFSET                        0x0
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THROTTLE_EN_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THROTTLE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THROTTLE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THROTTLE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THROTTLE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THROTTLE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THROTTLE_EN_INIT_ENUM                      ENABLE
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THROTTLE_EN_DISABLE                        _MK_ENUM_CONST(0)
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THROTTLE_EN_ENABLE                 _MK_ENUM_CONST(1)

#define MC_FREE_BANK_QUEUES_0_LP_CPU_THRESHOLD_VAL_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THRESHOLD_VAL_FIELD                        _MK_FIELD_CONST(0xf, MC_FREE_BANK_QUEUES_0_LP_CPU_THRESHOLD_VAL_SHIFT)
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THRESHOLD_VAL_RANGE                        4:1
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THRESHOLD_VAL_WOFFSET                      0x0
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THRESHOLD_VAL_DEFAULT                      _MK_MASK_CONST(0x3)
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THRESHOLD_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0xf)
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THRESHOLD_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THRESHOLD_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THRESHOLD_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_LP_CPU_THRESHOLD_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_FREE_BANK_QUEUES_0_LP_BLOCKING_THROTTLE_EN_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_FREE_BANK_QUEUES_0_LP_BLOCKING_THROTTLE_EN_FIELD                     _MK_FIELD_CONST(0x1, MC_FREE_BANK_QUEUES_0_LP_BLOCKING_THROTTLE_EN_SHIFT)
#define MC_FREE_BANK_QUEUES_0_LP_BLOCKING_THROTTLE_EN_RANGE                     8:8
#define MC_FREE_BANK_QUEUES_0_LP_BLOCKING_THROTTLE_EN_WOFFSET                   0x0
#define MC_FREE_BANK_QUEUES_0_LP_BLOCKING_THROTTLE_EN_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_LP_BLOCKING_THROTTLE_EN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_LP_BLOCKING_THROTTLE_EN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_FREE_BANK_QUEUES_0_LP_BLOCKING_THROTTLE_EN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_FREE_BANK_QUEUES_0_LP_BLOCKING_THROTTLE_EN_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_LP_BLOCKING_THROTTLE_EN_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_LP_BLOCKING_THROTTLE_EN_INIT_ENUM                 ENABLE
#define MC_FREE_BANK_QUEUES_0_LP_BLOCKING_THROTTLE_EN_DISABLE                   _MK_ENUM_CONST(0)
#define MC_FREE_BANK_QUEUES_0_LP_BLOCKING_THROTTLE_EN_ENABLE                    _MK_ENUM_CONST(1)

#define MC_FREE_BANK_QUEUES_0_HP_CPU_THROTTLE_EN_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_FREE_BANK_QUEUES_0_HP_CPU_THROTTLE_EN_FIELD                  _MK_FIELD_CONST(0x1, MC_FREE_BANK_QUEUES_0_HP_CPU_THROTTLE_EN_SHIFT)
#define MC_FREE_BANK_QUEUES_0_HP_CPU_THROTTLE_EN_RANGE                  16:16
#define MC_FREE_BANK_QUEUES_0_HP_CPU_THROTTLE_EN_WOFFSET                        0x0
#define MC_FREE_BANK_QUEUES_0_HP_CPU_THROTTLE_EN_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_HP_CPU_THROTTLE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_HP_CPU_THROTTLE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_FREE_BANK_QUEUES_0_HP_CPU_THROTTLE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_FREE_BANK_QUEUES_0_HP_CPU_THROTTLE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_HP_CPU_THROTTLE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_HP_CPU_THROTTLE_EN_INIT_ENUM                      ENABLE
#define MC_FREE_BANK_QUEUES_0_HP_CPU_THROTTLE_EN_DISABLE                        _MK_ENUM_CONST(0)
#define MC_FREE_BANK_QUEUES_0_HP_CPU_THROTTLE_EN_ENABLE                 _MK_ENUM_CONST(1)

#define MC_FREE_BANK_QUEUES_0_HP_CPU_THRESHOLD_VAL_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_FREE_BANK_QUEUES_0_HP_CPU_THRESHOLD_VAL_FIELD                        _MK_FIELD_CONST(0xf, MC_FREE_BANK_QUEUES_0_HP_CPU_THRESHOLD_VAL_SHIFT)
#define MC_FREE_BANK_QUEUES_0_HP_CPU_THRESHOLD_VAL_RANGE                        20:17
#define MC_FREE_BANK_QUEUES_0_HP_CPU_THRESHOLD_VAL_WOFFSET                      0x0
#define MC_FREE_BANK_QUEUES_0_HP_CPU_THRESHOLD_VAL_DEFAULT                      _MK_MASK_CONST(0x2)
#define MC_FREE_BANK_QUEUES_0_HP_CPU_THRESHOLD_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0xf)
#define MC_FREE_BANK_QUEUES_0_HP_CPU_THRESHOLD_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_FREE_BANK_QUEUES_0_HP_CPU_THRESHOLD_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_FREE_BANK_QUEUES_0_HP_CPU_THRESHOLD_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_HP_CPU_THRESHOLD_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_FREE_BANK_QUEUES_0_HP_BLOCKING_THROTTLE_EN_SHIFT                     _MK_SHIFT_CONST(24)
#define MC_FREE_BANK_QUEUES_0_HP_BLOCKING_THROTTLE_EN_FIELD                     _MK_FIELD_CONST(0x1, MC_FREE_BANK_QUEUES_0_HP_BLOCKING_THROTTLE_EN_SHIFT)
#define MC_FREE_BANK_QUEUES_0_HP_BLOCKING_THROTTLE_EN_RANGE                     24:24
#define MC_FREE_BANK_QUEUES_0_HP_BLOCKING_THROTTLE_EN_WOFFSET                   0x0
#define MC_FREE_BANK_QUEUES_0_HP_BLOCKING_THROTTLE_EN_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_HP_BLOCKING_THROTTLE_EN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_HP_BLOCKING_THROTTLE_EN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_FREE_BANK_QUEUES_0_HP_BLOCKING_THROTTLE_EN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_FREE_BANK_QUEUES_0_HP_BLOCKING_THROTTLE_EN_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_HP_BLOCKING_THROTTLE_EN_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_HP_BLOCKING_THROTTLE_EN_INIT_ENUM                 ENABLE
#define MC_FREE_BANK_QUEUES_0_HP_BLOCKING_THROTTLE_EN_DISABLE                   _MK_ENUM_CONST(0)
#define MC_FREE_BANK_QUEUES_0_HP_BLOCKING_THROTTLE_EN_ENABLE                    _MK_ENUM_CONST(1)

#define MC_FREE_BANK_QUEUES_0_BLOCK_CPU_FOR_RING0X_HP_SHIFT                     _MK_SHIFT_CONST(31)
#define MC_FREE_BANK_QUEUES_0_BLOCK_CPU_FOR_RING0X_HP_FIELD                     _MK_FIELD_CONST(0x1, MC_FREE_BANK_QUEUES_0_BLOCK_CPU_FOR_RING0X_HP_SHIFT)
#define MC_FREE_BANK_QUEUES_0_BLOCK_CPU_FOR_RING0X_HP_RANGE                     31:31
#define MC_FREE_BANK_QUEUES_0_BLOCK_CPU_FOR_RING0X_HP_WOFFSET                   0x0
#define MC_FREE_BANK_QUEUES_0_BLOCK_CPU_FOR_RING0X_HP_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_BLOCK_CPU_FOR_RING0X_HP_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_BLOCK_CPU_FOR_RING0X_HP_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_FREE_BANK_QUEUES_0_BLOCK_CPU_FOR_RING0X_HP_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_FREE_BANK_QUEUES_0_BLOCK_CPU_FOR_RING0X_HP_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_BLOCK_CPU_FOR_RING0X_HP_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_FREE_BANK_QUEUES_0_BLOCK_CPU_FOR_RING0X_HP_INIT_ENUM                 ENABLE
#define MC_FREE_BANK_QUEUES_0_BLOCK_CPU_FOR_RING0X_HP_DISABLE                   _MK_ENUM_CONST(0)
#define MC_FREE_BANK_QUEUES_0_BLOCK_CPU_FOR_RING0X_HP_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_RING0_MT_FIFO_CREDITS_0
#define MC_RING0_MT_FIFO_CREDITS_0                      _MK_ADDR_CONST(0xea8)
#define MC_RING0_MT_FIFO_CREDITS_0_SECURE                       0x0
#define MC_RING0_MT_FIFO_CREDITS_0_DUAL                         0x0
#define MC_RING0_MT_FIFO_CREDITS_0_SCR                  0
#define MC_RING0_MT_FIFO_CREDITS_0_WORD_COUNT                   0x1
#define MC_RING0_MT_FIFO_CREDITS_0_RESET_VAL                    _MK_MASK_CONST(0x806f)
#define MC_RING0_MT_FIFO_CREDITS_0_RESET_MASK                   _MK_MASK_CONST(0x3ffff)
#define MC_RING0_MT_FIFO_CREDITS_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_RING0_MT_FIFO_CREDITS_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_RING0_MT_FIFO_CREDITS_0_READ_MASK                    _MK_MASK_CONST(0x3ffff)
#define MC_RING0_MT_FIFO_CREDITS_0_WRITE_MASK                   _MK_MASK_CONST(0x3ffff)
#define MC_RING0_MT_FIFO_CREDITS_0_SHARED_CREDITS_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_RING0_MT_FIFO_CREDITS_0_SHARED_CREDITS_FIELD                 _MK_FIELD_CONST(0x3f, MC_RING0_MT_FIFO_CREDITS_0_SHARED_CREDITS_SHIFT)
#define MC_RING0_MT_FIFO_CREDITS_0_SHARED_CREDITS_RANGE                 5:0
#define MC_RING0_MT_FIFO_CREDITS_0_SHARED_CREDITS_WOFFSET                       0x0
#define MC_RING0_MT_FIFO_CREDITS_0_SHARED_CREDITS_DEFAULT                       _MK_MASK_CONST(0x2f)
#define MC_RING0_MT_FIFO_CREDITS_0_SHARED_CREDITS_DEFAULT_MASK                  _MK_MASK_CONST(0x3f)
#define MC_RING0_MT_FIFO_CREDITS_0_SHARED_CREDITS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_RING0_MT_FIFO_CREDITS_0_SHARED_CREDITS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_RING0_MT_FIFO_CREDITS_0_SHARED_CREDITS_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_RING0_MT_FIFO_CREDITS_0_SHARED_CREDITS_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_RING0_MT_FIFO_CREDITS_0_BLOCKING_CREDITS_SHIFT                       _MK_SHIFT_CONST(6)
#define MC_RING0_MT_FIFO_CREDITS_0_BLOCKING_CREDITS_FIELD                       _MK_FIELD_CONST(0x3f, MC_RING0_MT_FIFO_CREDITS_0_BLOCKING_CREDITS_SHIFT)
#define MC_RING0_MT_FIFO_CREDITS_0_BLOCKING_CREDITS_RANGE                       11:6
#define MC_RING0_MT_FIFO_CREDITS_0_BLOCKING_CREDITS_WOFFSET                     0x0
#define MC_RING0_MT_FIFO_CREDITS_0_BLOCKING_CREDITS_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_RING0_MT_FIFO_CREDITS_0_BLOCKING_CREDITS_DEFAULT_MASK                        _MK_MASK_CONST(0x3f)
#define MC_RING0_MT_FIFO_CREDITS_0_BLOCKING_CREDITS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_RING0_MT_FIFO_CREDITS_0_BLOCKING_CREDITS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_RING0_MT_FIFO_CREDITS_0_BLOCKING_CREDITS_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_RING0_MT_FIFO_CREDITS_0_BLOCKING_CREDITS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_RING0_MT_FIFO_CREDITS_0_NON_BLOCKING_CREDITS_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_RING0_MT_FIFO_CREDITS_0_NON_BLOCKING_CREDITS_FIELD                   _MK_FIELD_CONST(0x3f, MC_RING0_MT_FIFO_CREDITS_0_NON_BLOCKING_CREDITS_SHIFT)
#define MC_RING0_MT_FIFO_CREDITS_0_NON_BLOCKING_CREDITS_RANGE                   17:12
#define MC_RING0_MT_FIFO_CREDITS_0_NON_BLOCKING_CREDITS_WOFFSET                 0x0
#define MC_RING0_MT_FIFO_CREDITS_0_NON_BLOCKING_CREDITS_DEFAULT                 _MK_MASK_CONST(0x8)
#define MC_RING0_MT_FIFO_CREDITS_0_NON_BLOCKING_CREDITS_DEFAULT_MASK                    _MK_MASK_CONST(0x3f)
#define MC_RING0_MT_FIFO_CREDITS_0_NON_BLOCKING_CREDITS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_RING0_MT_FIFO_CREDITS_0_NON_BLOCKING_CREDITS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_RING0_MT_FIFO_CREDITS_0_NON_BLOCKING_CREDITS_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_RING0_MT_FIFO_CREDITS_0_NON_BLOCKING_CREDITS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0                      _MK_ADDR_CONST(0xeac)
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0_SECURE                       0x0
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0_DUAL                         0x0
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0_SCR                  0
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0_WORD_COUNT                   0x1
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0_RESET_VAL                    _MK_MASK_CONST(0x1a)
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0_ALLOWANCE_ROC_DMA_R_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0_ALLOWANCE_ROC_DMA_R_FIELD                    _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0_ALLOWANCE_ROC_DMA_R_SHIFT)
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0_ALLOWANCE_ROC_DMA_R_RANGE                    10:0
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0_ALLOWANCE_ROC_DMA_R_WOFFSET                  0x0
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0_ALLOWANCE_ROC_DMA_R_DEFAULT                  _MK_MASK_CONST(0x1a)
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0_ALLOWANCE_ROC_DMA_R_DEFAULT_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0_ALLOWANCE_ROC_DMA_R_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0_ALLOWANCE_ROC_DMA_R_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0_ALLOWANCE_ROC_DMA_R_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0_ALLOWANCE_ROC_DMA_R_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0
#define MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0                       _MK_ADDR_CONST(0x1100)
#define MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_SECURE                        0x0
#define MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_DUAL                  0x0
#define MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_SCR                   0
#define MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_WORD_COUNT                    0x1
#define MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_RESET_VAL                     _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_ALLOWANCE_CIFLL_WR_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_ALLOWANCE_CIFLL_WR_FIELD                      _MK_FIELD_CONST(0x7ff, MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_ALLOWANCE_CIFLL_WR_SHIFT)
#define MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_ALLOWANCE_CIFLL_WR_RANGE                      10:0
#define MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_ALLOWANCE_CIFLL_WR_WOFFSET                    0x0
#define MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_ALLOWANCE_CIFLL_WR_DEFAULT                    _MK_MASK_CONST(0x80)
#define MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_ALLOWANCE_CIFLL_WR_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_ALLOWANCE_CIFLL_WR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_ALLOWANCE_CIFLL_WR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_ALLOWANCE_CIFLL_WR_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_ALLOWANCE_CIFLL_WR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_CIFLL_NISO_PTSA_MIN_0
#define MC_CIFLL_NISO_PTSA_MIN_0                        _MK_ADDR_CONST(0x1104)
#define MC_CIFLL_NISO_PTSA_MIN_0_SECURE                         0x0
#define MC_CIFLL_NISO_PTSA_MIN_0_DUAL                   0x0
#define MC_CIFLL_NISO_PTSA_MIN_0_SCR                    0
#define MC_CIFLL_NISO_PTSA_MIN_0_WORD_COUNT                     0x1
#define MC_CIFLL_NISO_PTSA_MIN_0_RESET_VAL                      _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_NISO_PTSA_MIN_0_RESET_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_NISO_PTSA_MIN_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_CIFLL_NISO_PTSA_MIN_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CIFLL_NISO_PTSA_MIN_0_READ_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_NISO_PTSA_MIN_0_WRITE_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_NISO_PTSA_MIN_0_PTSA_MIN_CIFLL_NISO_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_CIFLL_NISO_PTSA_MIN_0_PTSA_MIN_CIFLL_NISO_FIELD                      _MK_FIELD_CONST(0x7ff, MC_CIFLL_NISO_PTSA_MIN_0_PTSA_MIN_CIFLL_NISO_SHIFT)
#define MC_CIFLL_NISO_PTSA_MIN_0_PTSA_MIN_CIFLL_NISO_RANGE                      10:0
#define MC_CIFLL_NISO_PTSA_MIN_0_PTSA_MIN_CIFLL_NISO_WOFFSET                    0x0
#define MC_CIFLL_NISO_PTSA_MIN_0_PTSA_MIN_CIFLL_NISO_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_NISO_PTSA_MIN_0_PTSA_MIN_CIFLL_NISO_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_NISO_PTSA_MIN_0_PTSA_MIN_CIFLL_NISO_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CIFLL_NISO_PTSA_MIN_0_PTSA_MIN_CIFLL_NISO_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CIFLL_NISO_PTSA_MIN_0_PTSA_MIN_CIFLL_NISO_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_CIFLL_NISO_PTSA_MIN_0_PTSA_MIN_CIFLL_NISO_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_CIFLL_NISO_PTSA_MAX_0
#define MC_CIFLL_NISO_PTSA_MAX_0                        _MK_ADDR_CONST(0x1108)
#define MC_CIFLL_NISO_PTSA_MAX_0_SECURE                         0x0
#define MC_CIFLL_NISO_PTSA_MAX_0_DUAL                   0x0
#define MC_CIFLL_NISO_PTSA_MAX_0_SCR                    0
#define MC_CIFLL_NISO_PTSA_MAX_0_WORD_COUNT                     0x1
#define MC_CIFLL_NISO_PTSA_MAX_0_RESET_VAL                      _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_NISO_PTSA_MAX_0_RESET_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_NISO_PTSA_MAX_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_CIFLL_NISO_PTSA_MAX_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CIFLL_NISO_PTSA_MAX_0_READ_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_NISO_PTSA_MAX_0_WRITE_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_NISO_PTSA_MAX_0_PTSA_MAX_CIFLL_NISO_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_CIFLL_NISO_PTSA_MAX_0_PTSA_MAX_CIFLL_NISO_FIELD                      _MK_FIELD_CONST(0x7ff, MC_CIFLL_NISO_PTSA_MAX_0_PTSA_MAX_CIFLL_NISO_SHIFT)
#define MC_CIFLL_NISO_PTSA_MAX_0_PTSA_MAX_CIFLL_NISO_RANGE                      10:0
#define MC_CIFLL_NISO_PTSA_MAX_0_PTSA_MAX_CIFLL_NISO_WOFFSET                    0x0
#define MC_CIFLL_NISO_PTSA_MAX_0_PTSA_MAX_CIFLL_NISO_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_NISO_PTSA_MAX_0_PTSA_MAX_CIFLL_NISO_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_NISO_PTSA_MAX_0_PTSA_MAX_CIFLL_NISO_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CIFLL_NISO_PTSA_MAX_0_PTSA_MAX_CIFLL_NISO_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CIFLL_NISO_PTSA_MAX_0_PTSA_MAX_CIFLL_NISO_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_CIFLL_NISO_PTSA_MAX_0_PTSA_MAX_CIFLL_NISO_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_CIFLL_NISO_PTSA_RATE_0
#define MC_CIFLL_NISO_PTSA_RATE_0                       _MK_ADDR_CONST(0x110c)
#define MC_CIFLL_NISO_PTSA_RATE_0_SECURE                        0x0
#define MC_CIFLL_NISO_PTSA_RATE_0_DUAL                  0x0
#define MC_CIFLL_NISO_PTSA_RATE_0_SCR                   0
#define MC_CIFLL_NISO_PTSA_RATE_0_WORD_COUNT                    0x1
#define MC_CIFLL_NISO_PTSA_RATE_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_CIFLL_NISO_PTSA_RATE_0_RESET_MASK                    _MK_MASK_CONST(0xfff)
#define MC_CIFLL_NISO_PTSA_RATE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CIFLL_NISO_PTSA_RATE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CIFLL_NISO_PTSA_RATE_0_READ_MASK                     _MK_MASK_CONST(0xfff)
#define MC_CIFLL_NISO_PTSA_RATE_0_WRITE_MASK                    _MK_MASK_CONST(0xfff)
#define MC_CIFLL_NISO_PTSA_RATE_0_PTSA_RATE_CIFLL_NISO_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_CIFLL_NISO_PTSA_RATE_0_PTSA_RATE_CIFLL_NISO_FIELD                    _MK_FIELD_CONST(0xfff, MC_CIFLL_NISO_PTSA_RATE_0_PTSA_RATE_CIFLL_NISO_SHIFT)
#define MC_CIFLL_NISO_PTSA_RATE_0_PTSA_RATE_CIFLL_NISO_RANGE                    11:0
#define MC_CIFLL_NISO_PTSA_RATE_0_PTSA_RATE_CIFLL_NISO_WOFFSET                  0x0
#define MC_CIFLL_NISO_PTSA_RATE_0_PTSA_RATE_CIFLL_NISO_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CIFLL_NISO_PTSA_RATE_0_PTSA_RATE_CIFLL_NISO_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_CIFLL_NISO_PTSA_RATE_0_PTSA_RATE_CIFLL_NISO_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CIFLL_NISO_PTSA_RATE_0_PTSA_RATE_CIFLL_NISO_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CIFLL_NISO_PTSA_RATE_0_PTSA_RATE_CIFLL_NISO_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_CIFLL_NISO_PTSA_RATE_0_PTSA_RATE_CIFLL_NISO_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_CIFLL_SISO_PTSA_MIN_0
#define MC_CIFLL_SISO_PTSA_MIN_0                        _MK_ADDR_CONST(0x1110)
#define MC_CIFLL_SISO_PTSA_MIN_0_SECURE                         0x0
#define MC_CIFLL_SISO_PTSA_MIN_0_DUAL                   0x0
#define MC_CIFLL_SISO_PTSA_MIN_0_SCR                    0
#define MC_CIFLL_SISO_PTSA_MIN_0_WORD_COUNT                     0x1
#define MC_CIFLL_SISO_PTSA_MIN_0_RESET_VAL                      _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_SISO_PTSA_MIN_0_RESET_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_SISO_PTSA_MIN_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_CIFLL_SISO_PTSA_MIN_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CIFLL_SISO_PTSA_MIN_0_READ_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_SISO_PTSA_MIN_0_WRITE_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_SISO_PTSA_MIN_0_PTSA_MIN_CIFLL_SISO_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_CIFLL_SISO_PTSA_MIN_0_PTSA_MIN_CIFLL_SISO_FIELD                      _MK_FIELD_CONST(0x7ff, MC_CIFLL_SISO_PTSA_MIN_0_PTSA_MIN_CIFLL_SISO_SHIFT)
#define MC_CIFLL_SISO_PTSA_MIN_0_PTSA_MIN_CIFLL_SISO_RANGE                      10:0
#define MC_CIFLL_SISO_PTSA_MIN_0_PTSA_MIN_CIFLL_SISO_WOFFSET                    0x0
#define MC_CIFLL_SISO_PTSA_MIN_0_PTSA_MIN_CIFLL_SISO_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_SISO_PTSA_MIN_0_PTSA_MIN_CIFLL_SISO_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_SISO_PTSA_MIN_0_PTSA_MIN_CIFLL_SISO_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CIFLL_SISO_PTSA_MIN_0_PTSA_MIN_CIFLL_SISO_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CIFLL_SISO_PTSA_MIN_0_PTSA_MIN_CIFLL_SISO_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_CIFLL_SISO_PTSA_MIN_0_PTSA_MIN_CIFLL_SISO_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_CIFLL_SISO_PTSA_MAX_0
#define MC_CIFLL_SISO_PTSA_MAX_0                        _MK_ADDR_CONST(0x1114)
#define MC_CIFLL_SISO_PTSA_MAX_0_SECURE                         0x0
#define MC_CIFLL_SISO_PTSA_MAX_0_DUAL                   0x0
#define MC_CIFLL_SISO_PTSA_MAX_0_SCR                    0
#define MC_CIFLL_SISO_PTSA_MAX_0_WORD_COUNT                     0x1
#define MC_CIFLL_SISO_PTSA_MAX_0_RESET_VAL                      _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_SISO_PTSA_MAX_0_RESET_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_SISO_PTSA_MAX_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_CIFLL_SISO_PTSA_MAX_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CIFLL_SISO_PTSA_MAX_0_READ_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_SISO_PTSA_MAX_0_WRITE_MASK                     _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_SISO_PTSA_MAX_0_PTSA_MAX_CIFLL_SISO_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_CIFLL_SISO_PTSA_MAX_0_PTSA_MAX_CIFLL_SISO_FIELD                      _MK_FIELD_CONST(0x7ff, MC_CIFLL_SISO_PTSA_MAX_0_PTSA_MAX_CIFLL_SISO_SHIFT)
#define MC_CIFLL_SISO_PTSA_MAX_0_PTSA_MAX_CIFLL_SISO_RANGE                      10:0
#define MC_CIFLL_SISO_PTSA_MAX_0_PTSA_MAX_CIFLL_SISO_WOFFSET                    0x0
#define MC_CIFLL_SISO_PTSA_MAX_0_PTSA_MAX_CIFLL_SISO_DEFAULT                    _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_SISO_PTSA_MAX_0_PTSA_MAX_CIFLL_SISO_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_SISO_PTSA_MAX_0_PTSA_MAX_CIFLL_SISO_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CIFLL_SISO_PTSA_MAX_0_PTSA_MAX_CIFLL_SISO_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CIFLL_SISO_PTSA_MAX_0_PTSA_MAX_CIFLL_SISO_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_CIFLL_SISO_PTSA_MAX_0_PTSA_MAX_CIFLL_SISO_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_CIFLL_SISO_PTSA_RATE_0
#define MC_CIFLL_SISO_PTSA_RATE_0                       _MK_ADDR_CONST(0x1118)
#define MC_CIFLL_SISO_PTSA_RATE_0_SECURE                        0x0
#define MC_CIFLL_SISO_PTSA_RATE_0_DUAL                  0x0
#define MC_CIFLL_SISO_PTSA_RATE_0_SCR                   0
#define MC_CIFLL_SISO_PTSA_RATE_0_WORD_COUNT                    0x1
#define MC_CIFLL_SISO_PTSA_RATE_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_CIFLL_SISO_PTSA_RATE_0_RESET_MASK                    _MK_MASK_CONST(0xfff)
#define MC_CIFLL_SISO_PTSA_RATE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CIFLL_SISO_PTSA_RATE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CIFLL_SISO_PTSA_RATE_0_READ_MASK                     _MK_MASK_CONST(0xfff)
#define MC_CIFLL_SISO_PTSA_RATE_0_WRITE_MASK                    _MK_MASK_CONST(0xfff)
#define MC_CIFLL_SISO_PTSA_RATE_0_PTSA_RATE_CIFLL_SISO_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_CIFLL_SISO_PTSA_RATE_0_PTSA_RATE_CIFLL_SISO_FIELD                    _MK_FIELD_CONST(0xfff, MC_CIFLL_SISO_PTSA_RATE_0_PTSA_RATE_CIFLL_SISO_SHIFT)
#define MC_CIFLL_SISO_PTSA_RATE_0_PTSA_RATE_CIFLL_SISO_RANGE                    11:0
#define MC_CIFLL_SISO_PTSA_RATE_0_PTSA_RATE_CIFLL_SISO_WOFFSET                  0x0
#define MC_CIFLL_SISO_PTSA_RATE_0_PTSA_RATE_CIFLL_SISO_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CIFLL_SISO_PTSA_RATE_0_PTSA_RATE_CIFLL_SISO_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define MC_CIFLL_SISO_PTSA_RATE_0_PTSA_RATE_CIFLL_SISO_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CIFLL_SISO_PTSA_RATE_0_PTSA_RATE_CIFLL_SISO_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CIFLL_SISO_PTSA_RATE_0_PTSA_RATE_CIFLL_SISO_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_CIFLL_SISO_PTSA_RATE_0_PTSA_RATE_CIFLL_SISO_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_CIFLL_ISO_PTSA_MIN_0
#define MC_CIFLL_ISO_PTSA_MIN_0                 _MK_ADDR_CONST(0x111c)
#define MC_CIFLL_ISO_PTSA_MIN_0_SECURE                  0x0
#define MC_CIFLL_ISO_PTSA_MIN_0_DUAL                    0x0
#define MC_CIFLL_ISO_PTSA_MIN_0_SCR                     0
#define MC_CIFLL_ISO_PTSA_MIN_0_WORD_COUNT                      0x1
#define MC_CIFLL_ISO_PTSA_MIN_0_RESET_VAL                       _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_ISO_PTSA_MIN_0_RESET_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_ISO_PTSA_MIN_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CIFLL_ISO_PTSA_MIN_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CIFLL_ISO_PTSA_MIN_0_READ_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_ISO_PTSA_MIN_0_WRITE_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_ISO_PTSA_MIN_0_PTSA_MIN_CIFLL_ISO_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_CIFLL_ISO_PTSA_MIN_0_PTSA_MIN_CIFLL_ISO_FIELD                        _MK_FIELD_CONST(0x7ff, MC_CIFLL_ISO_PTSA_MIN_0_PTSA_MIN_CIFLL_ISO_SHIFT)
#define MC_CIFLL_ISO_PTSA_MIN_0_PTSA_MIN_CIFLL_ISO_RANGE                        10:0
#define MC_CIFLL_ISO_PTSA_MIN_0_PTSA_MIN_CIFLL_ISO_WOFFSET                      0x0
#define MC_CIFLL_ISO_PTSA_MIN_0_PTSA_MIN_CIFLL_ISO_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_ISO_PTSA_MIN_0_PTSA_MIN_CIFLL_ISO_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_ISO_PTSA_MIN_0_PTSA_MIN_CIFLL_ISO_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CIFLL_ISO_PTSA_MIN_0_PTSA_MIN_CIFLL_ISO_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CIFLL_ISO_PTSA_MIN_0_PTSA_MIN_CIFLL_ISO_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_CIFLL_ISO_PTSA_MIN_0_PTSA_MIN_CIFLL_ISO_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_CIFLL_ISO_PTSA_MAX_0
#define MC_CIFLL_ISO_PTSA_MAX_0                 _MK_ADDR_CONST(0x1120)
#define MC_CIFLL_ISO_PTSA_MAX_0_SECURE                  0x0
#define MC_CIFLL_ISO_PTSA_MAX_0_DUAL                    0x0
#define MC_CIFLL_ISO_PTSA_MAX_0_SCR                     0
#define MC_CIFLL_ISO_PTSA_MAX_0_WORD_COUNT                      0x1
#define MC_CIFLL_ISO_PTSA_MAX_0_RESET_VAL                       _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_ISO_PTSA_MAX_0_RESET_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_ISO_PTSA_MAX_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CIFLL_ISO_PTSA_MAX_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CIFLL_ISO_PTSA_MAX_0_READ_MASK                       _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_ISO_PTSA_MAX_0_WRITE_MASK                      _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_ISO_PTSA_MAX_0_PTSA_MAX_CIFLL_ISO_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_CIFLL_ISO_PTSA_MAX_0_PTSA_MAX_CIFLL_ISO_FIELD                        _MK_FIELD_CONST(0x7ff, MC_CIFLL_ISO_PTSA_MAX_0_PTSA_MAX_CIFLL_ISO_SHIFT)
#define MC_CIFLL_ISO_PTSA_MAX_0_PTSA_MAX_CIFLL_ISO_RANGE                        10:0
#define MC_CIFLL_ISO_PTSA_MAX_0_PTSA_MAX_CIFLL_ISO_WOFFSET                      0x0
#define MC_CIFLL_ISO_PTSA_MAX_0_PTSA_MAX_CIFLL_ISO_DEFAULT                      _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_ISO_PTSA_MAX_0_PTSA_MAX_CIFLL_ISO_DEFAULT_MASK                 _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_ISO_PTSA_MAX_0_PTSA_MAX_CIFLL_ISO_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CIFLL_ISO_PTSA_MAX_0_PTSA_MAX_CIFLL_ISO_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CIFLL_ISO_PTSA_MAX_0_PTSA_MAX_CIFLL_ISO_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_CIFLL_ISO_PTSA_MAX_0_PTSA_MAX_CIFLL_ISO_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_CIFLL_ISO_PTSA_RATE_0
#define MC_CIFLL_ISO_PTSA_RATE_0                        _MK_ADDR_CONST(0x1124)
#define MC_CIFLL_ISO_PTSA_RATE_0_SECURE                         0x0
#define MC_CIFLL_ISO_PTSA_RATE_0_DUAL                   0x0
#define MC_CIFLL_ISO_PTSA_RATE_0_SCR                    0
#define MC_CIFLL_ISO_PTSA_RATE_0_WORD_COUNT                     0x1
#define MC_CIFLL_ISO_PTSA_RATE_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_CIFLL_ISO_PTSA_RATE_0_RESET_MASK                     _MK_MASK_CONST(0xfff)
#define MC_CIFLL_ISO_PTSA_RATE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_CIFLL_ISO_PTSA_RATE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CIFLL_ISO_PTSA_RATE_0_READ_MASK                      _MK_MASK_CONST(0xfff)
#define MC_CIFLL_ISO_PTSA_RATE_0_WRITE_MASK                     _MK_MASK_CONST(0xfff)
#define MC_CIFLL_ISO_PTSA_RATE_0_PTSA_RATE_CIFLL_ISO_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_CIFLL_ISO_PTSA_RATE_0_PTSA_RATE_CIFLL_ISO_FIELD                      _MK_FIELD_CONST(0xfff, MC_CIFLL_ISO_PTSA_RATE_0_PTSA_RATE_CIFLL_ISO_SHIFT)
#define MC_CIFLL_ISO_PTSA_RATE_0_PTSA_RATE_CIFLL_ISO_RANGE                      11:0
#define MC_CIFLL_ISO_PTSA_RATE_0_PTSA_RATE_CIFLL_ISO_WOFFSET                    0x0
#define MC_CIFLL_ISO_PTSA_RATE_0_PTSA_RATE_CIFLL_ISO_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CIFLL_ISO_PTSA_RATE_0_PTSA_RATE_CIFLL_ISO_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define MC_CIFLL_ISO_PTSA_RATE_0_PTSA_RATE_CIFLL_ISO_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CIFLL_ISO_PTSA_RATE_0_PTSA_RATE_CIFLL_ISO_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CIFLL_ISO_PTSA_RATE_0_PTSA_RATE_CIFLL_ISO_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_CIFLL_ISO_PTSA_RATE_0_PTSA_RATE_CIFLL_ISO_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_CIFLL_RING0X_PTSA_MIN_0
#define MC_CIFLL_RING0X_PTSA_MIN_0                      _MK_ADDR_CONST(0x1128)
#define MC_CIFLL_RING0X_PTSA_MIN_0_SECURE                       0x0
#define MC_CIFLL_RING0X_PTSA_MIN_0_DUAL                         0x0
#define MC_CIFLL_RING0X_PTSA_MIN_0_SCR                  0
#define MC_CIFLL_RING0X_PTSA_MIN_0_WORD_COUNT                   0x1
#define MC_CIFLL_RING0X_PTSA_MIN_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_RING0X_PTSA_MIN_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_RING0X_PTSA_MIN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_CIFLL_RING0X_PTSA_MIN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CIFLL_RING0X_PTSA_MIN_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_RING0X_PTSA_MIN_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_RING0X_PTSA_MIN_0_PTSA_MIN_CIFLL_RING0X_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_CIFLL_RING0X_PTSA_MIN_0_PTSA_MIN_CIFLL_RING0X_FIELD                  _MK_FIELD_CONST(0x7ff, MC_CIFLL_RING0X_PTSA_MIN_0_PTSA_MIN_CIFLL_RING0X_SHIFT)
#define MC_CIFLL_RING0X_PTSA_MIN_0_PTSA_MIN_CIFLL_RING0X_RANGE                  10:0
#define MC_CIFLL_RING0X_PTSA_MIN_0_PTSA_MIN_CIFLL_RING0X_WOFFSET                        0x0
#define MC_CIFLL_RING0X_PTSA_MIN_0_PTSA_MIN_CIFLL_RING0X_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_RING0X_PTSA_MIN_0_PTSA_MIN_CIFLL_RING0X_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_RING0X_PTSA_MIN_0_PTSA_MIN_CIFLL_RING0X_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CIFLL_RING0X_PTSA_MIN_0_PTSA_MIN_CIFLL_RING0X_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CIFLL_RING0X_PTSA_MIN_0_PTSA_MIN_CIFLL_RING0X_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CIFLL_RING0X_PTSA_MIN_0_PTSA_MIN_CIFLL_RING0X_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_CIFLL_RING0X_PTSA_MAX_0
#define MC_CIFLL_RING0X_PTSA_MAX_0                      _MK_ADDR_CONST(0x112c)
#define MC_CIFLL_RING0X_PTSA_MAX_0_SECURE                       0x0
#define MC_CIFLL_RING0X_PTSA_MAX_0_DUAL                         0x0
#define MC_CIFLL_RING0X_PTSA_MAX_0_SCR                  0
#define MC_CIFLL_RING0X_PTSA_MAX_0_WORD_COUNT                   0x1
#define MC_CIFLL_RING0X_PTSA_MAX_0_RESET_VAL                    _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_RING0X_PTSA_MAX_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_RING0X_PTSA_MAX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_CIFLL_RING0X_PTSA_MAX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CIFLL_RING0X_PTSA_MAX_0_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_RING0X_PTSA_MAX_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_RING0X_PTSA_MAX_0_PTSA_MAX_CIFLL_RING0X_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_CIFLL_RING0X_PTSA_MAX_0_PTSA_MAX_CIFLL_RING0X_FIELD                  _MK_FIELD_CONST(0x7ff, MC_CIFLL_RING0X_PTSA_MAX_0_PTSA_MAX_CIFLL_RING0X_SHIFT)
#define MC_CIFLL_RING0X_PTSA_MAX_0_PTSA_MAX_CIFLL_RING0X_RANGE                  10:0
#define MC_CIFLL_RING0X_PTSA_MAX_0_PTSA_MAX_CIFLL_RING0X_WOFFSET                        0x0
#define MC_CIFLL_RING0X_PTSA_MAX_0_PTSA_MAX_CIFLL_RING0X_DEFAULT                        _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_RING0X_PTSA_MAX_0_PTSA_MAX_CIFLL_RING0X_DEFAULT_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_CIFLL_RING0X_PTSA_MAX_0_PTSA_MAX_CIFLL_RING0X_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CIFLL_RING0X_PTSA_MAX_0_PTSA_MAX_CIFLL_RING0X_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CIFLL_RING0X_PTSA_MAX_0_PTSA_MAX_CIFLL_RING0X_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CIFLL_RING0X_PTSA_MAX_0_PTSA_MAX_CIFLL_RING0X_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_CIFLL_RING0X_PTSA_RATE_0
#define MC_CIFLL_RING0X_PTSA_RATE_0                     _MK_ADDR_CONST(0x1130)
#define MC_CIFLL_RING0X_PTSA_RATE_0_SECURE                      0x0
#define MC_CIFLL_RING0X_PTSA_RATE_0_DUAL                        0x0
#define MC_CIFLL_RING0X_PTSA_RATE_0_SCR                         0
#define MC_CIFLL_RING0X_PTSA_RATE_0_WORD_COUNT                  0x1
#define MC_CIFLL_RING0X_PTSA_RATE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_CIFLL_RING0X_PTSA_RATE_0_RESET_MASK                  _MK_MASK_CONST(0xfff)
#define MC_CIFLL_RING0X_PTSA_RATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_CIFLL_RING0X_PTSA_RATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CIFLL_RING0X_PTSA_RATE_0_READ_MASK                   _MK_MASK_CONST(0xfff)
#define MC_CIFLL_RING0X_PTSA_RATE_0_WRITE_MASK                  _MK_MASK_CONST(0xfff)
#define MC_CIFLL_RING0X_PTSA_RATE_0_PTSA_RATE_CIFLL_RING0X_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_CIFLL_RING0X_PTSA_RATE_0_PTSA_RATE_CIFLL_RING0X_FIELD                        _MK_FIELD_CONST(0xfff, MC_CIFLL_RING0X_PTSA_RATE_0_PTSA_RATE_CIFLL_RING0X_SHIFT)
#define MC_CIFLL_RING0X_PTSA_RATE_0_PTSA_RATE_CIFLL_RING0X_RANGE                        11:0
#define MC_CIFLL_RING0X_PTSA_RATE_0_PTSA_RATE_CIFLL_RING0X_WOFFSET                      0x0
#define MC_CIFLL_RING0X_PTSA_RATE_0_PTSA_RATE_CIFLL_RING0X_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CIFLL_RING0X_PTSA_RATE_0_PTSA_RATE_CIFLL_RING0X_DEFAULT_MASK                 _MK_MASK_CONST(0xfff)
#define MC_CIFLL_RING0X_PTSA_RATE_0_PTSA_RATE_CIFLL_RING0X_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CIFLL_RING0X_PTSA_RATE_0_PTSA_RATE_CIFLL_RING0X_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CIFLL_RING0X_PTSA_RATE_0_PTSA_RATE_CIFLL_RING0X_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_CIFLL_RING0X_PTSA_RATE_0_PTSA_RATE_CIFLL_RING0X_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_CIFLL_CPU_RD_PRI_CTRL_0
#define MC_CIFLL_CPU_RD_PRI_CTRL_0                      _MK_ADDR_CONST(0x1174)
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_SECURE                       0x0
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_DUAL                         0x0
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_SCR                  0
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_WORD_COUNT                   0x1
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_RESET_VAL                    _MK_MASK_CONST(0x1)
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_RESET_MASK                   _MK_MASK_CONST(0x1)
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_READ_MASK                    _MK_MASK_CONST(0x1)
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_WRITE_MASK                   _MK_MASK_CONST(0x1)
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_CIFLL_CPU_RD_PRI_ENABLE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_CIFLL_CPU_RD_PRI_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_CIFLL_CPU_RD_PRI_CTRL_0_CIFLL_CPU_RD_PRI_ENABLE_SHIFT)
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_CIFLL_CPU_RD_PRI_ENABLE_RANGE                        0:0
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_CIFLL_CPU_RD_PRI_ENABLE_WOFFSET                      0x0
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_CIFLL_CPU_RD_PRI_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_CIFLL_CPU_RD_PRI_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_CIFLL_CPU_RD_PRI_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_CIFLL_CPU_RD_PRI_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_CIFLL_CPU_RD_PRI_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_CIFLL_CPU_RD_PRI_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_CIFLL_CPU_RD_PRI_ENABLE_INIT_ENUM                    ENABLE
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_CIFLL_CPU_RD_PRI_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_CIFLL_CPU_RD_PRI_CTRL_0_CIFLL_CPU_RD_PRI_ENABLE_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_MEM_SCRUBBER_ECC_ADDR_0
#define MC_MEM_SCRUBBER_ECC_ADDR_0                      _MK_ADDR_CONST(0xf18)
#define MC_MEM_SCRUBBER_ECC_ADDR_0_SECURE                       0x0
#define MC_MEM_SCRUBBER_ECC_ADDR_0_DUAL                         0x0
#define MC_MEM_SCRUBBER_ECC_ADDR_0_SCR                  0
#define MC_MEM_SCRUBBER_ECC_ADDR_0_WORD_COUNT                   0x1
#define MC_MEM_SCRUBBER_ECC_ADDR_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_ADDR_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_MEM_SCRUBBER_ECC_ADDR_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_ADDR_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_ADDR_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_MEM_SCRUBBER_ECC_ADDR_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_MEM_SCRUBBER_ECC_ADDR_0_SCRUBBER_ECC_ADDR_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_MEM_SCRUBBER_ECC_ADDR_0_SCRUBBER_ECC_ADDR_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_MEM_SCRUBBER_ECC_ADDR_0_SCRUBBER_ECC_ADDR_SHIFT)
#define MC_MEM_SCRUBBER_ECC_ADDR_0_SCRUBBER_ECC_ADDR_RANGE                      31:0
#define MC_MEM_SCRUBBER_ECC_ADDR_0_SCRUBBER_ECC_ADDR_WOFFSET                    0x0
#define MC_MEM_SCRUBBER_ECC_ADDR_0_SCRUBBER_ECC_ADDR_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_ADDR_0_SCRUBBER_ECC_ADDR_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_MEM_SCRUBBER_ECC_ADDR_0_SCRUBBER_ECC_ADDR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_ADDR_0_SCRUBBER_ECC_ADDR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_ADDR_0_SCRUBBER_ECC_ADDR_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MEM_SCRUBBER_ECC_ADDR_0_SCRUBBER_ECC_ADDR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_MEM_SCRUBBER_ECC_ADDR_HI_0
#define MC_MEM_SCRUBBER_ECC_ADDR_HI_0                   _MK_ADDR_CONST(0xf1c)
#define MC_MEM_SCRUBBER_ECC_ADDR_HI_0_SECURE                    0x0
#define MC_MEM_SCRUBBER_ECC_ADDR_HI_0_DUAL                      0x0
#define MC_MEM_SCRUBBER_ECC_ADDR_HI_0_SCR                       0
#define MC_MEM_SCRUBBER_ECC_ADDR_HI_0_WORD_COUNT                        0x1
#define MC_MEM_SCRUBBER_ECC_ADDR_HI_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_ADDR_HI_0_RESET_MASK                        _MK_MASK_CONST(0x3)
#define MC_MEM_SCRUBBER_ECC_ADDR_HI_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_ADDR_HI_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_ADDR_HI_0_READ_MASK                         _MK_MASK_CONST(0x3)
#define MC_MEM_SCRUBBER_ECC_ADDR_HI_0_WRITE_MASK                        _MK_MASK_CONST(0x3)
#define MC_MEM_SCRUBBER_ECC_ADDR_HI_0_SCRUBBER_ECC_ADDR_HI_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MEM_SCRUBBER_ECC_ADDR_HI_0_SCRUBBER_ECC_ADDR_HI_FIELD                        _MK_FIELD_CONST(0x3, MC_MEM_SCRUBBER_ECC_ADDR_HI_0_SCRUBBER_ECC_ADDR_HI_SHIFT)
#define MC_MEM_SCRUBBER_ECC_ADDR_HI_0_SCRUBBER_ECC_ADDR_HI_RANGE                        1:0
#define MC_MEM_SCRUBBER_ECC_ADDR_HI_0_SCRUBBER_ECC_ADDR_HI_WOFFSET                      0x0
#define MC_MEM_SCRUBBER_ECC_ADDR_HI_0_SCRUBBER_ECC_ADDR_HI_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_ADDR_HI_0_SCRUBBER_ECC_ADDR_HI_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define MC_MEM_SCRUBBER_ECC_ADDR_HI_0_SCRUBBER_ECC_ADDR_HI_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_ADDR_HI_0_SCRUBBER_ECC_ADDR_HI_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_ADDR_HI_0_SCRUBBER_ECC_ADDR_HI_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MEM_SCRUBBER_ECC_ADDR_HI_0_SCRUBBER_ECC_ADDR_HI_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_MEM_SCRUBBER_ECC_REG_CTRL_0
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0                  _MK_ADDR_CONST(0xf20)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SECURE                   0x0
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_DUAL                     0x0
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCR                      0
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_WORD_COUNT                       0x1
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_RESET_VAL                        _MK_MASK_CONST(0x4)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_RESET_MASK                       _MK_MASK_CONST(0x4)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_READ_MASK                        _MK_MASK_CONST(0x7)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_WRITE_MASK                       _MK_MASK_CONST(0x5)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_TRIGGER_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_TRIGGER_FIELD                  _MK_FIELD_CONST(0x1, MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_TRIGGER_SHIFT)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_TRIGGER_RANGE                  0:0
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_TRIGGER_WOFFSET                        0x0
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_TRIGGER_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_TRIGGER_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_TRIGGER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_TRIGGER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_TRIGGER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_TRIGGER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_PENDING_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_PENDING_FIELD                  _MK_FIELD_CONST(0x1, MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_PENDING_SHIFT)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_PENDING_RANGE                  1:1
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_PENDING_WOFFSET                        0x0
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_PENDING_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_PENDING_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_PENDING_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_PENDING_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_PENDING_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUB_ECC_PENDING_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUBBER_ECC_DONE_INT_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUBBER_ECC_DONE_INT_FIELD                      _MK_FIELD_CONST(0x1, MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUBBER_ECC_DONE_INT_SHIFT)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUBBER_ECC_DONE_INT_RANGE                      2:2
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUBBER_ECC_DONE_INT_WOFFSET                    0x0
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUBBER_ECC_DONE_INT_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUBBER_ECC_DONE_INT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUBBER_ECC_DONE_INT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUBBER_ECC_DONE_INT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUBBER_ECC_DONE_INT_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MEM_SCRUBBER_ECC_REG_CTRL_0_SCRUBBER_ECC_DONE_INT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_SMMU_MTLB_WC_HASHING_CONFIG_0
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0                        _MK_ADDR_CONST(0xf30)
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_SECURE                         0x0
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_DUAL                   0x0
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_SCR                    0
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_WORD_COUNT                     0x1
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_RESET_VAL                      _MK_MASK_CONST(0xfffff)
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_RESET_MASK                     _MK_MASK_CONST(0xfffff)
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_READ_MASK                      _MK_MASK_CONST(0xfffff)
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_WRITE_MASK                     _MK_MASK_CONST(0xfffff)
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_INDEX_MAP_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_INDEX_MAP_FIELD                        _MK_FIELD_CONST(0x3ff, MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_INDEX_MAP_SHIFT)
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_INDEX_MAP_RANGE                        9:0
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_INDEX_MAP_WOFFSET                      0x0
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_INDEX_MAP_DEFAULT                      _MK_MASK_CONST(0x3ff)
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_INDEX_MAP_DEFAULT_MASK                 _MK_MASK_CONST(0x3ff)
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_INDEX_MAP_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_INDEX_MAP_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_INDEX_MAP_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_INDEX_MAP_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_HASH_MASK_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_HASH_MASK_FIELD                        _MK_FIELD_CONST(0x3ff, MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_HASH_MASK_SHIFT)
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_HASH_MASK_RANGE                        19:10
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_HASH_MASK_WOFFSET                      0x0
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_HASH_MASK_DEFAULT                      _MK_MASK_CONST(0x3ff)
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_HASH_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x3ff)
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_HASH_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_HASH_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_HASH_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_MTLB_WC_HASHING_CONFIG_0_MTLB_WC_HASH_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_SMMU_NVCACHE_CONFIG_0
#define MC_SMMU_NVCACHE_CONFIG_0                        _MK_ADDR_CONST(0xf38)
#define MC_SMMU_NVCACHE_CONFIG_0_SECURE                         0x0
#define MC_SMMU_NVCACHE_CONFIG_0_DUAL                   0x0
#define MC_SMMU_NVCACHE_CONFIG_0_SCR                    0
#define MC_SMMU_NVCACHE_CONFIG_0_WORD_COUNT                     0x1
#define MC_SMMU_NVCACHE_CONFIG_0_RESET_VAL                      _MK_MASK_CONST(0x20225f3f)
#define MC_SMMU_NVCACHE_CONFIG_0_RESET_MASK                     _MK_MASK_CONST(0xe03f5fff)
#define MC_SMMU_NVCACHE_CONFIG_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x20221f3f)
#define MC_SMMU_NVCACHE_CONFIG_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0xe03f1fff)
#define MC_SMMU_NVCACHE_CONFIG_0_READ_MASK                      _MK_MASK_CONST(0xe03f5fff)
#define MC_SMMU_NVCACHE_CONFIG_0_WRITE_MASK                     _MK_MASK_CONST(0xe03f5fff)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_INDEX_MAP_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_INDEX_MAP_FIELD                    _MK_FIELD_CONST(0xff, MC_SMMU_NVCACHE_CONFIG_0_NVC_INDEX_MAP_SHIFT)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_INDEX_MAP_RANGE                    7:0
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_INDEX_MAP_WOFFSET                  0x0
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_INDEX_MAP_DEFAULT                  _MK_MASK_CONST(0x3f)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_INDEX_MAP_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_INDEX_MAP_SW_DEFAULT                       _MK_MASK_CONST(0x3f)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_INDEX_MAP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_INDEX_MAP_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_INDEX_MAP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_INDEX_MAP__PROD                    _MK_MASK_CONST(0x3f)

#define MC_SMMU_NVCACHE_CONFIG_0_NVCACHE_LINE_MASK_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_SMMU_NVCACHE_CONFIG_0_NVCACHE_LINE_MASK_FIELD                        _MK_FIELD_CONST(0xf, MC_SMMU_NVCACHE_CONFIG_0_NVCACHE_LINE_MASK_SHIFT)
#define MC_SMMU_NVCACHE_CONFIG_0_NVCACHE_LINE_MASK_RANGE                        11:8
#define MC_SMMU_NVCACHE_CONFIG_0_NVCACHE_LINE_MASK_WOFFSET                      0x0
#define MC_SMMU_NVCACHE_CONFIG_0_NVCACHE_LINE_MASK_DEFAULT                      _MK_MASK_CONST(0xf)
#define MC_SMMU_NVCACHE_CONFIG_0_NVCACHE_LINE_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0xf)
#define MC_SMMU_NVCACHE_CONFIG_0_NVCACHE_LINE_MASK_SW_DEFAULT                   _MK_MASK_CONST(0xf)
#define MC_SMMU_NVCACHE_CONFIG_0_NVCACHE_LINE_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define MC_SMMU_NVCACHE_CONFIG_0_NVCACHE_LINE_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVCACHE_LINE_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVCACHE_LINE_MASK__PROD                        _MK_MASK_CONST(0xf)

#define MC_SMMU_NVCACHE_CONFIG_0_PTC_REREQUEST_PATH_ENABLE_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_SMMU_NVCACHE_CONFIG_0_PTC_REREQUEST_PATH_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, MC_SMMU_NVCACHE_CONFIG_0_PTC_REREQUEST_PATH_ENABLE_SHIFT)
#define MC_SMMU_NVCACHE_CONFIG_0_PTC_REREQUEST_PATH_ENABLE_RANGE                        12:12
#define MC_SMMU_NVCACHE_CONFIG_0_PTC_REREQUEST_PATH_ENABLE_WOFFSET                      0x0
#define MC_SMMU_NVCACHE_CONFIG_0_PTC_REREQUEST_PATH_ENABLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_PTC_REREQUEST_PATH_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_PTC_REREQUEST_PATH_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_PTC_REREQUEST_PATH_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_PTC_REREQUEST_PATH_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_PTC_REREQUEST_PATH_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_PTC_REREQUEST_PATH_ENABLE_INIT_ENUM                    ENABLE
#define MC_SMMU_NVCACHE_CONFIG_0_PTC_REREQUEST_PATH_ENABLE_DISABLE                      _MK_ENUM_CONST(0)
#define MC_SMMU_NVCACHE_CONFIG_0_PTC_REREQUEST_PATH_ENABLE_ENABLE                       _MK_ENUM_CONST(1)
#define MC_SMMU_NVCACHE_CONFIG_0_PTC_REREQUEST_PATH_ENABLE__PROD                        _MK_MASK_CONST(0x1)

#define MC_SMMU_NVCACHE_CONFIG_0_NVC_OOO_EN_SHIFT                       _MK_SHIFT_CONST(14)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_OOO_EN_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_NVCACHE_CONFIG_0_NVC_OOO_EN_SHIFT)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_OOO_EN_RANGE                       14:14
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_OOO_EN_WOFFSET                     0x0
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_OOO_EN_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_OOO_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_OOO_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_OOO_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_OOO_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_OOO_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_OOO_EN_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_OOO_EN_ENABLE                      _MK_ENUM_CONST(1)

#define MC_SMMU_NVCACHE_CONFIG_0_NVC_REQ_LIMIT_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_REQ_LIMIT_FIELD                    _MK_FIELD_CONST(0x3f, MC_SMMU_NVCACHE_CONFIG_0_NVC_REQ_LIMIT_SHIFT)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_REQ_LIMIT_RANGE                    21:16
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_REQ_LIMIT_WOFFSET                  0x0
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_REQ_LIMIT_DEFAULT                  _MK_MASK_CONST(0x22)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_REQ_LIMIT_DEFAULT_MASK                     _MK_MASK_CONST(0x3f)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_REQ_LIMIT_SW_DEFAULT                       _MK_MASK_CONST(0x22)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_REQ_LIMIT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x3f)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_REQ_LIMIT_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_REQ_LIMIT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_REQ_LIMIT__PROD                    _MK_MASK_CONST(0x22)

#define MC_SMMU_NVCACHE_CONFIG_0_NVC_ENABLE_SHIFT                       _MK_SHIFT_CONST(29)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_SMMU_NVCACHE_CONFIG_0_NVC_ENABLE_SHIFT)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_ENABLE_RANGE                       29:29
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_ENABLE_WOFFSET                     0x0
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_ENABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_ENABLE_INIT_ENUM                   ENABLE
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_ENABLE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_ENABLE_ENABLE                      _MK_ENUM_CONST(1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_ENABLE__PROD                       _MK_MASK_CONST(0x1)

#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_TEST_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_TEST_FIELD                   _MK_FIELD_CONST(0x1, MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_TEST_SHIFT)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_TEST_RANGE                   30:30
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_TEST_WOFFSET                 0x0
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_TEST_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_TEST_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_TEST_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_TEST_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_TEST_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_TEST_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_TEST_INIT_ENUM                       DISABLE
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_TEST_DISABLE                 _MK_ENUM_CONST(0)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_TEST_ENABLE                  _MK_ENUM_CONST(1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_TEST__PROD                   _MK_MASK_CONST(0x0)

#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_ENABLE_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_ENABLE_SHIFT)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_ENABLE_RANGE                 31:31
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_ENABLE_WOFFSET                       0x0
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_ENABLE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_ENABLE_INIT_ENUM                     DISABLE
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_ENABLE_DISABLE                       _MK_ENUM_CONST(0)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_ENABLE_ENABLE                        _MK_ENUM_CONST(1)
#define MC_SMMU_NVCACHE_CONFIG_0_NVC_STATS_ENABLE__PROD                 _MK_MASK_CONST(0x0)


// Register MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0                       _MK_ADDR_CONST(0xfe8)
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SECURE                        0x0
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_DUAL                  0x0
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SCR                   0
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_WORD_COUNT                    0x1
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_RESET_VAL                     _MK_MASK_CONST(0x1)
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_RESET_MASK                    _MK_MASK_CONST(0x1)
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x1)
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_READ_MASK                     _MK_MASK_CONST(0x1)
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_WRITE_MASK                    _MK_MASK_CONST(0x1)
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SINGLE_ARB_ENABLE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SINGLE_ARB_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SINGLE_ARB_ENABLE_SHIFT)
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SINGLE_ARB_ENABLE_RANGE                       0:0
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SINGLE_ARB_ENABLE_WOFFSET                     0x0
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SINGLE_ARB_ENABLE_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SINGLE_ARB_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SINGLE_ARB_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SINGLE_ARB_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SINGLE_ARB_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SINGLE_ARB_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SINGLE_ARB_ENABLE_INIT_ENUM                   ENABLE
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SINGLE_ARB_ENABLE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SINGLE_ARB_ENABLE_ENABLE                      _MK_ENUM_CONST(1)
#define MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SINGLE_ARB_ENABLE__PROD                       _MK_MASK_CONST(0x1)


// Register MC_DBB_RINGFENCE_CTRL_0
#define MC_DBB_RINGFENCE_CTRL_0                 _MK_ADDR_CONST(0xfec)
#define MC_DBB_RINGFENCE_CTRL_0_SECURE                  0x0
#define MC_DBB_RINGFENCE_CTRL_0_DUAL                    0x0
#define MC_DBB_RINGFENCE_CTRL_0_SCR                     0
#define MC_DBB_RINGFENCE_CTRL_0_WORD_COUNT                      0x1
#define MC_DBB_RINGFENCE_CTRL_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_CTRL_0_RESET_MASK                      _MK_MASK_CONST(0x7)
#define MC_DBB_RINGFENCE_CTRL_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_CTRL_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_CTRL_0_READ_MASK                       _MK_MASK_CONST(0x7)
#define MC_DBB_RINGFENCE_CTRL_0_WRITE_MASK                      _MK_MASK_CONST(0x7)
#define MC_DBB_RINGFENCE_CTRL_0_CV_RINGFENCE_ENABLE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_DBB_RINGFENCE_CTRL_0_CV_RINGFENCE_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_DBB_RINGFENCE_CTRL_0_CV_RINGFENCE_ENABLE_SHIFT)
#define MC_DBB_RINGFENCE_CTRL_0_CV_RINGFENCE_ENABLE_RANGE                       0:0
#define MC_DBB_RINGFENCE_CTRL_0_CV_RINGFENCE_ENABLE_WOFFSET                     0x0
#define MC_DBB_RINGFENCE_CTRL_0_CV_RINGFENCE_ENABLE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_CTRL_0_CV_RINGFENCE_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_DBB_RINGFENCE_CTRL_0_CV_RINGFENCE_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_CTRL_0_CV_RINGFENCE_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_CTRL_0_CV_RINGFENCE_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_DBB_RINGFENCE_CTRL_0_CV_RINGFENCE_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_DBB_RINGFENCE_CTRL_0_CV_RINGFENCE_ENABLE_INIT_ENUM                   DISABLE
#define MC_DBB_RINGFENCE_CTRL_0_CV_RINGFENCE_ENABLE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_DBB_RINGFENCE_CTRL_0_CV_RINGFENCE_ENABLE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_DBB_RINGFENCE_CTRL_0_IO_RINGFENCE_ENABLE_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_DBB_RINGFENCE_CTRL_0_IO_RINGFENCE_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, MC_DBB_RINGFENCE_CTRL_0_IO_RINGFENCE_ENABLE_SHIFT)
#define MC_DBB_RINGFENCE_CTRL_0_IO_RINGFENCE_ENABLE_RANGE                       1:1
#define MC_DBB_RINGFENCE_CTRL_0_IO_RINGFENCE_ENABLE_WOFFSET                     0x0
#define MC_DBB_RINGFENCE_CTRL_0_IO_RINGFENCE_ENABLE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_CTRL_0_IO_RINGFENCE_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_DBB_RINGFENCE_CTRL_0_IO_RINGFENCE_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_CTRL_0_IO_RINGFENCE_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_CTRL_0_IO_RINGFENCE_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_DBB_RINGFENCE_CTRL_0_IO_RINGFENCE_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_DBB_RINGFENCE_CTRL_0_IO_RINGFENCE_ENABLE_INIT_ENUM                   DISABLE
#define MC_DBB_RINGFENCE_CTRL_0_IO_RINGFENCE_ENABLE_DISABLE                     _MK_ENUM_CONST(0)
#define MC_DBB_RINGFENCE_CTRL_0_IO_RINGFENCE_ENABLE_ENABLE                      _MK_ENUM_CONST(1)

#define MC_DBB_RINGFENCE_CTRL_0_AON_RINGFENCE_ENABLE_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_DBB_RINGFENCE_CTRL_0_AON_RINGFENCE_ENABLE_FIELD                      _MK_FIELD_CONST(0x1, MC_DBB_RINGFENCE_CTRL_0_AON_RINGFENCE_ENABLE_SHIFT)
#define MC_DBB_RINGFENCE_CTRL_0_AON_RINGFENCE_ENABLE_RANGE                      2:2
#define MC_DBB_RINGFENCE_CTRL_0_AON_RINGFENCE_ENABLE_WOFFSET                    0x0
#define MC_DBB_RINGFENCE_CTRL_0_AON_RINGFENCE_ENABLE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_CTRL_0_AON_RINGFENCE_ENABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_DBB_RINGFENCE_CTRL_0_AON_RINGFENCE_ENABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_CTRL_0_AON_RINGFENCE_ENABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_CTRL_0_AON_RINGFENCE_ENABLE_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_DBB_RINGFENCE_CTRL_0_AON_RINGFENCE_ENABLE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_DBB_RINGFENCE_CTRL_0_AON_RINGFENCE_ENABLE_INIT_ENUM                  DISABLE
#define MC_DBB_RINGFENCE_CTRL_0_AON_RINGFENCE_ENABLE_DISABLE                    _MK_ENUM_CONST(0)
#define MC_DBB_RINGFENCE_CTRL_0_AON_RINGFENCE_ENABLE_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_DBB_RINGFENCE_STATUS_0
#define MC_DBB_RINGFENCE_STATUS_0                       _MK_ADDR_CONST(0xff0)
#define MC_DBB_RINGFENCE_STATUS_0_SECURE                        0x0
#define MC_DBB_RINGFENCE_STATUS_0_DUAL                  0x0
#define MC_DBB_RINGFENCE_STATUS_0_SCR                   0
#define MC_DBB_RINGFENCE_STATUS_0_WORD_COUNT                    0x1
#define MC_DBB_RINGFENCE_STATUS_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_STATUS_0_RESET_MASK                    _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_STATUS_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_STATUS_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_STATUS_0_READ_MASK                     _MK_MASK_CONST(0x7)
#define MC_DBB_RINGFENCE_STATUS_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_STATUS_0_CV_RINGFENCE_ACTIVE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_DBB_RINGFENCE_STATUS_0_CV_RINGFENCE_ACTIVE_FIELD                     _MK_FIELD_CONST(0x1, MC_DBB_RINGFENCE_STATUS_0_CV_RINGFENCE_ACTIVE_SHIFT)
#define MC_DBB_RINGFENCE_STATUS_0_CV_RINGFENCE_ACTIVE_RANGE                     0:0
#define MC_DBB_RINGFENCE_STATUS_0_CV_RINGFENCE_ACTIVE_WOFFSET                   0x0
#define MC_DBB_RINGFENCE_STATUS_0_CV_RINGFENCE_ACTIVE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_STATUS_0_CV_RINGFENCE_ACTIVE_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_STATUS_0_CV_RINGFENCE_ACTIVE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_STATUS_0_CV_RINGFENCE_ACTIVE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_STATUS_0_CV_RINGFENCE_ACTIVE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_STATUS_0_CV_RINGFENCE_ACTIVE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_DBB_RINGFENCE_STATUS_0_CV_RINGFENCE_ACTIVE_FENCE_ACTICE                      _MK_ENUM_CONST(1)
#define MC_DBB_RINGFENCE_STATUS_0_CV_RINGFENCE_ACTIVE_FENCE_INACTIVE                    _MK_ENUM_CONST(0)

#define MC_DBB_RINGFENCE_STATUS_0_IO_RINGFENCE_ACTIVE_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_DBB_RINGFENCE_STATUS_0_IO_RINGFENCE_ACTIVE_FIELD                     _MK_FIELD_CONST(0x1, MC_DBB_RINGFENCE_STATUS_0_IO_RINGFENCE_ACTIVE_SHIFT)
#define MC_DBB_RINGFENCE_STATUS_0_IO_RINGFENCE_ACTIVE_RANGE                     1:1
#define MC_DBB_RINGFENCE_STATUS_0_IO_RINGFENCE_ACTIVE_WOFFSET                   0x0
#define MC_DBB_RINGFENCE_STATUS_0_IO_RINGFENCE_ACTIVE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_STATUS_0_IO_RINGFENCE_ACTIVE_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_STATUS_0_IO_RINGFENCE_ACTIVE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_STATUS_0_IO_RINGFENCE_ACTIVE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_STATUS_0_IO_RINGFENCE_ACTIVE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_STATUS_0_IO_RINGFENCE_ACTIVE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_DBB_RINGFENCE_STATUS_0_IO_RINGFENCE_ACTIVE_FENCE_ACTICE                      _MK_ENUM_CONST(1)
#define MC_DBB_RINGFENCE_STATUS_0_IO_RINGFENCE_ACTIVE_FENCE_INACTIVE                    _MK_ENUM_CONST(0)

#define MC_DBB_RINGFENCE_STATUS_0_AON_RINGFENCE_ACTIVE_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_DBB_RINGFENCE_STATUS_0_AON_RINGFENCE_ACTIVE_FIELD                    _MK_FIELD_CONST(0x1, MC_DBB_RINGFENCE_STATUS_0_AON_RINGFENCE_ACTIVE_SHIFT)
#define MC_DBB_RINGFENCE_STATUS_0_AON_RINGFENCE_ACTIVE_RANGE                    2:2
#define MC_DBB_RINGFENCE_STATUS_0_AON_RINGFENCE_ACTIVE_WOFFSET                  0x0
#define MC_DBB_RINGFENCE_STATUS_0_AON_RINGFENCE_ACTIVE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_STATUS_0_AON_RINGFENCE_ACTIVE_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_STATUS_0_AON_RINGFENCE_ACTIVE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_STATUS_0_AON_RINGFENCE_ACTIVE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_STATUS_0_AON_RINGFENCE_ACTIVE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_DBB_RINGFENCE_STATUS_0_AON_RINGFENCE_ACTIVE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_DBB_RINGFENCE_STATUS_0_AON_RINGFENCE_ACTIVE_FENCE_ACTICE                     _MK_ENUM_CONST(1)
#define MC_DBB_RINGFENCE_STATUS_0_AON_RINGFENCE_ACTIVE_FENCE_INACTIVE                   _MK_ENUM_CONST(0)


// Register MC_CCITRX_ENABLE_CONFIG_0
#define MC_CCITRX_ENABLE_CONFIG_0                       _MK_ADDR_CONST(0xf3c)
#define MC_CCITRX_ENABLE_CONFIG_0_SECURE                        0x0
#define MC_CCITRX_ENABLE_CONFIG_0_DUAL                  0x0
#define MC_CCITRX_ENABLE_CONFIG_0_SCR                   0
#define MC_CCITRX_ENABLE_CONFIG_0_WORD_COUNT                    0x1
#define MC_CCITRX_ENABLE_CONFIG_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_CCITRX_ENABLE_CONFIG_0_RESET_MASK                    _MK_MASK_CONST(0x1)
#define MC_CCITRX_ENABLE_CONFIG_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CCITRX_ENABLE_CONFIG_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_CCITRX_ENABLE_CONFIG_0_READ_MASK                     _MK_MASK_CONST(0x1)
#define MC_CCITRX_ENABLE_CONFIG_0_WRITE_MASK                    _MK_MASK_CONST(0x1)
#define MC_CCITRX_ENABLE_CONFIG_0_CCITRX_SELECT_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_CCITRX_ENABLE_CONFIG_0_CCITRX_SELECT_FIELD                   _MK_FIELD_CONST(0x1, MC_CCITRX_ENABLE_CONFIG_0_CCITRX_SELECT_SHIFT)
#define MC_CCITRX_ENABLE_CONFIG_0_CCITRX_SELECT_RANGE                   0:0
#define MC_CCITRX_ENABLE_CONFIG_0_CCITRX_SELECT_WOFFSET                 0x0
#define MC_CCITRX_ENABLE_CONFIG_0_CCITRX_SELECT_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CCITRX_ENABLE_CONFIG_0_CCITRX_SELECT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CCITRX_ENABLE_CONFIG_0_CCITRX_SELECT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CCITRX_ENABLE_CONFIG_0_CCITRX_SELECT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_CCITRX_ENABLE_CONFIG_0_CCITRX_SELECT_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CCITRX_ENABLE_CONFIG_0_CCITRX_SELECT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CCITRX_ENABLE_CONFIG_0_CCITRX_SELECT_INIT_ENUM                       CCI0
#define MC_CCITRX_ENABLE_CONFIG_0_CCITRX_SELECT_CCI0                    _MK_ENUM_CONST(0)
#define MC_CCITRX_ENABLE_CONFIG_0_CCITRX_SELECT_CCI1                    _MK_ENUM_CONST(1)
#define MC_CCITRX_ENABLE_CONFIG_0_CCITRX_SELECT__PROD                   _MK_MASK_CONST(0x0)


// Register MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0                    _MK_ADDR_CONST(0xf40)
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_SECURE                     0x0
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_DUAL                       0x0
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_SCR                        0
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_WORD_COUNT                         0x1
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_RESET_VAL                  _MK_MASK_CONST(0x80)
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_RESET_MASK                         _MK_MASK_CONST(0xff)
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x80)
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_READ_MASK                  _MK_MASK_CONST(0xff)
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_WRITE_MASK                         _MK_MASK_CONST(0xff)
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_CCI_WR_LATENCY_ALLOWANCE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_CCI_WR_LATENCY_ALLOWANCE_FIELD                     _MK_FIELD_CONST(0xff, MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_CCI_WR_LATENCY_ALLOWANCE_SHIFT)
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_CCI_WR_LATENCY_ALLOWANCE_RANGE                     7:0
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_CCI_WR_LATENCY_ALLOWANCE_WOFFSET                   0x0
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_CCI_WR_LATENCY_ALLOWANCE_DEFAULT                   _MK_MASK_CONST(0x80)
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_CCI_WR_LATENCY_ALLOWANCE_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_CCI_WR_LATENCY_ALLOWANCE_SW_DEFAULT                        _MK_MASK_CONST(0x80)
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_CCI_WR_LATENCY_ALLOWANCE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_CCI_WR_LATENCY_ALLOWANCE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_CCI_WR_LATENCY_ALLOWANCE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0_CCI_WR_LATENCY_ALLOWANCE__PROD                     _MK_MASK_CONST(0x80)


// Register MC_EMEM_ARB_THROTTLE_CFG_0
#define MC_EMEM_ARB_THROTTLE_CFG_0                      _MK_ADDR_CONST(0xf44)
#define MC_EMEM_ARB_THROTTLE_CFG_0_SECURE                       0x0
#define MC_EMEM_ARB_THROTTLE_CFG_0_DUAL                         0x0
#define MC_EMEM_ARB_THROTTLE_CFG_0_SCR                  0
#define MC_EMEM_ARB_THROTTLE_CFG_0_WORD_COUNT                   0x1
#define MC_EMEM_ARB_THROTTLE_CFG_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_THROTTLE_CFG_0_RESET_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_THROTTLE_CFG_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_THROTTLE_CFG_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_THROTTLE_CFG_0_READ_MASK                    _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_THROTTLE_CFG_0_WRITE_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_THROTTLE_CFG_0_SEL_THROTTLE_FROM_HUB_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_EMEM_ARB_THROTTLE_CFG_0_SEL_THROTTLE_FROM_HUB_FIELD                  _MK_FIELD_CONST(0x1, MC_EMEM_ARB_THROTTLE_CFG_0_SEL_THROTTLE_FROM_HUB_SHIFT)
#define MC_EMEM_ARB_THROTTLE_CFG_0_SEL_THROTTLE_FROM_HUB_RANGE                  0:0
#define MC_EMEM_ARB_THROTTLE_CFG_0_SEL_THROTTLE_FROM_HUB_WOFFSET                        0x0
#define MC_EMEM_ARB_THROTTLE_CFG_0_SEL_THROTTLE_FROM_HUB_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_THROTTLE_CFG_0_SEL_THROTTLE_FROM_HUB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_THROTTLE_CFG_0_SEL_THROTTLE_FROM_HUB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_THROTTLE_CFG_0_SEL_THROTTLE_FROM_HUB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_EMEM_ARB_THROTTLE_CFG_0_SEL_THROTTLE_FROM_HUB_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_THROTTLE_CFG_0_SEL_THROTTLE_FROM_HUB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_EMEM_ARB_THROTTLE_CFG_0_SEL_THROTTLE_FROM_HUB_INIT_ENUM                      HUB0
#define MC_EMEM_ARB_THROTTLE_CFG_0_SEL_THROTTLE_FROM_HUB_HUB0                   _MK_ENUM_CONST(0)
#define MC_EMEM_ARB_THROTTLE_CFG_0_SEL_THROTTLE_FROM_HUB_HUB1                   _MK_ENUM_CONST(1)


// Register MC_MSS_SYSRAM_EC_FEATURE_0
#define MC_MSS_SYSRAM_EC_FEATURE_0                      _MK_ADDR_CONST(0x9000)
#define MC_MSS_SYSRAM_EC_FEATURE_0_SECURE                       0x0
#define MC_MSS_SYSRAM_EC_FEATURE_0_DUAL                         0x0
#define MC_MSS_SYSRAM_EC_FEATURE_0_SCR                  EC_SCR_0
#define MC_MSS_SYSRAM_EC_FEATURE_0_WORD_COUNT                   0x1
#define MC_MSS_SYSRAM_EC_FEATURE_0_RESET_VAL                    _MK_MASK_CONST(0xd0001)
#define MC_MSS_SYSRAM_EC_FEATURE_0_RESET_MASK                   _MK_MASK_CONST(0xffff003f)
#define MC_MSS_SYSRAM_EC_FEATURE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_FEATURE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_FEATURE_0_READ_MASK                    _MK_MASK_CONST(0xffff003f)
#define MC_MSS_SYSRAM_EC_FEATURE_0_WRITE_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_FIELD                        _MK_FIELD_CONST(0xffff, MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_SHIFT)
#define MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_RANGE                        31:16
#define MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_DEFAULT                      _MK_MASK_CONST(0xd)
#define MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_DEFAULT_MASK                 _MK_MASK_CONST(0xffff)
#define MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_SLICES_FIELD                 _MK_FIELD_CONST(0x3f, MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT)
#define MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_SLICES_RANGE                 5:0
#define MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_SLICES_WOFFSET                       0x0
#define MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT_MASK                  _MK_MASK_CONST(0x3f)
#define MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_SLICES_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_FEATURE_0_NUM_ERR_SLICES_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_MSS_SYSRAM_EC_SWRESET_0
#define MC_MSS_SYSRAM_EC_SWRESET_0                      _MK_ADDR_CONST(0x9004)
#define MC_MSS_SYSRAM_EC_SWRESET_0_SECURE                       0x0
#define MC_MSS_SYSRAM_EC_SWRESET_0_DUAL                         0x0
#define MC_MSS_SYSRAM_EC_SWRESET_0_SCR                  EC_SCR_0
#define MC_MSS_SYSRAM_EC_SWRESET_0_WORD_COUNT                   0x1
#define MC_MSS_SYSRAM_EC_SWRESET_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_SWRESET_0_RESET_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_SWRESET_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_SWRESET_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_SWRESET_0_READ_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_SWRESET_0_WRITE_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_SWRESET_0_SWRST_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MSS_SYSRAM_EC_SWRESET_0_SWRST_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_SWRESET_0_SWRST_SHIFT)
#define MC_MSS_SYSRAM_EC_SWRESET_0_SWRST_RANGE                  0:0
#define MC_MSS_SYSRAM_EC_SWRESET_0_SWRST_WOFFSET                        0x0
#define MC_MSS_SYSRAM_EC_SWRESET_0_SWRST_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_SWRESET_0_SWRST_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_SWRESET_0_SWRST_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_SWRESET_0_SWRST_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_SWRESET_0_SWRST_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_SWRESET_0_SWRST_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0
#define MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0                      _MK_ADDR_CONST(0x9008)
#define MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0_SECURE                       0x0
#define MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0_DUAL                         0x0
#define MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0_SCR                  EC_SCR_0
#define MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0_WORD_COUNT                   0x1
#define MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0_RESET_VAL                    _MK_MASK_CONST(0x5)
#define MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0_RESET_MASK                   _MK_MASK_CONST(0x3f)
#define MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0_READ_MASK                    _MK_MASK_CONST(0x3f)
#define MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0_WRITE_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0_CODE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0_CODE_FIELD                   _MK_FIELD_CONST(0x3f, MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0_CODE_SHIFT)
#define MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0_CODE_RANGE                   5:0
#define MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0_CODE_WOFFSET                 0x0
#define MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0_CODE_DEFAULT                 _MK_MASK_CONST(0x5)
#define MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0_CODE_DEFAULT_MASK                    _MK_MASK_CONST(0x3f)
#define MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0_CODE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0_CODE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0
#define MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0                        _MK_ADDR_CONST(0x900c)
#define MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0_SECURE                         0x0
#define MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0_DUAL                   0x0
#define MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0_SCR                    EC_SCR_0
#define MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0_WORD_COUNT                     0x1
#define MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0_RESET_MASK                     _MK_MASK_CONST(0x1ff)
#define MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0_READ_MASK                      _MK_MASK_CONST(0x1ff)
#define MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0_VALUE_FIELD                    _MK_FIELD_CONST(0x1ff, MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT)
#define MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0_VALUE_RANGE                    8:0
#define MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0_VALUE_WOFFSET                  0x0
#define MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT_MASK                     _MK_MASK_CONST(0x1ff)
#define MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0_VALUE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0_VALUE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0                 _MK_ADDR_CONST(0x9010)
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_SECURE                  0x0
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_DUAL                    0x0
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_SCR                     EC_SCR_0
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_WORD_COUNT                      0x1
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_RESET_VAL                       _MK_MASK_CONST(0xdead0000)
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_VALUE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_VALUE_FIELD                     _MK_FIELD_CONST(0xffffffff, MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_VALUE_SHIFT)
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_VALUE_RANGE                     31:0
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_VALUE_WOFFSET                   0x0
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_VALUE_DEFAULT                   _MK_MASK_CONST(0xdead0000)
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_VALUE_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_VALUE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_VALUE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_VALUE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_VALUE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0_VALUE_INIT_ENUM                 -559087616


// Register MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0
#define MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0                     _MK_ADDR_CONST(0x9014)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0_SECURE                      0x0
#define MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0_DUAL                        0x0
#define MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0_SCR                         EC_SCR_0
#define MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0_WORD_COUNT                  0x1
#define MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0_RESET_MASK                  _MK_MASK_CONST(0xf)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0_READ_MASK                   _MK_MASK_CONST(0xf)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0_WRITE_MASK                  _MK_MASK_CONST(0xf)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0_IDX_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0_IDX_FIELD                   _MK_FIELD_CONST(0xf, MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0_IDX_SHIFT)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0_IDX_RANGE                   3:0
#define MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0_IDX_WOFFSET                 0x0
#define MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0_IDX_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0_IDX_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0_IDX_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0_IDX_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0
#define MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0                        _MK_ADDR_CONST(0x9018)
#define MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0_SECURE                         0x0
#define MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0_DUAL                   0x0
#define MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0_SCR                    EC_SCR_0
#define MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0_WORD_COUNT                     0x1
#define MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0_RESET_VAL                      _MK_MASK_CONST(0xff)
#define MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0_RESET_MASK                     _MK_MASK_CONST(0xff)
#define MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0_READ_MASK                      _MK_MASK_CONST(0xff)
#define MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0_WRITE_MASK                     _MK_MASK_CONST(0xff)
#define MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0_COUNT_FIELD                    _MK_FIELD_CONST(0xff, MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT)
#define MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0_COUNT_RANGE                    7:0
#define MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0_COUNT_WOFFSET                  0x0
#define MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT                  _MK_MASK_CONST(0xff)
#define MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0_COUNT_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0_COUNT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0                     _MK_ADDR_CONST(0x901c)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_SECURE                      0x0
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_DUAL                        0x0
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_SCR                         EC_SCR_0
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_WORD_COUNT                  0x1
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_MASK                  _MK_MASK_CONST(0xff)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_READ_MASK                   _MK_MASK_CONST(0xff)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_WRITE_MASK                  _MK_MASK_CONST(0xff)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_FIELD                 _MK_FIELD_CONST(0xff, MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_RANGE                 7:0
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_WOFFSET                       0x0
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_LOCK                  _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_UNLOCK                        _MK_ENUM_CONST(225)


// Reserved address 0x9020

// Reserved address 0x9024

// Reserved address 0x9028

// Reserved address 0x902c

// Register MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0                  _MK_ADDR_CONST(0x9030)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SECURE                   0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_DUAL                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SCR                      EC_SCR_0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WORD_COUNT                       0x1
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_VAL                        _MK_MASK_CONST(0x3fff)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_MASK                       _MK_MASK_CONST(0x3fff)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_READ_MASK                        _MK_MASK_CONST(0x3fff)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WRITE_MASK                       _MK_MASK_CONST(0x3fff)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_FIELD                      _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_RANGE                      13:13
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_WOFFSET                    0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_FIELD                      _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_RANGE                      12:12
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_WOFFSET                    0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SHIFT                      _MK_SHIFT_CONST(11)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_FIELD                      _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_RANGE                      11:11
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_WOFFSET                    0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SHIFT                      _MK_SHIFT_CONST(10)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_FIELD                      _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_RANGE                      10:10
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_WOFFSET                    0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SHIFT                       _MK_SHIFT_CONST(9)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_RANGE                       9:9
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_RANGE                       8:8
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_RANGE                       7:7
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SHIFT                       _MK_SHIFT_CONST(6)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_RANGE                       6:6
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_RANGE                       5:5
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_RANGE                       4:4
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_RANGE                       3:3
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT                       _MK_SHIFT_CONST(2)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_RANGE                       2:2
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_RANGE                       1:1
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_RANGE                       0:0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0                   _MK_ADDR_CONST(0x9034)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_SECURE                    0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_DUAL                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_SCR                       EC_SCR_0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_WORD_COUNT                        0x1
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_MASK                        _MK_MASK_CONST(0x3fff)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_READ_MASK                         _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_WRITE_MASK                        _MK_MASK_CONST(0x3fff)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_RANGE                       13:13
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_FORCE                       _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_RANGE                       12:12
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_FORCE                       _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_RANGE                       11:11
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_FORCE                       _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_RANGE                       10:10
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_FORCE                       _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_RANGE                        9:9
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_FORCE                        _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_RANGE                        8:8
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_FORCE                        _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_RANGE                        7:7
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_FORCE                        _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_RANGE                        6:6
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_FORCE                        _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_RANGE                        5:5
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FORCE                        _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_RANGE                        4:4
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FORCE                        _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_RANGE                        3:3
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FORCE                        _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_RANGE                        2:2
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FORCE                        _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_RANGE                        1:1
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FORCE                        _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_RANGE                        0:0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FORCE                        _MK_ENUM_CONST(1)


// Register MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0                  _MK_ADDR_CONST(0x9038)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_SECURE                   0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_DUAL                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_SCR                      EC_SCR_0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_WORD_COUNT                       0x1
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_MASK                       _MK_MASK_CONST(0x3fff)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_READ_MASK                        _MK_MASK_CONST(0x3fff)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_WRITE_MASK                       _MK_MASK_CONST(0x3fff)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_FIELD                      _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_RANGE                      13:13
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_WOFFSET                    0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_FIELD                      _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_RANGE                      12:12
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_WOFFSET                    0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SHIFT                      _MK_SHIFT_CONST(11)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_FIELD                      _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_RANGE                      11:11
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_WOFFSET                    0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SHIFT                      _MK_SHIFT_CONST(10)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_FIELD                      _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_RANGE                      10:10
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_WOFFSET                    0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SHIFT                       _MK_SHIFT_CONST(9)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_RANGE                       9:9
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_RANGE                       8:8
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_RANGE                       7:7
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SHIFT                       _MK_SHIFT_CONST(6)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_RANGE                       6:6
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_RANGE                       5:5
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_RANGE                       4:4
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_RANGE                       3:3
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT                       _MK_SHIFT_CONST(2)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_RANGE                       2:2
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_RANGE                       1:1
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_RANGE                       0:0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0                  _MK_ADDR_CONST(0x903c)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_SECURE                   0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_DUAL                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_SCR                      EC_SCR_0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_WORD_COUNT                       0x1
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_MASK                       _MK_MASK_CONST(0x3c19)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_READ_MASK                        _MK_MASK_CONST(0x3c19)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_WRITE_MASK                       _MK_MASK_CONST(0x3c19)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_FIELD                      _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_RANGE                      13:13
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_WOFFSET                    0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_FIELD                      _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_RANGE                      12:12
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_WOFFSET                    0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SHIFT                      _MK_SHIFT_CONST(11)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_FIELD                      _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_RANGE                      11:11
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_WOFFSET                    0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SHIFT                      _MK_SHIFT_CONST(10)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_FIELD                      _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_RANGE                      10:10
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_WOFFSET                    0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_DISABLE                    _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_ENABLE                     _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_RANGE                       4:4
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_RANGE                       3:3
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_RANGE                       0:0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0                   _MK_ADDR_CONST(0x9040)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_SECURE                    0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_DUAL                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_SCR                       EC_SCR_0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_WORD_COUNT                        0x1
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_VAL                         _MK_MASK_CONST(0x3fff)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_MASK                        _MK_MASK_CONST(0x3fff)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_READ_MASK                         _MK_MASK_CONST(0x3fff)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_WRITE_MASK                        _MK_MASK_CONST(0x3fff)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_RANGE                       13:13
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_RANGE                       12:12
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_RANGE                       11:11
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_RANGE                       10:10
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_RANGE                        9:9
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_RANGE                        8:8
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_RANGE                        7:7
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_RANGE                        6:6
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_RANGE                        5:5
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_RANGE                        4:4
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_RANGE                        3:3
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_RANGE                        2:2
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_RANGE                        1:1
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_RANGE                        0:0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0                    _MK_ADDR_CONST(0x9044)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_SECURE                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_DUAL                       0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_SCR                        EC_SCR_0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_WORD_COUNT                         0x1
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_MASK                         _MK_MASK_CONST(0x3fff)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_READ_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_WRITE_MASK                         _MK_MASK_CONST(0x3fff)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_RANGE                        13:13
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_FORCE                        _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_RANGE                        12:12
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_FORCE                        _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_RANGE                        11:11
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_FORCE                        _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_RANGE                        10:10
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_FORCE                        _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_RANGE                 9:9
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_WOFFSET                       0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_FORCE                 _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_RANGE                 8:8
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_WOFFSET                       0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_FORCE                 _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_RANGE                 7:7
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_WOFFSET                       0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_FORCE                 _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_RANGE                 6:6
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_WOFFSET                       0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_FORCE                 _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_RANGE                 5:5
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_WOFFSET                       0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FORCE                 _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_RANGE                 4:4
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_WOFFSET                       0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FORCE                 _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_RANGE                 3:3
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_WOFFSET                       0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FORCE                 _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_RANGE                 2:2
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_WOFFSET                       0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FORCE                 _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_RANGE                 1:1
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_WOFFSET                       0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FORCE                 _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_RANGE                 0:0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_WOFFSET                       0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FORCE                 _MK_ENUM_CONST(1)


// Register MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0                   _MK_ADDR_CONST(0x9048)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_SECURE                    0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_DUAL                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_SCR                       EC_SCR_0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_WORD_COUNT                        0x1
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_MASK                        _MK_MASK_CONST(0x3fff)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_READ_MASK                         _MK_MASK_CONST(0x3fff)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_WRITE_MASK                        _MK_MASK_CONST(0x3fff)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_RANGE                       13:13
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_RANGE                       12:12
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_RANGE                       11:11
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_FIELD                       _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_RANGE                       10:10
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_WOFFSET                     0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_RANGE                        9:9
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_RANGE                        8:8
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_RANGE                        7:7
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_RANGE                        6:6
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_RANGE                        5:5
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_RANGE                        4:4
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_RANGE                        3:3
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_RANGE                        2:2
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_RANGE                        1:1
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_FIELD                        _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_RANGE                        0:0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_WOFFSET                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Reserved address 0x904c

// Register MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0                     _MK_ADDR_CONST(0x9050)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_SECURE                      0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_DUAL                        0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_SCR                         EC_SCR_0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_WORD_COUNT                  0x1
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_MASK                  _MK_MASK_CONST(0x3fff)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_READ_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_WRITE_MASK                  _MK_MASK_CONST(0x3fff)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_RANGE                 13:13
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_WOFFSET                       0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_NORELOAD                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_RELOAD                        _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_RANGE                 12:12
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_WOFFSET                       0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_NORELOAD                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_RELOAD                        _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_RANGE                 11:11
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_WOFFSET                       0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_NORELOAD                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_RELOAD                        _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_RANGE                 10:10
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_WOFFSET                       0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_NORELOAD                      _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_RELOAD                        _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_RANGE                  9:9
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_WOFFSET                        0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_RANGE                  8:8
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_WOFFSET                        0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_RANGE                  7:7
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_WOFFSET                        0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_RANGE                  6:6
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_WOFFSET                        0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RANGE                  5:5
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_WOFFSET                        0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RANGE                  4:4
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_WOFFSET                        0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RANGE                  3:3
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_WOFFSET                        0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RANGE                  2:2
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_WOFFSET                        0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RANGE                  1:1
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_WOFFSET                        0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RANGE                  0:0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_WOFFSET                        0x0
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RELOAD                 _MK_ENUM_CONST(1)


// Reserved address 0x9054

// Reserved address 0x9058

// Reserved address 0x905c

// Register MC_TCU_WRAP_EC_FEATURE_0
#define MC_TCU_WRAP_EC_FEATURE_0                        _MK_ADDR_CONST(0x9100)
#define MC_TCU_WRAP_EC_FEATURE_0_SECURE                         0x0
#define MC_TCU_WRAP_EC_FEATURE_0_DUAL                   0x0
#define MC_TCU_WRAP_EC_FEATURE_0_SCR                    EC_SCR_0
#define MC_TCU_WRAP_EC_FEATURE_0_WORD_COUNT                     0x1
#define MC_TCU_WRAP_EC_FEATURE_0_RESET_VAL                      _MK_MASK_CONST(0x320002)
#define MC_TCU_WRAP_EC_FEATURE_0_RESET_MASK                     _MK_MASK_CONST(0xffff003f)
#define MC_TCU_WRAP_EC_FEATURE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_FEATURE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_FEATURE_0_READ_MASK                      _MK_MASK_CONST(0xffff003f)
#define MC_TCU_WRAP_EC_FEATURE_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_FIELD                  _MK_FIELD_CONST(0xffff, MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_SHIFT)
#define MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_RANGE                  31:16
#define MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_DEFAULT                        _MK_MASK_CONST(0x32)
#define MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_DEFAULT_MASK                   _MK_MASK_CONST(0xffff)
#define MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_SLICES_FIELD                   _MK_FIELD_CONST(0x3f, MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT)
#define MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_SLICES_RANGE                   5:0
#define MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_SLICES_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT                 _MK_MASK_CONST(0x2)
#define MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT_MASK                    _MK_MASK_CONST(0x3f)
#define MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_SLICES_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_FEATURE_0_NUM_ERR_SLICES_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_TCU_WRAP_EC_SWRESET_0
#define MC_TCU_WRAP_EC_SWRESET_0                        _MK_ADDR_CONST(0x9104)
#define MC_TCU_WRAP_EC_SWRESET_0_SECURE                         0x0
#define MC_TCU_WRAP_EC_SWRESET_0_DUAL                   0x0
#define MC_TCU_WRAP_EC_SWRESET_0_SCR                    EC_SCR_0
#define MC_TCU_WRAP_EC_SWRESET_0_WORD_COUNT                     0x1
#define MC_TCU_WRAP_EC_SWRESET_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_SWRESET_0_RESET_MASK                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_SWRESET_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_SWRESET_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_SWRESET_0_READ_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_SWRESET_0_WRITE_MASK                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_SWRESET_0_SWRST_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_SWRESET_0_SWRST_FIELD                    _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_SWRESET_0_SWRST_SHIFT)
#define MC_TCU_WRAP_EC_SWRESET_0_SWRST_RANGE                    0:0
#define MC_TCU_WRAP_EC_SWRESET_0_SWRST_WOFFSET                  0x0
#define MC_TCU_WRAP_EC_SWRESET_0_SWRST_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_SWRESET_0_SWRST_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_SWRESET_0_SWRST_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_SWRESET_0_SWRST_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_SWRESET_0_SWRST_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_SWRESET_0_SWRST_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_TCU_WRAP_EC_MISSIONERR_TYPE_0
#define MC_TCU_WRAP_EC_MISSIONERR_TYPE_0                        _MK_ADDR_CONST(0x9108)
#define MC_TCU_WRAP_EC_MISSIONERR_TYPE_0_SECURE                         0x0
#define MC_TCU_WRAP_EC_MISSIONERR_TYPE_0_DUAL                   0x0
#define MC_TCU_WRAP_EC_MISSIONERR_TYPE_0_SCR                    EC_SCR_0
#define MC_TCU_WRAP_EC_MISSIONERR_TYPE_0_WORD_COUNT                     0x1
#define MC_TCU_WRAP_EC_MISSIONERR_TYPE_0_RESET_VAL                      _MK_MASK_CONST(0x5)
#define MC_TCU_WRAP_EC_MISSIONERR_TYPE_0_RESET_MASK                     _MK_MASK_CONST(0x3f)
#define MC_TCU_WRAP_EC_MISSIONERR_TYPE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_TYPE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_TYPE_0_READ_MASK                      _MK_MASK_CONST(0x3f)
#define MC_TCU_WRAP_EC_MISSIONERR_TYPE_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_TYPE_0_CODE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_MISSIONERR_TYPE_0_CODE_FIELD                     _MK_FIELD_CONST(0x3f, MC_TCU_WRAP_EC_MISSIONERR_TYPE_0_CODE_SHIFT)
#define MC_TCU_WRAP_EC_MISSIONERR_TYPE_0_CODE_RANGE                     5:0
#define MC_TCU_WRAP_EC_MISSIONERR_TYPE_0_CODE_WOFFSET                   0x0
#define MC_TCU_WRAP_EC_MISSIONERR_TYPE_0_CODE_DEFAULT                   _MK_MASK_CONST(0x5)
#define MC_TCU_WRAP_EC_MISSIONERR_TYPE_0_CODE_DEFAULT_MASK                      _MK_MASK_CONST(0x3f)
#define MC_TCU_WRAP_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_TYPE_0_CODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_TYPE_0_CODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0
#define MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0                  _MK_ADDR_CONST(0x910c)
#define MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0_SECURE                   0x0
#define MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0_DUAL                     0x0
#define MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0_SCR                      EC_SCR_0
#define MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0_WORD_COUNT                       0x1
#define MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0_RESET_MASK                       _MK_MASK_CONST(0x1ff)
#define MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0_READ_MASK                        _MK_MASK_CONST(0x1ff)
#define MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0_VALUE_FIELD                      _MK_FIELD_CONST(0x1ff, MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT)
#define MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0_VALUE_RANGE                      8:0
#define MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0_VALUE_WOFFSET                    0x0
#define MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT_MASK                       _MK_MASK_CONST(0x1ff)
#define MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0_VALUE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0_VALUE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0                   _MK_ADDR_CONST(0x9110)
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_SECURE                    0x0
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_DUAL                      0x0
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_SCR                       EC_SCR_0
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_WORD_COUNT                        0x1
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_RESET_VAL                         _MK_MASK_CONST(0xdead0000)
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_VALUE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_VALUE_FIELD                       _MK_FIELD_CONST(0xffffffff, MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_VALUE_SHIFT)
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_VALUE_RANGE                       31:0
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_VALUE_WOFFSET                     0x0
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_VALUE_DEFAULT                     _MK_MASK_CONST(0xdead0000)
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_VALUE_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_VALUE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_VALUE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_VALUE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_VALUE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0_VALUE_INIT_ENUM                   -559087616


// Register MC_TCU_WRAP_EC_MISSIONERR_INDEX_0
#define MC_TCU_WRAP_EC_MISSIONERR_INDEX_0                       _MK_ADDR_CONST(0x9114)
#define MC_TCU_WRAP_EC_MISSIONERR_INDEX_0_SECURE                        0x0
#define MC_TCU_WRAP_EC_MISSIONERR_INDEX_0_DUAL                  0x0
#define MC_TCU_WRAP_EC_MISSIONERR_INDEX_0_SCR                   EC_SCR_0
#define MC_TCU_WRAP_EC_MISSIONERR_INDEX_0_WORD_COUNT                    0x1
#define MC_TCU_WRAP_EC_MISSIONERR_INDEX_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_INDEX_0_RESET_MASK                    _MK_MASK_CONST(0x3f)
#define MC_TCU_WRAP_EC_MISSIONERR_INDEX_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_INDEX_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_INDEX_0_READ_MASK                     _MK_MASK_CONST(0x3f)
#define MC_TCU_WRAP_EC_MISSIONERR_INDEX_0_WRITE_MASK                    _MK_MASK_CONST(0x3f)
#define MC_TCU_WRAP_EC_MISSIONERR_INDEX_0_IDX_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_MISSIONERR_INDEX_0_IDX_FIELD                     _MK_FIELD_CONST(0x3f, MC_TCU_WRAP_EC_MISSIONERR_INDEX_0_IDX_SHIFT)
#define MC_TCU_WRAP_EC_MISSIONERR_INDEX_0_IDX_RANGE                     5:0
#define MC_TCU_WRAP_EC_MISSIONERR_INDEX_0_IDX_WOFFSET                   0x0
#define MC_TCU_WRAP_EC_MISSIONERR_INDEX_0_IDX_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_INDEX_0_IDX_DEFAULT_MASK                      _MK_MASK_CONST(0x3f)
#define MC_TCU_WRAP_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_INDEX_0_IDX_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_MISSIONERR_INDEX_0_IDX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0
#define MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0                  _MK_ADDR_CONST(0x9118)
#define MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0_SECURE                   0x0
#define MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0_DUAL                     0x0
#define MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0_SCR                      EC_SCR_0
#define MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0_WORD_COUNT                       0x1
#define MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0_RESET_VAL                        _MK_MASK_CONST(0xff)
#define MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0_RESET_MASK                       _MK_MASK_CONST(0xff)
#define MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0_READ_MASK                        _MK_MASK_CONST(0xff)
#define MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0_WRITE_MASK                       _MK_MASK_CONST(0xff)
#define MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0_COUNT_FIELD                      _MK_FIELD_CONST(0xff, MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT)
#define MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0_COUNT_RANGE                      7:0
#define MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0_COUNT_WOFFSET                    0x0
#define MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT                    _MK_MASK_CONST(0xff)
#define MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0_COUNT_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0_COUNT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0                       _MK_ADDR_CONST(0x911c)
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_SECURE                        0x0
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_DUAL                  0x0
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_SCR                   EC_SCR_0
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_WORD_COUNT                    0x1
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_MASK                    _MK_MASK_CONST(0xff)
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_READ_MASK                     _MK_MASK_CONST(0xff)
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_WRITE_MASK                    _MK_MASK_CONST(0xff)
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_FIELD                   _MK_FIELD_CONST(0xff, MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT)
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_RANGE                   7:0
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_LOCK                    _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_UNLOCK                  _MK_ENUM_CONST(225)


// Reserved address 0x9120

// Reserved address 0x9124

// Reserved address 0x9128

// Reserved address 0x912c

// Register MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0                    _MK_ADDR_CONST(0x9130)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SECURE                     0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_DUAL                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SCR                        EC_SCR_0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WORD_COUNT                         0x1
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_VAL                  _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_RANGE                        31:31
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_SHIFT                        _MK_SHIFT_CONST(30)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_RANGE                        30:30
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_SHIFT                        _MK_SHIFT_CONST(29)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_RANGE                        29:29
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_SHIFT                        _MK_SHIFT_CONST(28)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_RANGE                        28:28
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_RANGE                        27:27
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_RANGE                        26:26
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_RANGE                        25:25
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_RANGE                        24:24
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_RANGE                        23:23
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_RANGE                        22:22
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_RANGE                        21:21
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_RANGE                        20:20
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SHIFT                        _MK_SHIFT_CONST(19)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_RANGE                        19:19
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_RANGE                        18:18
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_RANGE                        17:17
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_RANGE                        16:16
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SHIFT                        _MK_SHIFT_CONST(15)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_RANGE                        15:15
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_RANGE                        14:14
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_RANGE                        13:13
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_RANGE                        12:12
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_RANGE                        11:11
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_RANGE                        10:10
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_RANGE                 9:9
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_RANGE                 8:8
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_RANGE                 7:7
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_RANGE                 6:6
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_RANGE                 5:5
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_RANGE                 4:4
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_RANGE                 3:3
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_RANGE                 2:2
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_RANGE                 1:1
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_RANGE                 0:0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0                     _MK_ADDR_CONST(0x9134)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_SECURE                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_DUAL                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_SCR                         EC_SCR_0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_WORD_COUNT                  0x1
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_READ_MASK                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_RANGE                 31:31
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_RANGE                 30:30
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_RANGE                 29:29
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_RANGE                 28:28
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_RANGE                 27:27
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_RANGE                 26:26
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_RANGE                 25:25
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_RANGE                 24:24
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_SHIFT                 _MK_SHIFT_CONST(23)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_RANGE                 23:23
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_RANGE                 22:22
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_RANGE                 21:21
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_RANGE                 20:20
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SHIFT                 _MK_SHIFT_CONST(19)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_RANGE                 19:19
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_RANGE                 18:18
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_RANGE                 17:17
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_RANGE                 16:16
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_RANGE                 15:15
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_RANGE                 14:14
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_RANGE                 13:13
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_RANGE                 12:12
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_RANGE                 11:11
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_RANGE                 10:10
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_RANGE                  9:9
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_RANGE                  8:8
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_RANGE                  7:7
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_RANGE                  6:6
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_RANGE                  5:5
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_RANGE                  4:4
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_RANGE                  3:3
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_RANGE                  2:2
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_RANGE                  1:1
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_RANGE                  0:0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FORCE                  _MK_ENUM_CONST(1)


// Register MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0                    _MK_ADDR_CONST(0x9138)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_SECURE                     0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_DUAL                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_SCR                        EC_SCR_0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_WORD_COUNT                         0x1
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_RANGE                        31:31
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_SHIFT                        _MK_SHIFT_CONST(30)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_RANGE                        30:30
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_SHIFT                        _MK_SHIFT_CONST(29)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_RANGE                        29:29
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_SHIFT                        _MK_SHIFT_CONST(28)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_RANGE                        28:28
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_RANGE                        27:27
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_RANGE                        26:26
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_RANGE                        25:25
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_RANGE                        24:24
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_RANGE                        23:23
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_RANGE                        22:22
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_RANGE                        21:21
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_RANGE                        20:20
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SHIFT                        _MK_SHIFT_CONST(19)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_RANGE                        19:19
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_RANGE                        18:18
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_RANGE                        17:17
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_RANGE                        16:16
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SHIFT                        _MK_SHIFT_CONST(15)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_RANGE                        15:15
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_RANGE                        14:14
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_RANGE                        13:13
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_RANGE                        12:12
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_RANGE                        11:11
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_RANGE                        10:10
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_RANGE                 9:9
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_RANGE                 8:8
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_RANGE                 7:7
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_RANGE                 6:6
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_RANGE                 5:5
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_RANGE                 4:4
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_RANGE                 3:3
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_RANGE                 2:2
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_RANGE                 1:1
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_RANGE                 0:0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0                    _MK_ADDR_CONST(0x913c)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_SECURE                     0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_DUAL                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_SCR                        EC_SCR_0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_WORD_COUNT                         0x1
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_MASK                         _MK_MASK_CONST(0xffc2ffc3)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_READ_MASK                  _MK_MASK_CONST(0xffc2ffc3)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_WRITE_MASK                         _MK_MASK_CONST(0xffc2ffc3)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_RANGE                        31:31
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_SHIFT                        _MK_SHIFT_CONST(30)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_RANGE                        30:30
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_SHIFT                        _MK_SHIFT_CONST(29)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_RANGE                        29:29
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR28_SHIFT                        _MK_SHIFT_CONST(28)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR28_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR28_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR28_RANGE                        28:28
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR28_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR28_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR28_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR28_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR28_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR28_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR28_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR28_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR28_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR27_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR27_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR27_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR27_RANGE                        27:27
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR27_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR27_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR27_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR27_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR27_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR27_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR27_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR27_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR27_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR26_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR26_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR26_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR26_RANGE                        26:26
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR26_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR26_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR26_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR26_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR26_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR26_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR26_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR26_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR26_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_RANGE                        25:25
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_RANGE                        24:24
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_RANGE                        23:23
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_RANGE                        22:22
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_RANGE                        17:17
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_SHIFT                        _MK_SHIFT_CONST(15)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_RANGE                        15:15
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_RANGE                        14:14
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_RANGE                        13:13
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_RANGE                        12:12
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_RANGE                        11:11
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_RANGE                        10:10
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_RANGE                 9:9
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_RANGE                 8:8
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_RANGE                 7:7
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_RANGE                 6:6
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_RANGE                 1:1
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_RANGE                 0:0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0                     _MK_ADDR_CONST(0x9140)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_SECURE                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_DUAL                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_SCR                         EC_SCR_0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_WORD_COUNT                  0x1
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_VAL                   _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_RANGE                 31:31
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_RANGE                 30:30
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_RANGE                 29:29
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_RANGE                 28:28
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_RANGE                 27:27
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_RANGE                 26:26
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_RANGE                 25:25
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_RANGE                 24:24
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_SHIFT                 _MK_SHIFT_CONST(23)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_RANGE                 23:23
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_RANGE                 22:22
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_RANGE                 21:21
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_RANGE                 20:20
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SHIFT                 _MK_SHIFT_CONST(19)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_RANGE                 19:19
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_RANGE                 18:18
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_RANGE                 17:17
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_RANGE                 16:16
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_RANGE                 15:15
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_RANGE                 14:14
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_RANGE                 13:13
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_RANGE                 12:12
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_RANGE                 11:11
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_RANGE                 10:10
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_RANGE                  9:9
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_RANGE                  8:8
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_RANGE                  7:7
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_RANGE                  6:6
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_RANGE                  5:5
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_RANGE                  4:4
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_RANGE                  3:3
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_RANGE                  2:2
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_RANGE                  1:1
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_RANGE                  0:0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DISABLE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0                      _MK_ADDR_CONST(0x9144)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_SECURE                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_DUAL                         0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_SCR                  EC_SCR_0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_WORD_COUNT                   0x1
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_READ_MASK                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_RANGE                  31:31
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_RANGE                  30:30
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_RANGE                  29:29
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_RANGE                  28:28
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_RANGE                  27:27
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_RANGE                  26:26
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_RANGE                  25:25
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_RANGE                  24:24
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_RANGE                  23:23
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_RANGE                  22:22
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_RANGE                  21:21
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_RANGE                  20:20
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_RANGE                  19:19
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_RANGE                  18:18
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_RANGE                  17:17
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_RANGE                  16:16
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_RANGE                  15:15
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_RANGE                  14:14
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_RANGE                  13:13
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_RANGE                  12:12
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_RANGE                  11:11
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_RANGE                  10:10
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_RANGE                   9:9
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_FORCE                   _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_RANGE                   8:8
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_FORCE                   _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_RANGE                   7:7
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_FORCE                   _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_RANGE                   6:6
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_FORCE                   _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT                   _MK_SHIFT_CONST(5)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_RANGE                   5:5
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FORCE                   _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_RANGE                   4:4
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FORCE                   _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_RANGE                   3:3
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FORCE                   _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_RANGE                   2:2
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FORCE                   _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_RANGE                   1:1
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FORCE                   _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_RANGE                   0:0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FORCE                   _MK_ENUM_CONST(1)


// Register MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0                     _MK_ADDR_CONST(0x9148)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_SECURE                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_DUAL                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_SCR                         EC_SCR_0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_WORD_COUNT                  0x1
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_RANGE                 31:31
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_RANGE                 30:30
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_RANGE                 29:29
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_RANGE                 28:28
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_RANGE                 27:27
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_RANGE                 26:26
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_RANGE                 25:25
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_RANGE                 24:24
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_SHIFT                 _MK_SHIFT_CONST(23)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_RANGE                 23:23
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_RANGE                 22:22
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_RANGE                 21:21
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_RANGE                 20:20
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SHIFT                 _MK_SHIFT_CONST(19)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_RANGE                 19:19
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_RANGE                 18:18
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_RANGE                 17:17
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_RANGE                 16:16
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_RANGE                 15:15
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_RANGE                 14:14
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_RANGE                 13:13
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_RANGE                 12:12
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_RANGE                 11:11
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_RANGE                 10:10
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_RANGE                  9:9
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_RANGE                  8:8
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_RANGE                  7:7
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_RANGE                  6:6
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_RANGE                  5:5
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_RANGE                  4:4
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_RANGE                  3:3
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_RANGE                  2:2
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_RANGE                  1:1
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_RANGE                  0:0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Reserved address 0x914c

// Register MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0                       _MK_ADDR_CONST(0x9150)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_SECURE                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_DUAL                  0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_SCR                   EC_SCR_0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_WORD_COUNT                    0x1
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_READ_MASK                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_RANGE                   31:31
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_RANGE                   30:30
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_RANGE                   29:29
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_RANGE                   28:28
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_RANGE                   27:27
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_RANGE                   26:26
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_RANGE                   25:25
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_RANGE                   24:24
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_SHIFT                   _MK_SHIFT_CONST(23)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_RANGE                   23:23
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_RANGE                   22:22
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_RANGE                   21:21
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_RANGE                   20:20
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SHIFT                   _MK_SHIFT_CONST(19)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_RANGE                   19:19
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_RANGE                   18:18
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_RANGE                   17:17
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_RANGE                   16:16
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SHIFT                   _MK_SHIFT_CONST(15)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_RANGE                   15:15
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_RANGE                   14:14
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_RANGE                   13:13
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_RANGE                   12:12
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_RANGE                   11:11
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_RANGE                   10:10
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_FIELD                    _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_RANGE                    9:9
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_WOFFSET                  0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_RELOAD                   _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_FIELD                    _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_RANGE                    8:8
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_WOFFSET                  0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_RELOAD                   _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_FIELD                    _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_RANGE                    7:7
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_WOFFSET                  0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_RELOAD                   _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_FIELD                    _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_RANGE                    6:6
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_WOFFSET                  0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_RELOAD                   _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_FIELD                    _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RANGE                    5:5
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_WOFFSET                  0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RELOAD                   _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_FIELD                    _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RANGE                    4:4
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_WOFFSET                  0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RELOAD                   _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_FIELD                    _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RANGE                    3:3
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_WOFFSET                  0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RELOAD                   _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_FIELD                    _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RANGE                    2:2
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_WOFFSET                  0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RELOAD                   _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_FIELD                    _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RANGE                    1:1
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_WOFFSET                  0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RELOAD                   _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_FIELD                    _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RANGE                    0:0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_WOFFSET                  0x0
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RELOAD                   _MK_ENUM_CONST(1)


// Reserved address 0x9154

// Reserved address 0x9158

// Reserved address 0x915c

// Register MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0                    _MK_ADDR_CONST(0x9160)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_SECURE                     0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_DUAL                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_SCR                        EC_SCR_0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_WORD_COUNT                         0x1
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_RESET_VAL                  _MK_MASK_CONST(0x7ffff)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_RESET_MASK                         _MK_MASK_CONST(0x7ffff)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_READ_MASK                  _MK_MASK_CONST(0x7ffff)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_WRITE_MASK                         _MK_MASK_CONST(0x7ffff)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_RANGE                        18:18
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_RANGE                        17:17
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_RANGE                        16:16
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_SHIFT                        _MK_SHIFT_CONST(15)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_RANGE                        15:15
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_RANGE                        14:14
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_RANGE                        13:13
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_RANGE                        12:12
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_RANGE                        11:11
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_RANGE                        10:10
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_RANGE                        9:9
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_RANGE                        8:8
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_RANGE                        7:7
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_RANGE                        6:6
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_RANGE                        5:5
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_RANGE                        4:4
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_RANGE                        3:3
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_RANGE                        2:2
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_RANGE                        1:1
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_RANGE                        0:0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0                     _MK_ADDR_CONST(0x9164)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_SECURE                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_DUAL                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_SCR                         EC_SCR_0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_WORD_COUNT                  0x1
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_RESET_MASK                  _MK_MASK_CONST(0x7ffff)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_READ_MASK                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_WRITE_MASK                  _MK_MASK_CONST(0x7ffff)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_RANGE                 18:18
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_RANGE                 17:17
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_RANGE                 16:16
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_RANGE                 15:15
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_RANGE                 14:14
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_RANGE                 13:13
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_RANGE                 12:12
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_RANGE                 11:11
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_RANGE                 10:10
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_RANGE                 9:9
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_RANGE                 8:8
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_RANGE                 7:7
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_RANGE                 6:6
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_RANGE                 5:5
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_RANGE                 4:4
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_RANGE                 3:3
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_RANGE                 2:2
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_RANGE                 1:1
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_FORCE                 _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_RANGE                 0:0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_FORCE                 _MK_ENUM_CONST(1)


// Register MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0                    _MK_ADDR_CONST(0x9168)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_SECURE                     0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_DUAL                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_SCR                        EC_SCR_0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_WORD_COUNT                         0x1
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_RESET_MASK                         _MK_MASK_CONST(0x7ffff)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_READ_MASK                  _MK_MASK_CONST(0x7ffff)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_WRITE_MASK                         _MK_MASK_CONST(0x7ffff)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_RANGE                        18:18
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_RANGE                        17:17
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_RANGE                        16:16
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_SHIFT                        _MK_SHIFT_CONST(15)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_RANGE                        15:15
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_RANGE                        14:14
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_RANGE                        13:13
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_RANGE                        12:12
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_RANGE                        11:11
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_RANGE                        10:10
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_RANGE                        9:9
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_RANGE                        8:8
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_RANGE                        7:7
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_RANGE                        6:6
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_RANGE                        5:5
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_RANGE                        4:4
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_RANGE                        3:3
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_RANGE                        2:2
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_RANGE                        1:1
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_RANGE                        0:0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0                    _MK_ADDR_CONST(0x916c)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_SECURE                     0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_DUAL                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_SCR                        EC_SCR_0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_WORD_COUNT                         0x1
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_RESET_MASK                         _MK_MASK_CONST(0x6ffc2)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_READ_MASK                  _MK_MASK_CONST(0x6ffc2)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_WRITE_MASK                         _MK_MASK_CONST(0x6ffc2)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR50_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR50_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR50_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR50_RANGE                        18:18
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR50_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR50_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR50_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR50_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR50_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR50_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR50_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR50_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR50_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR49_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR49_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR49_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR49_RANGE                        17:17
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR49_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR49_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR49_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR49_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR49_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR49_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR49_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR49_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR49_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR47_SHIFT                        _MK_SHIFT_CONST(15)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR47_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR47_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR47_RANGE                        15:15
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR47_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR47_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR47_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR47_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR47_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR47_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR47_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR47_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR47_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR46_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR46_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR46_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR46_RANGE                        14:14
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR46_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR46_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR46_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR46_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR46_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR46_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR46_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR46_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR46_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR45_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR45_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR45_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR45_RANGE                        13:13
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR45_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR45_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR45_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR45_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR45_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR45_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR45_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR45_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR45_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR44_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR44_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR44_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR44_RANGE                        12:12
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR44_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR44_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR44_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR44_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR44_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR44_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR44_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR44_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR44_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR43_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR43_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR43_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR43_RANGE                        11:11
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR43_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR43_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR43_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR43_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR43_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR43_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR43_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR43_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR43_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_RANGE                        10:10
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR41_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR41_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR41_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR41_RANGE                        9:9
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR41_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR41_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR41_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR41_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR41_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR41_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR41_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR41_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR41_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR40_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR40_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR40_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR40_RANGE                        8:8
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR40_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR40_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR40_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR40_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR40_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR40_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR40_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR40_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR40_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_RANGE                        7:7
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_RANGE                        6:6
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_ENABLE                       _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_FIELD                        _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_RANGE                        1:1
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_WOFFSET                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_DISABLE                      _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0                     _MK_ADDR_CONST(0x9170)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_SECURE                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_DUAL                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_SCR                         EC_SCR_0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_WORD_COUNT                  0x1
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_RESET_VAL                   _MK_MASK_CONST(0x7ffff)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_RESET_MASK                  _MK_MASK_CONST(0x7ffff)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_READ_MASK                   _MK_MASK_CONST(0x7ffff)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_WRITE_MASK                  _MK_MASK_CONST(0x7ffff)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_RANGE                 18:18
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_RANGE                 17:17
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_RANGE                 16:16
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_RANGE                 15:15
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_RANGE                 14:14
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_RANGE                 13:13
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_RANGE                 12:12
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_RANGE                 11:11
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_RANGE                 10:10
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_RANGE                 9:9
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_RANGE                 8:8
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_RANGE                 7:7
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_RANGE                 6:6
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_RANGE                 5:5
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_RANGE                 4:4
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_RANGE                 3:3
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_RANGE                 2:2
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_RANGE                 1:1
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_ENABLE                        _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_RANGE                 0:0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_DISABLE                       _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0                      _MK_ADDR_CONST(0x9174)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_SECURE                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_DUAL                         0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_SCR                  EC_SCR_0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_WORD_COUNT                   0x1
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_RESET_MASK                   _MK_MASK_CONST(0x7ffff)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_READ_MASK                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_WRITE_MASK                   _MK_MASK_CONST(0x7ffff)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR50_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR50_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR50_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR50_RANGE                  18:18
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR50_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR50_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR50_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR50_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR50_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR50_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR50_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR50_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR50_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR49_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR49_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR49_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR49_RANGE                  17:17
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR49_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR49_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR49_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR49_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR49_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR49_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR49_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR49_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR49_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR48_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR48_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR48_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR48_RANGE                  16:16
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR48_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR48_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR48_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR48_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR48_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR48_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR48_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR48_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR48_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR47_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR47_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR47_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR47_RANGE                  15:15
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR47_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR47_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR47_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR47_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR47_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR47_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR47_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR47_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR47_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR46_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR46_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR46_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR46_RANGE                  14:14
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR46_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR46_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR46_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR46_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR46_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR46_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR46_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR46_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR46_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR45_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR45_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR45_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR45_RANGE                  13:13
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR45_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR45_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR45_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR45_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR45_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR45_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR45_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR45_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR45_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR44_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR44_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR44_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR44_RANGE                  12:12
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR44_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR44_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR44_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR44_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR44_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR44_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR44_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR44_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR44_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR43_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR43_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR43_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR43_RANGE                  11:11
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR43_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR43_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR43_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR43_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR43_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR43_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR43_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR43_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR43_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_RANGE                  10:10
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_RANGE                  9:9
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_RANGE                  8:8
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_RANGE                  7:7
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_RANGE                  6:6
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_RANGE                  5:5
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_RANGE                  4:4
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_RANGE                  3:3
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_RANGE                  2:2
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_RANGE                  1:1
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_FORCE                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_FIELD                  _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_RANGE                  0:0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_WOFFSET                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_FORCE                  _MK_ENUM_CONST(1)


// Register MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0                     _MK_ADDR_CONST(0x9178)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_SECURE                      0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_DUAL                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_SCR                         EC_SCR_0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_WORD_COUNT                  0x1
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_RESET_MASK                  _MK_MASK_CONST(0x7ffff)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_READ_MASK                   _MK_MASK_CONST(0x7ffff)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_WRITE_MASK                  _MK_MASK_CONST(0x7ffff)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR50_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR50_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR50_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR50_RANGE                 18:18
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR50_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR50_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR50_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR50_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR50_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR50_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR50_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR49_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR49_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR49_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR49_RANGE                 17:17
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR49_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR49_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR49_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR49_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR49_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR49_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR49_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR48_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR48_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR48_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR48_RANGE                 16:16
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR48_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR48_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR48_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR48_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR48_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR48_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR48_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR47_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR47_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR47_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR47_RANGE                 15:15
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR47_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR47_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR47_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR47_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR47_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR47_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR47_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR46_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR46_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR46_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR46_RANGE                 14:14
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR46_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR46_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR46_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR46_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR46_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR46_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR46_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR45_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR45_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR45_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR45_RANGE                 13:13
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR45_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR45_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR45_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR45_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR45_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR45_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR45_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR44_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR44_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR44_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR44_RANGE                 12:12
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR44_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR44_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR44_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR44_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR44_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR44_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR44_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR43_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR43_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR43_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR43_RANGE                 11:11
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR43_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR43_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR43_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR43_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR43_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR43_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR43_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_RANGE                 10:10
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_RANGE                 9:9
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_RANGE                 8:8
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_RANGE                 7:7
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_RANGE                 6:6
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_RANGE                 5:5
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_RANGE                 4:4
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_RANGE                 3:3
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_RANGE                 2:2
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_RANGE                 1:1
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_FIELD                 _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_RANGE                 0:0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_WOFFSET                       0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Reserved address 0x917c

// Register MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0                       _MK_ADDR_CONST(0x9180)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_SECURE                        0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_DUAL                  0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_SCR                   EC_SCR_0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_WORD_COUNT                    0x1
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_RESET_MASK                    _MK_MASK_CONST(0x7ffff)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_READ_MASK                     _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_WRITE_MASK                    _MK_MASK_CONST(0x7ffff)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR50_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR50_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR50_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR50_RANGE                   18:18
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR50_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR50_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR50_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR50_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR50_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR50_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR50_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR50_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR50_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR49_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR49_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR49_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR49_RANGE                   17:17
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR49_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR49_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR49_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR49_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR49_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR49_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR49_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR49_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR49_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR48_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR48_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR48_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR48_RANGE                   16:16
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR48_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR48_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR48_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR48_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR48_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR48_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR48_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR48_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR48_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR47_SHIFT                   _MK_SHIFT_CONST(15)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR47_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR47_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR47_RANGE                   15:15
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR47_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR47_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR47_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR47_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR47_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR47_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR47_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR47_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR47_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR46_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR46_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR46_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR46_RANGE                   14:14
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR46_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR46_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR46_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR46_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR46_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR46_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR46_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR46_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR46_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR45_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR45_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR45_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR45_RANGE                   13:13
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR45_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR45_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR45_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR45_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR45_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR45_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR45_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR45_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR45_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR44_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR44_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR44_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR44_RANGE                   12:12
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR44_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR44_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR44_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR44_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR44_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR44_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR44_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR44_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR44_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR43_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR43_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR43_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR43_RANGE                   11:11
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR43_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR43_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR43_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR43_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR43_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR43_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR43_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR43_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR43_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_RANGE                   10:10
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_RANGE                   9:9
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_RANGE                   8:8
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_RANGE                   7:7
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_RANGE                   6:6
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_SHIFT                   _MK_SHIFT_CONST(5)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_RANGE                   5:5
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_RANGE                   4:4
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_RANGE                   3:3
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_RANGE                   2:2
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_RANGE                   1:1
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_RELOAD                  _MK_ENUM_CONST(1)

#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_FIELD                   _MK_FIELD_CONST(0x1, MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_SHIFT)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_RANGE                   0:0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_WOFFSET                 0x0
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_RELOAD                  _MK_ENUM_CONST(1)


// Reserved address 0x9184

// Reserved address 0x9188

// Reserved address 0x918c

// Register MC_MSS_SBS_EC_FEATURE_0
#define MC_MSS_SBS_EC_FEATURE_0                 _MK_ADDR_CONST(0x9200)
#define MC_MSS_SBS_EC_FEATURE_0_SECURE                  0x0
#define MC_MSS_SBS_EC_FEATURE_0_DUAL                    0x0
#define MC_MSS_SBS_EC_FEATURE_0_SCR                     EC_SCR_0
#define MC_MSS_SBS_EC_FEATURE_0_WORD_COUNT                      0x1
#define MC_MSS_SBS_EC_FEATURE_0_RESET_VAL                       _MK_MASK_CONST(0xd0001)
#define MC_MSS_SBS_EC_FEATURE_0_RESET_MASK                      _MK_MASK_CONST(0xffff003f)
#define MC_MSS_SBS_EC_FEATURE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_FEATURE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_FEATURE_0_READ_MASK                       _MK_MASK_CONST(0xffff003f)
#define MC_MSS_SBS_EC_FEATURE_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_FIELD                   _MK_FIELD_CONST(0xffff, MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_SHIFT)
#define MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_RANGE                   31:16
#define MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_WOFFSET                 0x0
#define MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_DEFAULT                 _MK_MASK_CONST(0xd)
#define MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_DEFAULT_MASK                    _MK_MASK_CONST(0xffff)
#define MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_SLICES_FIELD                    _MK_FIELD_CONST(0x3f, MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT)
#define MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_SLICES_RANGE                    5:0
#define MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_SLICES_WOFFSET                  0x0
#define MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT_MASK                     _MK_MASK_CONST(0x3f)
#define MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_SLICES_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_FEATURE_0_NUM_ERR_SLICES_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MSS_SBS_EC_SWRESET_0
#define MC_MSS_SBS_EC_SWRESET_0                 _MK_ADDR_CONST(0x9204)
#define MC_MSS_SBS_EC_SWRESET_0_SECURE                  0x0
#define MC_MSS_SBS_EC_SWRESET_0_DUAL                    0x0
#define MC_MSS_SBS_EC_SWRESET_0_SCR                     EC_SCR_0
#define MC_MSS_SBS_EC_SWRESET_0_WORD_COUNT                      0x1
#define MC_MSS_SBS_EC_SWRESET_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_SWRESET_0_RESET_MASK                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_SWRESET_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_SWRESET_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_SWRESET_0_READ_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_SWRESET_0_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_SWRESET_0_SWRST_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_EC_SWRESET_0_SWRST_FIELD                     _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_SWRESET_0_SWRST_SHIFT)
#define MC_MSS_SBS_EC_SWRESET_0_SWRST_RANGE                     0:0
#define MC_MSS_SBS_EC_SWRESET_0_SWRST_WOFFSET                   0x0
#define MC_MSS_SBS_EC_SWRESET_0_SWRST_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_SWRESET_0_SWRST_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_SWRESET_0_SWRST_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_SWRESET_0_SWRST_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_SWRESET_0_SWRST_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_SWRESET_0_SWRST_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MSS_SBS_EC_MISSIONERR_TYPE_0
#define MC_MSS_SBS_EC_MISSIONERR_TYPE_0                 _MK_ADDR_CONST(0x9208)
#define MC_MSS_SBS_EC_MISSIONERR_TYPE_0_SECURE                  0x0
#define MC_MSS_SBS_EC_MISSIONERR_TYPE_0_DUAL                    0x0
#define MC_MSS_SBS_EC_MISSIONERR_TYPE_0_SCR                     EC_SCR_0
#define MC_MSS_SBS_EC_MISSIONERR_TYPE_0_WORD_COUNT                      0x1
#define MC_MSS_SBS_EC_MISSIONERR_TYPE_0_RESET_VAL                       _MK_MASK_CONST(0x5)
#define MC_MSS_SBS_EC_MISSIONERR_TYPE_0_RESET_MASK                      _MK_MASK_CONST(0x3f)
#define MC_MSS_SBS_EC_MISSIONERR_TYPE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_TYPE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_TYPE_0_READ_MASK                       _MK_MASK_CONST(0x3f)
#define MC_MSS_SBS_EC_MISSIONERR_TYPE_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_TYPE_0_CODE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_EC_MISSIONERR_TYPE_0_CODE_FIELD                      _MK_FIELD_CONST(0x3f, MC_MSS_SBS_EC_MISSIONERR_TYPE_0_CODE_SHIFT)
#define MC_MSS_SBS_EC_MISSIONERR_TYPE_0_CODE_RANGE                      5:0
#define MC_MSS_SBS_EC_MISSIONERR_TYPE_0_CODE_WOFFSET                    0x0
#define MC_MSS_SBS_EC_MISSIONERR_TYPE_0_CODE_DEFAULT                    _MK_MASK_CONST(0x5)
#define MC_MSS_SBS_EC_MISSIONERR_TYPE_0_CODE_DEFAULT_MASK                       _MK_MASK_CONST(0x3f)
#define MC_MSS_SBS_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_TYPE_0_CODE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_TYPE_0_CODE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0
#define MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0                   _MK_ADDR_CONST(0x920c)
#define MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0_SECURE                    0x0
#define MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0_DUAL                      0x0
#define MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0_SCR                       EC_SCR_0
#define MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0_WORD_COUNT                        0x1
#define MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0_RESET_MASK                        _MK_MASK_CONST(0x1ff)
#define MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0_READ_MASK                         _MK_MASK_CONST(0x1ff)
#define MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0_VALUE_FIELD                       _MK_FIELD_CONST(0x1ff, MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT)
#define MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0_VALUE_RANGE                       8:0
#define MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0_VALUE_WOFFSET                     0x0
#define MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT_MASK                        _MK_MASK_CONST(0x1ff)
#define MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0_VALUE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0_VALUE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0                    _MK_ADDR_CONST(0x9210)
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_SECURE                     0x0
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_DUAL                       0x0
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_SCR                        EC_SCR_0
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_WORD_COUNT                         0x1
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_RESET_VAL                  _MK_MASK_CONST(0xdead0000)
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_VALUE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_VALUE_FIELD                        _MK_FIELD_CONST(0xffffffff, MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_VALUE_SHIFT)
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_VALUE_RANGE                        31:0
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_VALUE_WOFFSET                      0x0
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_VALUE_DEFAULT                      _MK_MASK_CONST(0xdead0000)
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_VALUE_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_VALUE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_VALUE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_VALUE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_VALUE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0_VALUE_INIT_ENUM                    -559087616


// Register MC_MSS_SBS_EC_MISSIONERR_INDEX_0
#define MC_MSS_SBS_EC_MISSIONERR_INDEX_0                        _MK_ADDR_CONST(0x9214)
#define MC_MSS_SBS_EC_MISSIONERR_INDEX_0_SECURE                         0x0
#define MC_MSS_SBS_EC_MISSIONERR_INDEX_0_DUAL                   0x0
#define MC_MSS_SBS_EC_MISSIONERR_INDEX_0_SCR                    EC_SCR_0
#define MC_MSS_SBS_EC_MISSIONERR_INDEX_0_WORD_COUNT                     0x1
#define MC_MSS_SBS_EC_MISSIONERR_INDEX_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_INDEX_0_RESET_MASK                     _MK_MASK_CONST(0xf)
#define MC_MSS_SBS_EC_MISSIONERR_INDEX_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_INDEX_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_INDEX_0_READ_MASK                      _MK_MASK_CONST(0xf)
#define MC_MSS_SBS_EC_MISSIONERR_INDEX_0_WRITE_MASK                     _MK_MASK_CONST(0xf)
#define MC_MSS_SBS_EC_MISSIONERR_INDEX_0_IDX_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_EC_MISSIONERR_INDEX_0_IDX_FIELD                      _MK_FIELD_CONST(0xf, MC_MSS_SBS_EC_MISSIONERR_INDEX_0_IDX_SHIFT)
#define MC_MSS_SBS_EC_MISSIONERR_INDEX_0_IDX_RANGE                      3:0
#define MC_MSS_SBS_EC_MISSIONERR_INDEX_0_IDX_WOFFSET                    0x0
#define MC_MSS_SBS_EC_MISSIONERR_INDEX_0_IDX_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_INDEX_0_IDX_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define MC_MSS_SBS_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_INDEX_0_IDX_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_MISSIONERR_INDEX_0_IDX_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0
#define MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0                   _MK_ADDR_CONST(0x9218)
#define MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0_SECURE                    0x0
#define MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0_DUAL                      0x0
#define MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0_SCR                       EC_SCR_0
#define MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0_WORD_COUNT                        0x1
#define MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0_RESET_VAL                         _MK_MASK_CONST(0xff)
#define MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0_RESET_MASK                        _MK_MASK_CONST(0xff)
#define MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0_READ_MASK                         _MK_MASK_CONST(0xff)
#define MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0_WRITE_MASK                        _MK_MASK_CONST(0xff)
#define MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0_COUNT_FIELD                       _MK_FIELD_CONST(0xff, MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT)
#define MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0_COUNT_RANGE                       7:0
#define MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0_COUNT_WOFFSET                     0x0
#define MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT                     _MK_MASK_CONST(0xff)
#define MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0_COUNT_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0_COUNT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0                        _MK_ADDR_CONST(0x921c)
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_SECURE                         0x0
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_DUAL                   0x0
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_SCR                    EC_SCR_0
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_WORD_COUNT                     0x1
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_MASK                     _MK_MASK_CONST(0xff)
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_READ_MASK                      _MK_MASK_CONST(0xff)
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_WRITE_MASK                     _MK_MASK_CONST(0xff)
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_FIELD                    _MK_FIELD_CONST(0xff, MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT)
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_RANGE                    7:0
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_WOFFSET                  0x0
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_LOCK                     _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_UNLOCK                   _MK_ENUM_CONST(225)


// Reserved address 0x9220

// Reserved address 0x9224

// Reserved address 0x9228

// Reserved address 0x922c

// Register MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0                     _MK_ADDR_CONST(0x9230)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SECURE                      0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_DUAL                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SCR                         EC_SCR_0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WORD_COUNT                  0x1
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_VAL                   _MK_MASK_CONST(0x3fff)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_MASK                  _MK_MASK_CONST(0x3fff)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_READ_MASK                   _MK_MASK_CONST(0x3fff)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WRITE_MASK                  _MK_MASK_CONST(0x3fff)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_RANGE                 13:13
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_WOFFSET                       0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_RANGE                 12:12
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_WOFFSET                       0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_RANGE                 11:11
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_WOFFSET                       0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_RANGE                 10:10
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_WOFFSET                       0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_RANGE                  9:9
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_RANGE                  8:8
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_RANGE                  7:7
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_RANGE                  6:6
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_RANGE                  5:5
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_RANGE                  4:4
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_RANGE                  3:3
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_RANGE                  2:2
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_RANGE                  1:1
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_RANGE                  0:0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0                      _MK_ADDR_CONST(0x9234)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_SECURE                       0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_DUAL                         0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_SCR                  EC_SCR_0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_WORD_COUNT                   0x1
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_MASK                   _MK_MASK_CONST(0x3fff)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_READ_MASK                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_WRITE_MASK                   _MK_MASK_CONST(0x3fff)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_RANGE                  13:13
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_FORCE                  _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_RANGE                  12:12
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_FORCE                  _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_RANGE                  11:11
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_FORCE                  _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_RANGE                  10:10
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_FORCE                  _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_RANGE                   9:9
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_FORCE                   _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_RANGE                   8:8
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_FORCE                   _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_RANGE                   7:7
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_FORCE                   _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_RANGE                   6:6
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_FORCE                   _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT                   _MK_SHIFT_CONST(5)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_RANGE                   5:5
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FORCE                   _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_RANGE                   4:4
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FORCE                   _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_RANGE                   3:3
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FORCE                   _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_RANGE                   2:2
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FORCE                   _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_RANGE                   1:1
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FORCE                   _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_RANGE                   0:0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FORCE                   _MK_ENUM_CONST(1)


// Register MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0                     _MK_ADDR_CONST(0x9238)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_SECURE                      0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_DUAL                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_SCR                         EC_SCR_0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_WORD_COUNT                  0x1
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_MASK                  _MK_MASK_CONST(0x3fff)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_READ_MASK                   _MK_MASK_CONST(0x3fff)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_WRITE_MASK                  _MK_MASK_CONST(0x3fff)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_RANGE                 13:13
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_WOFFSET                       0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_RANGE                 12:12
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_WOFFSET                       0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_RANGE                 11:11
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_WOFFSET                       0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_RANGE                 10:10
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_WOFFSET                       0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_RANGE                  9:9
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_RANGE                  8:8
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_RANGE                  7:7
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_RANGE                  6:6
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_RANGE                  5:5
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_RANGE                  4:4
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_RANGE                  3:3
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_RANGE                  2:2
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_RANGE                  1:1
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_RANGE                  0:0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0                     _MK_ADDR_CONST(0x923c)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_SECURE                      0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_DUAL                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_SCR                         EC_SCR_0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_WORD_COUNT                  0x1
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_MASK                  _MK_MASK_CONST(0x303f)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_READ_MASK                   _MK_MASK_CONST(0x303f)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_WRITE_MASK                  _MK_MASK_CONST(0x303f)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_RANGE                 13:13
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_WOFFSET                       0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_FIELD                 _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_RANGE                 12:12
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_WOFFSET                       0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_RANGE                  5:5
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_RANGE                  4:4
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_RANGE                  3:3
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_RANGE                  2:2
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_RANGE                  1:1
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_RANGE                  0:0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0                      _MK_ADDR_CONST(0x9240)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_SECURE                       0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_DUAL                         0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_SCR                  EC_SCR_0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_WORD_COUNT                   0x1
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_VAL                    _MK_MASK_CONST(0x3fff)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_MASK                   _MK_MASK_CONST(0x3fff)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_READ_MASK                    _MK_MASK_CONST(0x3fff)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_WRITE_MASK                   _MK_MASK_CONST(0x3fff)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_RANGE                  13:13
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_RANGE                  12:12
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_RANGE                  11:11
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_RANGE                  10:10
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DISABLE                        _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_ENABLE                 _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_RANGE                   9:9
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DISABLE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_ENABLE                  _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_RANGE                   8:8
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DISABLE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_ENABLE                  _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_RANGE                   7:7
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DISABLE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_ENABLE                  _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_RANGE                   6:6
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DISABLE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_ENABLE                  _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT                   _MK_SHIFT_CONST(5)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_RANGE                   5:5
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DISABLE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_ENABLE                  _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_RANGE                   4:4
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DISABLE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_ENABLE                  _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_RANGE                   3:3
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DISABLE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_ENABLE                  _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_RANGE                   2:2
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DISABLE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_ENABLE                  _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_RANGE                   1:1
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_RANGE                   0:0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DISABLE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0                       _MK_ADDR_CONST(0x9244)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_SECURE                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_DUAL                  0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_SCR                   EC_SCR_0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_WORD_COUNT                    0x1
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_MASK                    _MK_MASK_CONST(0x3fff)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_READ_MASK                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_WRITE_MASK                    _MK_MASK_CONST(0x3fff)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_RANGE                   13:13
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_FORCE                   _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_RANGE                   12:12
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_FORCE                   _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_RANGE                   11:11
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_FORCE                   _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_RANGE                   10:10
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_FORCE                   _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_FIELD                    _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_RANGE                    9:9
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_WOFFSET                  0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_NOFORCE                  _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_FORCE                    _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_FIELD                    _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_RANGE                    8:8
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_WOFFSET                  0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_NOFORCE                  _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_FORCE                    _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_FIELD                    _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_RANGE                    7:7
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_WOFFSET                  0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_NOFORCE                  _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_FORCE                    _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_FIELD                    _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_RANGE                    6:6
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_WOFFSET                  0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_NOFORCE                  _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_FORCE                    _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FIELD                    _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_RANGE                    5:5
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_WOFFSET                  0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_NOFORCE                  _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FORCE                    _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FIELD                    _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_RANGE                    4:4
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_WOFFSET                  0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_NOFORCE                  _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FORCE                    _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FIELD                    _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_RANGE                    3:3
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_WOFFSET                  0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_NOFORCE                  _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FORCE                    _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FIELD                    _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_RANGE                    2:2
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_WOFFSET                  0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_NOFORCE                  _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FORCE                    _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FIELD                    _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_RANGE                    1:1
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_WOFFSET                  0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_NOFORCE                  _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FORCE                    _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FIELD                    _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_RANGE                    0:0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_WOFFSET                  0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_NOFORCE                  _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FORCE                    _MK_ENUM_CONST(1)


// Register MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0                      _MK_ADDR_CONST(0x9248)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_SECURE                       0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_DUAL                         0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_SCR                  EC_SCR_0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_WORD_COUNT                   0x1
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_MASK                   _MK_MASK_CONST(0x3fff)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_READ_MASK                    _MK_MASK_CONST(0x3fff)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_WRITE_MASK                   _MK_MASK_CONST(0x3fff)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_RANGE                  13:13
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_RANGE                  12:12
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_RANGE                  11:11
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_FIELD                  _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_RANGE                  10:10
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_WOFFSET                        0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_RANGE                   9:9
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_RANGE                   8:8
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_RANGE                   7:7
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_RANGE                   6:6
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT                   _MK_SHIFT_CONST(5)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_RANGE                   5:5
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_RANGE                   4:4
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_RANGE                   3:3
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_RANGE                   2:2
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_RANGE                   1:1
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_FIELD                   _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_RANGE                   0:0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_WOFFSET                 0x0
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Reserved address 0x924c

// Register MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0                        _MK_ADDR_CONST(0x9250)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_SECURE                         0x0
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_DUAL                   0x0
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_SCR                    EC_SCR_0
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_WORD_COUNT                     0x1
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_MASK                     _MK_MASK_CONST(0x3fff)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_READ_MASK                      _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_WRITE_MASK                     _MK_MASK_CONST(0x3fff)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_FIELD                    _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_RANGE                    13:13
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_WOFFSET                  0x0
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_RELOAD                   _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_FIELD                    _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_RANGE                    12:12
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_WOFFSET                  0x0
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_RELOAD                   _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_FIELD                    _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_RANGE                    11:11
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_WOFFSET                  0x0
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_RELOAD                   _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_FIELD                    _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_RANGE                    10:10
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_WOFFSET                  0x0
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_RELOAD                   _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SHIFT                     _MK_SHIFT_CONST(9)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_FIELD                     _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_RANGE                     9:9
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_WOFFSET                   0x0
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_NORELOAD                  _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_RELOAD                    _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_FIELD                     _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_RANGE                     8:8
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_WOFFSET                   0x0
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_NORELOAD                  _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_RELOAD                    _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SHIFT                     _MK_SHIFT_CONST(7)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_FIELD                     _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_RANGE                     7:7
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_WOFFSET                   0x0
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_NORELOAD                  _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_RELOAD                    _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_FIELD                     _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_RANGE                     6:6
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_WOFFSET                   0x0
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_NORELOAD                  _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_RELOAD                    _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_FIELD                     _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RANGE                     5:5
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_WOFFSET                   0x0
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_NORELOAD                  _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RELOAD                    _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_FIELD                     _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RANGE                     4:4
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_WOFFSET                   0x0
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_NORELOAD                  _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RELOAD                    _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_FIELD                     _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RANGE                     3:3
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_WOFFSET                   0x0
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_NORELOAD                  _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RELOAD                    _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_FIELD                     _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RANGE                     2:2
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_WOFFSET                   0x0
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_NORELOAD                  _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RELOAD                    _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_FIELD                     _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RANGE                     1:1
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_WOFFSET                   0x0
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_NORELOAD                  _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RELOAD                    _MK_ENUM_CONST(1)

#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_FIELD                     _MK_FIELD_CONST(0x1, MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RANGE                     0:0
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_WOFFSET                   0x0
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_NORELOAD                  _MK_ENUM_CONST(0)
#define MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RELOAD                    _MK_ENUM_CONST(1)


// Reserved address 0x9254

// Reserved address 0x9258

// Reserved address 0x925c

// Register MC_MCF_SLICE_EC_FEATURE_0
#define MC_MCF_SLICE_EC_FEATURE_0                       _MK_ADDR_CONST(0x9300)
#define MC_MCF_SLICE_EC_FEATURE_0_SECURE                        0x0
#define MC_MCF_SLICE_EC_FEATURE_0_DUAL                  0x0
#define MC_MCF_SLICE_EC_FEATURE_0_SCR                   EC_SCR_0
#define MC_MCF_SLICE_EC_FEATURE_0_WORD_COUNT                    0x1
#define MC_MCF_SLICE_EC_FEATURE_0_RESET_VAL                     _MK_MASK_CONST(0x160001)
#define MC_MCF_SLICE_EC_FEATURE_0_RESET_MASK                    _MK_MASK_CONST(0xffff003f)
#define MC_MCF_SLICE_EC_FEATURE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_FEATURE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_FEATURE_0_READ_MASK                     _MK_MASK_CONST(0xffff003f)
#define MC_MCF_SLICE_EC_FEATURE_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_FIELD                 _MK_FIELD_CONST(0xffff, MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_SHIFT)
#define MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_RANGE                 31:16
#define MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_DEFAULT                       _MK_MASK_CONST(0x16)
#define MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_DEFAULT_MASK                  _MK_MASK_CONST(0xffff)
#define MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_SLICES_FIELD                  _MK_FIELD_CONST(0x3f, MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT)
#define MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_SLICES_RANGE                  5:0
#define MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_SLICES_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_SLICES_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_FEATURE_0_NUM_ERR_SLICES_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_MCF_SLICE_EC_SWRESET_0
#define MC_MCF_SLICE_EC_SWRESET_0                       _MK_ADDR_CONST(0x9304)
#define MC_MCF_SLICE_EC_SWRESET_0_SECURE                        0x0
#define MC_MCF_SLICE_EC_SWRESET_0_DUAL                  0x0
#define MC_MCF_SLICE_EC_SWRESET_0_SCR                   EC_SCR_0
#define MC_MCF_SLICE_EC_SWRESET_0_WORD_COUNT                    0x1
#define MC_MCF_SLICE_EC_SWRESET_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_SWRESET_0_RESET_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_SWRESET_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_SWRESET_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_SWRESET_0_READ_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_SWRESET_0_WRITE_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_SWRESET_0_SWRST_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_EC_SWRESET_0_SWRST_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_SWRESET_0_SWRST_SHIFT)
#define MC_MCF_SLICE_EC_SWRESET_0_SWRST_RANGE                   0:0
#define MC_MCF_SLICE_EC_SWRESET_0_SWRST_WOFFSET                 0x0
#define MC_MCF_SLICE_EC_SWRESET_0_SWRST_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_SWRESET_0_SWRST_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_SWRESET_0_SWRST_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_SWRESET_0_SWRST_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_SWRESET_0_SWRST_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_SWRESET_0_SWRST_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_MCF_SLICE_EC_MISSIONERR_TYPE_0
#define MC_MCF_SLICE_EC_MISSIONERR_TYPE_0                       _MK_ADDR_CONST(0x9308)
#define MC_MCF_SLICE_EC_MISSIONERR_TYPE_0_SECURE                        0x0
#define MC_MCF_SLICE_EC_MISSIONERR_TYPE_0_DUAL                  0x0
#define MC_MCF_SLICE_EC_MISSIONERR_TYPE_0_SCR                   EC_SCR_0
#define MC_MCF_SLICE_EC_MISSIONERR_TYPE_0_WORD_COUNT                    0x1
#define MC_MCF_SLICE_EC_MISSIONERR_TYPE_0_RESET_VAL                     _MK_MASK_CONST(0x5)
#define MC_MCF_SLICE_EC_MISSIONERR_TYPE_0_RESET_MASK                    _MK_MASK_CONST(0x3f)
#define MC_MCF_SLICE_EC_MISSIONERR_TYPE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_TYPE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_TYPE_0_READ_MASK                     _MK_MASK_CONST(0x3f)
#define MC_MCF_SLICE_EC_MISSIONERR_TYPE_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_TYPE_0_CODE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_EC_MISSIONERR_TYPE_0_CODE_FIELD                    _MK_FIELD_CONST(0x3f, MC_MCF_SLICE_EC_MISSIONERR_TYPE_0_CODE_SHIFT)
#define MC_MCF_SLICE_EC_MISSIONERR_TYPE_0_CODE_RANGE                    5:0
#define MC_MCF_SLICE_EC_MISSIONERR_TYPE_0_CODE_WOFFSET                  0x0
#define MC_MCF_SLICE_EC_MISSIONERR_TYPE_0_CODE_DEFAULT                  _MK_MASK_CONST(0x5)
#define MC_MCF_SLICE_EC_MISSIONERR_TYPE_0_CODE_DEFAULT_MASK                     _MK_MASK_CONST(0x3f)
#define MC_MCF_SLICE_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_TYPE_0_CODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_TYPE_0_CODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0
#define MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0                 _MK_ADDR_CONST(0x930c)
#define MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0_SECURE                  0x0
#define MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0_DUAL                    0x0
#define MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0_SCR                     EC_SCR_0
#define MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0_WORD_COUNT                      0x1
#define MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0_RESET_MASK                      _MK_MASK_CONST(0x1ff)
#define MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0_READ_MASK                       _MK_MASK_CONST(0x1ff)
#define MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0_VALUE_FIELD                     _MK_FIELD_CONST(0x1ff, MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT)
#define MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0_VALUE_RANGE                     8:0
#define MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0_VALUE_WOFFSET                   0x0
#define MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT_MASK                      _MK_MASK_CONST(0x1ff)
#define MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0_VALUE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0_VALUE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0                  _MK_ADDR_CONST(0x9310)
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_SECURE                   0x0
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_DUAL                     0x0
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_SCR                      EC_SCR_0
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_WORD_COUNT                       0x1
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_RESET_VAL                        _MK_MASK_CONST(0xdead0000)
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_VALUE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_VALUE_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_VALUE_SHIFT)
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_VALUE_RANGE                      31:0
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_VALUE_WOFFSET                    0x0
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_VALUE_DEFAULT                    _MK_MASK_CONST(0xdead0000)
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_VALUE_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_VALUE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_VALUE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_VALUE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_VALUE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0_VALUE_INIT_ENUM                  -559087616


// Register MC_MCF_SLICE_EC_MISSIONERR_INDEX_0
#define MC_MCF_SLICE_EC_MISSIONERR_INDEX_0                      _MK_ADDR_CONST(0x9314)
#define MC_MCF_SLICE_EC_MISSIONERR_INDEX_0_SECURE                       0x0
#define MC_MCF_SLICE_EC_MISSIONERR_INDEX_0_DUAL                         0x0
#define MC_MCF_SLICE_EC_MISSIONERR_INDEX_0_SCR                  EC_SCR_0
#define MC_MCF_SLICE_EC_MISSIONERR_INDEX_0_WORD_COUNT                   0x1
#define MC_MCF_SLICE_EC_MISSIONERR_INDEX_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_INDEX_0_RESET_MASK                   _MK_MASK_CONST(0x1f)
#define MC_MCF_SLICE_EC_MISSIONERR_INDEX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_INDEX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_INDEX_0_READ_MASK                    _MK_MASK_CONST(0x1f)
#define MC_MCF_SLICE_EC_MISSIONERR_INDEX_0_WRITE_MASK                   _MK_MASK_CONST(0x1f)
#define MC_MCF_SLICE_EC_MISSIONERR_INDEX_0_IDX_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_EC_MISSIONERR_INDEX_0_IDX_FIELD                    _MK_FIELD_CONST(0x1f, MC_MCF_SLICE_EC_MISSIONERR_INDEX_0_IDX_SHIFT)
#define MC_MCF_SLICE_EC_MISSIONERR_INDEX_0_IDX_RANGE                    4:0
#define MC_MCF_SLICE_EC_MISSIONERR_INDEX_0_IDX_WOFFSET                  0x0
#define MC_MCF_SLICE_EC_MISSIONERR_INDEX_0_IDX_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_INDEX_0_IDX_DEFAULT_MASK                     _MK_MASK_CONST(0x1f)
#define MC_MCF_SLICE_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_INDEX_0_IDX_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_MISSIONERR_INDEX_0_IDX_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0
#define MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0                 _MK_ADDR_CONST(0x9318)
#define MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0_SECURE                  0x0
#define MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0_DUAL                    0x0
#define MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0_SCR                     EC_SCR_0
#define MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0_WORD_COUNT                      0x1
#define MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0_RESET_VAL                       _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0_COUNT_FIELD                     _MK_FIELD_CONST(0xff, MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT)
#define MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0_COUNT_RANGE                     7:0
#define MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0_COUNT_WOFFSET                   0x0
#define MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT                   _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0_COUNT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0_COUNT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0                      _MK_ADDR_CONST(0x931c)
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_SECURE                       0x0
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_DUAL                         0x0
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_SCR                  EC_SCR_0
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_WORD_COUNT                   0x1
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_READ_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_WRITE_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_FIELD                  _MK_FIELD_CONST(0xff, MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT)
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_RANGE                  7:0
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_LOCK                   _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_UNLOCK                 _MK_ENUM_CONST(225)


// Reserved address 0x9320

// Reserved address 0x9324

// Reserved address 0x9328

// Reserved address 0x932c

// Register MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0                   _MK_ADDR_CONST(0x9330)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SECURE                    0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_DUAL                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SCR                       EC_SCR_0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WORD_COUNT                        0x1
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_VAL                         _MK_MASK_CONST(0x7fffff)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_MASK                        _MK_MASK_CONST(0x7fffff)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_READ_MASK                         _MK_MASK_CONST(0x7fffff)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WRITE_MASK                        _MK_MASK_CONST(0x7fffff)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_RANGE                       22:22
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_RANGE                       21:21
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SHIFT                       _MK_SHIFT_CONST(20)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_RANGE                       20:20
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_RANGE                       19:19
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_RANGE                       18:18
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_RANGE                       17:17
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_RANGE                       16:16
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SHIFT                       _MK_SHIFT_CONST(15)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_RANGE                       15:15
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SHIFT                       _MK_SHIFT_CONST(14)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_RANGE                       14:14
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_RANGE                       13:13
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_RANGE                       12:12
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_RANGE                       11:11
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_RANGE                       10:10
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_RANGE                        9:9
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_RANGE                        8:8
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_RANGE                        7:7
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_RANGE                        6:6
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_RANGE                        5:5
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_RANGE                        4:4
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_RANGE                        3:3
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_RANGE                        2:2
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_RANGE                        1:1
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_RANGE                        0:0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0                    _MK_ADDR_CONST(0x9334)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_SECURE                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_DUAL                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_SCR                        EC_SCR_0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_WORD_COUNT                         0x1
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_MASK                         _MK_MASK_CONST(0x7fffff)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_READ_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_WRITE_MASK                         _MK_MASK_CONST(0x7fffff)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_RANGE                        22:22
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_RANGE                        21:21
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_RANGE                        20:20
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SHIFT                        _MK_SHIFT_CONST(19)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_RANGE                        19:19
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_RANGE                        18:18
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_RANGE                        17:17
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_RANGE                        16:16
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SHIFT                        _MK_SHIFT_CONST(15)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_RANGE                        15:15
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_RANGE                        14:14
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_RANGE                        13:13
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_RANGE                        12:12
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_RANGE                        11:11
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_RANGE                        10:10
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_RANGE                 9:9
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_RANGE                 8:8
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_RANGE                 7:7
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_RANGE                 6:6
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_RANGE                 5:5
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_RANGE                 4:4
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_RANGE                 3:3
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_RANGE                 2:2
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_RANGE                 1:1
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_RANGE                 0:0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FORCE                 _MK_ENUM_CONST(1)


// Register MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0                   _MK_ADDR_CONST(0x9338)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_SECURE                    0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_DUAL                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_SCR                       EC_SCR_0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_WORD_COUNT                        0x1
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_MASK                        _MK_MASK_CONST(0x7fffff)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_READ_MASK                         _MK_MASK_CONST(0x7fffff)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_WRITE_MASK                        _MK_MASK_CONST(0x7fffff)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_RANGE                       22:22
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_RANGE                       21:21
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SHIFT                       _MK_SHIFT_CONST(20)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_RANGE                       20:20
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_RANGE                       19:19
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_RANGE                       18:18
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_RANGE                       17:17
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_RANGE                       16:16
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SHIFT                       _MK_SHIFT_CONST(15)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_RANGE                       15:15
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SHIFT                       _MK_SHIFT_CONST(14)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_RANGE                       14:14
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_RANGE                       13:13
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_RANGE                       12:12
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_RANGE                       11:11
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_RANGE                       10:10
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_RANGE                        9:9
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_RANGE                        8:8
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_RANGE                        7:7
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_RANGE                        6:6
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_RANGE                        5:5
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_RANGE                        4:4
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_RANGE                        3:3
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_RANGE                        2:2
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_RANGE                        1:1
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_RANGE                        0:0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0                   _MK_ADDR_CONST(0x933c)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_SECURE                    0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_DUAL                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_SCR                       EC_SCR_0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_WORD_COUNT                        0x1
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_MASK                        _MK_MASK_CONST(0x6007ff)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_READ_MASK                         _MK_MASK_CONST(0x6007ff)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_WRITE_MASK                        _MK_MASK_CONST(0x6007ff)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_RANGE                       22:22
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR22_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_RANGE                       21:21
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_RANGE                       10:10
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_WOFFSET                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_RANGE                        9:9
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_RANGE                        8:8
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_RANGE                        7:7
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_RANGE                        6:6
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_RANGE                        5:5
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_RANGE                        4:4
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_RANGE                        3:3
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_RANGE                        2:2
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_RANGE                        1:1
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_RANGE                        0:0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0                    _MK_ADDR_CONST(0x9340)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_SECURE                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_DUAL                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_SCR                        EC_SCR_0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_WORD_COUNT                         0x1
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_VAL                  _MK_MASK_CONST(0x7fffff)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_MASK                         _MK_MASK_CONST(0x7fffff)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_READ_MASK                  _MK_MASK_CONST(0x7fffff)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_WRITE_MASK                         _MK_MASK_CONST(0x7fffff)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_RANGE                        22:22
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_RANGE                        21:21
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_RANGE                        20:20
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SHIFT                        _MK_SHIFT_CONST(19)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_RANGE                        19:19
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_RANGE                        18:18
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_RANGE                        17:17
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_RANGE                        16:16
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SHIFT                        _MK_SHIFT_CONST(15)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_RANGE                        15:15
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_RANGE                        14:14
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_RANGE                        13:13
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_RANGE                        12:12
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_RANGE                        11:11
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_RANGE                        10:10
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_RANGE                 9:9
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_RANGE                 8:8
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_RANGE                 7:7
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_RANGE                 6:6
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_RANGE                 5:5
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_RANGE                 4:4
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_RANGE                 3:3
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_RANGE                 2:2
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_RANGE                 1:1
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_RANGE                 0:0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0                     _MK_ADDR_CONST(0x9344)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_SECURE                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_DUAL                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_SCR                         EC_SCR_0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_WORD_COUNT                  0x1
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_MASK                  _MK_MASK_CONST(0x7fffff)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_READ_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_WRITE_MASK                  _MK_MASK_CONST(0x7fffff)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_RANGE                 22:22
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_RANGE                 21:21
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_RANGE                 20:20
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SHIFT                 _MK_SHIFT_CONST(19)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_RANGE                 19:19
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_RANGE                 18:18
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_RANGE                 17:17
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_RANGE                 16:16
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_RANGE                 15:15
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_RANGE                 14:14
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_RANGE                 13:13
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_RANGE                 12:12
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_RANGE                 11:11
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_RANGE                 10:10
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_RANGE                  9:9
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_RANGE                  8:8
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_RANGE                  7:7
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_RANGE                  6:6
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_RANGE                  5:5
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_RANGE                  4:4
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_RANGE                  3:3
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_RANGE                  2:2
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_RANGE                  1:1
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_RANGE                  0:0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FORCE                  _MK_ENUM_CONST(1)


// Register MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0                    _MK_ADDR_CONST(0x9348)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_SECURE                     0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_DUAL                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_SCR                        EC_SCR_0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_WORD_COUNT                         0x1
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_MASK                         _MK_MASK_CONST(0x7fffff)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_READ_MASK                  _MK_MASK_CONST(0x7fffff)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_WRITE_MASK                         _MK_MASK_CONST(0x7fffff)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_RANGE                        22:22
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_RANGE                        21:21
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_RANGE                        20:20
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SHIFT                        _MK_SHIFT_CONST(19)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_RANGE                        19:19
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_RANGE                        18:18
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_RANGE                        17:17
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_RANGE                        16:16
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SHIFT                        _MK_SHIFT_CONST(15)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_RANGE                        15:15
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_RANGE                        14:14
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_RANGE                        13:13
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_RANGE                        12:12
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_RANGE                        11:11
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_RANGE                        10:10
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_WOFFSET                      0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_RANGE                 9:9
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_RANGE                 8:8
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_RANGE                 7:7
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_RANGE                 6:6
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_RANGE                 5:5
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_RANGE                 4:4
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_RANGE                 3:3
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_RANGE                 2:2
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_RANGE                 1:1
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_RANGE                 0:0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_WOFFSET                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Reserved address 0x934c

// Register MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0                      _MK_ADDR_CONST(0x9350)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_SECURE                       0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_DUAL                         0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_SCR                  EC_SCR_0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_WORD_COUNT                   0x1
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_MASK                   _MK_MASK_CONST(0x7fffff)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_READ_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_WRITE_MASK                   _MK_MASK_CONST(0x7fffff)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_RANGE                  22:22
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_RANGE                  21:21
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_RANGE                  20:20
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_RANGE                  19:19
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_RANGE                  18:18
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_RANGE                  17:17
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_RANGE                  16:16
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_RANGE                  15:15
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_RANGE                  14:14
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_RANGE                  13:13
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_RANGE                  12:12
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_RANGE                  11:11
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_RANGE                  10:10
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_WOFFSET                        0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_RANGE                   9:9
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_WOFFSET                 0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_RANGE                   8:8
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_WOFFSET                 0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_RANGE                   7:7
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_WOFFSET                 0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_RANGE                   6:6
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_WOFFSET                 0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT                   _MK_SHIFT_CONST(5)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RANGE                   5:5
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_WOFFSET                 0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RANGE                   4:4
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_WOFFSET                 0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RANGE                   3:3
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_WOFFSET                 0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RANGE                   2:2
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_WOFFSET                 0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RANGE                   1:1
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_WOFFSET                 0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RANGE                   0:0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_WOFFSET                 0x0
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RELOAD                  _MK_ENUM_CONST(1)


// Reserved address 0x9354

// Reserved address 0x9358

// Reserved address 0x935c

// Register MC_MCF_IREQX_EC_FEATURE_0
#define MC_MCF_IREQX_EC_FEATURE_0                       _MK_ADDR_CONST(0x9400)
#define MC_MCF_IREQX_EC_FEATURE_0_SECURE                        0x0
#define MC_MCF_IREQX_EC_FEATURE_0_DUAL                  0x0
#define MC_MCF_IREQX_EC_FEATURE_0_SCR                   EC_SCR_0
#define MC_MCF_IREQX_EC_FEATURE_0_WORD_COUNT                    0x1
#define MC_MCF_IREQX_EC_FEATURE_0_RESET_VAL                     _MK_MASK_CONST(0x20001)
#define MC_MCF_IREQX_EC_FEATURE_0_RESET_MASK                    _MK_MASK_CONST(0xffff003f)
#define MC_MCF_IREQX_EC_FEATURE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_FEATURE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_FEATURE_0_READ_MASK                     _MK_MASK_CONST(0xffff003f)
#define MC_MCF_IREQX_EC_FEATURE_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_FIELD                 _MK_FIELD_CONST(0xffff, MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_SHIFT)
#define MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_RANGE                 31:16
#define MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_WOFFSET                       0x0
#define MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_DEFAULT                       _MK_MASK_CONST(0x2)
#define MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_DEFAULT_MASK                  _MK_MASK_CONST(0xffff)
#define MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_SLICES_FIELD                  _MK_FIELD_CONST(0x3f, MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT)
#define MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_SLICES_RANGE                  5:0
#define MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_SLICES_WOFFSET                        0x0
#define MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_SLICES_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_FEATURE_0_NUM_ERR_SLICES_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_EC_SWRESET_0
#define MC_MCF_IREQX_EC_SWRESET_0                       _MK_ADDR_CONST(0x9404)
#define MC_MCF_IREQX_EC_SWRESET_0_SECURE                        0x0
#define MC_MCF_IREQX_EC_SWRESET_0_DUAL                  0x0
#define MC_MCF_IREQX_EC_SWRESET_0_SCR                   EC_SCR_0
#define MC_MCF_IREQX_EC_SWRESET_0_WORD_COUNT                    0x1
#define MC_MCF_IREQX_EC_SWRESET_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_SWRESET_0_RESET_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_SWRESET_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_SWRESET_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_SWRESET_0_READ_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_SWRESET_0_WRITE_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_SWRESET_0_SWRST_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_EC_SWRESET_0_SWRST_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_SWRESET_0_SWRST_SHIFT)
#define MC_MCF_IREQX_EC_SWRESET_0_SWRST_RANGE                   0:0
#define MC_MCF_IREQX_EC_SWRESET_0_SWRST_WOFFSET                 0x0
#define MC_MCF_IREQX_EC_SWRESET_0_SWRST_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_SWRESET_0_SWRST_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_SWRESET_0_SWRST_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_SWRESET_0_SWRST_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_SWRESET_0_SWRST_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_SWRESET_0_SWRST_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_EC_MISSIONERR_TYPE_0
#define MC_MCF_IREQX_EC_MISSIONERR_TYPE_0                       _MK_ADDR_CONST(0x9408)
#define MC_MCF_IREQX_EC_MISSIONERR_TYPE_0_SECURE                        0x0
#define MC_MCF_IREQX_EC_MISSIONERR_TYPE_0_DUAL                  0x0
#define MC_MCF_IREQX_EC_MISSIONERR_TYPE_0_SCR                   EC_SCR_0
#define MC_MCF_IREQX_EC_MISSIONERR_TYPE_0_WORD_COUNT                    0x1
#define MC_MCF_IREQX_EC_MISSIONERR_TYPE_0_RESET_VAL                     _MK_MASK_CONST(0x5)
#define MC_MCF_IREQX_EC_MISSIONERR_TYPE_0_RESET_MASK                    _MK_MASK_CONST(0x3f)
#define MC_MCF_IREQX_EC_MISSIONERR_TYPE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_MISSIONERR_TYPE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_MISSIONERR_TYPE_0_READ_MASK                     _MK_MASK_CONST(0x3f)
#define MC_MCF_IREQX_EC_MISSIONERR_TYPE_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_MISSIONERR_TYPE_0_CODE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_EC_MISSIONERR_TYPE_0_CODE_FIELD                    _MK_FIELD_CONST(0x3f, MC_MCF_IREQX_EC_MISSIONERR_TYPE_0_CODE_SHIFT)
#define MC_MCF_IREQX_EC_MISSIONERR_TYPE_0_CODE_RANGE                    5:0
#define MC_MCF_IREQX_EC_MISSIONERR_TYPE_0_CODE_WOFFSET                  0x0
#define MC_MCF_IREQX_EC_MISSIONERR_TYPE_0_CODE_DEFAULT                  _MK_MASK_CONST(0x5)
#define MC_MCF_IREQX_EC_MISSIONERR_TYPE_0_CODE_DEFAULT_MASK                     _MK_MASK_CONST(0x3f)
#define MC_MCF_IREQX_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_MISSIONERR_TYPE_0_CODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_MISSIONERR_TYPE_0_CODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0
#define MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0                 _MK_ADDR_CONST(0x940c)
#define MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0_SECURE                  0x0
#define MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0_DUAL                    0x0
#define MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0_SCR                     EC_SCR_0
#define MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0_WORD_COUNT                      0x1
#define MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0_RESET_MASK                      _MK_MASK_CONST(0x1ff)
#define MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0_READ_MASK                       _MK_MASK_CONST(0x1ff)
#define MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_FIELD                     _MK_FIELD_CONST(0x1ff, MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT)
#define MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_RANGE                     8:0
#define MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_WOFFSET                   0x0
#define MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT_MASK                      _MK_MASK_CONST(0x1ff)
#define MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Reserved address 0x9410

// Register MC_MCF_IREQX_EC_MISSIONERR_INDEX_0
#define MC_MCF_IREQX_EC_MISSIONERR_INDEX_0                      _MK_ADDR_CONST(0x9414)
#define MC_MCF_IREQX_EC_MISSIONERR_INDEX_0_SECURE                       0x0
#define MC_MCF_IREQX_EC_MISSIONERR_INDEX_0_DUAL                         0x0
#define MC_MCF_IREQX_EC_MISSIONERR_INDEX_0_SCR                  EC_SCR_0
#define MC_MCF_IREQX_EC_MISSIONERR_INDEX_0_WORD_COUNT                   0x1
#define MC_MCF_IREQX_EC_MISSIONERR_INDEX_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_MISSIONERR_INDEX_0_RESET_MASK                   _MK_MASK_CONST(0x3)
#define MC_MCF_IREQX_EC_MISSIONERR_INDEX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_MISSIONERR_INDEX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_MISSIONERR_INDEX_0_READ_MASK                    _MK_MASK_CONST(0x3)
#define MC_MCF_IREQX_EC_MISSIONERR_INDEX_0_WRITE_MASK                   _MK_MASK_CONST(0x3)
#define MC_MCF_IREQX_EC_MISSIONERR_INDEX_0_IDX_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_EC_MISSIONERR_INDEX_0_IDX_FIELD                    _MK_FIELD_CONST(0x3, MC_MCF_IREQX_EC_MISSIONERR_INDEX_0_IDX_SHIFT)
#define MC_MCF_IREQX_EC_MISSIONERR_INDEX_0_IDX_RANGE                    1:0
#define MC_MCF_IREQX_EC_MISSIONERR_INDEX_0_IDX_WOFFSET                  0x0
#define MC_MCF_IREQX_EC_MISSIONERR_INDEX_0_IDX_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_MISSIONERR_INDEX_0_IDX_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_MCF_IREQX_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_MISSIONERR_INDEX_0_IDX_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_MISSIONERR_INDEX_0_IDX_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0
#define MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0                 _MK_ADDR_CONST(0x9418)
#define MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0_SECURE                  0x0
#define MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0_DUAL                    0x0
#define MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0_SCR                     EC_SCR_0
#define MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0_WORD_COUNT                      0x1
#define MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0_RESET_VAL                       _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_FIELD                     _MK_FIELD_CONST(0xff, MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT)
#define MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_RANGE                     7:0
#define MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_WOFFSET                   0x0
#define MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT                   _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0                      _MK_ADDR_CONST(0x941c)
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_SECURE                       0x0
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_DUAL                         0x0
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_SCR                  EC_SCR_0
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_WORD_COUNT                   0x1
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_READ_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_WRITE_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_FIELD                  _MK_FIELD_CONST(0xff, MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT)
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_RANGE                  7:0
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_WOFFSET                        0x0
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_LOCK                   _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_UNLOCK                 _MK_ENUM_CONST(225)


// Reserved address 0x9420

// Reserved address 0x9424

// Reserved address 0x9428

// Reserved address 0x942c

// Register MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0                   _MK_ADDR_CONST(0x9430)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SECURE                    0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_DUAL                      0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SCR                       EC_SCR_0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WORD_COUNT                        0x1
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_VAL                         _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_MASK                        _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_READ_MASK                         _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WRITE_MASK                        _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_RANGE                        2:2
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_WOFFSET                      0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_RANGE                        1:1
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_WOFFSET                      0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_RANGE                        0:0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_WOFFSET                      0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0                    _MK_ADDR_CONST(0x9434)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_SECURE                     0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_DUAL                       0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_SCR                        EC_SCR_0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_WORD_COUNT                         0x1
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_MASK                         _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_READ_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_WRITE_MASK                         _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_RANGE                 2:2
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_WOFFSET                       0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_RANGE                 1:1
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_WOFFSET                       0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_RANGE                 0:0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_WOFFSET                       0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FORCE                 _MK_ENUM_CONST(1)


// Register MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0                   _MK_ADDR_CONST(0x9438)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_SECURE                    0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_DUAL                      0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_SCR                       EC_SCR_0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_WORD_COUNT                        0x1
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_MASK                        _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_READ_MASK                         _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_WRITE_MASK                        _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_RANGE                        2:2
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_WOFFSET                      0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_RANGE                        1:1
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_WOFFSET                      0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_RANGE                        0:0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_WOFFSET                      0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0                   _MK_ADDR_CONST(0x943c)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_SECURE                    0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_DUAL                      0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_SCR                       EC_SCR_0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_WORD_COUNT                        0x1
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_MASK                        _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_READ_MASK                         _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_WRITE_MASK                        _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_RANGE                        2:2
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_WOFFSET                      0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_RANGE                        1:1
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_WOFFSET                      0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_RANGE                        0:0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_WOFFSET                      0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0                    _MK_ADDR_CONST(0x9440)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_SECURE                     0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_DUAL                       0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_SCR                        EC_SCR_0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_WORD_COUNT                         0x1
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_VAL                  _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_MASK                         _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_READ_MASK                  _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_WRITE_MASK                         _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_RANGE                 2:2
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_WOFFSET                       0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_RANGE                 1:1
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_WOFFSET                       0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_RANGE                 0:0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_WOFFSET                       0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0                     _MK_ADDR_CONST(0x9444)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_SECURE                      0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_DUAL                        0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_SCR                         EC_SCR_0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_WORD_COUNT                  0x1
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_MASK                  _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_READ_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_WRITE_MASK                  _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_RANGE                  2:2
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_WOFFSET                        0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_RANGE                  1:1
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_WOFFSET                        0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_RANGE                  0:0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_WOFFSET                        0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FORCE                  _MK_ENUM_CONST(1)


// Register MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0                    _MK_ADDR_CONST(0x9448)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_SECURE                     0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_DUAL                       0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_SCR                        EC_SCR_0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_WORD_COUNT                         0x1
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_MASK                         _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_READ_MASK                  _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_WRITE_MASK                         _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_RANGE                 2:2
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_WOFFSET                       0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_RANGE                 1:1
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_WOFFSET                       0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_RANGE                 0:0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_WOFFSET                       0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Reserved address 0x944c

// Register MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0                      _MK_ADDR_CONST(0x9450)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_SECURE                       0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_DUAL                         0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_SCR                  EC_SCR_0
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_WORD_COUNT                   0x1
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_MASK                   _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_READ_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_WRITE_MASK                   _MK_MASK_CONST(0x7)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RANGE                   2:2
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_WOFFSET                 0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RANGE                   1:1
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_WOFFSET                 0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RANGE                   0:0
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_WOFFSET                 0x0
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RELOAD                  _MK_ENUM_CONST(1)


// Reserved address 0x9454

// Reserved address 0x9458

// Reserved address 0x945c

// Register MC_MCF_IRSPX_EC_FEATURE_0
#define MC_MCF_IRSPX_EC_FEATURE_0                       _MK_ADDR_CONST(0x9500)
#define MC_MCF_IRSPX_EC_FEATURE_0_SECURE                        0x0
#define MC_MCF_IRSPX_EC_FEATURE_0_DUAL                  0x0
#define MC_MCF_IRSPX_EC_FEATURE_0_SCR                   EC_SCR_0
#define MC_MCF_IRSPX_EC_FEATURE_0_WORD_COUNT                    0x1
#define MC_MCF_IRSPX_EC_FEATURE_0_RESET_VAL                     _MK_MASK_CONST(0x190001)
#define MC_MCF_IRSPX_EC_FEATURE_0_RESET_MASK                    _MK_MASK_CONST(0xffff003f)
#define MC_MCF_IRSPX_EC_FEATURE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_FEATURE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_FEATURE_0_READ_MASK                     _MK_MASK_CONST(0xffff003f)
#define MC_MCF_IRSPX_EC_FEATURE_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_FIELD                 _MK_FIELD_CONST(0xffff, MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_SHIFT)
#define MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_RANGE                 31:16
#define MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_DEFAULT                       _MK_MASK_CONST(0x19)
#define MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_DEFAULT_MASK                  _MK_MASK_CONST(0xffff)
#define MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_SLICES_FIELD                  _MK_FIELD_CONST(0x3f, MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT)
#define MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_SLICES_RANGE                  5:0
#define MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_SLICES_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_SLICES_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_FEATURE_0_NUM_ERR_SLICES_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_MCF_IRSPX_EC_SWRESET_0
#define MC_MCF_IRSPX_EC_SWRESET_0                       _MK_ADDR_CONST(0x9504)
#define MC_MCF_IRSPX_EC_SWRESET_0_SECURE                        0x0
#define MC_MCF_IRSPX_EC_SWRESET_0_DUAL                  0x0
#define MC_MCF_IRSPX_EC_SWRESET_0_SCR                   EC_SCR_0
#define MC_MCF_IRSPX_EC_SWRESET_0_WORD_COUNT                    0x1
#define MC_MCF_IRSPX_EC_SWRESET_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_SWRESET_0_RESET_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_SWRESET_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_SWRESET_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_SWRESET_0_READ_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_SWRESET_0_WRITE_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_SWRESET_0_SWRST_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MCF_IRSPX_EC_SWRESET_0_SWRST_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_SWRESET_0_SWRST_SHIFT)
#define MC_MCF_IRSPX_EC_SWRESET_0_SWRST_RANGE                   0:0
#define MC_MCF_IRSPX_EC_SWRESET_0_SWRST_WOFFSET                 0x0
#define MC_MCF_IRSPX_EC_SWRESET_0_SWRST_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_SWRESET_0_SWRST_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_SWRESET_0_SWRST_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_SWRESET_0_SWRST_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_SWRESET_0_SWRST_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_SWRESET_0_SWRST_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0
#define MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0                       _MK_ADDR_CONST(0x9508)
#define MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0_SECURE                        0x0
#define MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0_DUAL                  0x0
#define MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0_SCR                   EC_SCR_0
#define MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0_WORD_COUNT                    0x1
#define MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0_RESET_VAL                     _MK_MASK_CONST(0x5)
#define MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0_RESET_MASK                    _MK_MASK_CONST(0x3f)
#define MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0_READ_MASK                     _MK_MASK_CONST(0x3f)
#define MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0_CODE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0_CODE_FIELD                    _MK_FIELD_CONST(0x3f, MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0_CODE_SHIFT)
#define MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0_CODE_RANGE                    5:0
#define MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0_CODE_WOFFSET                  0x0
#define MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0_CODE_DEFAULT                  _MK_MASK_CONST(0x5)
#define MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0_CODE_DEFAULT_MASK                     _MK_MASK_CONST(0x3f)
#define MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0_CODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0_CODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0
#define MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0                 _MK_ADDR_CONST(0x950c)
#define MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0_SECURE                  0x0
#define MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0_DUAL                    0x0
#define MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0_SCR                     EC_SCR_0
#define MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0_WORD_COUNT                      0x1
#define MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0_RESET_MASK                      _MK_MASK_CONST(0x1ff)
#define MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0_READ_MASK                       _MK_MASK_CONST(0x1ff)
#define MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_FIELD                     _MK_FIELD_CONST(0x1ff, MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT)
#define MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_RANGE                     8:0
#define MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_WOFFSET                   0x0
#define MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT_MASK                      _MK_MASK_CONST(0x1ff)
#define MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0                  _MK_ADDR_CONST(0x9510)
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_SECURE                   0x0
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_DUAL                     0x0
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_SCR                      EC_SCR_0
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_WORD_COUNT                       0x1
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_RESET_VAL                        _MK_MASK_CONST(0xdead0000)
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_VALUE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_VALUE_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_VALUE_SHIFT)
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_VALUE_RANGE                      31:0
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_VALUE_WOFFSET                    0x0
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_VALUE_DEFAULT                    _MK_MASK_CONST(0xdead0000)
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_VALUE_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_VALUE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_VALUE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_VALUE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_VALUE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0_VALUE_INIT_ENUM                  -559087616


// Register MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0
#define MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0                      _MK_ADDR_CONST(0x9514)
#define MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0_SECURE                       0x0
#define MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0_DUAL                         0x0
#define MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0_SCR                  EC_SCR_0
#define MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0_WORD_COUNT                   0x1
#define MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0_RESET_MASK                   _MK_MASK_CONST(0x1f)
#define MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0_READ_MASK                    _MK_MASK_CONST(0x1f)
#define MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0_WRITE_MASK                   _MK_MASK_CONST(0x1f)
#define MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0_IDX_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0_IDX_FIELD                    _MK_FIELD_CONST(0x1f, MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0_IDX_SHIFT)
#define MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0_IDX_RANGE                    4:0
#define MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0_IDX_WOFFSET                  0x0
#define MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0_IDX_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0_IDX_DEFAULT_MASK                     _MK_MASK_CONST(0x1f)
#define MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0_IDX_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0_IDX_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0
#define MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0                 _MK_ADDR_CONST(0x9518)
#define MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0_SECURE                  0x0
#define MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0_DUAL                    0x0
#define MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0_SCR                     EC_SCR_0
#define MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0_WORD_COUNT                      0x1
#define MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0_RESET_VAL                       _MK_MASK_CONST(0xff)
#define MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_FIELD                     _MK_FIELD_CONST(0xff, MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT)
#define MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_RANGE                     7:0
#define MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_WOFFSET                   0x0
#define MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT                   _MK_MASK_CONST(0xff)
#define MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0                      _MK_ADDR_CONST(0x951c)
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_SECURE                       0x0
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_DUAL                         0x0
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_SCR                  EC_SCR_0
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_WORD_COUNT                   0x1
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_READ_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_WRITE_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_FIELD                  _MK_FIELD_CONST(0xff, MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT)
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_RANGE                  7:0
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_LOCK                   _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_UNLOCK                 _MK_ENUM_CONST(225)


// Reserved address 0x9520

// Reserved address 0x9524

// Reserved address 0x9528

// Reserved address 0x952c

// Register MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0                   _MK_ADDR_CONST(0x9530)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SECURE                    0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_DUAL                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SCR                       EC_SCR_0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WORD_COUNT                        0x1
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_VAL                         _MK_MASK_CONST(0x3ffffff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_MASK                        _MK_MASK_CONST(0x3ffffff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_READ_MASK                         _MK_MASK_CONST(0x3ffffff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WRITE_MASK                        _MK_MASK_CONST(0x3ffffff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_SHIFT                       _MK_SHIFT_CONST(25)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_RANGE                       25:25
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_RANGE                       24:24
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_RANGE                       23:23
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_RANGE                       22:22
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_RANGE                       21:21
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SHIFT                       _MK_SHIFT_CONST(20)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_RANGE                       20:20
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_RANGE                       19:19
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_RANGE                       18:18
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_RANGE                       17:17
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_RANGE                       16:16
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SHIFT                       _MK_SHIFT_CONST(15)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_RANGE                       15:15
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SHIFT                       _MK_SHIFT_CONST(14)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_RANGE                       14:14
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_RANGE                       13:13
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_RANGE                       12:12
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_RANGE                       11:11
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_RANGE                       10:10
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_RANGE                        9:9
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_RANGE                        8:8
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_RANGE                        7:7
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_RANGE                        6:6
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_RANGE                        5:5
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_RANGE                        4:4
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_RANGE                        3:3
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_RANGE                        2:2
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_RANGE                        1:1
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_RANGE                        0:0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0                    _MK_ADDR_CONST(0x9534)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_SECURE                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_DUAL                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_SCR                        EC_SCR_0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_WORD_COUNT                         0x1
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_MASK                         _MK_MASK_CONST(0x3ffffff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_READ_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_WRITE_MASK                         _MK_MASK_CONST(0x3ffffff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_RANGE                        25:25
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_RANGE                        24:24
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_RANGE                        23:23
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_RANGE                        22:22
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_RANGE                        21:21
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_RANGE                        20:20
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SHIFT                        _MK_SHIFT_CONST(19)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_RANGE                        19:19
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_RANGE                        18:18
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_RANGE                        17:17
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_RANGE                        16:16
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SHIFT                        _MK_SHIFT_CONST(15)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_RANGE                        15:15
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_RANGE                        14:14
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_RANGE                        13:13
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_RANGE                        12:12
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_RANGE                        11:11
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_RANGE                        10:10
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_RANGE                 9:9
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_RANGE                 8:8
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_RANGE                 7:7
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_RANGE                 6:6
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_RANGE                 5:5
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_RANGE                 4:4
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_RANGE                 3:3
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_RANGE                 2:2
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_RANGE                 1:1
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_RANGE                 0:0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FORCE                 _MK_ENUM_CONST(1)


// Register MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0                   _MK_ADDR_CONST(0x9538)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_SECURE                    0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_DUAL                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_SCR                       EC_SCR_0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_WORD_COUNT                        0x1
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_MASK                        _MK_MASK_CONST(0x3ffffff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_READ_MASK                         _MK_MASK_CONST(0x3ffffff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_WRITE_MASK                        _MK_MASK_CONST(0x3ffffff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_SHIFT                       _MK_SHIFT_CONST(25)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_RANGE                       25:25
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_RANGE                       24:24
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_RANGE                       23:23
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_RANGE                       22:22
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_RANGE                       21:21
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SHIFT                       _MK_SHIFT_CONST(20)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_RANGE                       20:20
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_RANGE                       19:19
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_RANGE                       18:18
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_RANGE                       17:17
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_RANGE                       16:16
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SHIFT                       _MK_SHIFT_CONST(15)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_RANGE                       15:15
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SHIFT                       _MK_SHIFT_CONST(14)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_RANGE                       14:14
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_RANGE                       13:13
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_RANGE                       12:12
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_RANGE                       11:11
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_RANGE                       10:10
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_RANGE                        9:9
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_RANGE                        8:8
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_RANGE                        7:7
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_RANGE                        6:6
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_RANGE                        5:5
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_RANGE                        4:4
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_RANGE                        3:3
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_RANGE                        2:2
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_RANGE                        1:1
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_RANGE                        0:0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0                   _MK_ADDR_CONST(0x953c)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_SECURE                    0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_DUAL                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_SCR                       EC_SCR_0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_WORD_COUNT                        0x1
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_MASK                        _MK_MASK_CONST(0x30003ff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_READ_MASK                         _MK_MASK_CONST(0x30003ff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_WRITE_MASK                        _MK_MASK_CONST(0x30003ff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_SHIFT                       _MK_SHIFT_CONST(25)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_RANGE                       25:25
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR25_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_RANGE                       24:24
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_WOFFSET                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_RANGE                        9:9
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_RANGE                        8:8
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_RANGE                        7:7
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_RANGE                        6:6
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_RANGE                        5:5
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_RANGE                        4:4
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_RANGE                        3:3
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_RANGE                        2:2
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_RANGE                        1:1
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_RANGE                        0:0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0                    _MK_ADDR_CONST(0x9540)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_SECURE                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_DUAL                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_SCR                        EC_SCR_0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_WORD_COUNT                         0x1
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_VAL                  _MK_MASK_CONST(0x3ffffff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_MASK                         _MK_MASK_CONST(0x3ffffff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_READ_MASK                  _MK_MASK_CONST(0x3ffffff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_WRITE_MASK                         _MK_MASK_CONST(0x3ffffff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_RANGE                        25:25
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_RANGE                        24:24
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_RANGE                        23:23
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_RANGE                        22:22
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_RANGE                        21:21
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_RANGE                        20:20
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SHIFT                        _MK_SHIFT_CONST(19)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_RANGE                        19:19
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_RANGE                        18:18
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_RANGE                        17:17
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_RANGE                        16:16
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SHIFT                        _MK_SHIFT_CONST(15)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_RANGE                        15:15
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_RANGE                        14:14
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_RANGE                        13:13
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_RANGE                        12:12
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_RANGE                        11:11
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_RANGE                        10:10
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_RANGE                 9:9
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_RANGE                 8:8
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_RANGE                 7:7
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_RANGE                 6:6
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_RANGE                 5:5
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_RANGE                 4:4
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_RANGE                 3:3
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_RANGE                 2:2
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_RANGE                 1:1
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_RANGE                 0:0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0                     _MK_ADDR_CONST(0x9544)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_SECURE                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_DUAL                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_SCR                         EC_SCR_0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_WORD_COUNT                  0x1
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_MASK                  _MK_MASK_CONST(0x3ffffff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_READ_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_WRITE_MASK                  _MK_MASK_CONST(0x3ffffff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_RANGE                 25:25
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_RANGE                 24:24
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_SHIFT                 _MK_SHIFT_CONST(23)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_RANGE                 23:23
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_RANGE                 22:22
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_RANGE                 21:21
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_RANGE                 20:20
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SHIFT                 _MK_SHIFT_CONST(19)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_RANGE                 19:19
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_RANGE                 18:18
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_RANGE                 17:17
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_RANGE                 16:16
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_RANGE                 15:15
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_RANGE                 14:14
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_RANGE                 13:13
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_RANGE                 12:12
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_RANGE                 11:11
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_RANGE                 10:10
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_RANGE                  9:9
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_RANGE                  8:8
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_RANGE                  7:7
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_RANGE                  6:6
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_RANGE                  5:5
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_RANGE                  4:4
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_RANGE                  3:3
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_RANGE                  2:2
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_RANGE                  1:1
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_RANGE                  0:0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FORCE                  _MK_ENUM_CONST(1)


// Register MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0                    _MK_ADDR_CONST(0x9548)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_SECURE                     0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_DUAL                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_SCR                        EC_SCR_0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_WORD_COUNT                         0x1
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_MASK                         _MK_MASK_CONST(0x3ffffff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_READ_MASK                  _MK_MASK_CONST(0x3ffffff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_WRITE_MASK                         _MK_MASK_CONST(0x3ffffff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_RANGE                        25:25
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_RANGE                        24:24
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_RANGE                        23:23
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_RANGE                        22:22
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_RANGE                        21:21
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_RANGE                        20:20
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SHIFT                        _MK_SHIFT_CONST(19)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_RANGE                        19:19
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_RANGE                        18:18
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_RANGE                        17:17
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_RANGE                        16:16
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SHIFT                        _MK_SHIFT_CONST(15)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_RANGE                        15:15
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_RANGE                        14:14
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_RANGE                        13:13
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_RANGE                        12:12
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_RANGE                        11:11
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_RANGE                        10:10
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_WOFFSET                      0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_RANGE                 9:9
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_RANGE                 8:8
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_RANGE                 7:7
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_RANGE                 6:6
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_RANGE                 5:5
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_RANGE                 4:4
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_RANGE                 3:3
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_RANGE                 2:2
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_RANGE                 1:1
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_RANGE                 0:0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_WOFFSET                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Reserved address 0x954c

// Register MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0                      _MK_ADDR_CONST(0x9550)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_SECURE                       0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_DUAL                         0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_SCR                  EC_SCR_0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_WORD_COUNT                   0x1
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_MASK                   _MK_MASK_CONST(0x3ffffff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_READ_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_WRITE_MASK                   _MK_MASK_CONST(0x3ffffff)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_RANGE                  25:25
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_RANGE                  24:24
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_RANGE                  23:23
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_RANGE                  22:22
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_RANGE                  21:21
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_RANGE                  20:20
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_RANGE                  19:19
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_RANGE                  18:18
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_RANGE                  17:17
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_RANGE                  16:16
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_RANGE                  15:15
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_RANGE                  14:14
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_RANGE                  13:13
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_RANGE                  12:12
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_RANGE                  11:11
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_RANGE                  10:10
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_WOFFSET                        0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_RANGE                   9:9
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_WOFFSET                 0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_RANGE                   8:8
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_WOFFSET                 0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_RANGE                   7:7
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_WOFFSET                 0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_RANGE                   6:6
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_WOFFSET                 0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT                   _MK_SHIFT_CONST(5)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RANGE                   5:5
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_WOFFSET                 0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RANGE                   4:4
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_WOFFSET                 0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RANGE                   3:3
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_WOFFSET                 0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RANGE                   2:2
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_WOFFSET                 0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RANGE                   1:1
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_WOFFSET                 0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RANGE                   0:0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_WOFFSET                 0x0
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RELOAD                  _MK_ENUM_CONST(1)


// Reserved address 0x9554

// Reserved address 0x9558

// Reserved address 0x955c

// Register MC_MCF_OREQX_EC_FEATURE_0
#define MC_MCF_OREQX_EC_FEATURE_0                       _MK_ADDR_CONST(0x9600)
#define MC_MCF_OREQX_EC_FEATURE_0_SECURE                        0x0
#define MC_MCF_OREQX_EC_FEATURE_0_DUAL                  0x0
#define MC_MCF_OREQX_EC_FEATURE_0_SCR                   EC_SCR_0
#define MC_MCF_OREQX_EC_FEATURE_0_WORD_COUNT                    0x1
#define MC_MCF_OREQX_EC_FEATURE_0_RESET_VAL                     _MK_MASK_CONST(0x2a0002)
#define MC_MCF_OREQX_EC_FEATURE_0_RESET_MASK                    _MK_MASK_CONST(0xffff003f)
#define MC_MCF_OREQX_EC_FEATURE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_FEATURE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_FEATURE_0_READ_MASK                     _MK_MASK_CONST(0xffff003f)
#define MC_MCF_OREQX_EC_FEATURE_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_FIELD                 _MK_FIELD_CONST(0xffff, MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_SHIFT)
#define MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_RANGE                 31:16
#define MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_DEFAULT                       _MK_MASK_CONST(0x2a)
#define MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_DEFAULT_MASK                  _MK_MASK_CONST(0xffff)
#define MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_SLICES_FIELD                  _MK_FIELD_CONST(0x3f, MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT)
#define MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_SLICES_RANGE                  5:0
#define MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_SLICES_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT                        _MK_MASK_CONST(0x2)
#define MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_SLICES_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_FEATURE_0_NUM_ERR_SLICES_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_EC_SWRESET_0
#define MC_MCF_OREQX_EC_SWRESET_0                       _MK_ADDR_CONST(0x9604)
#define MC_MCF_OREQX_EC_SWRESET_0_SECURE                        0x0
#define MC_MCF_OREQX_EC_SWRESET_0_DUAL                  0x0
#define MC_MCF_OREQX_EC_SWRESET_0_SCR                   EC_SCR_0
#define MC_MCF_OREQX_EC_SWRESET_0_WORD_COUNT                    0x1
#define MC_MCF_OREQX_EC_SWRESET_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_SWRESET_0_RESET_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_SWRESET_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_SWRESET_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_SWRESET_0_READ_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_SWRESET_0_WRITE_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_SWRESET_0_SWRST_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_SWRESET_0_SWRST_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_SWRESET_0_SWRST_SHIFT)
#define MC_MCF_OREQX_EC_SWRESET_0_SWRST_RANGE                   0:0
#define MC_MCF_OREQX_EC_SWRESET_0_SWRST_WOFFSET                 0x0
#define MC_MCF_OREQX_EC_SWRESET_0_SWRST_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_SWRESET_0_SWRST_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_SWRESET_0_SWRST_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_SWRESET_0_SWRST_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_SWRESET_0_SWRST_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_SWRESET_0_SWRST_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_EC_MISSIONERR_TYPE_0
#define MC_MCF_OREQX_EC_MISSIONERR_TYPE_0                       _MK_ADDR_CONST(0x9608)
#define MC_MCF_OREQX_EC_MISSIONERR_TYPE_0_SECURE                        0x0
#define MC_MCF_OREQX_EC_MISSIONERR_TYPE_0_DUAL                  0x0
#define MC_MCF_OREQX_EC_MISSIONERR_TYPE_0_SCR                   EC_SCR_0
#define MC_MCF_OREQX_EC_MISSIONERR_TYPE_0_WORD_COUNT                    0x1
#define MC_MCF_OREQX_EC_MISSIONERR_TYPE_0_RESET_VAL                     _MK_MASK_CONST(0x5)
#define MC_MCF_OREQX_EC_MISSIONERR_TYPE_0_RESET_MASK                    _MK_MASK_CONST(0x3f)
#define MC_MCF_OREQX_EC_MISSIONERR_TYPE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_TYPE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_TYPE_0_READ_MASK                     _MK_MASK_CONST(0x3f)
#define MC_MCF_OREQX_EC_MISSIONERR_TYPE_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_TYPE_0_CODE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_MISSIONERR_TYPE_0_CODE_FIELD                    _MK_FIELD_CONST(0x3f, MC_MCF_OREQX_EC_MISSIONERR_TYPE_0_CODE_SHIFT)
#define MC_MCF_OREQX_EC_MISSIONERR_TYPE_0_CODE_RANGE                    5:0
#define MC_MCF_OREQX_EC_MISSIONERR_TYPE_0_CODE_WOFFSET                  0x0
#define MC_MCF_OREQX_EC_MISSIONERR_TYPE_0_CODE_DEFAULT                  _MK_MASK_CONST(0x5)
#define MC_MCF_OREQX_EC_MISSIONERR_TYPE_0_CODE_DEFAULT_MASK                     _MK_MASK_CONST(0x3f)
#define MC_MCF_OREQX_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_TYPE_0_CODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_TYPE_0_CODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0
#define MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0                 _MK_ADDR_CONST(0x960c)
#define MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0_SECURE                  0x0
#define MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0_DUAL                    0x0
#define MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0_SCR                     EC_SCR_0
#define MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0_WORD_COUNT                      0x1
#define MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0_RESET_MASK                      _MK_MASK_CONST(0x1ff)
#define MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0_READ_MASK                       _MK_MASK_CONST(0x1ff)
#define MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_FIELD                     _MK_FIELD_CONST(0x1ff, MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT)
#define MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_RANGE                     8:0
#define MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_WOFFSET                   0x0
#define MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT_MASK                      _MK_MASK_CONST(0x1ff)
#define MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0_VALUE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0                  _MK_ADDR_CONST(0x9610)
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_SECURE                   0x0
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_DUAL                     0x0
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_SCR                      EC_SCR_0
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_WORD_COUNT                       0x1
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_RESET_VAL                        _MK_MASK_CONST(0xdead0000)
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_VALUE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_VALUE_FIELD                      _MK_FIELD_CONST(0xffffffff, MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_VALUE_SHIFT)
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_VALUE_RANGE                      31:0
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_VALUE_WOFFSET                    0x0
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_VALUE_DEFAULT                    _MK_MASK_CONST(0xdead0000)
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_VALUE_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_VALUE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_VALUE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_VALUE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_VALUE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0_VALUE_INIT_ENUM                  -559087616


// Register MC_MCF_OREQX_EC_MISSIONERR_INDEX_0
#define MC_MCF_OREQX_EC_MISSIONERR_INDEX_0                      _MK_ADDR_CONST(0x9614)
#define MC_MCF_OREQX_EC_MISSIONERR_INDEX_0_SECURE                       0x0
#define MC_MCF_OREQX_EC_MISSIONERR_INDEX_0_DUAL                         0x0
#define MC_MCF_OREQX_EC_MISSIONERR_INDEX_0_SCR                  EC_SCR_0
#define MC_MCF_OREQX_EC_MISSIONERR_INDEX_0_WORD_COUNT                   0x1
#define MC_MCF_OREQX_EC_MISSIONERR_INDEX_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_INDEX_0_RESET_MASK                   _MK_MASK_CONST(0x3f)
#define MC_MCF_OREQX_EC_MISSIONERR_INDEX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_INDEX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_INDEX_0_READ_MASK                    _MK_MASK_CONST(0x3f)
#define MC_MCF_OREQX_EC_MISSIONERR_INDEX_0_WRITE_MASK                   _MK_MASK_CONST(0x3f)
#define MC_MCF_OREQX_EC_MISSIONERR_INDEX_0_IDX_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_MISSIONERR_INDEX_0_IDX_FIELD                    _MK_FIELD_CONST(0x3f, MC_MCF_OREQX_EC_MISSIONERR_INDEX_0_IDX_SHIFT)
#define MC_MCF_OREQX_EC_MISSIONERR_INDEX_0_IDX_RANGE                    5:0
#define MC_MCF_OREQX_EC_MISSIONERR_INDEX_0_IDX_WOFFSET                  0x0
#define MC_MCF_OREQX_EC_MISSIONERR_INDEX_0_IDX_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_INDEX_0_IDX_DEFAULT_MASK                     _MK_MASK_CONST(0x3f)
#define MC_MCF_OREQX_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_INDEX_0_IDX_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_MISSIONERR_INDEX_0_IDX_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0
#define MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0                 _MK_ADDR_CONST(0x9618)
#define MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0_SECURE                  0x0
#define MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0_DUAL                    0x0
#define MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0_SCR                     EC_SCR_0
#define MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0_WORD_COUNT                      0x1
#define MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0_RESET_VAL                       _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_FIELD                     _MK_FIELD_CONST(0xff, MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT)
#define MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_RANGE                     7:0
#define MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_WOFFSET                   0x0
#define MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT                   _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0_COUNT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0                      _MK_ADDR_CONST(0x961c)
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_SECURE                       0x0
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_DUAL                         0x0
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_SCR                  EC_SCR_0
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_WORD_COUNT                   0x1
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_READ_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_WRITE_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_FIELD                  _MK_FIELD_CONST(0xff, MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT)
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_RANGE                  7:0
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_LOCK                   _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_UNLOCK                 _MK_ENUM_CONST(225)


// Reserved address 0x9620

// Reserved address 0x9624

// Reserved address 0x9628

// Reserved address 0x962c

// Register MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0                   _MK_ADDR_CONST(0x9630)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SECURE                    0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_DUAL                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SCR                       EC_SCR_0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WORD_COUNT                        0x1
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_VAL                         _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_RANGE                       31:31
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_SHIFT                       _MK_SHIFT_CONST(30)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_RANGE                       30:30
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_SHIFT                       _MK_SHIFT_CONST(29)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_RANGE                       29:29
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_RANGE                       28:28
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_RANGE                       27:27
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_RANGE                       26:26
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_SHIFT                       _MK_SHIFT_CONST(25)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_RANGE                       25:25
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_RANGE                       24:24
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_RANGE                       23:23
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_RANGE                       22:22
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_RANGE                       21:21
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SHIFT                       _MK_SHIFT_CONST(20)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_RANGE                       20:20
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_RANGE                       19:19
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_RANGE                       18:18
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_RANGE                       17:17
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_RANGE                       16:16
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SHIFT                       _MK_SHIFT_CONST(15)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_RANGE                       15:15
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SHIFT                       _MK_SHIFT_CONST(14)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_RANGE                       14:14
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_RANGE                       13:13
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_RANGE                       12:12
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_RANGE                       11:11
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_RANGE                       10:10
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_RANGE                        9:9
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_RANGE                        8:8
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_RANGE                        7:7
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_RANGE                        6:6
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_RANGE                        5:5
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_RANGE                        4:4
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_RANGE                        3:3
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_RANGE                        2:2
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_RANGE                        1:1
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_RANGE                        0:0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0                    _MK_ADDR_CONST(0x9634)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_SECURE                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_DUAL                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_SCR                        EC_SCR_0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_WORD_COUNT                         0x1
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_READ_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_RANGE                        31:31
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_SHIFT                        _MK_SHIFT_CONST(30)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_RANGE                        30:30
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_SHIFT                        _MK_SHIFT_CONST(29)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_RANGE                        29:29
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_SHIFT                        _MK_SHIFT_CONST(28)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_RANGE                        28:28
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_RANGE                        27:27
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_RANGE                        26:26
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_RANGE                        25:25
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_RANGE                        24:24
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_RANGE                        23:23
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_RANGE                        22:22
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_RANGE                        21:21
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_RANGE                        20:20
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SHIFT                        _MK_SHIFT_CONST(19)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_RANGE                        19:19
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_RANGE                        18:18
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_RANGE                        17:17
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_RANGE                        16:16
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SHIFT                        _MK_SHIFT_CONST(15)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_RANGE                        15:15
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_RANGE                        14:14
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_RANGE                        13:13
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_RANGE                        12:12
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_RANGE                        11:11
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_RANGE                        10:10
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_RANGE                 9:9
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_RANGE                 8:8
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_RANGE                 7:7
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_RANGE                 6:6
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_RANGE                 5:5
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_RANGE                 4:4
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_RANGE                 3:3
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_RANGE                 2:2
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_RANGE                 1:1
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_RANGE                 0:0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FORCE                 _MK_ENUM_CONST(1)


// Register MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0                   _MK_ADDR_CONST(0x9638)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_SECURE                    0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_DUAL                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_SCR                       EC_SCR_0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_WORD_COUNT                        0x1
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_RANGE                       31:31
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_SHIFT                       _MK_SHIFT_CONST(30)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_RANGE                       30:30
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_SHIFT                       _MK_SHIFT_CONST(29)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_RANGE                       29:29
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_SHIFT                       _MK_SHIFT_CONST(28)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_RANGE                       28:28
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_SHIFT                       _MK_SHIFT_CONST(27)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_RANGE                       27:27
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_SHIFT                       _MK_SHIFT_CONST(26)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_RANGE                       26:26
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_SHIFT                       _MK_SHIFT_CONST(25)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_RANGE                       25:25
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_SHIFT                       _MK_SHIFT_CONST(24)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_RANGE                       24:24
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_SHIFT                       _MK_SHIFT_CONST(23)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_RANGE                       23:23
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SHIFT                       _MK_SHIFT_CONST(22)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_RANGE                       22:22
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_RANGE                       21:21
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SHIFT                       _MK_SHIFT_CONST(20)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_RANGE                       20:20
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_RANGE                       19:19
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_RANGE                       18:18
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_RANGE                       17:17
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_RANGE                       16:16
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SHIFT                       _MK_SHIFT_CONST(15)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_RANGE                       15:15
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SHIFT                       _MK_SHIFT_CONST(14)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_RANGE                       14:14
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_RANGE                       13:13
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_RANGE                       12:12
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_RANGE                       11:11
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_RANGE                       10:10
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_RANGE                        9:9
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_RANGE                        8:8
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_RANGE                        7:7
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_RANGE                        6:6
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_RANGE                        5:5
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_RANGE                        4:4
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_RANGE                        3:3
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_RANGE                        2:2
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_RANGE                        1:1
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_RANGE                        0:0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0                   _MK_ADDR_CONST(0x963c)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_SECURE                    0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_DUAL                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_SCR                       EC_SCR_0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_WORD_COUNT                        0x1
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_MASK                        _MK_MASK_CONST(0xe01fffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_READ_MASK                         _MK_MASK_CONST(0xe01fffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_WRITE_MASK                        _MK_MASK_CONST(0xe01fffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_SHIFT                       _MK_SHIFT_CONST(31)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_RANGE                       31:31
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR31_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_SHIFT                       _MK_SHIFT_CONST(30)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_RANGE                       30:30
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR30_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_SHIFT                       _MK_SHIFT_CONST(29)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_RANGE                       29:29
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR29_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_SHIFT                       _MK_SHIFT_CONST(20)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_RANGE                       20:20
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_RANGE                       19:19
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR18_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR18_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR18_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR18_RANGE                       18:18
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR18_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR18_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR18_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR18_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR18_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR18_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR18_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR18_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR18_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_RANGE                       17:17
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR17_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR16_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR16_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR16_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR16_RANGE                       16:16
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR16_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR16_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR16_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR16_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR16_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR16_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR16_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR16_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR16_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_SHIFT                       _MK_SHIFT_CONST(15)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_RANGE                       15:15
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_SHIFT                       _MK_SHIFT_CONST(14)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_RANGE                       14:14
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_RANGE                       13:13
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_RANGE                       12:12
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_RANGE                       11:11
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_RANGE                       10:10
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_RANGE                        9:9
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_RANGE                        8:8
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_RANGE                        7:7
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_RANGE                        6:6
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_RANGE                        5:5
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_RANGE                        4:4
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_RANGE                        3:3
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_RANGE                        2:2
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_RANGE                        1:1
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_RANGE                        0:0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0                    _MK_ADDR_CONST(0x9640)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_SECURE                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_DUAL                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_SCR                        EC_SCR_0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_WORD_COUNT                         0x1
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_VAL                  _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_RANGE                        31:31
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_SHIFT                        _MK_SHIFT_CONST(30)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_RANGE                        30:30
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_SHIFT                        _MK_SHIFT_CONST(29)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_RANGE                        29:29
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_SHIFT                        _MK_SHIFT_CONST(28)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_RANGE                        28:28
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_RANGE                        27:27
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_RANGE                        26:26
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_RANGE                        25:25
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_RANGE                        24:24
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_RANGE                        23:23
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_RANGE                        22:22
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_RANGE                        21:21
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_RANGE                        20:20
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SHIFT                        _MK_SHIFT_CONST(19)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_RANGE                        19:19
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_RANGE                        18:18
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_RANGE                        17:17
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_RANGE                        16:16
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SHIFT                        _MK_SHIFT_CONST(15)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_RANGE                        15:15
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_RANGE                        14:14
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_RANGE                        13:13
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_RANGE                        12:12
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_RANGE                        11:11
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_RANGE                        10:10
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_RANGE                 9:9
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_RANGE                 8:8
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_RANGE                 7:7
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_RANGE                 6:6
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_RANGE                 5:5
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_RANGE                 4:4
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_RANGE                 3:3
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_RANGE                 2:2
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_RANGE                 1:1
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_RANGE                 0:0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0                     _MK_ADDR_CONST(0x9644)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_SECURE                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_DUAL                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_SCR                         EC_SCR_0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_WORD_COUNT                  0x1
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_READ_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_RANGE                 31:31
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_RANGE                 30:30
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_RANGE                 29:29
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_RANGE                 28:28
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_RANGE                 27:27
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_RANGE                 26:26
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_RANGE                 25:25
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_RANGE                 24:24
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_SHIFT                 _MK_SHIFT_CONST(23)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_RANGE                 23:23
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_RANGE                 22:22
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_RANGE                 21:21
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_RANGE                 20:20
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SHIFT                 _MK_SHIFT_CONST(19)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_RANGE                 19:19
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_RANGE                 18:18
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_RANGE                 17:17
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_RANGE                 16:16
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_RANGE                 15:15
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_RANGE                 14:14
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_RANGE                 13:13
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_RANGE                 12:12
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_RANGE                 11:11
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_RANGE                 10:10
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_RANGE                  9:9
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_RANGE                  8:8
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_RANGE                  7:7
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_RANGE                  6:6
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_RANGE                  5:5
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_RANGE                  4:4
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_RANGE                  3:3
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_RANGE                  2:2
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_RANGE                  1:1
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_RANGE                  0:0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FORCE                  _MK_ENUM_CONST(1)


// Register MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0                    _MK_ADDR_CONST(0x9648)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_SECURE                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_DUAL                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_SCR                        EC_SCR_0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_WORD_COUNT                         0x1
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_SHIFT                        _MK_SHIFT_CONST(31)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_RANGE                        31:31
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_SHIFT                        _MK_SHIFT_CONST(30)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_RANGE                        30:30
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_SHIFT                        _MK_SHIFT_CONST(29)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_RANGE                        29:29
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_SHIFT                        _MK_SHIFT_CONST(28)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_RANGE                        28:28
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_SHIFT                        _MK_SHIFT_CONST(27)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_RANGE                        27:27
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_SHIFT                        _MK_SHIFT_CONST(26)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_RANGE                        26:26
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_SHIFT                        _MK_SHIFT_CONST(25)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_RANGE                        25:25
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_SHIFT                        _MK_SHIFT_CONST(24)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_RANGE                        24:24
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_SHIFT                        _MK_SHIFT_CONST(23)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_RANGE                        23:23
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SHIFT                        _MK_SHIFT_CONST(22)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_RANGE                        22:22
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_RANGE                        21:21
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_RANGE                        20:20
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SHIFT                        _MK_SHIFT_CONST(19)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_RANGE                        19:19
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_RANGE                        18:18
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_RANGE                        17:17
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_RANGE                        16:16
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SHIFT                        _MK_SHIFT_CONST(15)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_RANGE                        15:15
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_RANGE                        14:14
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_RANGE                        13:13
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_RANGE                        12:12
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_RANGE                        11:11
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_RANGE                        10:10
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_RANGE                 9:9
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_RANGE                 8:8
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_RANGE                 7:7
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_RANGE                 6:6
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_RANGE                 5:5
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_RANGE                 4:4
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_RANGE                 3:3
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_RANGE                 2:2
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_RANGE                 1:1
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_RANGE                 0:0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Reserved address 0x964c

// Register MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0                      _MK_ADDR_CONST(0x9650)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_SECURE                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_DUAL                         0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_SCR                  EC_SCR_0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_WORD_COUNT                   0x1
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_READ_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_RANGE                  31:31
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_RANGE                  30:30
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_RANGE                  29:29
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_RANGE                  28:28
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_RANGE                  27:27
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_RANGE                  26:26
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_RANGE                  25:25
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_RANGE                  24:24
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_RANGE                  23:23
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_RANGE                  22:22
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_RANGE                  21:21
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_RANGE                  20:20
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_RANGE                  19:19
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_RANGE                  18:18
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_RANGE                  17:17
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_RANGE                  16:16
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_RANGE                  15:15
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_RANGE                  14:14
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_RANGE                  13:13
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_RANGE                  12:12
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_RANGE                  11:11
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_RANGE                  10:10
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_RANGE                   9:9
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_WOFFSET                 0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_RANGE                   8:8
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_WOFFSET                 0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_RANGE                   7:7
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_WOFFSET                 0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_RANGE                   6:6
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_WOFFSET                 0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT                   _MK_SHIFT_CONST(5)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RANGE                   5:5
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_WOFFSET                 0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RANGE                   4:4
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_WOFFSET                 0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RANGE                   3:3
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_WOFFSET                 0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RANGE                   2:2
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_WOFFSET                 0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RANGE                   1:1
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_WOFFSET                 0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RANGE                   0:0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_WOFFSET                 0x0
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RELOAD                  _MK_ENUM_CONST(1)


// Reserved address 0x9654

// Reserved address 0x9658

// Reserved address 0x965c

// Register MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0                   _MK_ADDR_CONST(0x9660)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_SECURE                    0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_DUAL                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_SCR                       EC_SCR_0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_WORD_COUNT                        0x1
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_RESET_VAL                         _MK_MASK_CONST(0x7ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_RANGE                       10:10
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_SHIFT                       _MK_SHIFT_CONST(9)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_RANGE                       9:9
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_RANGE                       8:8
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_RANGE                       7:7
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_SHIFT                       _MK_SHIFT_CONST(6)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_RANGE                       6:6
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_RANGE                       5:5
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_RANGE                       4:4
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_RANGE                       3:3
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_SHIFT                       _MK_SHIFT_CONST(2)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_RANGE                       2:2
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_RANGE                       1:1
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_RANGE                       0:0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0                    _MK_ADDR_CONST(0x9664)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_SECURE                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_DUAL                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_SCR                        EC_SCR_0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_WORD_COUNT                         0x1
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_READ_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_RANGE                        10:10
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_RANGE                        9:9
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_RANGE                        8:8
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_RANGE                        7:7
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_RANGE                        6:6
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_RANGE                        5:5
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_RANGE                        4:4
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_RANGE                        3:3
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_RANGE                        2:2
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_RANGE                        1:1
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_FORCE                        _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_RANGE                        0:0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_FORCE                        _MK_ENUM_CONST(1)


// Register MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0                   _MK_ADDR_CONST(0x9668)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_SECURE                    0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_DUAL                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_SCR                       EC_SCR_0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_WORD_COUNT                        0x1
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_RESET_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_READ_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_WRITE_MASK                        _MK_MASK_CONST(0x7ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_RANGE                       10:10
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_SHIFT                       _MK_SHIFT_CONST(9)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_RANGE                       9:9
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_RANGE                       8:8
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_RANGE                       7:7
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_SHIFT                       _MK_SHIFT_CONST(6)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_RANGE                       6:6
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_RANGE                       5:5
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_RANGE                       4:4
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_RANGE                       3:3
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_SHIFT                       _MK_SHIFT_CONST(2)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_RANGE                       2:2
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_RANGE                       1:1
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_RANGE                       0:0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0                   _MK_ADDR_CONST(0x966c)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_SECURE                    0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_DUAL                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_SCR                       EC_SCR_0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_WORD_COUNT                        0x1
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_RESET_MASK                        _MK_MASK_CONST(0x4ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_READ_MASK                         _MK_MASK_CONST(0x4ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_WRITE_MASK                        _MK_MASK_CONST(0x4ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_RANGE                       10:10
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR42_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_RANGE                       7:7
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR39_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_SHIFT                       _MK_SHIFT_CONST(6)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_RANGE                       6:6
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR38_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR37_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR37_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR37_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR37_RANGE                       5:5
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR37_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR37_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR37_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR37_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR37_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR37_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR37_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR37_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR37_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_RANGE                       4:4
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_RANGE                       3:3
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR34_SHIFT                       _MK_SHIFT_CONST(2)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR34_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR34_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR34_RANGE                       2:2
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR34_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR34_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR34_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR34_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR34_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR34_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR34_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR34_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR34_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_RANGE                       1:1
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR33_ENABLE                      _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR32_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR32_FIELD                       _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR32_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR32_RANGE                       0:0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR32_WOFFSET                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR32_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR32_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR32_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR32_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR32_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR32_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR32_DISABLE                     _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR32_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0                    _MK_ADDR_CONST(0x9670)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_SECURE                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_DUAL                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_SCR                        EC_SCR_0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_WORD_COUNT                         0x1
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_RESET_VAL                  _MK_MASK_CONST(0x7ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_RANGE                        10:10
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_RANGE                        9:9
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_RANGE                        8:8
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_RANGE                        7:7
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_RANGE                        6:6
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_RANGE                        5:5
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_RANGE                        4:4
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_RANGE                        3:3
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_RANGE                        2:2
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_RANGE                        1:1
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_RANGE                        0:0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0                     _MK_ADDR_CONST(0x9674)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_SECURE                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_DUAL                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_SCR                         EC_SCR_0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_WORD_COUNT                  0x1
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_RESET_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_READ_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_WRITE_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_RANGE                 10:10
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR42_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_RANGE                 9:9
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR41_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_RANGE                 8:8
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR40_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_RANGE                 7:7
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR39_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_RANGE                 6:6
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR38_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_RANGE                 5:5
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR37_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_RANGE                 4:4
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_RANGE                 3:3
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_RANGE                 2:2
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_RANGE                 1:1
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_RANGE                 0:0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_WOFFSET                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_FORCE                 _MK_ENUM_CONST(1)


// Register MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0                    _MK_ADDR_CONST(0x9678)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_SECURE                     0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_DUAL                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_SCR                        EC_SCR_0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_WORD_COUNT                         0x1
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_RESET_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_READ_MASK                  _MK_MASK_CONST(0x7ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_WRITE_MASK                         _MK_MASK_CONST(0x7ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_RANGE                        10:10
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR42_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_RANGE                        9:9
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR41_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_RANGE                        8:8
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR40_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_RANGE                        7:7
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR39_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_RANGE                        6:6
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR38_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_RANGE                        5:5
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR37_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_RANGE                        4:4
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_RANGE                        3:3
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_RANGE                        2:2
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_RANGE                        1:1
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_RANGE                        0:0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_WOFFSET                      0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Reserved address 0x967c

// Register MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0                      _MK_ADDR_CONST(0x9680)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_SECURE                       0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_DUAL                         0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_SCR                  EC_SCR_0
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_WORD_COUNT                   0x1
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_READ_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_RANGE                  10:10
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR42_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_RANGE                  9:9
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR41_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_RANGE                  8:8
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR40_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_RANGE                  7:7
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR39_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_RANGE                  6:6
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR38_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_RANGE                  5:5
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR37_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_RANGE                  4:4
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_RANGE                  3:3
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_RANGE                  2:2
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_RANGE                  1:1
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_RELOAD                 _MK_ENUM_CONST(1)

#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_SHIFT)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_RANGE                  0:0
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_WOFFSET                        0x0
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_NORELOAD                       _MK_ENUM_CONST(0)
#define MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_RELOAD                 _MK_ENUM_CONST(1)


// Reserved address 0x9684

// Reserved address 0x9688

// Reserved address 0x968c

// Register MC_MCF_ORSPX_EC_FEATURE_0
#define MC_MCF_ORSPX_EC_FEATURE_0                       _MK_ADDR_CONST(0x9700)
#define MC_MCF_ORSPX_EC_FEATURE_0_SECURE                        0x0
#define MC_MCF_ORSPX_EC_FEATURE_0_DUAL                  0x0
#define MC_MCF_ORSPX_EC_FEATURE_0_SCR                   EC_SCR_0
#define MC_MCF_ORSPX_EC_FEATURE_0_WORD_COUNT                    0x1
#define MC_MCF_ORSPX_EC_FEATURE_0_RESET_VAL                     _MK_MASK_CONST(0x20001)
#define MC_MCF_ORSPX_EC_FEATURE_0_RESET_MASK                    _MK_MASK_CONST(0xffff003f)
#define MC_MCF_ORSPX_EC_FEATURE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_FEATURE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_FEATURE_0_READ_MASK                     _MK_MASK_CONST(0xffff003f)
#define MC_MCF_ORSPX_EC_FEATURE_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_FIELD                 _MK_FIELD_CONST(0xffff, MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_SHIFT)
#define MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_RANGE                 31:16
#define MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_WOFFSET                       0x0
#define MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_DEFAULT                       _MK_MASK_CONST(0x2)
#define MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_DEFAULT_MASK                  _MK_MASK_CONST(0xffff)
#define MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_SLICES_FIELD                  _MK_FIELD_CONST(0x3f, MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT)
#define MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_SLICES_RANGE                  5:0
#define MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_SLICES_WOFFSET                        0x0
#define MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_SLICES_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_FEATURE_0_NUM_ERR_SLICES_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_MCF_ORSPX_EC_SWRESET_0
#define MC_MCF_ORSPX_EC_SWRESET_0                       _MK_ADDR_CONST(0x9704)
#define MC_MCF_ORSPX_EC_SWRESET_0_SECURE                        0x0
#define MC_MCF_ORSPX_EC_SWRESET_0_DUAL                  0x0
#define MC_MCF_ORSPX_EC_SWRESET_0_SCR                   EC_SCR_0
#define MC_MCF_ORSPX_EC_SWRESET_0_WORD_COUNT                    0x1
#define MC_MCF_ORSPX_EC_SWRESET_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_SWRESET_0_RESET_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_SWRESET_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_SWRESET_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_SWRESET_0_READ_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_SWRESET_0_WRITE_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_SWRESET_0_SWRST_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MCF_ORSPX_EC_SWRESET_0_SWRST_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_SWRESET_0_SWRST_SHIFT)
#define MC_MCF_ORSPX_EC_SWRESET_0_SWRST_RANGE                   0:0
#define MC_MCF_ORSPX_EC_SWRESET_0_SWRST_WOFFSET                 0x0
#define MC_MCF_ORSPX_EC_SWRESET_0_SWRST_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_SWRESET_0_SWRST_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_SWRESET_0_SWRST_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_SWRESET_0_SWRST_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_SWRESET_0_SWRST_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_SWRESET_0_SWRST_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0
#define MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0                       _MK_ADDR_CONST(0x9708)
#define MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0_SECURE                        0x0
#define MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0_DUAL                  0x0
#define MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0_SCR                   EC_SCR_0
#define MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0_WORD_COUNT                    0x1
#define MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0_RESET_VAL                     _MK_MASK_CONST(0x5)
#define MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0_RESET_MASK                    _MK_MASK_CONST(0x3f)
#define MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0_READ_MASK                     _MK_MASK_CONST(0x3f)
#define MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0_CODE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0_CODE_FIELD                    _MK_FIELD_CONST(0x3f, MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0_CODE_SHIFT)
#define MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0_CODE_RANGE                    5:0
#define MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0_CODE_WOFFSET                  0x0
#define MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0_CODE_DEFAULT                  _MK_MASK_CONST(0x5)
#define MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0_CODE_DEFAULT_MASK                     _MK_MASK_CONST(0x3f)
#define MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0_CODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0_CODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0
#define MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0                 _MK_ADDR_CONST(0x970c)
#define MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0_SECURE                  0x0
#define MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0_DUAL                    0x0
#define MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0_SCR                     EC_SCR_0
#define MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0_WORD_COUNT                      0x1
#define MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0_RESET_MASK                      _MK_MASK_CONST(0x1ff)
#define MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0_READ_MASK                       _MK_MASK_CONST(0x1ff)
#define MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_FIELD                     _MK_FIELD_CONST(0x1ff, MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT)
#define MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_RANGE                     8:0
#define MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_WOFFSET                   0x0
#define MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT_MASK                      _MK_MASK_CONST(0x1ff)
#define MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0_VALUE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Reserved address 0x9710

// Register MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0
#define MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0                      _MK_ADDR_CONST(0x9714)
#define MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0_SECURE                       0x0
#define MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0_DUAL                         0x0
#define MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0_SCR                  EC_SCR_0
#define MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0_WORD_COUNT                   0x1
#define MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0_RESET_MASK                   _MK_MASK_CONST(0x3)
#define MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0_READ_MASK                    _MK_MASK_CONST(0x3)
#define MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0_WRITE_MASK                   _MK_MASK_CONST(0x3)
#define MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0_IDX_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0_IDX_FIELD                    _MK_FIELD_CONST(0x3, MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0_IDX_SHIFT)
#define MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0_IDX_RANGE                    1:0
#define MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0_IDX_WOFFSET                  0x0
#define MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0_IDX_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0_IDX_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0_IDX_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0_IDX_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0
#define MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0                 _MK_ADDR_CONST(0x9718)
#define MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0_SECURE                  0x0
#define MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0_DUAL                    0x0
#define MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0_SCR                     EC_SCR_0
#define MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0_WORD_COUNT                      0x1
#define MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0_RESET_VAL                       _MK_MASK_CONST(0xff)
#define MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_FIELD                     _MK_FIELD_CONST(0xff, MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT)
#define MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_RANGE                     7:0
#define MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_WOFFSET                   0x0
#define MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT                   _MK_MASK_CONST(0xff)
#define MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0_COUNT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0                      _MK_ADDR_CONST(0x971c)
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_SECURE                       0x0
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_DUAL                         0x0
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_SCR                  EC_SCR_0
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_WORD_COUNT                   0x1
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_READ_MASK                    _MK_MASK_CONST(0xff)
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_WRITE_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_FIELD                  _MK_FIELD_CONST(0xff, MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT)
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_RANGE                  7:0
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_WOFFSET                        0x0
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_LOCK                   _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_UNLOCK                 _MK_ENUM_CONST(225)


// Reserved address 0x9720

// Reserved address 0x9724

// Reserved address 0x9728

// Reserved address 0x972c

// Register MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0                   _MK_ADDR_CONST(0x9730)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SECURE                    0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_DUAL                      0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SCR                       EC_SCR_0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WORD_COUNT                        0x1
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_VAL                         _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_MASK                        _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_READ_MASK                         _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WRITE_MASK                        _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_RANGE                        2:2
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_WOFFSET                      0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_RANGE                        1:1
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_WOFFSET                      0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_RANGE                        0:0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_WOFFSET                      0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0                    _MK_ADDR_CONST(0x9734)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_SECURE                     0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_DUAL                       0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_SCR                        EC_SCR_0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_WORD_COUNT                         0x1
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_MASK                         _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_READ_MASK                  _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_WRITE_MASK                         _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_RANGE                 2:2
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_WOFFSET                       0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_RANGE                 1:1
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_WOFFSET                       0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FORCE                 _MK_ENUM_CONST(1)

#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_RANGE                 0:0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_WOFFSET                       0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_NOFORCE                       _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FORCE                 _MK_ENUM_CONST(1)


// Register MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0                   _MK_ADDR_CONST(0x9738)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_SECURE                    0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_DUAL                      0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_SCR                       EC_SCR_0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_WORD_COUNT                        0x1
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_MASK                        _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_READ_MASK                         _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_WRITE_MASK                        _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_RANGE                        2:2
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_WOFFSET                      0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_RANGE                        1:1
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_WOFFSET                      0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_RANGE                        0:0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_WOFFSET                      0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0                   _MK_ADDR_CONST(0x973c)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_SECURE                    0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_DUAL                      0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_SCR                       EC_SCR_0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_WORD_COUNT                        0x1
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_MASK                        _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_READ_MASK                         _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_WRITE_MASK                        _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_RANGE                        2:2
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_WOFFSET                      0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_RANGE                        1:1
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_WOFFSET                      0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_ENABLE                       _MK_ENUM_CONST(1)

#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_FIELD                        _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_RANGE                        0:0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_WOFFSET                      0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DISABLE                      _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_ENABLE                       _MK_ENUM_CONST(1)


// Register MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0                    _MK_ADDR_CONST(0x9740)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_SECURE                     0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_DUAL                       0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_SCR                        EC_SCR_0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_WORD_COUNT                         0x1
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_VAL                  _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_MASK                         _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_READ_MASK                  _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_WRITE_MASK                         _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_RANGE                 2:2
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_WOFFSET                       0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_RANGE                 1:1
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_WOFFSET                       0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_ENABLE                        _MK_ENUM_CONST(1)

#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_RANGE                 0:0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_WOFFSET                       0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DISABLE                       _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0                     _MK_ADDR_CONST(0x9744)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_SECURE                      0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_DUAL                        0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_SCR                         EC_SCR_0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_WORD_COUNT                  0x1
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_MASK                  _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_READ_MASK                   _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_WRITE_MASK                  _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_RANGE                  2:2
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_WOFFSET                        0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_RANGE                  1:1
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_WOFFSET                        0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FORCE                  _MK_ENUM_CONST(1)

#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FIELD                  _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_RANGE                  0:0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_WOFFSET                        0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FORCE                  _MK_ENUM_CONST(1)


// Register MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0                    _MK_ADDR_CONST(0x9748)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_SECURE                     0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_DUAL                       0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_SCR                        EC_SCR_0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_WORD_COUNT                         0x1
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_MASK                         _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_READ_MASK                  _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_WRITE_MASK                         _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_RANGE                 2:2
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_WOFFSET                       0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_RANGE                 1:1
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_WOFFSET                       0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_RANGE                 0:0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_WOFFSET                       0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Reserved address 0x974c

// Register MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0                      _MK_ADDR_CONST(0x9750)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_SECURE                       0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_DUAL                         0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_SCR                  EC_SCR_0
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_WORD_COUNT                   0x1
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_MASK                   _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_READ_MASK                    _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_WRITE_MASK                   _MK_MASK_CONST(0x7)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RANGE                   2:2
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_WOFFSET                 0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RANGE                   1:1
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_WOFFSET                 0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RELOAD                  _MK_ENUM_CONST(1)

#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_FIELD                   _MK_FIELD_CONST(0x1, MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RANGE                   0:0
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_WOFFSET                 0x0
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_NORELOAD                        _MK_ENUM_CONST(0)
#define MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RELOAD                  _MK_ENUM_CONST(1)


// Reserved address 0x9754

// Reserved address 0x9758

// Reserved address 0x975c

// Register MC_CHANNEL_EC_FEATURE_0
#define MC_CHANNEL_EC_FEATURE_0                 _MK_ADDR_CONST(0x9800)
#define MC_CHANNEL_EC_FEATURE_0_SECURE                  0x0
#define MC_CHANNEL_EC_FEATURE_0_DUAL                    0x0
#define MC_CHANNEL_EC_FEATURE_0_SCR                     EC_SCR_0
#define MC_CHANNEL_EC_FEATURE_0_WORD_COUNT                      0x1
#define MC_CHANNEL_EC_FEATURE_0_RESET_VAL                       _MK_MASK_CONST(0x240002)
#define MC_CHANNEL_EC_FEATURE_0_RESET_MASK                      _MK_MASK_CONST(0xffff003f)
#define MC_CHANNEL_EC_FEATURE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_FEATURE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_FEATURE_0_READ_MASK                       _MK_MASK_CONST(0xffff003f)
#define MC_CHANNEL_EC_FEATURE_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_FEATURE_0_NUM_ERR_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_CHANNEL_EC_FEATURE_0_NUM_ERR_FIELD                   _MK_FIELD_CONST(0xffff, MC_CHANNEL_EC_FEATURE_0_NUM_ERR_SHIFT)
#define MC_CHANNEL_EC_FEATURE_0_NUM_ERR_RANGE                   31:16
#define MC_CHANNEL_EC_FEATURE_0_NUM_ERR_WOFFSET                 0x0
#define MC_CHANNEL_EC_FEATURE_0_NUM_ERR_DEFAULT                 _MK_MASK_CONST(0x24)
#define MC_CHANNEL_EC_FEATURE_0_NUM_ERR_DEFAULT_MASK                    _MK_MASK_CONST(0xffff)
#define MC_CHANNEL_EC_FEATURE_0_NUM_ERR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_FEATURE_0_NUM_ERR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_FEATURE_0_NUM_ERR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_FEATURE_0_NUM_ERR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_FEATURE_0_NUM_ERR_SLICES_FIELD                    _MK_FIELD_CONST(0x3f, MC_CHANNEL_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT)
#define MC_CHANNEL_EC_FEATURE_0_NUM_ERR_SLICES_RANGE                    5:0
#define MC_CHANNEL_EC_FEATURE_0_NUM_ERR_SLICES_WOFFSET                  0x0
#define MC_CHANNEL_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT                  _MK_MASK_CONST(0x2)
#define MC_CHANNEL_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT_MASK                     _MK_MASK_CONST(0x3f)
#define MC_CHANNEL_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_FEATURE_0_NUM_ERR_SLICES_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_FEATURE_0_NUM_ERR_SLICES_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register MC_CHANNEL_EC_SWRESET_0
#define MC_CHANNEL_EC_SWRESET_0                 _MK_ADDR_CONST(0x9804)
#define MC_CHANNEL_EC_SWRESET_0_SECURE                  0x0
#define MC_CHANNEL_EC_SWRESET_0_DUAL                    0x0
#define MC_CHANNEL_EC_SWRESET_0_SCR                     EC_SCR_0
#define MC_CHANNEL_EC_SWRESET_0_WORD_COUNT                      0x1
#define MC_CHANNEL_EC_SWRESET_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_SWRESET_0_RESET_MASK                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_SWRESET_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_SWRESET_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_SWRESET_0_READ_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_SWRESET_0_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_SWRESET_0_SWRST_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_SWRESET_0_SWRST_FIELD                     _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_SWRESET_0_SWRST_SHIFT)
#define MC_CHANNEL_EC_SWRESET_0_SWRST_RANGE                     0:0
#define MC_CHANNEL_EC_SWRESET_0_SWRST_WOFFSET                   0x0
#define MC_CHANNEL_EC_SWRESET_0_SWRST_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_SWRESET_0_SWRST_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_SWRESET_0_SWRST_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_SWRESET_0_SWRST_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_SWRESET_0_SWRST_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_SWRESET_0_SWRST_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_CHANNEL_EC_MISSIONERR_TYPE_0
#define MC_CHANNEL_EC_MISSIONERR_TYPE_0                 _MK_ADDR_CONST(0x9808)
#define MC_CHANNEL_EC_MISSIONERR_TYPE_0_SECURE                  0x0
#define MC_CHANNEL_EC_MISSIONERR_TYPE_0_DUAL                    0x0
#define MC_CHANNEL_EC_MISSIONERR_TYPE_0_SCR                     EC_SCR_0
#define MC_CHANNEL_EC_MISSIONERR_TYPE_0_WORD_COUNT                      0x1
#define MC_CHANNEL_EC_MISSIONERR_TYPE_0_RESET_VAL                       _MK_MASK_CONST(0x5)
#define MC_CHANNEL_EC_MISSIONERR_TYPE_0_RESET_MASK                      _MK_MASK_CONST(0x3f)
#define MC_CHANNEL_EC_MISSIONERR_TYPE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_TYPE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_TYPE_0_READ_MASK                       _MK_MASK_CONST(0x3f)
#define MC_CHANNEL_EC_MISSIONERR_TYPE_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_TYPE_0_CODE_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_MISSIONERR_TYPE_0_CODE_FIELD                      _MK_FIELD_CONST(0x3f, MC_CHANNEL_EC_MISSIONERR_TYPE_0_CODE_SHIFT)
#define MC_CHANNEL_EC_MISSIONERR_TYPE_0_CODE_RANGE                      5:0
#define MC_CHANNEL_EC_MISSIONERR_TYPE_0_CODE_WOFFSET                    0x0
#define MC_CHANNEL_EC_MISSIONERR_TYPE_0_CODE_DEFAULT                    _MK_MASK_CONST(0x5)
#define MC_CHANNEL_EC_MISSIONERR_TYPE_0_CODE_DEFAULT_MASK                       _MK_MASK_CONST(0x3f)
#define MC_CHANNEL_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_TYPE_0_CODE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_TYPE_0_CODE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0
#define MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0                   _MK_ADDR_CONST(0x980c)
#define MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0_SECURE                    0x0
#define MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0_DUAL                      0x0
#define MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0_SCR                       EC_SCR_0
#define MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0_WORD_COUNT                        0x1
#define MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0_RESET_MASK                        _MK_MASK_CONST(0x1ff)
#define MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0_READ_MASK                         _MK_MASK_CONST(0x1ff)
#define MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0_VALUE_FIELD                       _MK_FIELD_CONST(0x1ff, MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT)
#define MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0_VALUE_RANGE                       8:0
#define MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0_VALUE_WOFFSET                     0x0
#define MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT_MASK                        _MK_MASK_CONST(0x1ff)
#define MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0_VALUE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0_VALUE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_CHANNEL_EC_MISSIONERR_USERVALUE_0
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0                    _MK_ADDR_CONST(0x9810)
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_SECURE                     0x0
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_DUAL                       0x0
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_SCR                        EC_SCR_0
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_WORD_COUNT                         0x1
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_RESET_VAL                  _MK_MASK_CONST(0xdead0000)
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_VALUE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_VALUE_FIELD                        _MK_FIELD_CONST(0xffffffff, MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_VALUE_SHIFT)
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_VALUE_RANGE                        31:0
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_VALUE_WOFFSET                      0x0
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_VALUE_DEFAULT                      _MK_MASK_CONST(0xdead0000)
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_VALUE_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_VALUE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_VALUE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_VALUE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_VALUE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_MISSIONERR_USERVALUE_0_VALUE_INIT_ENUM                    -559087616


// Register MC_CHANNEL_EC_MISSIONERR_INDEX_0
#define MC_CHANNEL_EC_MISSIONERR_INDEX_0                        _MK_ADDR_CONST(0x9814)
#define MC_CHANNEL_EC_MISSIONERR_INDEX_0_SECURE                         0x0
#define MC_CHANNEL_EC_MISSIONERR_INDEX_0_DUAL                   0x0
#define MC_CHANNEL_EC_MISSIONERR_INDEX_0_SCR                    EC_SCR_0
#define MC_CHANNEL_EC_MISSIONERR_INDEX_0_WORD_COUNT                     0x1
#define MC_CHANNEL_EC_MISSIONERR_INDEX_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_INDEX_0_RESET_MASK                     _MK_MASK_CONST(0x3f)
#define MC_CHANNEL_EC_MISSIONERR_INDEX_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_INDEX_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_INDEX_0_READ_MASK                      _MK_MASK_CONST(0x3f)
#define MC_CHANNEL_EC_MISSIONERR_INDEX_0_WRITE_MASK                     _MK_MASK_CONST(0x3f)
#define MC_CHANNEL_EC_MISSIONERR_INDEX_0_IDX_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_MISSIONERR_INDEX_0_IDX_FIELD                      _MK_FIELD_CONST(0x3f, MC_CHANNEL_EC_MISSIONERR_INDEX_0_IDX_SHIFT)
#define MC_CHANNEL_EC_MISSIONERR_INDEX_0_IDX_RANGE                      5:0
#define MC_CHANNEL_EC_MISSIONERR_INDEX_0_IDX_WOFFSET                    0x0
#define MC_CHANNEL_EC_MISSIONERR_INDEX_0_IDX_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_INDEX_0_IDX_DEFAULT_MASK                       _MK_MASK_CONST(0x3f)
#define MC_CHANNEL_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_INDEX_0_IDX_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_MISSIONERR_INDEX_0_IDX_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0
#define MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0                   _MK_ADDR_CONST(0x9818)
#define MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0_SECURE                    0x0
#define MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0_DUAL                      0x0
#define MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0_SCR                       EC_SCR_0
#define MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0_WORD_COUNT                        0x1
#define MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0_RESET_VAL                         _MK_MASK_CONST(0xff)
#define MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0_RESET_MASK                        _MK_MASK_CONST(0xff)
#define MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0_READ_MASK                         _MK_MASK_CONST(0xff)
#define MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0_WRITE_MASK                        _MK_MASK_CONST(0xff)
#define MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0_COUNT_FIELD                       _MK_FIELD_CONST(0xff, MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT)
#define MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0_COUNT_RANGE                       7:0
#define MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0_COUNT_WOFFSET                     0x0
#define MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT                     _MK_MASK_CONST(0xff)
#define MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0_COUNT_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0_COUNT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0                        _MK_ADDR_CONST(0x981c)
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_SECURE                         0x0
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_DUAL                   0x0
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_SCR                    EC_SCR_0
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_WORD_COUNT                     0x1
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_MASK                     _MK_MASK_CONST(0xff)
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_READ_MASK                      _MK_MASK_CONST(0xff)
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_WRITE_MASK                     _MK_MASK_CONST(0xff)
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_FIELD                    _MK_FIELD_CONST(0xff, MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT)
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_RANGE                    7:0
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_WOFFSET                  0x0
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_LOCK                     _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_UNLOCK                   _MK_ENUM_CONST(225)


// Reserved address 0x9820

// Reserved address 0x9824

// Reserved address 0x9828

// Reserved address 0x982c

// Register MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0                     _MK_ADDR_CONST(0x9830)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SECURE                      0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_DUAL                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SCR                         EC_SCR_0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WORD_COUNT                  0x1
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_VAL                   _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_RANGE                 31:31
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_RANGE                 30:30
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_RANGE                 29:29
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_RANGE                 28:28
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_RANGE                 27:27
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_RANGE                 26:26
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_RANGE                 25:25
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_RANGE                 24:24
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_SHIFT                 _MK_SHIFT_CONST(23)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_RANGE                 23:23
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_RANGE                 22:22
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_RANGE                 21:21
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_RANGE                 20:20
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SHIFT                 _MK_SHIFT_CONST(19)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_RANGE                 19:19
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_RANGE                 18:18
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_RANGE                 17:17
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_RANGE                 16:16
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_RANGE                 15:15
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_RANGE                 14:14
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_RANGE                 13:13
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_RANGE                 12:12
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_RANGE                 11:11
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_RANGE                 10:10
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_RANGE                  9:9
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_RANGE                  8:8
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_RANGE                  7:7
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_RANGE                  6:6
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_RANGE                  5:5
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_RANGE                  4:4
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_RANGE                  3:3
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_RANGE                  2:2
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_RANGE                  1:1
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_RANGE                  0:0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0                      _MK_ADDR_CONST(0x9834)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_SECURE                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_DUAL                         0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_SCR                  EC_SCR_0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_WORD_COUNT                   0x1
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_READ_MASK                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_RANGE                  31:31
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_RANGE                  30:30
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_RANGE                  29:29
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_RANGE                  28:28
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_RANGE                  27:27
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_RANGE                  26:26
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_RANGE                  25:25
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_RANGE                  24:24
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_RANGE                  23:23
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_RANGE                  22:22
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_RANGE                  21:21
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_RANGE                  20:20
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_RANGE                  19:19
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_RANGE                  18:18
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_RANGE                  17:17
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_RANGE                  16:16
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_RANGE                  15:15
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_RANGE                  14:14
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_RANGE                  13:13
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_RANGE                  12:12
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_RANGE                  11:11
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_RANGE                  10:10
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_RANGE                   9:9
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_RANGE                   8:8
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_RANGE                   7:7
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_RANGE                   6:6
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT                   _MK_SHIFT_CONST(5)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_RANGE                   5:5
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_RANGE                   4:4
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_RANGE                   3:3
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_RANGE                   2:2
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_RANGE                   1:1
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_RANGE                   0:0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FORCE                   _MK_ENUM_CONST(1)


// Register MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0                     _MK_ADDR_CONST(0x9838)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_SECURE                      0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_DUAL                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_SCR                         EC_SCR_0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_WORD_COUNT                  0x1
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_SHIFT                 _MK_SHIFT_CONST(31)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_RANGE                 31:31
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_SHIFT                 _MK_SHIFT_CONST(30)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_RANGE                 30:30
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_SHIFT                 _MK_SHIFT_CONST(29)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_RANGE                 29:29
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_SHIFT                 _MK_SHIFT_CONST(28)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_RANGE                 28:28
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_SHIFT                 _MK_SHIFT_CONST(27)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_RANGE                 27:27
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_SHIFT                 _MK_SHIFT_CONST(26)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_RANGE                 26:26
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_SHIFT                 _MK_SHIFT_CONST(25)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_RANGE                 25:25
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_RANGE                 24:24
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_SHIFT                 _MK_SHIFT_CONST(23)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_RANGE                 23:23
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SHIFT                 _MK_SHIFT_CONST(22)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_RANGE                 22:22
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SHIFT                 _MK_SHIFT_CONST(21)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_RANGE                 21:21
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SHIFT                 _MK_SHIFT_CONST(20)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_RANGE                 20:20
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SHIFT                 _MK_SHIFT_CONST(19)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_RANGE                 19:19
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SHIFT                 _MK_SHIFT_CONST(18)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_RANGE                 18:18
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SHIFT                 _MK_SHIFT_CONST(17)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_RANGE                 17:17
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SHIFT                 _MK_SHIFT_CONST(16)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_RANGE                 16:16
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SHIFT                 _MK_SHIFT_CONST(15)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_RANGE                 15:15
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SHIFT                 _MK_SHIFT_CONST(14)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_RANGE                 14:14
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SHIFT                 _MK_SHIFT_CONST(13)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_RANGE                 13:13
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_RANGE                 12:12
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_RANGE                 11:11
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_RANGE                 10:10
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_RANGE                  9:9
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_RANGE                  8:8
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_RANGE                  7:7
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_RANGE                  6:6
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_RANGE                  5:5
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_RANGE                  4:4
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_RANGE                  3:3
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_RANGE                  2:2
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_RANGE                  1:1
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_RANGE                  0:0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0                     _MK_ADDR_CONST(0x983c)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_SECURE                      0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_DUAL                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_SCR                         EC_SCR_0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_WORD_COUNT                  0x1
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_MASK                  _MK_MASK_CONST(0x1881fff)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_READ_MASK                   _MK_MASK_CONST(0x1881fff)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_WRITE_MASK                  _MK_MASK_CONST(0x1881fff)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_SHIFT                 _MK_SHIFT_CONST(24)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_RANGE                 24:24
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR24_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_SHIFT                 _MK_SHIFT_CONST(23)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_RANGE                 23:23
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR23_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_SHIFT                 _MK_SHIFT_CONST(19)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_RANGE                 19:19
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SHIFT                 _MK_SHIFT_CONST(12)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_RANGE                 12:12
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SHIFT                 _MK_SHIFT_CONST(11)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_RANGE                 11:11
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SHIFT                 _MK_SHIFT_CONST(10)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_RANGE                 10:10
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SHIFT                  _MK_SHIFT_CONST(9)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_RANGE                  9:9
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SHIFT                  _MK_SHIFT_CONST(8)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_RANGE                  8:8
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SHIFT                  _MK_SHIFT_CONST(7)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_RANGE                  7:7
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SHIFT                  _MK_SHIFT_CONST(6)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_RANGE                  6:6
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SHIFT                  _MK_SHIFT_CONST(5)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_RANGE                  5:5
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_RANGE                  4:4
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_RANGE                  3:3
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_RANGE                  2:2
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_RANGE                  1:1
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_RANGE                  0:0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0                      _MK_ADDR_CONST(0x9840)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_SECURE                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_DUAL                         0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_SCR                  EC_SCR_0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_WORD_COUNT                   0x1
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_VAL                    _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_RANGE                  31:31
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_RANGE                  30:30
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_RANGE                  29:29
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_RANGE                  28:28
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_RANGE                  27:27
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_RANGE                  26:26
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_RANGE                  25:25
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_RANGE                  24:24
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_RANGE                  23:23
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_RANGE                  22:22
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_RANGE                  21:21
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_RANGE                  20:20
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_RANGE                  19:19
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_RANGE                  18:18
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_RANGE                  17:17
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_RANGE                  16:16
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_RANGE                  15:15
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_RANGE                  14:14
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_RANGE                  13:13
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_RANGE                  12:12
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_RANGE                  11:11
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_RANGE                  10:10
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_RANGE                   9:9
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_RANGE                   8:8
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_RANGE                   7:7
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_RANGE                   6:6
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT                   _MK_SHIFT_CONST(5)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_RANGE                   5:5
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_RANGE                   4:4
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_RANGE                   3:3
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_RANGE                   2:2
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_RANGE                   1:1
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_ENABLE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_RANGE                   0:0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT                 _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DISABLE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_ENABLE                  _MK_ENUM_CONST(1)


// Register MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0                       _MK_ADDR_CONST(0x9844)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_SECURE                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_DUAL                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_SCR                   EC_SCR_0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_WORD_COUNT                    0x1
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_READ_MASK                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_SHIFT                   _MK_SHIFT_CONST(31)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_RANGE                   31:31
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR31_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_SHIFT                   _MK_SHIFT_CONST(30)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_RANGE                   30:30
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR30_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_SHIFT                   _MK_SHIFT_CONST(29)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_RANGE                   29:29
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR29_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_SHIFT                   _MK_SHIFT_CONST(28)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_RANGE                   28:28
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR28_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_SHIFT                   _MK_SHIFT_CONST(27)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_RANGE                   27:27
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR27_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_SHIFT                   _MK_SHIFT_CONST(26)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_RANGE                   26:26
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR26_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_SHIFT                   _MK_SHIFT_CONST(25)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_RANGE                   25:25
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR25_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_SHIFT                   _MK_SHIFT_CONST(24)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_RANGE                   24:24
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR24_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_SHIFT                   _MK_SHIFT_CONST(23)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_RANGE                   23:23
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR23_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SHIFT                   _MK_SHIFT_CONST(22)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_RANGE                   22:22
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR22_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SHIFT                   _MK_SHIFT_CONST(21)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_RANGE                   21:21
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SHIFT                   _MK_SHIFT_CONST(20)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_RANGE                   20:20
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SHIFT                   _MK_SHIFT_CONST(19)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_RANGE                   19:19
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SHIFT                   _MK_SHIFT_CONST(18)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_RANGE                   18:18
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SHIFT                   _MK_SHIFT_CONST(17)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_RANGE                   17:17
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SHIFT                   _MK_SHIFT_CONST(16)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_RANGE                   16:16
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SHIFT                   _MK_SHIFT_CONST(15)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_RANGE                   15:15
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SHIFT                   _MK_SHIFT_CONST(14)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_RANGE                   14:14
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SHIFT                   _MK_SHIFT_CONST(13)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_RANGE                   13:13
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SHIFT                   _MK_SHIFT_CONST(12)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_RANGE                   12:12
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SHIFT                   _MK_SHIFT_CONST(11)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_RANGE                   11:11
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SHIFT                   _MK_SHIFT_CONST(10)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_RANGE                   10:10
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SHIFT                    _MK_SHIFT_CONST(9)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_RANGE                    9:9
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_NOFORCE                  _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_FORCE                    _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SHIFT                    _MK_SHIFT_CONST(8)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_RANGE                    8:8
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_NOFORCE                  _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_FORCE                    _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SHIFT                    _MK_SHIFT_CONST(7)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_RANGE                    7:7
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_NOFORCE                  _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_FORCE                    _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SHIFT                    _MK_SHIFT_CONST(6)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_RANGE                    6:6
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_NOFORCE                  _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_FORCE                    _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT                    _MK_SHIFT_CONST(5)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_RANGE                    5:5
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_NOFORCE                  _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FORCE                    _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_RANGE                    4:4
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_NOFORCE                  _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FORCE                    _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_RANGE                    3:3
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_NOFORCE                  _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FORCE                    _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_RANGE                    2:2
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_NOFORCE                  _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FORCE                    _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_RANGE                    1:1
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_NOFORCE                  _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FORCE                    _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_RANGE                    0:0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_NOFORCE                  _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FORCE                    _MK_ENUM_CONST(1)


// Register MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0                      _MK_ADDR_CONST(0x9848)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_SECURE                       0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_DUAL                         0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_SCR                  EC_SCR_0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_WORD_COUNT                   0x1
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_SHIFT                  _MK_SHIFT_CONST(31)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_RANGE                  31:31
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR31_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_SHIFT                  _MK_SHIFT_CONST(30)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_RANGE                  30:30
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR30_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_SHIFT                  _MK_SHIFT_CONST(29)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_RANGE                  29:29
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR29_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_SHIFT                  _MK_SHIFT_CONST(28)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_RANGE                  28:28
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR28_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_SHIFT                  _MK_SHIFT_CONST(27)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_RANGE                  27:27
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR27_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_SHIFT                  _MK_SHIFT_CONST(26)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_RANGE                  26:26
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR26_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_SHIFT                  _MK_SHIFT_CONST(25)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_RANGE                  25:25
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR25_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_SHIFT                  _MK_SHIFT_CONST(24)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_RANGE                  24:24
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR24_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_SHIFT                  _MK_SHIFT_CONST(23)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_RANGE                  23:23
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR23_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SHIFT                  _MK_SHIFT_CONST(22)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_RANGE                  22:22
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR22_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SHIFT                  _MK_SHIFT_CONST(21)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_RANGE                  21:21
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SHIFT                  _MK_SHIFT_CONST(20)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_RANGE                  20:20
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SHIFT                  _MK_SHIFT_CONST(19)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_RANGE                  19:19
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SHIFT                  _MK_SHIFT_CONST(18)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_RANGE                  18:18
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SHIFT                  _MK_SHIFT_CONST(17)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_RANGE                  17:17
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SHIFT                  _MK_SHIFT_CONST(16)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_RANGE                  16:16
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SHIFT                  _MK_SHIFT_CONST(15)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_RANGE                  15:15
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SHIFT                  _MK_SHIFT_CONST(14)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_RANGE                  14:14
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SHIFT                  _MK_SHIFT_CONST(13)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_RANGE                  13:13
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SHIFT                  _MK_SHIFT_CONST(12)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_RANGE                  12:12
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SHIFT                  _MK_SHIFT_CONST(11)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_RANGE                  11:11
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SHIFT                  _MK_SHIFT_CONST(10)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_RANGE                  10:10
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SHIFT                   _MK_SHIFT_CONST(9)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_RANGE                   9:9
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SHIFT                   _MK_SHIFT_CONST(8)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_RANGE                   8:8
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SHIFT                   _MK_SHIFT_CONST(7)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_RANGE                   7:7
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SHIFT                   _MK_SHIFT_CONST(6)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_RANGE                   6:6
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT                   _MK_SHIFT_CONST(5)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_RANGE                   5:5
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_RANGE                   4:4
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_RANGE                   3:3
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_RANGE                   2:2
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_RANGE                   1:1
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_RANGE                   0:0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Reserved address 0x984c

// Register MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0                        _MK_ADDR_CONST(0x9850)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_SECURE                         0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_DUAL                   0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_SCR                    EC_SCR_0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_WORD_COUNT                     0x1
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_READ_MASK                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_SHIFT                    _MK_SHIFT_CONST(31)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_RANGE                    31:31
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR31_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_SHIFT                    _MK_SHIFT_CONST(30)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_RANGE                    30:30
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR30_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_SHIFT                    _MK_SHIFT_CONST(29)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_RANGE                    29:29
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR29_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_SHIFT                    _MK_SHIFT_CONST(28)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_RANGE                    28:28
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR28_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_SHIFT                    _MK_SHIFT_CONST(27)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_RANGE                    27:27
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR27_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_SHIFT                    _MK_SHIFT_CONST(26)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_RANGE                    26:26
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR26_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_SHIFT                    _MK_SHIFT_CONST(25)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_RANGE                    25:25
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR25_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_SHIFT                    _MK_SHIFT_CONST(24)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_RANGE                    24:24
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR24_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_SHIFT                    _MK_SHIFT_CONST(23)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_RANGE                    23:23
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR23_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SHIFT                    _MK_SHIFT_CONST(22)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_RANGE                    22:22
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR22_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SHIFT                    _MK_SHIFT_CONST(21)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_RANGE                    21:21
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SHIFT                    _MK_SHIFT_CONST(20)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_RANGE                    20:20
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SHIFT                    _MK_SHIFT_CONST(19)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_RANGE                    19:19
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SHIFT                    _MK_SHIFT_CONST(18)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_RANGE                    18:18
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SHIFT                    _MK_SHIFT_CONST(17)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_RANGE                    17:17
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SHIFT                    _MK_SHIFT_CONST(16)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_RANGE                    16:16
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SHIFT                    _MK_SHIFT_CONST(15)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_RANGE                    15:15
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SHIFT                    _MK_SHIFT_CONST(14)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_RANGE                    14:14
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SHIFT                    _MK_SHIFT_CONST(13)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_RANGE                    13:13
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SHIFT                    _MK_SHIFT_CONST(12)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_RANGE                    12:12
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SHIFT                    _MK_SHIFT_CONST(11)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_RANGE                    11:11
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SHIFT                    _MK_SHIFT_CONST(10)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_RANGE                    10:10
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SHIFT                     _MK_SHIFT_CONST(9)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_FIELD                     _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_RANGE                     9:9
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_WOFFSET                   0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_NORELOAD                  _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_RELOAD                    _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SHIFT                     _MK_SHIFT_CONST(8)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_FIELD                     _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_RANGE                     8:8
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_WOFFSET                   0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_NORELOAD                  _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_RELOAD                    _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SHIFT                     _MK_SHIFT_CONST(7)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_FIELD                     _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_RANGE                     7:7
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_WOFFSET                   0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_NORELOAD                  _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_RELOAD                    _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SHIFT                     _MK_SHIFT_CONST(6)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_FIELD                     _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_RANGE                     6:6
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_WOFFSET                   0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_NORELOAD                  _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_RELOAD                    _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_FIELD                     _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RANGE                     5:5
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_WOFFSET                   0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_NORELOAD                  _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RELOAD                    _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_FIELD                     _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RANGE                     4:4
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_WOFFSET                   0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_NORELOAD                  _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RELOAD                    _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_FIELD                     _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RANGE                     3:3
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_WOFFSET                   0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_NORELOAD                  _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RELOAD                    _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_FIELD                     _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RANGE                     2:2
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_WOFFSET                   0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_NORELOAD                  _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RELOAD                    _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_FIELD                     _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RANGE                     1:1
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_WOFFSET                   0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_NORELOAD                  _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RELOAD                    _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_FIELD                     _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RANGE                     0:0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_WOFFSET                   0x0
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_NORELOAD                  _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RELOAD                    _MK_ENUM_CONST(1)


// Reserved address 0x9854

// Reserved address 0x9858

// Reserved address 0x985c

// Register MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0                     _MK_ADDR_CONST(0x9860)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_SECURE                      0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_DUAL                        0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_SCR                         EC_SCR_0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_WORD_COUNT                  0x1
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_RESET_VAL                   _MK_MASK_CONST(0x1f)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_RESET_MASK                  _MK_MASK_CONST(0x1f)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_READ_MASK                   _MK_MASK_CONST(0x1f)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_WRITE_MASK                  _MK_MASK_CONST(0x1f)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_RANGE                 4:4
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_RANGE                 3:3
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_RANGE                 2:2
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_RANGE                 1:1
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_RANGE                 0:0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_DEFAULT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0                      _MK_ADDR_CONST(0x9864)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_SECURE                       0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_DUAL                         0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_SCR                  EC_SCR_0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_WORD_COUNT                   0x1
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_RESET_MASK                   _MK_MASK_CONST(0x1f)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_READ_MASK                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_WRITE_MASK                   _MK_MASK_CONST(0x1f)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_RANGE                  4:4
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_RANGE                  3:3
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_RANGE                  2:2
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_RANGE                  1:1
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_FORCE                  _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_RANGE                  0:0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_NOFORCE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_FORCE                  _MK_ENUM_CONST(1)


// Register MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0                     _MK_ADDR_CONST(0x9868)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_SECURE                      0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_DUAL                        0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_SCR                         EC_SCR_0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_WORD_COUNT                  0x1
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_RESET_MASK                  _MK_MASK_CONST(0x1f)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_READ_MASK                   _MK_MASK_CONST(0x1f)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_WRITE_MASK                  _MK_MASK_CONST(0x1f)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_RANGE                 4:4
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_RANGE                 3:3
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_RANGE                 2:2
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_RANGE                 1:1
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_RANGE                 0:0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0                     _MK_ADDR_CONST(0x986c)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_SECURE                      0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_DUAL                        0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_SCR                         EC_SCR_0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_WORD_COUNT                  0x1
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_RESET_MASK                  _MK_MASK_CONST(0x18)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_READ_MASK                   _MK_MASK_CONST(0x18)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_WRITE_MASK                  _MK_MASK_CONST(0x18)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_RANGE                 4:4
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR36_ENABLE                        _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_FIELD                 _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_RANGE                 3:3
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_WOFFSET                       0x0
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_DISABLE                       _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0_ERR35_ENABLE                        _MK_ENUM_CONST(1)


// Register MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0                      _MK_ADDR_CONST(0x9870)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_SECURE                       0x0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_DUAL                         0x0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_SCR                  EC_SCR_0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_WORD_COUNT                   0x1
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_RESET_VAL                    _MK_MASK_CONST(0x1f)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_RESET_MASK                   _MK_MASK_CONST(0x1f)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_READ_MASK                    _MK_MASK_CONST(0x1f)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_WRITE_MASK                   _MK_MASK_CONST(0x1f)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_RANGE                  4:4
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_RANGE                  3:3
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_RANGE                  2:2
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_RANGE                  1:1
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_ENABLE                 _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_RANGE                  0:0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_DEFAULT                        _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_DISABLE                        _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_ENABLE                 _MK_ENUM_CONST(1)


// Register MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0                       _MK_ADDR_CONST(0x9874)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_SECURE                        0x0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_DUAL                  0x0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_SCR                   EC_SCR_0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_WORD_COUNT                    0x1
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_RESET_MASK                    _MK_MASK_CONST(0x1f)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_READ_MASK                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_WRITE_MASK                    _MK_MASK_CONST(0x1f)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_SHIFT                   _MK_SHIFT_CONST(4)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_RANGE                   4:4
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR36_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_SHIFT                   _MK_SHIFT_CONST(3)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_RANGE                   3:3
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR35_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_SHIFT                   _MK_SHIFT_CONST(2)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_RANGE                   2:2
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR34_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_SHIFT                   _MK_SHIFT_CONST(1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_RANGE                   1:1
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR33_FORCE                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_FIELD                   _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_RANGE                   0:0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_WOFFSET                 0x0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_NOFORCE                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0_ERR32_FORCE                   _MK_ENUM_CONST(1)


// Register MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0                      _MK_ADDR_CONST(0x9878)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_SECURE                       0x0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_DUAL                         0x0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_SCR                  EC_SCR_0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_WORD_COUNT                   0x1
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_RESET_MASK                   _MK_MASK_CONST(0x1f)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_READ_MASK                    _MK_MASK_CONST(0x1f)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_WRITE_MASK                   _MK_MASK_CONST(0x1f)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_SHIFT                  _MK_SHIFT_CONST(4)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_RANGE                  4:4
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR36_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_SHIFT                  _MK_SHIFT_CONST(3)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_RANGE                  3:3
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR35_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_SHIFT                  _MK_SHIFT_CONST(2)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_RANGE                  2:2
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR34_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_SHIFT                  _MK_SHIFT_CONST(1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_RANGE                  1:1
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR33_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_FIELD                  _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_RANGE                  0:0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_WOFFSET                        0x0
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0_ERR32_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Reserved address 0x987c

// Register MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0                        _MK_ADDR_CONST(0x9880)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_SECURE                         0x0
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_DUAL                   0x0
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_SCR                    EC_SCR_0
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_WORD_COUNT                     0x1
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_RESET_MASK                     _MK_MASK_CONST(0x1f)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_READ_MASK                      _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_WRITE_MASK                     _MK_MASK_CONST(0x1f)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_SHIFT                    _MK_SHIFT_CONST(4)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_RANGE                    4:4
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR36_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_SHIFT                    _MK_SHIFT_CONST(3)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_RANGE                    3:3
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR35_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_SHIFT                    _MK_SHIFT_CONST(2)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_RANGE                    2:2
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR34_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_SHIFT                    _MK_SHIFT_CONST(1)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_RANGE                    1:1
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR33_RELOAD                   _MK_ENUM_CONST(1)

#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_FIELD                    _MK_FIELD_CONST(0x1, MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_SHIFT)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_RANGE                    0:0
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_WOFFSET                  0x0
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_NORELOAD                 _MK_ENUM_CONST(0)
#define MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0_ERR32_RELOAD                   _MK_ENUM_CONST(1)


// Reserved address 0x9884

// Reserved address 0x9888

// Reserved address 0x988c

// Register MC_HUB_EC_FEATURE_0
#define MC_HUB_EC_FEATURE_0                     _MK_ADDR_CONST(0x9900)
#define MC_HUB_EC_FEATURE_0_SECURE                      0x0
#define MC_HUB_EC_FEATURE_0_DUAL                        0x0
#define MC_HUB_EC_FEATURE_0_SCR                         EC_SCR_0
#define MC_HUB_EC_FEATURE_0_WORD_COUNT                  0x1
#define MC_HUB_EC_FEATURE_0_RESET_VAL                   _MK_MASK_CONST(0x150001)
#define MC_HUB_EC_FEATURE_0_RESET_MASK                  _MK_MASK_CONST(0xffff003f)
#define MC_HUB_EC_FEATURE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_FEATURE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_FEATURE_0_READ_MASK                   _MK_MASK_CONST(0xffff003f)
#define MC_HUB_EC_FEATURE_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_FEATURE_0_NUM_ERR_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_HUB_EC_FEATURE_0_NUM_ERR_FIELD                       _MK_FIELD_CONST(0xffff, MC_HUB_EC_FEATURE_0_NUM_ERR_SHIFT)
#define MC_HUB_EC_FEATURE_0_NUM_ERR_RANGE                       31:16
#define MC_HUB_EC_FEATURE_0_NUM_ERR_WOFFSET                     0x0
#define MC_HUB_EC_FEATURE_0_NUM_ERR_DEFAULT                     _MK_MASK_CONST(0x15)
#define MC_HUB_EC_FEATURE_0_NUM_ERR_DEFAULT_MASK                        _MK_MASK_CONST(0xffff)
#define MC_HUB_EC_FEATURE_0_NUM_ERR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_FEATURE_0_NUM_ERR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_FEATURE_0_NUM_ERR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_FEATURE_0_NUM_ERR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_HUB_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_HUB_EC_FEATURE_0_NUM_ERR_SLICES_FIELD                        _MK_FIELD_CONST(0x3f, MC_HUB_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT)
#define MC_HUB_EC_FEATURE_0_NUM_ERR_SLICES_RANGE                        5:0
#define MC_HUB_EC_FEATURE_0_NUM_ERR_SLICES_WOFFSET                      0x0
#define MC_HUB_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT_MASK                 _MK_MASK_CONST(0x3f)
#define MC_HUB_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_FEATURE_0_NUM_ERR_SLICES_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_FEATURE_0_NUM_ERR_SLICES_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_HUB_EC_SWRESET_0
#define MC_HUB_EC_SWRESET_0                     _MK_ADDR_CONST(0x9904)
#define MC_HUB_EC_SWRESET_0_SECURE                      0x0
#define MC_HUB_EC_SWRESET_0_DUAL                        0x0
#define MC_HUB_EC_SWRESET_0_SCR                         EC_SCR_0
#define MC_HUB_EC_SWRESET_0_WORD_COUNT                  0x1
#define MC_HUB_EC_SWRESET_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_SWRESET_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_SWRESET_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_SWRESET_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_SWRESET_0_READ_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_SWRESET_0_WRITE_MASK                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_SWRESET_0_SWRST_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_HUB_EC_SWRESET_0_SWRST_FIELD                 _MK_FIELD_CONST(0x1, MC_HUB_EC_SWRESET_0_SWRST_SHIFT)
#define MC_HUB_EC_SWRESET_0_SWRST_RANGE                 0:0
#define MC_HUB_EC_SWRESET_0_SWRST_WOFFSET                       0x0
#define MC_HUB_EC_SWRESET_0_SWRST_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_SWRESET_0_SWRST_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_SWRESET_0_SWRST_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_SWRESET_0_SWRST_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_SWRESET_0_SWRST_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_SWRESET_0_SWRST_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_HUB_EC_MISSIONERR_TYPE_0
#define MC_HUB_EC_MISSIONERR_TYPE_0                     _MK_ADDR_CONST(0x9908)
#define MC_HUB_EC_MISSIONERR_TYPE_0_SECURE                      0x0
#define MC_HUB_EC_MISSIONERR_TYPE_0_DUAL                        0x0
#define MC_HUB_EC_MISSIONERR_TYPE_0_SCR                         EC_SCR_0
#define MC_HUB_EC_MISSIONERR_TYPE_0_WORD_COUNT                  0x1
#define MC_HUB_EC_MISSIONERR_TYPE_0_RESET_VAL                   _MK_MASK_CONST(0x5)
#define MC_HUB_EC_MISSIONERR_TYPE_0_RESET_MASK                  _MK_MASK_CONST(0x3f)
#define MC_HUB_EC_MISSIONERR_TYPE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_TYPE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_TYPE_0_READ_MASK                   _MK_MASK_CONST(0x3f)
#define MC_HUB_EC_MISSIONERR_TYPE_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_TYPE_0_CODE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_HUB_EC_MISSIONERR_TYPE_0_CODE_FIELD                  _MK_FIELD_CONST(0x3f, MC_HUB_EC_MISSIONERR_TYPE_0_CODE_SHIFT)
#define MC_HUB_EC_MISSIONERR_TYPE_0_CODE_RANGE                  5:0
#define MC_HUB_EC_MISSIONERR_TYPE_0_CODE_WOFFSET                        0x0
#define MC_HUB_EC_MISSIONERR_TYPE_0_CODE_DEFAULT                        _MK_MASK_CONST(0x5)
#define MC_HUB_EC_MISSIONERR_TYPE_0_CODE_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define MC_HUB_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_TYPE_0_CODE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_TYPE_0_CODE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_HUB_EC_CURRENT_COUNTER_VALUE_0
#define MC_HUB_EC_CURRENT_COUNTER_VALUE_0                       _MK_ADDR_CONST(0x990c)
#define MC_HUB_EC_CURRENT_COUNTER_VALUE_0_SECURE                        0x0
#define MC_HUB_EC_CURRENT_COUNTER_VALUE_0_DUAL                  0x0
#define MC_HUB_EC_CURRENT_COUNTER_VALUE_0_SCR                   EC_SCR_0
#define MC_HUB_EC_CURRENT_COUNTER_VALUE_0_WORD_COUNT                    0x1
#define MC_HUB_EC_CURRENT_COUNTER_VALUE_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_CURRENT_COUNTER_VALUE_0_RESET_MASK                    _MK_MASK_CONST(0x1ff)
#define MC_HUB_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_CURRENT_COUNTER_VALUE_0_READ_MASK                     _MK_MASK_CONST(0x1ff)
#define MC_HUB_EC_CURRENT_COUNTER_VALUE_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_HUB_EC_CURRENT_COUNTER_VALUE_0_VALUE_FIELD                   _MK_FIELD_CONST(0x1ff, MC_HUB_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT)
#define MC_HUB_EC_CURRENT_COUNTER_VALUE_0_VALUE_RANGE                   8:0
#define MC_HUB_EC_CURRENT_COUNTER_VALUE_0_VALUE_WOFFSET                 0x0
#define MC_HUB_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT_MASK                    _MK_MASK_CONST(0x1ff)
#define MC_HUB_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_CURRENT_COUNTER_VALUE_0_VALUE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_CURRENT_COUNTER_VALUE_0_VALUE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_HUB_EC_MISSIONERR_USERVALUE_0
#define MC_HUB_EC_MISSIONERR_USERVALUE_0                        _MK_ADDR_CONST(0x9910)
#define MC_HUB_EC_MISSIONERR_USERVALUE_0_SECURE                         0x0
#define MC_HUB_EC_MISSIONERR_USERVALUE_0_DUAL                   0x0
#define MC_HUB_EC_MISSIONERR_USERVALUE_0_SCR                    EC_SCR_0
#define MC_HUB_EC_MISSIONERR_USERVALUE_0_WORD_COUNT                     0x1
#define MC_HUB_EC_MISSIONERR_USERVALUE_0_RESET_VAL                      _MK_MASK_CONST(0xdead0000)
#define MC_HUB_EC_MISSIONERR_USERVALUE_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_HUB_EC_MISSIONERR_USERVALUE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_USERVALUE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_USERVALUE_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define MC_HUB_EC_MISSIONERR_USERVALUE_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_USERVALUE_0_VALUE_SHIFT                    _MK_SHIFT_CONST(0)
#define MC_HUB_EC_MISSIONERR_USERVALUE_0_VALUE_FIELD                    _MK_FIELD_CONST(0xffffffff, MC_HUB_EC_MISSIONERR_USERVALUE_0_VALUE_SHIFT)
#define MC_HUB_EC_MISSIONERR_USERVALUE_0_VALUE_RANGE                    31:0
#define MC_HUB_EC_MISSIONERR_USERVALUE_0_VALUE_WOFFSET                  0x0
#define MC_HUB_EC_MISSIONERR_USERVALUE_0_VALUE_DEFAULT                  _MK_MASK_CONST(0xdead0000)
#define MC_HUB_EC_MISSIONERR_USERVALUE_0_VALUE_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_HUB_EC_MISSIONERR_USERVALUE_0_VALUE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_USERVALUE_0_VALUE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_USERVALUE_0_VALUE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_USERVALUE_0_VALUE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_MISSIONERR_USERVALUE_0_VALUE_INIT_ENUM                        -559087616


// Register MC_HUB_EC_MISSIONERR_INDEX_0
#define MC_HUB_EC_MISSIONERR_INDEX_0                    _MK_ADDR_CONST(0x9914)
#define MC_HUB_EC_MISSIONERR_INDEX_0_SECURE                     0x0
#define MC_HUB_EC_MISSIONERR_INDEX_0_DUAL                       0x0
#define MC_HUB_EC_MISSIONERR_INDEX_0_SCR                        EC_SCR_0
#define MC_HUB_EC_MISSIONERR_INDEX_0_WORD_COUNT                         0x1
#define MC_HUB_EC_MISSIONERR_INDEX_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_INDEX_0_RESET_MASK                         _MK_MASK_CONST(0x1f)
#define MC_HUB_EC_MISSIONERR_INDEX_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_INDEX_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_INDEX_0_READ_MASK                  _MK_MASK_CONST(0x1f)
#define MC_HUB_EC_MISSIONERR_INDEX_0_WRITE_MASK                         _MK_MASK_CONST(0x1f)
#define MC_HUB_EC_MISSIONERR_INDEX_0_IDX_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_HUB_EC_MISSIONERR_INDEX_0_IDX_FIELD                  _MK_FIELD_CONST(0x1f, MC_HUB_EC_MISSIONERR_INDEX_0_IDX_SHIFT)
#define MC_HUB_EC_MISSIONERR_INDEX_0_IDX_RANGE                  4:0
#define MC_HUB_EC_MISSIONERR_INDEX_0_IDX_WOFFSET                        0x0
#define MC_HUB_EC_MISSIONERR_INDEX_0_IDX_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_INDEX_0_IDX_DEFAULT_MASK                   _MK_MASK_CONST(0x1f)
#define MC_HUB_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_INDEX_0_IDX_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_MISSIONERR_INDEX_0_IDX_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_HUB_EC_CORRECTABLE_THRESHOLD_0
#define MC_HUB_EC_CORRECTABLE_THRESHOLD_0                       _MK_ADDR_CONST(0x9918)
#define MC_HUB_EC_CORRECTABLE_THRESHOLD_0_SECURE                        0x0
#define MC_HUB_EC_CORRECTABLE_THRESHOLD_0_DUAL                  0x0
#define MC_HUB_EC_CORRECTABLE_THRESHOLD_0_SCR                   EC_SCR_0
#define MC_HUB_EC_CORRECTABLE_THRESHOLD_0_WORD_COUNT                    0x1
#define MC_HUB_EC_CORRECTABLE_THRESHOLD_0_RESET_VAL                     _MK_MASK_CONST(0xff)
#define MC_HUB_EC_CORRECTABLE_THRESHOLD_0_RESET_MASK                    _MK_MASK_CONST(0xff)
#define MC_HUB_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_CORRECTABLE_THRESHOLD_0_READ_MASK                     _MK_MASK_CONST(0xff)
#define MC_HUB_EC_CORRECTABLE_THRESHOLD_0_WRITE_MASK                    _MK_MASK_CONST(0xff)
#define MC_HUB_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_HUB_EC_CORRECTABLE_THRESHOLD_0_COUNT_FIELD                   _MK_FIELD_CONST(0xff, MC_HUB_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT)
#define MC_HUB_EC_CORRECTABLE_THRESHOLD_0_COUNT_RANGE                   7:0
#define MC_HUB_EC_CORRECTABLE_THRESHOLD_0_COUNT_WOFFSET                 0x0
#define MC_HUB_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT                 _MK_MASK_CONST(0xff)
#define MC_HUB_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define MC_HUB_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_CORRECTABLE_THRESHOLD_0_COUNT_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_CORRECTABLE_THRESHOLD_0_COUNT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0                    _MK_ADDR_CONST(0x991c)
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_SECURE                     0x0
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_DUAL                       0x0
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_SCR                        EC_SCR_0
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_WORD_COUNT                         0x1
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_MASK                         _MK_MASK_CONST(0xff)
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_READ_MASK                  _MK_MASK_CONST(0xff)
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_WRITE_MASK                         _MK_MASK_CONST(0xff)
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_FIELD                        _MK_FIELD_CONST(0xff, MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT)
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_RANGE                        7:0
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_WOFFSET                      0x0
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_LOCK                 _MK_ENUM_CONST(0)
#define MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_UNLOCK                       _MK_ENUM_CONST(225)


// Reserved address 0x9920

// Reserved address 0x9924

// Reserved address 0x9928

// Reserved address 0x992c

// Register MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0                 _MK_ADDR_CONST(0x9930)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SECURE                  0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_DUAL                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SCR                     EC_SCR_0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WORD_COUNT                      0x1
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_VAL                       _MK_MASK_CONST(0x3fffff)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_MASK                      _MK_MASK_CONST(0x3fffff)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_READ_MASK                       _MK_MASK_CONST(0x3fffff)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WRITE_MASK                      _MK_MASK_CONST(0x3fffff)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_RANGE                     21:21
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SHIFT                     _MK_SHIFT_CONST(20)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_RANGE                     20:20
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_RANGE                     19:19
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_RANGE                     18:18
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_RANGE                     17:17
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_RANGE                     16:16
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SHIFT                     _MK_SHIFT_CONST(15)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_RANGE                     15:15
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SHIFT                     _MK_SHIFT_CONST(14)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_RANGE                     14:14
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_RANGE                     13:13
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_RANGE                     12:12
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SHIFT                     _MK_SHIFT_CONST(11)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_RANGE                     11:11
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SHIFT                     _MK_SHIFT_CONST(10)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_RANGE                     10:10
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_RANGE                      9:9
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_RANGE                      8:8
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_RANGE                      7:7
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_RANGE                      6:6
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_RANGE                      5:5
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_RANGE                      4:4
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_RANGE                      3:3
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_RANGE                      2:2
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_RANGE                      1:1
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_RANGE                      0:0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0                  _MK_ADDR_CONST(0x9934)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_SECURE                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_DUAL                     0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_SCR                      EC_SCR_0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_WORD_COUNT                       0x1
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_MASK                       _MK_MASK_CONST(0x3fffff)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_READ_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_WRITE_MASK                       _MK_MASK_CONST(0x3fffff)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_RANGE                      21:21
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_NOFORCE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_FORCE                      _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_RANGE                      20:20
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_NOFORCE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_FORCE                      _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_RANGE                      19:19
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_NOFORCE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_FORCE                      _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_RANGE                      18:18
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_NOFORCE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_FORCE                      _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_RANGE                      17:17
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_NOFORCE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_FORCE                      _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_RANGE                      16:16
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_NOFORCE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_FORCE                      _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_RANGE                      15:15
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_NOFORCE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_FORCE                      _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_RANGE                      14:14
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_NOFORCE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_FORCE                      _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_RANGE                      13:13
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_NOFORCE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_FORCE                      _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_RANGE                      12:12
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_NOFORCE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_FORCE                      _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SHIFT                      _MK_SHIFT_CONST(11)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_RANGE                      11:11
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_NOFORCE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_FORCE                      _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SHIFT                      _MK_SHIFT_CONST(10)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_RANGE                      10:10
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_NOFORCE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_FORCE                      _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SHIFT                       _MK_SHIFT_CONST(9)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_RANGE                       9:9
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_RANGE                       8:8
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_RANGE                       7:7
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SHIFT                       _MK_SHIFT_CONST(6)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_RANGE                       6:6
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_RANGE                       5:5
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_RANGE                       4:4
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_RANGE                       3:3
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT                       _MK_SHIFT_CONST(2)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_RANGE                       2:2
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_RANGE                       1:1
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_RANGE                       0:0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FORCE                       _MK_ENUM_CONST(1)


// Register MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0                 _MK_ADDR_CONST(0x9938)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_SECURE                  0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_DUAL                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_SCR                     EC_SCR_0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_WORD_COUNT                      0x1
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_MASK                      _MK_MASK_CONST(0x3fffff)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_READ_MASK                       _MK_MASK_CONST(0x3fffff)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_WRITE_MASK                      _MK_MASK_CONST(0x3fffff)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_RANGE                     21:21
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SHIFT                     _MK_SHIFT_CONST(20)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_RANGE                     20:20
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_RANGE                     19:19
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SHIFT                     _MK_SHIFT_CONST(18)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_RANGE                     18:18
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SHIFT                     _MK_SHIFT_CONST(17)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_RANGE                     17:17
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SHIFT                     _MK_SHIFT_CONST(16)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_RANGE                     16:16
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SHIFT                     _MK_SHIFT_CONST(15)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_RANGE                     15:15
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SHIFT                     _MK_SHIFT_CONST(14)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_RANGE                     14:14
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_RANGE                     13:13
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_RANGE                     12:12
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SHIFT                     _MK_SHIFT_CONST(11)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_RANGE                     11:11
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SHIFT                     _MK_SHIFT_CONST(10)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_RANGE                     10:10
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_RANGE                      9:9
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_RANGE                      8:8
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_RANGE                      7:7
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_RANGE                      6:6
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_RANGE                      5:5
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_RANGE                      4:4
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_RANGE                      3:3
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_RANGE                      2:2
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_RANGE                      1:1
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_RANGE                      0:0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0                 _MK_ADDR_CONST(0x993c)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_SECURE                  0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_DUAL                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_SCR                     EC_SCR_0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_WORD_COUNT                      0x1
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_MASK                      _MK_MASK_CONST(0x383fff)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_READ_MASK                       _MK_MASK_CONST(0x383fff)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_WRITE_MASK                      _MK_MASK_CONST(0x383fff)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_SHIFT                     _MK_SHIFT_CONST(21)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_RANGE                     21:21
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR21_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_SHIFT                     _MK_SHIFT_CONST(20)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_RANGE                     20:20
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR20_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_SHIFT                     _MK_SHIFT_CONST(19)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_RANGE                     19:19
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR19_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SHIFT                     _MK_SHIFT_CONST(13)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_RANGE                     13:13
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SHIFT                     _MK_SHIFT_CONST(12)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_RANGE                     12:12
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SHIFT                     _MK_SHIFT_CONST(11)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_RANGE                     11:11
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SHIFT                     _MK_SHIFT_CONST(10)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_FIELD                     _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_RANGE                     10:10
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_WOFFSET                   0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SHIFT                      _MK_SHIFT_CONST(9)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_RANGE                      9:9
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SHIFT                      _MK_SHIFT_CONST(8)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_RANGE                      8:8
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SHIFT                      _MK_SHIFT_CONST(7)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_RANGE                      7:7
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SHIFT                      _MK_SHIFT_CONST(6)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_RANGE                      6:6
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_RANGE                      5:5
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_RANGE                      4:4
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_RANGE                      3:3
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_RANGE                      2:2
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_RANGE                      1:1
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_RANGE                      0:0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0                  _MK_ADDR_CONST(0x9940)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_SECURE                   0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_DUAL                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_SCR                      EC_SCR_0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_WORD_COUNT                       0x1
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_VAL                        _MK_MASK_CONST(0x3fffff)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_MASK                       _MK_MASK_CONST(0x3fffff)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_READ_MASK                        _MK_MASK_CONST(0x3fffff)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_WRITE_MASK                       _MK_MASK_CONST(0x3fffff)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_RANGE                      21:21
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_RANGE                      20:20
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_RANGE                      19:19
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_RANGE                      18:18
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_RANGE                      17:17
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_RANGE                      16:16
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_RANGE                      15:15
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_RANGE                      14:14
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_RANGE                      13:13
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_RANGE                      12:12
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SHIFT                      _MK_SHIFT_CONST(11)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_RANGE                      11:11
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SHIFT                      _MK_SHIFT_CONST(10)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_RANGE                      10:10
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SHIFT                       _MK_SHIFT_CONST(9)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_RANGE                       9:9
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DISABLE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_ENABLE                      _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_RANGE                       8:8
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DISABLE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_ENABLE                      _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_RANGE                       7:7
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DISABLE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_ENABLE                      _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SHIFT                       _MK_SHIFT_CONST(6)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_RANGE                       6:6
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DISABLE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_ENABLE                      _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_RANGE                       5:5
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DISABLE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_ENABLE                      _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_RANGE                       4:4
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DISABLE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_ENABLE                      _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_RANGE                       3:3
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DISABLE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_ENABLE                      _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT                       _MK_SHIFT_CONST(2)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_RANGE                       2:2
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DISABLE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_ENABLE                      _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_RANGE                       1:1
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DISABLE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_ENABLE                      _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_RANGE                       0:0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DISABLE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_ENABLE                      _MK_ENUM_CONST(1)


// Register MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0                   _MK_ADDR_CONST(0x9944)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_SECURE                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_DUAL                      0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_SCR                       EC_SCR_0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_WORD_COUNT                        0x1
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_MASK                        _MK_MASK_CONST(0x3fffff)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_READ_MASK                         _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_WRITE_MASK                        _MK_MASK_CONST(0x3fffff)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SHIFT                       _MK_SHIFT_CONST(21)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_RANGE                       21:21
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR21_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SHIFT                       _MK_SHIFT_CONST(20)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_RANGE                       20:20
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR20_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SHIFT                       _MK_SHIFT_CONST(19)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_RANGE                       19:19
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR19_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SHIFT                       _MK_SHIFT_CONST(18)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_RANGE                       18:18
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR18_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SHIFT                       _MK_SHIFT_CONST(17)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_RANGE                       17:17
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR17_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SHIFT                       _MK_SHIFT_CONST(16)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_RANGE                       16:16
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR16_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SHIFT                       _MK_SHIFT_CONST(15)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_RANGE                       15:15
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR15_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SHIFT                       _MK_SHIFT_CONST(14)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_RANGE                       14:14
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR14_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SHIFT                       _MK_SHIFT_CONST(13)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_RANGE                       13:13
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR13_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SHIFT                       _MK_SHIFT_CONST(12)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_RANGE                       12:12
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR12_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SHIFT                       _MK_SHIFT_CONST(11)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_RANGE                       11:11
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR11_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SHIFT                       _MK_SHIFT_CONST(10)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_RANGE                       10:10
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR10_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SHIFT                        _MK_SHIFT_CONST(9)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_RANGE                        9:9
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR9_FORCE                        _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SHIFT                        _MK_SHIFT_CONST(8)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_RANGE                        8:8
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR8_FORCE                        _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SHIFT                        _MK_SHIFT_CONST(7)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_RANGE                        7:7
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR7_FORCE                        _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SHIFT                        _MK_SHIFT_CONST(6)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_RANGE                        6:6
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR6_FORCE                        _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_RANGE                        5:5
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FORCE                        _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_RANGE                        4:4
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FORCE                        _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_RANGE                        3:3
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FORCE                        _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_RANGE                        2:2
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FORCE                        _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_RANGE                        1:1
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FORCE                        _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_RANGE                        0:0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_NOFORCE                      _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FORCE                        _MK_ENUM_CONST(1)


// Register MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0                  _MK_ADDR_CONST(0x9948)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_SECURE                   0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_DUAL                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_SCR                      EC_SCR_0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_WORD_COUNT                       0x1
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_MASK                       _MK_MASK_CONST(0x3fffff)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_READ_MASK                        _MK_MASK_CONST(0x3fffff)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_WRITE_MASK                       _MK_MASK_CONST(0x3fffff)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SHIFT                      _MK_SHIFT_CONST(21)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_RANGE                      21:21
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR21_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SHIFT                      _MK_SHIFT_CONST(20)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_RANGE                      20:20
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR20_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SHIFT                      _MK_SHIFT_CONST(19)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_RANGE                      19:19
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR19_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SHIFT                      _MK_SHIFT_CONST(18)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_RANGE                      18:18
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR18_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SHIFT                      _MK_SHIFT_CONST(17)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_RANGE                      17:17
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR17_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_RANGE                      16:16
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR16_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SHIFT                      _MK_SHIFT_CONST(15)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_RANGE                      15:15
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR15_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SHIFT                      _MK_SHIFT_CONST(14)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_RANGE                      14:14
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR14_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SHIFT                      _MK_SHIFT_CONST(13)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_RANGE                      13:13
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR13_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SHIFT                      _MK_SHIFT_CONST(12)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_RANGE                      12:12
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR12_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SHIFT                      _MK_SHIFT_CONST(11)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_RANGE                      11:11
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR11_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SHIFT                      _MK_SHIFT_CONST(10)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_FIELD                      _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_RANGE                      10:10
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_WOFFSET                    0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR10_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SHIFT                       _MK_SHIFT_CONST(9)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_RANGE                       9:9
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR9_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SHIFT                       _MK_SHIFT_CONST(8)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_RANGE                       8:8
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR8_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SHIFT                       _MK_SHIFT_CONST(7)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_RANGE                       7:7
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR7_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SHIFT                       _MK_SHIFT_CONST(6)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_RANGE                       6:6
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR6_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_RANGE                       5:5
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_RANGE                       4:4
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_RANGE                       3:3
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT                       _MK_SHIFT_CONST(2)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_RANGE                       2:2
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_RANGE                       1:1
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_FIELD                       _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_RANGE                       0:0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_WOFFSET                     0x0
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Reserved address 0x994c

// Register MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0                    _MK_ADDR_CONST(0x9950)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_SECURE                     0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_DUAL                       0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_SCR                        EC_SCR_0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_WORD_COUNT                         0x1
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_MASK                         _MK_MASK_CONST(0x3fffff)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_READ_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_WRITE_MASK                         _MK_MASK_CONST(0x3fffff)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SHIFT                        _MK_SHIFT_CONST(21)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_RANGE                        21:21
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_NORELOAD                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR21_RELOAD                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SHIFT                        _MK_SHIFT_CONST(20)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_RANGE                        20:20
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_NORELOAD                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR20_RELOAD                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SHIFT                        _MK_SHIFT_CONST(19)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_RANGE                        19:19
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_NORELOAD                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR19_RELOAD                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SHIFT                        _MK_SHIFT_CONST(18)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_RANGE                        18:18
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_NORELOAD                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR18_RELOAD                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SHIFT                        _MK_SHIFT_CONST(17)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_RANGE                        17:17
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_NORELOAD                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR17_RELOAD                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SHIFT                        _MK_SHIFT_CONST(16)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_RANGE                        16:16
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_NORELOAD                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR16_RELOAD                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SHIFT                        _MK_SHIFT_CONST(15)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_RANGE                        15:15
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_NORELOAD                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR15_RELOAD                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SHIFT                        _MK_SHIFT_CONST(14)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_RANGE                        14:14
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_NORELOAD                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR14_RELOAD                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SHIFT                        _MK_SHIFT_CONST(13)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_RANGE                        13:13
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_NORELOAD                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR13_RELOAD                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SHIFT                        _MK_SHIFT_CONST(12)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_RANGE                        12:12
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_NORELOAD                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR12_RELOAD                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SHIFT                        _MK_SHIFT_CONST(11)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_RANGE                        11:11
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_NORELOAD                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR11_RELOAD                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SHIFT                        _MK_SHIFT_CONST(10)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_FIELD                        _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_RANGE                        10:10
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_WOFFSET                      0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_NORELOAD                     _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR10_RELOAD                       _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SHIFT                 _MK_SHIFT_CONST(9)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_FIELD                 _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_RANGE                 9:9
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_WOFFSET                       0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_NORELOAD                      _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR9_RELOAD                        _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SHIFT                 _MK_SHIFT_CONST(8)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_FIELD                 _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_RANGE                 8:8
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_WOFFSET                       0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_NORELOAD                      _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR8_RELOAD                        _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SHIFT                 _MK_SHIFT_CONST(7)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_FIELD                 _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_RANGE                 7:7
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_WOFFSET                       0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_NORELOAD                      _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR7_RELOAD                        _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SHIFT                 _MK_SHIFT_CONST(6)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_FIELD                 _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_RANGE                 6:6
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_WOFFSET                       0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_NORELOAD                      _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR6_RELOAD                        _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT                 _MK_SHIFT_CONST(5)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_FIELD                 _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RANGE                 5:5
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_WOFFSET                       0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_NORELOAD                      _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RELOAD                        _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT                 _MK_SHIFT_CONST(4)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_FIELD                 _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RANGE                 4:4
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_WOFFSET                       0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_NORELOAD                      _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RELOAD                        _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT                 _MK_SHIFT_CONST(3)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_FIELD                 _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RANGE                 3:3
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_WOFFSET                       0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_NORELOAD                      _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RELOAD                        _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RANGE                 2:2
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_WOFFSET                       0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_NORELOAD                      _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RELOAD                        _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RANGE                 1:1
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_WOFFSET                       0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_NORELOAD                      _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RELOAD                        _MK_ENUM_CONST(1)

#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RANGE                 0:0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_WOFFSET                       0x0
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_NORELOAD                      _MK_ENUM_CONST(0)
#define MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RELOAD                        _MK_ENUM_CONST(1)


// Reserved address 0x9954

// Reserved address 0x9958

// Reserved address 0x995c

// Register MC_HUBC_EC_FEATURE_0
#define MC_HUBC_EC_FEATURE_0                    _MK_ADDR_CONST(0x9a00)
#define MC_HUBC_EC_FEATURE_0_SECURE                     0x0
#define MC_HUBC_EC_FEATURE_0_DUAL                       0x0
#define MC_HUBC_EC_FEATURE_0_SCR                        EC_SCR_0
#define MC_HUBC_EC_FEATURE_0_WORD_COUNT                         0x1
#define MC_HUBC_EC_FEATURE_0_RESET_VAL                  _MK_MASK_CONST(0x50001)
#define MC_HUBC_EC_FEATURE_0_RESET_MASK                         _MK_MASK_CONST(0xffff003f)
#define MC_HUBC_EC_FEATURE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_FEATURE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_FEATURE_0_READ_MASK                  _MK_MASK_CONST(0xffff003f)
#define MC_HUBC_EC_FEATURE_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_FEATURE_0_NUM_ERR_SHIFT                      _MK_SHIFT_CONST(16)
#define MC_HUBC_EC_FEATURE_0_NUM_ERR_FIELD                      _MK_FIELD_CONST(0xffff, MC_HUBC_EC_FEATURE_0_NUM_ERR_SHIFT)
#define MC_HUBC_EC_FEATURE_0_NUM_ERR_RANGE                      31:16
#define MC_HUBC_EC_FEATURE_0_NUM_ERR_WOFFSET                    0x0
#define MC_HUBC_EC_FEATURE_0_NUM_ERR_DEFAULT                    _MK_MASK_CONST(0x5)
#define MC_HUBC_EC_FEATURE_0_NUM_ERR_DEFAULT_MASK                       _MK_MASK_CONST(0xffff)
#define MC_HUBC_EC_FEATURE_0_NUM_ERR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_FEATURE_0_NUM_ERR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_FEATURE_0_NUM_ERR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_FEATURE_0_NUM_ERR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUBC_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_HUBC_EC_FEATURE_0_NUM_ERR_SLICES_FIELD                       _MK_FIELD_CONST(0x3f, MC_HUBC_EC_FEATURE_0_NUM_ERR_SLICES_SHIFT)
#define MC_HUBC_EC_FEATURE_0_NUM_ERR_SLICES_RANGE                       5:0
#define MC_HUBC_EC_FEATURE_0_NUM_ERR_SLICES_WOFFSET                     0x0
#define MC_HUBC_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT                     _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_FEATURE_0_NUM_ERR_SLICES_DEFAULT_MASK                        _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_FEATURE_0_NUM_ERR_SLICES_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_FEATURE_0_NUM_ERR_SLICES_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register MC_HUBC_EC_SWRESET_0
#define MC_HUBC_EC_SWRESET_0                    _MK_ADDR_CONST(0x9a04)
#define MC_HUBC_EC_SWRESET_0_SECURE                     0x0
#define MC_HUBC_EC_SWRESET_0_DUAL                       0x0
#define MC_HUBC_EC_SWRESET_0_SCR                        EC_SCR_0
#define MC_HUBC_EC_SWRESET_0_WORD_COUNT                         0x1
#define MC_HUBC_EC_SWRESET_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_SWRESET_0_RESET_MASK                         _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_SWRESET_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_SWRESET_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_SWRESET_0_READ_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_SWRESET_0_WRITE_MASK                         _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_SWRESET_0_SWRST_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_HUBC_EC_SWRESET_0_SWRST_FIELD                        _MK_FIELD_CONST(0x1, MC_HUBC_EC_SWRESET_0_SWRST_SHIFT)
#define MC_HUBC_EC_SWRESET_0_SWRST_RANGE                        0:0
#define MC_HUBC_EC_SWRESET_0_SWRST_WOFFSET                      0x0
#define MC_HUBC_EC_SWRESET_0_SWRST_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_SWRESET_0_SWRST_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_SWRESET_0_SWRST_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_SWRESET_0_SWRST_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_SWRESET_0_SWRST_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_SWRESET_0_SWRST_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register MC_HUBC_EC_MISSIONERR_TYPE_0
#define MC_HUBC_EC_MISSIONERR_TYPE_0                    _MK_ADDR_CONST(0x9a08)
#define MC_HUBC_EC_MISSIONERR_TYPE_0_SECURE                     0x0
#define MC_HUBC_EC_MISSIONERR_TYPE_0_DUAL                       0x0
#define MC_HUBC_EC_MISSIONERR_TYPE_0_SCR                        EC_SCR_0
#define MC_HUBC_EC_MISSIONERR_TYPE_0_WORD_COUNT                         0x1
#define MC_HUBC_EC_MISSIONERR_TYPE_0_RESET_VAL                  _MK_MASK_CONST(0x5)
#define MC_HUBC_EC_MISSIONERR_TYPE_0_RESET_MASK                         _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_MISSIONERR_TYPE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_TYPE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_TYPE_0_READ_MASK                  _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_MISSIONERR_TYPE_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_TYPE_0_CODE_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_HUBC_EC_MISSIONERR_TYPE_0_CODE_FIELD                 _MK_FIELD_CONST(0x3f, MC_HUBC_EC_MISSIONERR_TYPE_0_CODE_SHIFT)
#define MC_HUBC_EC_MISSIONERR_TYPE_0_CODE_RANGE                 5:0
#define MC_HUBC_EC_MISSIONERR_TYPE_0_CODE_WOFFSET                       0x0
#define MC_HUBC_EC_MISSIONERR_TYPE_0_CODE_DEFAULT                       _MK_MASK_CONST(0x5)
#define MC_HUBC_EC_MISSIONERR_TYPE_0_CODE_DEFAULT_MASK                  _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_TYPE_0_CODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_TYPE_0_CODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_TYPE_0_CODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_HUBC_EC_CURRENT_COUNTER_VALUE_0
#define MC_HUBC_EC_CURRENT_COUNTER_VALUE_0                      _MK_ADDR_CONST(0x9a0c)
#define MC_HUBC_EC_CURRENT_COUNTER_VALUE_0_SECURE                       0x0
#define MC_HUBC_EC_CURRENT_COUNTER_VALUE_0_DUAL                         0x0
#define MC_HUBC_EC_CURRENT_COUNTER_VALUE_0_SCR                  EC_SCR_0
#define MC_HUBC_EC_CURRENT_COUNTER_VALUE_0_WORD_COUNT                   0x1
#define MC_HUBC_EC_CURRENT_COUNTER_VALUE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_CURRENT_COUNTER_VALUE_0_RESET_MASK                   _MK_MASK_CONST(0x1ff)
#define MC_HUBC_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_CURRENT_COUNTER_VALUE_0_READ_MASK                    _MK_MASK_CONST(0x1ff)
#define MC_HUBC_EC_CURRENT_COUNTER_VALUE_0_WRITE_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_HUBC_EC_CURRENT_COUNTER_VALUE_0_VALUE_FIELD                  _MK_FIELD_CONST(0x1ff, MC_HUBC_EC_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT)
#define MC_HUBC_EC_CURRENT_COUNTER_VALUE_0_VALUE_RANGE                  8:0
#define MC_HUBC_EC_CURRENT_COUNTER_VALUE_0_VALUE_WOFFSET                        0x0
#define MC_HUBC_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT_MASK                   _MK_MASK_CONST(0x1ff)
#define MC_HUBC_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_CURRENT_COUNTER_VALUE_0_VALUE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_CURRENT_COUNTER_VALUE_0_VALUE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_HUBC_EC_MISSIONERR_USERVALUE_0
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0                       _MK_ADDR_CONST(0x9a10)
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0_SECURE                        0x0
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0_DUAL                  0x0
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0_SCR                   EC_SCR_0
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0_WORD_COUNT                    0x1
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0_RESET_VAL                     _MK_MASK_CONST(0xdead0000)
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0_VALUE_SHIFT                   _MK_SHIFT_CONST(0)
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0_VALUE_FIELD                   _MK_FIELD_CONST(0xffffffff, MC_HUBC_EC_MISSIONERR_USERVALUE_0_VALUE_SHIFT)
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0_VALUE_RANGE                   31:0
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0_VALUE_WOFFSET                 0x0
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0_VALUE_DEFAULT                 _MK_MASK_CONST(0xdead0000)
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0_VALUE_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0_VALUE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0_VALUE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0_VALUE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0_VALUE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_MISSIONERR_USERVALUE_0_VALUE_INIT_ENUM                       -559087616


// Register MC_HUBC_EC_MISSIONERR_INDEX_0
#define MC_HUBC_EC_MISSIONERR_INDEX_0                   _MK_ADDR_CONST(0x9a14)
#define MC_HUBC_EC_MISSIONERR_INDEX_0_SECURE                    0x0
#define MC_HUBC_EC_MISSIONERR_INDEX_0_DUAL                      0x0
#define MC_HUBC_EC_MISSIONERR_INDEX_0_SCR                       EC_SCR_0
#define MC_HUBC_EC_MISSIONERR_INDEX_0_WORD_COUNT                        0x1
#define MC_HUBC_EC_MISSIONERR_INDEX_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_INDEX_0_RESET_MASK                        _MK_MASK_CONST(0x7)
#define MC_HUBC_EC_MISSIONERR_INDEX_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_INDEX_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_INDEX_0_READ_MASK                         _MK_MASK_CONST(0x7)
#define MC_HUBC_EC_MISSIONERR_INDEX_0_WRITE_MASK                        _MK_MASK_CONST(0x7)
#define MC_HUBC_EC_MISSIONERR_INDEX_0_IDX_SHIFT                 _MK_SHIFT_CONST(0)
#define MC_HUBC_EC_MISSIONERR_INDEX_0_IDX_FIELD                 _MK_FIELD_CONST(0x7, MC_HUBC_EC_MISSIONERR_INDEX_0_IDX_SHIFT)
#define MC_HUBC_EC_MISSIONERR_INDEX_0_IDX_RANGE                 2:0
#define MC_HUBC_EC_MISSIONERR_INDEX_0_IDX_WOFFSET                       0x0
#define MC_HUBC_EC_MISSIONERR_INDEX_0_IDX_DEFAULT                       _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_INDEX_0_IDX_DEFAULT_MASK                  _MK_MASK_CONST(0x7)
#define MC_HUBC_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_INDEX_0_IDX_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_INDEX_0_IDX_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_MISSIONERR_INDEX_0_IDX_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register MC_HUBC_EC_CORRECTABLE_THRESHOLD_0
#define MC_HUBC_EC_CORRECTABLE_THRESHOLD_0                      _MK_ADDR_CONST(0x9a18)
#define MC_HUBC_EC_CORRECTABLE_THRESHOLD_0_SECURE                       0x0
#define MC_HUBC_EC_CORRECTABLE_THRESHOLD_0_DUAL                         0x0
#define MC_HUBC_EC_CORRECTABLE_THRESHOLD_0_SCR                  EC_SCR_0
#define MC_HUBC_EC_CORRECTABLE_THRESHOLD_0_WORD_COUNT                   0x1
#define MC_HUBC_EC_CORRECTABLE_THRESHOLD_0_RESET_VAL                    _MK_MASK_CONST(0xff)
#define MC_HUBC_EC_CORRECTABLE_THRESHOLD_0_RESET_MASK                   _MK_MASK_CONST(0xff)
#define MC_HUBC_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_CORRECTABLE_THRESHOLD_0_READ_MASK                    _MK_MASK_CONST(0xff)
#define MC_HUBC_EC_CORRECTABLE_THRESHOLD_0_WRITE_MASK                   _MK_MASK_CONST(0xff)
#define MC_HUBC_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT                  _MK_SHIFT_CONST(0)
#define MC_HUBC_EC_CORRECTABLE_THRESHOLD_0_COUNT_FIELD                  _MK_FIELD_CONST(0xff, MC_HUBC_EC_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT)
#define MC_HUBC_EC_CORRECTABLE_THRESHOLD_0_COUNT_RANGE                  7:0
#define MC_HUBC_EC_CORRECTABLE_THRESHOLD_0_COUNT_WOFFSET                        0x0
#define MC_HUBC_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT                        _MK_MASK_CONST(0xff)
#define MC_HUBC_EC_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define MC_HUBC_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_CORRECTABLE_THRESHOLD_0_COUNT_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_CORRECTABLE_THRESHOLD_0_COUNT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0                   _MK_ADDR_CONST(0x9a1c)
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_SECURE                    0x0
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_DUAL                      0x0
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_SCR                       EC_SCR_0
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_WORD_COUNT                        0x1
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_RESET_MASK                        _MK_MASK_CONST(0xff)
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_READ_MASK                         _MK_MASK_CONST(0xff)
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_WRITE_MASK                        _MK_MASK_CONST(0xff)
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_FIELD                       _MK_FIELD_CONST(0xff, MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT)
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_RANGE                       7:0
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_WOFFSET                     0x0
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_LOCK                        _MK_ENUM_CONST(0)
#define MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0_VALUE_UNLOCK                      _MK_ENUM_CONST(225)


// Reserved address 0x9a20

// Reserved address 0x9a24

// Reserved address 0x9a28

// Reserved address 0x9a2c

// Register MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0                        _MK_ADDR_CONST(0x9a30)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SECURE                         0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_DUAL                   0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SCR                    EC_SCR_0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WORD_COUNT                     0x1
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_VAL                      _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_MASK                     _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_READ_MASK                      _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_WRITE_MASK                     _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_FIELD                     _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_RANGE                     5:5
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_WOFFSET                   0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_FIELD                     _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_RANGE                     4:4
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_WOFFSET                   0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_FIELD                     _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_RANGE                     3:3
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_WOFFSET                   0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_FIELD                     _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_RANGE                     2:2
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_WOFFSET                   0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_FIELD                     _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_RANGE                     1:1
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_WOFFSET                   0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_FIELD                     _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_RANGE                     0:0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_WOFFSET                   0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT                   _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0                 _MK_ADDR_CONST(0x9a34)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_SECURE                  0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_DUAL                    0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_SCR                     EC_SCR_0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_WORD_COUNT                      0x1
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_RESET_MASK                      _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_READ_MASK                       _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_WRITE_MASK                      _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FIELD                      _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_RANGE                      5:5
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_WOFFSET                    0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_NOFORCE                    _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FORCE                      _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FIELD                      _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_RANGE                      4:4
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_WOFFSET                    0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_NOFORCE                    _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FORCE                      _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FIELD                      _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_RANGE                      3:3
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_WOFFSET                    0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_NOFORCE                    _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FORCE                      _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FIELD                      _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_RANGE                      2:2
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_WOFFSET                    0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_NOFORCE                    _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FORCE                      _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FIELD                      _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_RANGE                      1:1
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_WOFFSET                    0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_NOFORCE                    _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FORCE                      _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FIELD                      _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_RANGE                      0:0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_WOFFSET                    0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_NOFORCE                    _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FORCE                      _MK_ENUM_CONST(1)


// Register MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0                        _MK_ADDR_CONST(0x9a38)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_SECURE                         0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_DUAL                   0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_SCR                    EC_SCR_0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_WORD_COUNT                     0x1
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_READ_MASK                      _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_FIELD                     _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_RANGE                     5:5
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_WOFFSET                   0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_FIELD                     _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_RANGE                     4:4
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_WOFFSET                   0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT                     _MK_SHIFT_CONST(3)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_FIELD                     _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_RANGE                     3:3
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_WOFFSET                   0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT                     _MK_SHIFT_CONST(2)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_FIELD                     _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_RANGE                     2:2
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_WOFFSET                   0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT                     _MK_SHIFT_CONST(1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_FIELD                     _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_RANGE                     1:1
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_WOFFSET                   0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_FIELD                     _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_RANGE                     0:0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_WOFFSET                   0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0                        _MK_ADDR_CONST(0x9a3c)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_SECURE                         0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_DUAL                   0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_SCR                    EC_SCR_0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_WORD_COUNT                     0x1
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_RESET_MASK                     _MK_MASK_CONST(0x31)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_READ_MASK                      _MK_MASK_CONST(0x31)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_WRITE_MASK                     _MK_MASK_CONST(0x31)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SHIFT                     _MK_SHIFT_CONST(5)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_FIELD                     _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_RANGE                     5:5
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_WOFFSET                   0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SHIFT                     _MK_SHIFT_CONST(4)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_FIELD                     _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_RANGE                     4:4
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_WOFFSET                   0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_ENABLE                    _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT                     _MK_SHIFT_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_FIELD                     _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_RANGE                     0:0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_WOFFSET                   0x0
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DISABLE                   _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_ENABLE                    _MK_ENUM_CONST(1)


// Register MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0                 _MK_ADDR_CONST(0x9a40)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_SECURE                  0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_DUAL                    0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_SCR                     EC_SCR_0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_WORD_COUNT                      0x1
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_VAL                       _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_RESET_MASK                      _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_READ_MASK                       _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_WRITE_MASK                      _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_FIELD                      _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_RANGE                      5:5
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_WOFFSET                    0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_FIELD                      _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_RANGE                      4:4
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_WOFFSET                    0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_FIELD                      _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_RANGE                      3:3
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_WOFFSET                    0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_FIELD                      _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_RANGE                      2:2
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_WOFFSET                    0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_FIELD                      _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_RANGE                      1:1
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_WOFFSET                    0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_ENABLE                     _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_FIELD                      _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_RANGE                      0:0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_WOFFSET                    0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT                    _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DISABLE                    _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_ENABLE                     _MK_ENUM_CONST(1)


// Register MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0                  _MK_ADDR_CONST(0x9a44)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_SECURE                   0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_DUAL                     0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_SCR                      EC_SCR_0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_WORD_COUNT                       0x1
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_RESET_MASK                       _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_READ_MASK                        _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_WRITE_MASK                       _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT                       _MK_SHIFT_CONST(5)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FIELD                       _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_RANGE                       5:5
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_WOFFSET                     0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT                       _MK_SHIFT_CONST(4)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FIELD                       _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_RANGE                       4:4
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_WOFFSET                     0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT                       _MK_SHIFT_CONST(3)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FIELD                       _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_RANGE                       3:3
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_WOFFSET                     0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT                       _MK_SHIFT_CONST(2)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FIELD                       _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_RANGE                       2:2
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_WOFFSET                     0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT                       _MK_SHIFT_CONST(1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FIELD                       _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_RANGE                       1:1
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_WOFFSET                     0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FORCE                       _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT                       _MK_SHIFT_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FIELD                       _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_RANGE                       0:0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_WOFFSET                     0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT                     _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_NOFORCE                     _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FORCE                       _MK_ENUM_CONST(1)


// Register MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0                 _MK_ADDR_CONST(0x9a48)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_SECURE                  0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_DUAL                    0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_SCR                     EC_SCR_0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_WORD_COUNT                      0x1
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_RESET_MASK                      _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_READ_MASK                       _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_WRITE_MASK                      _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT                      _MK_SHIFT_CONST(5)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_FIELD                      _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_RANGE                      5:5
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_WOFFSET                    0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT                      _MK_SHIFT_CONST(4)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_FIELD                      _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_RANGE                      4:4
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_WOFFSET                    0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT                      _MK_SHIFT_CONST(3)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_FIELD                      _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_RANGE                      3:3
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_WOFFSET                    0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT                      _MK_SHIFT_CONST(2)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_FIELD                      _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_RANGE                      2:2
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_WOFFSET                    0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT                      _MK_SHIFT_CONST(1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_FIELD                      _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_RANGE                      1:1
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_WOFFSET                    0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT                      _MK_SHIFT_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_FIELD                      _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_RANGE                      0:0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_WOFFSET                    0x0
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Reserved address 0x9a4c

// Register MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0                   _MK_ADDR_CONST(0x9a50)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_SECURE                    0x0
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_DUAL                      0x0
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_SCR                       EC_SCR_0
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_WORD_COUNT                        0x1
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_RESET_MASK                        _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_READ_MASK                         _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_WRITE_MASK                        _MK_MASK_CONST(0x3f)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT                        _MK_SHIFT_CONST(5)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_FIELD                        _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RANGE                        5:5
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_WOFFSET                      0x0
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_NORELOAD                     _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RELOAD                       _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT                        _MK_SHIFT_CONST(4)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_FIELD                        _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RANGE                        4:4
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_WOFFSET                      0x0
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_NORELOAD                     _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RELOAD                       _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT                        _MK_SHIFT_CONST(3)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_FIELD                        _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RANGE                        3:3
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_WOFFSET                      0x0
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_NORELOAD                     _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RELOAD                       _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT                        _MK_SHIFT_CONST(2)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_FIELD                        _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RANGE                        2:2
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_WOFFSET                      0x0
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_NORELOAD                     _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RELOAD                       _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT                        _MK_SHIFT_CONST(1)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_FIELD                        _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RANGE                        1:1
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_WOFFSET                      0x0
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_NORELOAD                     _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RELOAD                       _MK_ENUM_CONST(1)

#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT                        _MK_SHIFT_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_FIELD                        _MK_FIELD_CONST(0x1, MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RANGE                        0:0
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_WOFFSET                      0x0
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT                      _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_NORELOAD                     _MK_ENUM_CONST(0)
#define MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RELOAD                       _MK_ENUM_CONST(1)


// Reserved address 0x9a54

// Reserved address 0x9a58

// Reserved address 0x9a5c

//
// REGISTER LIST
//
#define LIST_ARMC_REGS(_op_) \
_op_(MC_MCF_ORSPX_RDRSP_0) \
_op_(MC_MCF_ORSPX_WRRSP_0) \
_op_(MC_MCF_IRSPX_RDRSP_OPT_0) \
_op_(MC_MCF_ORSPX_CLKEN_OVERRIDE_0) \
_op_(MC_MCF_IRSPX_CLKEN_OVERRIDE_0) \
_op_(MC_MCF_ORSPX_PM_FIFO_SRC_MATCH_0) \
_op_(MC_MCF_ORSPX_PM_FIFO_CONFIG_0) \
_op_(MC_MCF_IRSPX_PM_FIFO_SRC_MATCH_0) \
_op_(MC_MCF_ORSPX_ARB_CONFIG_0) \
_op_(MC_MCF_IREQX_VCARB_CONFIG_0) \
_op_(MC_MCF_OREQX_VCARB_CONFIG_0) \
_op_(MC_MCF_OREQX_LLARB_CONFIG_0) \
_op_(MC_MCF_IREQX_SRC_WEIGHT_0_0) \
_op_(MC_MCF_IREQX_SRC_WEIGHT_1_0) \
_op_(MC_MCF_IREQX_CLKEN_OVERRIDE_0) \
_op_(MC_MCF_OREQX_CLKEN_OVERRIDE_0) \
_op_(MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0) \
_op_(MC_MCF_IREQX_PM_FIFO_SRC_MATCH1_0) \
_op_(MC_MCF_IREQX_PM_FIFO_SUM_MSK_0) \
_op_(MC_MCF_IREQX_PM_FIFO_SRC_MISC_0) \
_op_(MC_MCF_OREQX_PM_FIFO_SRC_MATCH0_0) \
_op_(MC_MCF_OREQX_PM_FIFO_SRC_MATCH1_0) \
_op_(MC_MCF_OREQX_PM_FIFO_SUM_MSK_0) \
_op_(MC_MCF_OREQX_PM_FIFO_SRC_MISC_0) \
_op_(MC_MCF_OREQX_STAT_CONTROL_0) \
_op_(MC_MCF_OREQX_STAT_MATCH0_COUNT_LO_0) \
_op_(MC_MCF_OREQX_STAT_MATCH0_COUNT_HI_0) \
_op_(MC_MCF_OREQX_STAT_MATCH1_COUNT_LO_0) \
_op_(MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0) \
_op_(MC_MCF_IREQX_HUB_FIFO_NISO_0) \
_op_(MC_MCF_IREQX_HUB_FIFO_SISO_0) \
_op_(MC_MCF_IREQX_HUB_FIFO_ISO_0) \
_op_(MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0) \
_op_(MC_MCF_IREQX_HUB_FIFO_ORD_1_0) \
_op_(MC_MCF_IREQX_HUB_FIFO_ORD_2_0) \
_op_(MC_MCF_IREQX_HUB_FIFO_ORD_3_0) \
_op_(MC_MCF_IREQX_HUB_FIFO_SHARED_0) \
_op_(MC_MCF_IREQX_NVL_FIFO_NISO_0) \
_op_(MC_MCF_IREQX_NVL_FIFO_SISO_0) \
_op_(MC_MCF_IREQX_NVL_FIFO_ISO_0) \
_op_(MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0) \
_op_(MC_MCF_IREQX_NVL_FIFO_ORD_1_0) \
_op_(MC_MCF_IREQX_NVL_FIFO_ORD_2_0) \
_op_(MC_MCF_IREQX_NVL_FIFO_ORD_3_0) \
_op_(MC_MCF_IREQX_NVL_FIFO_SHARED_0) \
_op_(MC_MCF_OREQX_MCF_FIFO_NISO_0) \
_op_(MC_MCF_OREQX_MCF_FIFO_SISO_0) \
_op_(MC_MCF_OREQX_MCF_FIFO_ISO_0) \
_op_(MC_MCF_OREQX_MCF_FIFO_CPU_LL_0) \
_op_(MC_MCF_OREQX_MCF_FIFO_NISO_REMOTE_0) \
_op_(MC_MCF_OREQX_MCF_FIFO_SHARED_0) \
_op_(MC_MCF_OREQX_SCF_FIFO_NISO_0) \
_op_(MC_MCF_OREQX_SCF_FIFO_SISO_0) \
_op_(MC_MCF_OREQX_SCF_FIFO_ISO_0) \
_op_(MC_MCF_OREQX_SCF_FIFO_CPU_LL_0) \
_op_(MC_MCF_OREQX_SCF_FIFO_NISO_REMOTE_0) \
_op_(MC_MCF_OREQX_SCF_FIFO_SHARED_0) \
_op_(MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0) \
_op_(MC_MCF_SLICE_CFG_0) \
_op_(MC_MCF_SLICE_FL_NISO_LIMIT_0) \
_op_(MC_MCF_SLICE_FL_SISO_LIMIT_0) \
_op_(MC_MCF_SLICE_FL_ISO_LIMIT_0) \
_op_(MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0) \
_op_(MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0) \
_op_(MC_MCF_SLICE_FL_ORD1_LIMIT_0) \
_op_(MC_MCF_SLICE_FL_ORD2_LIMIT_0) \
_op_(MC_MCF_SLICE_FL_ORD3_LIMIT_0) \
_op_(MC_MCF_SLICE_CLKEN_OVERRIDE_0) \
_op_(MC_MSS_SYSRAM_INIT_0) \
_op_(MC_MSS_SYSRAM_CLKEN_OVERRIDE_0) \
_op_(MC_MSS_SBS_ASYNC_0) \
_op_(MC_MSS_SBS_ARB_0) \
_op_(MC_MSS_SBS_INTSTATUS_0) \
_op_(MC_MSS_SBS_INTMASK_0) \
_op_(MC_MSS_SBS_CLKEN_OVERRIDE_0) \
_op_(MC_MSS_SBS_VC_LIMIT_0) \
_op_(MC_REGIF_CONFIG_0) \
_op_(MC_REGIF_CONFIG_1_0) \
_op_(MC_REGIF_CONFIG_2_0) \
_op_(MC_REGIF_BROADCAST_0) \
_op_(MC_REGIF_BROADCAST_1_0) \
_op_(MC_REGIF_BROADCAST_2_0) \
_op_(MC_REGIF_UNICAST0_0) \
_op_(MC_REGIF_UNICAST0_1_0) \
_op_(MC_REGIF_UNICAST0_2_0) \
_op_(MC_REGIF_UNICAST1_0) \
_op_(MC_REGIF_UNICAST1_1_0) \
_op_(MC_REGIF_UNICAST1_2_0) \
_op_(MC_REGIF_UNICAST2_0) \
_op_(MC_REGIF_UNICAST2_1_0) \
_op_(MC_REGIF_UNICAST2_2_0) \
_op_(MC_REGIF_UNICAST3_0) \
_op_(MC_REGIF_UNICAST3_1_0) \
_op_(MC_REGIF_UNICAST3_2_0) \
_op_(MC_REGIF_UNICAST4_0) \
_op_(MC_REGIF_UNICAST4_1_0) \
_op_(MC_REGIF_UNICAST4_2_0) \
_op_(MC_REGIF_UNICAST5_0) \
_op_(MC_REGIF_UNICAST5_1_0) \
_op_(MC_REGIF_UNICAST5_2_0) \
_op_(MC_REGIF_UNICAST6_0) \
_op_(MC_REGIF_UNICAST6_1_0) \
_op_(MC_REGIF_UNICAST6_2_0) \
_op_(MC_REGIF_UNICAST7_0) \
_op_(MC_REGIF_UNICAST7_1_0) \
_op_(MC_REGIF_UNICAST7_2_0) \
_op_(MC_REGIF_UNICAST8_0) \
_op_(MC_REGIF_UNICAST8_1_0) \
_op_(MC_REGIF_UNICAST8_2_0) \
_op_(MC_REGIF_UNICAST9_0) \
_op_(MC_REGIF_UNICAST9_1_0) \
_op_(MC_REGIF_UNICAST9_2_0) \
_op_(MC_REGIF_UNICAST10_0) \
_op_(MC_REGIF_UNICAST10_1_0) \
_op_(MC_REGIF_UNICAST10_2_0) \
_op_(MC_REGIF_UNICAST11_0) \
_op_(MC_REGIF_UNICAST11_1_0) \
_op_(MC_REGIF_UNICAST11_2_0) \
_op_(MC_REGIF_UNICAST12_0) \
_op_(MC_REGIF_UNICAST12_1_0) \
_op_(MC_REGIF_UNICAST12_2_0) \
_op_(MC_REGIF_UNICAST13_0) \
_op_(MC_REGIF_UNICAST13_1_0) \
_op_(MC_REGIF_UNICAST13_2_0) \
_op_(MC_REGIF_UNICAST14_0) \
_op_(MC_REGIF_UNICAST14_1_0) \
_op_(MC_REGIF_UNICAST14_2_0) \
_op_(MC_REGIF_UNICAST15_0) \
_op_(MC_REGIF_UNICAST15_1_0) \
_op_(MC_REGIF_UNICAST15_2_0) \
_op_(MC_INTSTATUS_0) \
_op_(MC_INTMASK_0) \
_op_(MC_INTPRIORITY_0) \
_op_(MC_HUBC_INTSTATUS_0) \
_op_(MC_HUB_INTMASK_0) \
_op_(MC_HUB_INTPRIORITY_0) \
_op_(MC_HUB_INTSTATUS_0) \
_op_(MC_GLOBAL_INTSTATUS_0) \
_op_(MC_GLOBAL_CRITICAL_INTSTATUS_0) \
_op_(MC_GLOBAL_INTSTATUS_1_0) \
_op_(MC_GLOBAL_CRITICAL_INTSTATUS_1_0) \
_op_(MC_ERR_STATUS_0) \
_op_(MC_ERR_ADR_0) \
_op_(MC_ERR_ADR_HI_0) \
_op_(MC_SMMU_CONFIG_0) \
_op_(MC_SMMU_TLB_CONFIG_0) \
_op_(MC_SMMU_PTC_CONFIG_0) \
_op_(MC_SMMU_TCU_WRAP_CONFIG_0) \
_op_(MC_SMMU_PTB_ASID_0) \
_op_(MC_SMMU_PTB_DATA_0) \
_op_(MC_SMMU_TLB_FLUSH_0) \
_op_(MC_SMMU_PTC_FLUSH_0) \
_op_(MC_SMMU_PTC_FLUSH_1_0) \
_op_(MC_SMMU_ASID_SECURITY_0) \
_op_(MC_SMMU_ASID_SECURITY_1_0) \
_op_(MC_SMMU_ASID_SECURITY_2_0) \
_op_(MC_SMMU_ASID_SECURITY_3_0) \
_op_(MC_SMMU_ASID_SECURITY_4_0) \
_op_(MC_SMMU_ASID_SECURITY_5_0) \
_op_(MC_SMMU_ASID_SECURITY_6_0) \
_op_(MC_SMMU_ASID_SECURITY_7_0) \
_op_(MC_SMMU_CLIENT_CONFIG0_0) \
_op_(MC_SMMU_CLIENT_CONFIG1_0) \
_op_(MC_SMMU_CLIENT_CONFIG2_0) \
_op_(MC_SMMU_CLIENT_CONFIG3_0) \
_op_(MC_SMMU_CLIENT_CONFIG4_0) \
_op_(MC_SMMU_CLIENT_CONFIG5_0) \
_op_(MC_SMMU_CLIENT_CONFIG6_0) \
_op_(MC_SMMU_CLIENT_CONFIG7_0) \
_op_(MC_PCFIFO_CLIENT_CONFIG0_0) \
_op_(MC_PCFIFO_CLIENT_CONFIG1_0) \
_op_(MC_PCFIFO_CLIENT_CONFIG2_0) \
_op_(MC_PCFIFO_CLIENT_CONFIG3_0) \
_op_(MC_PCFIFO_CLIENT_CONFIG4_0) \
_op_(MC_PCFIFO_CLIENT_CONFIG5_0) \
_op_(MC_PCFIFO_CLIENT_CONFIG6_0) \
_op_(MC_PCFIFO_CLIENT_CONFIG7_0) \
_op_(MC_EMEM_CFG_0) \
_op_(MC_EMEM_ADR_CFG_0) \
_op_(MC_EMEM_ADR_CFG_DEV0_0) \
_op_(MC_EMEM_ADR_CFG_DEV1_0) \
_op_(MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0) \
_op_(MC_EMEM_ADR_CFG_CHANNEL_MASK_0) \
_op_(MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0) \
_op_(MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0) \
_op_(MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0) \
_op_(MC_EMEM_ADR_CFG_BANK_MASK_0_0) \
_op_(MC_EMEM_ADR_CFG_BANK_MASK_1_0) \
_op_(MC_EMEM_ADR_CFG_BANK_MASK_2_0) \
_op_(MC_SECURITY_CFG0_0) \
_op_(MC_SECURITY_CFG1_0) \
_op_(MC_SECURITY_CFG_REG_CTRL_0) \
_op_(MC_SECURITY_CFG3_0) \
_op_(MC_SECURITY_RSV_0) \
_op_(MC_EMEM_ARB_CFG_0) \
_op_(MC_EMEM_ARB_OUTSTANDING_REQ_0) \
_op_(MC_EMEM_ARB_TIMING_RCD_0) \
_op_(MC_EMEM_ARB_TIMING_RP_0) \
_op_(MC_EMEM_ARB_TIMING_RC_0) \
_op_(MC_EMEM_ARB_TIMING_RAS_0) \
_op_(MC_EMEM_ARB_TIMING_FAW_0) \
_op_(MC_EMEM_ARB_TIMING_RRD_0) \
_op_(MC_EMEM_ARB_TIMING_RAP2PRE_0) \
_op_(MC_EMEM_ARB_TIMING_WAP2PRE_0) \
_op_(MC_EMEM_ARB_TIMING_R2R_0) \
_op_(MC_EMEM_ARB_TIMING_W2W_0) \
_op_(MC_EMEM_ARB_TIMING_R2W_0) \
_op_(MC_EMEM_ARB_TIMING_W2R_0) \
_op_(MC_EMEM_ARB_TIMING_RFCPB_0) \
_op_(MC_EMEM_ARB_TIMING_CCDMW_0) \
_op_(MC_EMEM_ARB_TIMING_PBR2PBR_0) \
_op_(MC_EMEM_ARB_TIMING_PDEX_0) \
_op_(MC_EMEM_ARB_TIMING_SREX_0) \
_op_(MC_EMEM_ARB_REFPB_HP_CTRL_0) \
_op_(MC_EMEM_ARB_REFPB_BANK_CTRL_0) \
_op_(MC_EMEM_ARB_DA_TURNS_0) \
_op_(MC_EMEM_ARB_DA_COVERS_0) \
_op_(MC_EMEM_ARB_DA_HYSTERESIS_0) \
_op_(MC_EMEM_ARB_MISC0_0) \
_op_(MC_EMEM_ARB_MISC1_0) \
_op_(MC_EMEM_ARB_MISC2_0) \
_op_(MC_EMEM_ARB_MISC3_0) \
_op_(MC_EMEM_ARB_MISC4_0) \
_op_(MC_EMEM_ARB_RING1_THROTTLE_0) \
_op_(MC_EMEM_ARB_RING3_THROTTLE_0) \
_op_(MC_EMEM_ARB_NISO_THROTTLE_0) \
_op_(MC_EMEM_ARB_OVERRIDE_0) \
_op_(MC_EMEM_ARB_RSV_0) \
_op_(MC_CLKEN_OVERRIDE_0) \
_op_(MC_HUB_CLKEN_OVERRIDE_0) \
_op_(MC_HUB_VCTHROTTLE_OVERRIDE_0) \
_op_(MC_HUB_HUB2MCF_REQ_DDA_RATE_0) \
_op_(MC_HUBORD_HUB2MCF_REQ_DDA_RATE_0) \
_op_(MC_HUBINT_HUB2MCF_REQ_DDA_RATE_0) \
_op_(MC_HUB_HUB2MCF_REQ_DDA_MAX_0) \
_op_(MC_HUBORD_HUB2MCF_REQ_DDA_MAX_0) \
_op_(MC_HUBINT_HUB2MCF_REQ_DDA_MAX_0) \
_op_(MC_HUB2MCF_REQ_DDA_ENABLE_0) \
_op_(MC_CLKEN_A1_OVERRIDE_0) \
_op_(MC_TIMING_CONTROL_DBG_0) \
_op_(MC_TIMING_CONTROL_0) \
_op_(MC_STAT_CONTROL_0) \
_op_(MC_STAT_STATUS_0) \
_op_(MC_STAT_EMC_CLOCK_LIMIT_0) \
_op_(MC_STAT_EMC_CLOCK_LIMIT_MSBS_0) \
_op_(MC_STAT_EMC_CLOCKS_0) \
_op_(MC_STAT_EMC_CLOCKS_MSBS_0) \
_op_(MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0) \
_op_(MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0) \
_op_(MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0) \
_op_(MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0) \
_op_(MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0) \
_op_(MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0) \
_op_(MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0) \
_op_(MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0) \
_op_(MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0) \
_op_(MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0) \
_op_(MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0) \
_op_(MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0) \
_op_(MC_STAT_EMC_FILTER_SET0_ASID_0) \
_op_(MC_STAT_EMC_FILTER_SET1_ASID_0) \
_op_(MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0) \
_op_(MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0) \
_op_(MC_STAT_EMC_FILTER_SET0_CLIENT_0_0) \
_op_(MC_STAT_EMC_FILTER_SET1_CLIENT_0_0) \
_op_(MC_STAT_EMC_FILTER_SET0_CLIENT_1_0) \
_op_(MC_STAT_EMC_FILTER_SET1_CLIENT_1_0) \
_op_(MC_STAT_EMC_FILTER_SET0_CLIENT_2_0) \
_op_(MC_STAT_EMC_FILTER_SET1_CLIENT_2_0) \
_op_(MC_STAT_EMC_FILTER_SET0_CLIENT_3_0) \
_op_(MC_STAT_EMC_FILTER_SET0_CLIENT_4_0) \
_op_(MC_STAT_EMC_FILTER_SET0_CLIENT_5_0) \
_op_(MC_STAT_EMC_FILTER_SET0_CLIENT_6_0) \
_op_(MC_STAT_EMC_FILTER_SET0_CLIENT_7_0) \
_op_(MC_STAT_EMC_FILTER_SET1_CLIENT_3_0) \
_op_(MC_STAT_EMC_FILTER_SET1_CLIENT_4_0) \
_op_(MC_STAT_EMC_FILTER_SET1_CLIENT_5_0) \
_op_(MC_STAT_EMC_FILTER_SET1_CLIENT_6_0) \
_op_(MC_STAT_EMC_FILTER_SET1_CLIENT_7_0) \
_op_(MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0) \
_op_(MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0) \
_op_(MC_STAT_EMC_SET0_COUNT_0) \
_op_(MC_STAT_EMC_SET0_COUNT_MSBS_0) \
_op_(MC_STAT_EMC_SET1_COUNT_0) \
_op_(MC_STAT_EMC_SET1_COUNT_MSBS_0) \
_op_(MC_STAT_EMC_SET0_SLACK_ACCUM_0) \
_op_(MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0) \
_op_(MC_STAT_EMC_SET1_SLACK_ACCUM_0) \
_op_(MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0) \
_op_(MC_STAT_EMC_SET0_HISTO_COUNT_0) \
_op_(MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0) \
_op_(MC_STAT_EMC_SET1_HISTO_COUNT_0) \
_op_(MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0) \
_op_(MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0) \
_op_(MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0) \
_op_(MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0) \
_op_(MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0) \
_op_(MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0) \
_op_(MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0) \
_op_(MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0) \
_op_(MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0) \
_op_(MC_STAT_WCAM_READ_MERGE_0) \
_op_(MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0) \
_op_(MC_SMMU_STATS_TLB_HIT_COUNT_0) \
_op_(MC_SMMU_STATS_TLB_MISS_COUNT_0) \
_op_(MC_SMMU_STATS_PTC_HIT_COUNT_0) \
_op_(MC_SMMU_STATS_PTC_MISS_COUNT_0) \
_op_(MC_SMMU_STATS_PTC1_HIT_COUNT_0) \
_op_(MC_SMMU_STATS_PTC1_MISS_COUNT_0) \
_op_(MC_SMMU_STATS_PTC2_HIT_COUNT_0) \
_op_(MC_SMMU_STATS_PTC2_MISS_COUNT_0) \
_op_(MC_HUB_STATS_PM_COUNT0WORD0_0) \
_op_(MC_HUB_STATS_PM_COUNT0WORD1_0) \
_op_(MC_HUB_STATS_PM_COUNT1WORD0_0) \
_op_(MC_HUB_STATS_PM_COUNT1WORD1_0) \
_op_(MC_HUB_STATS_PM_COUNT2WORD0_0) \
_op_(MC_HUB_STATS_PM_COUNT2WORD1_0) \
_op_(MC_HUB_STATS_PM_COUNT3WORD0_0) \
_op_(MC_HUB_STATS_PM_COUNT3WORD1_0) \
_op_(MC_HUB_STATS_PM_COUNT4WORD0_0) \
_op_(MC_HUB_STATS_PM_COUNT4WORD1_0) \
_op_(MC_HUB_STATS_PM_COUNT5WORD0_0) \
_op_(MC_HUB_STATS_PM_COUNT5WORD1_0) \
_op_(MC_HUB_STATS_PM_COUNT6WORD0_0) \
_op_(MC_HUB_STATS_PM_COUNT6WORD1_0) \
_op_(MC_HUB_STATS_PM_COUNT7WORD0_0) \
_op_(MC_HUB_STATS_PM_COUNT7WORD1_0) \
_op_(MC_HUB_STATS_PM_COUNTER0CFG_0) \
_op_(MC_HUB_STATS_PM_COUNTER1CFG_0) \
_op_(MC_HUB_STATS_PM_COUNTER2CFG_0) \
_op_(MC_HUB_STATS_PM_COUNTER3CFG_0) \
_op_(MC_HUB_STATS_PM_COUNTER4CFG_0) \
_op_(MC_HUB_STATS_PM_COUNTER5CFG_0) \
_op_(MC_HUB_STATS_PM_COUNTER6CFG_0) \
_op_(MC_HUB_STATS_PM_COUNTER7CFG_0) \
_op_(MC_SMMU_NVCACHE_ALLOWANCE_0) \
_op_(MC_CIFLL_MISC0_0) \
_op_(MC_CIFLL_REDEADLINE0_0) \
_op_(MC_CIFLL_REDEADLINE1_0) \
_op_(MC_CIFLL_REQ_MT_FIFO_CREDITS_0) \
_op_(MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0) \
_op_(MC_CLIENT_HOTRESET_CTRL_0) \
_op_(MC_CLIENT_HOTRESET_CTRL_1_0) \
_op_(MC_CLIENT_HOTRESET_CTRL_2_0) \
_op_(MC_CLIENT_HOTRESET_STATUS_0) \
_op_(MC_CLIENT_HOTRESET_STATUS_1_0) \
_op_(MC_CLIENT_HOTRESET_STATUS_2_0) \
_op_(MC_COALESCE_ERR_STATUS_0) \
_op_(MC_COALESCE_ERR_ADR_HI_0) \
_op_(MC_COALESCE_ERR_ADR_0) \
_op_(MC_EMEM_ARB_ISOCHRONOUS_0_0) \
_op_(MC_EMEM_ARB_ISOCHRONOUS_1_0) \
_op_(MC_EMEM_ARB_ISOCHRONOUS_2_0) \
_op_(MC_EMEM_ARB_ISOCHRONOUS_3_0) \
_op_(MC_EMEM_ARB_ISOCHRONOUS_4_0) \
_op_(MC_EMEM_ARB_ISOCHRONOUS_5_0) \
_op_(MC_EMEM_ARB_ISOCHRONOUS_6_0) \
_op_(MC_EMEM_ARB_ISOCHRONOUS_7_0) \
_op_(MC_EMEM_ARB_HYSTERESIS_0_0) \
_op_(MC_EMEM_ARB_HYSTERESIS_1_0) \
_op_(MC_EMEM_ARB_HYSTERESIS_2_0) \
_op_(MC_EMEM_ARB_HYSTERESIS_3_0) \
_op_(MC_EMEM_ARB_HYSTERESIS_4_0) \
_op_(MC_EMEM_ARB_HYSTERESIS_5_0) \
_op_(MC_EMEM_ARB_HYSTERESIS_6_0) \
_op_(MC_EMEM_ARB_HYSTERESIS_7_0) \
_op_(MC_EMEM_ARB_DHYSTERESIS_0_0) \
_op_(MC_EMEM_ARB_DHYSTERESIS_1_0) \
_op_(MC_EMEM_ARB_DHYSTERESIS_2_0) \
_op_(MC_EMEM_ARB_DHYSTERESIS_3_0) \
_op_(MC_EMEM_ARB_DHYSTERESIS_4_0) \
_op_(MC_EMEM_ARB_DHYSTERESIS_5_0) \
_op_(MC_EMEM_ARB_DHYSTERESIS_6_0) \
_op_(MC_EMEM_ARB_DHYSTERESIS_7_0) \
_op_(MC_EMEM_ARB_DHYST_CTRL_0) \
_op_(MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0_0) \
_op_(MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1_0) \
_op_(MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2_0) \
_op_(MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3_0) \
_op_(MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4_0) \
_op_(MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5_0) \
_op_(MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6_0) \
_op_(MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0) \
_op_(MC_RESERVED_RSV_0) \
_op_(MC_SMMU_TRANSLATION_ENABLE_0_0) \
_op_(MC_SMMU_TRANSLATION_ENABLE_1_0) \
_op_(MC_SMMU_TRANSLATION_ENABLE_2_0) \
_op_(MC_SMMU_TRANSLATION_ENABLE_3_0) \
_op_(MC_SMMU_TRANSLATION_ENABLE_4_0) \
_op_(MC_SMMU_TRANSLATION_ENABLE_5_0) \
_op_(MC_SMMU_TRANSLATION_ENABLE_6_0) \
_op_(MC_SMMU_VIFAL_ASID_0) \
_op_(MC_SMMU_SDMMC3A_ASID_0) \
_op_(MC_SMMU_RCE_ASID_0) \
_op_(MC_SMMU_PCIE_ASID_0) \
_op_(MC_SMMU_EQOS_ASID_0) \
_op_(MC_SMMU_SDMMC4A_ASID_0) \
_op_(MC_SMMU_PVA0B_ASID_0) \
_op_(MC_SMMU_HC_ASID_0) \
_op_(MC_SMMU_NVDEC2A_ASID_0) \
_op_(MC_SMMU_PCIE2A_ASID_0) \
_op_(MC_SMMU_AXIS_ASID_0) \
_op_(MC_SMMU_ISP2A_ASID_0) \
_op_(MC_SMMU_NVENCB_ASID_0) \
_op_(MC_SMMU_BPMP_ASID_0) \
_op_(MC_SMMU_PCIE4A_ASID_0) \
_op_(MC_SMMU_ISPFAL_ASID_0) \
_op_(MC_SMMU_SDMMC1A_ASID_0) \
_op_(MC_SMMU_NVDEC_ASID_0) \
_op_(MC_SMMU_PCIE0A2_ASID_0) \
_op_(MC_SMMU_PVA1B_ASID_0) \
_op_(MC_SMMU_PVA0A_ASID_0) \
_op_(MC_SMMU_HDA_ASID_0) \
_op_(MC_SMMU_PCIE5A_ASID_0) \
_op_(MC_SMMU_ETR_ASID_0) \
_op_(MC_SMMU_PCIE3_ASID_0) \
_op_(MC_SMMU_NVDISPLAY_ASID_0) \
_op_(MC_SMMU_PCIE0A_ASID_0) \
_op_(MC_SMMU_AONDMA_ASID_0) \
_op_(MC_SMMU_VIC_ASID_0) \
_op_(MC_SMMU_PVA1A_ASID_0) \
_op_(MC_SMMU_PVA1C_ASID_0) \
_op_(MC_SMMU_SATA_ASID_0) \
_op_(MC_SMMU_UFSHC_ASID_0) \
_op_(MC_SMMU_APEDMA_ASID_0) \
_op_(MC_SMMU_VI_ASID_0) \
_op_(MC_SMMU_NVJPG_ASID_0) \
_op_(MC_SMMU_ISP2_ASID_0) \
_op_(MC_SMMU_BPMPDMA_ASID_0) \
_op_(MC_SMMU_XUSB_DEV_ASID_0) \
_op_(MC_SMMU_PVA0C_ASID_0) \
_op_(MC_SMMU_SCE_ASID_0) \
_op_(MC_SMMU_DLAA_ASID_0) \
_op_(MC_SMMU_AON_ASID_0) \
_op_(MC_SMMU_ISPA_ASID_0) \
_op_(MC_SMMU_SE_ASID_0) \
_op_(MC_SMMU_SCEDMA_ASID_0) \
_op_(MC_SMMU_MIU_ASID_0) \
_op_(MC_SMMU_NVENC_ASID_0) \
_op_(MC_SMMU_RCEDMA_ASID_0) \
_op_(MC_SMMU_TSEC_ASID_0) \
_op_(MC_SMMU_PCIE3A_ASID_0) \
_op_(MC_SMMU_AXIAP_ASID_0) \
_op_(MC_SMMU_TSECB_ASID_0) \
_op_(MC_SMMU_DLA1A_ASID_0) \
_op_(MC_SMMU_APE_ASID_0) \
_op_(MC_SMMU_XUSB_HOST_ASID_0) \
_op_(MC_SMMU_TLB_SET_SELECTION_MASK_0_0) \
_op_(MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0) \
_op_(MC_BPMPPC_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PVA1XA3_EXTRA_SNAP_LEVELS_0) \
_op_(MC_FTOP_EXTRA_SNAP_LEVELS_0) \
_op_(MC_MIU4_EXTRA_SNAP_LEVELS_0) \
_op_(MC_MIU6_EXTRA_SNAP_LEVELS_0) \
_op_(MC_VICPC3_EXTRA_SNAP_LEVELS_0) \
_op_(MC_ISP2PC_EXTRA_SNAP_LEVELS_0) \
_op_(MC_USBD2_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PVA1XB_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PVA0XB3_EXTRA_SNAP_LEVELS_0) \
_op_(MC_VICPC_EXTRA_SNAP_LEVELS_0) \
_op_(MC_UFSHCPC_EXTRA_SNAP_LEVELS_0) \
_op_(MC_MSEA_EXTRA_SNAP_LEVELS_0) \
_op_(MC_USBX_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PCIE4XA_EXTRA_SNAP_LEVELS_0) \
_op_(MC_MSE2_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PVA0XA3_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PCIE4X_EXTRA_SNAP_LEVELS_0) \
_op_(MC_DLA1XA2_EXTRA_SNAP_LEVELS_0) \
_op_(MC_MIU3_EXTRA_SNAP_LEVELS_0) \
_op_(MC_NVD2_EXTRA_SNAP_LEVELS_0) \
_op_(MC_USBD_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PVA0XB2_EXTRA_SNAP_LEVELS_0) \
_op_(MC_RCEPC_EXTRA_SNAP_LEVELS_0) \
_op_(MC_MSE_EXTRA_SNAP_LEVELS_0) \
_op_(MC_AUD_EXTRA_SNAP_LEVELS_0) \
_op_(MC_DLA0XA_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PCIE0X2_EXTRA_SNAP_LEVELS_0) \
_op_(MC_DLA0XA2_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PCIE0XA_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PCIE1X_EXTRA_SNAP_LEVELS_0) \
_op_(MC_EQOSPC_EXTRA_SNAP_LEVELS_0) \
_op_(MC_MIU7_EXTRA_SNAP_LEVELS_0) \
_op_(MC_MIU1_EXTRA_SNAP_LEVELS_0) \
_op_(MC_HDAPC_EXTRA_SNAP_LEVELS_0) \
_op_(MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PVA1XB2_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PVA1XA_EXTRA_SNAP_LEVELS_0) \
_op_(MC_AONPC_EXTRA_SNAP_LEVELS_0) \
_op_(MC_SD_EXTRA_SNAP_LEVELS_0) \
_op_(MC_VE_EXTRA_SNAP_LEVELS_0) \
_op_(MC_SCEPC_EXTRA_SNAP_LEVELS_0) \
_op_(MC_HOST_EXTRA_SNAP_LEVELS_0) \
_op_(MC_JPG_EXTRA_SNAP_LEVELS_0) \
_op_(MC_DLA0XA3_EXTRA_SNAP_LEVELS_0) \
_op_(MC_DIS_EXTRA_SNAP_LEVELS_0) \
_op_(MC_DLA1XA_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PCIE0X_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PCIE5X_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PVA0XC_EXTRA_SNAP_LEVELS_0) \
_op_(MC_MSE3_EXTRA_SNAP_LEVELS_0) \
_op_(MC_USBX2_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PVA0XA_EXTRA_SNAP_LEVELS_0) \
_op_(MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0) \
_op_(MC_DLA1XA3_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PCIE5XA_EXTRA_SNAP_LEVELS_0) \
_op_(MC_MIU5_EXTRA_SNAP_LEVELS_0) \
_op_(MC_VICPC2_EXTRA_SNAP_LEVELS_0) \
_op_(MC_ISPPC_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PCIE1XA_EXTRA_SNAP_LEVELS_0) \
_op_(MC_NVD6_EXTRA_SNAP_LEVELS_0) \
_op_(MC_SDM_EXTRA_SNAP_LEVELS_0) \
_op_(MC_APB_EXTRA_SNAP_LEVELS_0) \
_op_(MC_ISP_EXTRA_SNAP_LEVELS_0) \
_op_(MC_MIU0_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PCIE5X2_EXTRA_SNAP_LEVELS_0) \
_op_(MC_NIC_EXTRA_SNAP_LEVELS_0) \
_op_(MC_MIU2_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PVA0XB_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PVA1XB3_EXTRA_SNAP_LEVELS_0) \
_op_(MC_NVD3_EXTRA_SNAP_LEVELS_0) \
_op_(MC_SAX_EXTRA_SNAP_LEVELS_0) \
_op_(MC_MSEB1_EXTRA_SNAP_LEVELS_0) \
_op_(MC_MSEB_EXTRA_SNAP_LEVELS_0) \
_op_(MC_NVD4_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PVA1XC_EXTRA_SNAP_LEVELS_0) \
_op_(MC_NVD_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PVA1XA2_EXTRA_SNAP_LEVELS_0) \
_op_(MC_PVA0XA2_EXTRA_SNAP_LEVELS_0) \
_op_(MC_NVD5_EXTRA_SNAP_LEVELS_0) \
_op_(MC_DIS2_EXTRA_SNAP_LEVELS_0) \
_op_(MC_VIDEO_PROTECT_BOM_0) \
_op_(MC_VIDEO_PROTECT_SIZE_MB_0) \
_op_(MC_VIDEO_PROTECT_BOM_ADR_HI_0) \
_op_(MC_VIDEO_PROTECT_REG_CTRL_0) \
_op_(MC_ERR_VPR_STATUS_0) \
_op_(MC_ERR_VPR_ADR_0) \
_op_(MC_VIDEO_PROTECT_VPR_OVERRIDE_0) \
_op_(MC_VIDEO_PROTECT_VPR_OVERRIDE1_0) \
_op_(MC_VIDEO_PROTECT_VPR_OVERRIDE2_0) \
_op_(MC_EMEM_CFG_ACCESS_CTRL_0) \
_op_(MC_TZ_SECURITY_CTRL_0) \
_op_(MC_TZ_CARVEOUT_CLIENT_ACCESS2_0) \
_op_(MC_TZ_CARVEOUT_CLIENT_ACCESS6_0) \
_op_(MC_TZ_CARVEOUT_CLIENT_ACCESS3_0) \
_op_(MC_TZ_CARVEOUT_CLIENT_ACCESS5_0) \
_op_(MC_TZ_CARVEOUT_CLIENT_ACCESS0_0) \
_op_(MC_TZ_CARVEOUT_CLIENT_ACCESS4_0) \
_op_(MC_TZ_CARVEOUT_CLIENT_ACCESS1_0) \
_op_(MC_TZ_CARVEOUT_CLIENT_ACCESS7_0) \
_op_(MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0) \
_op_(MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0) \
_op_(MC_EMEM_ARB_RING0_THROTTLE_MASK_0) \
_op_(MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0) \
_op_(MC_EMEM_ARB_NISO_THROTTLE_MASK_0) \
_op_(MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0) \
_op_(MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0) \
_op_(MC_SEC_CARVEOUT_BOM_0) \
_op_(MC_SEC_CARVEOUT_SIZE_MB_0) \
_op_(MC_SEC_CARVEOUT_ADR_HI_0) \
_op_(MC_SEC_CARVEOUT_REG_CTRL_0) \
_op_(MC_ERR_SEC_STATUS_0) \
_op_(MC_ERR_SEC_ADR_0) \
_op_(MC_PC_IDLE_CLOCK_GATE_CONFIG_0) \
_op_(MC_STUTTER_CONTROL_0) \
_op_(MC_RESERVED_RSV_1_0) \
_op_(MC_DVFS_PIPE_SELECT_0) \
_op_(MC_SCEPC_PTSA_MIN_0) \
_op_(MC_AUD_PTSA_MIN_0) \
_op_(MC_MLL_MPCORER_PTSA_RATE_0) \
_op_(MC_RING2_PTSA_RATE_0) \
_op_(MC_USBD_PTSA_RATE_0) \
_op_(MC_PCIE5X_PTSA_MAX_0) \
_op_(MC_ISPPC_PTSA_MIN_0) \
_op_(MC_JPG_PTSA_RATE_0) \
_op_(MC_APB_PTSA_MAX_0) \
_op_(MC_PVA1XC_PTSA_RATE_0) \
_op_(MC_MIU7_PTSA_MAX_0) \
_op_(MC_PVA0XB_PTSA_MIN_0) \
_op_(MC_DIS_PTSA_MIN_0) \
_op_(MC_NVD2_PTSA_MIN_0) \
_op_(MC_SD_PTSA_MAX_0) \
_op_(MC_MSE_PTSA_RATE_0) \
_op_(MC_MSE3_PTSA_MIN_0) \
_op_(MC_DLA0XA_PTSA_MIN_0) \
_op_(MC_ISP_PTSA_RATE_0) \
_op_(MC_MIU6_PTSA_MAX_0) \
_op_(MC_UFSHCPC2_PTSA_RATE_0) \
_op_(MC_PCIE5X2_PTSA_RATE_0) \
_op_(MC_PVA0XB2_PTSA_MIN_0) \
_op_(MC_HOST_PTSA_MIN_0) \
_op_(MC_DLA1XA3_PTSA_MIN_0) \
_op_(MC_MLL_MPCORER_PTSA_MAX_0) \
_op_(MC_SD_PTSA_MIN_0) \
_op_(MC_PVA1XB2_PTSA_MAX_0) \
_op_(MC_DLA0XA_PTSA_MAX_0) \
_op_(MC_RING1_PTSA_RATE_0) \
_op_(MC_NVD2_PTSA_RATE_0) \
_op_(MC_PVA1XC_PTSA_MAX_0) \
_op_(MC_DLA1FALPC_PTSA_MIN_0) \
_op_(MC_PCIE1XA_PTSA_MIN_0) \
_op_(MC_MIU1_PTSA_MAX_0) \
_op_(MC_MIU0_PTSA_RATE_0) \
_op_(MC_JPG_PTSA_MAX_0) \
_op_(MC_UFSHCPC_PTSA_MAX_0) \
_op_(MC_NVD5_PTSA_MAX_0) \
_op_(MC_VICPC2_PTSA_MIN_0) \
_op_(MC_VICPC_PTSA_MAX_0) \
_op_(MC_DLA1FALPC_PTSA_MAX_0) \
_op_(MC_NVD2_PTSA_MAX_0) \
_op_(MC_NVD_PTSA_RATE_0) \
_op_(MC_MIU1_PTSA_RATE_0) \
_op_(MC_SCEPC_PTSA_RATE_0) \
_op_(MC_MIU3_PTSA_MIN_0) \
_op_(MC_EQOSPC_PTSA_MIN_0) \
_op_(MC_PVA1XB3_PTSA_MAX_0) \
_op_(MC_PVA0XA2_PTSA_RATE_0) \
_op_(MC_EQOSPC_PTSA_RATE_0) \
_op_(MC_USBX2_PTSA_MAX_0) \
_op_(MC_VICPC3_PTSA_MIN_0) \
_op_(MC_MLL_MPCORER_PTSA_MIN_0) \
_op_(MC_ISP_PTSA_MAX_0) \
_op_(MC_PCIE4XA_PTSA_MAX_0) \
_op_(MC_UFSHCPC_PTSA_MIN_0) \
_op_(MC_PVA0XC_PTSA_MIN_0) \
_op_(MC_FTOP_PTSA_RATE_0) \
_op_(MC_VICPC2_PTSA_MAX_0) \
_op_(MC_PCIE4XA_PTSA_RATE_0) \
_op_(MC_DLA0XA2_PTSA_RATE_0) \
_op_(MC_NVD3_PTSA_MIN_0) \
_op_(MC_PCIE5X2_PTSA_MIN_0) \
_op_(MC_DLA0FALPC_PTSA_MAX_0) \
_op_(MC_MIU0_PTSA_MIN_0) \
_op_(MC_MIU2_PTSA_MAX_0) \
_op_(MC_ISP2PC_PTSA_MIN_0) \
_op_(MC_USBX_PTSA_MAX_0) \
_op_(MC_USBD_PTSA_MAX_0) \
_op_(MC_MIU5_PTSA_MIN_0) \
_op_(MC_USBX_PTSA_RATE_0) \
_op_(MC_PCIE0X_PTSA_MAX_0) \
_op_(MC_MSEA_PTSA_MIN_0) \
_op_(MC_FTOP_PTSA_MAX_0) \
_op_(MC_PVA0XA3_PTSA_MAX_0) \
_op_(MC_ISP2PC_PTSA_MAX_0) \
_op_(MC_HDAPC_PTSA_MAX_0) \
_op_(MC_SD_PTSA_RATE_0) \
_op_(MC_MSEA_PTSA_MAX_0) \
_op_(MC_PCIE1X_PTSA_MAX_0) \
_op_(MC_PCIE0X2_PTSA_MAX_0) \
_op_(MC_PCIE5XA_PTSA_RATE_0) \
_op_(MC_PVA0XA_PTSA_MIN_0) \
_op_(MC_FTOP_PTSA_MIN_0) \
_op_(MC_DLA1XA3_PTSA_RATE_0) \
_op_(MC_BPMPPC_PTSA_MAX_0) \
_op_(MC_MSE_PTSA_MIN_0) \
_op_(MC_PCIE0X2_PTSA_MIN_0) \
_op_(MC_PVA0XB3_PTSA_RATE_0) \
_op_(MC_PVA0XA_PTSA_RATE_0) \
_op_(MC_NVD5_PTSA_MIN_0) \
_op_(MC_VE_PTSA_RATE_0) \
_op_(MC_DLA1XA2_PTSA_RATE_0) \
_op_(MC_AONPC_PTSA_RATE_0) \
_op_(MC_DLA0FALPC_PTSA_MIN_0) \
_op_(MC_MIU4_PTSA_RATE_0) \
_op_(MC_MIU4_PTSA_MAX_0) \
_op_(MC_SAX_PTSA_MIN_0) \
_op_(MC_PVA0XB2_PTSA_MAX_0) \
_op_(MC_PVA0XA3_PTSA_MIN_0) \
_op_(MC_ISP_PTSA_MIN_0) \
_op_(MC_HOST_PTSA_MAX_0) \
_op_(MC_BPMPPC_PTSA_MIN_0) \
_op_(MC_PCIE1X_PTSA_RATE_0) \
_op_(MC_NVD6_PTSA_RATE_0) \
_op_(MC_DLA0XA2_PTSA_MIN_0) \
_op_(MC_ISP2PC_PTSA_RATE_0) \
_op_(MC_PVA0XB3_PTSA_MIN_0) \
_op_(MC_MSE3_PTSA_MAX_0) \
_op_(MC_SMMU_SMMU_PTSA_RATE_0) \
_op_(MC_NVD5_PTSA_RATE_0) \
_op_(MC_MSEB1_PTSA_MIN_0) \
_op_(MC_PVA0XB2_PTSA_RATE_0) \
_op_(MC_EQOSPC_PTSA_MAX_0) \
_op_(MC_MSEB_PTSA_RATE_0) \
_op_(MC_USBX_PTSA_MIN_0) \
_op_(MC_PCIE4X_PTSA_RATE_0) \
_op_(MC_USBD_PTSA_MIN_0) \
_op_(MC_PCIE5X_PTSA_MIN_0) \
_op_(MC_MIU3_PTSA_MAX_0) \
_op_(MC_DLA1FALPC_PTSA_RATE_0) \
_op_(MC_PVA1XB3_PTSA_RATE_0) \
_op_(MC_DLA1XA3_PTSA_MAX_0) \
_op_(MC_MIU1_PTSA_MIN_0) \
_op_(MC_PCIE5XA_PTSA_MAX_0) \
_op_(MC_DLA0XA3_PTSA_MIN_0) \
_op_(MC_DIS_PTSA_MAX_0) \
_op_(MC_RING1_PTSA_MIN_0) \
_op_(MC_UFSHCPC2_PTSA_MAX_0) \
_op_(MC_VICPC_PTSA_MIN_0) \
_op_(MC_MSEB_PTSA_MAX_0) \
_op_(MC_PVA0XB_PTSA_MAX_0) \
_op_(MC_USBX2_PTSA_MIN_0) \
_op_(MC_RING2_PTSA_MAX_0) \
_op_(MC_AUD_PTSA_RATE_0) \
_op_(MC_PCIE0XA_PTSA_MIN_0) \
_op_(MC_PCIE0XA_PTSA_RATE_0) \
_op_(MC_DLA1XA2_PTSA_MIN_0) \
_op_(MC_PVA1XB2_PTSA_RATE_0) \
_op_(MC_RCEPC_PTSA_MIN_0) \
_op_(MC_PVA1XA_PTSA_MIN_0) \
_op_(MC_DLA0XA3_PTSA_RATE_0) \
_op_(MC_NIC_PTSA_MAX_0) \
_op_(MC_NVD_PTSA_MAX_0) \
_op_(MC_MIU6_PTSA_MIN_0) \
_op_(MC_PCIE0X_PTSA_RATE_0) \
_op_(MC_AONPC_PTSA_MAX_0) \
_op_(MC_JPG_PTSA_MIN_0) \
_op_(MC_UFSHCPC2_PTSA_MIN_0) \
_op_(MC_HDAPC_PTSA_MIN_0) \
_op_(MC_DLA1XA_PTSA_MAX_0) \
_op_(MC_MSE2_PTSA_MAX_0) \
_op_(MC_NVD4_PTSA_MAX_0) \
_op_(MC_PVA1XA_PTSA_MAX_0) \
_op_(MC_VE_PTSA_MAX_0) \
_op_(MC_DLA0XA2_PTSA_MAX_0) \
_op_(MC_PVA0XB_PTSA_RATE_0) \
_op_(MC_MSEB1_PTSA_RATE_0) \
_op_(MC_PVA0XC_PTSA_MAX_0) \
_op_(MC_VICPC_PTSA_RATE_0) \
_op_(MC_BPMPPC_PTSA_RATE_0) \
_op_(MC_ISPPC_PTSA_MAX_0) \
_op_(MC_SCEPC_PTSA_MAX_0) \
_op_(MC_DLA0XA_PTSA_RATE_0) \
_op_(MC_DLA0XA3_PTSA_MAX_0) \
_op_(MC_MIU7_PTSA_RATE_0) \
_op_(MC_PCIE4X_PTSA_MIN_0) \
_op_(MC_PCIE5X_PTSA_RATE_0) \
_op_(MC_SDM_PTSA_MAX_0) \
_op_(MC_VICPC2_PTSA_RATE_0) \
_op_(MC_PCIE5XA_PTSA_MIN_0) \
_op_(MC_NVD4_PTSA_RATE_0) \
_op_(MC_PVA0XA_PTSA_MAX_0) \
_op_(MC_MSE2_PTSA_MIN_0) \
_op_(MC_USBD2_PTSA_MAX_0) \
_op_(MC_SAX_PTSA_RATE_0) \
_op_(MC_APB_PTSA_MIN_0) \
_op_(MC_ISPPC_PTSA_RATE_0) \
_op_(MC_PVA1XA2_PTSA_RATE_0) \
_op_(MC_PCIE5X2_PTSA_MAX_0) \
_op_(MC_PCIE4XA_PTSA_MIN_0) \
_op_(MC_RCEPC_PTSA_MAX_0) \
_op_(MC_PVA0XA3_PTSA_RATE_0) \
_op_(MC_AONPC_PTSA_MIN_0) \
_op_(MC_PCIE0X2_PTSA_RATE_0) \
_op_(MC_MSE3_PTSA_RATE_0) \
_op_(MC_RCEPC_PTSA_RATE_0) \
_op_(MC_RING1_PTSA_MAX_0) \
_op_(MC_HDAPC_PTSA_RATE_0) \
_op_(MC_MIU0_PTSA_MAX_0) \
_op_(MC_PVA1XB2_PTSA_MIN_0) \
_op_(MC_VICPC3_PTSA_RATE_0) \
_op_(MC_AUD_PTSA_MAX_0) \
_op_(MC_MIU2_PTSA_MIN_0) \
_op_(MC_NVD3_PTSA_MAX_0) \
_op_(MC_MIU6_PTSA_RATE_0) \
_op_(MC_NVD_PTSA_MIN_0) \
_op_(MC_PVA0XA2_PTSA_MIN_0) \
_op_(MC_VICPC3_PTSA_MAX_0) \
_op_(MC_PVA1XA2_PTSA_MIN_0) \
_op_(MC_PVA0XB3_PTSA_MAX_0) \
_op_(MC_PVA1XA3_PTSA_RATE_0) \
_op_(MC_PCIE0X_PTSA_MIN_0) \
_op_(MC_PCIE1XA_PTSA_RATE_0) \
_op_(MC_DIS_PTSA_RATE_0) \
_op_(MC_USBX2_PTSA_RATE_0) \
_op_(MC_DLA1XA_PTSA_MIN_0) \
_op_(MC_PVA1XA3_PTSA_MAX_0) \
_op_(MC_PVA1XB_PTSA_RATE_0) \
_op_(MC_DLA1XA2_PTSA_MAX_0) \
_op_(MC_MSEA_PTSA_RATE_0) \
_op_(MC_MIU2_PTSA_RATE_0) \
_op_(MC_NVD6_PTSA_MAX_0) \
_op_(MC_PCIE1XA_PTSA_MAX_0) \
_op_(MC_MIU3_PTSA_RATE_0) \
_op_(MC_MIU5_PTSA_MAX_0) \
_op_(MC_SDM_PTSA_RATE_0) \
_op_(MC_SDM_PTSA_MIN_0) \
_op_(MC_APB_PTSA_RATE_0) \
_op_(MC_SMMU_SMMU_PTSA_MAX_0) \
_op_(MC_RING2_PTSA_MIN_0) \
_op_(MC_UFSHCPC_PTSA_RATE_0) \
_op_(MC_PVA0XC_PTSA_RATE_0) \
_op_(MC_MSE2_PTSA_RATE_0) \
_op_(MC_PCIE0XA_PTSA_MAX_0) \
_op_(MC_MSEB_PTSA_MIN_0) \
_op_(MC_PVA1XB_PTSA_MAX_0) \
_op_(MC_HOST_PTSA_RATE_0) \
_op_(MC_NVD3_PTSA_RATE_0) \
_op_(MC_NVD6_PTSA_MIN_0) \
_op_(MC_MIU5_PTSA_RATE_0) \
_op_(MC_PVA1XB_PTSA_MIN_0) \
_op_(MC_PVA1XA_PTSA_RATE_0) \
_op_(MC_MIU4_PTSA_MIN_0) \
_op_(MC_SMMU_SMMU_PTSA_MIN_0) \
_op_(MC_NIC_PTSA_RATE_0) \
_op_(MC_PVA1XB3_PTSA_MIN_0) \
_op_(MC_NVD4_PTSA_MIN_0) \
_op_(MC_SAX_PTSA_MAX_0) \
_op_(MC_MIU7_PTSA_MIN_0) \
_op_(MC_PVA1XA3_PTSA_MIN_0) \
_op_(MC_VE_PTSA_MIN_0) \
_op_(MC_USBD2_PTSA_RATE_0) \
_op_(MC_DLA1XA_PTSA_RATE_0) \
_op_(MC_PVA0XA2_PTSA_MAX_0) \
_op_(MC_DLA0FALPC_PTSA_RATE_0) \
_op_(MC_MSE_PTSA_MAX_0) \
_op_(MC_PCIE4X_PTSA_MAX_0) \
_op_(MC_MSEB1_PTSA_MAX_0) \
_op_(MC_USBD2_PTSA_MIN_0) \
_op_(MC_PVA1XA2_PTSA_MAX_0) \
_op_(MC_PCIE1X_PTSA_MIN_0) \
_op_(MC_NIC_PTSA_MIN_0) \
_op_(MC_PVA1XC_PTSA_MIN_0) \
_op_(MC_PTSA_GRANT_DECREMENT_0) \
_op_(MC_LATENCY_ALLOWANCE_AON_0_0) \
_op_(MC_LATENCY_ALLOWANCE_NVENC_1_0) \
_op_(MC_LATENCY_ALLOWANCE_BPMP_0_0) \
_op_(MC_LATENCY_ALLOWANCE_MIU0_0_0) \
_op_(MC_LATENCY_ALLOWANCE_NVDEC_1_0) \
_op_(MC_LATENCY_ALLOWANCE_XUSB_1_0) \
_op_(MC_LATENCY_ALLOWANCE_NVENC_2_0) \
_op_(MC_LATENCY_ALLOWANCE_SE_0_0) \
_op_(MC_LATENCY_ALLOWANCE_PCIE2_0_0) \
_op_(MC_LATENCY_ALLOWANCE_PCIE1_0_0) \
_op_(MC_LATENCY_ALLOWANCE_DLA1_0_0) \
_op_(MC_LATENCY_ALLOWANCE_APEDMA_0_0) \
_op_(MC_LATENCY_ALLOWANCE_NVDEC_0_0) \
_op_(MC_LATENCY_ALLOWANCE_ISP3_0_0) \
_op_(MC_LATENCY_ALLOWANCE_MIU2_0_0) \
_op_(MC_LATENCY_ALLOWANCE_MIU5_0_0) \
_op_(MC_LATENCY_ALLOWANCE_DLA0_2_0) \
_op_(MC_LATENCY_ALLOWANCE_PCIE0_0_0) \
_op_(MC_LATENCY_ALLOWANCE_PVA0_2_0) \
_op_(MC_LATENCY_ALLOWANCE_MIU3_0_0) \
_op_(MC_LATENCY_ALLOWANCE_MIU1_0_0) \
_op_(MC_LATENCY_ALLOWANCE_DLA1_1_0) \
_op_(MC_LATENCY_ALLOWANCE_PVA1_0_0) \
_op_(MC_LATENCY_ALLOWANCE_SDMMC_0_0) \
_op_(MC_LATENCY_ALLOWANCE_DLA0_1_0) \
_op_(MC_LATENCY_ALLOWANCE_DLA0_0_0) \
_op_(MC_LATENCY_ALLOWANCE_NVJPG_0_0) \
_op_(MC_LATENCY_ALLOWANCE_MPCORE_0_0) \
_op_(MC_LATENCY_ALLOWANCE_VI2_0_0) \
_op_(MC_LATENCY_ALLOWANCE_MIU7_0_0) \
_op_(MC_LATENCY_ALLOWANCE_SCEDMA_0_0) \
_op_(MC_LATENCY_ALLOWANCE_PVA1_1_0) \
_op_(MC_LATENCY_ALLOWANCE_SATA_0_0) \
_op_(MC_LATENCY_ALLOWANCE_AONDMA_0_0) \
_op_(MC_LATENCY_ALLOWANCE_HC_0_0) \
_op_(MC_LATENCY_ALLOWANCE_UFSHC_0_0) \
_op_(MC_LATENCY_ALLOWANCE_NVDEC_2_0) \
_op_(MC_LATENCY_ALLOWANCE_VIC_1_0) \
_op_(MC_LATENCY_ALLOWANCE_SDMMCAB_0_0) \
_op_(MC_LATENCY_ALLOWANCE_RCEDMA_0_0) \
_op_(MC_LATENCY_ALLOWANCE_HDA_0_0) \
_op_(MC_LATENCY_ALLOWANCE_BPMPDMA_0_0) \
_op_(MC_LATENCY_ALLOWANCE_PCIE3_0_0) \
_op_(MC_LATENCY_ALLOWANCE_AXIAP_0_0) \
_op_(MC_LATENCY_ALLOWANCE_SDMMCA_0_0) \
_op_(MC_LATENCY_ALLOWANCE_PVA0_3_0) \
_op_(MC_LATENCY_ALLOWANCE_ISP2_0_0) \
_op_(MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0) \
_op_(MC_LATENCY_ALLOWANCE_ISP2_1_0) \
_op_(MC_LATENCY_ALLOWANCE_PVA1_3_0) \
_op_(MC_LATENCY_ALLOWANCE_VIC_0_0) \
_op_(MC_LATENCY_ALLOWANCE_PCIE4_0_0) \
_op_(MC_LATENCY_ALLOWANCE_PVA1_2_0) \
_op_(MC_LATENCY_ALLOWANCE_EQOS_0_0) \
_op_(MC_LATENCY_ALLOWANCE_TSEC_0_0) \
_op_(MC_LATENCY_ALLOWANCE_VIFAL_0_0) \
_op_(MC_LATENCY_ALLOWANCE_PVA0_1_0) \
_op_(MC_LATENCY_ALLOWANCE_XUSB_0_0) \
_op_(MC_LATENCY_ALLOWANCE_MIU4_0_0) \
_op_(MC_LATENCY_ALLOWANCE_TSECB_0_0) \
_op_(MC_LATENCY_ALLOWANCE_SCE_0_0) \
_op_(MC_LATENCY_ALLOWANCE_APE_0_0) \
_op_(MC_LATENCY_ALLOWANCE_RCE_0_0) \
_op_(MC_LATENCY_ALLOWANCE_PVA0_0_0) \
_op_(MC_LATENCY_ALLOWANCE_ETR_0_0) \
_op_(MC_LATENCY_ALLOWANCE_PCIE5_0_0) \
_op_(MC_LATENCY_ALLOWANCE_AXIS_0_0) \
_op_(MC_LATENCY_ALLOWANCE_NVENC_0_0) \
_op_(MC_LATENCY_ALLOWANCE_MIU6_0_0) \
_op_(MC_LATENCY_ALLOWANCE_PCIE5_1_0) \
_op_(MC_EMEM_ARB_OVERRIDE_1_0) \
_op_(MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0) \
_op_(MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0) \
_op_(MC_EMEM_ARB_STATS_0_0) \
_op_(MC_EMEM_ARB_STATS_1_0) \
_op_(MC_MTS_CARVEOUT_BOM_0) \
_op_(MC_MTS_CARVEOUT_SIZE_MB_0) \
_op_(MC_MTS_CARVEOUT_ADR_HI_0) \
_op_(MC_MTS_CARVEOUT_REG_CTRL_0) \
_op_(MC_ERR_MTS_STATUS_0) \
_op_(MC_ERR_MTS_ADR_0) \
_op_(MC_MTS_CARVEOUT_CLIENT_ACCESS6_0) \
_op_(MC_MTS_CARVEOUT_CLIENT_ACCESS4_0) \
_op_(MC_MTS_CARVEOUT_CLIENT_ACCESS1_0) \
_op_(MC_MTS_CARVEOUT_CLIENT_ACCESS5_0) \
_op_(MC_MTS_CARVEOUT_CLIENT_ACCESS0_0) \
_op_(MC_MTS_CARVEOUT_CLIENT_ACCESS7_0) \
_op_(MC_MTS_CARVEOUT_CLIENT_ACCESS3_0) \
_op_(MC_MTS_CARVEOUT_CLIENT_ACCESS2_0) \
_op_(MC_ERR_ROUTE_SANITY_STATUS_0) \
_op_(MC_ERR_ROUTE_SANITY_ADR_0) \
_op_(MC_IGPU_ACCESSIBLE_CARVEOUT_REG_CTRL_0) \
_op_(MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0) \
_op_(MC_IGPU_WPR_ACCESS_CTRL_0) \
_op_(MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0) \
_op_(MC_IGPU_ACCESSIBLE_CARVEOUT1_SIZE_0) \
_op_(MC_IGPU_ACCESSIBLE_CARVEOUT2_BOM_0) \
_op_(MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0) \
_op_(MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0) \
_op_(MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_SIZE_0) \
_op_(MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_BOM_0) \
_op_(MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0) \
_op_(MC_ECC_REGION0_SIZE_0) \
_op_(MC_ECC_REGION0_CFG0_0) \
_op_(MC_ECC_REGION3_BOM_0) \
_op_(MC_ECC_REGION2_BOM_0) \
_op_(MC_ECC_REGION1_SIZE_0) \
_op_(MC_ECC_REGION1_BOM_0) \
_op_(MC_ECC_REGION2_CFG0_0) \
_op_(MC_ECC_REGION3_BOM_HI_0) \
_op_(MC_ECC_REGION1_BOM_HI_0) \
_op_(MC_ECC_REGION1_CFG0_0) \
_op_(MC_ECC_REGION0_BOM_HI_0) \
_op_(MC_ECC_REGION2_SIZE_0) \
_op_(MC_ECC_REGION3_CFG0_0) \
_op_(MC_ECC_REGION2_BOM_HI_0) \
_op_(MC_ECC_REGION0_BOM_0) \
_op_(MC_ECC_REGION3_SIZE_0) \
_op_(MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0) \
_op_(MC_ERR_GENERALIZED_CARVEOUT_STATUS_0) \
_op_(MC_ERR_GENERALIZED_CARVEOUT_ADR_0) \
_op_(MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT4_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT4_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT3_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT2_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT1_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT3_BOM_0) \
_op_(MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT3_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT2_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT5_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT1_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT1_BOM_0) \
_op_(MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT3_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT2_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT4_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT5_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT5_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT4_BOM_0) \
_op_(MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT2_BOM_0) \
_op_(MC_SECURITY_CARVEOUT5_BOM_0) \
_op_(MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT1_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT12_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT9_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT15_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT7_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT16_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT9_BOM_0) \
_op_(MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT22_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT8_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT7_BOM_0) \
_op_(MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT17_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT29_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT27_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT16_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT18_BOM_0) \
_op_(MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT29_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT11_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT8_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT28_BOM_0) \
_op_(MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT15_BOM_0) \
_op_(MC_SECURITY_CARVEOUT6_BOM_0) \
_op_(MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT10_BOM_0) \
_op_(MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT29_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT7_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT19_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT18_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT10_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT6_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT15_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT19_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT20_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT27_BOM_0) \
_op_(MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT19_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT11_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT23_BOM_0) \
_op_(MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT21_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT25_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT30_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT28_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT8_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT10_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT23_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT26_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT30_BOM_0) \
_op_(MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT18_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT27_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT14_BOM_0) \
_op_(MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT17_BOM_0) \
_op_(MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT20_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT21_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT25_BOM_0) \
_op_(MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT7_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT15_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT22_BOM_0) \
_op_(MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT9_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT17_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT27_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT12_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT11_BOM_0) \
_op_(MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT28_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT13_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT19_BOM_0) \
_op_(MC_SECURITY_CARVEOUT23_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT23_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT12_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT30_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT13_BOM_0) \
_op_(MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT24_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT31_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT31_BOM_0) \
_op_(MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT24_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT28_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT24_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT6_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT21_BOM_0) \
_op_(MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT14_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT9_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT20_BOM_0) \
_op_(MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT30_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT26_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT31_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT14_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT6_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT24_BOM_0) \
_op_(MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT16_BOM_0) \
_op_(MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT18_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT29_BOM_0) \
_op_(MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT13_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT21_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT12_BOM_0) \
_op_(MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT10_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT22_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT11_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT25_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT31_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT16_BOM_HI_0) \
_op_(MC_SECURITY_CARVEOUT20_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0) \
_op_(MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0) \
_op_(MC_SECURITY_CARVEOUT25_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0) \
_op_(MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT14_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT8_BOM_0) \
_op_(MC_SECURITY_CARVEOUT22_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0) \
_op_(MC_SECURITY_CARVEOUT26_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT13_CFG0_0) \
_op_(MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT26_BOM_0) \
_op_(MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0) \
_op_(MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT17_SIZE_128KB_0) \
_op_(MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0) \
_op_(MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0) \
_op_(MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0) \
_op_(MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0) \
_op_(MC_ERR_APB_ASID_UPDATE_STATUS_0) \
_op_(MC_DA_CONFIG0_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_HDAR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PCIE1W_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PTCR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_EQOSW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_MPCOREW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_AXISR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_MIU6R_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_MIU5R_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PCIE0R_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_EQOSR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_VICSRD1_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_VIW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PCIE5R_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_AXISW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_MIU6W_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_UFSHCR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_TSECSWR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_MIU7R_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_SATAR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_AONDMAW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_AONW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_ETRR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_VIW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PCIE1R_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_MIU1W_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PCIE0W_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_AONR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_MIU7W_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_MIU3R_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_MIU3W_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_SESRD_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_SCER_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_MPCORER_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_HDAW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_AONDMAR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_ISPFALR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_ISPWB_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_APEW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_AXIAPR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_ISPFALW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_SDMMCR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_MIU2W_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_RCER_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PCIE4W_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_BPMPW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_ISPRA_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_VICSRD_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_SDMMCW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_APEDMAR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_RCEW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_VIFALR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PCIE3R_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_MIU1R_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PCIE5W_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_MIU0W_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_VIFALW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_APER_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PCIE3W_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_MIU0R_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_AONW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_APEDMAW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_SESWR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_AXIAPW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_MIU4R_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_MIU4W_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_RCER_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_APER_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_ISPWA_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_ISPRA1_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_AONR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_UFSHCW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_ETRW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_SATAW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_VICSWR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_SCER_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_MIU5W_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_BPMPR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_MIU2R_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_TSECSRD_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_PCIE4R_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_APEW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0) \
_op_(MC_TXN_OVERRIDE_CONFIG_SCEW_0) \
_op_(MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0) \
_op_(MC_TBU_ADR_MASK_0_0) \
_op_(MC_TBU_ADR_MASK_1_0) \
_op_(MC_TBU_ADR_MASK_2_0) \
_op_(MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0) \
_op_(MC_CLIENT_TRAFFIC_TYPE_CONFIG_1_0) \
_op_(MC_CLIENT_TRAFFIC_TYPE_CONFIG_2_0) \
_op_(MC_CLIENT_TRAFFIC_TYPE_CONFIG_3_0) \
_op_(MC_CLIENT_TRAFFIC_TYPE_CONFIG_4_0) \
_op_(MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0) \
_op_(MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0) \
_op_(MC_CLIENT_TRAFFIC_TYPE_CONFIG_7_0) \
_op_(MC_MC_TBU_TRANSACTION_ATTR_CTRL_0) \
_op_(MC_CLIENT_ORDER_ID_27_0) \
_op_(MC_CLIENT_ORDER_ID_13_0) \
_op_(MC_CLIENT_ORDER_ID_9_0) \
_op_(MC_CLIENT_ORDER_ID_4_0) \
_op_(MC_CLIENT_ORDER_ID_10_0) \
_op_(MC_CLIENT_ORDER_ID_21_0) \
_op_(MC_CLIENT_ORDER_ID_26_0) \
_op_(MC_CLIENT_ORDER_ID_17_0) \
_op_(MC_CLIENT_ORDER_ID_15_0) \
_op_(MC_CLIENT_ORDER_ID_6_0) \
_op_(MC_CLIENT_ORDER_ID_30_0) \
_op_(MC_CLIENT_ORDER_ID_18_0) \
_op_(MC_CLIENT_ORDER_ID_5_0) \
_op_(MC_CLIENT_ORDER_ID_23_0) \
_op_(MC_CLIENT_ORDER_ID_29_0) \
_op_(MC_CLIENT_ORDER_ID_14_0) \
_op_(MC_CLIENT_ORDER_ID_24_0) \
_op_(MC_CLIENT_ORDER_ID_3_0) \
_op_(MC_CLIENT_ORDER_ID_19_0) \
_op_(MC_CLIENT_ORDER_ID_7_0) \
_op_(MC_CLIENT_ORDER_ID_0_0) \
_op_(MC_CLIENT_ORDER_ID_2_0) \
_op_(MC_CLIENT_ORDER_ID_16_0) \
_op_(MC_CLIENT_ORDER_ID_22_0) \
_op_(MC_CLIENT_ORDER_ID_12_0) \
_op_(MC_CLIENT_ORDER_ID_28_0) \
_op_(MC_CLIENT_ORDER_ID_31_0) \
_op_(MC_CLIENT_ORDER_ID_25_0) \
_op_(MC_CLIENT_ORDER_ID_20_0) \
_op_(MC_CLIENT_ORDER_ID_8_0) \
_op_(MC_HUB_PC_VC_ID_11_0) \
_op_(MC_HUB_PC_VC_ID_12_0) \
_op_(MC_HUB_PC_VC_ID_2_0) \
_op_(MC_HUB_PC_VC_ID_10_0) \
_op_(MC_HUB_PC_VC_ID_6_0) \
_op_(MC_HUB_PC_VC_ID_13_0) \
_op_(MC_HUB_PC_VC_ID_1_0) \
_op_(MC_HUB_PC_VC_ID_7_0) \
_op_(MC_HUB_PC_VC_ID_0_0) \
_op_(MC_HUB_PC_VC_ID_9_0) \
_op_(MC_HUB_PC_VC_ID_5_0) \
_op_(MC_HUB_PC_VC_ID_3_0) \
_op_(MC_HUB_PC_VC_ID_8_0) \
_op_(MC_HUB_PC_VC_ID_14_0) \
_op_(MC_HUB_PC_VC_ID_4_0) \
_op_(MC_COALESCE_CTRL_0) \
_op_(MC_CLIENT_COALESCE_CONFIG_0_0) \
_op_(MC_CLIENT_COALESCE_CONFIG_1_0) \
_op_(MC_CLIENT_COALESCE_CONFIG_2_0) \
_op_(MC_CLIENT_COALESCE_CONFIG_3_0) \
_op_(MC_CLIENT_COALESCE_CONFIG_4_0) \
_op_(MC_CLIENT_COALESCE_CONFIG_5_0) \
_op_(MC_CLIENT_COALESCE_CONFIG_6_0) \
_op_(MC_CLIENT_COALESCE_CONFIG_7_0) \
_op_(MC_HUB_VC_ARB_SEL_0) \
_op_(MC_MC_SMMU_ARB_MAX_OUTSTANDING_NISO_0) \
_op_(MC_MC_SMMU_ARB_MAX_OUTSTANDING_SISO_0) \
_op_(MC_MC_SMMU_ARB_MAX_OUTSTANDING_ISO_0) \
_op_(MC_MC_SMMU_ARB_MAX_THROTTLE_0) \
_op_(MC_MC_SMMU_ISO_TBU_CCHK_REQ_PRI_CTRL_0) \
_op_(MC_MC_SMMU_PTC2H_REQ_MAPPING_OVERRIDE_0) \
_op_(MC_MC_SMMU_PTC2H_REQ_MAPPING_0) \
_op_(MC_SMMU_CLIENT_STEERING_CTRL0_0) \
_op_(MC_SMMU_CLIENT_STEERING_CTRL1_0) \
_op_(MC_SMMU_CLIENT_STEERING_CTRL2_0) \
_op_(MC_SMMU_CLIENT_STEERING_CTRL3_0) \
_op_(MC_SMMU_CLIENT_STEERING_CTRL4_0) \
_op_(MC_SMMU_CLIENT_STEERING_CTRL5_0) \
_op_(MC_SMMU_CLIENT_STEERING_CTRL6_0) \
_op_(MC_SMMU_CLIENT_STEERING_CTRL7_0) \
_op_(MC_SMMU_BYPASS_CONFIG_0) \
_op_(MC_CLIENT_CCI_CAPABLE_0_0) \
_op_(MC_CLIENT_CCI_CAPABLE_1_0) \
_op_(MC_CLIENT_CCI_CAPABLE_2_0) \
_op_(MC_CLIENT_CCI_CAPABLE_3_0) \
_op_(MC_CLIENT_CCI_CAPABLE_4_0) \
_op_(MC_CLIENT_CCI_CAPABLE_5_0) \
_op_(MC_CLIENT_CCI_CAPABLE_6_0) \
_op_(MC_CLIENT_CCI_CAPABLE_8_0) \
_op_(MC_CLIENT_CCI_CAPABLE_7_0) \
_op_(MC_MAX_OUTSTANDING_CCI_0) \
_op_(MC_NV_CACHE_CONFIG_0) \
_op_(MC_NV_CACHE_HUB_MASK_0) \
_op_(MC_SYSRAM_BOM_0) \
_op_(MC_SYSRAM_TOM_0) \
_op_(MC_SYSRAM_ADR_HI_0) \
_op_(MC_SYSRAM_REG_CTRL_0) \
_op_(MC_MSSNVLINK_BOM_0) \
_op_(MC_MSSNVLINK_TOM_0) \
_op_(MC_MSSNVLINK_REG_CTRL_0) \
_op_(MC_SYNCPOINT_BOM_0) \
_op_(MC_SYNCPOINT_TOM_0) \
_op_(MC_SYNCPOINT_REG_CTRL_0) \
_op_(MC_ECC_CONTROL_0) \
_op_(MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0) \
_op_(MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0) \
_op_(MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0) \
_op_(MC_CFG_WCAM_GOB_REMAP_0) \
_op_(MC_ECC_RAW_MODE_CONTROL_0) \
_op_(MC_ECC_CFG_0) \
_op_(MC_TR_BIT_CTL_0) \
_op_(MC_CH_INTSTATUS_0) \
_op_(MC_LATENCY_ALLOWANCE_WCAM_0) \
_op_(MC_CFG_WCAM_0) \
_op_(MC_WCAM_ENCR_KEY_STATUS_0) \
_op_(MC_WCAM_STATE_0) \
_op_(MC_WCAM_IRQ_TEST_0) \
_op_(MC_WCAM_IRQ_P0_STATUS0_0) \
_op_(MC_WCAM_IRQ_P0_STATUS1_0) \
_op_(MC_WCAM_IRQ_P1_STATUS0_0) \
_op_(MC_WCAM_IRQ_P1_STATUS1_0) \
_op_(MC_ROC_DMA_R_PTSA_MIN_0) \
_op_(MC_ROC_DMA_R_PTSA_MAX_0) \
_op_(MC_ROC_DMA_R_PTSA_RATE_0) \
_op_(MC_RING1_WR_B_PTSA_MIN_0) \
_op_(MC_RING1_WR_B_PTSA_MAX_0) \
_op_(MC_RING1_WR_B_PTSA_RATE_0) \
_op_(MC_RING1_WR_NB_PTSA_MIN_0) \
_op_(MC_RING1_WR_NB_PTSA_MAX_0) \
_op_(MC_RING1_WR_NB_PTSA_RATE_0) \
_op_(MC_RING1_RD_B_PTSA_MIN_0) \
_op_(MC_RING1_RD_B_PTSA_MAX_0) \
_op_(MC_RING1_RD_B_PTSA_RATE_0) \
_op_(MC_RING1_RD_NB_PTSA_MIN_0) \
_op_(MC_RING1_RD_NB_PTSA_MAX_0) \
_op_(MC_RING1_RD_NB_PTSA_RATE_0) \
_op_(MC_FREE_BANK_QUEUES_0) \
_op_(MC_RING0_MT_FIFO_CREDITS_0) \
_op_(MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0) \
_op_(MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0) \
_op_(MC_CIFLL_NISO_PTSA_MIN_0) \
_op_(MC_CIFLL_NISO_PTSA_MAX_0) \
_op_(MC_CIFLL_NISO_PTSA_RATE_0) \
_op_(MC_CIFLL_SISO_PTSA_MIN_0) \
_op_(MC_CIFLL_SISO_PTSA_MAX_0) \
_op_(MC_CIFLL_SISO_PTSA_RATE_0) \
_op_(MC_CIFLL_ISO_PTSA_MIN_0) \
_op_(MC_CIFLL_ISO_PTSA_MAX_0) \
_op_(MC_CIFLL_ISO_PTSA_RATE_0) \
_op_(MC_CIFLL_RING0X_PTSA_MIN_0) \
_op_(MC_CIFLL_RING0X_PTSA_MAX_0) \
_op_(MC_CIFLL_RING0X_PTSA_RATE_0) \
_op_(MC_CIFLL_CPU_RD_PRI_CTRL_0) \
_op_(MC_MEM_SCRUBBER_ECC_ADDR_0) \
_op_(MC_MEM_SCRUBBER_ECC_ADDR_HI_0) \
_op_(MC_MEM_SCRUBBER_ECC_REG_CTRL_0) \
_op_(MC_SMMU_MTLB_WC_HASHING_CONFIG_0) \
_op_(MC_SMMU_NVCACHE_CONFIG_0) \
_op_(MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0) \
_op_(MC_DBB_RINGFENCE_CTRL_0) \
_op_(MC_DBB_RINGFENCE_STATUS_0) \
_op_(MC_CCITRX_ENABLE_CONFIG_0) \
_op_(MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG_0) \
_op_(MC_EMEM_ARB_THROTTLE_CFG_0) \
_op_(MC_MSS_SYSRAM_EC_FEATURE_0) \
_op_(MC_MSS_SYSRAM_EC_SWRESET_0) \
_op_(MC_MSS_SYSRAM_EC_MISSIONERR_TYPE_0) \
_op_(MC_MSS_SYSRAM_EC_CURRENT_COUNTER_VALUE_0) \
_op_(MC_MSS_SYSRAM_EC_MISSIONERR_USERVALUE_0) \
_op_(MC_MSS_SYSRAM_EC_MISSIONERR_INDEX_0) \
_op_(MC_MSS_SYSRAM_EC_CORRECTABLE_THRESHOLD_0) \
_op_(MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0) \
_op_(MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0) \
_op_(MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_FORCE_0) \
_op_(MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_STATUS_0) \
_op_(MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_INJECT_0) \
_op_(MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_ENABLE_0) \
_op_(MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_FORCE_0) \
_op_(MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0) \
_op_(MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0) \
_op_(MC_TCU_WRAP_EC_FEATURE_0) \
_op_(MC_TCU_WRAP_EC_SWRESET_0) \
_op_(MC_TCU_WRAP_EC_MISSIONERR_TYPE_0) \
_op_(MC_TCU_WRAP_EC_CURRENT_COUNTER_VALUE_0) \
_op_(MC_TCU_WRAP_EC_MISSIONERR_USERVALUE_0) \
_op_(MC_TCU_WRAP_EC_MISSIONERR_INDEX_0) \
_op_(MC_TCU_WRAP_EC_CORRECTABLE_THRESHOLD_0) \
_op_(MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0) \
_op_(MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0) \
_op_(MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_FORCE_0) \
_op_(MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_STATUS_0) \
_op_(MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_INJECT_0) \
_op_(MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_ENABLE_0) \
_op_(MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_FORCE_0) \
_op_(MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0) \
_op_(MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0) \
_op_(MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0) \
_op_(MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_FORCE_0) \
_op_(MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_STATUS_0) \
_op_(MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_INJECT_0) \
_op_(MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_ENABLE_0) \
_op_(MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_FORCE_0) \
_op_(MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0) \
_op_(MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0) \
_op_(MC_MSS_SBS_EC_FEATURE_0) \
_op_(MC_MSS_SBS_EC_SWRESET_0) \
_op_(MC_MSS_SBS_EC_MISSIONERR_TYPE_0) \
_op_(MC_MSS_SBS_EC_CURRENT_COUNTER_VALUE_0) \
_op_(MC_MSS_SBS_EC_MISSIONERR_USERVALUE_0) \
_op_(MC_MSS_SBS_EC_MISSIONERR_INDEX_0) \
_op_(MC_MSS_SBS_EC_CORRECTABLE_THRESHOLD_0) \
_op_(MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0) \
_op_(MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0) \
_op_(MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_FORCE_0) \
_op_(MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_STATUS_0) \
_op_(MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_INJECT_0) \
_op_(MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_ENABLE_0) \
_op_(MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_FORCE_0) \
_op_(MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0) \
_op_(MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0) \
_op_(MC_MCF_SLICE_EC_FEATURE_0) \
_op_(MC_MCF_SLICE_EC_SWRESET_0) \
_op_(MC_MCF_SLICE_EC_MISSIONERR_TYPE_0) \
_op_(MC_MCF_SLICE_EC_CURRENT_COUNTER_VALUE_0) \
_op_(MC_MCF_SLICE_EC_MISSIONERR_USERVALUE_0) \
_op_(MC_MCF_SLICE_EC_MISSIONERR_INDEX_0) \
_op_(MC_MCF_SLICE_EC_CORRECTABLE_THRESHOLD_0) \
_op_(MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0) \
_op_(MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0) \
_op_(MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_FORCE_0) \
_op_(MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_STATUS_0) \
_op_(MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_INJECT_0) \
_op_(MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_ENABLE_0) \
_op_(MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_FORCE_0) \
_op_(MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0) \
_op_(MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0) \
_op_(MC_MCF_IREQX_EC_FEATURE_0) \
_op_(MC_MCF_IREQX_EC_SWRESET_0) \
_op_(MC_MCF_IREQX_EC_MISSIONERR_TYPE_0) \
_op_(MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0) \
_op_(MC_MCF_IREQX_EC_MISSIONERR_INDEX_0) \
_op_(MC_MCF_IREQX_EC_CORRECTABLE_THRESHOLD_0) \
_op_(MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0) \
_op_(MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0) \
_op_(MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0) \
_op_(MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0) \
_op_(MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0) \
_op_(MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0) \
_op_(MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_FORCE_0) \
_op_(MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0) \
_op_(MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0) \
_op_(MC_MCF_IRSPX_EC_FEATURE_0) \
_op_(MC_MCF_IRSPX_EC_SWRESET_0) \
_op_(MC_MCF_IRSPX_EC_MISSIONERR_TYPE_0) \
_op_(MC_MCF_IRSPX_EC_CURRENT_COUNTER_VALUE_0) \
_op_(MC_MCF_IRSPX_EC_MISSIONERR_USERVALUE_0) \
_op_(MC_MCF_IRSPX_EC_MISSIONERR_INDEX_0) \
_op_(MC_MCF_IRSPX_EC_CORRECTABLE_THRESHOLD_0) \
_op_(MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0) \
_op_(MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0) \
_op_(MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0) \
_op_(MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0) \
_op_(MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0) \
_op_(MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0) \
_op_(MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_FORCE_0) \
_op_(MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0) \
_op_(MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0) \
_op_(MC_MCF_OREQX_EC_FEATURE_0) \
_op_(MC_MCF_OREQX_EC_SWRESET_0) \
_op_(MC_MCF_OREQX_EC_MISSIONERR_TYPE_0) \
_op_(MC_MCF_OREQX_EC_CURRENT_COUNTER_VALUE_0) \
_op_(MC_MCF_OREQX_EC_MISSIONERR_USERVALUE_0) \
_op_(MC_MCF_OREQX_EC_MISSIONERR_INDEX_0) \
_op_(MC_MCF_OREQX_EC_CORRECTABLE_THRESHOLD_0) \
_op_(MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0) \
_op_(MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0) \
_op_(MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_FORCE_0) \
_op_(MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_STATUS_0) \
_op_(MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_INJECT_0) \
_op_(MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_ENABLE_0) \
_op_(MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_FORCE_0) \
_op_(MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0) \
_op_(MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0) \
_op_(MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0) \
_op_(MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_FORCE_0) \
_op_(MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_STATUS_0) \
_op_(MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_INJECT_0) \
_op_(MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_ENABLE_0) \
_op_(MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_FORCE_0) \
_op_(MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0) \
_op_(MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0) \
_op_(MC_MCF_ORSPX_EC_FEATURE_0) \
_op_(MC_MCF_ORSPX_EC_SWRESET_0) \
_op_(MC_MCF_ORSPX_EC_MISSIONERR_TYPE_0) \
_op_(MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0) \
_op_(MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0) \
_op_(MC_MCF_ORSPX_EC_CORRECTABLE_THRESHOLD_0) \
_op_(MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0) \
_op_(MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0) \
_op_(MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_FORCE_0) \
_op_(MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_STATUS_0) \
_op_(MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_INJECT_0) \
_op_(MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_ENABLE_0) \
_op_(MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_FORCE_0) \
_op_(MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0) \
_op_(MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0) \
_op_(MC_CHANNEL_EC_FEATURE_0) \
_op_(MC_CHANNEL_EC_SWRESET_0) \
_op_(MC_CHANNEL_EC_MISSIONERR_TYPE_0) \
_op_(MC_CHANNEL_EC_CURRENT_COUNTER_VALUE_0) \
_op_(MC_CHANNEL_EC_MISSIONERR_USERVALUE_0) \
_op_(MC_CHANNEL_EC_MISSIONERR_INDEX_0) \
_op_(MC_CHANNEL_EC_CORRECTABLE_THRESHOLD_0) \
_op_(MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0) \
_op_(MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0) \
_op_(MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_FORCE_0) \
_op_(MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_STATUS_0) \
_op_(MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_INJECT_0) \
_op_(MC_CHANNEL_EC_ERRSLICE0_LATENTERR_ENABLE_0) \
_op_(MC_CHANNEL_EC_ERRSLICE0_LATENTERR_FORCE_0) \
_op_(MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0) \
_op_(MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0) \
_op_(MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0) \
_op_(MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_FORCE_0) \
_op_(MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_STATUS_0) \
_op_(MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_INJECT_0) \
_op_(MC_CHANNEL_EC_ERRSLICE1_LATENTERR_ENABLE_0) \
_op_(MC_CHANNEL_EC_ERRSLICE1_LATENTERR_FORCE_0) \
_op_(MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0) \
_op_(MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0) \
_op_(MC_HUB_EC_FEATURE_0) \
_op_(MC_HUB_EC_SWRESET_0) \
_op_(MC_HUB_EC_MISSIONERR_TYPE_0) \
_op_(MC_HUB_EC_CURRENT_COUNTER_VALUE_0) \
_op_(MC_HUB_EC_MISSIONERR_USERVALUE_0) \
_op_(MC_HUB_EC_MISSIONERR_INDEX_0) \
_op_(MC_HUB_EC_CORRECTABLE_THRESHOLD_0) \
_op_(MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0) \
_op_(MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0) \
_op_(MC_HUB_EC_ERRSLICE0_MISSIONERR_FORCE_0) \
_op_(MC_HUB_EC_ERRSLICE0_MISSIONERR_STATUS_0) \
_op_(MC_HUB_EC_ERRSLICE0_MISSIONERR_INJECT_0) \
_op_(MC_HUB_EC_ERRSLICE0_LATENTERR_ENABLE_0) \
_op_(MC_HUB_EC_ERRSLICE0_LATENTERR_FORCE_0) \
_op_(MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0) \
_op_(MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0) \
_op_(MC_HUBC_EC_FEATURE_0) \
_op_(MC_HUBC_EC_SWRESET_0) \
_op_(MC_HUBC_EC_MISSIONERR_TYPE_0) \
_op_(MC_HUBC_EC_CURRENT_COUNTER_VALUE_0) \
_op_(MC_HUBC_EC_MISSIONERR_USERVALUE_0) \
_op_(MC_HUBC_EC_MISSIONERR_INDEX_0) \
_op_(MC_HUBC_EC_CORRECTABLE_THRESHOLD_0) \
_op_(MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0) \
_op_(MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0) \
_op_(MC_HUBC_EC_ERRSLICE0_MISSIONERR_FORCE_0) \
_op_(MC_HUBC_EC_ERRSLICE0_MISSIONERR_STATUS_0) \
_op_(MC_HUBC_EC_ERRSLICE0_MISSIONERR_INJECT_0) \
_op_(MC_HUBC_EC_ERRSLICE0_LATENTERR_ENABLE_0) \
_op_(MC_HUBC_EC_ERRSLICE0_LATENTERR_FORCE_0) \
_op_(MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0) \
_op_(MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0)


//
// ADDRESS SPACES
//

#define BASE_ADDRESS_MC 0x00000000
#define BASE_ADDRESS_MC_MSS_SYSRAM_EC   0x00009000
#define BASE_ADDRESS_MC_TCU_WRAP_EC     0x00009100
#define BASE_ADDRESS_MC_MSS_SBS_EC      0x00009200
#define BASE_ADDRESS_MC_MCF_SLICE_EC    0x00009300
#define BASE_ADDRESS_MC_MCF_IREQX_EC    0x00009400
#define BASE_ADDRESS_MC_MCF_IRSPX_EC    0x00009500
#define BASE_ADDRESS_MC_MCF_OREQX_EC    0x00009600
#define BASE_ADDRESS_MC_MCF_ORSPX_EC    0x00009700
#define BASE_ADDRESS_MC_CHANNEL_EC      0x00009800
#define BASE_ADDRESS_MC_HUB_EC  0x00009900
#define BASE_ADDRESS_MC_HUBC_EC 0x00009a00

//
// ARMC REGISTER BANKS
//

#define MC0_FIRST_REG 0x8004 // MC_MCF_ORSPX_RDRSP_0
#define MC0_LAST_REG 0x8024 // MC_MCF_ORSPX_ARB_CONFIG_0
#define MC1_FIRST_REG 0x8100 // MC_MCF_IREQX_VCARB_CONFIG_0
#define MC1_LAST_REG 0x8118 // MC_MCF_OREQX_CLKEN_OVERRIDE_0
#define MC2_FIRST_REG 0x8130 // MC_MCF_IREQX_PM_FIFO_SRC_MATCH0_0
#define MC2_LAST_REG 0x8160 // MC_MCF_OREQX_STAT_MATCH1_COUNT_HI_0
#define MC3_FIRST_REG 0x8200 // MC_MCF_IREQX_HUB_FIFO_NISO_0
#define MC3_LAST_REG 0x820c // MC_MCF_IREQX_HUB_FIFO_TRANS_DONE_0
#define MC4_FIRST_REG 0x8214 // MC_MCF_IREQX_HUB_FIFO_ORD_1_0
#define MC4_LAST_REG 0x8230 // MC_MCF_IREQX_NVL_FIFO_TRANS_DONE_0
#define MC5_FIRST_REG 0x8238 // MC_MCF_IREQX_NVL_FIFO_ORD_1_0
#define MC5_LAST_REG 0x8278 // MC_MCF_OREQX_SCF_LLFIFO_CPU_LL_0
#define MC6_FIRST_REG 0x8300 // MC_MCF_SLICE_CFG_0
#define MC6_LAST_REG 0x8324 // MC_MCF_SLICE_CLKEN_OVERRIDE_0
#define MC7_FIRST_REG 0x8c00 // MC_MSS_SYSRAM_INIT_0
#define MC7_LAST_REG 0x8c04 // MC_MSS_SYSRAM_CLKEN_OVERRIDE_0
#define MC8_FIRST_REG 0x8f00 // MC_MSS_SBS_ASYNC_0
#define MC8_LAST_REG 0x8f14 // MC_MSS_SBS_VC_LIMIT_0
#define MC9_FIRST_REG 0x0f80 // MC_REGIF_CONFIG_0
#define MC9_LAST_REG 0x0f80 // MC_REGIF_CONFIG_0
#define MC10_FIRST_REG 0x0f8c // MC_REGIF_CONFIG_1_0
#define MC10_LAST_REG 0x0f8c // MC_REGIF_CONFIG_1_0
#define MC11_FIRST_REG 0x3700 // MC_REGIF_CONFIG_2_0
#define MC11_LAST_REG 0x3700 // MC_REGIF_CONFIG_2_0
#define MC12_FIRST_REG 0x0f84 // MC_REGIF_BROADCAST_0
#define MC12_LAST_REG 0x0f88 // MC_REGIF_BROADCAST_1_0
#define MC13_FIRST_REG 0x3704 // MC_REGIF_BROADCAST_2_0
#define MC13_LAST_REG 0x3704 // MC_REGIF_BROADCAST_2_0
#define MC14_FIRST_REG 0x0f90 // MC_REGIF_UNICAST0_0
#define MC14_LAST_REG 0x0f90 // MC_REGIF_UNICAST0_0
#define MC15_FIRST_REG 0x1134 // MC_REGIF_UNICAST0_1_0
#define MC15_LAST_REG 0x1134 // MC_REGIF_UNICAST0_1_0
#define MC16_FIRST_REG 0x370c // MC_REGIF_UNICAST0_2_0
#define MC16_LAST_REG 0x370c // MC_REGIF_UNICAST0_2_0
#define MC17_FIRST_REG 0x0f94 // MC_REGIF_UNICAST1_0
#define MC17_LAST_REG 0x0f94 // MC_REGIF_UNICAST1_0
#define MC18_FIRST_REG 0x1140 // MC_REGIF_UNICAST1_1_0
#define MC18_LAST_REG 0x1140 // MC_REGIF_UNICAST1_1_0
#define MC19_FIRST_REG 0x3710 // MC_REGIF_UNICAST1_2_0
#define MC19_LAST_REG 0x3710 // MC_REGIF_UNICAST1_2_0
#define MC20_FIRST_REG 0x0f98 // MC_REGIF_UNICAST2_0
#define MC20_LAST_REG 0x0f98 // MC_REGIF_UNICAST2_0
#define MC21_FIRST_REG 0x1144 // MC_REGIF_UNICAST2_1_0
#define MC21_LAST_REG 0x1144 // MC_REGIF_UNICAST2_1_0
#define MC22_FIRST_REG 0x3714 // MC_REGIF_UNICAST2_2_0
#define MC22_LAST_REG 0x3714 // MC_REGIF_UNICAST2_2_0
#define MC23_FIRST_REG 0x0f9c // MC_REGIF_UNICAST3_0
#define MC23_LAST_REG 0x0f9c // MC_REGIF_UNICAST3_0
#define MC24_FIRST_REG 0x1148 // MC_REGIF_UNICAST3_1_0
#define MC24_LAST_REG 0x1148 // MC_REGIF_UNICAST3_1_0
#define MC25_FIRST_REG 0x3718 // MC_REGIF_UNICAST3_2_0
#define MC25_LAST_REG 0x3718 // MC_REGIF_UNICAST3_2_0
#define MC26_FIRST_REG 0x1164 // MC_REGIF_UNICAST4_0
#define MC26_LAST_REG 0x1164 // MC_REGIF_UNICAST4_0
#define MC27_FIRST_REG 0x114c // MC_REGIF_UNICAST4_1_0
#define MC27_LAST_REG 0x114c // MC_REGIF_UNICAST4_1_0
#define MC28_FIRST_REG 0x371c // MC_REGIF_UNICAST4_2_0
#define MC28_LAST_REG 0x371c // MC_REGIF_UNICAST4_2_0
#define MC29_FIRST_REG 0x1168 // MC_REGIF_UNICAST5_0
#define MC29_LAST_REG 0x1168 // MC_REGIF_UNICAST5_0
#define MC30_FIRST_REG 0x1150 // MC_REGIF_UNICAST5_1_0
#define MC30_LAST_REG 0x1150 // MC_REGIF_UNICAST5_1_0
#define MC31_FIRST_REG 0x3720 // MC_REGIF_UNICAST5_2_0
#define MC31_LAST_REG 0x3720 // MC_REGIF_UNICAST5_2_0
#define MC32_FIRST_REG 0x116c // MC_REGIF_UNICAST6_0
#define MC32_LAST_REG 0x116c // MC_REGIF_UNICAST6_0
#define MC33_FIRST_REG 0x1154 // MC_REGIF_UNICAST6_1_0
#define MC33_LAST_REG 0x1154 // MC_REGIF_UNICAST6_1_0
#define MC34_FIRST_REG 0x3724 // MC_REGIF_UNICAST6_2_0
#define MC34_LAST_REG 0x3724 // MC_REGIF_UNICAST6_2_0
#define MC35_FIRST_REG 0x1170 // MC_REGIF_UNICAST7_0
#define MC35_LAST_REG 0x1170 // MC_REGIF_UNICAST7_0
#define MC36_FIRST_REG 0x1160 // MC_REGIF_UNICAST7_1_0
#define MC36_LAST_REG 0x1160 // MC_REGIF_UNICAST7_1_0
#define MC37_FIRST_REG 0x3728 // MC_REGIF_UNICAST7_2_0
#define MC37_LAST_REG 0x372c // MC_REGIF_UNICAST8_0
#define MC38_FIRST_REG 0x374c // MC_REGIF_UNICAST8_1_0
#define MC38_LAST_REG 0x374c // MC_REGIF_UNICAST8_1_0
#define MC39_FIRST_REG 0x376c // MC_REGIF_UNICAST8_2_0
#define MC39_LAST_REG 0x376c // MC_REGIF_UNICAST8_2_0
#define MC40_FIRST_REG 0x3730 // MC_REGIF_UNICAST9_0
#define MC40_LAST_REG 0x3730 // MC_REGIF_UNICAST9_0
#define MC41_FIRST_REG 0x3750 // MC_REGIF_UNICAST9_1_0
#define MC41_LAST_REG 0x3750 // MC_REGIF_UNICAST9_1_0
#define MC42_FIRST_REG 0x3770 // MC_REGIF_UNICAST9_2_0
#define MC42_LAST_REG 0x3770 // MC_REGIF_UNICAST9_2_0
#define MC43_FIRST_REG 0x3734 // MC_REGIF_UNICAST10_0
#define MC43_LAST_REG 0x3734 // MC_REGIF_UNICAST10_0
#define MC44_FIRST_REG 0x3754 // MC_REGIF_UNICAST10_1_0
#define MC44_LAST_REG 0x3754 // MC_REGIF_UNICAST10_1_0
#define MC45_FIRST_REG 0x3774 // MC_REGIF_UNICAST10_2_0
#define MC45_LAST_REG 0x3774 // MC_REGIF_UNICAST10_2_0
#define MC46_FIRST_REG 0x3738 // MC_REGIF_UNICAST11_0
#define MC46_LAST_REG 0x3738 // MC_REGIF_UNICAST11_0
#define MC47_FIRST_REG 0x3758 // MC_REGIF_UNICAST11_1_0
#define MC47_LAST_REG 0x3758 // MC_REGIF_UNICAST11_1_0
#define MC48_FIRST_REG 0x3778 // MC_REGIF_UNICAST11_2_0
#define MC48_LAST_REG 0x3778 // MC_REGIF_UNICAST11_2_0
#define MC49_FIRST_REG 0x373c // MC_REGIF_UNICAST12_0
#define MC49_LAST_REG 0x373c // MC_REGIF_UNICAST12_0
#define MC50_FIRST_REG 0x375c // MC_REGIF_UNICAST12_1_0
#define MC50_LAST_REG 0x375c // MC_REGIF_UNICAST12_1_0
#define MC51_FIRST_REG 0x377c // MC_REGIF_UNICAST12_2_0
#define MC51_LAST_REG 0x377c // MC_REGIF_UNICAST12_2_0
#define MC52_FIRST_REG 0x3740 // MC_REGIF_UNICAST13_0
#define MC52_LAST_REG 0x3740 // MC_REGIF_UNICAST13_0
#define MC53_FIRST_REG 0x3760 // MC_REGIF_UNICAST13_1_0
#define MC53_LAST_REG 0x3760 // MC_REGIF_UNICAST13_1_0
#define MC54_FIRST_REG 0x3780 // MC_REGIF_UNICAST13_2_0
#define MC54_LAST_REG 0x3780 // MC_REGIF_UNICAST13_2_0
#define MC55_FIRST_REG 0x3744 // MC_REGIF_UNICAST14_0
#define MC55_LAST_REG 0x3744 // MC_REGIF_UNICAST14_0
#define MC56_FIRST_REG 0x3764 // MC_REGIF_UNICAST14_1_0
#define MC56_LAST_REG 0x3764 // MC_REGIF_UNICAST14_1_0
#define MC57_FIRST_REG 0x3784 // MC_REGIF_UNICAST14_2_0
#define MC57_LAST_REG 0x3784 // MC_REGIF_UNICAST14_2_0
#define MC58_FIRST_REG 0x3748 // MC_REGIF_UNICAST15_0
#define MC58_LAST_REG 0x3748 // MC_REGIF_UNICAST15_0
#define MC59_FIRST_REG 0x3768 // MC_REGIF_UNICAST15_1_0
#define MC59_LAST_REG 0x3768 // MC_REGIF_UNICAST15_1_0
#define MC60_FIRST_REG 0x3788 // MC_REGIF_UNICAST15_2_0
#define MC60_LAST_REG 0x3788 // MC_REGIF_UNICAST15_2_0
#define MC61_FIRST_REG 0x0000 // MC_INTSTATUS_0
#define MC61_LAST_REG 0x0004 // MC_INTMASK_0
#define MC62_FIRST_REG 0x0ec4 // MC_INTPRIORITY_0
#define MC62_LAST_REG 0x0ec4 // MC_INTPRIORITY_0
#define MC63_FIRST_REG 0x0f2c // MC_HUBC_INTSTATUS_0
#define MC63_LAST_REG 0x0f2c // MC_HUBC_INTSTATUS_0
#define MC64_FIRST_REG 0x0f50 // MC_HUB_INTMASK_0
#define MC64_LAST_REG 0x0f58 // MC_HUB_INTSTATUS_0
#define MC65_FIRST_REG 0x0f24 // MC_GLOBAL_INTSTATUS_0
#define MC65_LAST_REG 0x0f28 // MC_GLOBAL_CRITICAL_INTSTATUS_0
#define MC66_FIRST_REG 0x37e0 // MC_GLOBAL_INTSTATUS_1_0
#define MC66_LAST_REG 0x37e4 // MC_GLOBAL_CRITICAL_INTSTATUS_1_0
#define MC67_FIRST_REG 0x0008 // MC_ERR_STATUS_0
#define MC67_LAST_REG 0x000c // MC_ERR_ADR_0
#define MC68_FIRST_REG 0x11fc // MC_ERR_ADR_HI_0
#define MC68_LAST_REG 0x11fc // MC_ERR_ADR_HI_0
#define MC69_FIRST_REG 0x0010 // MC_SMMU_CONFIG_0
#define MC69_LAST_REG 0x0018 // MC_SMMU_PTC_CONFIG_0
#define MC70_FIRST_REG 0x0f4c // MC_SMMU_TCU_WRAP_CONFIG_0
#define MC70_LAST_REG 0x0f4c // MC_SMMU_TCU_WRAP_CONFIG_0
#define MC71_FIRST_REG 0x001c // MC_SMMU_PTB_ASID_0
#define MC71_LAST_REG 0x0020 // MC_SMMU_PTB_DATA_0
#define MC72_FIRST_REG 0x0030 // MC_SMMU_TLB_FLUSH_0
#define MC72_LAST_REG 0x0034 // MC_SMMU_PTC_FLUSH_0
#define MC73_FIRST_REG 0x09b8 // MC_SMMU_PTC_FLUSH_1_0
#define MC73_LAST_REG 0x09b8 // MC_SMMU_PTC_FLUSH_1_0
#define MC74_FIRST_REG 0x0038 // MC_SMMU_ASID_SECURITY_0
#define MC74_LAST_REG 0x003c // MC_SMMU_ASID_SECURITY_1_0
#define MC75_FIRST_REG 0x09e0 // MC_SMMU_ASID_SECURITY_2_0
#define MC75_LAST_REG 0x09f4 // MC_SMMU_ASID_SECURITY_7_0
#define MC76_FIRST_REG 0x0040 // MC_SMMU_CLIENT_CONFIG0_0
#define MC76_LAST_REG 0x004c // MC_SMMU_CLIENT_CONFIG3_0
#define MC77_FIRST_REG 0x0b9c // MC_SMMU_CLIENT_CONFIG4_0
#define MC77_LAST_REG 0x0b9c // MC_SMMU_CLIENT_CONFIG4_0
#define MC78_FIRST_REG 0x0bac // MC_SMMU_CLIENT_CONFIG5_0
#define MC78_LAST_REG 0x0bac // MC_SMMU_CLIENT_CONFIG5_0
#define MC79_FIRST_REG 0x0ffc // MC_SMMU_CLIENT_CONFIG6_0
#define MC79_LAST_REG 0x0ffc // MC_SMMU_CLIENT_CONFIG6_0
#define MC80_FIRST_REG 0x1f00 // MC_SMMU_CLIENT_CONFIG7_0
#define MC80_LAST_REG 0x1f00 // MC_SMMU_CLIENT_CONFIG7_0
#define MC81_FIRST_REG 0x0dd0 // MC_PCFIFO_CLIENT_CONFIG0_0
#define MC81_LAST_REG 0x0de0 // MC_PCFIFO_CLIENT_CONFIG4_0
#define MC82_FIRST_REG 0x0bf4 // MC_PCFIFO_CLIENT_CONFIG5_0
#define MC82_LAST_REG 0x0bf4 // MC_PCFIFO_CLIENT_CONFIG5_0
#define MC83_FIRST_REG 0x0b90 // MC_PCFIFO_CLIENT_CONFIG6_0
#define MC83_LAST_REG 0x0b90 // MC_PCFIFO_CLIENT_CONFIG6_0
#define MC84_FIRST_REG 0x0acc // MC_PCFIFO_CLIENT_CONFIG7_0
#define MC84_LAST_REG 0x0acc // MC_PCFIFO_CLIENT_CONFIG7_0
#define MC85_FIRST_REG 0x0050 // MC_EMEM_CFG_0
#define MC85_LAST_REG 0x005c // MC_EMEM_ADR_CFG_DEV1_0
#define MC86_FIRST_REG 0x0df8 // MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0
#define MC86_LAST_REG 0x0df8 // MC_EMEM_ADR_CFG_CHANNEL_ENABLE_0
#define MC87_FIRST_REG 0x0060 // MC_EMEM_ADR_CFG_CHANNEL_MASK_0
#define MC87_LAST_REG 0x0060 // MC_EMEM_ADR_CFG_CHANNEL_MASK_0
#define MC88_FIRST_REG 0x0dfc // MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0
#define MC88_LAST_REG 0x0dfc // MC_EMEM_ADR_CFG_CHANNEL_MASK_1_0
#define MC89_FIRST_REG 0x0df4 // MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0
#define MC89_LAST_REG 0x0df4 // MC_EMEM_ADR_CFG_CHANNEL_MASK_2_0
#define MC90_FIRST_REG 0x0df0 // MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0
#define MC90_LAST_REG 0x0df0 // MC_EMEM_ADR_CFG_CHANNEL_MASK_3_0
#define MC91_FIRST_REG 0x0064 // MC_EMEM_ADR_CFG_BANK_MASK_0_0
#define MC91_LAST_REG 0x0074 // MC_SECURITY_CFG1_0
#define MC92_FIRST_REG 0x0154 // MC_SECURITY_CFG_REG_CTRL_0
#define MC92_LAST_REG 0x0154 // MC_SECURITY_CFG_REG_CTRL_0
#define MC93_FIRST_REG 0x09bc // MC_SECURITY_CFG3_0
#define MC93_LAST_REG 0x09bc // MC_SECURITY_CFG3_0
#define MC94_FIRST_REG 0x007c // MC_SECURITY_RSV_0
#define MC94_LAST_REG 0x007c // MC_SECURITY_RSV_0
#define MC95_FIRST_REG 0x0090 // MC_EMEM_ARB_CFG_0
#define MC95_LAST_REG 0x00c4 // MC_EMEM_ARB_TIMING_W2R_0
#define MC96_FIRST_REG 0x06c0 // MC_EMEM_ARB_TIMING_RFCPB_0
#define MC96_LAST_REG 0x06d0 // MC_EMEM_ARB_TIMING_SREX_0
#define MC97_FIRST_REG 0x06f0 // MC_EMEM_ARB_REFPB_HP_CTRL_0
#define MC97_LAST_REG 0x06f4 // MC_EMEM_ARB_REFPB_BANK_CTRL_0
#define MC98_FIRST_REG 0x00d0 // MC_EMEM_ARB_DA_TURNS_0
#define MC98_LAST_REG 0x00d4 // MC_EMEM_ARB_DA_COVERS_0
#define MC99_FIRST_REG 0x09fc // MC_EMEM_ARB_DA_HYSTERESIS_0
#define MC99_LAST_REG 0x09fc // MC_EMEM_ARB_DA_HYSTERESIS_0
#define MC100_FIRST_REG 0x00d8 // MC_EMEM_ARB_MISC0_0
#define MC100_LAST_REG 0x00dc // MC_EMEM_ARB_MISC1_0
#define MC101_FIRST_REG 0x00c8 // MC_EMEM_ARB_MISC2_0
#define MC101_LAST_REG 0x00c8 // MC_EMEM_ARB_MISC2_0
#define MC102_FIRST_REG 0x023c // MC_EMEM_ARB_MISC3_0
#define MC102_LAST_REG 0x0240 // MC_EMEM_ARB_MISC4_0
#define MC103_FIRST_REG 0x00e0 // MC_EMEM_ARB_RING1_THROTTLE_0
#define MC103_LAST_REG 0x00e4 // MC_EMEM_ARB_RING3_THROTTLE_0
#define MC104_FIRST_REG 0x06b0 // MC_EMEM_ARB_NISO_THROTTLE_0
#define MC104_LAST_REG 0x06b0 // MC_EMEM_ARB_NISO_THROTTLE_0
#define MC105_FIRST_REG 0x00e8 // MC_EMEM_ARB_OVERRIDE_0
#define MC105_LAST_REG 0x00ec // MC_EMEM_ARB_RSV_0
#define MC106_FIRST_REG 0x00f4 // MC_CLKEN_OVERRIDE_0
#define MC106_LAST_REG 0x00f4 // MC_CLKEN_OVERRIDE_0
#define MC107_FIRST_REG 0x0fa0 // MC_HUB_CLKEN_OVERRIDE_0
#define MC107_LAST_REG 0x0fc0 // MC_HUB2MCF_REQ_DDA_ENABLE_0
#define MC108_FIRST_REG 0x00cc // MC_CLKEN_A1_OVERRIDE_0
#define MC108_LAST_REG 0x00cc // MC_CLKEN_A1_OVERRIDE_0
#define MC109_FIRST_REG 0x00f8 // MC_TIMING_CONTROL_DBG_0
#define MC109_LAST_REG 0x0118 // MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO_0
#define MC110_FIRST_REG 0x0158 // MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0
#define MC110_LAST_REG 0x0158 // MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO_0
#define MC111_FIRST_REG 0x011c // MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0
#define MC111_LAST_REG 0x011c // MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI_0
#define MC112_FIRST_REG 0x015c // MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0
#define MC112_LAST_REG 0x015c // MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI_0
#define MC113_FIRST_REG 0x0a20 // MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER_0
#define MC113_LAST_REG 0x0a24 // MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER_0
#define MC114_FIRST_REG 0x0198 // MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0
#define MC114_LAST_REG 0x0198 // MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO_0
#define MC115_FIRST_REG 0x01a8 // MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0
#define MC115_LAST_REG 0x01a8 // MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO_0
#define MC116_FIRST_REG 0x019c // MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0
#define MC116_LAST_REG 0x019c // MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI_0
#define MC117_FIRST_REG 0x01ac // MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0
#define MC117_LAST_REG 0x01ac // MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI_0
#define MC118_FIRST_REG 0x0a28 // MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER_0
#define MC118_LAST_REG 0x0a2c // MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER_0
#define MC119_FIRST_REG 0x01a0 // MC_STAT_EMC_FILTER_SET0_ASID_0
#define MC119_LAST_REG 0x01a0 // MC_STAT_EMC_FILTER_SET0_ASID_0
#define MC120_FIRST_REG 0x01b0 // MC_STAT_EMC_FILTER_SET1_ASID_0
#define MC120_LAST_REG 0x01b0 // MC_STAT_EMC_FILTER_SET1_ASID_0
#define MC121_FIRST_REG 0x0120 // MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0
#define MC121_LAST_REG 0x0120 // MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT_0
#define MC122_FIRST_REG 0x0160 // MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0
#define MC122_LAST_REG 0x0160 // MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT_0
#define MC123_FIRST_REG 0x0128 // MC_STAT_EMC_FILTER_SET0_CLIENT_0_0
#define MC123_LAST_REG 0x0128 // MC_STAT_EMC_FILTER_SET0_CLIENT_0_0
#define MC124_FIRST_REG 0x0168 // MC_STAT_EMC_FILTER_SET1_CLIENT_0_0
#define MC124_LAST_REG 0x0168 // MC_STAT_EMC_FILTER_SET1_CLIENT_0_0
#define MC125_FIRST_REG 0x012c // MC_STAT_EMC_FILTER_SET0_CLIENT_1_0
#define MC125_LAST_REG 0x012c // MC_STAT_EMC_FILTER_SET0_CLIENT_1_0
#define MC126_FIRST_REG 0x016c // MC_STAT_EMC_FILTER_SET1_CLIENT_1_0
#define MC126_LAST_REG 0x016c // MC_STAT_EMC_FILTER_SET1_CLIENT_1_0
#define MC127_FIRST_REG 0x0130 // MC_STAT_EMC_FILTER_SET0_CLIENT_2_0
#define MC127_LAST_REG 0x0130 // MC_STAT_EMC_FILTER_SET0_CLIENT_2_0
#define MC128_FIRST_REG 0x0170 // MC_STAT_EMC_FILTER_SET1_CLIENT_2_0
#define MC128_LAST_REG 0x0170 // MC_STAT_EMC_FILTER_SET1_CLIENT_2_0
#define MC129_FIRST_REG 0x0134 // MC_STAT_EMC_FILTER_SET0_CLIENT_3_0
#define MC129_LAST_REG 0x0134 // MC_STAT_EMC_FILTER_SET0_CLIENT_3_0
#define MC130_FIRST_REG 0x0b88 // MC_STAT_EMC_FILTER_SET0_CLIENT_4_0
#define MC130_LAST_REG 0x0b88 // MC_STAT_EMC_FILTER_SET0_CLIENT_4_0
#define MC131_FIRST_REG 0x0bc4 // MC_STAT_EMC_FILTER_SET0_CLIENT_5_0
#define MC131_LAST_REG 0x0bc4 // MC_STAT_EMC_FILTER_SET0_CLIENT_5_0
#define MC132_FIRST_REG 0x0ac4 // MC_STAT_EMC_FILTER_SET0_CLIENT_6_0
#define MC132_LAST_REG 0x0ac8 // MC_STAT_EMC_FILTER_SET0_CLIENT_7_0
#define MC133_FIRST_REG 0x0174 // MC_STAT_EMC_FILTER_SET1_CLIENT_3_0
#define MC133_LAST_REG 0x0174 // MC_STAT_EMC_FILTER_SET1_CLIENT_3_0
#define MC134_FIRST_REG 0x0b8c // MC_STAT_EMC_FILTER_SET1_CLIENT_4_0
#define MC134_LAST_REG 0x0b8c // MC_STAT_EMC_FILTER_SET1_CLIENT_4_0
#define MC135_FIRST_REG 0x0bc8 // MC_STAT_EMC_FILTER_SET1_CLIENT_5_0
#define MC135_LAST_REG 0x0bc8 // MC_STAT_EMC_FILTER_SET1_CLIENT_5_0
#define MC136_FIRST_REG 0x0ec8 // MC_STAT_EMC_FILTER_SET1_CLIENT_6_0
#define MC136_LAST_REG 0x0ecc // MC_STAT_EMC_FILTER_SET1_CLIENT_7_0
#define MC137_FIRST_REG 0x0a30 // MC_STAT_EMC_FILTER_SET0_MISCELLANEOUS_0
#define MC137_LAST_REG 0x0a34 // MC_STAT_EMC_FILTER_SET1_MISCELLANEOUS_0
#define MC138_FIRST_REG 0x0138 // MC_STAT_EMC_SET0_COUNT_0
#define MC138_LAST_REG 0x013c // MC_STAT_EMC_SET0_COUNT_MSBS_0
#define MC139_FIRST_REG 0x0178 // MC_STAT_EMC_SET1_COUNT_0
#define MC139_LAST_REG 0x017c // MC_STAT_EMC_SET1_COUNT_MSBS_0
#define MC140_FIRST_REG 0x0140 // MC_STAT_EMC_SET0_SLACK_ACCUM_0
#define MC140_LAST_REG 0x0144 // MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS_0
#define MC141_FIRST_REG 0x0180 // MC_STAT_EMC_SET1_SLACK_ACCUM_0
#define MC141_LAST_REG 0x0184 // MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS_0
#define MC142_FIRST_REG 0x0148 // MC_STAT_EMC_SET0_HISTO_COUNT_0
#define MC142_LAST_REG 0x014c // MC_STAT_EMC_SET0_HISTO_COUNT_MSBS_0
#define MC143_FIRST_REG 0x0188 // MC_STAT_EMC_SET1_HISTO_COUNT_0
#define MC143_LAST_REG 0x018c // MC_STAT_EMC_SET1_HISTO_COUNT_MSBS_0
#define MC144_FIRST_REG 0x0150 // MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0
#define MC144_LAST_REG 0x0150 // MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED_0
#define MC145_FIRST_REG 0x0190 // MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0
#define MC145_LAST_REG 0x0190 // MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED_0
#define MC146_FIRST_REG 0x01b8 // MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT_0
#define MC146_LAST_REG 0x01bc // MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS_0
#define MC147_FIRST_REG 0x01c8 // MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT_0
#define MC147_LAST_REG 0x01cc // MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS_0
#define MC148_FIRST_REG 0x01c0 // MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0
#define MC148_LAST_REG 0x01c0 // MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT_0
#define MC149_FIRST_REG 0x01d0 // MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0
#define MC149_LAST_REG 0x01d0 // MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT_0
#define MC150_FIRST_REG 0x1180 // MC_STAT_WCAM_READ_MERGE_0
#define MC150_LAST_REG 0x1180 // MC_STAT_WCAM_READ_MERGE_0
#define MC151_FIRST_REG 0x01ec // MC_SMMU_STATS_TLB_HIT_MISS_SOURCE_0
#define MC151_LAST_REG 0x01fc // MC_SMMU_STATS_PTC_MISS_COUNT_0
#define MC152_FIRST_REG 0x0244 // MC_SMMU_STATS_PTC1_HIT_COUNT_0
#define MC152_LAST_REG 0x024c // MC_SMMU_STATS_PTC2_HIT_COUNT_0
#define MC153_FIRST_REG 0x0260 // MC_SMMU_STATS_PTC2_MISS_COUNT_0
#define MC153_LAST_REG 0x0260 // MC_SMMU_STATS_PTC2_MISS_COUNT_0
#define MC154_FIRST_REG 0x1b00 // MC_HUB_STATS_PM_COUNT0WORD0_0
#define MC154_LAST_REG 0x1b5c // MC_HUB_STATS_PM_COUNTER7CFG_0
#define MC155_FIRST_REG 0x0f48 // MC_SMMU_NVCACHE_ALLOWANCE_0
#define MC155_LAST_REG 0x0f48 // MC_SMMU_NVCACHE_ALLOWANCE_0
#define MC156_FIRST_REG 0x0f60 // MC_CIFLL_MISC0_0
#define MC156_LAST_REG 0x0f70 // MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0
#define MC157_FIRST_REG 0x0200 // MC_CLIENT_HOTRESET_CTRL_0
#define MC157_LAST_REG 0x0200 // MC_CLIENT_HOTRESET_CTRL_0
#define MC158_FIRST_REG 0x0970 // MC_CLIENT_HOTRESET_CTRL_1_0
#define MC158_LAST_REG 0x0970 // MC_CLIENT_HOTRESET_CTRL_1_0
#define MC159_FIRST_REG 0x097c // MC_CLIENT_HOTRESET_CTRL_2_0
#define MC159_LAST_REG 0x097c // MC_CLIENT_HOTRESET_CTRL_2_0
#define MC160_FIRST_REG 0x0204 // MC_CLIENT_HOTRESET_STATUS_0
#define MC160_LAST_REG 0x0204 // MC_CLIENT_HOTRESET_STATUS_0
#define MC161_FIRST_REG 0x0974 // MC_CLIENT_HOTRESET_STATUS_1_0
#define MC161_LAST_REG 0x0974 // MC_CLIENT_HOTRESET_STATUS_1_0
#define MC162_FIRST_REG 0x1898 // MC_CLIENT_HOTRESET_STATUS_2_0
#define MC162_LAST_REG 0x1898 // MC_CLIENT_HOTRESET_STATUS_2_0
#define MC163_FIRST_REG 0x3000 // MC_COALESCE_ERR_STATUS_0
#define MC163_LAST_REG 0x3008 // MC_COALESCE_ERR_ADR_0
#define MC164_FIRST_REG 0x0208 // MC_EMEM_ARB_ISOCHRONOUS_0_0
#define MC164_LAST_REG 0x0214 // MC_EMEM_ARB_ISOCHRONOUS_3_0
#define MC165_FIRST_REG 0x0b94 // MC_EMEM_ARB_ISOCHRONOUS_4_0
#define MC165_LAST_REG 0x0b94 // MC_EMEM_ARB_ISOCHRONOUS_4_0
#define MC166_FIRST_REG 0x0ba8 // MC_EMEM_ARB_ISOCHRONOUS_5_0
#define MC166_LAST_REG 0x0ba8 // MC_EMEM_ARB_ISOCHRONOUS_5_0
#define MC167_FIRST_REG 0x0aac // MC_EMEM_ARB_ISOCHRONOUS_6_0
#define MC167_LAST_REG 0x0ab0 // MC_EMEM_ARB_ISOCHRONOUS_7_0
#define MC168_FIRST_REG 0x0218 // MC_EMEM_ARB_HYSTERESIS_0_0
#define MC168_LAST_REG 0x0224 // MC_EMEM_ARB_HYSTERESIS_3_0
#define MC169_FIRST_REG 0x0b84 // MC_EMEM_ARB_HYSTERESIS_4_0
#define MC169_LAST_REG 0x0b84 // MC_EMEM_ARB_HYSTERESIS_4_0
#define MC170_FIRST_REG 0x0ba4 // MC_EMEM_ARB_HYSTERESIS_5_0
#define MC170_LAST_REG 0x0ba4 // MC_EMEM_ARB_HYSTERESIS_5_0
#define MC171_FIRST_REG 0x0ef4 // MC_EMEM_ARB_HYSTERESIS_6_0
#define MC171_LAST_REG 0x0ef8 // MC_EMEM_ARB_HYSTERESIS_7_0
#define MC172_FIRST_REG 0x0bb0 // MC_EMEM_ARB_DHYSTERESIS_0_0
#define MC172_LAST_REG 0x0bc0 // MC_EMEM_ARB_DHYSTERESIS_4_0
#define MC173_FIRST_REG 0x0bf0 // MC_EMEM_ARB_DHYSTERESIS_5_0
#define MC173_LAST_REG 0x0bf0 // MC_EMEM_ARB_DHYSTERESIS_5_0
#define MC174_FIRST_REG 0x1d00 // MC_EMEM_ARB_DHYSTERESIS_6_0
#define MC174_LAST_REG 0x1d04 // MC_EMEM_ARB_DHYSTERESIS_7_0
#define MC175_FIRST_REG 0x0bcc // MC_EMEM_ARB_DHYST_CTRL_0
#define MC175_LAST_REG 0x0bec // MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7_0
#define MC176_FIRST_REG 0x03fc // MC_RESERVED_RSV_0
#define MC176_LAST_REG 0x03fc // MC_RESERVED_RSV_0
#define MC177_FIRST_REG 0x0228 // MC_SMMU_TRANSLATION_ENABLE_0_0
#define MC177_LAST_REG 0x0234 // MC_SMMU_TRANSLATION_ENABLE_3_0
#define MC178_FIRST_REG 0x0b98 // MC_SMMU_TRANSLATION_ENABLE_4_0
#define MC178_LAST_REG 0x0b98 // MC_SMMU_TRANSLATION_ENABLE_4_0
#define MC179_FIRST_REG 0x0ba0 // MC_SMMU_TRANSLATION_ENABLE_5_0
#define MC179_LAST_REG 0x0ba0 // MC_SMMU_TRANSLATION_ENABLE_5_0
#define MC180_FIRST_REG 0x0da0 // MC_SMMU_TRANSLATION_ENABLE_6_0
#define MC180_LAST_REG 0x0da0 // MC_SMMU_TRANSLATION_ENABLE_6_0
#define MC181_FIRST_REG 0x0808 // MC_SMMU_VIFAL_ASID_0
#define MC181_LAST_REG 0x0808 // MC_SMMU_VIFAL_ASID_0
#define MC182_FIRST_REG 0x0a9c // MC_SMMU_SDMMC3A_ASID_0
#define MC182_LAST_REG 0x0a9c // MC_SMMU_SDMMC3A_ASID_0
#define MC183_FIRST_REG 0x081c // MC_SMMU_RCE_ASID_0
#define MC183_LAST_REG 0x081c // MC_SMMU_RCE_ASID_0
#define MC184_FIRST_REG 0x0828 // MC_SMMU_PCIE_ASID_0
#define MC184_LAST_REG 0x0828 // MC_SMMU_PCIE_ASID_0
#define MC185_FIRST_REG 0x0ae8 // MC_SMMU_EQOS_ASID_0
#define MC185_LAST_REG 0x0ae8 // MC_SMMU_EQOS_ASID_0
#define MC186_FIRST_REG 0x0aa0 // MC_SMMU_SDMMC4A_ASID_0
#define MC186_LAST_REG 0x0aa0 // MC_SMMU_SDMMC4A_ASID_0
#define MC187_FIRST_REG 0x19b4 // MC_SMMU_PVA0B_ASID_0
#define MC187_LAST_REG 0x19b4 // MC_SMMU_PVA0B_ASID_0
#define MC188_FIRST_REG 0x0250 // MC_SMMU_HC_ASID_0
#define MC188_LAST_REG 0x0250 // MC_SMMU_HC_ASID_0
#define MC189_FIRST_REG 0x1eb0 // MC_SMMU_NVDEC2A_ASID_0
#define MC189_LAST_REG 0x1eb0 // MC_SMMU_NVDEC2A_ASID_0
#define MC190_FIRST_REG 0x1cb4 // MC_SMMU_PCIE2A_ASID_0
#define MC190_LAST_REG 0x1cb4 // MC_SMMU_PCIE2A_ASID_0
#define MC191_FIRST_REG 0x0ae4 // MC_SMMU_AXIS_ASID_0
#define MC191_LAST_REG 0x0ae4 // MC_SMMU_AXIS_ASID_0
#define MC192_FIRST_REG 0x1db4 // MC_SMMU_ISP2A_ASID_0
#define MC192_LAST_REG 0x1db4 // MC_SMMU_ISP2A_ASID_0
#define MC193_FIRST_REG 0x1cc0 // MC_SMMU_NVENCB_ASID_0
#define MC193_LAST_REG 0x1cc0 // MC_SMMU_NVENCB_ASID_0
#define MC194_FIRST_REG 0x0af4 // MC_SMMU_BPMP_ASID_0
#define MC194_LAST_REG 0x0af4 // MC_SMMU_BPMP_ASID_0
#define MC195_FIRST_REG 0x1eb4 // MC_SMMU_PCIE4A_ASID_0
#define MC195_LAST_REG 0x1eb4 // MC_SMMU_PCIE4A_ASID_0
#define MC196_FIRST_REG 0x1db8 // MC_SMMU_ISPFAL_ASID_0
#define MC196_LAST_REG 0x1db8 // MC_SMMU_ISPFAL_ASID_0
#define MC197_FIRST_REG 0x0a94 // MC_SMMU_SDMMC1A_ASID_0
#define MC197_LAST_REG 0x0a94 // MC_SMMU_SDMMC1A_ASID_0
#define MC198_FIRST_REG 0x0ab4 // MC_SMMU_NVDEC_ASID_0
#define MC198_LAST_REG 0x0ab4 // MC_SMMU_NVDEC_ASID_0
#define MC199_FIRST_REG 0x1dc0 // MC_SMMU_PCIE0A2_ASID_0
#define MC199_LAST_REG 0x1dc0 // MC_SMMU_PCIE0A2_ASID_0
#define MC200_FIRST_REG 0x19bc // MC_SMMU_PVA1B_ASID_0
#define MC200_LAST_REG 0x19bc // MC_SMMU_PVA1B_ASID_0
#define MC201_FIRST_REG 0x0814 // MC_SMMU_PVA0A_ASID_0
#define MC201_LAST_REG 0x0814 // MC_SMMU_PVA0A_ASID_0
#define MC202_FIRST_REG 0x0254 // MC_SMMU_HDA_ASID_0
#define MC202_LAST_REG 0x0254 // MC_SMMU_HDA_ASID_0
#define MC203_FIRST_REG 0x19b0 // MC_SMMU_PCIE5A_ASID_0
#define MC203_LAST_REG 0x19b0 // MC_SMMU_PCIE5A_ASID_0
#define MC204_FIRST_REG 0x0ad0 // MC_SMMU_ETR_ASID_0
#define MC204_LAST_REG 0x0ad0 // MC_SMMU_ETR_ASID_0
#define MC205_FIRST_REG 0x1cbc // MC_SMMU_PCIE3_ASID_0
#define MC205_LAST_REG 0x1cbc // MC_SMMU_PCIE3_ASID_0
#define MC206_FIRST_REG 0x0af0 // MC_SMMU_NVDISPLAY_ASID_0
#define MC206_LAST_REG 0x0af0 // MC_SMMU_NVDISPLAY_ASID_0
#define MC207_FIRST_REG 0x1dbc // MC_SMMU_PCIE0A_ASID_0
#define MC207_LAST_REG 0x1dbc // MC_SMMU_PCIE0A_ASID_0
#define MC208_FIRST_REG 0x1ab0 // MC_SMMU_AONDMA_ASID_0
#define MC208_LAST_REG 0x1ab0 // MC_SMMU_AONDMA_ASID_0
#define MC209_FIRST_REG 0x0284 // MC_SMMU_VIC_ASID_0
#define MC209_LAST_REG 0x0284 // MC_SMMU_VIC_ASID_0
#define MC210_FIRST_REG 0x0818 // MC_SMMU_PVA1A_ASID_0
#define MC210_LAST_REG 0x0818 // MC_SMMU_PVA1A_ASID_0
#define MC211_FIRST_REG 0x19c0 // MC_SMMU_PVA1C_ASID_0
#define MC211_LAST_REG 0x19c0 // MC_SMMU_PVA1C_ASID_0
#define MC212_FIRST_REG 0x0274 // MC_SMMU_SATA_ASID_0
#define MC212_LAST_REG 0x0274 // MC_SMMU_SATA_ASID_0
#define MC213_FIRST_REG 0x0aec // MC_SMMU_UFSHC_ASID_0
#define MC213_LAST_REG 0x0aec // MC_SMMU_UFSHC_ASID_0
#define MC214_FIRST_REG 0x1cb0 // MC_SMMU_APEDMA_ASID_0
#define MC214_LAST_REG 0x1cb0 // MC_SMMU_APEDMA_ASID_0
#define MC215_FIRST_REG 0x0280 // MC_SMMU_VI_ASID_0
#define MC215_LAST_REG 0x0280 // MC_SMMU_VI_ASID_0
#define MC216_FIRST_REG 0x0ac0 // MC_SMMU_NVJPG_ASID_0
#define MC216_LAST_REG 0x0ac0 // MC_SMMU_NVJPG_ASID_0
#define MC217_FIRST_REG 0x0258 // MC_SMMU_ISP2_ASID_0
#define MC217_LAST_REG 0x0258 // MC_SMMU_ISP2_ASID_0
#define MC218_FIRST_REG 0x1ab4 // MC_SMMU_BPMPDMA_ASID_0
#define MC218_LAST_REG 0x1ab4 // MC_SMMU_BPMPDMA_ASID_0
#define MC219_FIRST_REG 0x028c // MC_SMMU_XUSB_DEV_ASID_0
#define MC219_LAST_REG 0x028c // MC_SMMU_XUSB_DEV_ASID_0
#define MC220_FIRST_REG 0x19b8 // MC_SMMU_PVA0C_ASID_0
#define MC220_LAST_REG 0x19b8 // MC_SMMU_PVA0C_ASID_0
#define MC221_FIRST_REG 0x0afc // MC_SMMU_SCE_ASID_0
#define MC221_LAST_REG 0x0afc // MC_SMMU_SCE_ASID_0
#define MC222_FIRST_REG 0x080c // MC_SMMU_DLAA_ASID_0
#define MC222_LAST_REG 0x080c // MC_SMMU_DLAA_ASID_0
#define MC223_FIRST_REG 0x0af8 // MC_SMMU_AON_ASID_0
#define MC223_LAST_REG 0x0af8 // MC_SMMU_AON_ASID_0
#define MC224_FIRST_REG 0x1db0 // MC_SMMU_ISPA_ASID_0
#define MC224_LAST_REG 0x1db0 // MC_SMMU_ISPA_ASID_0
#define MC225_FIRST_REG 0x0abc // MC_SMMU_SE_ASID_0
#define MC225_LAST_REG 0x0abc // MC_SMMU_SE_ASID_0
#define MC226_FIRST_REG 0x1ab8 // MC_SMMU_SCEDMA_ASID_0
#define MC226_LAST_REG 0x1ab8 // MC_SMMU_SCEDMA_ASID_0
#define MC227_FIRST_REG 0x0824 // MC_SMMU_MIU_ASID_0
#define MC227_LAST_REG 0x0824 // MC_SMMU_MIU_ASID_0
#define MC228_FIRST_REG 0x0264 // MC_SMMU_NVENC_ASID_0
#define MC228_LAST_REG 0x0264 // MC_SMMU_NVENC_ASID_0
#define MC229_FIRST_REG 0x0820 // MC_SMMU_RCEDMA_ASID_0
#define MC229_LAST_REG 0x0820 // MC_SMMU_RCEDMA_ASID_0
#define MC230_FIRST_REG 0x0294 // MC_SMMU_TSEC_ASID_0
#define MC230_LAST_REG 0x0294 // MC_SMMU_TSEC_ASID_0
#define MC231_FIRST_REG 0x1cb8 // MC_SMMU_PCIE3A_ASID_0
#define MC231_LAST_REG 0x1cb8 // MC_SMMU_PCIE3A_ASID_0
#define MC232_FIRST_REG 0x082c // MC_SMMU_AXIAP_ASID_0
#define MC232_LAST_REG 0x082c // MC_SMMU_AXIAP_ASID_0
#define MC233_FIRST_REG 0x0ad4 // MC_SMMU_TSECB_ASID_0
#define MC233_LAST_REG 0x0ad4 // MC_SMMU_TSECB_ASID_0
#define MC234_FIRST_REG 0x0810 // MC_SMMU_DLA1A_ASID_0
#define MC234_LAST_REG 0x0810 // MC_SMMU_DLA1A_ASID_0
#define MC235_FIRST_REG 0x0ab8 // MC_SMMU_APE_ASID_0
#define MC235_LAST_REG 0x0ab8 // MC_SMMU_APE_ASID_0
#define MC236_FIRST_REG 0x0288 // MC_SMMU_XUSB_HOST_ASID_0
#define MC236_LAST_REG 0x0288 // MC_SMMU_XUSB_HOST_ASID_0
#define MC237_FIRST_REG 0x0600 // MC_SMMU_TLB_SET_SELECTION_MASK_0_0
#define MC237_LAST_REG 0x0600 // MC_SMMU_TLB_SET_SELECTION_MASK_0_0
#define MC238_FIRST_REG 0x4844 // MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0
#define MC238_LAST_REG 0x4844 // MC_UFSHCPC2_EXTRA_SNAP_LEVELS_0
#define MC239_FIRST_REG 0x0a60 // MC_BPMPPC_EXTRA_SNAP_LEVELS_0
#define MC239_LAST_REG 0x0a60 // MC_BPMPPC_EXTRA_SNAP_LEVELS_0
#define MC240_FIRST_REG 0x4818 // MC_PVA1XA3_EXTRA_SNAP_LEVELS_0
#define MC240_LAST_REG 0x4818 // MC_PVA1XA3_EXTRA_SNAP_LEVELS_0
#define MC241_FIRST_REG 0x02bc // MC_FTOP_EXTRA_SNAP_LEVELS_0
#define MC241_LAST_REG 0x02bc // MC_FTOP_EXTRA_SNAP_LEVELS_0
#define MC242_FIRST_REG 0x4924 // MC_MIU4_EXTRA_SNAP_LEVELS_0
#define MC242_LAST_REG 0x4924 // MC_MIU4_EXTRA_SNAP_LEVELS_0
#define MC243_FIRST_REG 0x492c // MC_MIU6_EXTRA_SNAP_LEVELS_0
#define MC243_LAST_REG 0x492c // MC_MIU6_EXTRA_SNAP_LEVELS_0
#define MC244_FIRST_REG 0x0a80 // MC_VICPC3_EXTRA_SNAP_LEVELS_0
#define MC244_LAST_REG 0x0a80 // MC_VICPC3_EXTRA_SNAP_LEVELS_0
#define MC245_FIRST_REG 0x4910 // MC_ISP2PC_EXTRA_SNAP_LEVELS_0
#define MC245_LAST_REG 0x4910 // MC_ISP2PC_EXTRA_SNAP_LEVELS_0
#define MC246_FIRST_REG 0x484c // MC_USBD2_EXTRA_SNAP_LEVELS_0
#define MC246_LAST_REG 0x484c // MC_USBD2_EXTRA_SNAP_LEVELS_0
#define MC247_FIRST_REG 0x481c // MC_PVA1XB_EXTRA_SNAP_LEVELS_0
#define MC247_LAST_REG 0x481c // MC_PVA1XB_EXTRA_SNAP_LEVELS_0
#define MC248_FIRST_REG 0x4810 // MC_PVA0XB3_EXTRA_SNAP_LEVELS_0
#define MC248_LAST_REG 0x4810 // MC_PVA0XB3_EXTRA_SNAP_LEVELS_0
#define MC249_FIRST_REG 0x0a1c // MC_VICPC_EXTRA_SNAP_LEVELS_0
#define MC249_LAST_REG 0x0a1c // MC_VICPC_EXTRA_SNAP_LEVELS_0
#define MC250_FIRST_REG 0x0a58 // MC_UFSHCPC_EXTRA_SNAP_LEVELS_0
#define MC250_LAST_REG 0x0a58 // MC_UFSHCPC_EXTRA_SNAP_LEVELS_0
#define MC251_FIRST_REG 0x4900 // MC_MSEA_EXTRA_SNAP_LEVELS_0
#define MC251_LAST_REG 0x4900 // MC_MSEA_EXTRA_SNAP_LEVELS_0
#define MC252_FIRST_REG 0x0404 // MC_USBX_EXTRA_SNAP_LEVELS_0
#define MC252_LAST_REG 0x0404 // MC_USBX_EXTRA_SNAP_LEVELS_0
#define MC253_FIRST_REG 0x4800 // MC_PCIE4XA_EXTRA_SNAP_LEVELS_0
#define MC253_LAST_REG 0x4800 // MC_PCIE4XA_EXTRA_SNAP_LEVELS_0
#define MC254_FIRST_REG 0x0e08 // MC_MSE2_EXTRA_SNAP_LEVELS_0
#define MC254_LAST_REG 0x0e08 // MC_MSE2_EXTRA_SNAP_LEVELS_0
#define MC255_FIRST_REG 0x4808 // MC_PVA0XA3_EXTRA_SNAP_LEVELS_0
#define MC255_LAST_REG 0x4808 // MC_PVA0XA3_EXTRA_SNAP_LEVELS_0
#define MC256_FIRST_REG 0x4104 // MC_PCIE4X_EXTRA_SNAP_LEVELS_0
#define MC256_LAST_REG 0x4104 // MC_PCIE4X_EXTRA_SNAP_LEVELS_0
#define MC257_FIRST_REG 0x482c // MC_DLA1XA2_EXTRA_SNAP_LEVELS_0
#define MC257_LAST_REG 0x482c // MC_DLA1XA2_EXTRA_SNAP_LEVELS_0
#define MC258_FIRST_REG 0x3260 // MC_MIU3_EXTRA_SNAP_LEVELS_0
#define MC258_LAST_REG 0x3260 // MC_MIU3_EXTRA_SNAP_LEVELS_0
#define MC259_FIRST_REG 0x0e00 // MC_NVD2_EXTRA_SNAP_LEVELS_0
#define MC259_LAST_REG 0x0e00 // MC_NVD2_EXTRA_SNAP_LEVELS_0
#define MC260_FIRST_REG 0x0a18 // MC_USBD_EXTRA_SNAP_LEVELS_0
#define MC260_LAST_REG 0x0a18 // MC_USBD_EXTRA_SNAP_LEVELS_0
#define MC261_FIRST_REG 0x4834 // MC_PVA0XB2_EXTRA_SNAP_LEVELS_0
#define MC261_LAST_REG 0x4834 // MC_PVA0XB2_EXTRA_SNAP_LEVELS_0
#define MC262_FIRST_REG 0x0e20 // MC_RCEPC_EXTRA_SNAP_LEVELS_0
#define MC262_LAST_REG 0x0e20 // MC_RCEPC_EXTRA_SNAP_LEVELS_0
#define MC263_FIRST_REG 0x040c // MC_MSE_EXTRA_SNAP_LEVELS_0
#define MC263_LAST_REG 0x040c // MC_MSE_EXTRA_SNAP_LEVELS_0
#define MC264_FIRST_REG 0x0a10 // MC_AUD_EXTRA_SNAP_LEVELS_0
#define MC264_LAST_REG 0x0a10 // MC_AUD_EXTRA_SNAP_LEVELS_0
#define MC265_FIRST_REG 0x0e10 // MC_DLA0XA_EXTRA_SNAP_LEVELS_0
#define MC265_LAST_REG 0x0e10 // MC_DLA0XA_EXTRA_SNAP_LEVELS_0
#define MC266_FIRST_REG 0x4914 // MC_PCIE0X2_EXTRA_SNAP_LEVELS_0
#define MC266_LAST_REG 0x4914 // MC_PCIE0X2_EXTRA_SNAP_LEVELS_0
#define MC267_FIRST_REG 0x4828 // MC_DLA0XA2_EXTRA_SNAP_LEVELS_0
#define MC267_LAST_REG 0x4828 // MC_DLA0XA2_EXTRA_SNAP_LEVELS_0
#define MC268_FIRST_REG 0x4118 // MC_PCIE0XA_EXTRA_SNAP_LEVELS_0
#define MC268_LAST_REG 0x4118 // MC_PCIE0XA_EXTRA_SNAP_LEVELS_0
#define MC269_FIRST_REG 0x3270 // MC_PCIE1X_EXTRA_SNAP_LEVELS_0
#define MC269_LAST_REG 0x3270 // MC_PCIE1X_EXTRA_SNAP_LEVELS_0
#define MC270_FIRST_REG 0x0a5c // MC_EQOSPC_EXTRA_SNAP_LEVELS_0
#define MC270_LAST_REG 0x0a5c // MC_EQOSPC_EXTRA_SNAP_LEVELS_0
#define MC271_FIRST_REG 0x4930 // MC_MIU7_EXTRA_SNAP_LEVELS_0
#define MC271_LAST_REG 0x4930 // MC_MIU7_EXTRA_SNAP_LEVELS_0
#define MC272_FIRST_REG 0x3258 // MC_MIU1_EXTRA_SNAP_LEVELS_0
#define MC272_LAST_REG 0x3258 // MC_MIU1_EXTRA_SNAP_LEVELS_0
#define MC273_FIRST_REG 0x0a48 // MC_HDAPC_EXTRA_SNAP_LEVELS_0
#define MC273_LAST_REG 0x0a48 // MC_HDAPC_EXTRA_SNAP_LEVELS_0
#define MC274_FIRST_REG 0x3264 // MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0
#define MC274_LAST_REG 0x3264 // MC_DLA0FALPC_EXTRA_SNAP_LEVELS_0
#define MC275_FIRST_REG 0x483c // MC_PVA1XB2_EXTRA_SNAP_LEVELS_0
#define MC275_LAST_REG 0x483c // MC_PVA1XB2_EXTRA_SNAP_LEVELS_0
#define MC276_FIRST_REG 0x0e1c // MC_PVA1XA_EXTRA_SNAP_LEVELS_0
#define MC276_LAST_REG 0x0e1c // MC_PVA1XA_EXTRA_SNAP_LEVELS_0
#define MC277_FIRST_REG 0x0a68 // MC_AONPC_EXTRA_SNAP_LEVELS_0
#define MC277_LAST_REG 0x0a68 // MC_AONPC_EXTRA_SNAP_LEVELS_0
#define MC278_FIRST_REG 0x0a04 // MC_SD_EXTRA_SNAP_LEVELS_0
#define MC278_LAST_REG 0x0a04 // MC_SD_EXTRA_SNAP_LEVELS_0
#define MC279_FIRST_REG 0x02d8 // MC_VE_EXTRA_SNAP_LEVELS_0
#define MC279_LAST_REG 0x02d8 // MC_VE_EXTRA_SNAP_LEVELS_0
#define MC280_FIRST_REG 0x0a70 // MC_SCEPC_EXTRA_SNAP_LEVELS_0
#define MC280_LAST_REG 0x0a70 // MC_SCEPC_EXTRA_SNAP_LEVELS_0
#define MC281_FIRST_REG 0x0a14 // MC_HOST_EXTRA_SNAP_LEVELS_0
#define MC281_LAST_REG 0x0a14 // MC_HOST_EXTRA_SNAP_LEVELS_0
#define MC282_FIRST_REG 0x0a3c // MC_JPG_EXTRA_SNAP_LEVELS_0
#define MC282_LAST_REG 0x0a3c // MC_JPG_EXTRA_SNAP_LEVELS_0
#define MC283_FIRST_REG 0x4110 // MC_DLA0XA3_EXTRA_SNAP_LEVELS_0
#define MC283_LAST_REG 0x4110 // MC_DLA0XA3_EXTRA_SNAP_LEVELS_0
#define MC284_FIRST_REG 0x02ac // MC_DIS_EXTRA_SNAP_LEVELS_0
#define MC284_LAST_REG 0x02ac // MC_DIS_EXTRA_SNAP_LEVELS_0
#define MC285_FIRST_REG 0x0e14 // MC_DLA1XA_EXTRA_SNAP_LEVELS_0
#define MC285_LAST_REG 0x0e14 // MC_DLA1XA_EXTRA_SNAP_LEVELS_0
#define MC286_FIRST_REG 0x326c // MC_PCIE0X_EXTRA_SNAP_LEVELS_0
#define MC286_LAST_REG 0x326c // MC_PCIE0X_EXTRA_SNAP_LEVELS_0
#define MC287_FIRST_REG 0x4108 // MC_PCIE5X_EXTRA_SNAP_LEVELS_0
#define MC287_LAST_REG 0x4108 // MC_PCIE5X_EXTRA_SNAP_LEVELS_0
#define MC288_FIRST_REG 0x4814 // MC_PVA0XC_EXTRA_SNAP_LEVELS_0
#define MC288_LAST_REG 0x4814 // MC_PVA0XC_EXTRA_SNAP_LEVELS_0
#define MC289_FIRST_REG 0x3250 // MC_MSE3_EXTRA_SNAP_LEVELS_0
#define MC289_LAST_REG 0x3250 // MC_MSE3_EXTRA_SNAP_LEVELS_0
#define MC290_FIRST_REG 0x4848 // MC_USBX2_EXTRA_SNAP_LEVELS_0
#define MC290_LAST_REG 0x4848 // MC_USBX2_EXTRA_SNAP_LEVELS_0
#define MC291_FIRST_REG 0x0e18 // MC_PVA0XA_EXTRA_SNAP_LEVELS_0
#define MC291_LAST_REG 0x0e18 // MC_PVA0XA_EXTRA_SNAP_LEVELS_0
#define MC292_FIRST_REG 0x3268 // MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0
#define MC292_LAST_REG 0x3268 // MC_DLA1FALPC_EXTRA_SNAP_LEVELS_0
#define MC293_FIRST_REG 0x4114 // MC_DLA1XA3_EXTRA_SNAP_LEVELS_0
#define MC293_LAST_REG 0x4114 // MC_DLA1XA3_EXTRA_SNAP_LEVELS_0
#define MC294_FIRST_REG 0x4804 // MC_PCIE5XA_EXTRA_SNAP_LEVELS_0
#define MC294_LAST_REG 0x4804 // MC_PCIE5XA_EXTRA_SNAP_LEVELS_0
#define MC295_FIRST_REG 0x4928 // MC_MIU5_EXTRA_SNAP_LEVELS_0
#define MC295_LAST_REG 0x4928 // MC_MIU5_EXTRA_SNAP_LEVELS_0
#define MC296_FIRST_REG 0x0a7c // MC_VICPC2_EXTRA_SNAP_LEVELS_0
#define MC296_LAST_REG 0x0a7c // MC_VICPC2_EXTRA_SNAP_LEVELS_0
#define MC297_FIRST_REG 0x490c // MC_ISPPC_EXTRA_SNAP_LEVELS_0
#define MC297_LAST_REG 0x490c // MC_ISPPC_EXTRA_SNAP_LEVELS_0
#define MC298_FIRST_REG 0x411c // MC_PCIE1XA_EXTRA_SNAP_LEVELS_0
#define MC298_LAST_REG 0x411c // MC_PCIE1XA_EXTRA_SNAP_LEVELS_0
#define MC299_FIRST_REG 0x4920 // MC_NVD6_EXTRA_SNAP_LEVELS_0
#define MC299_LAST_REG 0x4920 // MC_NVD6_EXTRA_SNAP_LEVELS_0
#define MC300_FIRST_REG 0x0a44 // MC_SDM_EXTRA_SNAP_LEVELS_0
#define MC300_LAST_REG 0x0a44 // MC_SDM_EXTRA_SNAP_LEVELS_0
#define MC301_FIRST_REG 0x02a4 // MC_APB_EXTRA_SNAP_LEVELS_0
#define MC301_LAST_REG 0x02a4 // MC_APB_EXTRA_SNAP_LEVELS_0
#define MC302_FIRST_REG 0x0a08 // MC_ISP_EXTRA_SNAP_LEVELS_0
#define MC302_LAST_REG 0x0a08 // MC_ISP_EXTRA_SNAP_LEVELS_0
#define MC303_FIRST_REG 0x3254 // MC_MIU0_EXTRA_SNAP_LEVELS_0
#define MC303_LAST_REG 0x3254 // MC_MIU0_EXTRA_SNAP_LEVELS_0
#define MC304_FIRST_REG 0x4840 // MC_PCIE5X2_EXTRA_SNAP_LEVELS_0
#define MC304_LAST_REG 0x4840 // MC_PCIE5X2_EXTRA_SNAP_LEVELS_0
#define MC305_FIRST_REG 0x0a54 // MC_NIC_EXTRA_SNAP_LEVELS_0
#define MC305_LAST_REG 0x0a54 // MC_NIC_EXTRA_SNAP_LEVELS_0
#define MC306_FIRST_REG 0x325c // MC_MIU2_EXTRA_SNAP_LEVELS_0
#define MC306_LAST_REG 0x325c // MC_MIU2_EXTRA_SNAP_LEVELS_0
#define MC307_FIRST_REG 0x480c // MC_PVA0XB_EXTRA_SNAP_LEVELS_0
#define MC307_LAST_REG 0x480c // MC_PVA0XB_EXTRA_SNAP_LEVELS_0
#define MC308_FIRST_REG 0x4820 // MC_PVA1XB3_EXTRA_SNAP_LEVELS_0
#define MC308_LAST_REG 0x4820 // MC_PVA1XB3_EXTRA_SNAP_LEVELS_0
#define MC309_FIRST_REG 0x0e04 // MC_NVD3_EXTRA_SNAP_LEVELS_0
#define MC309_LAST_REG 0x0e04 // MC_NVD3_EXTRA_SNAP_LEVELS_0
#define MC310_FIRST_REG 0x02c0 // MC_SAX_EXTRA_SNAP_LEVELS_0
#define MC310_LAST_REG 0x02c0 // MC_SAX_EXTRA_SNAP_LEVELS_0
#define MC311_FIRST_REG 0x4908 // MC_MSEB1_EXTRA_SNAP_LEVELS_0
#define MC311_LAST_REG 0x4908 // MC_MSEB1_EXTRA_SNAP_LEVELS_0
#define MC312_FIRST_REG 0x4904 // MC_MSEB_EXTRA_SNAP_LEVELS_0
#define MC312_LAST_REG 0x4904 // MC_MSEB_EXTRA_SNAP_LEVELS_0
#define MC313_FIRST_REG 0x4918 // MC_NVD4_EXTRA_SNAP_LEVELS_0
#define MC313_LAST_REG 0x4918 // MC_NVD4_EXTRA_SNAP_LEVELS_0
#define MC314_FIRST_REG 0x4824 // MC_PVA1XC_EXTRA_SNAP_LEVELS_0
#define MC314_LAST_REG 0x4824 // MC_PVA1XC_EXTRA_SNAP_LEVELS_0
#define MC315_FIRST_REG 0x0a38 // MC_NVD_EXTRA_SNAP_LEVELS_0
#define MC315_LAST_REG 0x0a38 // MC_NVD_EXTRA_SNAP_LEVELS_0
#define MC316_FIRST_REG 0x4838 // MC_PVA1XA2_EXTRA_SNAP_LEVELS_0
#define MC316_LAST_REG 0x4838 // MC_PVA1XA2_EXTRA_SNAP_LEVELS_0
#define MC317_FIRST_REG 0x4830 // MC_PVA0XA2_EXTRA_SNAP_LEVELS_0
#define MC317_LAST_REG 0x4830 // MC_PVA0XA2_EXTRA_SNAP_LEVELS_0
#define MC318_FIRST_REG 0x491c // MC_NVD5_EXTRA_SNAP_LEVELS_0
#define MC318_LAST_REG 0x491c // MC_NVD5_EXTRA_SNAP_LEVELS_0
#define MC319_FIRST_REG 0x0a84 // MC_DIS2_EXTRA_SNAP_LEVELS_0
#define MC319_LAST_REG 0x0a84 // MC_DIS2_EXTRA_SNAP_LEVELS_0
#define MC320_FIRST_REG 0x0648 // MC_VIDEO_PROTECT_BOM_0
#define MC320_LAST_REG 0x064c // MC_VIDEO_PROTECT_SIZE_MB_0
#define MC321_FIRST_REG 0x0978 // MC_VIDEO_PROTECT_BOM_ADR_HI_0
#define MC321_LAST_REG 0x0978 // MC_VIDEO_PROTECT_BOM_ADR_HI_0
#define MC322_FIRST_REG 0x0650 // MC_VIDEO_PROTECT_REG_CTRL_0
#define MC322_LAST_REG 0x0658 // MC_ERR_VPR_ADR_0
#define MC323_FIRST_REG 0x0418 // MC_VIDEO_PROTECT_VPR_OVERRIDE_0
#define MC323_LAST_REG 0x0418 // MC_VIDEO_PROTECT_VPR_OVERRIDE_0
#define MC324_FIRST_REG 0x0590 // MC_VIDEO_PROTECT_VPR_OVERRIDE1_0
#define MC324_LAST_REG 0x0594 // MC_VIDEO_PROTECT_VPR_OVERRIDE2_0
#define MC325_FIRST_REG 0x0664 // MC_EMEM_CFG_ACCESS_CTRL_0
#define MC325_LAST_REG 0x0668 // MC_TZ_SECURITY_CTRL_0
#define MC326_FIRST_REG 0x1988 // MC_TZ_CARVEOUT_CLIENT_ACCESS2_0
#define MC326_LAST_REG 0x1988 // MC_TZ_CARVEOUT_CLIENT_ACCESS2_0
#define MC327_FIRST_REG 0x1998 // MC_TZ_CARVEOUT_CLIENT_ACCESS6_0
#define MC327_LAST_REG 0x1998 // MC_TZ_CARVEOUT_CLIENT_ACCESS6_0
#define MC328_FIRST_REG 0x198c // MC_TZ_CARVEOUT_CLIENT_ACCESS3_0
#define MC328_LAST_REG 0x198c // MC_TZ_CARVEOUT_CLIENT_ACCESS3_0
#define MC329_FIRST_REG 0x1994 // MC_TZ_CARVEOUT_CLIENT_ACCESS5_0
#define MC329_LAST_REG 0x1994 // MC_TZ_CARVEOUT_CLIENT_ACCESS5_0
#define MC330_FIRST_REG 0x1980 // MC_TZ_CARVEOUT_CLIENT_ACCESS0_0
#define MC330_LAST_REG 0x1980 // MC_TZ_CARVEOUT_CLIENT_ACCESS0_0
#define MC331_FIRST_REG 0x1990 // MC_TZ_CARVEOUT_CLIENT_ACCESS4_0
#define MC331_LAST_REG 0x1990 // MC_TZ_CARVEOUT_CLIENT_ACCESS4_0
#define MC332_FIRST_REG 0x1984 // MC_TZ_CARVEOUT_CLIENT_ACCESS1_0
#define MC332_LAST_REG 0x1984 // MC_TZ_CARVEOUT_CLIENT_ACCESS1_0
#define MC333_FIRST_REG 0x199c // MC_TZ_CARVEOUT_CLIENT_ACCESS7_0
#define MC333_LAST_REG 0x199c // MC_TZ_CARVEOUT_CLIENT_ACCESS7_0
#define MC334_FIRST_REG 0x066c // MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0
#define MC334_LAST_REG 0x066c // MC_EMEM_ARB_OUTSTANDING_REQ_RING3_0
#define MC335_FIRST_REG 0x06b4 // MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0
#define MC335_LAST_REG 0x06b4 // MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0
#define MC336_FIRST_REG 0x06bc // MC_EMEM_ARB_RING0_THROTTLE_MASK_0
#define MC336_LAST_REG 0x06bc // MC_EMEM_ARB_RING0_THROTTLE_MASK_0
#define MC337_FIRST_REG 0x3b00 // MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0
#define MC337_LAST_REG 0x3b00 // MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0
#define MC338_FIRST_REG 0x06b8 // MC_EMEM_ARB_NISO_THROTTLE_MASK_0
#define MC338_LAST_REG 0x06b8 // MC_EMEM_ARB_NISO_THROTTLE_MASK_0
#define MC339_FIRST_REG 0x0b80 // MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0
#define MC339_LAST_REG 0x0b80 // MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0
#define MC340_FIRST_REG 0x3200 // MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0
#define MC340_LAST_REG 0x3200 // MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0
#define MC341_FIRST_REG 0x0670 // MC_SEC_CARVEOUT_BOM_0
#define MC341_LAST_REG 0x0674 // MC_SEC_CARVEOUT_SIZE_MB_0
#define MC342_FIRST_REG 0x09d4 // MC_SEC_CARVEOUT_ADR_HI_0
#define MC342_LAST_REG 0x09d4 // MC_SEC_CARVEOUT_ADR_HI_0
#define MC343_FIRST_REG 0x0678 // MC_SEC_CARVEOUT_REG_CTRL_0
#define MC343_LAST_REG 0x0688 // MC_STUTTER_CONTROL_0
#define MC344_FIRST_REG 0x0958 // MC_RESERVED_RSV_1_0
#define MC344_LAST_REG 0x095c // MC_DVFS_PIPE_SELECT_0
#define MC345_FIRST_REG 0x0790 // MC_SCEPC_PTSA_MIN_0
#define MC345_LAST_REG 0x0790 // MC_SCEPC_PTSA_MIN_0
#define MC346_FIRST_REG 0x054c // MC_AUD_PTSA_MIN_0
#define MC346_LAST_REG 0x054c // MC_AUD_PTSA_MIN_0
#define MC347_FIRST_REG 0x044c // MC_MLL_MPCORER_PTSA_RATE_0
#define MC347_LAST_REG 0x044c // MC_MLL_MPCORER_PTSA_RATE_0
#define MC348_FIRST_REG 0x0440 // MC_RING2_PTSA_RATE_0
#define MC348_LAST_REG 0x0440 // MC_RING2_PTSA_RATE_0
#define MC349_FIRST_REG 0x0530 // MC_USBD_PTSA_RATE_0
#define MC349_LAST_REG 0x0530 // MC_USBD_PTSA_RATE_0
#define MC350_FIRST_REG 0x3350 // MC_PCIE5X_PTSA_MAX_0
#define MC350_LAST_REG 0x3350 // MC_PCIE5X_PTSA_MAX_0
#define MC351_FIRST_REG 0x3a70 // MC_ISPPC_PTSA_MIN_0
#define MC351_LAST_REG 0x3a70 // MC_ISPPC_PTSA_MIN_0
#define MC352_FIRST_REG 0x0584 // MC_JPG_PTSA_RATE_0
#define MC352_LAST_REG 0x0584 // MC_JPG_PTSA_RATE_0
#define MC353_FIRST_REG 0x04f0 // MC_APB_PTSA_MAX_0
#define MC353_LAST_REG 0x04f0 // MC_APB_PTSA_MAX_0
#define MC354_FIRST_REG 0x3924 // MC_PVA1XC_PTSA_RATE_0
#define MC354_LAST_REG 0x3924 // MC_PVA1XC_PTSA_RATE_0
#define MC355_FIRST_REG 0x4b68 // MC_MIU7_PTSA_MAX_0
#define MC355_LAST_REG 0x4b68 // MC_MIU7_PTSA_MAX_0
#define MC356_FIRST_REG 0x3558 // MC_PVA0XB_PTSA_MIN_0
#define MC356_LAST_REG 0x3558 // MC_PVA0XB_PTSA_MIN_0
#define MC357_FIRST_REG 0x0420 // MC_DIS_PTSA_MIN_0
#define MC357_LAST_REG 0x0420 // MC_DIS_PTSA_MIN_0
#define MC358_FIRST_REG 0x3a1c // MC_NVD2_PTSA_MIN_0
#define MC358_LAST_REG 0x3a1c // MC_NVD2_PTSA_MIN_0
#define MC359_FIRST_REG 0x04d8 // MC_SD_PTSA_MAX_0
#define MC359_LAST_REG 0x04d8 // MC_SD_PTSA_MAX_0
#define MC360_FIRST_REG 0x04c4 // MC_MSE_PTSA_RATE_0
#define MC360_LAST_REG 0x04c4 // MC_MSE_PTSA_RATE_0
#define MC361_FIRST_REG 0x3134 // MC_MSE3_PTSA_MIN_0
#define MC361_LAST_REG 0x3134 // MC_MSE3_PTSA_MIN_0
#define MC362_FIRST_REG 0x07e4 // MC_DLA0XA_PTSA_MIN_0
#define MC362_LAST_REG 0x07e4 // MC_DLA0XA_PTSA_MIN_0
#define MC363_FIRST_REG 0x04a0 // MC_ISP_PTSA_RATE_0
#define MC363_LAST_REG 0x04a0 // MC_ISP_PTSA_RATE_0
#define MC364_FIRST_REG 0x4b5c // MC_MIU6_PTSA_MAX_0
#define MC364_LAST_REG 0x4b5c // MC_MIU6_PTSA_MAX_0
#define MC365_FIRST_REG 0x3a24 // MC_UFSHCPC2_PTSA_RATE_0
#define MC365_LAST_REG 0x3a24 // MC_UFSHCPC2_PTSA_RATE_0
#define MC366_FIRST_REG 0x3a00 // MC_PCIE5X2_PTSA_RATE_0
#define MC366_LAST_REG 0x3a00 // MC_PCIE5X2_PTSA_RATE_0
#define MC367_FIRST_REG 0x3958 // MC_PVA0XB2_PTSA_MIN_0
#define MC367_LAST_REG 0x3958 // MC_PVA0XB2_PTSA_MIN_0
#define MC368_FIRST_REG 0x051c // MC_HOST_PTSA_MIN_0
#define MC368_LAST_REG 0x051c // MC_HOST_PTSA_MIN_0
#define MC369_FIRST_REG 0x3370 // MC_DLA1XA3_PTSA_MIN_0
#define MC369_LAST_REG 0x3370 // MC_DLA1XA3_PTSA_MIN_0
#define MC370_FIRST_REG 0x0454 // MC_MLL_MPCORER_PTSA_MAX_0
#define MC370_LAST_REG 0x0454 // MC_MLL_MPCORER_PTSA_MAX_0
#define MC371_FIRST_REG 0x04d4 // MC_SD_PTSA_MIN_0
#define MC371_LAST_REG 0x04d4 // MC_SD_PTSA_MIN_0
#define MC372_FIRST_REG 0x3974 // MC_PVA1XB2_PTSA_MAX_0
#define MC372_LAST_REG 0x3974 // MC_PVA1XB2_PTSA_MAX_0
#define MC373_FIRST_REG 0x07e8 // MC_DLA0XA_PTSA_MAX_0
#define MC373_LAST_REG 0x07e8 // MC_DLA0XA_PTSA_MAX_0
#define MC374_FIRST_REG 0x047c // MC_RING1_PTSA_RATE_0
#define MC374_LAST_REG 0x047c // MC_RING1_PTSA_RATE_0
#define MC375_FIRST_REG 0x3a18 // MC_NVD2_PTSA_RATE_0
#define MC375_LAST_REG 0x3a18 // MC_NVD2_PTSA_RATE_0
#define MC376_FIRST_REG 0x392c // MC_PVA1XC_PTSA_MAX_0
#define MC376_LAST_REG 0x392c // MC_PVA1XC_PTSA_MAX_0
#define MC377_FIRST_REG 0x3304 // MC_DLA1FALPC_PTSA_MIN_0
#define MC377_LAST_REG 0x3304 // MC_DLA1FALPC_PTSA_MIN_0
#define MC378_FIRST_REG 0x3510 // MC_PCIE1XA_PTSA_MIN_0
#define MC378_LAST_REG 0x3510 // MC_PCIE1XA_PTSA_MIN_0
#define MC379_FIRST_REG 0x3150 // MC_MIU1_PTSA_MAX_0
#define MC379_LAST_REG 0x3150 // MC_MIU1_PTSA_MAX_0
#define MC380_FIRST_REG 0x313c // MC_MIU0_PTSA_RATE_0
#define MC380_LAST_REG 0x313c // MC_MIU0_PTSA_RATE_0
#define MC381_FIRST_REG 0x058c // MC_JPG_PTSA_MAX_0
#define MC381_LAST_REG 0x058c // MC_JPG_PTSA_MAX_0
#define MC382_FIRST_REG 0x074c // MC_UFSHCPC_PTSA_MAX_0
#define MC382_LAST_REG 0x074c // MC_UFSHCPC_PTSA_MAX_0
#define MC383_FIRST_REG 0x4b2c // MC_NVD5_PTSA_MAX_0
#define MC383_LAST_REG 0x4b2c // MC_NVD5_PTSA_MAX_0
#define MC384_FIRST_REG 0x3a10 // MC_VICPC2_PTSA_MIN_0
#define MC384_LAST_REG 0x3a10 // MC_VICPC2_PTSA_MIN_0
#define MC385_FIRST_REG 0x055c // MC_VICPC_PTSA_MAX_0
#define MC385_LAST_REG 0x055c // MC_VICPC_PTSA_MAX_0
#define MC386_FIRST_REG 0x3308 // MC_DLA1FALPC_PTSA_MAX_0
#define MC386_LAST_REG 0x3308 // MC_DLA1FALPC_PTSA_MAX_0
#define MC387_FIRST_REG 0x3a20 // MC_NVD2_PTSA_MAX_0
#define MC387_LAST_REG 0x3a20 // MC_NVD2_PTSA_MAX_0
#define MC388_FIRST_REG 0x0578 // MC_NVD_PTSA_RATE_0
#define MC388_LAST_REG 0x0578 // MC_NVD_PTSA_RATE_0
#define MC389_FIRST_REG 0x3148 // MC_MIU1_PTSA_RATE_0
#define MC389_LAST_REG 0x3148 // MC_MIU1_PTSA_RATE_0
#define MC390_FIRST_REG 0x078c // MC_SCEPC_PTSA_RATE_0
#define MC390_LAST_REG 0x078c // MC_SCEPC_PTSA_RATE_0
#define MC391_FIRST_REG 0x3164 // MC_MIU3_PTSA_MIN_0
#define MC391_LAST_REG 0x3164 // MC_MIU3_PTSA_MIN_0
#define MC392_FIRST_REG 0x0754 // MC_EQOSPC_PTSA_MIN_0
#define MC392_LAST_REG 0x0754 // MC_EQOSPC_PTSA_MIN_0
#define MC393_FIRST_REG 0x3920 // MC_PVA1XB3_PTSA_MAX_0
#define MC393_LAST_REG 0x3920 // MC_PVA1XB3_PTSA_MAX_0
#define MC394_FIRST_REG 0x3948 // MC_PVA0XA2_PTSA_RATE_0
#define MC394_LAST_REG 0x3948 // MC_PVA0XA2_PTSA_RATE_0
#define MC395_FIRST_REG 0x0750 // MC_EQOSPC_PTSA_RATE_0
#define MC395_LAST_REG 0x0750 // MC_EQOSPC_PTSA_RATE_0
#define MC396_FIRST_REG 0x3a38 // MC_USBX2_PTSA_MAX_0
#define MC396_LAST_REG 0x3a38 // MC_USBX2_PTSA_MAX_0
#define MC397_FIRST_REG 0x07b4 // MC_VICPC3_PTSA_MIN_0
#define MC397_LAST_REG 0x07b4 // MC_VICPC3_PTSA_MIN_0
#define MC398_FIRST_REG 0x0450 // MC_MLL_MPCORER_PTSA_MIN_0
#define MC398_LAST_REG 0x0450 // MC_MLL_MPCORER_PTSA_MIN_0
#define MC399_FIRST_REG 0x04a8 // MC_ISP_PTSA_MAX_0
#define MC399_LAST_REG 0x04a8 // MC_ISP_PTSA_MAX_0
#define MC400_FIRST_REG 0x3538 // MC_PCIE4XA_PTSA_MAX_0
#define MC400_LAST_REG 0x3538 // MC_PCIE4XA_PTSA_MAX_0
#define MC401_FIRST_REG 0x0748 // MC_UFSHCPC_PTSA_MIN_0
#define MC401_LAST_REG 0x0748 // MC_UFSHCPC_PTSA_MIN_0
#define MC402_FIRST_REG 0x3570 // MC_PVA0XC_PTSA_MIN_0
#define MC402_LAST_REG 0x3570 // MC_PVA0XC_PTSA_MIN_0
#define MC403_FIRST_REG 0x050c // MC_FTOP_PTSA_RATE_0
#define MC403_LAST_REG 0x050c // MC_FTOP_PTSA_RATE_0
#define MC404_FIRST_REG 0x3a14 // MC_VICPC2_PTSA_MAX_0
#define MC404_LAST_REG 0x3a14 // MC_VICPC2_PTSA_MAX_0
#define MC405_FIRST_REG 0x3530 // MC_PCIE4XA_PTSA_RATE_0
#define MC405_LAST_REG 0x3530 // MC_PCIE4XA_PTSA_RATE_0
#define MC406_FIRST_REG 0x3930 // MC_DLA0XA2_PTSA_RATE_0
#define MC406_LAST_REG 0x3930 // MC_DLA0XA2_PTSA_RATE_0
#define MC407_FIRST_REG 0x07c0 // MC_NVD3_PTSA_MIN_0
#define MC407_LAST_REG 0x07c0 // MC_NVD3_PTSA_MIN_0
#define MC408_FIRST_REG 0x3a04 // MC_PCIE5X2_PTSA_MIN_0
#define MC408_LAST_REG 0x3a04 // MC_PCIE5X2_PTSA_MIN_0
#define MC409_FIRST_REG 0x3174 // MC_DLA0FALPC_PTSA_MAX_0
#define MC409_LAST_REG 0x3174 // MC_DLA0FALPC_PTSA_MAX_0
#define MC410_FIRST_REG 0x3140 // MC_MIU0_PTSA_MIN_0
#define MC410_LAST_REG 0x3140 // MC_MIU0_PTSA_MIN_0
#define MC411_FIRST_REG 0x315c // MC_MIU2_PTSA_MAX_0
#define MC411_LAST_REG 0x315c // MC_MIU2_PTSA_MAX_0
#define MC412_FIRST_REG 0x4b04 // MC_ISP2PC_PTSA_MIN_0
#define MC412_LAST_REG 0x4b04 // MC_ISP2PC_PTSA_MIN_0
#define MC413_FIRST_REG 0x052c // MC_USBX_PTSA_MAX_0
#define MC413_LAST_REG 0x052c // MC_USBX_PTSA_MAX_0
#define MC414_FIRST_REG 0x0538 // MC_USBD_PTSA_MAX_0
#define MC414_LAST_REG 0x0538 // MC_USBD_PTSA_MAX_0
#define MC415_FIRST_REG 0x4b4c // MC_MIU5_PTSA_MIN_0
#define MC415_LAST_REG 0x4b4c // MC_MIU5_PTSA_MIN_0
#define MC416_FIRST_REG 0x0524 // MC_USBX_PTSA_RATE_0
#define MC416_LAST_REG 0x0524 // MC_USBX_PTSA_RATE_0
#define MC417_FIRST_REG 0x3314 // MC_PCIE0X_PTSA_MAX_0
#define MC417_LAST_REG 0x3314 // MC_PCIE0X_PTSA_MAX_0
#define MC418_FIRST_REG 0x3a4c // MC_MSEA_PTSA_MIN_0
#define MC418_LAST_REG 0x3a4c // MC_MSEA_PTSA_MIN_0
#define MC419_FIRST_REG 0x0514 // MC_FTOP_PTSA_MAX_0
#define MC419_LAST_REG 0x0514 // MC_FTOP_PTSA_MAX_0
#define MC420_FIRST_REG 0x3550 // MC_PVA0XA3_PTSA_MAX_0
#define MC420_LAST_REG 0x3550 // MC_PVA0XA3_PTSA_MAX_0
#define MC421_FIRST_REG 0x4b08 // MC_ISP2PC_PTSA_MAX_0
#define MC421_LAST_REG 0x4b08 // MC_ISP2PC_PTSA_MAX_0
#define MC422_FIRST_REG 0x0630 // MC_HDAPC_PTSA_MAX_0
#define MC422_LAST_REG 0x0630 // MC_HDAPC_PTSA_MAX_0
#define MC423_FIRST_REG 0x04d0 // MC_SD_PTSA_RATE_0
#define MC423_LAST_REG 0x04d0 // MC_SD_PTSA_RATE_0
#define MC424_FIRST_REG 0x3a50 // MC_MSEA_PTSA_MAX_0
#define MC424_LAST_REG 0x3a50 // MC_MSEA_PTSA_MAX_0
#define MC425_FIRST_REG 0x3320 // MC_PCIE1X_PTSA_MAX_0
#define MC425_LAST_REG 0x3320 // MC_PCIE1X_PTSA_MAX_0
#define MC426_FIRST_REG 0x4b14 // MC_PCIE0X2_PTSA_MAX_0
#define MC426_LAST_REG 0x4b14 // MC_PCIE0X2_PTSA_MAX_0
#define MC427_FIRST_REG 0x353c // MC_PCIE5XA_PTSA_RATE_0
#define MC427_LAST_REG 0x353c // MC_PCIE5XA_PTSA_RATE_0
#define MC428_FIRST_REG 0x3104 // MC_PVA0XA_PTSA_MIN_0
#define MC428_LAST_REG 0x3104 // MC_PVA0XA_PTSA_MIN_0
#define MC429_FIRST_REG 0x0510 // MC_FTOP_PTSA_MIN_0
#define MC429_LAST_REG 0x0510 // MC_FTOP_PTSA_MIN_0
#define MC430_FIRST_REG 0x336c // MC_DLA1XA3_PTSA_RATE_0
#define MC430_LAST_REG 0x336c // MC_DLA1XA3_PTSA_RATE_0
#define MC431_FIRST_REG 0x0764 // MC_BPMPPC_PTSA_MAX_0
#define MC431_LAST_REG 0x0764 // MC_BPMPPC_PTSA_MAX_0
#define MC432_FIRST_REG 0x04c8 // MC_MSE_PTSA_MIN_0
#define MC432_LAST_REG 0x04c8 // MC_MSE_PTSA_MIN_0
#define MC433_FIRST_REG 0x4b10 // MC_PCIE0X2_PTSA_MIN_0
#define MC433_LAST_REG 0x4b10 // MC_PCIE0X2_PTSA_MIN_0
#define MC434_FIRST_REG 0x3560 // MC_PVA0XB3_PTSA_RATE_0
#define MC434_LAST_REG 0x3560 // MC_PVA0XB3_PTSA_RATE_0
#define MC435_FIRST_REG 0x3100 // MC_PVA0XA_PTSA_RATE_0
#define MC435_LAST_REG 0x3100 // MC_PVA0XA_PTSA_RATE_0
#define MC436_FIRST_REG 0x4b28 // MC_NVD5_PTSA_MIN_0
#define MC436_LAST_REG 0x4b28 // MC_NVD5_PTSA_MIN_0
#define MC437_FIRST_REG 0x0434 // MC_VE_PTSA_RATE_0
#define MC437_LAST_REG 0x0434 // MC_VE_PTSA_RATE_0
#define MC438_FIRST_REG 0x393c // MC_DLA1XA2_PTSA_RATE_0
#define MC438_LAST_REG 0x393c // MC_DLA1XA2_PTSA_RATE_0
#define MC439_FIRST_REG 0x0774 // MC_AONPC_PTSA_RATE_0
#define MC439_LAST_REG 0x0774 // MC_AONPC_PTSA_RATE_0
#define MC440_FIRST_REG 0x3170 // MC_DLA0FALPC_PTSA_MIN_0
#define MC440_LAST_REG 0x3170 // MC_DLA0FALPC_PTSA_MIN_0
#define MC441_FIRST_REG 0x4b3c // MC_MIU4_PTSA_RATE_0
#define MC441_LAST_REG 0x4b3c // MC_MIU4_PTSA_RATE_0
#define MC442_FIRST_REG 0x4b44 // MC_MIU4_PTSA_MAX_0
#define MC442_LAST_REG 0x4b44 // MC_MIU4_PTSA_MAX_0
#define MC443_FIRST_REG 0x04bc // MC_SAX_PTSA_MIN_0
#define MC443_LAST_REG 0x04bc // MC_SAX_PTSA_MIN_0
#define MC444_FIRST_REG 0x395c // MC_PVA0XB2_PTSA_MAX_0
#define MC444_LAST_REG 0x395c // MC_PVA0XB2_PTSA_MAX_0
#define MC445_FIRST_REG 0x354c // MC_PVA0XA3_PTSA_MIN_0
#define MC445_LAST_REG 0x354c // MC_PVA0XA3_PTSA_MIN_0
#define MC446_FIRST_REG 0x04a4 // MC_ISP_PTSA_MIN_0
#define MC446_LAST_REG 0x04a4 // MC_ISP_PTSA_MIN_0
#define MC447_FIRST_REG 0x0520 // MC_HOST_PTSA_MAX_0
#define MC447_LAST_REG 0x0520 // MC_HOST_PTSA_MAX_0
#define MC448_FIRST_REG 0x0760 // MC_BPMPPC_PTSA_MIN_0
#define MC448_LAST_REG 0x0760 // MC_BPMPPC_PTSA_MIN_0
#define MC449_FIRST_REG 0x3318 // MC_PCIE1X_PTSA_RATE_0
#define MC449_LAST_REG 0x3318 // MC_PCIE1X_PTSA_RATE_0
#define MC450_FIRST_REG 0x4b30 // MC_NVD6_PTSA_RATE_0
#define MC450_LAST_REG 0x4b30 // MC_NVD6_PTSA_RATE_0
#define MC451_FIRST_REG 0x3934 // MC_DLA0XA2_PTSA_MIN_0
#define MC451_LAST_REG 0x3934 // MC_DLA0XA2_PTSA_MIN_0
#define MC452_FIRST_REG 0x4b00 // MC_ISP2PC_PTSA_RATE_0
#define MC452_LAST_REG 0x4b00 // MC_ISP2PC_PTSA_RATE_0
#define MC453_FIRST_REG 0x3564 // MC_PVA0XB3_PTSA_MIN_0
#define MC453_LAST_REG 0x3564 // MC_PVA0XB3_PTSA_MIN_0
#define MC454_FIRST_REG 0x3138 // MC_MSE3_PTSA_MAX_0
#define MC454_LAST_REG 0x3138 // MC_MSE3_PTSA_MAX_0
#define MC455_FIRST_REG 0x0458 // MC_SMMU_SMMU_PTSA_RATE_0
#define MC455_LAST_REG 0x0458 // MC_SMMU_SMMU_PTSA_RATE_0
#define MC456_FIRST_REG 0x4b24 // MC_NVD5_PTSA_RATE_0
#define MC456_LAST_REG 0x4b24 // MC_NVD5_PTSA_RATE_0
#define MC457_FIRST_REG 0x3a64 // MC_MSEB1_PTSA_MIN_0
#define MC457_LAST_REG 0x3a64 // MC_MSEB1_PTSA_MIN_0
#define MC458_FIRST_REG 0x3954 // MC_PVA0XB2_PTSA_RATE_0
#define MC458_LAST_REG 0x3954 // MC_PVA0XB2_PTSA_RATE_0
#define MC459_FIRST_REG 0x0758 // MC_EQOSPC_PTSA_MAX_0
#define MC459_LAST_REG 0x0758 // MC_EQOSPC_PTSA_MAX_0
#define MC460_FIRST_REG 0x3a54 // MC_MSEB_PTSA_RATE_0
#define MC460_LAST_REG 0x3a54 // MC_MSEB_PTSA_RATE_0
#define MC461_FIRST_REG 0x0528 // MC_USBX_PTSA_MIN_0
#define MC461_LAST_REG 0x0528 // MC_USBX_PTSA_MIN_0
#define MC462_FIRST_REG 0x333c // MC_PCIE4X_PTSA_RATE_0
#define MC462_LAST_REG 0x333c // MC_PCIE4X_PTSA_RATE_0
#define MC463_FIRST_REG 0x0534 // MC_USBD_PTSA_MIN_0
#define MC463_LAST_REG 0x0534 // MC_USBD_PTSA_MIN_0
#define MC464_FIRST_REG 0x334c // MC_PCIE5X_PTSA_MIN_0
#define MC464_LAST_REG 0x334c // MC_PCIE5X_PTSA_MIN_0
#define MC465_FIRST_REG 0x3168 // MC_MIU3_PTSA_MAX_0
#define MC465_LAST_REG 0x3168 // MC_MIU3_PTSA_MAX_0
#define MC466_FIRST_REG 0x3300 // MC_DLA1FALPC_PTSA_RATE_0
#define MC466_LAST_REG 0x3300 // MC_DLA1FALPC_PTSA_RATE_0
#define MC467_FIRST_REG 0x3918 // MC_PVA1XB3_PTSA_RATE_0
#define MC467_LAST_REG 0x3918 // MC_PVA1XB3_PTSA_RATE_0
#define MC468_FIRST_REG 0x3374 // MC_DLA1XA3_PTSA_MAX_0
#define MC468_LAST_REG 0x3374 // MC_DLA1XA3_PTSA_MAX_0
#define MC469_FIRST_REG 0x314c // MC_MIU1_PTSA_MIN_0
#define MC469_LAST_REG 0x314c // MC_MIU1_PTSA_MIN_0
#define MC470_FIRST_REG 0x3544 // MC_PCIE5XA_PTSA_MAX_0
#define MC470_LAST_REG 0x3544 // MC_PCIE5XA_PTSA_MAX_0
#define MC471_FIRST_REG 0x3364 // MC_DLA0XA3_PTSA_MIN_0
#define MC471_LAST_REG 0x3364 // MC_DLA0XA3_PTSA_MIN_0
#define MC472_FIRST_REG 0x0424 // MC_DIS_PTSA_MAX_0
#define MC472_LAST_REG 0x0424 // MC_DIS_PTSA_MAX_0
#define MC473_FIRST_REG 0x0480 // MC_RING1_PTSA_MIN_0
#define MC473_LAST_REG 0x0480 // MC_RING1_PTSA_MIN_0
#define MC474_FIRST_REG 0x3a2c // MC_UFSHCPC2_PTSA_MAX_0
#define MC474_LAST_REG 0x3a2c // MC_UFSHCPC2_PTSA_MAX_0
#define MC475_FIRST_REG 0x0558 // MC_VICPC_PTSA_MIN_0
#define MC475_LAST_REG 0x0558 // MC_VICPC_PTSA_MIN_0
#define MC476_FIRST_REG 0x3a5c // MC_MSEB_PTSA_MAX_0
#define MC476_LAST_REG 0x3a5c // MC_MSEB_PTSA_MAX_0
#define MC477_FIRST_REG 0x355c // MC_PVA0XB_PTSA_MAX_0
#define MC477_LAST_REG 0x355c // MC_PVA0XB_PTSA_MAX_0
#define MC478_FIRST_REG 0x3a34 // MC_USBX2_PTSA_MIN_0
#define MC478_LAST_REG 0x3a34 // MC_USBX2_PTSA_MIN_0
#define MC479_FIRST_REG 0x0448 // MC_RING2_PTSA_MAX_0
#define MC479_LAST_REG 0x0448 // MC_RING2_PTSA_MAX_0
#define MC480_FIRST_REG 0x0548 // MC_AUD_PTSA_RATE_0
#define MC480_LAST_REG 0x0548 // MC_AUD_PTSA_RATE_0
#define MC481_FIRST_REG 0x3504 // MC_PCIE0XA_PTSA_MIN_0
#define MC481_LAST_REG 0x3504 // MC_PCIE0XA_PTSA_MIN_0
#define MC482_FIRST_REG 0x3500 // MC_PCIE0XA_PTSA_RATE_0
#define MC482_LAST_REG 0x3500 // MC_PCIE0XA_PTSA_RATE_0
#define MC483_FIRST_REG 0x3940 // MC_DLA1XA2_PTSA_MIN_0
#define MC483_LAST_REG 0x3940 // MC_DLA1XA2_PTSA_MIN_0
#define MC484_FIRST_REG 0x396c // MC_PVA1XB2_PTSA_RATE_0
#define MC484_LAST_REG 0x396c // MC_PVA1XB2_PTSA_RATE_0
#define MC485_FIRST_REG 0x311c // MC_RCEPC_PTSA_MIN_0
#define MC485_LAST_REG 0x311c // MC_RCEPC_PTSA_MIN_0
#define MC486_FIRST_REG 0x3110 // MC_PVA1XA_PTSA_MIN_0
#define MC486_LAST_REG 0x3110 // MC_PVA1XA_PTSA_MIN_0
#define MC487_FIRST_REG 0x3360 // MC_DLA0XA3_PTSA_RATE_0
#define MC487_LAST_REG 0x3360 // MC_DLA0XA3_PTSA_RATE_0
#define MC488_FIRST_REG 0x0740 // MC_NIC_PTSA_MAX_0
#define MC488_LAST_REG 0x0740 // MC_NIC_PTSA_MAX_0
#define MC489_FIRST_REG 0x0580 // MC_NVD_PTSA_MAX_0
#define MC489_LAST_REG 0x0580 // MC_NVD_PTSA_MAX_0
#define MC490_FIRST_REG 0x4b58 // MC_MIU6_PTSA_MIN_0
#define MC490_LAST_REG 0x4b58 // MC_MIU6_PTSA_MIN_0
#define MC491_FIRST_REG 0x330c // MC_PCIE0X_PTSA_RATE_0
#define MC491_LAST_REG 0x330c // MC_PCIE0X_PTSA_RATE_0
#define MC492_FIRST_REG 0x077c // MC_AONPC_PTSA_MAX_0
#define MC492_LAST_REG 0x077c // MC_AONPC_PTSA_MAX_0
#define MC493_FIRST_REG 0x0588 // MC_JPG_PTSA_MIN_0
#define MC493_LAST_REG 0x0588 // MC_JPG_PTSA_MIN_0
#define MC494_FIRST_REG 0x3a28 // MC_UFSHCPC2_PTSA_MIN_0
#define MC494_LAST_REG 0x3a28 // MC_UFSHCPC2_PTSA_MIN_0
#define MC495_FIRST_REG 0x062c // MC_HDAPC_PTSA_MIN_0
#define MC495_LAST_REG 0x062c // MC_HDAPC_PTSA_MIN_0
#define MC496_FIRST_REG 0x07f4 // MC_DLA1XA_PTSA_MAX_0
#define MC496_LAST_REG 0x07f4 // MC_DLA1XA_PTSA_MAX_0
#define MC497_FIRST_REG 0x07d0 // MC_MSE2_PTSA_MAX_0
#define MC497_LAST_REG 0x07d0 // MC_MSE2_PTSA_MAX_0
#define MC498_FIRST_REG 0x4b20 // MC_NVD4_PTSA_MAX_0
#define MC498_LAST_REG 0x4b20 // MC_NVD4_PTSA_MAX_0
#define MC499_FIRST_REG 0x3114 // MC_PVA1XA_PTSA_MAX_0
#define MC499_LAST_REG 0x3114 // MC_PVA1XA_PTSA_MAX_0
#define MC500_FIRST_REG 0x043c // MC_VE_PTSA_MAX_0
#define MC500_LAST_REG 0x043c // MC_VE_PTSA_MAX_0
#define MC501_FIRST_REG 0x3938 // MC_DLA0XA2_PTSA_MAX_0
#define MC501_LAST_REG 0x3938 // MC_DLA0XA2_PTSA_MAX_0
#define MC502_FIRST_REG 0x3554 // MC_PVA0XB_PTSA_RATE_0
#define MC502_LAST_REG 0x3554 // MC_PVA0XB_PTSA_RATE_0
#define MC503_FIRST_REG 0x3a60 // MC_MSEB1_PTSA_RATE_0
#define MC503_LAST_REG 0x3a60 // MC_MSEB1_PTSA_RATE_0
#define MC504_FIRST_REG 0x3574 // MC_PVA0XC_PTSA_MAX_0
#define MC504_LAST_REG 0x3574 // MC_PVA0XC_PTSA_MAX_0
#define MC505_FIRST_REG 0x0554 // MC_VICPC_PTSA_RATE_0
#define MC505_LAST_REG 0x0554 // MC_VICPC_PTSA_RATE_0
#define MC506_FIRST_REG 0x075c // MC_BPMPPC_PTSA_RATE_0
#define MC506_LAST_REG 0x075c // MC_BPMPPC_PTSA_RATE_0
#define MC507_FIRST_REG 0x3a74 // MC_ISPPC_PTSA_MAX_0
#define MC507_LAST_REG 0x3a74 // MC_ISPPC_PTSA_MAX_0
#define MC508_FIRST_REG 0x0794 // MC_SCEPC_PTSA_MAX_0
#define MC508_LAST_REG 0x0794 // MC_SCEPC_PTSA_MAX_0
#define MC509_FIRST_REG 0x07e0 // MC_DLA0XA_PTSA_RATE_0
#define MC509_LAST_REG 0x07e0 // MC_DLA0XA_PTSA_RATE_0
#define MC510_FIRST_REG 0x3368 // MC_DLA0XA3_PTSA_MAX_0
#define MC510_LAST_REG 0x3368 // MC_DLA0XA3_PTSA_MAX_0
#define MC511_FIRST_REG 0x4b60 // MC_MIU7_PTSA_RATE_0
#define MC511_LAST_REG 0x4b60 // MC_MIU7_PTSA_RATE_0
#define MC512_FIRST_REG 0x3340 // MC_PCIE4X_PTSA_MIN_0
#define MC512_LAST_REG 0x3340 // MC_PCIE4X_PTSA_MIN_0
#define MC513_FIRST_REG 0x3348 // MC_PCIE5X_PTSA_RATE_0
#define MC513_LAST_REG 0x3348 // MC_PCIE5X_PTSA_RATE_0
#define MC514_FIRST_REG 0x0624 // MC_SDM_PTSA_MAX_0
#define MC514_LAST_REG 0x0624 // MC_SDM_PTSA_MAX_0
#define MC515_FIRST_REG 0x3a0c // MC_VICPC2_PTSA_RATE_0
#define MC515_LAST_REG 0x3a0c // MC_VICPC2_PTSA_RATE_0
#define MC516_FIRST_REG 0x3540 // MC_PCIE5XA_PTSA_MIN_0
#define MC516_LAST_REG 0x3540 // MC_PCIE5XA_PTSA_MIN_0
#define MC517_FIRST_REG 0x4b18 // MC_NVD4_PTSA_RATE_0
#define MC517_LAST_REG 0x4b18 // MC_NVD4_PTSA_RATE_0
#define MC518_FIRST_REG 0x3108 // MC_PVA0XA_PTSA_MAX_0
#define MC518_LAST_REG 0x3108 // MC_PVA0XA_PTSA_MAX_0
#define MC519_FIRST_REG 0x07cc // MC_MSE2_PTSA_MIN_0
#define MC519_LAST_REG 0x07cc // MC_MSE2_PTSA_MIN_0
#define MC520_FIRST_REG 0x3a44 // MC_USBD2_PTSA_MAX_0
#define MC520_LAST_REG 0x3a44 // MC_USBD2_PTSA_MAX_0
#define MC521_FIRST_REG 0x04b8 // MC_SAX_PTSA_RATE_0
#define MC521_LAST_REG 0x04b8 // MC_SAX_PTSA_RATE_0
#define MC522_FIRST_REG 0x04ec // MC_APB_PTSA_MIN_0
#define MC522_LAST_REG 0x04ec // MC_APB_PTSA_MIN_0
#define MC523_FIRST_REG 0x3a6c // MC_ISPPC_PTSA_RATE_0
#define MC523_LAST_REG 0x3a6c // MC_ISPPC_PTSA_RATE_0
#define MC524_FIRST_REG 0x3960 // MC_PVA1XA2_PTSA_RATE_0
#define MC524_LAST_REG 0x3960 // MC_PVA1XA2_PTSA_RATE_0
#define MC525_FIRST_REG 0x3a08 // MC_PCIE5X2_PTSA_MAX_0
#define MC525_LAST_REG 0x3a08 // MC_PCIE5X2_PTSA_MAX_0
#define MC526_FIRST_REG 0x3534 // MC_PCIE4XA_PTSA_MIN_0
#define MC526_LAST_REG 0x3534 // MC_PCIE4XA_PTSA_MIN_0
#define MC527_FIRST_REG 0x3120 // MC_RCEPC_PTSA_MAX_0
#define MC527_LAST_REG 0x3120 // MC_RCEPC_PTSA_MAX_0
#define MC528_FIRST_REG 0x3548 // MC_PVA0XA3_PTSA_RATE_0
#define MC528_LAST_REG 0x3548 // MC_PVA0XA3_PTSA_RATE_0
#define MC529_FIRST_REG 0x0778 // MC_AONPC_PTSA_MIN_0
#define MC529_LAST_REG 0x0778 // MC_AONPC_PTSA_MIN_0
#define MC530_FIRST_REG 0x4b0c // MC_PCIE0X2_PTSA_RATE_0
#define MC530_LAST_REG 0x4b0c // MC_PCIE0X2_PTSA_RATE_0
#define MC531_FIRST_REG 0x3130 // MC_MSE3_PTSA_RATE_0
#define MC531_LAST_REG 0x3130 // MC_MSE3_PTSA_RATE_0
#define MC532_FIRST_REG 0x3118 // MC_RCEPC_PTSA_RATE_0
#define MC532_LAST_REG 0x3118 // MC_RCEPC_PTSA_RATE_0
#define MC533_FIRST_REG 0x0484 // MC_RING1_PTSA_MAX_0
#define MC533_LAST_REG 0x0484 // MC_RING1_PTSA_MAX_0
#define MC534_FIRST_REG 0x0628 // MC_HDAPC_PTSA_RATE_0
#define MC534_LAST_REG 0x0628 // MC_HDAPC_PTSA_RATE_0
#define MC535_FIRST_REG 0x3144 // MC_MIU0_PTSA_MAX_0
#define MC535_LAST_REG 0x3144 // MC_MIU0_PTSA_MAX_0
#define MC536_FIRST_REG 0x3970 // MC_PVA1XB2_PTSA_MIN_0
#define MC536_LAST_REG 0x3970 // MC_PVA1XB2_PTSA_MIN_0
#define MC537_FIRST_REG 0x07b0 // MC_VICPC3_PTSA_RATE_0
#define MC537_LAST_REG 0x07b0 // MC_VICPC3_PTSA_RATE_0
#define MC538_FIRST_REG 0x0550 // MC_AUD_PTSA_MAX_0
#define MC538_LAST_REG 0x0550 // MC_AUD_PTSA_MAX_0
#define MC539_FIRST_REG 0x3158 // MC_MIU2_PTSA_MIN_0
#define MC539_LAST_REG 0x3158 // MC_MIU2_PTSA_MIN_0
#define MC540_FIRST_REG 0x07c4 // MC_NVD3_PTSA_MAX_0
#define MC540_LAST_REG 0x07c4 // MC_NVD3_PTSA_MAX_0
#define MC541_FIRST_REG 0x4b54 // MC_MIU6_PTSA_RATE_0
#define MC541_LAST_REG 0x4b54 // MC_MIU6_PTSA_RATE_0
#define MC542_FIRST_REG 0x057c // MC_NVD_PTSA_MIN_0
#define MC542_LAST_REG 0x057c // MC_NVD_PTSA_MIN_0
#define MC543_FIRST_REG 0x394c // MC_PVA0XA2_PTSA_MIN_0
#define MC543_LAST_REG 0x394c // MC_PVA0XA2_PTSA_MIN_0
#define MC544_FIRST_REG 0x07b8 // MC_VICPC3_PTSA_MAX_0
#define MC544_LAST_REG 0x07b8 // MC_VICPC3_PTSA_MAX_0
#define MC545_FIRST_REG 0x3964 // MC_PVA1XA2_PTSA_MIN_0
#define MC545_LAST_REG 0x3964 // MC_PVA1XA2_PTSA_MIN_0
#define MC546_FIRST_REG 0x3568 // MC_PVA0XB3_PTSA_MAX_0
#define MC546_LAST_REG 0x3568 // MC_PVA0XB3_PTSA_MAX_0
#define MC547_FIRST_REG 0x3900 // MC_PVA1XA3_PTSA_RATE_0
#define MC547_LAST_REG 0x3900 // MC_PVA1XA3_PTSA_RATE_0
#define MC548_FIRST_REG 0x3310 // MC_PCIE0X_PTSA_MIN_0
#define MC548_LAST_REG 0x3310 // MC_PCIE0X_PTSA_MIN_0
#define MC549_FIRST_REG 0x350c // MC_PCIE1XA_PTSA_RATE_0
#define MC549_LAST_REG 0x350c // MC_PCIE1XA_PTSA_RATE_0
#define MC550_FIRST_REG 0x041c // MC_DIS_PTSA_RATE_0
#define MC550_LAST_REG 0x041c // MC_DIS_PTSA_RATE_0
#define MC551_FIRST_REG 0x3a30 // MC_USBX2_PTSA_RATE_0
#define MC551_LAST_REG 0x3a30 // MC_USBX2_PTSA_RATE_0
#define MC552_FIRST_REG 0x07f0 // MC_DLA1XA_PTSA_MIN_0
#define MC552_LAST_REG 0x07f0 // MC_DLA1XA_PTSA_MIN_0
#define MC553_FIRST_REG 0x3908 // MC_PVA1XA3_PTSA_MAX_0
#define MC553_LAST_REG 0x390c // MC_PVA1XB_PTSA_RATE_0
#define MC554_FIRST_REG 0x3944 // MC_DLA1XA2_PTSA_MAX_0
#define MC554_LAST_REG 0x3944 // MC_DLA1XA2_PTSA_MAX_0
#define MC555_FIRST_REG 0x3a48 // MC_MSEA_PTSA_RATE_0
#define MC555_LAST_REG 0x3a48 // MC_MSEA_PTSA_RATE_0
#define MC556_FIRST_REG 0x3154 // MC_MIU2_PTSA_RATE_0
#define MC556_LAST_REG 0x3154 // MC_MIU2_PTSA_RATE_0
#define MC557_FIRST_REG 0x4b38 // MC_NVD6_PTSA_MAX_0
#define MC557_LAST_REG 0x4b38 // MC_NVD6_PTSA_MAX_0
#define MC558_FIRST_REG 0x3514 // MC_PCIE1XA_PTSA_MAX_0
#define MC558_LAST_REG 0x3514 // MC_PCIE1XA_PTSA_MAX_0
#define MC559_FIRST_REG 0x3160 // MC_MIU3_PTSA_RATE_0
#define MC559_LAST_REG 0x3160 // MC_MIU3_PTSA_RATE_0
#define MC560_FIRST_REG 0x4b50 // MC_MIU5_PTSA_MAX_0
#define MC560_LAST_REG 0x4b50 // MC_MIU5_PTSA_MAX_0
#define MC561_FIRST_REG 0x061c // MC_SDM_PTSA_RATE_0
#define MC561_LAST_REG 0x0620 // MC_SDM_PTSA_MIN_0
#define MC562_FIRST_REG 0x04e8 // MC_APB_PTSA_RATE_0
#define MC562_LAST_REG 0x04e8 // MC_APB_PTSA_RATE_0
#define MC563_FIRST_REG 0x0460 // MC_SMMU_SMMU_PTSA_MAX_0
#define MC563_LAST_REG 0x0460 // MC_SMMU_SMMU_PTSA_MAX_0
#define MC564_FIRST_REG 0x0444 // MC_RING2_PTSA_MIN_0
#define MC564_LAST_REG 0x0444 // MC_RING2_PTSA_MIN_0
#define MC565_FIRST_REG 0x0744 // MC_UFSHCPC_PTSA_RATE_0
#define MC565_LAST_REG 0x0744 // MC_UFSHCPC_PTSA_RATE_0
#define MC566_FIRST_REG 0x356c // MC_PVA0XC_PTSA_RATE_0
#define MC566_LAST_REG 0x356c // MC_PVA0XC_PTSA_RATE_0
#define MC567_FIRST_REG 0x07c8 // MC_MSE2_PTSA_RATE_0
#define MC567_LAST_REG 0x07c8 // MC_MSE2_PTSA_RATE_0
#define MC568_FIRST_REG 0x3508 // MC_PCIE0XA_PTSA_MAX_0
#define MC568_LAST_REG 0x3508 // MC_PCIE0XA_PTSA_MAX_0
#define MC569_FIRST_REG 0x3a58 // MC_MSEB_PTSA_MIN_0
#define MC569_LAST_REG 0x3a58 // MC_MSEB_PTSA_MIN_0
#define MC570_FIRST_REG 0x3914 // MC_PVA1XB_PTSA_MAX_0
#define MC570_LAST_REG 0x3914 // MC_PVA1XB_PTSA_MAX_0
#define MC571_FIRST_REG 0x0518 // MC_HOST_PTSA_RATE_0
#define MC571_LAST_REG 0x0518 // MC_HOST_PTSA_RATE_0
#define MC572_FIRST_REG 0x07bc // MC_NVD3_PTSA_RATE_0
#define MC572_LAST_REG 0x07bc // MC_NVD3_PTSA_RATE_0
#define MC573_FIRST_REG 0x4b34 // MC_NVD6_PTSA_MIN_0
#define MC573_LAST_REG 0x4b34 // MC_NVD6_PTSA_MIN_0
#define MC574_FIRST_REG 0x4b48 // MC_MIU5_PTSA_RATE_0
#define MC574_LAST_REG 0x4b48 // MC_MIU5_PTSA_RATE_0
#define MC575_FIRST_REG 0x3910 // MC_PVA1XB_PTSA_MIN_0
#define MC575_LAST_REG 0x3910 // MC_PVA1XB_PTSA_MIN_0
#define MC576_FIRST_REG 0x310c // MC_PVA1XA_PTSA_RATE_0
#define MC576_LAST_REG 0x310c // MC_PVA1XA_PTSA_RATE_0
#define MC577_FIRST_REG 0x4b40 // MC_MIU4_PTSA_MIN_0
#define MC577_LAST_REG 0x4b40 // MC_MIU4_PTSA_MIN_0
#define MC578_FIRST_REG 0x045c // MC_SMMU_SMMU_PTSA_MIN_0
#define MC578_LAST_REG 0x045c // MC_SMMU_SMMU_PTSA_MIN_0
#define MC579_FIRST_REG 0x0738 // MC_NIC_PTSA_RATE_0
#define MC579_LAST_REG 0x0738 // MC_NIC_PTSA_RATE_0
#define MC580_FIRST_REG 0x391c // MC_PVA1XB3_PTSA_MIN_0
#define MC580_LAST_REG 0x391c // MC_PVA1XB3_PTSA_MIN_0
#define MC581_FIRST_REG 0x4b1c // MC_NVD4_PTSA_MIN_0
#define MC581_LAST_REG 0x4b1c // MC_NVD4_PTSA_MIN_0
#define MC582_FIRST_REG 0x04c0 // MC_SAX_PTSA_MAX_0
#define MC582_LAST_REG 0x04c0 // MC_SAX_PTSA_MAX_0
#define MC583_FIRST_REG 0x4b64 // MC_MIU7_PTSA_MIN_0
#define MC583_LAST_REG 0x4b64 // MC_MIU7_PTSA_MIN_0
#define MC584_FIRST_REG 0x3904 // MC_PVA1XA3_PTSA_MIN_0
#define MC584_LAST_REG 0x3904 // MC_PVA1XA3_PTSA_MIN_0
#define MC585_FIRST_REG 0x0438 // MC_VE_PTSA_MIN_0
#define MC585_LAST_REG 0x0438 // MC_VE_PTSA_MIN_0
#define MC586_FIRST_REG 0x3a3c // MC_USBD2_PTSA_RATE_0
#define MC586_LAST_REG 0x3a3c // MC_USBD2_PTSA_RATE_0
#define MC587_FIRST_REG 0x07ec // MC_DLA1XA_PTSA_RATE_0
#define MC587_LAST_REG 0x07ec // MC_DLA1XA_PTSA_RATE_0
#define MC588_FIRST_REG 0x3950 // MC_PVA0XA2_PTSA_MAX_0
#define MC588_LAST_REG 0x3950 // MC_PVA0XA2_PTSA_MAX_0
#define MC589_FIRST_REG 0x316c // MC_DLA0FALPC_PTSA_RATE_0
#define MC589_LAST_REG 0x316c // MC_DLA0FALPC_PTSA_RATE_0
#define MC590_FIRST_REG 0x04cc // MC_MSE_PTSA_MAX_0
#define MC590_LAST_REG 0x04cc // MC_MSE_PTSA_MAX_0
#define MC591_FIRST_REG 0x3344 // MC_PCIE4X_PTSA_MAX_0
#define MC591_LAST_REG 0x3344 // MC_PCIE4X_PTSA_MAX_0
#define MC592_FIRST_REG 0x3a68 // MC_MSEB1_PTSA_MAX_0
#define MC592_LAST_REG 0x3a68 // MC_MSEB1_PTSA_MAX_0
#define MC593_FIRST_REG 0x3a40 // MC_USBD2_PTSA_MIN_0
#define MC593_LAST_REG 0x3a40 // MC_USBD2_PTSA_MIN_0
#define MC594_FIRST_REG 0x3968 // MC_PVA1XA2_PTSA_MAX_0
#define MC594_LAST_REG 0x3968 // MC_PVA1XA2_PTSA_MAX_0
#define MC595_FIRST_REG 0x331c // MC_PCIE1X_PTSA_MIN_0
#define MC595_LAST_REG 0x331c // MC_PCIE1X_PTSA_MIN_0
#define MC596_FIRST_REG 0x073c // MC_NIC_PTSA_MIN_0
#define MC596_LAST_REG 0x073c // MC_NIC_PTSA_MIN_0
#define MC597_FIRST_REG 0x3928 // MC_PVA1XC_PTSA_MIN_0
#define MC597_LAST_REG 0x3928 // MC_PVA1XC_PTSA_MIN_0
#define MC598_FIRST_REG 0x0960 // MC_PTSA_GRANT_DECREMENT_0
#define MC598_LAST_REG 0x0960 // MC_PTSA_GRANT_DECREMENT_0
#define MC599_FIRST_REG 0x0714 // MC_LATENCY_ALLOWANCE_AON_0_0
#define MC599_LAST_REG 0x0714 // MC_LATENCY_ALLOWANCE_AON_0_0
#define MC600_FIRST_REG 0x1050 // MC_LATENCY_ALLOWANCE_NVENC_1_0
#define MC600_LAST_REG 0x1050 // MC_LATENCY_ALLOWANCE_NVENC_1_0
#define MC601_FIRST_REG 0x070c // MC_LATENCY_ALLOWANCE_BPMP_0_0
#define MC601_LAST_REG 0x070c // MC_LATENCY_ALLOWANCE_BPMP_0_0
#define MC602_FIRST_REG 0x1054 // MC_LATENCY_ALLOWANCE_MIU0_0_0
#define MC602_LAST_REG 0x1054 // MC_LATENCY_ALLOWANCE_MIU0_0_0
#define MC603_FIRST_REG 0x072c // MC_LATENCY_ALLOWANCE_NVDEC_1_0
#define MC603_LAST_REG 0x072c // MC_LATENCY_ALLOWANCE_NVDEC_1_0
#define MC604_FIRST_REG 0x0380 // MC_LATENCY_ALLOWANCE_XUSB_1_0
#define MC604_LAST_REG 0x0380 // MC_LATENCY_ALLOWANCE_XUSB_1_0
#define MC605_FIRST_REG 0x1a28 // MC_LATENCY_ALLOWANCE_NVENC_2_0
#define MC605_LAST_REG 0x1a28 // MC_LATENCY_ALLOWANCE_NVENC_2_0
#define MC606_FIRST_REG 0x03e0 // MC_LATENCY_ALLOWANCE_SE_0_0
#define MC606_LAST_REG 0x03e0 // MC_LATENCY_ALLOWANCE_SE_0_0
#define MC607_FIRST_REG 0x1a04 // MC_LATENCY_ALLOWANCE_PCIE2_0_0
#define MC607_LAST_REG 0x1a04 // MC_LATENCY_ALLOWANCE_PCIE2_0_0
#define MC608_FIRST_REG 0x1a00 // MC_LATENCY_ALLOWANCE_PCIE1_0_0
#define MC608_LAST_REG 0x1a00 // MC_LATENCY_ALLOWANCE_PCIE1_0_0
#define MC609_FIRST_REG 0x1028 // MC_LATENCY_ALLOWANCE_DLA1_0_0
#define MC609_LAST_REG 0x1028 // MC_LATENCY_ALLOWANCE_DLA1_0_0
#define MC610_FIRST_REG 0x0724 // MC_LATENCY_ALLOWANCE_APEDMA_0_0
#define MC610_LAST_REG 0x0724 // MC_LATENCY_ALLOWANCE_APEDMA_0_0
#define MC611_FIRST_REG 0x03d8 // MC_LATENCY_ALLOWANCE_NVDEC_0_0
#define MC611_LAST_REG 0x03d8 // MC_LATENCY_ALLOWANCE_NVDEC_0_0
#define MC612_FIRST_REG 0x1a14 // MC_LATENCY_ALLOWANCE_ISP3_0_0
#define MC612_LAST_REG 0x1a14 // MC_LATENCY_ALLOWANCE_ISP3_0_0
#define MC613_FIRST_REG 0x105c // MC_LATENCY_ALLOWANCE_MIU2_0_0
#define MC613_LAST_REG 0x105c // MC_LATENCY_ALLOWANCE_MIU2_0_0
#define MC614_FIRST_REG 0x1a38 // MC_LATENCY_ALLOWANCE_MIU5_0_0
#define MC614_LAST_REG 0x1a38 // MC_LATENCY_ALLOWANCE_MIU5_0_0
#define MC615_FIRST_REG 0x1a18 // MC_LATENCY_ALLOWANCE_DLA0_2_0
#define MC615_LAST_REG 0x1a18 // MC_LATENCY_ALLOWANCE_DLA0_2_0
#define MC616_FIRST_REG 0x1064 // MC_LATENCY_ALLOWANCE_PCIE0_0_0
#define MC616_LAST_REG 0x1064 // MC_LATENCY_ALLOWANCE_PCIE0_0_0
#define MC617_FIRST_REG 0x1038 // MC_LATENCY_ALLOWANCE_PVA0_2_0
#define MC617_LAST_REG 0x1038 // MC_LATENCY_ALLOWANCE_PVA0_2_0
#define MC618_FIRST_REG 0x1060 // MC_LATENCY_ALLOWANCE_MIU3_0_0
#define MC618_LAST_REG 0x1060 // MC_LATENCY_ALLOWANCE_MIU3_0_0
#define MC619_FIRST_REG 0x1058 // MC_LATENCY_ALLOWANCE_MIU1_0_0
#define MC619_LAST_REG 0x1058 // MC_LATENCY_ALLOWANCE_MIU1_0_0
#define MC620_FIRST_REG 0x102c // MC_LATENCY_ALLOWANCE_DLA1_1_0
#define MC620_LAST_REG 0x102c // MC_LATENCY_ALLOWANCE_DLA1_1_0
#define MC621_FIRST_REG 0x103c // MC_LATENCY_ALLOWANCE_PVA1_0_0
#define MC621_LAST_REG 0x103c // MC_LATENCY_ALLOWANCE_PVA1_0_0
#define MC622_FIRST_REG 0x03c0 // MC_LATENCY_ALLOWANCE_SDMMC_0_0
#define MC622_LAST_REG 0x03c0 // MC_LATENCY_ALLOWANCE_SDMMC_0_0
#define MC623_FIRST_REG 0x1024 // MC_LATENCY_ALLOWANCE_DLA0_1_0
#define MC623_LAST_REG 0x1024 // MC_LATENCY_ALLOWANCE_DLA0_1_0
#define MC624_FIRST_REG 0x1020 // MC_LATENCY_ALLOWANCE_DLA0_0_0
#define MC624_LAST_REG 0x1020 // MC_LATENCY_ALLOWANCE_DLA0_0_0
#define MC625_FIRST_REG 0x03e4 // MC_LATENCY_ALLOWANCE_NVJPG_0_0
#define MC625_LAST_REG 0x03e4 // MC_LATENCY_ALLOWANCE_NVJPG_0_0
#define MC626_FIRST_REG 0x0320 // MC_LATENCY_ALLOWANCE_MPCORE_0_0
#define MC626_LAST_REG 0x0320 // MC_LATENCY_ALLOWANCE_MPCORE_0_0
#define MC627_FIRST_REG 0x0398 // MC_LATENCY_ALLOWANCE_VI2_0_0
#define MC627_LAST_REG 0x0398 // MC_LATENCY_ALLOWANCE_VI2_0_0
#define MC628_FIRST_REG 0x1a40 // MC_LATENCY_ALLOWANCE_MIU7_0_0
#define MC628_LAST_REG 0x1a40 // MC_LATENCY_ALLOWANCE_MIU7_0_0
#define MC629_FIRST_REG 0x0720 // MC_LATENCY_ALLOWANCE_SCEDMA_0_0
#define MC629_LAST_REG 0x0720 // MC_LATENCY_ALLOWANCE_SCEDMA_0_0
#define MC630_FIRST_REG 0x1040 // MC_LATENCY_ALLOWANCE_PVA1_1_0
#define MC630_LAST_REG 0x1040 // MC_LATENCY_ALLOWANCE_PVA1_1_0
#define MC631_FIRST_REG 0x0350 // MC_LATENCY_ALLOWANCE_SATA_0_0
#define MC631_LAST_REG 0x0350 // MC_LATENCY_ALLOWANCE_SATA_0_0
#define MC632_FIRST_REG 0x0718 // MC_LATENCY_ALLOWANCE_AONDMA_0_0
#define MC632_LAST_REG 0x0718 // MC_LATENCY_ALLOWANCE_AONDMA_0_0
#define MC633_FIRST_REG 0x0310 // MC_LATENCY_ALLOWANCE_HC_0_0
#define MC633_LAST_REG 0x0310 // MC_LATENCY_ALLOWANCE_HC_0_0
#define MC634_FIRST_REG 0x0704 // MC_LATENCY_ALLOWANCE_UFSHC_0_0
#define MC634_LAST_REG 0x0704 // MC_LATENCY_ALLOWANCE_UFSHC_0_0
#define MC635_FIRST_REG 0x1a30 // MC_LATENCY_ALLOWANCE_NVDEC_2_0
#define MC635_LAST_REG 0x1a30 // MC_LATENCY_ALLOWANCE_NVDEC_2_0
#define MC636_FIRST_REG 0x0728 // MC_LATENCY_ALLOWANCE_VIC_1_0
#define MC636_LAST_REG 0x0728 // MC_LATENCY_ALLOWANCE_VIC_1_0
#define MC637_FIRST_REG 0x03c4 // MC_LATENCY_ALLOWANCE_SDMMCAB_0_0
#define MC637_LAST_REG 0x03c4 // MC_LATENCY_ALLOWANCE_SDMMCAB_0_0
#define MC638_FIRST_REG 0x104c // MC_LATENCY_ALLOWANCE_RCEDMA_0_0
#define MC638_LAST_REG 0x104c // MC_LATENCY_ALLOWANCE_RCEDMA_0_0
#define MC639_FIRST_REG 0x0318 // MC_LATENCY_ALLOWANCE_HDA_0_0
#define MC639_LAST_REG 0x0318 // MC_LATENCY_ALLOWANCE_HDA_0_0
#define MC640_FIRST_REG 0x0710 // MC_LATENCY_ALLOWANCE_BPMPDMA_0_0
#define MC640_LAST_REG 0x0710 // MC_LATENCY_ALLOWANCE_BPMPDMA_0_0
#define MC641_FIRST_REG 0x1a08 // MC_LATENCY_ALLOWANCE_PCIE3_0_0
#define MC641_LAST_REG 0x1a08 // MC_LATENCY_ALLOWANCE_PCIE3_0_0
#define MC642_FIRST_REG 0x03a0 // MC_LATENCY_ALLOWANCE_AXIAP_0_0
#define MC642_LAST_REG 0x03a0 // MC_LATENCY_ALLOWANCE_AXIAP_0_0
#define MC643_FIRST_REG 0x03b8 // MC_LATENCY_ALLOWANCE_SDMMCA_0_0
#define MC643_LAST_REG 0x03b8 // MC_LATENCY_ALLOWANCE_SDMMCA_0_0
#define MC644_FIRST_REG 0x1a1c // MC_LATENCY_ALLOWANCE_PVA0_3_0
#define MC644_LAST_REG 0x1a1c // MC_LATENCY_ALLOWANCE_PVA0_3_0
#define MC645_FIRST_REG 0x0370 // MC_LATENCY_ALLOWANCE_ISP2_0_0
#define MC645_LAST_REG 0x0370 // MC_LATENCY_ALLOWANCE_ISP2_0_0
#define MC646_FIRST_REG 0x0708 // MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0
#define MC646_LAST_REG 0x0708 // MC_LATENCY_ALLOWANCE_NVDISPLAY_0_0
#define MC647_FIRST_REG 0x0374 // MC_LATENCY_ALLOWANCE_ISP2_1_0
#define MC647_LAST_REG 0x0374 // MC_LATENCY_ALLOWANCE_ISP2_1_0
#define MC648_FIRST_REG 0x1a20 // MC_LATENCY_ALLOWANCE_PVA1_3_0
#define MC648_LAST_REG 0x1a20 // MC_LATENCY_ALLOWANCE_PVA1_3_0
#define MC649_FIRST_REG 0x0394 // MC_LATENCY_ALLOWANCE_VIC_0_0
#define MC649_LAST_REG 0x0394 // MC_LATENCY_ALLOWANCE_VIC_0_0
#define MC650_FIRST_REG 0x1a0c // MC_LATENCY_ALLOWANCE_PCIE4_0_0
#define MC650_LAST_REG 0x1a0c // MC_LATENCY_ALLOWANCE_PCIE4_0_0
#define MC651_FIRST_REG 0x1044 // MC_LATENCY_ALLOWANCE_PVA1_2_0
#define MC651_LAST_REG 0x1044 // MC_LATENCY_ALLOWANCE_PVA1_2_0
#define MC652_FIRST_REG 0x0700 // MC_LATENCY_ALLOWANCE_EQOS_0_0
#define MC652_LAST_REG 0x0700 // MC_LATENCY_ALLOWANCE_EQOS_0_0
#define MC653_FIRST_REG 0x0390 // MC_LATENCY_ALLOWANCE_TSEC_0_0
#define MC653_LAST_REG 0x0390 // MC_LATENCY_ALLOWANCE_TSEC_0_0
#define MC654_FIRST_REG 0x101c // MC_LATENCY_ALLOWANCE_VIFAL_0_0
#define MC654_LAST_REG 0x101c // MC_LATENCY_ALLOWANCE_VIFAL_0_0
#define MC655_FIRST_REG 0x1034 // MC_LATENCY_ALLOWANCE_PVA0_1_0
#define MC655_LAST_REG 0x1034 // MC_LATENCY_ALLOWANCE_PVA0_1_0
#define MC656_FIRST_REG 0x037c // MC_LATENCY_ALLOWANCE_XUSB_0_0
#define MC656_LAST_REG 0x037c // MC_LATENCY_ALLOWANCE_XUSB_0_0
#define MC657_FIRST_REG 0x1a34 // MC_LATENCY_ALLOWANCE_MIU4_0_0
#define MC657_LAST_REG 0x1a34 // MC_LATENCY_ALLOWANCE_MIU4_0_0
#define MC658_FIRST_REG 0x03f0 // MC_LATENCY_ALLOWANCE_TSECB_0_0
#define MC658_LAST_REG 0x03f0 // MC_LATENCY_ALLOWANCE_TSECB_0_0
#define MC659_FIRST_REG 0x071c // MC_LATENCY_ALLOWANCE_SCE_0_0
#define MC659_LAST_REG 0x071c // MC_LATENCY_ALLOWANCE_SCE_0_0
#define MC660_FIRST_REG 0x03dc // MC_LATENCY_ALLOWANCE_APE_0_0
#define MC660_LAST_REG 0x03dc // MC_LATENCY_ALLOWANCE_APE_0_0
#define MC661_FIRST_REG 0x1048 // MC_LATENCY_ALLOWANCE_RCE_0_0
#define MC661_LAST_REG 0x1048 // MC_LATENCY_ALLOWANCE_RCE_0_0
#define MC662_FIRST_REG 0x1030 // MC_LATENCY_ALLOWANCE_PVA0_0_0
#define MC662_LAST_REG 0x1030 // MC_LATENCY_ALLOWANCE_PVA0_0_0
#define MC663_FIRST_REG 0x03ec // MC_LATENCY_ALLOWANCE_ETR_0_0
#define MC663_LAST_REG 0x03ec // MC_LATENCY_ALLOWANCE_ETR_0_0
#define MC664_FIRST_REG 0x1a10 // MC_LATENCY_ALLOWANCE_PCIE5_0_0
#define MC664_LAST_REG 0x1a10 // MC_LATENCY_ALLOWANCE_PCIE5_0_0
#define MC665_FIRST_REG 0x03f8 // MC_LATENCY_ALLOWANCE_AXIS_0_0
#define MC665_LAST_REG 0x03f8 // MC_LATENCY_ALLOWANCE_AXIS_0_0
#define MC666_FIRST_REG 0x0328 // MC_LATENCY_ALLOWANCE_NVENC_0_0
#define MC666_LAST_REG 0x0328 // MC_LATENCY_ALLOWANCE_NVENC_0_0
#define MC667_FIRST_REG 0x1a3c // MC_LATENCY_ALLOWANCE_MIU6_0_0
#define MC667_LAST_REG 0x1a3c // MC_LATENCY_ALLOWANCE_MIU6_0_0
#define MC668_FIRST_REG 0x1a24 // MC_LATENCY_ALLOWANCE_PCIE5_1_0
#define MC668_LAST_REG 0x1a24 // MC_LATENCY_ALLOWANCE_PCIE5_1_0
#define MC669_FIRST_REG 0x0968 // MC_EMEM_ARB_OVERRIDE_1_0
#define MC669_LAST_REG 0x0968 // MC_EMEM_ARB_OVERRIDE_1_0
#define MC670_FIRST_REG 0x0984 // MC_VIDEO_PROTECT_GPU_OVERRIDE_0_0
#define MC670_LAST_REG 0x0988 // MC_VIDEO_PROTECT_GPU_OVERRIDE_1_0
#define MC671_FIRST_REG 0x0990 // MC_EMEM_ARB_STATS_0_0
#define MC671_LAST_REG 0x0994 // MC_EMEM_ARB_STATS_1_0
#define MC672_FIRST_REG 0x09a0 // MC_MTS_CARVEOUT_BOM_0
#define MC672_LAST_REG 0x09b4 // MC_ERR_MTS_ADR_0
#define MC673_FIRST_REG 0x1918 // MC_MTS_CARVEOUT_CLIENT_ACCESS6_0
#define MC673_LAST_REG 0x1918 // MC_MTS_CARVEOUT_CLIENT_ACCESS6_0
#define MC674_FIRST_REG 0x1910 // MC_MTS_CARVEOUT_CLIENT_ACCESS4_0
#define MC674_LAST_REG 0x1910 // MC_MTS_CARVEOUT_CLIENT_ACCESS4_0
#define MC675_FIRST_REG 0x1904 // MC_MTS_CARVEOUT_CLIENT_ACCESS1_0
#define MC675_LAST_REG 0x1904 // MC_MTS_CARVEOUT_CLIENT_ACCESS1_0
#define MC676_FIRST_REG 0x1914 // MC_MTS_CARVEOUT_CLIENT_ACCESS5_0
#define MC676_LAST_REG 0x1914 // MC_MTS_CARVEOUT_CLIENT_ACCESS5_0
#define MC677_FIRST_REG 0x1900 // MC_MTS_CARVEOUT_CLIENT_ACCESS0_0
#define MC677_LAST_REG 0x1900 // MC_MTS_CARVEOUT_CLIENT_ACCESS0_0
#define MC678_FIRST_REG 0x191c // MC_MTS_CARVEOUT_CLIENT_ACCESS7_0
#define MC678_LAST_REG 0x191c // MC_MTS_CARVEOUT_CLIENT_ACCESS7_0
#define MC679_FIRST_REG 0x190c // MC_MTS_CARVEOUT_CLIENT_ACCESS3_0
#define MC679_LAST_REG 0x190c // MC_MTS_CARVEOUT_CLIENT_ACCESS3_0
#define MC680_FIRST_REG 0x1908 // MC_MTS_CARVEOUT_CLIENT_ACCESS2_0
#define MC680_LAST_REG 0x1908 // MC_MTS_CARVEOUT_CLIENT_ACCESS2_0
#define MC681_FIRST_REG 0x09c0 // MC_ERR_ROUTE_SANITY_STATUS_0
#define MC681_LAST_REG 0x09cc // MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT_REG_CTRL_0
#define MC682_FIRST_REG 0x09d8 // MC_IGPU_WPR_ACCESS_CTRL_0
#define MC682_LAST_REG 0x09d8 // MC_IGPU_WPR_ACCESS_CTRL_0
#define MC683_FIRST_REG 0x0560 // MC_IGPU_ACCESSIBLE_CARVEOUT1_BOM_0
#define MC683_LAST_REG 0x056c // MC_IGPU_ACCESSIBLE_CARVEOUT2_SIZE_0
#define MC684_FIRST_REG 0x05a0 // MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT1_BOM_0
#define MC684_LAST_REG 0x05ac // MC_REMOTE_DEV_ACCESSIBLE_CARVEOUT2_SIZE_0
#define MC685_FIRST_REG 0x2b0c // MC_ECC_REGION0_SIZE_0
#define MC685_LAST_REG 0x2b0c // MC_ECC_REGION0_SIZE_0
#define MC686_FIRST_REG 0x2b00 // MC_ECC_REGION0_CFG0_0
#define MC686_LAST_REG 0x2b00 // MC_ECC_REGION0_CFG0_0
#define MC687_FIRST_REG 0x2b34 // MC_ECC_REGION3_BOM_0
#define MC687_LAST_REG 0x2b34 // MC_ECC_REGION3_BOM_0
#define MC688_FIRST_REG 0x2b24 // MC_ECC_REGION2_BOM_0
#define MC688_LAST_REG 0x2b24 // MC_ECC_REGION2_BOM_0
#define MC689_FIRST_REG 0x2b1c // MC_ECC_REGION1_SIZE_0
#define MC689_LAST_REG 0x2b1c // MC_ECC_REGION1_SIZE_0
#define MC690_FIRST_REG 0x2b14 // MC_ECC_REGION1_BOM_0
#define MC690_LAST_REG 0x2b14 // MC_ECC_REGION1_BOM_0
#define MC691_FIRST_REG 0x2b20 // MC_ECC_REGION2_CFG0_0
#define MC691_LAST_REG 0x2b20 // MC_ECC_REGION2_CFG0_0
#define MC692_FIRST_REG 0x2b38 // MC_ECC_REGION3_BOM_HI_0
#define MC692_LAST_REG 0x2b38 // MC_ECC_REGION3_BOM_HI_0
#define MC693_FIRST_REG 0x2b18 // MC_ECC_REGION1_BOM_HI_0
#define MC693_LAST_REG 0x2b18 // MC_ECC_REGION1_BOM_HI_0
#define MC694_FIRST_REG 0x2b10 // MC_ECC_REGION1_CFG0_0
#define MC694_LAST_REG 0x2b10 // MC_ECC_REGION1_CFG0_0
#define MC695_FIRST_REG 0x2b08 // MC_ECC_REGION0_BOM_HI_0
#define MC695_LAST_REG 0x2b08 // MC_ECC_REGION0_BOM_HI_0
#define MC696_FIRST_REG 0x2b2c // MC_ECC_REGION2_SIZE_0
#define MC696_LAST_REG 0x2b30 // MC_ECC_REGION3_CFG0_0
#define MC697_FIRST_REG 0x2b28 // MC_ECC_REGION2_BOM_HI_0
#define MC697_LAST_REG 0x2b28 // MC_ECC_REGION2_BOM_HI_0
#define MC698_FIRST_REG 0x2b04 // MC_ECC_REGION0_BOM_0
#define MC698_LAST_REG 0x2b04 // MC_ECC_REGION0_BOM_0
#define MC699_FIRST_REG 0x2b3c // MC_ECC_REGION3_SIZE_0
#define MC699_LAST_REG 0x2b3c // MC_ECC_REGION3_SIZE_0
#define MC700_FIRST_REG 0x0bfc // MC_ERR_GENERALIZED_CARVEOUT_STATUS_1_0
#define MC700_LAST_REG 0x0c04 // MC_ERR_GENERALIZED_CARVEOUT_ADR_0
#define MC701_FIRST_REG 0x0d78 // MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC701_LAST_REG 0x0d78 // MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC702_FIRST_REG 0x0c48 // MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0
#define MC702_LAST_REG 0x0c48 // MC_SECURITY_CARVEOUT1_CLIENT_ACCESS6_0
#define MC703_FIRST_REG 0x0c44 // MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC703_LAST_REG 0x0c44 // MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC704_FIRST_REG 0x0ca4 // MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC704_LAST_REG 0x0ca4 // MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC705_FIRST_REG 0x0cf8 // MC_SECURITY_CARVEOUT4_CFG0_0
#define MC705_LAST_REG 0x0cf8 // MC_SECURITY_CARVEOUT4_CFG0_0
#define MC706_FIRST_REG 0x0d90 // MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC706_LAST_REG 0x0d90 // MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC707_FIRST_REG 0x0d10 // MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0
#define MC707_LAST_REG 0x0d10 // MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2_0
#define MC708_FIRST_REG 0x0d04 // MC_SECURITY_CARVEOUT4_SIZE_128KB_0
#define MC708_LAST_REG 0x0d04 // MC_SECURITY_CARVEOUT4_SIZE_128KB_0
#define MC709_FIRST_REG 0x0c28 // MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0
#define MC709_LAST_REG 0x0c28 // MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4_0
#define MC710_FIRST_REG 0x0c34 // MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC710_LAST_REG 0x0c34 // MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC711_FIRST_REG 0x0c90 // MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC711_LAST_REG 0x0c90 // MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC712_FIRST_REG 0x0d20 // MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC712_LAST_REG 0x0d20 // MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC713_FIRST_REG 0x0d74 // MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC713_LAST_REG 0x0d74 // MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC714_FIRST_REG 0x0c2c // MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5_0
#define MC714_LAST_REG 0x0c30 // MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC715_FIRST_REG 0x0d8c // MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0
#define MC715_LAST_REG 0x0d8c // MC_SECURITY_CARVEOUT5_CLIENT_ACCESS7_0
#define MC716_FIRST_REG 0x0d80 // MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC716_LAST_REG 0x0d80 // MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC717_FIRST_REG 0x0ccc // MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0
#define MC717_LAST_REG 0x0ccc // MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5_0
#define MC718_FIRST_REG 0x0cb4 // MC_SECURITY_CARVEOUT3_SIZE_128KB_0
#define MC718_LAST_REG 0x0cb4 // MC_SECURITY_CARVEOUT3_SIZE_128KB_0
#define MC719_FIRST_REG 0x0c58 // MC_SECURITY_CARVEOUT2_CFG0_0
#define MC719_LAST_REG 0x0c58 // MC_SECURITY_CARVEOUT2_CFG0_0
#define MC720_FIRST_REG 0x0c08 // MC_SECURITY_CARVEOUT1_CFG0_0
#define MC720_LAST_REG 0x0c08 // MC_SECURITY_CARVEOUT1_CFG0_0
#define MC721_FIRST_REG 0x0c88 // MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC721_LAST_REG 0x0c88 // MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC722_FIRST_REG 0x0c68 // MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0
#define MC722_LAST_REG 0x0c68 // MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0_0
#define MC723_FIRST_REG 0x0c4c // MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0
#define MC723_LAST_REG 0x0c4c // MC_SECURITY_CARVEOUT1_CLIENT_ACCESS7_0
#define MC724_FIRST_REG 0x0cac // MC_SECURITY_CARVEOUT3_BOM_0
#define MC724_LAST_REG 0x0cac // MC_SECURITY_CARVEOUT3_BOM_0
#define MC725_FIRST_REG 0x0c70 // MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0
#define MC725_LAST_REG 0x0c70 // MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2_0
#define MC726_FIRST_REG 0x0d84 // MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC726_LAST_REG 0x0d84 // MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC727_FIRST_REG 0x0d40 // MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC727_LAST_REG 0x0d40 // MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC728_FIRST_REG 0x0d7c // MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC728_LAST_REG 0x0d7c // MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC729_FIRST_REG 0x0c80 // MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC729_LAST_REG 0x0c80 // MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC730_FIRST_REG 0x0d18 // MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0
#define MC730_LAST_REG 0x0d18 // MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4_0
#define MC731_FIRST_REG 0x0cf0 // MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC731_LAST_REG 0x0cf0 // MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC732_FIRST_REG 0x0ce8 // MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0
#define MC732_LAST_REG 0x0ce8 // MC_SECURITY_CARVEOUT3_CLIENT_ACCESS6_0
#define MC733_FIRST_REG 0x0d1c // MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0
#define MC733_LAST_REG 0x0d1c // MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5_0
#define MC734_FIRST_REG 0x0cbc // MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0
#define MC734_LAST_REG 0x0cbc // MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1_0
#define MC735_FIRST_REG 0x0c3c // MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC735_LAST_REG 0x0c3c // MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC736_FIRST_REG 0x0c38 // MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC736_LAST_REG 0x0c38 // MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC737_FIRST_REG 0x0cc0 // MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0
#define MC737_LAST_REG 0x0cc0 // MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2_0
#define MC738_FIRST_REG 0x0d60 // MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0
#define MC738_LAST_REG 0x0d60 // MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2_0
#define MC739_FIRST_REG 0x0ca0 // MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC739_LAST_REG 0x0ca0 // MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC740_FIRST_REG 0x0c54 // MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC740_LAST_REG 0x0c54 // MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC741_FIRST_REG 0x0ca8 // MC_SECURITY_CARVEOUT3_CFG0_0
#define MC741_LAST_REG 0x0ca8 // MC_SECURITY_CARVEOUT3_CFG0_0
#define MC742_FIRST_REG 0x0cb8 // MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0
#define MC742_LAST_REG 0x0cb8 // MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0_0
#define MC743_FIRST_REG 0x0c8c // MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC743_LAST_REG 0x0c8c // MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC744_FIRST_REG 0x0c64 // MC_SECURITY_CARVEOUT2_SIZE_128KB_0
#define MC744_LAST_REG 0x0c64 // MC_SECURITY_CARVEOUT2_SIZE_128KB_0
#define MC745_FIRST_REG 0x0cec // MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0
#define MC745_LAST_REG 0x0cec // MC_SECURITY_CARVEOUT3_CLIENT_ACCESS7_0
#define MC746_FIRST_REG 0x0d50 // MC_SECURITY_CARVEOUT5_BOM_HI_0
#define MC746_LAST_REG 0x0d50 // MC_SECURITY_CARVEOUT5_BOM_HI_0
#define MC747_FIRST_REG 0x0c14 // MC_SECURITY_CARVEOUT1_SIZE_128KB_0
#define MC747_LAST_REG 0x0c14 // MC_SECURITY_CARVEOUT1_SIZE_128KB_0
#define MC748_FIRST_REG 0x0d14 // MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0
#define MC748_LAST_REG 0x0d14 // MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3_0
#define MC749_FIRST_REG 0x0d94 // MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC749_LAST_REG 0x0d94 // MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC750_FIRST_REG 0x0c0c // MC_SECURITY_CARVEOUT1_BOM_0
#define MC750_LAST_REG 0x0c0c // MC_SECURITY_CARVEOUT1_BOM_0
#define MC751_FIRST_REG 0x0d3c // MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0
#define MC751_LAST_REG 0x0d3c // MC_SECURITY_CARVEOUT4_CLIENT_ACCESS7_0
#define MC752_FIRST_REG 0x0d30 // MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC752_LAST_REG 0x0d30 // MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC753_FIRST_REG 0x0d44 // MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC753_LAST_REG 0x0d44 // MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC754_FIRST_REG 0x0d68 // MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0
#define MC754_LAST_REG 0x0d68 // MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4_0
#define MC755_FIRST_REG 0x0d38 // MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0
#define MC755_LAST_REG 0x0d38 // MC_SECURITY_CARVEOUT4_CLIENT_ACCESS6_0
#define MC756_FIRST_REG 0x0d58 // MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0
#define MC756_LAST_REG 0x0d58 // MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0_0
#define MC757_FIRST_REG 0x0cc8 // MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0
#define MC757_LAST_REG 0x0cc8 // MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4_0
#define MC758_FIRST_REG 0x0ce4 // MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC758_LAST_REG 0x0ce4 // MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC759_FIRST_REG 0x0d28 // MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC759_LAST_REG 0x0d28 // MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC760_FIRST_REG 0x0cc4 // MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0
#define MC760_LAST_REG 0x0cc4 // MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3_0
#define MC761_FIRST_REG 0x0c78 // MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0
#define MC761_LAST_REG 0x0c78 // MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4_0
#define MC762_FIRST_REG 0x0c9c // MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0
#define MC762_LAST_REG 0x0c9c // MC_SECURITY_CARVEOUT2_CLIENT_ACCESS7_0
#define MC763_FIRST_REG 0x0cf4 // MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC763_LAST_REG 0x0cf4 // MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC764_FIRST_REG 0x0c1c // MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0
#define MC764_LAST_REG 0x0c1c // MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1_0
#define MC765_FIRST_REG 0x0d88 // MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0
#define MC765_LAST_REG 0x0d88 // MC_SECURITY_CARVEOUT5_CLIENT_ACCESS6_0
#define MC766_FIRST_REG 0x0c18 // MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0
#define MC766_LAST_REG 0x0c18 // MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0_0
#define MC767_FIRST_REG 0x0d5c // MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0
#define MC767_LAST_REG 0x0d5c // MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1_0
#define MC768_FIRST_REG 0x0d2c // MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC768_LAST_REG 0x0d2c // MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC769_FIRST_REG 0x0cb0 // MC_SECURITY_CARVEOUT3_BOM_HI_0
#define MC769_LAST_REG 0x0cb0 // MC_SECURITY_CARVEOUT3_BOM_HI_0
#define MC770_FIRST_REG 0x0cdc // MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC770_LAST_REG 0x0cdc // MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC771_FIRST_REG 0x0c60 // MC_SECURITY_CARVEOUT2_BOM_HI_0
#define MC771_LAST_REG 0x0c60 // MC_SECURITY_CARVEOUT2_BOM_HI_0
#define MC772_FIRST_REG 0x0d00 // MC_SECURITY_CARVEOUT4_BOM_HI_0
#define MC772_LAST_REG 0x0d00 // MC_SECURITY_CARVEOUT4_BOM_HI_0
#define MC773_FIRST_REG 0x0d64 // MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0
#define MC773_LAST_REG 0x0d64 // MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3_0
#define MC774_FIRST_REG 0x0ce0 // MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC774_LAST_REG 0x0ce0 // MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC775_FIRST_REG 0x0c84 // MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC775_LAST_REG 0x0c84 // MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC776_FIRST_REG 0x0d54 // MC_SECURITY_CARVEOUT5_SIZE_128KB_0
#define MC776_LAST_REG 0x0d54 // MC_SECURITY_CARVEOUT5_SIZE_128KB_0
#define MC777_FIRST_REG 0x0c94 // MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC777_LAST_REG 0x0c94 // MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC778_FIRST_REG 0x0d24 // MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC778_LAST_REG 0x0d24 // MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC779_FIRST_REG 0x0cd8 // MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC779_LAST_REG 0x0cd8 // MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC780_FIRST_REG 0x0d0c // MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0
#define MC780_LAST_REG 0x0d0c // MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1_0
#define MC781_FIRST_REG 0x0d6c // MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0
#define MC781_LAST_REG 0x0d6c // MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5_0
#define MC782_FIRST_REG 0x0c74 // MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0
#define MC782_LAST_REG 0x0c74 // MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3_0
#define MC783_FIRST_REG 0x0d48 // MC_SECURITY_CARVEOUT5_CFG0_0
#define MC783_LAST_REG 0x0d48 // MC_SECURITY_CARVEOUT5_CFG0_0
#define MC784_FIRST_REG 0x0cd0 // MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC784_LAST_REG 0x0cd0 // MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC785_FIRST_REG 0x0cfc // MC_SECURITY_CARVEOUT4_BOM_0
#define MC785_LAST_REG 0x0cfc // MC_SECURITY_CARVEOUT4_BOM_0
#define MC786_FIRST_REG 0x0c50 // MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC786_LAST_REG 0x0c50 // MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC787_FIRST_REG 0x0c5c // MC_SECURITY_CARVEOUT2_BOM_0
#define MC787_LAST_REG 0x0c5c // MC_SECURITY_CARVEOUT2_BOM_0
#define MC788_FIRST_REG 0x0d4c // MC_SECURITY_CARVEOUT5_BOM_0
#define MC788_LAST_REG 0x0d4c // MC_SECURITY_CARVEOUT5_BOM_0
#define MC789_FIRST_REG 0x0c24 // MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0
#define MC789_LAST_REG 0x0c24 // MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3_0
#define MC790_FIRST_REG 0x0d70 // MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC790_LAST_REG 0x0d70 // MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC791_FIRST_REG 0x0c7c // MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0
#define MC791_LAST_REG 0x0c7c // MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5_0
#define MC792_FIRST_REG 0x0cd4 // MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC792_LAST_REG 0x0cd4 // MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC793_FIRST_REG 0x0c10 // MC_SECURITY_CARVEOUT1_BOM_HI_0
#define MC793_LAST_REG 0x0c10 // MC_SECURITY_CARVEOUT1_BOM_HI_0
#define MC794_FIRST_REG 0x0d34 // MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC794_LAST_REG 0x0d34 // MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC795_FIRST_REG 0x0c98 // MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0
#define MC795_LAST_REG 0x0c98 // MC_SECURITY_CARVEOUT2_CLIENT_ACCESS6_0
#define MC796_FIRST_REG 0x0c20 // MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0
#define MC796_LAST_REG 0x0c20 // MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2_0
#define MC797_FIRST_REG 0x0c40 // MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC797_LAST_REG 0x0c40 // MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC798_FIRST_REG 0x0d08 // MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0
#define MC798_LAST_REG 0x0d08 // MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0_0
#define MC799_FIRST_REG 0x0c6c // MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0
#define MC799_LAST_REG 0x0c6c // MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1_0
#define MC800_FIRST_REG 0x225c // MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC800_LAST_REG 0x225c // MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC801_FIRST_REG 0x21c4 // MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC801_LAST_REG 0x21c4 // MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC802_FIRST_REG 0x252c // MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC802_LAST_REG 0x252c // MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC803_FIRST_REG 0x21e0 // MC_SECURITY_CARVEOUT12_CFG0_0
#define MC803_LAST_REG 0x21e0 // MC_SECURITY_CARVEOUT12_CFG0_0
#define MC804_FIRST_REG 0x26d4 // MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0
#define MC804_LAST_REG 0x26d4 // MC_SECURITY_CARVEOUT27_CLIENT_ACCESS7_0
#define MC805_FIRST_REG 0x208c // MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC805_LAST_REG 0x208c // MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC806_FIRST_REG 0x265c // MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0
#define MC806_LAST_REG 0x265c // MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3_0
#define MC807_FIRST_REG 0x20f8 // MC_SECURITY_CARVEOUT9_BOM_HI_0
#define MC807_LAST_REG 0x20f8 // MC_SECURITY_CARVEOUT9_BOM_HI_0
#define MC808_FIRST_REG 0x24a0 // MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0
#define MC808_LAST_REG 0x24a0 // MC_SECURITY_CARVEOUT20_CLIENT_ACCESS6_0
#define MC809_FIRST_REG 0x2090 // MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0
#define MC809_LAST_REG 0x2090 // MC_SECURITY_CARVEOUT7_CLIENT_ACCESS6_0
#define MC810_FIRST_REG 0x2770 // MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0
#define MC810_LAST_REG 0x2770 // MC_SECURITY_CARVEOUT29_CLIENT_ACCESS6_0
#define MC811_FIRST_REG 0x2170 // MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC811_LAST_REG 0x2170 // MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC812_FIRST_REG 0x2208 // MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC812_LAST_REG 0x2208 // MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC813_FIRST_REG 0x2678 // MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC813_LAST_REG 0x2678 // MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC814_FIRST_REG 0x2488 // MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC814_LAST_REG 0x2488 // MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC815_FIRST_REG 0x24ec // MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC815_LAST_REG 0x24ec // MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC816_FIRST_REG 0x2184 // MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0
#define MC816_LAST_REG 0x2184 // MC_SECURITY_CARVEOUT10_CLIENT_ACCESS7_0
#define MC817_FIRST_REG 0x22d0 // MC_SECURITY_CARVEOUT15_CFG0_0
#define MC817_LAST_REG 0x22d0 // MC_SECURITY_CARVEOUT15_CFG0_0
#define MC818_FIRST_REG 0x23d4 // MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0
#define MC818_LAST_REG 0x23d4 // MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1_0
#define MC819_FIRST_REG 0x205c // MC_SECURITY_CARVEOUT7_SIZE_128KB_0
#define MC819_LAST_REG 0x205c // MC_SECURITY_CARVEOUT7_SIZE_128KB_0
#define MC820_FIRST_REG 0x26dc // MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC820_LAST_REG 0x26dc // MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC821_FIRST_REG 0x2490 // MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC821_LAST_REG 0x2490 // MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC822_FIRST_REG 0x2380 // MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0
#define MC822_LAST_REG 0x2380 // MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0_0
#define MC823_FIRST_REG 0x23ac // MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC823_LAST_REG 0x23ac // MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC824_FIRST_REG 0x20c0 // MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0
#define MC824_LAST_REG 0x20c0 // MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4_0
#define MC825_FIRST_REG 0x22e8 // MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0
#define MC825_LAST_REG 0x22e8 // MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2_0
#define MC826_FIRST_REG 0x2320 // MC_SECURITY_CARVEOUT16_CFG0_0
#define MC826_LAST_REG 0x2320 // MC_SECURITY_CARVEOUT16_CFG0_0
#define MC827_FIRST_REG 0x20f4 // MC_SECURITY_CARVEOUT9_BOM_0
#define MC827_LAST_REG 0x20f4 // MC_SECURITY_CARVEOUT9_BOM_0
#define MC828_FIRST_REG 0x22b4 // MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC828_LAST_REG 0x22b4 // MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC829_FIRST_REG 0x2254 // MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0
#define MC829_LAST_REG 0x2254 // MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5_0
#define MC830_FIRST_REG 0x2078 // MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC830_LAST_REG 0x2078 // MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC831_FIRST_REG 0x25cc // MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC831_LAST_REG 0x25cc // MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC832_FIRST_REG 0x2508 // MC_SECURITY_CARVEOUT22_BOM_HI_0
#define MC832_LAST_REG 0x2508 // MC_SECURITY_CARVEOUT22_BOM_HI_0
#define MC833_FIRST_REG 0x2354 // MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC833_LAST_REG 0x2354 // MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC834_FIRST_REG 0x2484 // MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0
#define MC834_LAST_REG 0x2484 // MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5_0
#define MC835_FIRST_REG 0x23dc // MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0
#define MC835_LAST_REG 0x23dc // MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3_0
#define MC836_FIRST_REG 0x2210 // MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC836_LAST_REG 0x2210 // MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC837_FIRST_REG 0x2438 // MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC837_LAST_REG 0x2438 // MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC838_FIRST_REG 0x2720 // MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0
#define MC838_LAST_REG 0x2720 // MC_SECURITY_CARVEOUT28_CLIENT_ACCESS6_0
#define MC839_FIRST_REG 0x2290 // MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0
#define MC839_LAST_REG 0x2290 // MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0_0
#define MC840_FIRST_REG 0x2138 // MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC840_LAST_REG 0x2138 // MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC841_FIRST_REG 0x20ac // MC_SECURITY_CARVEOUT8_SIZE_128KB_0
#define MC841_LAST_REG 0x20ac // MC_SECURITY_CARVEOUT8_SIZE_128KB_0
#define MC842_FIRST_REG 0x260c // MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0
#define MC842_LAST_REG 0x260c // MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3_0
#define MC843_FIRST_REG 0x25b4 // MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0
#define MC843_LAST_REG 0x25b4 // MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1_0
#define MC844_FIRST_REG 0x2534 // MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC844_LAST_REG 0x2534 // MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC845_FIRST_REG 0x2668 // MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC845_LAST_REG 0x2668 // MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC846_FIRST_REG 0x2798 // MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0
#define MC846_LAST_REG 0x2798 // MC_SECURITY_CARVEOUT30_CLIENT_ACCESS2_0
#define MC847_FIRST_REG 0x206c // MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0
#define MC847_LAST_REG 0x206c // MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3_0
#define MC848_FIRST_REG 0x26a8 // MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0
#define MC848_LAST_REG 0x26a8 // MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2_0
#define MC849_FIRST_REG 0x26c4 // MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC849_LAST_REG 0x26c4 // MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC850_FIRST_REG 0x2430 // MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0
#define MC850_LAST_REG 0x2430 // MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4_0
#define MC851_FIRST_REG 0x218c // MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC851_LAST_REG 0x218c // MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC852_FIRST_REG 0x2020 // MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0
#define MC852_LAST_REG 0x2020 // MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4_0
#define MC853_FIRST_REG 0x2394 // MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0
#define MC853_LAST_REG 0x2394 // MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5_0
#define MC854_FIRST_REG 0x2180 // MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0
#define MC854_LAST_REG 0x2180 // MC_SECURITY_CARVEOUT10_CLIENT_ACCESS6_0
#define MC855_FIRST_REG 0x20dc // MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC855_LAST_REG 0x20dc // MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC856_FIRST_REG 0x23fc // MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC856_LAST_REG 0x23fc // MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC857_FIRST_REG 0x25e8 // MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC857_LAST_REG 0x25e8 // MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC858_FIRST_REG 0x21ac // MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0
#define MC858_LAST_REG 0x21ac // MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3_0
#define MC859_FIRST_REG 0x2054 // MC_SECURITY_CARVEOUT7_BOM_0
#define MC859_LAST_REG 0x2054 // MC_SECURITY_CARVEOUT7_BOM_0
#define MC860_FIRST_REG 0x2714 // MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC860_LAST_REG 0x2714 // MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC861_FIRST_REG 0x2060 // MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0
#define MC861_LAST_REG 0x2060 // MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0_0
#define MC862_FIRST_REG 0x2624 // MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC862_LAST_REG 0x2624 // MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC863_FIRST_REG 0x20c8 // MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC863_LAST_REG 0x20c8 // MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC864_FIRST_REG 0x24cc // MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0
#define MC864_LAST_REG 0x24cc // MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3_0
#define MC865_FIRST_REG 0x2300 // MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC865_LAST_REG 0x2300 // MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC866_FIRST_REG 0x2370 // MC_SECURITY_CARVEOUT17_CFG0_0
#define MC866_LAST_REG 0x2370 // MC_SECURITY_CARVEOUT17_CFG0_0
#define MC867_FIRST_REG 0x22a4 // MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0
#define MC867_LAST_REG 0x22a4 // MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5_0
#define MC868_FIRST_REG 0x2088 // MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC868_LAST_REG 0x2088 // MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC869_FIRST_REG 0x273c // MC_SECURITY_CARVEOUT29_SIZE_128KB_0
#define MC869_LAST_REG 0x273c // MC_SECURITY_CARVEOUT29_SIZE_128KB_0
#define MC870_FIRST_REG 0x274c // MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0
#define MC870_LAST_REG 0x274c // MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3_0
#define MC871_FIRST_REG 0x2674 // MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC871_LAST_REG 0x2674 // MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC872_FIRST_REG 0x2690 // MC_SECURITY_CARVEOUT27_CFG0_0
#define MC872_LAST_REG 0x2690 // MC_SECURITY_CARVEOUT27_CFG0_0
#define MC873_FIRST_REG 0x263c // MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC873_LAST_REG 0x263c // MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC874_FIRST_REG 0x232c // MC_SECURITY_CARVEOUT16_SIZE_128KB_0
#define MC874_LAST_REG 0x232c // MC_SECURITY_CARVEOUT16_SIZE_128KB_0
#define MC875_FIRST_REG 0x2810 // MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0
#define MC875_LAST_REG 0x2810 // MC_SECURITY_CARVEOUT31_CLIENT_ACCESS6_0
#define MC876_FIRST_REG 0x207c // MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC876_LAST_REG 0x207c // MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC877_FIRST_REG 0x27cc // MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC877_LAST_REG 0x27cc // MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC878_FIRST_REG 0x22ec // MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0
#define MC878_LAST_REG 0x22ec // MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3_0
#define MC879_FIRST_REG 0x261c // MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC879_LAST_REG 0x261c // MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC880_FIRST_REG 0x25b0 // MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0
#define MC880_LAST_REG 0x25b0 // MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0_0
#define MC881_FIRST_REG 0x23c4 // MC_SECURITY_CARVEOUT18_BOM_0
#define MC881_LAST_REG 0x23c4 // MC_SECURITY_CARVEOUT18_BOM_0
#define MC882_FIRST_REG 0x2528 // MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC882_LAST_REG 0x2528 // MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC883_FIRST_REG 0x248c // MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC883_LAST_REG 0x248c // MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC884_FIRST_REG 0x23b8 // MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC884_LAST_REG 0x23b8 // MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC885_FIRST_REG 0x2510 // MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0
#define MC885_LAST_REG 0x2510 // MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0_0
#define MC886_FIRST_REG 0x2214 // MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC886_LAST_REG 0x2214 // MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC887_FIRST_REG 0x21a8 // MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0
#define MC887_LAST_REG 0x21a8 // MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2_0
#define MC888_FIRST_REG 0x2604 // MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0
#define MC888_LAST_REG 0x2604 // MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1_0
#define MC889_FIRST_REG 0x2340 // MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0
#define MC889_LAST_REG 0x2340 // MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4_0
#define MC890_FIRST_REG 0x2274 // MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0
#define MC890_LAST_REG 0x2274 // MC_SECURITY_CARVEOUT13_CLIENT_ACCESS7_0
#define MC891_FIRST_REG 0x2730 // MC_SECURITY_CARVEOUT29_CFG0_0
#define MC891_LAST_REG 0x2730 // MC_SECURITY_CARVEOUT29_CFG0_0
#define MC892_FIRST_REG 0x27a8 // MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC892_LAST_REG 0x27a8 // MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC893_FIRST_REG 0x2048 // MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC893_LAST_REG 0x2048 // MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC894_FIRST_REG 0x22b8 // MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC894_LAST_REG 0x22b8 // MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC895_FIRST_REG 0x21fc // MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0
#define MC895_LAST_REG 0x21fc // MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3_0
#define MC896_FIRST_REG 0x2190 // MC_SECURITY_CARVEOUT11_CFG0_0
#define MC896_LAST_REG 0x2190 // MC_SECURITY_CARVEOUT11_CFG0_0
#define MC897_FIRST_REG 0x2764 // MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC897_LAST_REG 0x2764 // MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC898_FIRST_REG 0x20a0 // MC_SECURITY_CARVEOUT8_CFG0_0
#define MC898_LAST_REG 0x20a0 // MC_SECURITY_CARVEOUT8_CFG0_0
#define MC899_FIRST_REG 0x2580 // MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC899_LAST_REG 0x2580 // MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC900_FIRST_REG 0x2164 // MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0
#define MC900_LAST_REG 0x2164 // MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5_0
#define MC901_FIRST_REG 0x2480 // MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0
#define MC901_LAST_REG 0x2480 // MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4_0
#define MC902_FIRST_REG 0x2538 // MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC902_LAST_REG 0x2538 // MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC903_FIRST_REG 0x2434 // MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0
#define MC903_LAST_REG 0x2434 // MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5_0
#define MC904_FIRST_REG 0x2350 // MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC904_LAST_REG 0x2350 // MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC905_FIRST_REG 0x24e8 // MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC905_LAST_REG 0x24e8 // MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC906_FIRST_REG 0x21b4 // MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0
#define MC906_LAST_REG 0x21b4 // MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5_0
#define MC907_FIRST_REG 0x23e0 // MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0
#define MC907_LAST_REG 0x23e0 // MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4_0
#define MC908_FIRST_REG 0x2334 // MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0
#define MC908_LAST_REG 0x2334 // MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1_0
#define MC909_FIRST_REG 0x26e4 // MC_SECURITY_CARVEOUT28_BOM_0
#define MC909_LAST_REG 0x26e4 // MC_SECURITY_CARVEOUT28_BOM_0
#define MC910_FIRST_REG 0x2630 // MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0
#define MC910_LAST_REG 0x2630 // MC_SECURITY_CARVEOUT25_CLIENT_ACCESS6_0
#define MC911_FIRST_REG 0x20b4 // MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0
#define MC911_LAST_REG 0x20b4 // MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1_0
#define MC912_FIRST_REG 0x22d4 // MC_SECURITY_CARVEOUT15_BOM_0
#define MC912_LAST_REG 0x22d4 // MC_SECURITY_CARVEOUT15_BOM_0
#define MC913_FIRST_REG 0x2004 // MC_SECURITY_CARVEOUT6_BOM_0
#define MC913_LAST_REG 0x2004 // MC_SECURITY_CARVEOUT6_BOM_0
#define MC914_FIRST_REG 0x26ac // MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0
#define MC914_LAST_REG 0x26ac // MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3_0
#define MC915_FIRST_REG 0x26c0 // MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC915_LAST_REG 0x26c0 // MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC916_FIRST_REG 0x201c // MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0
#define MC916_LAST_REG 0x201c // MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3_0
#define MC917_FIRST_REG 0x2144 // MC_SECURITY_CARVEOUT10_BOM_0
#define MC917_LAST_REG 0x2144 // MC_SECURITY_CARVEOUT10_BOM_0
#define MC918_FIRST_REG 0x2710 // MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC918_LAST_REG 0x2710 // MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC919_FIRST_REG 0x2738 // MC_SECURITY_CARVEOUT29_BOM_HI_0
#define MC919_LAST_REG 0x2738 // MC_SECURITY_CARVEOUT29_BOM_HI_0
#define MC920_FIRST_REG 0x2150 // MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0
#define MC920_LAST_REG 0x2150 // MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0_0
#define MC921_FIRST_REG 0x2724 // MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0
#define MC921_LAST_REG 0x2724 // MC_SECURITY_CARVEOUT28_CLIENT_ACCESS7_0
#define MC922_FIRST_REG 0x2594 // MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0
#define MC922_LAST_REG 0x2594 // MC_SECURITY_CARVEOUT23_CLIENT_ACCESS7_0
#define MC923_FIRST_REG 0x2058 // MC_SECURITY_CARVEOUT7_BOM_HI_0
#define MC923_LAST_REG 0x2058 // MC_SECURITY_CARVEOUT7_BOM_HI_0
#define MC924_FIRST_REG 0x2818 // MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC924_LAST_REG 0x2818 // MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC925_FIRST_REG 0x2110 // MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0
#define MC925_LAST_REG 0x2110 // MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4_0
#define MC926_FIRST_REG 0x2524 // MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0
#define MC926_LAST_REG 0x2524 // MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5_0
#define MC927_FIRST_REG 0x241c // MC_SECURITY_CARVEOUT19_SIZE_128KB_0
#define MC927_LAST_REG 0x241c // MC_SECURITY_CARVEOUT19_SIZE_128KB_0
#define MC928_FIRST_REG 0x2040 // MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0
#define MC928_LAST_REG 0x2040 // MC_SECURITY_CARVEOUT6_CLIENT_ACCESS6_0
#define MC929_FIRST_REG 0x23cc // MC_SECURITY_CARVEOUT18_SIZE_128KB_0
#define MC929_LAST_REG 0x23cc // MC_SECURITY_CARVEOUT18_SIZE_128KB_0
#define MC930_FIRST_REG 0x2140 // MC_SECURITY_CARVEOUT10_CFG0_0
#define MC930_LAST_REG 0x2140 // MC_SECURITY_CARVEOUT10_CFG0_0
#define MC931_FIRST_REG 0x21bc // MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC931_LAST_REG 0x21bc // MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC932_FIRST_REG 0x2168 // MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC932_LAST_REG 0x2168 // MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC933_FIRST_REG 0x2308 // MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC933_LAST_REG 0x2308 // MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC934_FIRST_REG 0x2638 // MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC934_LAST_REG 0x2638 // MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC935_FIRST_REG 0x2008 // MC_SECURITY_CARVEOUT6_BOM_HI_0
#define MC935_LAST_REG 0x2008 // MC_SECURITY_CARVEOUT6_BOM_HI_0
#define MC936_FIRST_REG 0x22dc // MC_SECURITY_CARVEOUT15_SIZE_128KB_0
#define MC936_LAST_REG 0x22dc // MC_SECURITY_CARVEOUT15_SIZE_128KB_0
#define MC937_FIRST_REG 0x2670 // MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC937_LAST_REG 0x2670 // MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC938_FIRST_REG 0x24d0 // MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0
#define MC938_LAST_REG 0x24d0 // MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4_0
#define MC939_FIRST_REG 0x24c8 // MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0
#define MC939_LAST_REG 0x24c8 // MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2_0
#define MC940_FIRST_REG 0x2478 // MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0
#define MC940_LAST_REG 0x2478 // MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2_0
#define MC941_FIRST_REG 0x2410 // MC_SECURITY_CARVEOUT19_CFG0_0
#define MC941_LAST_REG 0x2410 // MC_SECURITY_CARVEOUT19_CFG0_0
#define MC942_FIRST_REG 0x2014 // MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0
#define MC942_LAST_REG 0x2014 // MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1_0
#define MC943_FIRST_REG 0x25bc // MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0
#define MC943_LAST_REG 0x25bc // MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3_0
#define MC944_FIRST_REG 0x21f4 // MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0
#define MC944_LAST_REG 0x21f4 // MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1_0
#define MC945_FIRST_REG 0x2018 // MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0
#define MC945_LAST_REG 0x2018 // MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2_0
#define MC946_FIRST_REG 0x246c // MC_SECURITY_CARVEOUT20_SIZE_128KB_0
#define MC946_LAST_REG 0x246c // MC_SECURITY_CARVEOUT20_SIZE_128KB_0
#define MC947_FIRST_REG 0x217c // MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC947_LAST_REG 0x217c // MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC948_FIRST_REG 0x2654 // MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0
#define MC948_LAST_REG 0x2654 // MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1_0
#define MC949_FIRST_REG 0x2740 // MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0
#define MC949_LAST_REG 0x2740 // MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0_0
#define MC950_FIRST_REG 0x22ac // MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC950_LAST_REG 0x22ac // MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC951_FIRST_REG 0x23f4 // MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC951_LAST_REG 0x23f4 // MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC952_FIRST_REG 0x2694 // MC_SECURITY_CARVEOUT27_BOM_0
#define MC952_LAST_REG 0x2694 // MC_SECURITY_CARVEOUT27_BOM_0
#define MC953_FIRST_REG 0x22c0 // MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0
#define MC953_LAST_REG 0x22c0 // MC_SECURITY_CARVEOUT14_CLIENT_ACCESS6_0
#define MC954_FIRST_REG 0x2224 // MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0
#define MC954_LAST_REG 0x2224 // MC_SECURITY_CARVEOUT12_CLIENT_ACCESS7_0
#define MC955_FIRST_REG 0x21c0 // MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC955_LAST_REG 0x21c0 // MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC956_FIRST_REG 0x222c // MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC956_LAST_REG 0x222c // MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC957_FIRST_REG 0x26bc // MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC957_LAST_REG 0x26bc // MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC958_FIRST_REG 0x20d4 // MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC958_LAST_REG 0x20d4 // MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC959_FIRST_REG 0x234c // MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC959_LAST_REG 0x234c // MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC960_FIRST_REG 0x2450 // MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0
#define MC960_LAST_REG 0x2450 // MC_SECURITY_CARVEOUT19_CLIENT_ACCESS6_0
#define MC961_FIRST_REG 0x2390 // MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0
#define MC961_LAST_REG 0x2390 // MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4_0
#define MC962_FIRST_REG 0x2418 // MC_SECURITY_CARVEOUT19_BOM_HI_0
#define MC962_LAST_REG 0x2418 // MC_SECURITY_CARVEOUT19_BOM_HI_0
#define MC963_FIRST_REG 0x27e0 // MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0
#define MC963_LAST_REG 0x27e0 // MC_SECURITY_CARVEOUT31_CLIENT_ACCESS0_0
#define MC964_FIRST_REG 0x26b0 // MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0
#define MC964_LAST_REG 0x26b0 // MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4_0
#define MC965_FIRST_REG 0x2794 // MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0
#define MC965_LAST_REG 0x2794 // MC_SECURITY_CARVEOUT30_CLIENT_ACCESS1_0
#define MC966_FIRST_REG 0x2198 // MC_SECURITY_CARVEOUT11_BOM_HI_0
#define MC966_LAST_REG 0x2198 // MC_SECURITY_CARVEOUT11_BOM_HI_0
#define MC967_FIRST_REG 0x25c8 // MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC967_LAST_REG 0x25c8 // MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC968_FIRST_REG 0x2554 // MC_SECURITY_CARVEOUT23_BOM_0
#define MC968_LAST_REG 0x2554 // MC_SECURITY_CARVEOUT23_BOM_0
#define MC969_FIRST_REG 0x247c // MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0
#define MC969_LAST_REG 0x247c // MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3_0
#define MC970_FIRST_REG 0x2028 // MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC970_LAST_REG 0x2028 // MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC971_FIRST_REG 0x2240 // MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0
#define MC971_LAST_REG 0x2240 // MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0_0
#define MC972_FIRST_REG 0x2618 // MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC972_LAST_REG 0x2618 // MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC973_FIRST_REG 0x24e4 // MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC973_LAST_REG 0x24e4 // MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC974_FIRST_REG 0x202c // MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC974_LAST_REG 0x202c // MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC975_FIRST_REG 0x2544 // MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0
#define MC975_LAST_REG 0x2544 // MC_SECURITY_CARVEOUT22_CLIENT_ACCESS7_0
#define MC976_FIRST_REG 0x24b8 // MC_SECURITY_CARVEOUT21_BOM_HI_0
#define MC976_LAST_REG 0x24b8 // MC_SECURITY_CARVEOUT21_BOM_HI_0
#define MC977_FIRST_REG 0x23e8 // MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC977_LAST_REG 0x23e8 // MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC978_FIRST_REG 0x2588 // MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC978_LAST_REG 0x2588 // MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC979_FIRST_REG 0x25fc // MC_SECURITY_CARVEOUT25_SIZE_128KB_0
#define MC979_LAST_REG 0x25fc // MC_SECURITY_CARVEOUT25_SIZE_128KB_0
#define MC980_FIRST_REG 0x2780 // MC_SECURITY_CARVEOUT30_CFG0_0
#define MC980_LAST_REG 0x2780 // MC_SECURITY_CARVEOUT30_CFG0_0
#define MC981_FIRST_REG 0x209c // MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC981_LAST_REG 0x209c // MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC982_FIRST_REG 0x2338 // MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0
#define MC982_LAST_REG 0x2338 // MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2_0
#define MC983_FIRST_REG 0x2030 // MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC983_LAST_REG 0x2030 // MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC984_FIRST_REG 0x22c8 // MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC984_LAST_REG 0x22c8 // MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC985_FIRST_REG 0x2420 // MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0
#define MC985_LAST_REG 0x2420 // MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0_0
#define MC986_FIRST_REG 0x2128 // MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC986_LAST_REG 0x2128 // MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC987_FIRST_REG 0x2074 // MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0
#define MC987_LAST_REG 0x2074 // MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5_0
#define MC988_FIRST_REG 0x2344 // MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0
#define MC988_LAST_REG 0x2344 // MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5_0
#define MC989_FIRST_REG 0x22e4 // MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0
#define MC989_LAST_REG 0x22e4 // MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1_0
#define MC990_FIRST_REG 0x27f0 // MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0
#define MC990_LAST_REG 0x27f0 // MC_SECURITY_CARVEOUT31_CLIENT_ACCESS4_0
#define MC991_FIRST_REG 0x22f8 // MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC991_LAST_REG 0x22f8 // MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC992_FIRST_REG 0x2650 // MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0
#define MC992_LAST_REG 0x2650 // MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0_0
#define MC993_FIRST_REG 0x281c // MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC993_LAST_REG 0x281c // MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC994_FIRST_REG 0x23b0 // MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0
#define MC994_LAST_REG 0x23b0 // MC_SECURITY_CARVEOUT17_CLIENT_ACCESS6_0
#define MC995_FIRST_REG 0x21b0 // MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0
#define MC995_LAST_REG 0x21b0 // MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4_0
#define MC996_FIRST_REG 0x2260 // MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC996_LAST_REG 0x2260 // MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC997_FIRST_REG 0x2754 // MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0
#define MC997_LAST_REG 0x2754 // MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5_0
#define MC998_FIRST_REG 0x2188 // MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC998_LAST_REG 0x2188 // MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC999_FIRST_REG 0x2160 // MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0
#define MC999_LAST_REG 0x2160 // MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4_0
#define MC1000_FIRST_REG 0x2114 // MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0
#define MC1000_LAST_REG 0x2114 // MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5_0
#define MC1001_FIRST_REG 0x266c // MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1001_LAST_REG 0x266c // MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1002_FIRST_REG 0x21b8 // MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1002_LAST_REG 0x21b8 // MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1003_FIRST_REG 0x20b8 // MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0
#define MC1003_LAST_REG 0x20b8 // MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2_0
#define MC1004_FIRST_REG 0x26e8 // MC_SECURITY_CARVEOUT28_BOM_HI_0
#define MC1004_LAST_REG 0x26e8 // MC_SECURITY_CARVEOUT28_BOM_HI_0
#define MC1005_FIRST_REG 0x20a8 // MC_SECURITY_CARVEOUT8_BOM_HI_0
#define MC1005_LAST_REG 0x20a8 // MC_SECURITY_CARVEOUT8_BOM_HI_0
#define MC1006_FIRST_REG 0x27f4 // MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0
#define MC1006_LAST_REG 0x27f4 // MC_SECURITY_CARVEOUT31_CLIENT_ACCESS5_0
#define MC1007_FIRST_REG 0x2530 // MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1007_LAST_REG 0x2530 // MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1008_FIRST_REG 0x2148 // MC_SECURITY_CARVEOUT10_BOM_HI_0
#define MC1008_LAST_REG 0x2148 // MC_SECURITY_CARVEOUT10_BOM_HI_0
#define MC1009_FIRST_REG 0x2098 // MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1009_LAST_REG 0x2098 // MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1010_FIRST_REG 0x24d4 // MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0
#define MC1010_LAST_REG 0x24d4 // MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5_0
#define MC1011_FIRST_REG 0x2044 // MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0
#define MC1011_LAST_REG 0x2044 // MC_SECURITY_CARVEOUT6_CLIENT_ACCESS7_0
#define MC1012_FIRST_REG 0x2558 // MC_SECURITY_CARVEOUT23_BOM_HI_0
#define MC1012_LAST_REG 0x2558 // MC_SECURITY_CARVEOUT23_BOM_HI_0
#define MC1013_FIRST_REG 0x25b8 // MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0
#define MC1013_LAST_REG 0x25b8 // MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2_0
#define MC1014_FIRST_REG 0x2648 // MC_SECURITY_CARVEOUT26_BOM_HI_0
#define MC1014_LAST_REG 0x2648 // MC_SECURITY_CARVEOUT26_BOM_HI_0
#define MC1015_FIRST_REG 0x2010 // MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0
#define MC1015_LAST_REG 0x2010 // MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0_0
#define MC1016_FIRST_REG 0x2440 // MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1016_LAST_REG 0x2440 // MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1017_FIRST_REG 0x2784 // MC_SECURITY_CARVEOUT30_BOM_0
#define MC1017_LAST_REG 0x2784 // MC_SECURITY_CARVEOUT30_BOM_0
#define MC1018_FIRST_REG 0x21dc // MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1018_LAST_REG 0x21dc // MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1019_FIRST_REG 0x23c0 // MC_SECURITY_CARVEOUT18_CFG0_0
#define MC1019_LAST_REG 0x23c0 // MC_SECURITY_CARVEOUT18_CFG0_0
#define MC1020_FIRST_REG 0x2454 // MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0
#define MC1020_LAST_REG 0x2454 // MC_SECURITY_CARVEOUT19_CLIENT_ACCESS7_0
#define MC1021_FIRST_REG 0x2664 // MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0
#define MC1021_LAST_REG 0x2664 // MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5_0
#define MC1022_FIRST_REG 0x2698 // MC_SECURITY_CARVEOUT27_BOM_HI_0
#define MC1022_LAST_REG 0x2698 // MC_SECURITY_CARVEOUT27_BOM_HI_0
#define MC1023_FIRST_REG 0x24c4 // MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0
#define MC1023_LAST_REG 0x24c4 // MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1_0
#define MC1024_FIRST_REG 0x21f0 // MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0
#define MC1024_LAST_REG 0x21f0 // MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0_0
#define MC1025_FIRST_REG 0x23f8 // MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1025_LAST_REG 0x23f8 // MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1026_FIRST_REG 0x271c // MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1026_LAST_REG 0x271c // MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1027_FIRST_REG 0x22b0 // MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1027_LAST_REG 0x22b0 // MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1028_FIRST_REG 0x2560 // MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0
#define MC1028_LAST_REG 0x2560 // MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0_0
#define MC1029_FIRST_REG 0x220c // MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1029_LAST_REG 0x220c // MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1030_FIRST_REG 0x2368 // MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1030_LAST_REG 0x2368 // MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1031_FIRST_REG 0x2768 // MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1031_LAST_REG 0x2768 // MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1032_FIRST_REG 0x2284 // MC_SECURITY_CARVEOUT14_BOM_0
#define MC1032_LAST_REG 0x2284 // MC_SECURITY_CARVEOUT14_BOM_0
#define MC1033_FIRST_REG 0x2408 // MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1033_LAST_REG 0x2408 // MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1034_FIRST_REG 0x2790 // MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0
#define MC1034_LAST_REG 0x2790 // MC_SECURITY_CARVEOUT30_CLIENT_ACCESS0_0
#define MC1035_FIRST_REG 0x2348 // MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1035_LAST_REG 0x2348 // MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1036_FIRST_REG 0x279c // MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0
#define MC1036_LAST_REG 0x279c // MC_SECURITY_CARVEOUT30_CLIENT_ACCESS3_0
#define MC1037_FIRST_REG 0x2688 // MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1037_LAST_REG 0x2688 // MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1038_FIRST_REG 0x238c // MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0
#define MC1038_LAST_REG 0x238c // MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3_0
#define MC1039_FIRST_REG 0x2610 // MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0
#define MC1039_LAST_REG 0x2610 // MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4_0
#define MC1040_FIRST_REG 0x2424 // MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0
#define MC1040_LAST_REG 0x2424 // MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1_0
#define MC1041_FIRST_REG 0x2474 // MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0
#define MC1041_LAST_REG 0x2474 // MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1_0
#define MC1042_FIRST_REG 0x227c // MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1042_LAST_REG 0x227c // MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1043_FIRST_REG 0x23b4 // MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0
#define MC1043_LAST_REG 0x23b4 // MC_SECURITY_CARVEOUT17_CLIENT_ACCESS7_0
#define MC1044_FIRST_REG 0x27bc // MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1044_LAST_REG 0x27bc // MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1045_FIRST_REG 0x2374 // MC_SECURITY_CARVEOUT17_BOM_0
#define MC1045_LAST_REG 0x2374 // MC_SECURITY_CARVEOUT17_BOM_0
#define MC1046_FIRST_REG 0x20e8 // MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1046_LAST_REG 0x20e8 // MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1047_FIRST_REG 0x23d8 // MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0
#define MC1047_LAST_REG 0x23d8 // MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2_0
#define MC1048_FIRST_REG 0x229c // MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0
#define MC1048_LAST_REG 0x229c // MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3_0
#define MC1049_FIRST_REG 0x2540 // MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0
#define MC1049_LAST_REG 0x2540 // MC_SECURITY_CARVEOUT22_CLIENT_ACCESS6_0
#define MC1050_FIRST_REG 0x2468 // MC_SECURITY_CARVEOUT20_BOM_HI_0
#define MC1050_LAST_REG 0x2468 // MC_SECURITY_CARVEOUT20_BOM_HI_0
#define MC1051_FIRST_REG 0x24bc // MC_SECURITY_CARVEOUT21_SIZE_128KB_0
#define MC1051_LAST_REG 0x24bc // MC_SECURITY_CARVEOUT21_SIZE_128KB_0
#define MC1052_FIRST_REG 0x2584 // MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1052_LAST_REG 0x2584 // MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1053_FIRST_REG 0x21d4 // MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0
#define MC1053_LAST_REG 0x21d4 // MC_SECURITY_CARVEOUT11_CLIENT_ACCESS7_0
#define MC1054_FIRST_REG 0x2124 // MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1054_LAST_REG 0x2124 // MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1055_FIRST_REG 0x2034 // MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1055_LAST_REG 0x2034 // MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1056_FIRST_REG 0x262c // MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1056_LAST_REG 0x262c // MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1057_FIRST_REG 0x25f4 // MC_SECURITY_CARVEOUT25_BOM_0
#define MC1057_LAST_REG 0x25f4 // MC_SECURITY_CARVEOUT25_BOM_0
#define MC1058_FIRST_REG 0x2130 // MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0
#define MC1058_LAST_REG 0x2130 // MC_SECURITY_CARVEOUT9_CLIENT_ACCESS6_0
#define MC1059_FIRST_REG 0x27c8 // MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1059_LAST_REG 0x27c8 // MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1060_FIRST_REG 0x203c // MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1060_LAST_REG 0x203c // MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1061_FIRST_REG 0x233c // MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0
#define MC1061_LAST_REG 0x233c // MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3_0
#define MC1062_FIRST_REG 0x2050 // MC_SECURITY_CARVEOUT7_CFG0_0
#define MC1062_LAST_REG 0x2050 // MC_SECURITY_CARVEOUT7_CFG0_0
#define MC1063_FIRST_REG 0x243c // MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1063_LAST_REG 0x243c // MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1064_FIRST_REG 0x215c // MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0
#define MC1064_LAST_REG 0x215c // MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3_0
#define MC1065_FIRST_REG 0x25c4 // MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0
#define MC1065_LAST_REG 0x25c4 // MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5_0
#define MC1066_FIRST_REG 0x2758 // MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1066_LAST_REG 0x2758 // MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1067_FIRST_REG 0x22d8 // MC_SECURITY_CARVEOUT15_BOM_HI_0
#define MC1067_LAST_REG 0x22d8 // MC_SECURITY_CARVEOUT15_BOM_HI_0
#define MC1068_FIRST_REG 0x2248 // MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0
#define MC1068_LAST_REG 0x2248 // MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2_0
#define MC1069_FIRST_REG 0x221c // MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1069_LAST_REG 0x221c // MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1070_FIRST_REG 0x22e0 // MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0
#define MC1070_LAST_REG 0x22e0 // MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0_0
#define MC1071_FIRST_REG 0x2504 // MC_SECURITY_CARVEOUT22_BOM_0
#define MC1071_LAST_REG 0x2504 // MC_SECURITY_CARVEOUT22_BOM_0
#define MC1072_FIRST_REG 0x210c // MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0
#define MC1072_LAST_REG 0x210c // MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3_0
#define MC1073_FIRST_REG 0x24f0 // MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0
#define MC1073_LAST_REG 0x24f0 // MC_SECURITY_CARVEOUT21_CLIENT_ACCESS6_0
#define MC1074_FIRST_REG 0x20f0 // MC_SECURITY_CARVEOUT9_CFG0_0
#define MC1074_LAST_REG 0x20f0 // MC_SECURITY_CARVEOUT9_CFG0_0
#define MC1075_FIRST_REG 0x2120 // MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1075_LAST_REG 0x2120 // MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1076_FIRST_REG 0x2384 // MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0
#define MC1076_LAST_REG 0x2384 // MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1_0
#define MC1077_FIRST_REG 0x2378 // MC_SECURITY_CARVEOUT17_BOM_HI_0
#define MC1077_LAST_REG 0x2378 // MC_SECURITY_CARVEOUT17_BOM_HI_0
#define MC1078_FIRST_REG 0x2358 // MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1078_LAST_REG 0x2358 // MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1079_FIRST_REG 0x2808 // MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1079_LAST_REG 0x2808 // MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1080_FIRST_REG 0x24c0 // MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0
#define MC1080_LAST_REG 0x24c0 // MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0_0
#define MC1081_FIRST_REG 0x23a0 // MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1081_LAST_REG 0x23a0 // MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1082_FIRST_REG 0x2598 // MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1082_LAST_REG 0x2598 // MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1083_FIRST_REG 0x239c // MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1083_LAST_REG 0x239c // MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1084_FIRST_REG 0x25d4 // MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1084_LAST_REG 0x25d4 // MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1085_FIRST_REG 0x267c // MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1085_LAST_REG 0x267c // MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1086_FIRST_REG 0x2064 // MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0
#define MC1086_LAST_REG 0x2064 // MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1_0
#define MC1087_FIRST_REG 0x269c // MC_SECURITY_CARVEOUT27_SIZE_128KB_0
#define MC1087_LAST_REG 0x269c // MC_SECURITY_CARVEOUT27_SIZE_128KB_0
#define MC1088_FIRST_REG 0x26b8 // MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1088_LAST_REG 0x26b8 // MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1089_FIRST_REG 0x276c // MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1089_LAST_REG 0x276c // MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1090_FIRST_REG 0x2250 // MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0
#define MC1090_LAST_REG 0x2250 // MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4_0
#define MC1091_FIRST_REG 0x21e8 // MC_SECURITY_CARVEOUT12_BOM_HI_0
#define MC1091_LAST_REG 0x21e8 // MC_SECURITY_CARVEOUT12_BOM_HI_0
#define MC1092_FIRST_REG 0x2718 // MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1092_LAST_REG 0x2718 // MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1093_FIRST_REG 0x2470 // MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0
#define MC1093_LAST_REG 0x2470 // MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0_0
#define MC1094_FIRST_REG 0x27e8 // MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0
#define MC1094_LAST_REG 0x27e8 // MC_SECURITY_CARVEOUT31_CLIENT_ACCESS2_0
#define MC1095_FIRST_REG 0x24a8 // MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1095_LAST_REG 0x24a8 // MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1096_FIRST_REG 0x2220 // MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0
#define MC1096_LAST_REG 0x2220 // MC_SECURITY_CARVEOUT12_CLIENT_ACCESS6_0
#define MC1097_FIRST_REG 0x2628 // MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1097_LAST_REG 0x2628 // MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1098_FIRST_REG 0x22a0 // MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0
#define MC1098_LAST_REG 0x22a0 // MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4_0
#define MC1099_FIRST_REG 0x2448 // MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1099_LAST_REG 0x2448 // MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1100_FIRST_REG 0x20cc // MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1100_LAST_REG 0x20cc // MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1101_FIRST_REG 0x2194 // MC_SECURITY_CARVEOUT11_BOM_0
#define MC1101_LAST_REG 0x2194 // MC_SECURITY_CARVEOUT11_BOM_0
#define MC1102_FIRST_REG 0x26f4 // MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0
#define MC1102_LAST_REG 0x26f4 // MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1_0
#define MC1103_FIRST_REG 0x2228 // MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1103_LAST_REG 0x2228 // MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1104_FIRST_REG 0x26ec // MC_SECURITY_CARVEOUT28_SIZE_128KB_0
#define MC1104_LAST_REG 0x26ec // MC_SECURITY_CARVEOUT28_SIZE_128KB_0
#define MC1105_FIRST_REG 0x213c // MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1105_LAST_REG 0x213c // MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1106_FIRST_REG 0x251c // MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0
#define MC1106_LAST_REG 0x251c // MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3_0
#define MC1107_FIRST_REG 0x2570 // MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0
#define MC1107_LAST_REG 0x2570 // MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4_0
#define MC1108_FIRST_REG 0x2200 // MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0
#define MC1108_LAST_REG 0x2200 // MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4_0
#define MC1109_FIRST_REG 0x253c // MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1109_LAST_REG 0x253c // MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1110_FIRST_REG 0x2744 // MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0
#define MC1110_LAST_REG 0x2744 // MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1_0
#define MC1111_FIRST_REG 0x223c // MC_SECURITY_CARVEOUT13_SIZE_128KB_0
#define MC1111_LAST_REG 0x223c // MC_SECURITY_CARVEOUT13_SIZE_128KB_0
#define MC1112_FIRST_REG 0x2330 // MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0
#define MC1112_LAST_REG 0x2330 // MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0_0
#define MC1113_FIRST_REG 0x24e0 // MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1113_LAST_REG 0x24e0 // MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1114_FIRST_REG 0x27c4 // MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0
#define MC1114_LAST_REG 0x27c4 // MC_SECURITY_CARVEOUT30_CLIENT_ACCESS7_0
#define MC1115_FIRST_REG 0x2414 // MC_SECURITY_CARVEOUT19_BOM_0
#define MC1115_LAST_REG 0x2414 // MC_SECURITY_CARVEOUT19_BOM_0
#define MC1116_FIRST_REG 0x255c // MC_SECURITY_CARVEOUT23_SIZE_128KB_0
#define MC1116_LAST_REG 0x255c // MC_SECURITY_CARVEOUT23_SIZE_128KB_0
#define MC1117_FIRST_REG 0x2398 // MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1117_LAST_REG 0x2398 // MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1118_FIRST_REG 0x20c4 // MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0
#define MC1118_LAST_REG 0x20c4 // MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5_0
#define MC1119_FIRST_REG 0x2550 // MC_SECURITY_CARVEOUT23_CFG0_0
#define MC1119_LAST_REG 0x2550 // MC_SECURITY_CARVEOUT23_CFG0_0
#define MC1120_FIRST_REG 0x2568 // MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0
#define MC1120_LAST_REG 0x2568 // MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2_0
#define MC1121_FIRST_REG 0x21ec // MC_SECURITY_CARVEOUT12_SIZE_128KB_0
#define MC1121_LAST_REG 0x21ec // MC_SECURITY_CARVEOUT12_SIZE_128KB_0
#define MC1122_FIRST_REG 0x2444 // MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1122_LAST_REG 0x2444 // MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1123_FIRST_REG 0x2684 // MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0
#define MC1123_LAST_REG 0x2684 // MC_SECURITY_CARVEOUT26_CLIENT_ACCESS7_0
#define MC1124_FIRST_REG 0x2788 // MC_SECURITY_CARVEOUT30_BOM_HI_0
#define MC1124_LAST_REG 0x2788 // MC_SECURITY_CARVEOUT30_BOM_HI_0
#define MC1125_FIRST_REG 0x2234 // MC_SECURITY_CARVEOUT13_BOM_0
#define MC1125_LAST_REG 0x2234 // MC_SECURITY_CARVEOUT13_BOM_0
#define MC1126_FIRST_REG 0x2244 // MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0
#define MC1126_LAST_REG 0x2244 // MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1_0
#define MC1127_FIRST_REG 0x26b4 // MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0
#define MC1127_LAST_REG 0x26b4 // MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5_0
#define MC1128_FIRST_REG 0x21d0 // MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0
#define MC1128_LAST_REG 0x21d0 // MC_SECURITY_CARVEOUT11_CLIENT_ACCESS6_0
#define MC1129_FIRST_REG 0x24ac // MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1129_LAST_REG 0x24ac // MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1130_FIRST_REG 0x2304 // MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1130_LAST_REG 0x2304 // MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1131_FIRST_REG 0x245c // MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1131_LAST_REG 0x245c // MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1132_FIRST_REG 0x211c // MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1132_LAST_REG 0x211c // MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1133_FIRST_REG 0x27b4 // MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1133_LAST_REG 0x27b4 // MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1134_FIRST_REG 0x25a8 // MC_SECURITY_CARVEOUT24_BOM_HI_0
#define MC1134_LAST_REG 0x25a8 // MC_SECURITY_CARVEOUT24_BOM_HI_0
#define MC1135_FIRST_REG 0x25d0 // MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1135_LAST_REG 0x25d0 // MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1136_FIRST_REG 0x2404 // MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0
#define MC1136_LAST_REG 0x2404 // MC_SECURITY_CARVEOUT18_CLIENT_ACCESS7_0
#define MC1137_FIRST_REG 0x22f4 // MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0
#define MC1137_LAST_REG 0x22f4 // MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5_0
#define MC1138_FIRST_REG 0x27d0 // MC_SECURITY_CARVEOUT31_CFG0_0
#define MC1138_LAST_REG 0x27d0 // MC_SECURITY_CARVEOUT31_CFG0_0
#define MC1139_FIRST_REG 0x2108 // MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0
#define MC1139_LAST_REG 0x2108 // MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2_0
#define MC1140_FIRST_REG 0x236c // MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1140_LAST_REG 0x236c // MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1141_FIRST_REG 0x27d4 // MC_SECURITY_CARVEOUT31_BOM_0
#define MC1141_LAST_REG 0x27d4 // MC_SECURITY_CARVEOUT31_BOM_0
#define MC1142_FIRST_REG 0x2708 // MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1142_LAST_REG 0x2708 // MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1143_FIRST_REG 0x258c // MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1143_LAST_REG 0x258c // MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1144_FIRST_REG 0x23f0 // MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1144_LAST_REG 0x23f0 // MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1145_FIRST_REG 0x20d8 // MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1145_LAST_REG 0x20d8 // MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1146_FIRST_REG 0x25c0 // MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0
#define MC1146_LAST_REG 0x25c0 // MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4_0
#define MC1147_FIRST_REG 0x226c // MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1147_LAST_REG 0x226c // MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1148_FIRST_REG 0x2634 // MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0
#define MC1148_LAST_REG 0x2634 // MC_SECURITY_CARVEOUT25_CLIENT_ACCESS7_0
#define MC1149_FIRST_REG 0x280c // MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1149_LAST_REG 0x280c // MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1150_FIRST_REG 0x20b0 // MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0
#define MC1150_LAST_REG 0x20b0 // MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0_0
#define MC1151_FIRST_REG 0x2600 // MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0
#define MC1151_LAST_REG 0x2600 // MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0_0
#define MC1152_FIRST_REG 0x25a0 // MC_SECURITY_CARVEOUT24_CFG0_0
#define MC1152_LAST_REG 0x25a0 // MC_SECURITY_CARVEOUT24_CFG0_0
#define MC1153_FIRST_REG 0x26e0 // MC_SECURITY_CARVEOUT28_CFG0_0
#define MC1153_LAST_REG 0x26e0 // MC_SECURITY_CARVEOUT28_CFG0_0
#define MC1154_FIRST_REG 0x25ac // MC_SECURITY_CARVEOUT24_SIZE_128KB_0
#define MC1154_LAST_REG 0x25ac // MC_SECURITY_CARVEOUT24_SIZE_128KB_0
#define MC1155_FIRST_REG 0x2000 // MC_SECURITY_CARVEOUT6_CFG0_0
#define MC1155_LAST_REG 0x2000 // MC_SECURITY_CARVEOUT6_CFG0_0
#define MC1156_FIRST_REG 0x24b4 // MC_SECURITY_CARVEOUT21_BOM_0
#define MC1156_LAST_REG 0x24b4 // MC_SECURITY_CARVEOUT21_BOM_0
#define MC1157_FIRST_REG 0x22cc // MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1157_LAST_REG 0x22cc // MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1158_FIRST_REG 0x249c // MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1158_LAST_REG 0x249c // MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1159_FIRST_REG 0x272c // MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1159_LAST_REG 0x272c // MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1160_FIRST_REG 0x2774 // MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0
#define MC1160_LAST_REG 0x2774 // MC_SECURITY_CARVEOUT29_CLIENT_ACCESS7_0
#define MC1161_FIRST_REG 0x2288 // MC_SECURITY_CARVEOUT14_BOM_HI_0
#define MC1161_LAST_REG 0x2288 // MC_SECURITY_CARVEOUT14_BOM_HI_0
#define MC1162_FIRST_REG 0x20fc // MC_SECURITY_CARVEOUT9_SIZE_128KB_0
#define MC1162_LAST_REG 0x20fc // MC_SECURITY_CARVEOUT9_SIZE_128KB_0
#define MC1163_FIRST_REG 0x24f4 // MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0
#define MC1163_LAST_REG 0x24f4 // MC_SECURITY_CARVEOUT21_CLIENT_ACCESS7_0
#define MC1164_FIRST_REG 0x2464 // MC_SECURITY_CARVEOUT20_BOM_0
#define MC1164_LAST_REG 0x2464 // MC_SECURITY_CARVEOUT20_BOM_0
#define MC1165_FIRST_REG 0x21cc // MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1165_LAST_REG 0x21cc // MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1166_FIRST_REG 0x2294 // MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0
#define MC1166_LAST_REG 0x2294 // MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1_0
#define MC1167_FIRST_REG 0x2748 // MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0
#define MC1167_LAST_REG 0x2748 // MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2_0
#define MC1168_FIRST_REG 0x2520 // MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0
#define MC1168_LAST_REG 0x2520 // MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4_0
#define MC1169_FIRST_REG 0x2134 // MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0
#define MC1169_LAST_REG 0x2134 // MC_SECURITY_CARVEOUT9_CLIENT_ACCESS7_0
#define MC1170_FIRST_REG 0x2778 // MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1170_LAST_REG 0x2778 // MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1171_FIRST_REG 0x21a4 // MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0
#define MC1171_LAST_REG 0x21a4 // MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1_0
#define MC1172_FIRST_REG 0x2174 // MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1172_LAST_REG 0x2174 // MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1173_FIRST_REG 0x27ec // MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0
#define MC1173_LAST_REG 0x27ec // MC_SECURITY_CARVEOUT31_CLIENT_ACCESS3_0
#define MC1174_FIRST_REG 0x2258 // MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1174_LAST_REG 0x2258 // MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1175_FIRST_REG 0x23d0 // MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0
#define MC1175_LAST_REG 0x23d0 // MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0_0
#define MC1176_FIRST_REG 0x26f0 // MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0
#define MC1176_LAST_REG 0x26f0 // MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0_0
#define MC1177_FIRST_REG 0x27ac // MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1177_LAST_REG 0x27ac // MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1178_FIRST_REG 0x2760 // MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1178_LAST_REG 0x2760 // MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1179_FIRST_REG 0x278c // MC_SECURITY_CARVEOUT30_SIZE_128KB_0
#define MC1179_LAST_REG 0x278c // MC_SECURITY_CARVEOUT30_SIZE_128KB_0
#define MC1180_FIRST_REG 0x2428 // MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0
#define MC1180_LAST_REG 0x2428 // MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2_0
#define MC1181_FIRST_REG 0x22fc // MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1181_LAST_REG 0x22fc // MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1182_FIRST_REG 0x2640 // MC_SECURITY_CARVEOUT26_CFG0_0
#define MC1182_LAST_REG 0x2640 // MC_SECURITY_CARVEOUT26_CFG0_0
#define MC1183_FIRST_REG 0x270c // MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1183_LAST_REG 0x270c // MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1184_FIRST_REG 0x2458 // MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1184_LAST_REG 0x2458 // MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1185_FIRST_REG 0x27dc // MC_SECURITY_CARVEOUT31_SIZE_128KB_0
#define MC1185_LAST_REG 0x27dc // MC_SECURITY_CARVEOUT31_SIZE_128KB_0
#define MC1186_FIRST_REG 0x2660 // MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0
#define MC1186_LAST_REG 0x2660 // MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4_0
#define MC1187_FIRST_REG 0x228c // MC_SECURITY_CARVEOUT14_SIZE_128KB_0
#define MC1187_LAST_REG 0x228c // MC_SECURITY_CARVEOUT14_SIZE_128KB_0
#define MC1188_FIRST_REG 0x200c // MC_SECURITY_CARVEOUT6_SIZE_128KB_0
#define MC1188_LAST_REG 0x200c // MC_SECURITY_CARVEOUT6_SIZE_128KB_0
#define MC1189_FIRST_REG 0x25dc // MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1189_LAST_REG 0x25dc // MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1190_FIRST_REG 0x20e0 // MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0
#define MC1190_LAST_REG 0x20e0 // MC_SECURITY_CARVEOUT8_CLIENT_ACCESS6_0
#define MC1191_FIRST_REG 0x2270 // MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0
#define MC1191_LAST_REG 0x2270 // MC_SECURITY_CARVEOUT13_CLIENT_ACCESS6_0
#define MC1192_FIRST_REG 0x2800 // MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1192_LAST_REG 0x2800 // MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1193_FIRST_REG 0x20ec // MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1193_LAST_REG 0x20ec // MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1194_FIRST_REG 0x268c // MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1194_LAST_REG 0x268c // MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1195_FIRST_REG 0x26cc // MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1195_LAST_REG 0x26cc // MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1196_FIRST_REG 0x27b8 // MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1196_LAST_REG 0x27b8 // MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1197_FIRST_REG 0x2700 // MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0
#define MC1197_LAST_REG 0x2700 // MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4_0
#define MC1198_FIRST_REG 0x2498 // MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1198_LAST_REG 0x2498 // MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1199_FIRST_REG 0x24fc // MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1199_LAST_REG 0x24fc // MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1200_FIRST_REG 0x2564 // MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0
#define MC1200_LAST_REG 0x2564 // MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1_0
#define MC1201_FIRST_REG 0x224c // MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0
#define MC1201_LAST_REG 0x224c // MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3_0
#define MC1202_FIRST_REG 0x2104 // MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0
#define MC1202_LAST_REG 0x2104 // MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1_0
#define MC1203_FIRST_REG 0x2514 // MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0
#define MC1203_LAST_REG 0x2514 // MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1_0
#define MC1204_FIRST_REG 0x25e4 // MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0
#define MC1204_LAST_REG 0x25e4 // MC_SECURITY_CARVEOUT24_CLIENT_ACCESS7_0
#define MC1205_FIRST_REG 0x277c // MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1205_LAST_REG 0x277c // MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1206_FIRST_REG 0x2070 // MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0
#define MC1206_LAST_REG 0x2070 // MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4_0
#define MC1207_FIRST_REG 0x2154 // MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0
#define MC1207_LAST_REG 0x2154 // MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1_0
#define MC1208_FIRST_REG 0x23e4 // MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0
#define MC1208_LAST_REG 0x23e4 // MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5_0
#define MC1209_FIRST_REG 0x2608 // MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0
#define MC1209_LAST_REG 0x2608 // MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2_0
#define MC1210_FIRST_REG 0x21a0 // MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0
#define MC1210_LAST_REG 0x21a0 // MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0_0
#define MC1211_FIRST_REG 0x256c // MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0
#define MC1211_LAST_REG 0x256c // MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3_0
#define MC1212_FIRST_REG 0x26d8 // MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1212_LAST_REG 0x26d8 // MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1213_FIRST_REG 0x2364 // MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0
#define MC1213_LAST_REG 0x2364 // MC_SECURITY_CARVEOUT16_CLIENT_ACCESS7_0
#define MC1214_FIRST_REG 0x2268 // MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1214_LAST_REG 0x2268 // MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1215_FIRST_REG 0x22f0 // MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0
#define MC1215_LAST_REG 0x22f0 // MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4_0
#define MC1216_FIRST_REG 0x25a4 // MC_SECURITY_CARVEOUT24_BOM_0
#define MC1216_LAST_REG 0x25a4 // MC_SECURITY_CARVEOUT24_BOM_0
#define MC1217_FIRST_REG 0x212c // MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1217_LAST_REG 0x212c // MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1218_FIRST_REG 0x2218 // MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1218_LAST_REG 0x2218 // MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1219_FIRST_REG 0x27b0 // MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1219_LAST_REG 0x27b0 // MC_SECURITY_CARVEOUT30_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1220_FIRST_REG 0x22bc // MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1220_LAST_REG 0x22bc // MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1221_FIRST_REG 0x240c // MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1221_LAST_REG 0x240c // MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1222_FIRST_REG 0x21f8 // MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0
#define MC1222_LAST_REG 0x21f8 // MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2_0
#define MC1223_FIRST_REG 0x21c8 // MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1223_LAST_REG 0x21c8 // MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1224_FIRST_REG 0x26fc // MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0
#define MC1224_LAST_REG 0x26fc // MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3_0
#define MC1225_FIRST_REG 0x2324 // MC_SECURITY_CARVEOUT16_BOM_0
#define MC1225_LAST_REG 0x2324 // MC_SECURITY_CARVEOUT16_BOM_0
#define MC1226_FIRST_REG 0x2178 // MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1226_LAST_REG 0x2178 // MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1227_FIRST_REG 0x20d0 // MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1227_LAST_REG 0x20d0 // MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1228_FIRST_REG 0x23c8 // MC_SECURITY_CARVEOUT18_BOM_HI_0
#define MC1228_LAST_REG 0x23c8 // MC_SECURITY_CARVEOUT18_BOM_HI_0
#define MC1229_FIRST_REG 0x2084 // MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1229_LAST_REG 0x2084 // MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1230_FIRST_REG 0x24d8 // MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1230_LAST_REG 0x24d8 // MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1231_FIRST_REG 0x230c // MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1231_LAST_REG 0x230c // MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1232_FIRST_REG 0x2728 // MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1232_LAST_REG 0x2728 // MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1233_FIRST_REG 0x27a0 // MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0
#define MC1233_LAST_REG 0x27a0 // MC_SECURITY_CARVEOUT30_CLIENT_ACCESS4_0
#define MC1234_FIRST_REG 0x2314 // MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0
#define MC1234_LAST_REG 0x2314 // MC_SECURITY_CARVEOUT15_CLIENT_ACCESS7_0
#define MC1235_FIRST_REG 0x2658 // MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0
#define MC1235_LAST_REG 0x2658 // MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2_0
#define MC1236_FIRST_REG 0x26d0 // MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0
#define MC1236_LAST_REG 0x26d0 // MC_SECURITY_CARVEOUT27_CLIENT_ACCESS6_0
#define MC1237_FIRST_REG 0x235c // MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1237_LAST_REG 0x235c // MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1238_FIRST_REG 0x242c // MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0
#define MC1238_LAST_REG 0x242c // MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3_0
#define MC1239_FIRST_REG 0x24f8 // MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1239_LAST_REG 0x24f8 // MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1240_FIRST_REG 0x27a4 // MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0
#define MC1240_LAST_REG 0x27a4 // MC_SECURITY_CARVEOUT30_CLIENT_ACCESS5_0
#define MC1241_FIRST_REG 0x2734 // MC_SECURITY_CARVEOUT29_BOM_0
#define MC1241_LAST_REG 0x2734 // MC_SECURITY_CARVEOUT29_BOM_0
#define MC1242_FIRST_REG 0x21d8 // MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1242_LAST_REG 0x21d8 // MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1243_FIRST_REG 0x2614 // MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0
#define MC1243_LAST_REG 0x2614 // MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5_0
#define MC1244_FIRST_REG 0x231c // MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1244_LAST_REG 0x231c // MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1245_FIRST_REG 0x257c // MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1245_LAST_REG 0x257c // MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1246_FIRST_REG 0x25ec // MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1246_LAST_REG 0x25ec // MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1247_FIRST_REG 0x25e0 // MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0
#define MC1247_LAST_REG 0x25e0 // MC_SECURITY_CARVEOUT24_CLIENT_ACCESS6_0
#define MC1248_FIRST_REG 0x2238 // MC_SECURITY_CARVEOUT13_BOM_HI_0
#define MC1248_LAST_REG 0x2238 // MC_SECURITY_CARVEOUT13_BOM_HI_0
#define MC1249_FIRST_REG 0x254c // MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1249_LAST_REG 0x254c // MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1250_FIRST_REG 0x2118 // MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1250_LAST_REG 0x2118 // MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1251_FIRST_REG 0x26f8 // MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0
#define MC1251_LAST_REG 0x26f8 // MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2_0
#define MC1252_FIRST_REG 0x2388 // MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0
#define MC1252_LAST_REG 0x2388 // MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2_0
#define MC1253_FIRST_REG 0x24b0 // MC_SECURITY_CARVEOUT21_CFG0_0
#define MC1253_LAST_REG 0x24b0 // MC_SECURITY_CARVEOUT21_CFG0_0
#define MC1254_FIRST_REG 0x21e4 // MC_SECURITY_CARVEOUT12_BOM_0
#define MC1254_LAST_REG 0x21e4 // MC_SECURITY_CARVEOUT12_BOM_0
#define MC1255_FIRST_REG 0x26a0 // MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0
#define MC1255_LAST_REG 0x26a0 // MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0_0
#define MC1256_FIRST_REG 0x2024 // MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0
#define MC1256_LAST_REG 0x2024 // MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5_0
#define MC1257_FIRST_REG 0x26c8 // MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1257_LAST_REG 0x26c8 // MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1258_FIRST_REG 0x23a4 // MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1258_LAST_REG 0x23a4 // MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1259_FIRST_REG 0x27e4 // MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0
#define MC1259_LAST_REG 0x27e4 // MC_SECURITY_CARVEOUT31_CLIENT_ACCESS1_0
#define MC1260_FIRST_REG 0x2298 // MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0
#define MC1260_LAST_REG 0x2298 // MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2_0
#define MC1261_FIRST_REG 0x214c // MC_SECURITY_CARVEOUT10_SIZE_128KB_0
#define MC1261_LAST_REG 0x214c // MC_SECURITY_CARVEOUT10_SIZE_128KB_0
#define MC1262_FIRST_REG 0x2518 // MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0
#define MC1262_LAST_REG 0x2518 // MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2_0
#define MC1263_FIRST_REG 0x2278 // MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1263_LAST_REG 0x2278 // MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1264_FIRST_REG 0x259c // MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1264_LAST_REG 0x259c // MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1265_FIRST_REG 0x2038 // MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1265_LAST_REG 0x2038 // MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1266_FIRST_REG 0x24a4 // MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0
#define MC1266_LAST_REG 0x24a4 // MC_SECURITY_CARVEOUT20_CLIENT_ACCESS7_0
#define MC1267_FIRST_REG 0x2100 // MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0
#define MC1267_LAST_REG 0x2100 // MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0_0
#define MC1268_FIRST_REG 0x23bc // MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1268_LAST_REG 0x23bc // MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1269_FIRST_REG 0x2814 // MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0
#define MC1269_LAST_REG 0x2814 // MC_SECURITY_CARVEOUT31_CLIENT_ACCESS7_0
#define MC1270_FIRST_REG 0x2804 // MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1270_LAST_REG 0x2804 // MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1271_FIRST_REG 0x2590 // MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0
#define MC1271_LAST_REG 0x2590 // MC_SECURITY_CARVEOUT23_CLIENT_ACCESS6_0
#define MC1272_FIRST_REG 0x2578 // MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1272_LAST_REG 0x2578 // MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1273_FIRST_REG 0x250c // MC_SECURITY_CARVEOUT22_SIZE_128KB_0
#define MC1273_LAST_REG 0x250c // MC_SECURITY_CARVEOUT22_SIZE_128KB_0
#define MC1274_FIRST_REG 0x25d8 // MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1274_LAST_REG 0x25d8 // MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1275_FIRST_REG 0x26a4 // MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0
#define MC1275_LAST_REG 0x26a4 // MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1_0
#define MC1276_FIRST_REG 0x2094 // MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0
#define MC1276_LAST_REG 0x2094 // MC_SECURITY_CARVEOUT7_CLIENT_ACCESS7_0
#define MC1277_FIRST_REG 0x2158 // MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0
#define MC1277_LAST_REG 0x2158 // MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2_0
#define MC1278_FIRST_REG 0x27f8 // MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1278_LAST_REG 0x27f8 // MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1279_FIRST_REG 0x2068 // MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0
#define MC1279_LAST_REG 0x2068 // MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2_0
#define MC1280_FIRST_REG 0x2574 // MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0
#define MC1280_LAST_REG 0x2574 // MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5_0
#define MC1281_FIRST_REG 0x204c // MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1281_LAST_REG 0x204c // MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS7_0
#define MC1282_FIRST_REG 0x2704 // MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0
#define MC1282_LAST_REG 0x2704 // MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5_0
#define MC1283_FIRST_REG 0x2080 // MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1283_LAST_REG 0x2080 // MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1284_FIRST_REG 0x219c // MC_SECURITY_CARVEOUT11_SIZE_128KB_0
#define MC1284_LAST_REG 0x219c // MC_SECURITY_CARVEOUT11_SIZE_128KB_0
#define MC1285_FIRST_REG 0x27fc // MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1285_LAST_REG 0x27fc // MC_SECURITY_CARVEOUT31_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1286_FIRST_REG 0x20e4 // MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0
#define MC1286_LAST_REG 0x20e4 // MC_SECURITY_CARVEOUT8_CLIENT_ACCESS7_0
#define MC1287_FIRST_REG 0x25f8 // MC_SECURITY_CARVEOUT25_BOM_HI_0
#define MC1287_LAST_REG 0x25f8 // MC_SECURITY_CARVEOUT25_BOM_HI_0
#define MC1288_FIRST_REG 0x2360 // MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0
#define MC1288_LAST_REG 0x2360 // MC_SECURITY_CARVEOUT16_CLIENT_ACCESS6_0
#define MC1289_FIRST_REG 0x27d8 // MC_SECURITY_CARVEOUT31_BOM_HI_0
#define MC1289_LAST_REG 0x27d8 // MC_SECURITY_CARVEOUT31_BOM_HI_0
#define MC1290_FIRST_REG 0x23ec // MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1290_LAST_REG 0x23ec // MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1291_FIRST_REG 0x2328 // MC_SECURITY_CARVEOUT16_BOM_HI_0
#define MC1291_LAST_REG 0x2328 // MC_SECURITY_CARVEOUT16_BOM_HI_0
#define MC1292_FIRST_REG 0x2460 // MC_SECURITY_CARVEOUT20_CFG0_0
#define MC1292_LAST_REG 0x2460 // MC_SECURITY_CARVEOUT20_CFG0_0
#define MC1293_FIRST_REG 0x2494 // MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1293_LAST_REG 0x2494 // MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1294_FIRST_REG 0x24dc // MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1294_LAST_REG 0x24dc // MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1295_FIRST_REG 0x22a8 // MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1295_LAST_REG 0x22a8 // MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0_0
#define MC1296_FIRST_REG 0x23a8 // MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1296_LAST_REG 0x23a8 // MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4_0
#define MC1297_FIRST_REG 0x2620 // MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1297_LAST_REG 0x2620 // MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2_0
#define MC1298_FIRST_REG 0x25f0 // MC_SECURITY_CARVEOUT25_CFG0_0
#define MC1298_LAST_REG 0x25f0 // MC_SECURITY_CARVEOUT25_CFG0_0
#define MC1299_FIRST_REG 0x20bc // MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0
#define MC1299_LAST_REG 0x20bc // MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3_0
#define MC1300_FIRST_REG 0x2264 // MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1300_LAST_REG 0x2264 // MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3_0
#define MC1301_FIRST_REG 0x216c // MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1301_LAST_REG 0x216c // MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1302_FIRST_REG 0x2280 // MC_SECURITY_CARVEOUT14_CFG0_0
#define MC1302_LAST_REG 0x2280 // MC_SECURITY_CARVEOUT14_CFG0_0
#define MC1303_FIRST_REG 0x20a4 // MC_SECURITY_CARVEOUT8_BOM_0
#define MC1303_LAST_REG 0x20a4 // MC_SECURITY_CARVEOUT8_BOM_0
#define MC1304_FIRST_REG 0x2500 // MC_SECURITY_CARVEOUT22_CFG0_0
#define MC1304_LAST_REG 0x2500 // MC_SECURITY_CARVEOUT22_CFG0_0
#define MC1305_FIRST_REG 0x2750 // MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0
#define MC1305_LAST_REG 0x2750 // MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4_0
#define MC1306_FIRST_REG 0x264c // MC_SECURITY_CARVEOUT26_SIZE_128KB_0
#define MC1306_LAST_REG 0x264c // MC_SECURITY_CARVEOUT26_SIZE_128KB_0
#define MC1307_FIRST_REG 0x2230 // MC_SECURITY_CARVEOUT13_CFG0_0
#define MC1307_LAST_REG 0x2230 // MC_SECURITY_CARVEOUT13_CFG0_0
#define MC1308_FIRST_REG 0x2548 // MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1308_LAST_REG 0x2548 // MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1309_FIRST_REG 0x2644 // MC_SECURITY_CARVEOUT26_BOM_0
#define MC1309_LAST_REG 0x2644 // MC_SECURITY_CARVEOUT26_BOM_0
#define MC1310_FIRST_REG 0x275c // MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1310_LAST_REG 0x275c // MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1_0
#define MC1311_FIRST_REG 0x2680 // MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0
#define MC1311_LAST_REG 0x2680 // MC_SECURITY_CARVEOUT26_CLIENT_ACCESS6_0
#define MC1312_FIRST_REG 0x27c0 // MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0
#define MC1312_LAST_REG 0x27c0 // MC_SECURITY_CARVEOUT30_CLIENT_ACCESS6_0
#define MC1313_FIRST_REG 0x2204 // MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0
#define MC1313_LAST_REG 0x2204 // MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5_0
#define MC1314_FIRST_REG 0x237c // MC_SECURITY_CARVEOUT17_SIZE_128KB_0
#define MC1314_LAST_REG 0x237c // MC_SECURITY_CARVEOUT17_SIZE_128KB_0
#define MC1315_FIRST_REG 0x244c // MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1315_LAST_REG 0x244c // MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5_0
#define MC1316_FIRST_REG 0x22c4 // MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0
#define MC1316_LAST_REG 0x22c4 // MC_SECURITY_CARVEOUT14_CLIENT_ACCESS7_0
#define MC1317_FIRST_REG 0x2400 // MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0
#define MC1317_LAST_REG 0x2400 // MC_SECURITY_CARVEOUT18_CLIENT_ACCESS6_0
#define MC1318_FIRST_REG 0x2310 // MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0
#define MC1318_LAST_REG 0x2310 // MC_SECURITY_CARVEOUT15_CLIENT_ACCESS6_0
#define MC1319_FIRST_REG 0x2318 // MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1319_LAST_REG 0x2318 // MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS6_0
#define MC1320_FIRST_REG 0x09d0 // MC_ERR_APB_ASID_UPDATE_STATUS_0
#define MC1320_LAST_REG 0x09d0 // MC_ERR_APB_ASID_UPDATE_STATUS_0
#define MC1321_FIRST_REG 0x09dc // MC_DA_CONFIG0_0
#define MC1321_LAST_REG 0x09dc // MC_DA_CONFIG0_0
#define MC1322_FIRST_REG 0x10a8 // MC_TXN_OVERRIDE_CONFIG_HDAR_0
#define MC1322_LAST_REG 0x10a8 // MC_TXN_OVERRIDE_CONFIG_HDAR_0
#define MC1323_FIRST_REG 0x1624 // MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0
#define MC1323_LAST_REG 0x1624 // MC_TXN_OVERRIDE_CONFIG_DLA1WRA_0
#define MC1324_FIRST_REG 0x16dc // MC_TXN_OVERRIDE_CONFIG_PCIE1W_0
#define MC1324_LAST_REG 0x16dc // MC_TXN_OVERRIDE_CONFIG_PCIE1W_0
#define MC1325_FIRST_REG 0x1644 // MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0
#define MC1325_LAST_REG 0x1644 // MC_TXN_OVERRIDE_CONFIG_PVA0RDC_0
#define MC1326_FIRST_REG 0x1000 // MC_TXN_OVERRIDE_CONFIG_PTCR_0
#define MC1326_LAST_REG 0x1000 // MC_TXN_OVERRIDE_CONFIG_PTCR_0
#define MC1327_FIRST_REG 0x1504 // MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0
#define MC1327_LAST_REG 0x1504 // MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW_0
#define MC1328_FIRST_REG 0x1478 // MC_TXN_OVERRIDE_CONFIG_EQOSW_0
#define MC1328_LAST_REG 0x1478 // MC_TXN_OVERRIDE_CONFIG_EQOSW_0
#define MC1329_FIRST_REG 0x1680 // MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0
#define MC1329_LAST_REG 0x1680 // MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRA_0
#define MC1330_FIRST_REG 0x11c8 // MC_TXN_OVERRIDE_CONFIG_MPCOREW_0
#define MC1330_LAST_REG 0x11c8 // MC_TXN_OVERRIDE_CONFIG_MPCOREW_0
#define MC1331_FIRST_REG 0x162c // MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0
#define MC1331_LAST_REG 0x162c // MC_TXN_OVERRIDE_CONFIG_DLA1FALWRB_0
#define MC1332_FIRST_REG 0x1460 // MC_TXN_OVERRIDE_CONFIG_AXISR_0
#define MC1332_LAST_REG 0x1460 // MC_TXN_OVERRIDE_CONFIG_AXISR_0
#define MC1333_FIRST_REG 0x1750 // MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0
#define MC1333_LAST_REG 0x1750 // MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA1_0
#define MC1334_FIRST_REG 0x1654 // MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0
#define MC1334_LAST_REG 0x1654 // MC_TXN_OVERRIDE_CONFIG_PVA0WRB_0
#define MC1335_FIRST_REG 0x17f4 // MC_TXN_OVERRIDE_CONFIG_MIU6R_0
#define MC1335_LAST_REG 0x17f4 // MC_TXN_OVERRIDE_CONFIG_MIU6R_0
#define MC1336_FIRST_REG 0x17e4 // MC_TXN_OVERRIDE_CONFIG_MIU5R_0
#define MC1336_LAST_REG 0x17e4 // MC_TXN_OVERRIDE_CONFIG_MIU5R_0
#define MC1337_FIRST_REG 0x16a0 // MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0
#define MC1337_LAST_REG 0x16a0 // MC_TBU_CLIENT_STEERING_CONFIG_RCEW_0
#define MC1338_FIRST_REG 0x1784 // MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0
#define MC1338_LAST_REG 0x1784 // MC_TXN_OVERRIDE_CONFIG_NVENCSRD1_0
#define MC1339_FIRST_REG 0x16c4 // MC_TXN_OVERRIDE_CONFIG_PCIE0R_0
#define MC1339_LAST_REG 0x16c4 // MC_TXN_OVERRIDE_CONFIG_PCIE0R_0
#define MC1340_FIRST_REG 0x1470 // MC_TXN_OVERRIDE_CONFIG_EQOSR_0
#define MC1340_LAST_REG 0x1470 // MC_TXN_OVERRIDE_CONFIG_EQOSR_0
#define MC1341_FIRST_REG 0x122c // MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0
#define MC1341_LAST_REG 0x122c // MC_TBU_CLIENT_STEERING_CONFIG_ISPFALR_0
#define MC1342_FIRST_REG 0x10e0 // MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0
#define MC1342_LAST_REG 0x10e0 // MC_TXN_OVERRIDE_CONFIG_NVENCSRD_0
#define MC1343_FIRST_REG 0x178c // MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0
#define MC1343_LAST_REG 0x178c // MC_TXN_OVERRIDE_CONFIG_NVENC1SRD1_0
#define MC1344_FIRST_REG 0x126c // MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0
#define MC1344_LAST_REG 0x126c // MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW_0
#define MC1345_FIRST_REG 0x1774 // MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0
#define MC1345_LAST_REG 0x1774 // MC_TXN_OVERRIDE_CONFIG_PVA1RDB1_0
#define MC1346_FIRST_REG 0x1464 // MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0
#define MC1346_LAST_REG 0x1464 // MC_TBU_CLIENT_STEERING_CONFIG_AXISR_0
#define MC1347_FIRST_REG 0x1608 // MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0
#define MC1347_LAST_REG 0x1608 // MC_TBU_CLIENT_STEERING_CONFIG_DLA0WRA_0
#define MC1348_FIRST_REG 0x16bc // MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0
#define MC1348_LAST_REG 0x16bc // MC_TXN_OVERRIDE_CONFIG_NVENC1SWR_0
#define MC1349_FIRST_REG 0x154c // MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0
#define MC1349_LAST_REG 0x154c // MC_TBU_CLIENT_STEERING_CONFIG_MIU1W_0
#define MC1350_FIRST_REG 0x11ec // MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0
#define MC1350_LAST_REG 0x11ec // MC_TBU_CLIENT_STEERING_CONFIG_SATAW_0
#define MC1351_FIRST_REG 0x1700 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0
#define MC1351_LAST_REG 0x1700 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE3W_0
#define MC1352_FIRST_REG 0x1510 // MC_TXN_OVERRIDE_CONFIG_VICSRD1_0
#define MC1352_LAST_REG 0x1510 // MC_TXN_OVERRIDE_CONFIG_VICSRD1_0
#define MC1353_FIRST_REG 0x1254 // MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0
#define MC1353_LAST_REG 0x1254 // MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR_0
#define MC1354_FIRST_REG 0x14a8 // MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0
#define MC1354_LAST_REG 0x14a8 // MC_TXN_OVERRIDE_CONFIG_BPMPDMAR_0
#define MC1355_FIRST_REG 0x1390 // MC_TXN_OVERRIDE_CONFIG_VIW_0
#define MC1355_LAST_REG 0x1390 // MC_TXN_OVERRIDE_CONFIG_VIW_0
#define MC1356_FIRST_REG 0x14b4 // MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0
#define MC1356_LAST_REG 0x14b4 // MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW_0
#define MC1357_FIRST_REG 0x1714 // MC_TXN_OVERRIDE_CONFIG_PCIE5R_0
#define MC1357_LAST_REG 0x1714 // MC_TXN_OVERRIDE_CONFIG_PCIE5R_0
#define MC1358_FIRST_REG 0x1670 // MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0
#define MC1358_LAST_REG 0x1670 // MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB_0
#define MC1359_FIRST_REG 0x1468 // MC_TXN_OVERRIDE_CONFIG_AXISW_0
#define MC1359_LAST_REG 0x1468 // MC_TXN_OVERRIDE_CONFIG_AXISW_0
#define MC1360_FIRST_REG 0x125c // MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0
#define MC1360_LAST_REG 0x125c // MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW_0
#define MC1361_FIRST_REG 0x17fc // MC_TXN_OVERRIDE_CONFIG_MIU6W_0
#define MC1361_LAST_REG 0x17fc // MC_TXN_OVERRIDE_CONFIG_MIU6W_0
#define MC1362_FIRST_REG 0x1480 // MC_TXN_OVERRIDE_CONFIG_UFSHCR_0
#define MC1362_LAST_REG 0x1480 // MC_TXN_OVERRIDE_CONFIG_UFSHCR_0
#define MC1363_FIRST_REG 0x17f8 // MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0
#define MC1363_LAST_REG 0x17f8 // MC_TBU_CLIENT_STEERING_CONFIG_MIU6R_0
#define MC1364_FIRST_REG 0x179c // MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0
#define MC1364_LAST_REG 0x179c // MC_TXN_OVERRIDE_CONFIG_PCIE0R1_0
#define MC1365_FIRST_REG 0x1764 // MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0
#define MC1365_LAST_REG 0x1764 // MC_TXN_OVERRIDE_CONFIG_PVA0RDB1_0
#define MC1366_FIRST_REG 0x12a8 // MC_TXN_OVERRIDE_CONFIG_TSECSWR_0
#define MC1366_LAST_REG 0x12a8 // MC_TXN_OVERRIDE_CONFIG_TSECSWR_0
#define MC1367_FIRST_REG 0x1008 // MC_TXN_OVERRIDE_CONFIG_MIU7R_0
#define MC1367_LAST_REG 0x1008 // MC_TXN_OVERRIDE_CONFIG_MIU7R_0
#define MC1368_FIRST_REG 0x16f0 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0
#define MC1368_LAST_REG 0x16f0 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AW_0
#define MC1369_FIRST_REG 0x10f8 // MC_TXN_OVERRIDE_CONFIG_SATAR_0
#define MC1369_LAST_REG 0x10f8 // MC_TXN_OVERRIDE_CONFIG_SATAR_0
#define MC1370_FIRST_REG 0x1258 // MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0
#define MC1370_LAST_REG 0x1258 // MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW_0
#define MC1371_FIRST_REG 0x15f4 // MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0
#define MC1371_LAST_REG 0x15f4 // MC_TXN_OVERRIDE_CONFIG_DLA0RDA_0
#define MC1372_FIRST_REG 0x1438 // MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0
#define MC1372_LAST_REG 0x1438 // MC_TXN_OVERRIDE_CONFIG_TSECSWRB_0
#define MC1373_FIRST_REG 0x17dc // MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0
#define MC1373_LAST_REG 0x17dc // MC_TXN_OVERRIDE_CONFIG_NVDEC1SWR_0
#define MC1374_FIRST_REG 0x16c8 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0
#define MC1374_LAST_REG 0x16c8 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R_0
#define MC1375_FIRST_REG 0x16a8 // MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0
#define MC1375_LAST_REG 0x16a8 // MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAR_0
#define MC1376_FIRST_REG 0x1790 // MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0
#define MC1376_LAST_REG 0x1790 // MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD1_0
#define MC1377_FIRST_REG 0x12a4 // MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0
#define MC1377_LAST_REG 0x12a4 // MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD_0
#define MC1378_FIRST_REG 0x176c // MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0
#define MC1378_LAST_REG 0x176c // MC_TXN_OVERRIDE_CONFIG_PVA1RDA1_0
#define MC1379_FIRST_REG 0x166c // MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0
#define MC1379_LAST_REG 0x166c // MC_TXN_OVERRIDE_CONFIG_PVA1RDB_0
#define MC1380_FIRST_REG 0x14d0 // MC_TXN_OVERRIDE_CONFIG_AONDMAW_0
#define MC1380_LAST_REG 0x14d0 // MC_TXN_OVERRIDE_CONFIG_AONDMAW_0
#define MC1381_FIRST_REG 0x1234 // MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0
#define MC1381_LAST_REG 0x1234 // MC_TBU_CLIENT_STEERING_CONFIG_ISPWA_0
#define MC1382_FIRST_REG 0x14c0 // MC_TXN_OVERRIDE_CONFIG_AONW_0
#define MC1382_LAST_REG 0x14c0 // MC_TXN_OVERRIDE_CONFIG_AONW_0
#define MC1383_FIRST_REG 0x16b0 // MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0
#define MC1383_LAST_REG 0x16b0 // MC_TBU_CLIENT_STEERING_CONFIG_RCEDMAW_0
#define MC1384_FIRST_REG 0x16e8 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0
#define MC1384_LAST_REG 0x16e8 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE2AR_0
#define MC1385_FIRST_REG 0x1420 // MC_TXN_OVERRIDE_CONFIG_ETRR_0
#define MC1385_LAST_REG 0x1420 // MC_TXN_OVERRIDE_CONFIG_ETRR_0
#define MC1386_FIRST_REG 0x16ec // MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0
#define MC1386_LAST_REG 0x16ec // MC_TXN_OVERRIDE_CONFIG_PCIE2AW_0
#define MC1387_FIRST_REG 0x1394 // MC_TBU_CLIENT_STEERING_CONFIG_VIW_0
#define MC1387_LAST_REG 0x1394 // MC_TBU_CLIENT_STEERING_CONFIG_VIW_0
#define MC1388_FIRST_REG 0x149c // MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0
#define MC1388_LAST_REG 0x149c // MC_TBU_CLIENT_STEERING_CONFIG_BPMPR_0
#define MC1389_FIRST_REG 0x13c4 // MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0
#define MC1389_LAST_REG 0x13c4 // MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD_0
#define MC1390_FIRST_REG 0x16d4 // MC_TXN_OVERRIDE_CONFIG_PCIE1R_0
#define MC1390_LAST_REG 0x16d4 // MC_TXN_OVERRIDE_CONFIG_PCIE1R_0
#define MC1391_FIRST_REG 0x1474 // MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0
#define MC1391_LAST_REG 0x1474 // MC_TBU_CLIENT_STEERING_CONFIG_EQOSR_0
#define MC1392_FIRST_REG 0x1648 // MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0
#define MC1392_LAST_REG 0x1648 // MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDC_0
#define MC1393_FIRST_REG 0x1674 // MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0
#define MC1393_LAST_REG 0x1674 // MC_TXN_OVERRIDE_CONFIG_PVA1RDC_0
#define MC1394_FIRST_REG 0x164c // MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0
#define MC1394_LAST_REG 0x164c // MC_TXN_OVERRIDE_CONFIG_PVA0WRA_0
#define MC1395_FIRST_REG 0x1314 // MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0
#define MC1395_LAST_REG 0x1314 // MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR_0
#define MC1396_FIRST_REG 0x1430 // MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0
#define MC1396_LAST_REG 0x1430 // MC_TXN_OVERRIDE_CONFIG_TSECSRDB_0
#define MC1397_FIRST_REG 0x1548 // MC_TXN_OVERRIDE_CONFIG_MIU1W_0
#define MC1397_LAST_REG 0x1548 // MC_TXN_OVERRIDE_CONFIG_MIU1W_0
#define MC1398_FIRST_REG 0x16cc // MC_TXN_OVERRIDE_CONFIG_PCIE0W_0
#define MC1398_LAST_REG 0x16cc // MC_TXN_OVERRIDE_CONFIG_PCIE0W_0
#define MC1399_FIRST_REG 0x1584 // MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0
#define MC1399_LAST_REG 0x1584 // MC_TBU_CLIENT_STEERING_CONFIG_MIU3R_0
#define MC1400_FIRST_REG 0x4c00 // MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0
#define MC1400_LAST_REG 0x4c00 // MC_TBU_CLIENT_STEERING_CONFIG_MIU6W_0
#define MC1401_FIRST_REG 0x17cc // MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0
#define MC1401_LAST_REG 0x17cc // MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD_0
#define MC1402_FIRST_REG 0x148c // MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0
#define MC1402_LAST_REG 0x148c // MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW_0
#define MC1403_FIRST_REG 0x14bc // MC_TBU_CLIENT_STEERING_CONFIG_AONR_0
#define MC1403_LAST_REG 0x14bc // MC_TBU_CLIENT_STEERING_CONFIG_AONR_0
#define MC1404_FIRST_REG 0x1010 // MC_TXN_OVERRIDE_CONFIG_MIU7W_0
#define MC1404_LAST_REG 0x1010 // MC_TXN_OVERRIDE_CONFIG_MIU7W_0
#define MC1405_FIRST_REG 0x15a0 // MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0
#define MC1405_LAST_REG 0x15a0 // MC_TBU_CLIENT_STEERING_CONFIG_MIU4W_0
#define MC1406_FIRST_REG 0x1518 // MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0
#define MC1406_LAST_REG 0x1518 // MC_TXN_OVERRIDE_CONFIG_NVDECSRD1_0
#define MC1407_FIRST_REG 0x1678 // MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0
#define MC1407_LAST_REG 0x1678 // MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDC_0
#define MC1408_FIRST_REG 0x1580 // MC_TXN_OVERRIDE_CONFIG_MIU3R_0
#define MC1408_LAST_REG 0x1580 // MC_TXN_OVERRIDE_CONFIG_MIU3R_0
#define MC1409_FIRST_REG 0x158c // MC_TXN_OVERRIDE_CONFIG_MIU3W_0
#define MC1409_LAST_REG 0x158c // MC_TXN_OVERRIDE_CONFIG_MIU3W_0
#define MC1410_FIRST_REG 0x14d4 // MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0
#define MC1410_LAST_REG 0x14d4 // MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW_0
#define MC1411_FIRST_REG 0x1250 // MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0
#define MC1411_LAST_REG 0x1250 // MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR_0
#define MC1412_FIRST_REG 0x1574 // MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0
#define MC1412_LAST_REG 0x1574 // MC_TBU_CLIENT_STEERING_CONFIG_MIU2R_0
#define MC1413_FIRST_REG 0x17e8 // MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0
#define MC1413_LAST_REG 0x17e8 // MC_TBU_CLIENT_STEERING_CONFIG_MIU5R_0
#define MC1414_FIRST_REG 0x10fc // MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0
#define MC1414_LAST_REG 0x10fc // MC_TBU_CLIENT_STEERING_CONFIG_SATAR_0
#define MC1415_FIRST_REG 0x1400 // MC_TXN_OVERRIDE_CONFIG_SESRD_0
#define MC1415_LAST_REG 0x1404 // MC_TBU_CLIENT_STEERING_CONFIG_SESRD_0
#define MC1416_FIRST_REG 0x133c // MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0
#define MC1416_LAST_REG 0x133c // MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB_0
#define MC1417_FIRST_REG 0x146c // MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0
#define MC1417_LAST_REG 0x146c // MC_TBU_CLIENT_STEERING_CONFIG_AXISW_0
#define MC1418_FIRST_REG 0x14d8 // MC_TXN_OVERRIDE_CONFIG_SCER_0
#define MC1418_LAST_REG 0x14d8 // MC_TXN_OVERRIDE_CONFIG_SCER_0
#define MC1419_FIRST_REG 0x1618 // MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0
#define MC1419_LAST_REG 0x1618 // MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA_0
#define MC1420_FIRST_REG 0x143c // MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0
#define MC1420_LAST_REG 0x143c // MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB_0
#define MC1421_FIRST_REG 0x1138 // MC_TXN_OVERRIDE_CONFIG_MPCORER_0
#define MC1421_LAST_REG 0x1138 // MC_TXN_OVERRIDE_CONFIG_MPCORER_0
#define MC1422_FIRST_REG 0x1320 // MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0
#define MC1422_LAST_REG 0x1320 // MC_TXN_OVERRIDE_CONFIG_SDMMCWA_0
#define MC1423_FIRST_REG 0x16f8 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0
#define MC1423_LAST_REG 0x16f8 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE3R_0
#define MC1424_FIRST_REG 0x1590 // MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0
#define MC1424_LAST_REG 0x1590 // MC_TBU_CLIENT_STEERING_CONFIG_MIU3W_0
#define MC1425_FIRST_REG 0x11a8 // MC_TXN_OVERRIDE_CONFIG_HDAW_0
#define MC1425_LAST_REG 0x11a8 // MC_TXN_OVERRIDE_CONFIG_HDAW_0
#define MC1426_FIRST_REG 0x13c8 // MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0
#define MC1426_LAST_REG 0x13c8 // MC_TXN_OVERRIDE_CONFIG_NVDECSWR_0
#define MC1427_FIRST_REG 0x1708 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0
#define MC1427_LAST_REG 0x1708 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE4R_0
#define MC1428_FIRST_REG 0x1004 // MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0
#define MC1428_LAST_REG 0x1004 // MC_TBU_CLIENT_STEERING_CONFIG_PTCR_0
#define MC1429_FIRST_REG 0x1758 // MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0
#define MC1429_LAST_REG 0x1758 // MC_TBU_CLIENT_STEERING_CONFIG_DLA1RDA1_0
#define MC1430_FIRST_REG 0x1634 // MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0
#define MC1430_LAST_REG 0x1634 // MC_TXN_OVERRIDE_CONFIG_PVA0RDA_0
#define MC1431_FIRST_REG 0x13cc // MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0
#define MC1431_LAST_REG 0x13cc // MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR_0
#define MC1432_FIRST_REG 0x14c8 // MC_TXN_OVERRIDE_CONFIG_AONDMAR_0
#define MC1432_LAST_REG 0x14c8 // MC_TXN_OVERRIDE_CONFIG_AONDMAR_0
#define MC1433_FIRST_REG 0x1630 // MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0
#define MC1433_LAST_REG 0x1630 // MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALWRB_0
#define MC1434_FIRST_REG 0x1338 // MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0
#define MC1434_LAST_REG 0x1338 // MC_TXN_OVERRIDE_CONFIG_SDMMCWAB_0
#define MC1435_FIRST_REG 0x1228 // MC_TXN_OVERRIDE_CONFIG_ISPFALR_0
#define MC1435_LAST_REG 0x1228 // MC_TXN_OVERRIDE_CONFIG_ISPFALR_0
#define MC1436_FIRST_REG 0x14e4 // MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0
#define MC1436_LAST_REG 0x14e4 // MC_TBU_CLIENT_STEERING_CONFIG_SCEW_0
#define MC1437_FIRST_REG 0x1324 // MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0
#define MC1437_LAST_REG 0x1324 // MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA_0
#define MC1438_FIRST_REG 0x16e0 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0
#define MC1438_LAST_REG 0x16e0 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE1W_0
#define MC1439_FIRST_REG 0x175c // MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0
#define MC1439_LAST_REG 0x175c // MC_TXN_OVERRIDE_CONFIG_PVA0RDA1_0
#define MC1440_FIRST_REG 0x16b4 // MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0
#define MC1440_LAST_REG 0x16b4 // MC_TXN_OVERRIDE_CONFIG_NVENC1SRD_0
#define MC1441_FIRST_REG 0x10ac // MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0
#define MC1441_LAST_REG 0x10ac // MC_TBU_CLIENT_STEERING_CONFIG_HDAR_0
#define MC1442_FIRST_REG 0x14a4 // MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0
#define MC1442_LAST_REG 0x14a4 // MC_TBU_CLIENT_STEERING_CONFIG_BPMPW_0
#define MC1443_FIRST_REG 0x141c // MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0
#define MC1443_LAST_REG 0x141c // MC_TBU_CLIENT_STEERING_CONFIG_AXIAPW_0
#define MC1444_FIRST_REG 0x1508 // MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0
#define MC1444_LAST_REG 0x1508 // MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1_0
#define MC1445_FIRST_REG 0x1664 // MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0
#define MC1445_LAST_REG 0x1664 // MC_TXN_OVERRIDE_CONFIG_PVA1RDA_0
#define MC1446_FIRST_REG 0x174c // MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0
#define MC1446_LAST_REG 0x174c // MC_TXN_OVERRIDE_CONFIG_DLA0RDA1_0
#define MC1447_FIRST_REG 0x1238 // MC_TXN_OVERRIDE_CONFIG_ISPWB_0
#define MC1447_LAST_REG 0x1238 // MC_TXN_OVERRIDE_CONFIG_ISPWB_0
#define MC1448_FIRST_REG 0x16d8 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0
#define MC1448_LAST_REG 0x16d8 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE1R_0
#define MC1449_FIRST_REG 0x13d8 // MC_TXN_OVERRIDE_CONFIG_APEW_0
#define MC1449_LAST_REG 0x13d8 // MC_TXN_OVERRIDE_CONFIG_APEW_0
#define MC1450_FIRST_REG 0x1410 // MC_TXN_OVERRIDE_CONFIG_AXIAPR_0
#define MC1450_LAST_REG 0x1410 // MC_TXN_OVERRIDE_CONFIG_AXIAPR_0
#define MC1451_FIRST_REG 0x142c // MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0
#define MC1451_LAST_REG 0x142c // MC_TBU_CLIENT_STEERING_CONFIG_ETRW_0
#define MC1452_FIRST_REG 0x16e4 // MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0
#define MC1452_LAST_REG 0x16e4 // MC_TXN_OVERRIDE_CONFIG_PCIE2AR_0
#define MC1453_FIRST_REG 0x1620 // MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0
#define MC1453_LAST_REG 0x1620 // MC_TBU_CLIENT_STEERING_CONFIG_DLA1FALRDB_0
#define MC1454_FIRST_REG 0x1724 // MC_TXN_OVERRIDE_CONFIG_ISPFALW_0
#define MC1454_LAST_REG 0x1724 // MC_TXN_OVERRIDE_CONFIG_ISPFALW_0
#define MC1455_FIRST_REG 0x1310 // MC_TXN_OVERRIDE_CONFIG_SDMMCR_0
#define MC1455_LAST_REG 0x1310 // MC_TXN_OVERRIDE_CONFIG_SDMMCR_0
#define MC1456_FIRST_REG 0x1578 // MC_TXN_OVERRIDE_CONFIG_MIU2W_0
#define MC1456_LAST_REG 0x1578 // MC_TXN_OVERRIDE_CONFIG_MIU2W_0
#define MC1457_FIRST_REG 0x1600 // MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0
#define MC1457_LAST_REG 0x1600 // MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALRDB_0
#define MC1458_FIRST_REG 0x1014 // MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0
#define MC1458_LAST_REG 0x1014 // MC_TBU_CLIENT_STEERING_CONFIG_MIU7W_0
#define MC1459_FIRST_REG 0x1610 // MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0
#define MC1459_LAST_REG 0x1610 // MC_TBU_CLIENT_STEERING_CONFIG_DLA0FALWRB_0
#define MC1460_FIRST_REG 0x1694 // MC_TXN_OVERRIDE_CONFIG_RCER_0
#define MC1460_LAST_REG 0x1694 // MC_TXN_OVERRIDE_CONFIG_RCER_0
#define MC1461_FIRST_REG 0x170c // MC_TXN_OVERRIDE_CONFIG_PCIE4W_0
#define MC1461_LAST_REG 0x170c // MC_TXN_OVERRIDE_CONFIG_PCIE4W_0
#define MC1462_FIRST_REG 0x15e8 // MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0
#define MC1462_LAST_REG 0x15e8 // MC_TBU_CLIENT_STEERING_CONFIG_VIFALR_0
#define MC1463_FIRST_REG 0x1364 // MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0
#define MC1463_LAST_REG 0x1364 // MC_TBU_CLIENT_STEERING_CONFIG_VICSRD_0
#define MC1464_FIRST_REG 0x14a0 // MC_TXN_OVERRIDE_CONFIG_BPMPW_0
#define MC1464_LAST_REG 0x14a0 // MC_TXN_OVERRIDE_CONFIG_BPMPW_0
#define MC1465_FIRST_REG 0x14cc // MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0
#define MC1465_LAST_REG 0x14cc // MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR_0
#define MC1466_FIRST_REG 0x1490 // MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0
#define MC1466_LAST_REG 0x1490 // MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR_0
#define MC1467_FIRST_REG 0x1638 // MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0
#define MC1467_LAST_REG 0x1638 // MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA_0
#define MC1468_FIRST_REG 0x1220 // MC_TXN_OVERRIDE_CONFIG_ISPRA_0
#define MC1468_LAST_REG 0x1220 // MC_TXN_OVERRIDE_CONFIG_ISPRA_0
#define MC1469_FIRST_REG 0x13f8 // MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0
#define MC1469_LAST_REG 0x13f8 // MC_TXN_OVERRIDE_CONFIG_NVJPGSWR_0
#define MC1470_FIRST_REG 0x1770 // MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0
#define MC1470_LAST_REG 0x1770 // MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA1_0
#define MC1471_FIRST_REG 0x1360 // MC_TXN_OVERRIDE_CONFIG_VICSRD_0
#define MC1471_LAST_REG 0x1360 // MC_TXN_OVERRIDE_CONFIG_VICSRD_0
#define MC1472_FIRST_REG 0x17f0 // MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0
#define MC1472_LAST_REG 0x17f0 // MC_TBU_CLIENT_STEERING_CONFIG_MIU5W_0
#define MC1473_FIRST_REG 0x151c // MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0
#define MC1473_LAST_REG 0x151c // MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1_0
#define MC1474_FIRST_REG 0x17d4 // MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0
#define MC1474_LAST_REG 0x17d4 // MC_TXN_OVERRIDE_CONFIG_NVDEC1SRD1_0
#define MC1475_FIRST_REG 0x1614 // MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0
#define MC1475_LAST_REG 0x1614 // MC_TXN_OVERRIDE_CONFIG_DLA1RDA_0
#define MC1476_FIRST_REG 0x1514 // MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0
#define MC1476_LAST_REG 0x1514 // MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1_0
#define MC1477_FIRST_REG 0x14ac // MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0
#define MC1477_LAST_REG 0x14ac // MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR_0
#define MC1478_FIRST_REG 0x14f0 // MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0
#define MC1478_LAST_REG 0x14f0 // MC_TXN_OVERRIDE_CONFIG_SCEDMAW_0
#define MC1479_FIRST_REG 0x1330 // MC_TXN_OVERRIDE_CONFIG_SDMMCW_0
#define MC1479_LAST_REG 0x1330 // MC_TXN_OVERRIDE_CONFIG_SDMMCW_0
#define MC1480_FIRST_REG 0x161c // MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0
#define MC1480_LAST_REG 0x161c // MC_TXN_OVERRIDE_CONFIG_DLA1FALRDB_0
#define MC1481_FIRST_REG 0x140c // MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0
#define MC1481_LAST_REG 0x140c // MC_TBU_CLIENT_STEERING_CONFIG_SESWR_0
#define MC1482_FIRST_REG 0x147c // MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0
#define MC1482_LAST_REG 0x147c // MC_TBU_CLIENT_STEERING_CONFIG_EQOSW_0
#define MC1483_FIRST_REG 0x14f8 // MC_TXN_OVERRIDE_CONFIG_APEDMAR_0
#define MC1483_LAST_REG 0x14f8 // MC_TXN_OVERRIDE_CONFIG_APEDMAR_0
#define MC1484_FIRST_REG 0x1424 // MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0
#define MC1484_LAST_REG 0x1424 // MC_TBU_CLIENT_STEERING_CONFIG_ETRR_0
#define MC1485_FIRST_REG 0x169c // MC_TXN_OVERRIDE_CONFIG_RCEW_0
#define MC1485_LAST_REG 0x169c // MC_TXN_OVERRIDE_CONFIG_RCEW_0
#define MC1486_FIRST_REG 0x1318 // MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0
#define MC1486_LAST_REG 0x1318 // MC_TXN_OVERRIDE_CONFIG_SDMMCRAB_0
#define MC1487_FIRST_REG 0x113c // MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0
#define MC1487_LAST_REG 0x113c // MC_TBU_CLIENT_STEERING_CONFIG_MPCORER_0
#define MC1488_FIRST_REG 0x1534 // MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0
#define MC1488_LAST_REG 0x1534 // MC_TBU_CLIENT_STEERING_CONFIG_MIU0R_0
#define MC1489_FIRST_REG 0x1604 // MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0
#define MC1489_LAST_REG 0x1604 // MC_TXN_OVERRIDE_CONFIG_DLA0WRA_0
#define MC1490_FIRST_REG 0x1264 // MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0
#define MC1490_LAST_REG 0x1264 // MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR_0
#define MC1491_FIRST_REG 0x15e4 // MC_TXN_OVERRIDE_CONFIG_VIFALR_0
#define MC1491_LAST_REG 0x15e4 // MC_TXN_OVERRIDE_CONFIG_VIFALR_0
#define MC1492_FIRST_REG 0x13f4 // MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0
#define MC1492_LAST_REG 0x13f4 // MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD_0
#define MC1493_FIRST_REG 0x16f4 // MC_TXN_OVERRIDE_CONFIG_PCIE3R_0
#define MC1493_LAST_REG 0x16f4 // MC_TXN_OVERRIDE_CONFIG_PCIE3R_0
#define MC1494_FIRST_REG 0x16c0 // MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0
#define MC1494_LAST_REG 0x16c0 // MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SWR_0
#define MC1495_FIRST_REG 0x1540 // MC_TXN_OVERRIDE_CONFIG_MIU1R_0
#define MC1495_LAST_REG 0x1540 // MC_TXN_OVERRIDE_CONFIG_MIU1R_0
#define MC1496_FIRST_REG 0x171c // MC_TXN_OVERRIDE_CONFIG_PCIE5W_0
#define MC1496_LAST_REG 0x171c // MC_TXN_OVERRIDE_CONFIG_PCIE5W_0
#define MC1497_FIRST_REG 0x1780 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0
#define MC1497_LAST_REG 0x1780 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R1_0
#define MC1498_FIRST_REG 0x1720 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0
#define MC1498_LAST_REG 0x1720 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE5W_0
#define MC1499_FIRST_REG 0x1334 // MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0
#define MC1499_LAST_REG 0x1334 // MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW_0
#define MC1500_FIRST_REG 0x1260 // MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0
#define MC1500_LAST_REG 0x1260 // MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR_0
#define MC1501_FIRST_REG 0x1538 // MC_TXN_OVERRIDE_CONFIG_MIU0W_0
#define MC1501_LAST_REG 0x1538 // MC_TXN_OVERRIDE_CONFIG_MIU0W_0
#define MC1502_FIRST_REG 0x160c // MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0
#define MC1502_LAST_REG 0x160c // MC_TXN_OVERRIDE_CONFIG_DLA0FALWRB_0
#define MC1503_FIRST_REG 0x15ec // MC_TXN_OVERRIDE_CONFIG_VIFALW_0
#define MC1503_LAST_REG 0x15ec // MC_TXN_OVERRIDE_CONFIG_VIFALW_0
#define MC1504_FIRST_REG 0x1798 // MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0
#define MC1504_LAST_REG 0x1798 // MC_TBU_CLIENT_STEERING_CONFIG_ISPRA1_0
#define MC1505_FIRST_REG 0x15fc // MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0
#define MC1505_LAST_REG 0x15fc // MC_TXN_OVERRIDE_CONFIG_DLA0FALRDB_0
#define MC1506_FIRST_REG 0x15f8 // MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0
#define MC1506_LAST_REG 0x15f8 // MC_TBU_CLIENT_STEERING_CONFIG_DLA0RDA_0
#define MC1507_FIRST_REG 0x1768 // MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0
#define MC1507_LAST_REG 0x1768 // MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB1_0
#define MC1508_FIRST_REG 0x13d4 // MC_TBU_CLIENT_STEERING_CONFIG_APER_0
#define MC1508_LAST_REG 0x13d4 // MC_TBU_CLIENT_STEERING_CONFIG_APER_0
#define MC1509_FIRST_REG 0x1224 // MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0
#define MC1509_LAST_REG 0x1224 // MC_TBU_CLIENT_STEERING_CONFIG_ISPRA_0
#define MC1510_FIRST_REG 0x16fc // MC_TXN_OVERRIDE_CONFIG_PCIE3W_0
#define MC1510_LAST_REG 0x16fc // MC_TXN_OVERRIDE_CONFIG_PCIE3W_0
#define MC1511_FIRST_REG 0x1628 // MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0
#define MC1511_LAST_REG 0x1628 // MC_TBU_CLIENT_STEERING_CONFIG_DLA1WRA_0
#define MC1512_FIRST_REG 0x1530 // MC_TXN_OVERRIDE_CONFIG_MIU0R_0
#define MC1512_LAST_REG 0x1530 // MC_TXN_OVERRIDE_CONFIG_MIU0R_0
#define MC1513_FIRST_REG 0x1690 // MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0
#define MC1513_LAST_REG 0x1690 // MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRC_0
#define MC1514_FIRST_REG 0x136c // MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0
#define MC1514_LAST_REG 0x136c // MC_TBU_CLIENT_STEERING_CONFIG_VICSWR_0
#define MC1515_FIRST_REG 0x165c // MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0
#define MC1515_LAST_REG 0x165c // MC_TXN_OVERRIDE_CONFIG_PVA0WRC_0
#define MC1516_FIRST_REG 0x14e8 // MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0
#define MC1516_LAST_REG 0x14e8 // MC_TXN_OVERRIDE_CONFIG_SCEDMAR_0
#define MC1517_FIRST_REG 0x14c4 // MC_TBU_CLIENT_STEERING_CONFIG_AONW_0
#define MC1517_LAST_REG 0x14c4 // MC_TBU_CLIENT_STEERING_CONFIG_AONW_0
#define MC1518_FIRST_REG 0x14ec // MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0
#define MC1518_LAST_REG 0x14ec // MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR_0
#define MC1519_FIRST_REG 0x1414 // MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0
#define MC1519_LAST_REG 0x1414 // MC_TBU_CLIENT_STEERING_CONFIG_AXIAPR_0
#define MC1520_FIRST_REG 0x1668 // MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0
#define MC1520_LAST_REG 0x1668 // MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDA_0
#define MC1521_FIRST_REG 0x1500 // MC_TXN_OVERRIDE_CONFIG_APEDMAW_0
#define MC1521_LAST_REG 0x1500 // MC_TXN_OVERRIDE_CONFIG_APEDMAW_0
#define MC1522_FIRST_REG 0x1598 // MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0
#define MC1522_LAST_REG 0x1598 // MC_TBU_CLIENT_STEERING_CONFIG_MIU4R_0
#define MC1523_FIRST_REG 0x10b0 // MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0
#define MC1523_LAST_REG 0x10b0 // MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR_0
#define MC1524_FIRST_REG 0x1408 // MC_TXN_OVERRIDE_CONFIG_SESWR_0
#define MC1524_LAST_REG 0x1408 // MC_TXN_OVERRIDE_CONFIG_SESWR_0
#define MC1525_FIRST_REG 0x1304 // MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0
#define MC1525_LAST_REG 0x1304 // MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA_0
#define MC1526_FIRST_REG 0x12ac // MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0
#define MC1526_LAST_REG 0x12ac // MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR_0
#define MC1527_FIRST_REG 0x1418 // MC_TXN_OVERRIDE_CONFIG_AXIAPW_0
#define MC1527_LAST_REG 0x1418 // MC_TXN_OVERRIDE_CONFIG_AXIAPW_0
#define MC1528_FIRST_REG 0x1434 // MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0
#define MC1528_LAST_REG 0x1434 // MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB_0
#define MC1529_FIRST_REG 0x1594 // MC_TXN_OVERRIDE_CONFIG_MIU4R_0
#define MC1529_LAST_REG 0x1594 // MC_TXN_OVERRIDE_CONFIG_MIU4R_0
#define MC1530_FIRST_REG 0x159c // MC_TXN_OVERRIDE_CONFIG_MIU4W_0
#define MC1530_LAST_REG 0x159c // MC_TXN_OVERRIDE_CONFIG_MIU4W_0
#define MC1531_FIRST_REG 0x13f0 // MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0
#define MC1531_LAST_REG 0x13f0 // MC_TXN_OVERRIDE_CONFIG_NVJPGSRD_0
#define MC1532_FIRST_REG 0x1658 // MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0
#define MC1532_LAST_REG 0x1658 // MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRB_0
#define MC1533_FIRST_REG 0x1698 // MC_TBU_CLIENT_STEERING_CONFIG_RCER_0
#define MC1533_LAST_REG 0x1698 // MC_TBU_CLIENT_STEERING_CONFIG_RCER_0
#define MC1534_FIRST_REG 0x1778 // MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0
#define MC1534_LAST_REG 0x1778 // MC_TBU_CLIENT_STEERING_CONFIG_PVA1RDB1_0
#define MC1535_FIRST_REG 0x13c0 // MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0
#define MC1535_LAST_REG 0x13c0 // MC_TXN_OVERRIDE_CONFIG_NVDECSRD_0
#define MC1536_FIRST_REG 0x14fc // MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0
#define MC1536_LAST_REG 0x14fc // MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR_0
#define MC1537_FIRST_REG 0x14b0 // MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0
#define MC1537_LAST_REG 0x14b0 // MC_TXN_OVERRIDE_CONFIG_BPMPDMAW_0
#define MC1538_FIRST_REG 0x1484 // MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0
#define MC1538_LAST_REG 0x1484 // MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR_0
#define MC1539_FIRST_REG 0x100c // MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0
#define MC1539_LAST_REG 0x100c // MC_TBU_CLIENT_STEERING_CONFIG_MIU7R_0
#define MC1540_FIRST_REG 0x13d0 // MC_TXN_OVERRIDE_CONFIG_APER_0
#define MC1540_LAST_REG 0x13d0 // MC_TXN_OVERRIDE_CONFIG_APER_0
#define MC1541_FIRST_REG 0x11cc // MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0
#define MC1541_LAST_REG 0x11cc // MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW_0
#define MC1542_FIRST_REG 0x1710 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0
#define MC1542_LAST_REG 0x1710 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE4W_0
#define MC1543_FIRST_REG 0x17a0 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0
#define MC1543_LAST_REG 0x17a0 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE0R1_0
#define MC1544_FIRST_REG 0x1754 // MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0
#define MC1544_LAST_REG 0x1754 // MC_TXN_OVERRIDE_CONFIG_DLA1RDA1_0
#define MC1545_FIRST_REG 0x1788 // MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0
#define MC1545_LAST_REG 0x1788 // MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD1_0
#define MC1546_FIRST_REG 0x10b4 // MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0
#define MC1546_LAST_REG 0x10b4 // MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR_0
#define MC1547_FIRST_REG 0x157c // MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0
#define MC1547_LAST_REG 0x157c // MC_TBU_CLIENT_STEERING_CONFIG_MIU2W_0
#define MC1548_FIRST_REG 0x17d8 // MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0
#define MC1548_LAST_REG 0x17d8 // MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD1_0
#define MC1549_FIRST_REG 0x1688 // MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0
#define MC1549_LAST_REG 0x1688 // MC_TBU_CLIENT_STEERING_CONFIG_PVA1WRB_0
#define MC1550_FIRST_REG 0x16d0 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0
#define MC1550_LAST_REG 0x16d0 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE0W_0
#define MC1551_FIRST_REG 0x1684 // MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0
#define MC1551_LAST_REG 0x1684 // MC_TXN_OVERRIDE_CONFIG_PVA1WRB_0
#define MC1552_FIRST_REG 0x1230 // MC_TXN_OVERRIDE_CONFIG_ISPWA_0
#define MC1552_LAST_REG 0x1230 // MC_TXN_OVERRIDE_CONFIG_ISPWA_0
#define MC1553_FIRST_REG 0x1650 // MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0
#define MC1553_LAST_REG 0x1650 // MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRA_0
#define MC1554_FIRST_REG 0x168c // MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0
#define MC1554_LAST_REG 0x168c // MC_TXN_OVERRIDE_CONFIG_PVA1WRC_0
#define MC1555_FIRST_REG 0x16a4 // MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0
#define MC1555_LAST_REG 0x16a4 // MC_TXN_OVERRIDE_CONFIG_RCEDMAR_0
#define MC1556_FIRST_REG 0x1544 // MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0
#define MC1556_LAST_REG 0x1544 // MC_TBU_CLIENT_STEERING_CONFIG_MIU1R_0
#define MC1557_FIRST_REG 0x1794 // MC_TXN_OVERRIDE_CONFIG_ISPRA1_0
#define MC1557_LAST_REG 0x1794 // MC_TXN_OVERRIDE_CONFIG_ISPRA1_0
#define MC1558_FIRST_REG 0x123c // MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0
#define MC1558_LAST_REG 0x123c // MC_TBU_CLIENT_STEERING_CONFIG_ISPWB_0
#define MC1559_FIRST_REG 0x153c // MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0
#define MC1559_LAST_REG 0x153c // MC_TBU_CLIENT_STEERING_CONFIG_MIU0W_0
#define MC1560_FIRST_REG 0x14b8 // MC_TXN_OVERRIDE_CONFIG_AONR_0
#define MC1560_LAST_REG 0x14b8 // MC_TXN_OVERRIDE_CONFIG_AONR_0
#define MC1561_FIRST_REG 0x16ac // MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0
#define MC1561_LAST_REG 0x16ac // MC_TXN_OVERRIDE_CONFIG_RCEDMAW_0
#define MC1562_FIRST_REG 0x1718 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0
#define MC1562_LAST_REG 0x1718 // MC_TBU_CLIENT_STEERING_CONFIG_PCIE5R_0
#define MC1563_FIRST_REG 0x1488 // MC_TXN_OVERRIDE_CONFIG_UFSHCW_0
#define MC1563_LAST_REG 0x1488 // MC_TXN_OVERRIDE_CONFIG_UFSHCW_0
#define MC1564_FIRST_REG 0x1428 // MC_TXN_OVERRIDE_CONFIG_ETRW_0
#define MC1564_LAST_REG 0x1428 // MC_TXN_OVERRIDE_CONFIG_ETRW_0
#define MC1565_FIRST_REG 0x11e8 // MC_TXN_OVERRIDE_CONFIG_SATAW_0
#define MC1565_LAST_REG 0x11e8 // MC_TXN_OVERRIDE_CONFIG_SATAW_0
#define MC1566_FIRST_REG 0x131c // MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0
#define MC1566_LAST_REG 0x131c // MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB_0
#define MC1567_FIRST_REG 0x1368 // MC_TXN_OVERRIDE_CONFIG_VICSWR_0
#define MC1567_LAST_REG 0x1368 // MC_TXN_OVERRIDE_CONFIG_VICSWR_0
#define MC1568_FIRST_REG 0x1158 // MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0
#define MC1568_LAST_REG 0x1158 // MC_TXN_OVERRIDE_CONFIG_NVENCSWR_0
#define MC1569_FIRST_REG 0x177c // MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0
#define MC1569_LAST_REG 0x177c // MC_TXN_OVERRIDE_CONFIG_PCIE5R1_0
#define MC1570_FIRST_REG 0x14dc // MC_TBU_CLIENT_STEERING_CONFIG_SCER_0
#define MC1570_LAST_REG 0x14dc // MC_TBU_CLIENT_STEERING_CONFIG_SCER_0
#define MC1571_FIRST_REG 0x163c // MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0
#define MC1571_LAST_REG 0x163c // MC_TXN_OVERRIDE_CONFIG_PVA0RDB_0
#define MC1572_FIRST_REG 0x1300 // MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0
#define MC1572_LAST_REG 0x1300 // MC_TXN_OVERRIDE_CONFIG_SDMMCRA_0
#define MC1573_FIRST_REG 0x150c // MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0
#define MC1573_LAST_REG 0x150c // MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1_0
#define MC1574_FIRST_REG 0x115c // MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0
#define MC1574_LAST_REG 0x115c // MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR_0
#define MC1575_FIRST_REG 0x13fc // MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0
#define MC1575_LAST_REG 0x13fc // MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR_0
#define MC1576_FIRST_REG 0x167c // MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0
#define MC1576_LAST_REG 0x167c // MC_TXN_OVERRIDE_CONFIG_PVA1WRA_0
#define MC1577_FIRST_REG 0x1760 // MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0
#define MC1577_LAST_REG 0x1760 // MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDA1_0
#define MC1578_FIRST_REG 0x17ec // MC_TXN_OVERRIDE_CONFIG_MIU5W_0
#define MC1578_LAST_REG 0x17ec // MC_TXN_OVERRIDE_CONFIG_MIU5W_0
#define MC1579_FIRST_REG 0x15f0 // MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0
#define MC1579_LAST_REG 0x15f0 // MC_TBU_CLIENT_STEERING_CONFIG_VIFALW_0
#define MC1580_FIRST_REG 0x14f4 // MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0
#define MC1580_LAST_REG 0x14f4 // MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW_0
#define MC1581_FIRST_REG 0x1498 // MC_TXN_OVERRIDE_CONFIG_BPMPR_0
#define MC1581_LAST_REG 0x1498 // MC_TXN_OVERRIDE_CONFIG_BPMPR_0
#define MC1582_FIRST_REG 0x17d0 // MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0
#define MC1582_LAST_REG 0x17d0 // MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SRD_0
#define MC1583_FIRST_REG 0x17e0 // MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0
#define MC1583_LAST_REG 0x17e0 // MC_TBU_CLIENT_STEERING_CONFIG_NVDEC1SWR_0
#define MC1584_FIRST_REG 0x1570 // MC_TXN_OVERRIDE_CONFIG_MIU2R_0
#define MC1584_LAST_REG 0x1570 // MC_TXN_OVERRIDE_CONFIG_MIU2R_0
#define MC1585_FIRST_REG 0x1494 // MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0
#define MC1585_LAST_REG 0x1494 // MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR_0
#define MC1586_FIRST_REG 0x11ac // MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0
#define MC1586_LAST_REG 0x11ac // MC_TBU_CLIENT_STEERING_CONFIG_HDAW_0
#define MC1587_FIRST_REG 0x10e4 // MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0
#define MC1587_LAST_REG 0x10e4 // MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD_0
#define MC1588_FIRST_REG 0x1640 // MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0
#define MC1588_LAST_REG 0x1640 // MC_TBU_CLIENT_STEERING_CONFIG_PVA0RDB_0
#define MC1589_FIRST_REG 0x1268 // MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0
#define MC1589_LAST_REG 0x1268 // MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW_0
#define MC1590_FIRST_REG 0x16b8 // MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0
#define MC1590_LAST_REG 0x16b8 // MC_TBU_CLIENT_STEERING_CONFIG_NVENC1SRD_0
#define MC1591_FIRST_REG 0x12a0 // MC_TXN_OVERRIDE_CONFIG_TSECSRD_0
#define MC1591_LAST_REG 0x12a0 // MC_TXN_OVERRIDE_CONFIG_TSECSRD_0
#define MC1592_FIRST_REG 0x1704 // MC_TXN_OVERRIDE_CONFIG_PCIE4R_0
#define MC1592_LAST_REG 0x1704 // MC_TXN_OVERRIDE_CONFIG_PCIE4R_0
#define MC1593_FIRST_REG 0x13dc // MC_TBU_CLIENT_STEERING_CONFIG_APEW_0
#define MC1593_LAST_REG 0x13dc // MC_TBU_CLIENT_STEERING_CONFIG_APEW_0
#define MC1594_FIRST_REG 0x1728 // MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0
#define MC1594_LAST_REG 0x1728 // MC_TBU_CLIENT_STEERING_CONFIG_ISPFALW_0
#define MC1595_FIRST_REG 0x14e0 // MC_TXN_OVERRIDE_CONFIG_SCEW_0
#define MC1595_LAST_REG 0x14e0 // MC_TXN_OVERRIDE_CONFIG_SCEW_0
#define MC1596_FIRST_REG 0x1660 // MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0
#define MC1596_LAST_REG 0x1660 // MC_TBU_CLIENT_STEERING_CONFIG_PVA0WRC_0
#define MC1597_FIRST_REG 0x1800 // MC_TBU_ADR_MASK_0_0
#define MC1597_LAST_REG 0x1804 // MC_TBU_ADR_MASK_1_0
#define MC1598_FIRST_REG 0x18bc // MC_TBU_ADR_MASK_2_0
#define MC1598_LAST_REG 0x18bc // MC_TBU_ADR_MASK_2_0
#define MC1599_FIRST_REG 0x1808 // MC_CLIENT_TRAFFIC_TYPE_CONFIG_0_0
#define MC1599_LAST_REG 0x181c // MC_CLIENT_TRAFFIC_TYPE_CONFIG_5_0
#define MC1600_FIRST_REG 0x18b0 // MC_CLIENT_TRAFFIC_TYPE_CONFIG_6_0
#define MC1600_LAST_REG 0x18b8 // MC_MC_TBU_TRANSACTION_ATTR_CTRL_0
#define MC1601_FIRST_REG 0x2a6c // MC_CLIENT_ORDER_ID_27_0
#define MC1601_LAST_REG 0x2a6c // MC_CLIENT_ORDER_ID_27_0
#define MC1602_FIRST_REG 0x2a34 // MC_CLIENT_ORDER_ID_13_0
#define MC1602_LAST_REG 0x2a34 // MC_CLIENT_ORDER_ID_13_0
#define MC1603_FIRST_REG 0x2a24 // MC_CLIENT_ORDER_ID_9_0
#define MC1603_LAST_REG 0x2a24 // MC_CLIENT_ORDER_ID_9_0
#define MC1604_FIRST_REG 0x2a10 // MC_CLIENT_ORDER_ID_4_0
#define MC1604_LAST_REG 0x2a10 // MC_CLIENT_ORDER_ID_4_0
#define MC1605_FIRST_REG 0x2a28 // MC_CLIENT_ORDER_ID_10_0
#define MC1605_LAST_REG 0x2a28 // MC_CLIENT_ORDER_ID_10_0
#define MC1606_FIRST_REG 0x2a54 // MC_CLIENT_ORDER_ID_21_0
#define MC1606_LAST_REG 0x2a54 // MC_CLIENT_ORDER_ID_21_0
#define MC1607_FIRST_REG 0x2a68 // MC_CLIENT_ORDER_ID_26_0
#define MC1607_LAST_REG 0x2a68 // MC_CLIENT_ORDER_ID_26_0
#define MC1608_FIRST_REG 0x2a44 // MC_CLIENT_ORDER_ID_17_0
#define MC1608_LAST_REG 0x2a44 // MC_CLIENT_ORDER_ID_17_0
#define MC1609_FIRST_REG 0x2a3c // MC_CLIENT_ORDER_ID_15_0
#define MC1609_LAST_REG 0x2a3c // MC_CLIENT_ORDER_ID_15_0
#define MC1610_FIRST_REG 0x2a18 // MC_CLIENT_ORDER_ID_6_0
#define MC1610_LAST_REG 0x2a18 // MC_CLIENT_ORDER_ID_6_0
#define MC1611_FIRST_REG 0x2d00 // MC_CLIENT_ORDER_ID_30_0
#define MC1611_LAST_REG 0x2d00 // MC_CLIENT_ORDER_ID_30_0
#define MC1612_FIRST_REG 0x2a48 // MC_CLIENT_ORDER_ID_18_0
#define MC1612_LAST_REG 0x2a48 // MC_CLIENT_ORDER_ID_18_0
#define MC1613_FIRST_REG 0x2a14 // MC_CLIENT_ORDER_ID_5_0
#define MC1613_LAST_REG 0x2a14 // MC_CLIENT_ORDER_ID_5_0
#define MC1614_FIRST_REG 0x2a5c // MC_CLIENT_ORDER_ID_23_0
#define MC1614_LAST_REG 0x2a5c // MC_CLIENT_ORDER_ID_23_0
#define MC1615_FIRST_REG 0x2a74 // MC_CLIENT_ORDER_ID_29_0
#define MC1615_LAST_REG 0x2a74 // MC_CLIENT_ORDER_ID_29_0
#define MC1616_FIRST_REG 0x2a38 // MC_CLIENT_ORDER_ID_14_0
#define MC1616_LAST_REG 0x2a38 // MC_CLIENT_ORDER_ID_14_0
#define MC1617_FIRST_REG 0x2a60 // MC_CLIENT_ORDER_ID_24_0
#define MC1617_LAST_REG 0x2a60 // MC_CLIENT_ORDER_ID_24_0
#define MC1618_FIRST_REG 0x2a0c // MC_CLIENT_ORDER_ID_3_0
#define MC1618_LAST_REG 0x2a0c // MC_CLIENT_ORDER_ID_3_0
#define MC1619_FIRST_REG 0x2a4c // MC_CLIENT_ORDER_ID_19_0
#define MC1619_LAST_REG 0x2a4c // MC_CLIENT_ORDER_ID_19_0
#define MC1620_FIRST_REG 0x2a1c // MC_CLIENT_ORDER_ID_7_0
#define MC1620_LAST_REG 0x2a1c // MC_CLIENT_ORDER_ID_7_0
#define MC1621_FIRST_REG 0x2a00 // MC_CLIENT_ORDER_ID_0_0
#define MC1621_LAST_REG 0x2a00 // MC_CLIENT_ORDER_ID_0_0
#define MC1622_FIRST_REG 0x2a08 // MC_CLIENT_ORDER_ID_2_0
#define MC1622_LAST_REG 0x2a08 // MC_CLIENT_ORDER_ID_2_0
#define MC1623_FIRST_REG 0x2a40 // MC_CLIENT_ORDER_ID_16_0
#define MC1623_LAST_REG 0x2a40 // MC_CLIENT_ORDER_ID_16_0
#define MC1624_FIRST_REG 0x2a58 // MC_CLIENT_ORDER_ID_22_0
#define MC1624_LAST_REG 0x2a58 // MC_CLIENT_ORDER_ID_22_0
#define MC1625_FIRST_REG 0x2a30 // MC_CLIENT_ORDER_ID_12_0
#define MC1625_LAST_REG 0x2a30 // MC_CLIENT_ORDER_ID_12_0
#define MC1626_FIRST_REG 0x2a70 // MC_CLIENT_ORDER_ID_28_0
#define MC1626_LAST_REG 0x2a70 // MC_CLIENT_ORDER_ID_28_0
#define MC1627_FIRST_REG 0x2d04 // MC_CLIENT_ORDER_ID_31_0
#define MC1627_LAST_REG 0x2d04 // MC_CLIENT_ORDER_ID_31_0
#define MC1628_FIRST_REG 0x2a64 // MC_CLIENT_ORDER_ID_25_0
#define MC1628_LAST_REG 0x2a64 // MC_CLIENT_ORDER_ID_25_0
#define MC1629_FIRST_REG 0x2a50 // MC_CLIENT_ORDER_ID_20_0
#define MC1629_LAST_REG 0x2a50 // MC_CLIENT_ORDER_ID_20_0
#define MC1630_FIRST_REG 0x2a20 // MC_CLIENT_ORDER_ID_8_0
#define MC1630_LAST_REG 0x2a20 // MC_CLIENT_ORDER_ID_8_0
#define MC1631_FIRST_REG 0x2aa4 // MC_HUB_PC_VC_ID_11_0
#define MC1631_LAST_REG 0x2aa8 // MC_HUB_PC_VC_ID_12_0
#define MC1632_FIRST_REG 0x2a80 // MC_HUB_PC_VC_ID_2_0
#define MC1632_LAST_REG 0x2a80 // MC_HUB_PC_VC_ID_2_0
#define MC1633_FIRST_REG 0x2aa0 // MC_HUB_PC_VC_ID_10_0
#define MC1633_LAST_REG 0x2aa0 // MC_HUB_PC_VC_ID_10_0
#define MC1634_FIRST_REG 0x2a90 // MC_HUB_PC_VC_ID_6_0
#define MC1634_LAST_REG 0x2a90 // MC_HUB_PC_VC_ID_6_0
#define MC1635_FIRST_REG 0x2d78 // MC_HUB_PC_VC_ID_13_0
#define MC1635_LAST_REG 0x2d78 // MC_HUB_PC_VC_ID_13_0
#define MC1636_FIRST_REG 0x2a7c // MC_HUB_PC_VC_ID_1_0
#define MC1636_LAST_REG 0x2a7c // MC_HUB_PC_VC_ID_1_0
#define MC1637_FIRST_REG 0x2a94 // MC_HUB_PC_VC_ID_7_0
#define MC1637_LAST_REG 0x2a94 // MC_HUB_PC_VC_ID_7_0
#define MC1638_FIRST_REG 0x2a78 // MC_HUB_PC_VC_ID_0_0
#define MC1638_LAST_REG 0x2a78 // MC_HUB_PC_VC_ID_0_0
#define MC1639_FIRST_REG 0x2a9c // MC_HUB_PC_VC_ID_9_0
#define MC1639_LAST_REG 0x2a9c // MC_HUB_PC_VC_ID_9_0
#define MC1640_FIRST_REG 0x2a8c // MC_HUB_PC_VC_ID_5_0
#define MC1640_LAST_REG 0x2a8c // MC_HUB_PC_VC_ID_5_0
#define MC1641_FIRST_REG 0x2a84 // MC_HUB_PC_VC_ID_3_0
#define MC1641_LAST_REG 0x2a84 // MC_HUB_PC_VC_ID_3_0
#define MC1642_FIRST_REG 0x2a98 // MC_HUB_PC_VC_ID_8_0
#define MC1642_LAST_REG 0x2a98 // MC_HUB_PC_VC_ID_8_0
#define MC1643_FIRST_REG 0x2d7c // MC_HUB_PC_VC_ID_14_0
#define MC1643_LAST_REG 0x2d7c // MC_HUB_PC_VC_ID_14_0
#define MC1644_FIRST_REG 0x2a88 // MC_HUB_PC_VC_ID_4_0
#define MC1644_LAST_REG 0x2a88 // MC_HUB_PC_VC_ID_4_0
#define MC1645_FIRST_REG 0x2930 // MC_COALESCE_CTRL_0
#define MC1645_LAST_REG 0x2990 // MC_SMMU_CLIENT_STEERING_CTRL7_0
#define MC1646_FIRST_REG 0x1820 // MC_SMMU_BYPASS_CONFIG_0
#define MC1646_LAST_REG 0x183c // MC_CLIENT_CCI_CAPABLE_6_0
#define MC1647_FIRST_REG 0x1c34 // MC_CLIENT_CCI_CAPABLE_8_0
#define MC1647_LAST_REG 0x1c34 // MC_CLIENT_CCI_CAPABLE_8_0
#define MC1648_FIRST_REG 0x193c // MC_CLIENT_CCI_CAPABLE_7_0
#define MC1648_LAST_REG 0x193c // MC_CLIENT_CCI_CAPABLE_7_0
#define MC1649_FIRST_REG 0x1840 // MC_MAX_OUTSTANDING_CCI_0
#define MC1649_LAST_REG 0x1844 // MC_NV_CACHE_CONFIG_0
#define MC1650_FIRST_REG 0x184c // MC_NV_CACHE_HUB_MASK_0
#define MC1650_LAST_REG 0x1854 // MC_SYSRAM_TOM_0
#define MC1651_FIRST_REG 0x1588 // MC_SYSRAM_ADR_HI_0
#define MC1651_LAST_REG 0x1588 // MC_SYSRAM_ADR_HI_0
#define MC1652_FIRST_REG 0x185c // MC_SYSRAM_REG_CTRL_0
#define MC1652_LAST_REG 0x1864 // MC_MSSNVLINK_TOM_0
#define MC1653_FIRST_REG 0x186c // MC_MSSNVLINK_REG_CTRL_0
#define MC1653_LAST_REG 0x1874 // MC_SYNCPOINT_TOM_0
#define MC1654_FIRST_REG 0x187c // MC_SYNCPOINT_REG_CTRL_0
#define MC1654_LAST_REG 0x1880 // MC_ECC_CONTROL_0
#define MC1655_FIRST_REG 0x1890 // MC_MSSNVLINK_IGPU_LATENCY_ALLOWANCE_0
#define MC1655_LAST_REG 0x1894 // MC_MSSNVLINK_DGPU_LATENCY_ALLOWANCE_0
#define MC1656_FIRST_REG 0x189c // MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0
#define MC1656_LAST_REG 0x189c // MC_CIFLL_NVLRHP_LATENCY_ALLOWANCE_0
#define MC1657_FIRST_REG 0x0ed4 // MC_CFG_WCAM_GOB_REMAP_0
#define MC1657_LAST_REG 0x0ed8 // MC_ECC_RAW_MODE_CONTROL_0
#define MC1658_FIRST_REG 0x1884 // MC_ECC_CFG_0
#define MC1658_LAST_REG 0x1884 // MC_ECC_CFG_0
#define MC1659_FIRST_REG 0x0ed0 // MC_TR_BIT_CTL_0
#define MC1659_LAST_REG 0x0ed0 // MC_TR_BIT_CTL_0
#define MC1660_FIRST_REG 0x0e54 // MC_CH_INTSTATUS_0
#define MC1660_LAST_REG 0x0e54 // MC_CH_INTSTATUS_0
#define MC1661_FIRST_REG 0x0e5c // MC_LATENCY_ALLOWANCE_WCAM_0
#define MC1661_LAST_REG 0x0e64 // MC_WCAM_ENCR_KEY_STATUS_0
#define MC1662_FIRST_REG 0x0eb0 // MC_WCAM_STATE_0
#define MC1662_LAST_REG 0x0eb0 // MC_WCAM_STATE_0
#define MC1663_FIRST_REG 0x0edc // MC_WCAM_IRQ_TEST_0
#define MC1663_LAST_REG 0x0eec // MC_WCAM_IRQ_P1_STATUS1_0
#define MC1664_FIRST_REG 0x0e68 // MC_ROC_DMA_R_PTSA_MIN_0
#define MC1664_LAST_REG 0x0eac // MC_LATENCY_ALLOWANCE_ROC_DMA_R_0_0
#define MC1665_FIRST_REG 0x1100 // MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0
#define MC1665_LAST_REG 0x1130 // MC_CIFLL_RING0X_PTSA_RATE_0
#define MC1666_FIRST_REG 0x1174 // MC_CIFLL_CPU_RD_PRI_CTRL_0
#define MC1666_LAST_REG 0x1174 // MC_CIFLL_CPU_RD_PRI_CTRL_0
#define MC1667_FIRST_REG 0x0f18 // MC_MEM_SCRUBBER_ECC_ADDR_0
#define MC1667_LAST_REG 0x0f20 // MC_MEM_SCRUBBER_ECC_REG_CTRL_0
#define MC1668_FIRST_REG 0x0f30 // MC_SMMU_MTLB_WC_HASHING_CONFIG_0
#define MC1668_LAST_REG 0x0f30 // MC_SMMU_MTLB_WC_HASHING_CONFIG_0
#define MC1669_FIRST_REG 0x0f38 // MC_SMMU_NVCACHE_CONFIG_0
#define MC1669_LAST_REG 0x0f38 // MC_SMMU_NVCACHE_CONFIG_0
#define MC1670_FIRST_REG 0x0fe8 // MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0
#define MC1670_LAST_REG 0x0ff0 // MC_DBB_RINGFENCE_STATUS_0
#define MC1671_FIRST_REG 0x0f3c // MC_CCITRX_ENABLE_CONFIG_0
#define MC1671_LAST_REG 0x0f44 // MC_EMEM_ARB_THROTTLE_CFG_0
#define MC_MSS_SYSRAM_EC0_FIRST_REG 0x9000 // MC_MSS_SYSRAM_EC_FEATURE_0
#define MC_MSS_SYSRAM_EC0_LAST_REG 0x901c // MC_MSS_SYSRAM_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_MSS_SYSRAM_EC1_FIRST_REG 0x9030 // MC_MSS_SYSRAM_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_MSS_SYSRAM_EC1_LAST_REG 0x9048 // MC_MSS_SYSRAM_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_MSS_SYSRAM_EC2_FIRST_REG 0x9050 // MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_MSS_SYSRAM_EC2_LAST_REG 0x9050 // MC_MSS_SYSRAM_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_TCU_WRAP_EC0_FIRST_REG 0x9100 // MC_TCU_WRAP_EC_FEATURE_0
#define MC_TCU_WRAP_EC0_LAST_REG 0x911c // MC_TCU_WRAP_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_TCU_WRAP_EC1_FIRST_REG 0x9130 // MC_TCU_WRAP_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_TCU_WRAP_EC1_LAST_REG 0x9148 // MC_TCU_WRAP_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_TCU_WRAP_EC2_FIRST_REG 0x9150 // MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_TCU_WRAP_EC2_LAST_REG 0x9150 // MC_TCU_WRAP_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_TCU_WRAP_EC3_FIRST_REG 0x9160 // MC_TCU_WRAP_EC_ERRSLICE1_MISSIONERR_ENABLE_0
#define MC_TCU_WRAP_EC3_LAST_REG 0x9178 // MC_TCU_WRAP_EC_ERRSLICE1_LATENTERR_STATUS_0
#define MC_TCU_WRAP_EC4_FIRST_REG 0x9180 // MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0
#define MC_TCU_WRAP_EC4_LAST_REG 0x9180 // MC_TCU_WRAP_EC_ERRSLICE1_COUNTER_RELOAD_0
#define MC_MSS_SBS_EC0_FIRST_REG 0x9200 // MC_MSS_SBS_EC_FEATURE_0
#define MC_MSS_SBS_EC0_LAST_REG 0x921c // MC_MSS_SBS_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_MSS_SBS_EC1_FIRST_REG 0x9230 // MC_MSS_SBS_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_MSS_SBS_EC1_LAST_REG 0x9248 // MC_MSS_SBS_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_MSS_SBS_EC2_FIRST_REG 0x9250 // MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_MSS_SBS_EC2_LAST_REG 0x9250 // MC_MSS_SBS_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_MCF_SLICE_EC0_FIRST_REG 0x9300 // MC_MCF_SLICE_EC_FEATURE_0
#define MC_MCF_SLICE_EC0_LAST_REG 0x931c // MC_MCF_SLICE_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_MCF_SLICE_EC1_FIRST_REG 0x9330 // MC_MCF_SLICE_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_MCF_SLICE_EC1_LAST_REG 0x9348 // MC_MCF_SLICE_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_MCF_SLICE_EC2_FIRST_REG 0x9350 // MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_MCF_SLICE_EC2_LAST_REG 0x9350 // MC_MCF_SLICE_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_MCF_IREQX_EC0_FIRST_REG 0x9400 // MC_MCF_IREQX_EC_FEATURE_0
#define MC_MCF_IREQX_EC0_LAST_REG 0x940c // MC_MCF_IREQX_EC_CURRENT_COUNTER_VALUE_0
#define MC_MCF_IREQX_EC1_FIRST_REG 0x9414 // MC_MCF_IREQX_EC_MISSIONERR_INDEX_0
#define MC_MCF_IREQX_EC1_LAST_REG 0x941c // MC_MCF_IREQX_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_MCF_IREQX_EC2_FIRST_REG 0x9430 // MC_MCF_IREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_MCF_IREQX_EC2_LAST_REG 0x9448 // MC_MCF_IREQX_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_MCF_IREQX_EC3_FIRST_REG 0x9450 // MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_MCF_IREQX_EC3_LAST_REG 0x9450 // MC_MCF_IREQX_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_MCF_IRSPX_EC0_FIRST_REG 0x9500 // MC_MCF_IRSPX_EC_FEATURE_0
#define MC_MCF_IRSPX_EC0_LAST_REG 0x951c // MC_MCF_IRSPX_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_MCF_IRSPX_EC1_FIRST_REG 0x9530 // MC_MCF_IRSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_MCF_IRSPX_EC1_LAST_REG 0x9548 // MC_MCF_IRSPX_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_MCF_IRSPX_EC2_FIRST_REG 0x9550 // MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_MCF_IRSPX_EC2_LAST_REG 0x9550 // MC_MCF_IRSPX_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_MCF_OREQX_EC0_FIRST_REG 0x9600 // MC_MCF_OREQX_EC_FEATURE_0
#define MC_MCF_OREQX_EC0_LAST_REG 0x961c // MC_MCF_OREQX_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_MCF_OREQX_EC1_FIRST_REG 0x9630 // MC_MCF_OREQX_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_MCF_OREQX_EC1_LAST_REG 0x9648 // MC_MCF_OREQX_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_MCF_OREQX_EC2_FIRST_REG 0x9650 // MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_MCF_OREQX_EC2_LAST_REG 0x9650 // MC_MCF_OREQX_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_MCF_OREQX_EC3_FIRST_REG 0x9660 // MC_MCF_OREQX_EC_ERRSLICE1_MISSIONERR_ENABLE_0
#define MC_MCF_OREQX_EC3_LAST_REG 0x9678 // MC_MCF_OREQX_EC_ERRSLICE1_LATENTERR_STATUS_0
#define MC_MCF_OREQX_EC4_FIRST_REG 0x9680 // MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0
#define MC_MCF_OREQX_EC4_LAST_REG 0x9680 // MC_MCF_OREQX_EC_ERRSLICE1_COUNTER_RELOAD_0
#define MC_MCF_ORSPX_EC0_FIRST_REG 0x9700 // MC_MCF_ORSPX_EC_FEATURE_0
#define MC_MCF_ORSPX_EC0_LAST_REG 0x970c // MC_MCF_ORSPX_EC_CURRENT_COUNTER_VALUE_0
#define MC_MCF_ORSPX_EC1_FIRST_REG 0x9714 // MC_MCF_ORSPX_EC_MISSIONERR_INDEX_0
#define MC_MCF_ORSPX_EC1_LAST_REG 0x971c // MC_MCF_ORSPX_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_MCF_ORSPX_EC2_FIRST_REG 0x9730 // MC_MCF_ORSPX_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_MCF_ORSPX_EC2_LAST_REG 0x9748 // MC_MCF_ORSPX_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_MCF_ORSPX_EC3_FIRST_REG 0x9750 // MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_MCF_ORSPX_EC3_LAST_REG 0x9750 // MC_MCF_ORSPX_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_CHANNEL_EC0_FIRST_REG 0x9800 // MC_CHANNEL_EC_FEATURE_0
#define MC_CHANNEL_EC0_LAST_REG 0x981c // MC_CHANNEL_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_CHANNEL_EC1_FIRST_REG 0x9830 // MC_CHANNEL_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_CHANNEL_EC1_LAST_REG 0x9848 // MC_CHANNEL_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_CHANNEL_EC2_FIRST_REG 0x9850 // MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_CHANNEL_EC2_LAST_REG 0x9850 // MC_CHANNEL_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_CHANNEL_EC3_FIRST_REG 0x9860 // MC_CHANNEL_EC_ERRSLICE1_MISSIONERR_ENABLE_0
#define MC_CHANNEL_EC3_LAST_REG 0x9878 // MC_CHANNEL_EC_ERRSLICE1_LATENTERR_STATUS_0
#define MC_CHANNEL_EC4_FIRST_REG 0x9880 // MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0
#define MC_CHANNEL_EC4_LAST_REG 0x9880 // MC_CHANNEL_EC_ERRSLICE1_COUNTER_RELOAD_0
#define MC_HUB_EC0_FIRST_REG 0x9900 // MC_HUB_EC_FEATURE_0
#define MC_HUB_EC0_LAST_REG 0x991c // MC_HUB_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_HUB_EC1_FIRST_REG 0x9930 // MC_HUB_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_HUB_EC1_LAST_REG 0x9948 // MC_HUB_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_HUB_EC2_FIRST_REG 0x9950 // MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_HUB_EC2_LAST_REG 0x9950 // MC_HUB_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_HUBC_EC0_FIRST_REG 0x9a00 // MC_HUBC_EC_FEATURE_0
#define MC_HUBC_EC0_LAST_REG 0x9a1c // MC_HUBC_EC_MISSIONERR_INJECT_UNLOCK_0
#define MC_HUBC_EC1_FIRST_REG 0x9a30 // MC_HUBC_EC_ERRSLICE0_MISSIONERR_ENABLE_0
#define MC_HUBC_EC1_LAST_REG 0x9a48 // MC_HUBC_EC_ERRSLICE0_LATENTERR_STATUS_0
#define MC_HUBC_EC2_FIRST_REG 0x9a50 // MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0
#define MC_HUBC_EC2_LAST_REG 0x9a50 // MC_HUBC_EC_ERRSLICE0_COUNTER_RELOAD_0

// To satisfy various compilers and platforms,
// we let users control the types and syntax of certain constants, using macros.
#ifndef _MK_SHIFT_CONST
  #define _MK_SHIFT_CONST(_constant_) _constant_
#endif
#ifndef _MK_MASK_CONST
  #define _MK_MASK_CONST(_constant_) _constant_
#endif
#ifndef _MK_ENUM_CONST
  #define _MK_ENUM_CONST(_constant_) (_constant_ ## UL)
#endif
#ifndef _MK_ADDR_CONST
  #define _MK_ADDR_CONST(_constant_) _constant_
#endif
#ifndef _MK_FIELD_CONST
  #define _MK_FIELD_CONST(_mask_, _shift_) (_MK_MASK_CONST(_mask_) << _MK_SHIFT_CONST(_shift_))
#endif

#ifndef MK_SHIFT_CONST
  #define MK_SHIFT_CONST(_constant_) (_constant_ ## U)
#endif
#ifndef MK_MASK_CONST
  #define MK_MASK_CONST(_constant_) (_constant_ ## U)
#endif
#ifndef MK_ENUM_CONST
  #define MK_ENUM_CONST(_constant_) (_constant_ ## U)
#endif
#ifndef MK_ADDR_CONST
  #define MK_ADDR_CONST(_constant_) (_constant_ ## U)
#endif
#ifndef MK_FIELD_CONST
  #define MK_FIELD_CONST(_mask_, _shift_) (MK_MASK_CONST(_mask_) <<  _shift_)
#endif

#endif // ifndef ___ARMC_H_INC_
